/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

CREATE TABLE IF NOT EXISTS `approval_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) DEFAULT NULL,
  `module_id` int(11) DEFAULT NULL,
  `role_id` int(11) DEFAULT NULL,
  `portal_id` int(11) DEFAULT NULL,
  `desingation_id` int(11) DEFAULT NULL COMMENT 'optional',
  `configuration_type` enum('branch','department','both') DEFAULT NULL COMMENT 'department or branch or both',
  `level_count` tinyint(4) DEFAULT NULL,
  `approval_type` char(10) DEFAULT NULL COMMENT 'sequential/parallel',
  `reporting_column_sequence` char(100) DEFAULT NULL,
  `status` tinyint(4) unsigned DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `updated_by` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_approval_config_modules` (`module_id`),
  KEY `FK_approval_config_roles` (`role_id`),
  CONSTRAINT `FK_approval_config_modules` FOREIGN KEY (`module_id`) REFERENCES `modules` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=40 DEFAULT CHARSET=latin1;

DELETE FROM `approval_config`;
/*!40000 ALTER TABLE `approval_config` DISABLE KEYS */;
INSERT INTO `approval_config` (`id`, `cid`, `module_id`, `role_id`, `portal_id`, `desingation_id`, `configuration_type`, `level_count`, `approval_type`, `reporting_column_sequence`, `status`, `created_by`, `updated_by`, `created_at`, `updated_at`) VALUES
	(1, 48, 1, 2, NULL, NULL, NULL, 3, 'sequential', 'reporting_to_id,second_reporting_to_id,dept_id', 1, NULL, NULL, NULL, '2020-10-10 11:34:09'),
	(2, 48, 2, 2, NULL, NULL, NULL, 2, 'sequential', 'dept_id,reporting_to_id', 1, NULL, NULL, NULL, '2020-09-26 09:35:41'),
	(3, 48, 3, 2, 8, NULL, NULL, 2, 'sequential', 'dept_id,reporting_to_id', 1, NULL, NULL, NULL, '2022-02-22 06:29:51'),
	(4, 48, 1, 3, 8, NULL, 'branch', 2, 'sequential', NULL, 1, NULL, NULL, NULL, '2020-09-26 09:39:31'),
	(5, 48, 2, 3, 8, NULL, 'branch', 2, 'sequential', NULL, 1, NULL, NULL, NULL, '2020-09-26 09:39:43'),
	(6, 48, 3, 3, 8, NULL, 'branch', 2, 'sequential', NULL, 1, NULL, NULL, NULL, '2020-09-26 09:39:55'),
	(28, 48, 4, 2, 2, NULL, 'branch', 2, 'sequential', 'reporting_to_id,dept_id', 1, NULL, NULL, '2021-08-25 10:06:33', '2022-02-07 11:54:03'),
	(29, 48, 6, 3, 8, NULL, 'branch', NULL, 'parallel', NULL, 1, NULL, NULL, '2021-08-25 10:07:38', '2021-08-25 10:15:25'),
	(30, 48, 6, 5, 6, NULL, 'branch', NULL, 'parallel', NULL, 1, NULL, NULL, '2021-08-25 10:08:19', '2021-08-25 10:15:27'),
	(31, 48, 8, 2, 2, NULL, 'branch', NULL, 'parallel', NULL, 1, NULL, NULL, '2021-09-28 11:28:42', '2021-09-28 11:28:42'),
	(32, 48, 8, 3, 8, NULL, 'branch', NULL, 'parallel', NULL, 1, 1, 1, '2021-09-28 11:30:34', '2021-09-28 11:30:34'),
	(33, 48, 8, 5, 6, NULL, 'branch', NULL, 'parallel', NULL, 1, 1, 1, '2021-09-28 11:37:07', '2021-09-28 11:37:07'),
	(34, 48, 4, 3, 8, NULL, 'branch', NULL, 'sequential', NULL, 1, NULL, NULL, NULL, '2022-02-07 12:38:00'),
	(35, 48, 9, 2, 5, NULL, NULL, 1, 'sequential', 'dept_id', 1, NULL, NULL, NULL, '2022-01-20 10:25:14'),
	(36, 48, 9, 3, 5, NULL, 'branch', NULL, 'sequential', '', 1, NULL, NULL, NULL, '2022-02-07 11:46:35'),
	(37, 48, 11, 2, 5, NULL, NULL, 1, 'sequential', 'dept_id', 1, NULL, NULL, NULL, '2022-02-07 15:13:27'),
	(38, 48, 10, 3, 8, NULL, 'branch', NULL, 'sequential', NULL, 1, 1, 1, '2022-01-17 11:12:34', '2022-01-17 11:12:37'),
	(39, 48, 11, 3, 5, NULL, 'branch', NULL, 'sequential', NULL, 1, NULL, NULL, NULL, '2022-03-07 07:23:00');
/*!40000 ALTER TABLE `approval_config` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `approval_config_branches` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `approval_role_config_id` int(11) DEFAULT NULL,
  `branch_id` int(11) DEFAULT NULL,
  `department_id` int(11) DEFAULT NULL,
  `can_approve` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_approval_config_branches_approval_role_config` (`approval_role_config_id`),
  CONSTRAINT `FK_approval_config_branches_approval_role_config` FOREIGN KEY (`approval_role_config_id`) REFERENCES `approval_role_config` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

DELETE FROM `approval_config_branches`;
/*!40000 ALTER TABLE `approval_config_branches` DISABLE KEYS */;
INSERT INTO `approval_config_branches` (`id`, `approval_role_config_id`, `branch_id`, `department_id`, `can_approve`) VALUES
	(1, 1, -1, NULL, 0),
	(2, 2, -1, NULL, 0),
	(3, 3, -1, NULL, 0),
	(4, 4, -1, NULL, 0),
	(5, 5, -1, NULL, 0),
	(6, 6, -1, NULL, 0),
	(7, 7, -1, NULL, 0);
/*!40000 ALTER TABLE `approval_config_branches` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `approval_config_department` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `approval_role_config_id` int(11) DEFAULT NULL,
  `cid` int(11) DEFAULT NULL,
  `department_id` int(11) DEFAULT NULL,
  `can_approve` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_approval_config_department_approval_config` (`approval_role_config_id`),
  KEY `FK_approval_config_department_department_hierarchy` (`department_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DELETE FROM `approval_config_department`;
/*!40000 ALTER TABLE `approval_config_department` DISABLE KEYS */;
/*!40000 ALTER TABLE `approval_config_department` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `approval_config_detail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) DEFAULT NULL,
  `group_id` int(11) DEFAULT NULL,
  `approval_config_id` int(11) NOT NULL DEFAULT '0',
  `approval_type` char(15) DEFAULT NULL COMMENT 'sequential/parallel',
  `department_id` int(11) DEFAULT NULL,
  `branch_id` int(11) DEFAULT NULL,
  `level_count` tinyint(4) NOT NULL DEFAULT '0',
  `min_approval` tinyint(4) NOT NULL DEFAULT '0',
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=latin1;

DELETE FROM `approval_config_detail`;
/*!40000 ALTER TABLE `approval_config_detail` DISABLE KEYS */;
INSERT INTO `approval_config_detail` (`id`, `cid`, `group_id`, `approval_config_id`, `approval_type`, `department_id`, `branch_id`, `level_count`, `min_approval`, `deleted`) VALUES
	(1, 48, 1601095171, 4, 'sequential', NULL, 1, 2, 2, 0),
	(2, 48, 1601095171, 4, 'sequential', NULL, 2, 2, 2, 0),
	(3, 48, 1601095171, 4, 'sequential', NULL, 3, 2, 2, 0),
	(4, 48, 1601095171, 4, 'sequential', NULL, 4, 2, 2, 0),
	(5, 48, 1601095171, 4, 'sequential', NULL, 5, 2, 2, 0),
	(6, 48, 1601095183, 5, 'sequential', NULL, 1, 2, 2, 0),
	(7, 48, 1601095183, 5, 'sequential', NULL, 2, 2, 2, 0),
	(8, 48, 1601095183, 5, 'sequential', NULL, 3, 2, 2, 0),
	(9, 48, 1601095183, 5, 'sequential', NULL, 4, 2, 2, 0),
	(10, 48, 1601095183, 5, 'sequential', NULL, 5, 2, 2, 0),
	(11, 48, 1601095195, 6, 'sequential', NULL, 1, 2, 2, 0),
	(12, 48, 1601095195, 6, 'sequential', NULL, 2, 2, 2, 0),
	(13, 48, 1601095195, 6, 'sequential', NULL, 3, 2, 2, 0),
	(14, 48, 1601095195, 6, 'sequential', NULL, 4, 2, 2, 0),
	(15, 48, 1601095195, 6, 'sequential', NULL, 5, 2, 2, 0),
	(16, 48, 1601095195, 34, 'sequential', NULL, 1, 2, 2, 0),
	(17, 48, 1601095195, 34, 'sequential', NULL, 2, 2, 2, 0),
	(18, 48, 1601095195, 34, 'sequential', NULL, 3, 2, 2, 0),
	(19, 48, 1601095195, 34, 'sequential', NULL, 4, 2, 2, 0),
	(20, 48, 1601095195, 34, 'sequential', NULL, 5, 2, 2, 0),
	(21, 48, 1601095195, 36, 'sequential', NULL, 1, 2, 2, 0),
	(22, 48, 1601095295, 38, 'sequential', NULL, 1, 2, 2, 0),
	(23, 48, 1601095195, 36, 'sequential', NULL, 2, 2, 2, 0),
	(24, 48, 1601095295, 39, 'sequential', NULL, 1, 2, 2, 0);
/*!40000 ALTER TABLE `approval_config_detail` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `approval_queue` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) DEFAULT NULL,
  `approval_type` char(10) DEFAULT NULL,
  `role_id` int(11) DEFAULT NULL,
  `approver_id` int(11) DEFAULT NULL COMMENT 'ID on the basis of role',
  `approver_empid` int(11) DEFAULT NULL,
  `module_id` int(11) DEFAULT NULL,
  `application_id` int(11) DEFAULT NULL,
  `priority` tinyint(4) DEFAULT NULL COMMENT 'Approval sequence ',
  `max_count` tinyint(4) DEFAULT NULL,
  `approver_view` tinyint(4) DEFAULT '0' COMMENT '0=Not seen, 1=Seen',
  `emp_view` tinyint(4) DEFAULT '0' COMMENT '0=Not seen, 1=Seen',
  `status` tinyint(4) DEFAULT NULL COMMENT '1=Pending, 2=Approved, 3=Disapproved, 4=Resubmit',
  `comments` text,
  `actioned_at` datetime DEFAULT NULL,
  `creaated_by` int(11) DEFAULT NULL,
  `updated_by` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_approval_queue_modules` (`module_id`),
  KEY `FK_approval_queue_roles` (`role_id`),
  CONSTRAINT `FK_approval_queue_modules` FOREIGN KEY (`module_id`) REFERENCES `modules` (`id`),
  CONSTRAINT `FK_approval_queue_roles` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=549 DEFAULT CHARSET=latin1;

DELETE FROM `approval_queue`;
/*!40000 ALTER TABLE `approval_queue` DISABLE KEYS */;
INSERT INTO `approval_queue` (`id`, `cid`, `approval_type`, `role_id`, `approver_id`, `approver_empid`, `module_id`, `application_id`, `priority`, `max_count`, `approver_view`, `emp_view`, `status`, `comments`, `actioned_at`, `creaated_by`, `updated_by`, `created_at`, `updated_at`) VALUES
	(7, 48, 'sequential', 2, 2335, 58443, 1, 3, 1, 1, 1, 1, 3, 'testing disapprove', '2021-07-14 11:08:01', NULL, NULL, '2021-07-13 04:00:46', '2022-01-14 05:53:10'),
	(8, 48, 'sequential', 3, 6, 55572, 1, 3, 1, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-07-13 04:00:46', '2021-07-13 17:12:23'),
	(9, 48, 'sequential', 3, 2, 56193, 1, 3, 2, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-07-13 04:00:46', '2021-07-13 17:12:23'),
	(16, 48, 'sequential', 2, 2335, 58443, 1, 6, 1, 1, 1, 1, 3, 'approved', '2021-07-15 14:42:55', NULL, NULL, '2021-07-14 12:18:18', '2021-07-15 17:22:06'),
	(17, 48, 'sequential', 3, 6, 55572, 1, 6, 1, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-07-14 12:18:18', '2021-07-15 17:22:06'),
	(18, 48, 'sequential', 3, 2, 56193, 1, 6, 2, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-07-14 12:18:18', '2021-07-15 17:22:06'),
	(19, 48, 'sequential', 2, 2335, 58443, 1, 7, 1, 1, 1, 0, 3, 'disapproved testing', '2021-07-14 15:18:14', NULL, NULL, '2021-07-14 12:19:01', '2021-07-14 15:18:14'),
	(20, 48, 'sequential', 3, 6, 55572, 1, 7, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-07-14 12:19:01', NULL),
	(21, 48, 'sequential', 3, 2, 56193, 1, 7, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-07-14 12:19:01', NULL),
	(22, 48, 'sequential', 2, 2335, 58443, 1, 8, 1, 1, 1, 1, 2, 'Testing approval queue.', '2021-07-15 11:42:58', NULL, NULL, '2021-07-15 11:19:51', '2021-07-15 17:22:01'),
	(23, 48, 'sequential', 3, 6, 55572, 1, 8, 1, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-07-15 11:19:51', '2021-07-15 17:22:01'),
	(24, 48, 'sequential', 3, 2, 56193, 1, 8, 2, 2, 0, 0, 2, 'approved', '2021-07-17 12:48:23', NULL, NULL, '2021-07-15 11:19:51', '2021-07-17 12:48:23'),
	(25, 48, 'sequential', 2, 2335, 58443, 1, 9, 1, 1, 1, 1, 2, 'testing approve', '2021-07-15 16:36:48', NULL, NULL, '2021-07-15 02:58:24', '2021-07-15 17:04:33'),
	(26, 48, 'sequential', 3, 6, 55572, 1, 9, 1, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-07-15 02:58:24', '2021-07-15 17:04:33'),
	(27, 48, 'sequential', 3, 2, 56193, 1, 9, 2, 2, 0, 0, 2, 'approved', '2021-07-17 12:48:23', NULL, NULL, '2021-07-15 02:58:24', '2021-07-17 12:48:23'),
	(28, 48, 'sequential', 2, 2335, 58443, 1, 10, 1, 1, 1, 1, 4, 'resubmit', '2021-07-15 15:11:40', NULL, NULL, '2021-07-15 02:58:53', '2021-07-15 17:21:57'),
	(29, 48, 'sequential', 3, 6, 55572, 1, 10, 1, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-07-15 02:58:53', '2021-07-15 17:21:57'),
	(30, 48, 'sequential', 3, 2, 56193, 1, 10, 2, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-07-15 02:58:53', '2021-07-15 17:21:57'),
	(31, 48, 'sequential', 2, 2335, 58443, 1, 11, 1, 1, 1, 0, 4, 'resubmit', '2021-07-15 15:03:59', NULL, NULL, '2021-07-15 02:58:54', '2021-07-15 15:03:59'),
	(32, 48, 'sequential', 3, 6, 55572, 1, 11, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-07-15 02:58:54', NULL),
	(33, 48, 'sequential', 3, 2, 56193, 1, 11, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-07-15 02:58:54', NULL),
	(34, 48, 'sequential', 2, 2335, 58443, 1, 12, 1, 1, 1, 1, 3, '', '2021-07-15 15:02:53', NULL, NULL, '2021-07-15 02:58:54', '2021-07-15 17:04:23'),
	(35, 48, 'sequential', 3, 6, 55572, 1, 12, 1, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-07-15 02:58:54', '2021-07-15 17:04:23'),
	(36, 48, 'sequential', 3, 2, 56193, 1, 12, 2, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-07-15 02:58:54', '2021-07-15 17:04:23'),
	(37, 48, 'sequential', 2, 2335, 58443, 1, 13, 1, 1, 1, 0, 2, '', '2021-07-15 17:25:31', NULL, NULL, '2021-07-15 04:37:52', '2021-07-15 17:25:31'),
	(38, 48, 'sequential', 3, 6, 55572, 1, 13, 1, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-07-15 04:37:52', '2021-07-15 17:04:13'),
	(39, 48, 'sequential', 3, 2, 56193, 1, 13, 2, 2, 0, 0, 2, 'approved', '2021-07-17 12:48:23', NULL, NULL, '2021-07-15 04:37:52', '2021-07-17 12:48:23'),
	(40, 48, 'sequential', 2, 2335, 58443, 1, 14, 1, 1, 1, 0, 2, '', '2021-07-15 17:23:50', NULL, NULL, '2021-07-15 04:38:06', '2021-07-15 17:23:50'),
	(41, 48, 'sequential', 3, 6, 55572, 1, 14, 1, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-07-15 04:38:06', '2021-07-15 17:21:43'),
	(42, 48, 'sequential', 3, 2, 56193, 1, 14, 2, 2, 0, 0, 2, 'approved', '2021-07-17 12:48:23', NULL, NULL, '2021-07-15 04:38:06', '2021-07-17 12:48:23'),
	(43, 48, 'sequential', 2, 2335, 58443, 1, 15, 1, 1, 1, 0, 2, 'adasdasd', '2021-07-15 17:28:22', NULL, NULL, '2021-07-15 05:27:23', '2021-07-15 17:28:22'),
	(44, 48, 'sequential', 3, 6, 55572, 1, 15, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-07-15 05:27:23', NULL),
	(45, 48, 'sequential', 3, 2, 56193, 1, 15, 2, 2, 0, 0, 2, 'approved', '2021-07-17 12:48:23', NULL, NULL, '2021-07-15 05:27:23', '2021-07-17 12:48:23'),
	(46, 48, 'sequential', 2, 2335, 58443, 1, 16, 1, 1, 1, 0, 2, '', '2021-07-15 17:41:23', NULL, NULL, '2021-07-15 05:29:45', '2021-07-15 17:41:23'),
	(47, 48, 'sequential', 3, 6, 55572, 1, 16, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-07-15 05:29:45', NULL),
	(48, 48, 'sequential', 3, 2, 56193, 1, 16, 2, 2, 0, 0, 2, 'approved', '2021-07-17 12:48:23', NULL, NULL, '2021-07-15 05:29:45', '2021-07-17 12:48:23'),
	(49, 48, 'sequential', 2, 2335, 58443, 1, 17, 1, 1, 1, 0, 2, '', '2021-07-15 17:30:38', NULL, NULL, '2021-07-15 05:29:55', '2021-07-15 17:30:38'),
	(50, 48, 'sequential', 3, 6, 55572, 1, 17, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-07-15 05:29:55', NULL),
	(51, 48, 'sequential', 3, 2, 56193, 1, 17, 2, 2, 1, 0, 2, 'approved', '2021-08-27 10:51:12', NULL, NULL, '2021-07-15 05:29:55', '2021-08-27 10:51:12'),
	(52, 48, 'sequential', 2, 2335, 58443, 1, 18, 1, 1, 1, 0, 3, '', '2021-07-15 17:42:10', NULL, NULL, '2021-07-15 05:41:55', '2021-07-15 17:42:10'),
	(53, 48, 'sequential', 3, 6, 55572, 1, 18, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-07-15 05:41:55', NULL),
	(54, 48, 'sequential', 3, 2, 56193, 1, 18, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-07-15 05:41:55', NULL),
	(55, 48, 'sequential', 2, 2335, 58443, 1, 19, 1, 1, 0, 0, 2, 'approved', '2021-07-17 12:46:47', NULL, NULL, '2021-07-15 05:42:24', '2021-07-17 12:46:47'),
	(56, 48, 'sequential', 3, 6, 55572, 1, 19, 1, 2, 0, 1, 1, '', NULL, NULL, NULL, '2021-07-15 05:42:24', '2021-07-17 11:30:02'),
	(57, 48, 'sequential', 3, 2, 56193, 1, 19, 2, 2, 1, 0, 2, 'approved', '2021-07-17 12:48:23', NULL, NULL, '2021-07-15 05:42:24', '2021-07-17 12:48:23'),
	(58, 48, 'sequential', 2, 2335, 58443, 1, 20, 1, 1, 1, 0, 2, 'approved', '2021-07-17 12:46:47', NULL, NULL, '2021-07-16 04:36:30', '2021-07-17 12:46:47'),
	(59, 48, 'sequential', 3, 6, 55572, 1, 20, 1, 2, 1, 1, 1, NULL, NULL, NULL, NULL, '2021-07-16 04:36:30', '2022-02-08 06:23:43'),
	(60, 48, 'sequential', 3, 2, 56193, 1, 20, 2, 2, 1, 0, 2, 'approved', '2021-07-17 12:48:23', NULL, NULL, '2021-07-16 04:36:30', '2022-02-08 06:23:43'),
	(64, 48, 'sequential', 2, 2335, 58443, 1, 22, 1, 1, 1, 0, 1, NULL, NULL, NULL, NULL, '2021-09-02 11:47:18', '2021-09-03 10:13:39'),
	(65, 48, 'sequential', 3, 6, 55572, 1, 22, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-09-02 11:47:18', NULL),
	(66, 48, 'sequential', 3, 2, 56193, 2, 22, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-09-02 11:47:18', '2022-01-06 11:36:48'),
	(70, 48, 'sequential', 2, 2335, 58443, 1, 24, 1, 1, 1, 0, 3, '', '2021-09-03 09:20:49', NULL, NULL, '2021-09-02 04:08:36', '2021-09-03 09:20:49'),
	(71, 48, 'sequential', 3, 6, 55572, 1, 24, 1, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-09-02 04:08:36', '2021-09-02 16:08:44'),
	(72, 48, 'sequential', 3, 2, 56193, 1, 24, 2, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-09-02 04:08:36', '2021-09-02 16:08:44'),
	(73, 48, 'sequential', 2, 2335, 58443, 1, 25, 1, 1, 1, 0, 3, '', '2021-09-03 09:21:17', NULL, NULL, '2021-09-02 04:09:12', '2021-09-03 09:21:17'),
	(74, 48, 'sequential', 3, 6, 55572, 1, 25, 1, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-09-02 04:09:12', '2021-09-02 16:09:20'),
	(75, 48, 'sequential', 3, 2, 56193, 1, 25, 2, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-09-02 04:09:12', '2021-09-02 16:09:20'),
	(76, 48, 'sequential', 2, 2017, 57523, 1, 26, 1, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-09-03 09:10:55', '2021-09-03 09:13:21'),
	(77, 48, 'sequential', 2, 2335, 58443, 1, 26, 2, 2, 1, 0, 2, 'approved', '2021-09-03 09:17:07', NULL, NULL, '2021-09-03 09:10:55', '2021-09-03 09:17:07'),
	(78, 48, 'sequential', 3, 6, 55572, 1, 26, 1, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-09-03 09:10:55', '2021-09-03 09:13:21'),
	(79, 48, 'sequential', 3, 2, 56193, 1, 26, 2, 2, 0, 1, 1, NULL, NULL, NULL, NULL, '2021-09-03 09:10:55', '2021-09-03 09:13:21'),
	(84, 48, 'parallel', 3, NULL, 56193, 6, 38, NULL, NULL, 0, 0, 2, NULL, NULL, NULL, NULL, '2021-08-04 11:16:09', '2021-09-09 11:40:12'),
	(85, 48, 'parallel', 5, NULL, 17282, 6, 38, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-08-04 11:16:09', NULL),
	(86, 48, 'parallel', 2, NULL, 58443, 6, 38, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-08-04 11:16:09', NULL),
	(87, 48, 'parallel', 3, NULL, 56193, 6, 39, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-08-02 15:12:35', NULL),
	(88, 48, 'parallel', 5, NULL, 17282, 6, 39, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-08-02 15:12:35', NULL),
	(89, 48, 'parallel', 2, NULL, 58443, 6, 39, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-08-02 15:12:35', NULL),
	(90, 48, 'parallel', 3, NULL, 56193, 6, 40, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-08-03 10:11:18', NULL),
	(91, 48, 'parallel', 5, NULL, 17282, 6, 40, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-08-03 10:11:18', NULL),
	(92, 48, 'parallel', 2, NULL, 58443, 6, 40, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-08-03 10:11:18', '2022-02-22 14:55:57'),
	(93, 48, 'parallel', 3, NULL, 56193, 6, 41, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-08-03 16:42:14', NULL),
	(94, 48, 'parallel', 5, NULL, 17282, 6, 41, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-08-03 16:42:14', NULL),
	(95, 48, 'parallel', 2, NULL, 58443, 6, 41, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-08-03 16:42:14', NULL),
	(96, 48, 'parallel', 2, NULL, 58443, 6, 42, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-08-04 14:57:14', NULL),
	(97, 48, 'parallel', 3, NULL, 56193, 6, 42, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-08-04 14:57:14', NULL),
	(98, 48, 'parallel', 5, NULL, 17282, 6, 42, NULL, NULL, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-08-04 14:57:14', NULL),
	(99, 48, 'sequential', 2, 344, 55702, 3, 10, 1, 2, 0, 0, 2, '', '2021-12-09 16:06:04', NULL, NULL, '2021-12-09 03:41:36', '2021-12-09 16:06:04'),
	(100, 48, 'sequential', 2, 344, 55702, 3, 10, 2, 2, 0, 0, 2, '', '2021-12-09 16:06:04', NULL, NULL, '2021-12-09 03:41:36', '2021-12-09 16:06:04'),
	(101, 48, 'sequential', 3, 6, 55572, 3, 10, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-12-09 03:41:36', NULL),
	(102, 48, 'sequential', 3, 2, 56193, 3, 10, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-12-09 03:41:36', NULL),
	(103, 48, 'sequential', 2, 344, 55702, 3, 11, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-12-09 03:41:39', NULL),
	(104, 48, 'sequential', 2, 344, 55702, 3, 11, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-12-09 03:41:39', NULL),
	(105, 48, 'sequential', 3, 6, 55572, 3, 11, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-12-09 03:41:39', NULL),
	(106, 48, 'sequential', 3, 2, 56193, 3, 11, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2021-12-09 03:41:39', NULL),
	(107, 48, 'sequential', 2, 356, 17282, 3, 20, 1, 1, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-01-13 06:08:52', '2022-02-08 06:23:43'),
	(108, 48, 'sequential', 2, 356, 17282, 3, 21, 1, 1, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-13 06:09:28', NULL),
	(109, 48, 'sequential', 2, 356, 17282, 3, 22, 1, 1, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-13 06:13:04', NULL),
	(110, 48, 'sequential', 2, 1861, 51881, 1, 28, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-14 05:48:42', NULL),
	(111, 48, 'sequential', 2, 1861, 51881, 1, 28, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-14 05:48:42', NULL),
	(112, 48, 'sequential', 3, 6, 55572, 1, 28, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-14 05:48:42', NULL),
	(113, 48, 'sequential', 3, 2, 56193, 1, 28, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-14 05:48:42', NULL),
	(114, 48, 'sequential', 2, 1861, 51881, 1, 29, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:03:56', NULL),
	(115, 48, 'sequential', 2, 1861, 51881, 1, 29, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:03:56', NULL),
	(116, 48, 'sequential', 3, 6, 55572, 1, 29, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:03:56', NULL),
	(117, 48, 'sequential', 3, 2, 56193, 1, 29, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:03:56', NULL),
	(118, 48, 'sequential', 2, 1861, 51881, 1, 30, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:04:51', NULL),
	(119, 48, 'sequential', 2, 1861, 51881, 1, 30, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:04:51', NULL),
	(120, 48, 'sequential', 3, 6, 55572, 1, 30, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:04:51', NULL),
	(121, 48, 'sequential', 3, 2, 56193, 1, 30, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:04:51', NULL),
	(122, 48, 'sequential', 2, 1861, 51881, 1, 31, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:10:46', NULL),
	(123, 48, 'sequential', 2, 1861, 51881, 1, 31, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:10:46', NULL),
	(124, 48, 'sequential', 3, 6, 55572, 1, 31, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:10:46', NULL),
	(125, 48, 'sequential', 3, 2, 56193, 1, 31, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:10:46', NULL),
	(126, 48, 'sequential', 2, 1861, 51881, 1, 32, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:15:01', NULL),
	(127, 48, 'sequential', 2, 1861, 51881, 1, 32, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:15:01', NULL),
	(128, 48, 'sequential', 3, 6, 55572, 1, 32, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:15:01', NULL),
	(129, 48, 'sequential', 3, 2, 56193, 1, 32, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:15:01', NULL),
	(130, 48, 'sequential', 2, 1861, 51881, 1, 33, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:17:00', NULL),
	(131, 48, 'sequential', 2, 1861, 51881, 1, 33, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:17:00', NULL),
	(132, 48, 'sequential', 3, 6, 55572, 1, 33, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:17:00', NULL),
	(133, 48, 'sequential', 3, 2, 56193, 1, 33, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:17:00', NULL),
	(134, 48, 'sequential', 2, 1861, 51881, 1, 34, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:17:24', NULL),
	(135, 48, 'sequential', 2, 1861, 51881, 1, 34, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:17:24', NULL),
	(136, 48, 'sequential', 3, 6, 55572, 1, 34, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:17:24', NULL),
	(137, 48, 'sequential', 3, 2, 56193, 1, 34, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 05:17:24', NULL),
	(138, 48, 'sequential', 2, 1861, 51881, 1, 35, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 07:50:40', NULL),
	(139, 48, 'sequential', 2, 1861, 51881, 1, 35, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 07:50:40', NULL),
	(140, 48, 'sequential', 3, 6, 55572, 1, 35, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 07:50:40', NULL),
	(141, 48, 'sequential', 3, 2, 56193, 1, 35, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 07:50:40', NULL),
	(142, 48, 'sequential', 2, 1861, 51881, 1, 36, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 09:50:02', NULL),
	(143, 48, 'sequential', 2, 1861, 51881, 1, 36, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 09:50:02', NULL),
	(144, 48, 'sequential', 3, 6, 55572, 1, 36, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 09:50:02', NULL),
	(145, 48, 'sequential', 3, 2, 56193, 1, 36, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-17 09:50:02', NULL),
	(146, 48, 'sequential', 2, 1861, 51881, 1, 37, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-21 04:09:28', NULL),
	(147, 48, 'sequential', 2, 1861, 51881, 1, 37, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-21 04:09:28', NULL),
	(148, 48, 'sequential', 3, 6, 55572, 1, 37, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-21 04:09:28', NULL),
	(149, 48, 'sequential', 3, 2, 56193, 1, 37, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-21 04:09:28', NULL),
	(150, 48, 'sequential', 2, 2333, 56193, 3, 1, 1, 1, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-25 07:15:14', NULL),
	(151, 48, 'sequential', 3, 6, 55572, 3, 1, 1, 2, 0, 0, 2, 'This is travel report for the approval of hr', '2022-01-25 07:33:11', NULL, NULL, '2022-01-25 07:15:14', '2022-01-25 07:33:11'),
	(152, 48, 'sequential', 3, 2, 56193, 3, 1, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-01-25 07:15:14', NULL),
	(153, 48, 'sequential', 2, 2333, 56193, 3, 4, 1, 1, 1, 0, 2, 'This is travel report for the approval of lm', '2022-01-31 10:26:52', NULL, NULL, '2022-01-31 10:14:57', '2022-01-31 10:26:52'),
	(154, 48, 'sequential', 3, 6, 55572, 3, 4, 1, 2, 1, 0, 2, 'test', '2022-01-31 10:27:16', NULL, NULL, '2022-01-31 10:14:57', '2022-01-31 10:27:16'),
	(155, 48, 'sequential', 3, 2, 56193, 3, 4, 2, 2, 1, 0, 2, 'test', '2022-01-31 10:27:41', NULL, NULL, '2022-01-31 10:14:57', '2022-01-31 10:27:41'),
	(156, 48, 'sequential', 2, 1861, 51881, 1, 39, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-01 11:03:02', NULL),
	(157, 48, 'sequential', 2, 1861, 51881, 1, 39, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-01 11:03:02', NULL),
	(158, 48, 'sequential', 3, 6, 55572, 1, 39, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-01 11:03:02', NULL),
	(159, 48, 'sequential', 3, 2, 56193, 1, 39, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-01 11:03:02', NULL),
	(160, 48, 'sequential', 2, 2335, 58443, 3, 5, 1, 2, 1, 0, 2, 'This is travel report for the approval of lm', '2022-02-07 05:46:47', NULL, NULL, '2022-02-03 12:41:50', '2022-02-07 05:46:47'),
	(161, 48, 'sequential', 2, 2017, 57523, 3, 5, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-03 12:41:50', NULL),
	(162, 48, 'sequential', 3, 6, 55572, 3, 5, 1, 2, 1, 0, 2, 'This is travel report for the approval of hr', '2022-02-07 05:55:54', NULL, NULL, '2022-02-03 12:41:50', '2022-02-07 05:55:54'),
	(163, 48, 'sequential', 3, 2, 56193, 3, 5, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-03 12:41:50', NULL),
	(164, 48, 'sequential', 2, 2017, 57523, 4, 7, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 11:54:08', NULL),
	(165, 48, 'sequential', 2, 2335, 58443, 4, 7, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 11:54:08', NULL),
	(166, 48, 'sequential', 2, 2017, 57523, 4, 8, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 11:56:05', NULL),
	(167, 48, 'sequential', 2, 2335, 58443, 4, 8, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 11:56:05', NULL),
	(168, 48, 'sequential', 2, 2017, 57523, 4, 9, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:18:53', NULL),
	(169, 48, 'sequential', 2, 2335, 58443, 4, 9, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:18:53', NULL),
	(170, 48, 'sequential', 2, 2017, 57523, 4, 12, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:23:08', NULL),
	(171, 48, 'sequential', 2, 2335, 58443, 4, 12, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:23:08', NULL),
	(172, 48, 'sequential', 2, 2017, 57523, 4, 14, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:32:51', NULL),
	(173, 48, 'sequential', 2, 2335, 58443, 4, 14, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:32:51', NULL),
	(174, 48, 'sequential', 2, 2017, 57523, 4, 15, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:36:52', NULL),
	(175, 48, 'sequential', 2, 2335, 58443, 4, 15, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:36:52', NULL),
	(176, 48, 'sequential', 2, 2017, 57523, 4, 16, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:36:53', NULL),
	(177, 48, 'sequential', 2, 2335, 58443, 4, 16, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:36:53', NULL),
	(178, 48, 'sequential', 2, 2017, 57523, 4, 17, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:36:53', NULL),
	(179, 48, 'sequential', 2, 2335, 58443, 4, 17, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:36:53', NULL),
	(180, 48, 'sequential', 2, 2017, 57523, 4, 18, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:36:54', NULL),
	(181, 48, 'sequential', 2, 2335, 58443, 4, 18, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:36:54', NULL),
	(182, 48, 'sequential', 2, 2017, 57523, 4, 19, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:39:51', NULL),
	(183, 48, 'sequential', 2, 2335, 58443, 4, 19, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:39:51', NULL),
	(184, 48, 'sequential', 2, 2017, 57523, 4, 20, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:59:44', '2022-02-08 06:23:43'),
	(185, 48, 'sequential', 2, 2335, 58443, 4, 20, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 12:59:44', '2022-02-08 06:23:43'),
	(186, 48, 'sequential', 2, 2017, 57523, 4, 21, 1, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 01:01:30', NULL),
	(187, 48, 'sequential', 2, 2335, 58443, 4, 21, 2, 2, 0, 0, 1, NULL, NULL, NULL, NULL, '2022-02-07 01:01:30', NULL),
	(188, 48, 'sequential', 2, 2017, 57523, 4, 22, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-08 06:34:27', NULL),
	(189, 48, 'sequential', 2, 2335, 58443, 4, 22, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-08 06:34:27', NULL),
	(190, 48, 'sequential', 2, 356, 17282, 4, 23, 1, 1, 1, 0, 2, '', '2022-02-11 05:54:10', NULL, NULL, '2022-02-08 11:58:23', '2022-02-11 05:54:10'),
	(191, 48, 'sequential', 3, 6, 55572, 4, 23, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-08 11:58:23', NULL),
	(192, 48, 'sequential', 3, 2, 56193, 4, 23, 2, 2, 1, 0, 2, '', '2022-02-08 12:06:53', NULL, NULL, '2022-02-08 11:58:23', '2022-02-08 12:06:53'),
	(193, 48, 'sequential', 2, 356, 17282, 4, 24, 1, 1, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-08 12:36:14', NULL),
	(194, 48, 'sequential', 3, 6, 55572, 4, 24, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-08 12:36:14', NULL),
	(195, 48, 'sequential', 3, 2, 56193, 4, 24, 2, 2, 1, 0, 1, 'applied', NULL, NULL, NULL, '2022-02-08 12:36:14', NULL),
	(196, 48, 'sequential', 2, 2017, 57523, 4, 25, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-08 12:36:19', NULL),
	(197, 48, 'sequential', 2, 2335, 58443, 4, 25, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-08 12:36:19', NULL),
	(198, 48, 'sequential', 2, 2017, 57523, 4, 26, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-08 12:39:50', NULL),
	(199, 48, 'sequential', 2, 2335, 58443, 4, 26, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-08 12:39:50', NULL),
	(200, 48, 'sequential', 2, 2017, 57523, 4, 27, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-08 12:41:48', NULL),
	(201, 48, 'sequential', 2, 2335, 58443, 4, 27, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-08 12:41:48', NULL),
	(202, 48, 'sequential', 2, 2017, 57523, 4, 28, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-08 12:42:51', NULL),
	(203, 48, 'sequential', 2, 2335, 58443, 4, 28, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-08 12:42:51', NULL),
	(204, 48, 'sequential', 2, 2017, 57523, 4, 29, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-09 07:50:51', NULL),
	(205, 48, 'sequential', 2, 2335, 58443, 4, 29, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-09 07:50:51', NULL),
	(206, 48, 'sequential', 2, 2017, 57523, 4, 30, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-09 10:58:09', NULL),
	(207, 48, 'sequential', 2, 2335, 58443, 4, 30, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-09 10:58:09', NULL),
	(208, 48, 'sequential', 2, 1301, 18043, 4, 31, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-09 11:58:11', NULL),
	(209, 48, 'sequential', 2, 1301, 18043, 4, 31, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-09 11:58:11', NULL),
	(210, 48, 'sequential', 2, 1301, 18043, 4, 32, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-09 11:59:03', NULL),
	(211, 48, 'sequential', 2, 1301, 18043, 4, 32, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-09 11:59:03', NULL),
	(212, 48, 'sequential', 2, 366, 55573, 4, 33, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-10 05:26:21', NULL),
	(213, 48, 'sequential', 2, 366, 55573, 4, 33, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-10 05:26:21', NULL),
	(214, 48, 'sequential', 2, 2017, 57523, 4, 34, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-10 11:06:42', NULL),
	(215, 48, 'sequential', 2, 2335, 58443, 4, 34, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-10 11:06:42', NULL),
	(216, 48, 'sequential', 2, 2017, 57523, 4, 35, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-10 11:07:41', NULL),
	(217, 48, 'sequential', 2, 2335, 58443, 4, 35, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-10 11:07:41', NULL),
	(218, 48, 'sequential', 2, 2017, 57523, 4, 36, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-10 11:07:44', NULL),
	(219, 48, 'sequential', 2, 2335, 58443, 4, 36, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-10 11:07:44', NULL),
	(220, 48, 'sequential', 2, 2017, 57523, 4, 37, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-10 11:07:45', NULL),
	(221, 48, 'sequential', 2, 2335, 58443, 4, 37, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-10 11:07:45', NULL),
	(222, 48, 'sequential', 2, 2017, 57523, 4, 38, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-10 11:07:46', NULL),
	(223, 48, 'sequential', 2, 2335, 58443, 4, 38, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-10 11:07:46', NULL),
	(224, 48, 'sequential', 2, 2017, 57523, 4, 47, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-11 11:59:05', NULL),
	(225, 48, 'sequential', 2, 2335, 58443, 4, 47, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-11 11:59:05', NULL),
	(226, 48, 'sequential', 2, 2017, 57523, 4, 48, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-11 11:59:13', NULL),
	(227, 48, 'sequential', 2, 2335, 58443, 4, 48, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-11 11:59:13', NULL),
	(228, 48, 'sequential', 2, 2017, 57523, 4, 49, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-11 11:59:16', NULL),
	(229, 48, 'sequential', 2, 2335, 58443, 4, 49, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-11 11:59:16', NULL),
	(230, 48, 'sequential', 2, 2017, 57523, 4, 50, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-11 11:59:17', NULL),
	(231, 48, 'sequential', 2, 2335, 58443, 4, 50, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-11 11:59:17', NULL),
	(232, 48, 'sequential', 2, 2017, 57523, 4, 51, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-11 12:01:19', NULL),
	(233, 48, 'sequential', 2, 2335, 58443, 4, 51, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-11 12:01:19', NULL),
	(234, 48, 'sequential', 2, 2017, 57523, 4, 52, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-11 12:39:44', NULL),
	(235, 48, 'sequential', 2, 2335, 58443, 4, 52, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-11 12:39:44', NULL),
	(236, 48, 'sequential', 2, 2017, 57523, 1, 40, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-15 05:01:12', NULL),
	(237, 48, 'sequential', 2, 2335, 58443, 1, 40, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-15 05:01:12', NULL),
	(238, 48, 'sequential', 3, 6, 55572, 1, 40, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-15 05:01:12', NULL),
	(239, 48, 'sequential', 3, 2, 56193, 1, 40, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-15 05:01:12', NULL),
	(240, 48, 'sequential', 2, 2017, 57523, 1, 41, 1, 2, 1, 1, 1, NULL, NULL, NULL, NULL, '2022-02-15 05:08:18', '2022-02-15 05:12:08'),
	(241, 48, 'sequential', 2, 2335, 58443, 1, 41, 2, 2, 1, 1, 1, NULL, NULL, NULL, NULL, '2022-02-15 05:08:18', '2022-02-15 05:12:08'),
	(242, 48, 'sequential', 3, 6, 55572, 1, 41, 1, 2, 1, 1, 1, NULL, NULL, NULL, NULL, '2022-02-15 05:08:18', '2022-02-15 05:12:08'),
	(243, 48, 'sequential', 3, 2, 56193, 1, 41, 2, 2, 1, 1, 1, NULL, NULL, NULL, NULL, '2022-02-15 05:08:18', '2022-02-15 05:12:08'),
	(244, 48, 'sequential', 2, 2017, 57523, 4, 53, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-15 11:01:11', NULL),
	(245, 48, 'sequential', 2, 2335, 58443, 4, 53, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-15 11:01:11', NULL),
	(246, 48, 'sequential', 2, 2017, 57523, 4, 54, 1, 2, 1, 0, 2, '', '2022-03-07 11:26:17', NULL, NULL, '2022-02-15 11:21:24', '2022-03-07 11:26:17'),
	(247, 48, 'sequential', 2, 2335, 58443, 4, 54, 2, 2, 1, 0, 2, '', '2022-02-21 09:50:02', NULL, NULL, '2022-02-15 11:21:24', '2022-02-21 09:50:02'),
	(248, 48, 'sequential', 2, 2017, 57523, 1, 42, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-16 05:26:38', NULL),
	(249, 48, 'sequential', 2, 2335, 58443, 1, 42, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-16 05:26:38', NULL),
	(250, 48, 'sequential', 3, 6, 55572, 1, 42, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-16 05:26:38', NULL),
	(251, 48, 'sequential', 3, 2, 56193, 1, 42, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-16 05:26:38', NULL),
	(252, 48, 'sequential', 2, 2017, 57523, 4, 55, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-18 11:51:37', NULL),
	(253, 48, 'sequential', 2, 2335, 58443, 4, 55, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-18 11:51:37', NULL),
	(254, 48, 'sequential', 2, 2017, 57523, 4, 60, 1, 2, 1, 0, 2, NULL, NULL, NULL, NULL, '2022-02-21 07:16:44', '2022-02-21 09:54:05'),
	(255, 48, 'sequential', 2, 2335, 58443, 4, 60, 2, 2, 1, 0, 2, NULL, NULL, NULL, NULL, '2022-02-21 07:16:44', '2022-02-21 09:47:57'),
	(256, 48, 'sequential', 2, 2335, 58443, 3, 12, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-22 05:35:25', NULL),
	(257, 48, 'sequential', 2, 2017, 57523, 3, 12, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-22 05:35:25', NULL),
	(258, 48, 'sequential', 3, 6, 55572, 3, 12, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-22 05:35:25', NULL),
	(259, 48, 'sequential', 3, 2, 56193, 3, 12, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-22 05:35:25', NULL),
	(264, 48, 'sequential', 2, 2335, 58443, 3, 17, 1, 2, 1, 0, 2, '1st LM Approval', '2022-02-22 11:00:38', NULL, NULL, '2022-02-22 09:28:07', '2022-02-22 11:00:38'),
	(265, 48, 'sequential', 2, 2017, 57523, 3, 17, 2, 2, 1, 0, 2, '2nd LM Approval', '2022-02-22 11:03:12', NULL, NULL, '2022-02-22 09:28:07', '2022-02-22 11:03:12'),
	(266, 48, 'sequential', 3, 6, 55572, 3, 17, 1, 2, 1, 0, 2, '1st HR Approval', '2022-02-22 11:09:52', NULL, NULL, '2022-02-22 09:28:07', '2022-02-22 11:09:52'),
	(267, 48, 'sequential', 3, 2, 56193, 3, 17, 2, 2, 1, 0, 2, '2nd HR Approval', '2022-02-22 11:12:26', NULL, NULL, '2022-02-22 09:28:07', '2022-02-22 11:12:26'),
	(268, 48, 'sequential', 2, 2335, 58443, 3, 20, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 05:54:34', NULL),
	(269, 48, 'sequential', 2, 2017, 57523, 3, 20, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 05:54:34', NULL),
	(270, 48, 'sequential', 3, 6, 55572, 3, 20, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 05:54:34', NULL),
	(271, 48, 'sequential', 3, 2, 56193, 3, 20, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 05:54:34', NULL),
	(272, 48, 'sequential', 2, 2335, 58443, 3, 21, 1, 2, 1, 0, 2, '1st LM Approval', '2022-02-23 06:39:50', NULL, NULL, '2022-02-23 06:26:58', '2022-02-23 06:39:50'),
	(273, 48, 'sequential', 2, 2017, 57523, 3, 21, 2, 2, 1, 0, 2, '2nd LM Approval', '2022-02-23 06:45:37', NULL, NULL, '2022-02-23 06:26:58', '2022-02-23 06:45:37'),
	(274, 48, 'sequential', 3, 6, 55572, 3, 21, 1, 2, 1, 0, 2, '1st HR Approval', '2022-02-23 06:50:20', NULL, NULL, '2022-02-23 06:26:58', '2022-02-23 06:50:20'),
	(275, 48, 'sequential', 3, 2, 56193, 3, 21, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 06:26:58', NULL),
	(276, 48, 'sequential', 2, 2335, 58443, 3, 22, 1, 2, 1, 0, 2, '1st LM Approval', '2022-02-23 09:43:19', NULL, NULL, '2022-02-23 09:41:47', '2022-02-23 09:43:19'),
	(277, 48, 'sequential', 2, 2017, 57523, 3, 22, 2, 2, 1, 0, 2, '2nd LM Approval', '2022-02-23 10:15:11', NULL, NULL, '2022-02-23 09:41:47', '2022-02-23 10:15:11'),
	(278, 48, 'sequential', 3, 6, 55572, 3, 22, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 09:41:47', NULL),
	(279, 48, 'sequential', 3, 2, 56193, 3, 22, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 09:41:47', NULL),
	(280, 48, 'sequential', 2, 2335, 58443, 3, 23, 1, 2, 1, 0, 2, '1st LM Approved', '2022-02-23 11:00:21', NULL, NULL, '2022-02-23 10:57:00', '2022-02-23 11:00:21'),
	(281, 48, 'sequential', 2, 2017, 57523, 3, 23, 2, 2, 1, 0, 4, '2nd LM Removed', '2022-02-23 11:01:17', NULL, NULL, '2022-02-23 10:57:00', '2022-02-23 11:01:17'),
	(282, 48, 'sequential', 3, 6, 55572, 3, 23, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 10:57:00', NULL),
	(283, 48, 'sequential', 3, 2, 56193, 3, 23, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 10:57:00', NULL),
	(284, 48, 'sequential', 2, 2335, 58443, 3, 24, 1, 2, 1, 0, 3, '1st LM Disapproved', '2022-02-23 11:22:08', NULL, NULL, '2022-02-23 11:12:22', '2022-02-23 11:22:08'),
	(285, 48, 'sequential', 2, 2017, 57523, 3, 24, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 11:12:22', NULL),
	(286, 48, 'sequential', 3, 6, 55572, 3, 24, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 11:12:22', NULL),
	(287, 48, 'sequential', 3, 2, 56193, 3, 24, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 11:12:22', NULL),
	(288, 48, 'sequential', 2, 2335, 58443, 3, 25, 1, 2, 1, 0, 2, '1st LM Approved', '2022-02-24 06:34:50', NULL, NULL, '2022-02-23 12:24:49', '2022-02-24 06:34:50'),
	(289, 48, 'sequential', 2, 2017, 57523, 3, 25, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 12:24:49', NULL),
	(290, 48, 'sequential', 3, 6, 55572, 3, 25, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 12:24:49', NULL),
	(291, 48, 'sequential', 3, 2, 56193, 3, 25, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-23 12:24:49', NULL),
	(292, 48, 'sequential', 2, 2335, 58443, 3, 26, 1, 2, 1, 0, 2, '1st LM Approved', '2022-02-24 07:42:59', NULL, NULL, '2022-02-24 07:41:59', '2022-02-24 07:42:59'),
	(293, 48, 'sequential', 2, 2017, 57523, 3, 26, 2, 2, 1, 0, 2, '2nd LM Approved', '2022-02-24 07:44:37', NULL, NULL, '2022-02-24 07:41:59', '2022-02-24 07:44:37'),
	(294, 48, 'sequential', 3, 6, 55572, 3, 26, 1, 2, 1, 0, 2, '1st HR Approval', '2022-02-24 07:47:04', NULL, NULL, '2022-02-24 07:41:59', '2022-02-24 07:47:04'),
	(295, 48, 'sequential', 3, 2, 56193, 3, 26, 2, 2, 1, 0, 2, '1st HR Approval', '2022-02-24 07:49:08', NULL, NULL, '2022-02-24 07:41:59', '2022-02-24 07:49:08'),
	(296, 48, 'sequential', 2, 2335, 58443, 3, 27, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 09:52:19', NULL),
	(297, 48, 'sequential', 2, 2017, 57523, 3, 27, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 09:52:19', NULL),
	(298, 48, 'sequential', 3, 6, 55572, 3, 27, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 09:52:19', NULL),
	(299, 48, 'sequential', 3, 2, 56193, 3, 27, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 09:52:19', NULL),
	(300, 48, 'sequential', 2, 2335, 58443, 3, 28, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 09:52:32', NULL),
	(301, 48, 'sequential', 2, 2017, 57523, 3, 28, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 09:52:32', NULL),
	(302, 48, 'sequential', 3, 6, 55572, 3, 28, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 09:52:32', NULL),
	(303, 48, 'sequential', 3, 2, 56193, 3, 28, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 09:52:32', NULL),
	(304, 48, 'sequential', 2, 2335, 58443, 3, 29, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:00:12', NULL),
	(305, 48, 'sequential', 2, 2017, 57523, 3, 29, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:00:12', NULL),
	(306, 48, 'sequential', 3, 6, 55572, 3, 29, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:00:12', NULL),
	(307, 48, 'sequential', 3, 2, 56193, 3, 29, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:00:12', NULL),
	(308, 48, 'sequential', 2, 2335, 58443, 3, 30, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:02:12', NULL),
	(309, 48, 'sequential', 2, 2017, 57523, 3, 30, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:02:12', NULL),
	(310, 48, 'sequential', 3, 6, 55572, 3, 30, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:02:12', NULL),
	(311, 48, 'sequential', 3, 2, 56193, 3, 30, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:02:12', NULL),
	(312, 48, 'sequential', 2, 2335, 58443, 3, 31, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:04:50', NULL),
	(313, 48, 'sequential', 2, 2017, 57523, 3, 31, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:04:50', NULL),
	(314, 48, 'sequential', 3, 6, 55572, 3, 31, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:04:50', NULL),
	(315, 48, 'sequential', 3, 2, 56193, 3, 31, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:04:50', NULL),
	(316, 48, 'sequential', 2, 2335, 58443, 3, 32, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:04:54', NULL),
	(317, 48, 'sequential', 2, 2017, 57523, 3, 32, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:04:54', NULL),
	(318, 48, 'sequential', 3, 6, 55572, 3, 32, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:04:54', NULL),
	(319, 48, 'sequential', 3, 2, 56193, 3, 32, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:04:54', NULL),
	(320, 48, 'sequential', 2, 2335, 58443, 3, 33, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:06:39', NULL),
	(321, 48, 'sequential', 2, 2017, 57523, 3, 33, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:06:39', NULL),
	(322, 48, 'sequential', 3, 6, 55572, 3, 33, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:06:39', NULL),
	(323, 48, 'sequential', 3, 2, 56193, 3, 33, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:06:39', NULL),
	(324, 48, 'sequential', 2, 2335, 58443, 3, 34, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:07:57', NULL),
	(325, 48, 'sequential', 2, 2017, 57523, 3, 34, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:07:57', NULL),
	(326, 48, 'sequential', 3, 6, 55572, 3, 34, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:07:57', NULL),
	(327, 48, 'sequential', 3, 2, 56193, 3, 34, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:07:57', NULL),
	(328, 48, 'sequential', 2, 2335, 58443, 3, 35, 1, 2, 1, 0, 4, '1st LM Disapproved', '2022-02-24 10:13:09', NULL, NULL, '2022-02-24 10:08:01', '2022-02-24 10:13:09'),
	(329, 48, 'sequential', 2, 2017, 57523, 3, 35, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:08:01', NULL),
	(330, 48, 'sequential', 3, 6, 55572, 3, 35, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:08:01', NULL),
	(331, 48, 'sequential', 3, 2, 56193, 3, 35, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:08:01', NULL),
	(332, 48, 'sequential', 2, 2335, 58443, 3, 36, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:08:51', NULL),
	(333, 48, 'sequential', 2, 2017, 57523, 3, 36, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:08:51', NULL),
	(334, 48, 'sequential', 3, 6, 55572, 3, 36, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:08:51', NULL),
	(335, 48, 'sequential', 3, 2, 56193, 3, 36, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-24 10:08:51', NULL),
	(336, 48, 'sequential', 2, 2335, 58443, 3, 37, 1, 2, 1, 0, 2, '1st LM DisApproved', '2022-02-24 10:38:41', NULL, NULL, '2022-02-24 10:33:49', '2022-02-24 10:38:41'),
	(337, 48, 'sequential', 2, 2017, 57523, 3, 37, 2, 2, 1, 0, 2, '2nd LM DisApproved', '2022-02-24 10:40:50', NULL, NULL, '2022-02-24 10:33:49', '2022-02-24 10:40:50'),
	(338, 48, 'sequential', 3, 6, 55572, 3, 37, 1, 2, 1, 0, 2, '1st HR Approval', '2022-02-24 10:43:20', NULL, NULL, '2022-02-24 10:33:49', '2022-02-24 10:43:20'),
	(339, 48, 'sequential', 3, 2, 56193, 3, 37, 2, 2, 1, 0, 2, '2nd HR Approval', '2022-02-24 10:56:05', NULL, NULL, '2022-02-24 10:33:49', '2022-02-24 10:56:05'),
	(340, 48, 'sequential', 2, 2335, 58443, 3, 41, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 04:52:23', NULL),
	(341, 48, 'sequential', 2, 2017, 57523, 3, 41, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 04:52:23', NULL),
	(342, 48, 'sequential', 3, 6, 55572, 3, 41, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 04:52:23', NULL),
	(343, 48, 'sequential', 3, 2, 56193, 3, 41, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 04:52:23', NULL),
	(344, 48, 'sequential', 2, 2335, 58443, 3, 43, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 04:58:16', NULL),
	(345, 48, 'sequential', 2, 2017, 57523, 3, 43, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 04:58:16', NULL),
	(346, 48, 'sequential', 3, 6, 55572, 3, 43, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 04:58:16', NULL),
	(347, 48, 'sequential', 3, 2, 56193, 3, 43, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 04:58:16', NULL),
	(348, 48, 'sequential', 2, 2335, 58443, 3, 44, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 04:59:25', NULL),
	(349, 48, 'sequential', 2, 2017, 57523, 3, 44, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 04:59:25', NULL),
	(350, 48, 'sequential', 3, 6, 55572, 3, 44, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 04:59:25', NULL),
	(351, 48, 'sequential', 3, 2, 56193, 3, 44, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 04:59:25', NULL),
	(352, 48, 'sequential', 2, 2335, 58443, 3, 45, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:01:23', NULL),
	(353, 48, 'sequential', 2, 2017, 57523, 3, 45, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:01:23', NULL),
	(354, 48, 'sequential', 3, 6, 55572, 3, 45, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:01:23', NULL),
	(355, 48, 'sequential', 3, 2, 56193, 3, 45, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:01:23', NULL),
	(356, 48, 'sequential', 2, 2335, 58443, 3, 46, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:02:33', NULL),
	(357, 48, 'sequential', 2, 2017, 57523, 3, 46, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:02:33', NULL),
	(358, 48, 'sequential', 3, 6, 55572, 3, 46, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:02:33', NULL),
	(359, 48, 'sequential', 3, 2, 56193, 3, 46, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:02:33', NULL),
	(360, 48, 'sequential', 2, 2335, 58443, 3, 47, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:03:10', NULL),
	(361, 48, 'sequential', 2, 2017, 57523, 3, 47, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:03:10', NULL),
	(362, 48, 'sequential', 3, 6, 55572, 3, 47, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:03:10', NULL),
	(363, 48, 'sequential', 3, 2, 56193, 3, 47, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:03:10', NULL),
	(364, 48, 'sequential', 2, 2335, 58443, 3, 48, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:06:23', NULL),
	(365, 48, 'sequential', 2, 2017, 57523, 3, 48, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:06:23', NULL),
	(366, 48, 'sequential', 3, 6, 55572, 3, 48, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:06:23', NULL),
	(367, 48, 'sequential', 3, 2, 56193, 3, 48, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:06:23', NULL),
	(368, 48, 'sequential', 2, 2335, 58443, 3, 52, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:54:53', NULL),
	(369, 48, 'sequential', 2, 2017, 57523, 3, 52, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:54:53', NULL),
	(370, 48, 'sequential', 3, 6, 55572, 3, 52, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:54:53', NULL),
	(371, 48, 'sequential', 3, 2, 56193, 3, 52, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:54:53', NULL),
	(372, 48, 'sequential', 2, 2335, 58443, 3, 53, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:55:46', NULL),
	(373, 48, 'sequential', 2, 2017, 57523, 3, 53, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:55:46', NULL),
	(374, 48, 'sequential', 3, 6, 55572, 3, 53, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:55:46', NULL),
	(375, 48, 'sequential', 3, 2, 56193, 3, 53, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 05:55:46', NULL),
	(376, 48, 'sequential', 2, 2335, 58443, 3, 54, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 06:05:05', NULL),
	(377, 48, 'sequential', 2, 2017, 57523, 3, 54, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 06:05:05', NULL),
	(378, 48, 'sequential', 3, 6, 55572, 3, 54, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 06:05:05', NULL),
	(379, 48, 'sequential', 3, 2, 56193, 3, 54, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 06:05:05', NULL),
	(380, 48, 'sequential', 2, 2335, 58443, 3, 56, 1, 2, 1, 0, 2, '1st LM Approved', '2022-02-25 09:37:55', NULL, NULL, '2022-02-25 09:35:26', '2022-02-25 09:37:55'),
	(381, 48, 'sequential', 2, 2017, 57523, 3, 56, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 09:35:26', NULL),
	(382, 48, 'sequential', 3, 6, 55572, 3, 56, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 09:35:26', NULL),
	(383, 48, 'sequential', 3, 2, 56193, 3, 56, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 09:35:26', NULL),
	(384, 48, 'sequential', 2, 343, 55167, 3, 57, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 09:58:16', NULL),
	(385, 48, 'sequential', 2, 343, 55167, 3, 57, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 09:58:16', NULL),
	(386, 48, 'sequential', 3, 6, 55572, 3, 57, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 09:58:16', NULL),
	(387, 48, 'sequential', 3, 2, 56193, 3, 57, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 09:58:16', NULL),
	(388, 48, 'sequential', 2, 2335, 58443, 3, 58, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 10:09:40', NULL),
	(389, 48, 'sequential', 2, 2017, 57523, 3, 58, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 10:09:40', NULL),
	(390, 48, 'sequential', 3, 6, 55572, 3, 58, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 10:09:40', NULL),
	(391, 48, 'sequential', 3, 2, 56193, 3, 58, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-25 10:09:40', NULL),
	(392, 48, 'sequential', 2, 2335, 58443, 3, 59, 1, 2, 0, 0, 2, '1st LM Approved', '2022-02-25 10:15:41', NULL, NULL, '2022-02-25 10:10:08', '2022-02-25 10:15:41'),
	(393, 48, 'sequential', 2, 2017, 57523, 3, 59, 2, 2, 0, 0, 1, '', NULL, NULL, NULL, '2022-02-25 10:10:08', '2022-02-25 10:14:06'),
	(394, 48, 'sequential', 3, 6, 55572, 3, 59, 1, 2, 0, 0, 1, '', NULL, NULL, NULL, '2022-02-25 10:10:08', '2022-02-25 10:14:06'),
	(395, 48, 'sequential', 3, 2, 56193, 3, 59, 2, 2, 0, 0, 1, '', NULL, NULL, NULL, '2022-02-25 10:10:08', '2022-02-25 10:14:06'),
	(396, 48, 'sequential', 2, 2335, 58443, 3, 60, 1, 2, 1, 0, 2, '1st LM Approved', '2022-02-25 11:08:23', NULL, NULL, '2022-02-25 11:07:17', '2022-02-25 11:08:23'),
	(397, 48, 'sequential', 2, 2017, 57523, 3, 60, 2, 2, 1, 0, 2, '2nd LM Approved', '2022-02-25 11:08:51', NULL, NULL, '2022-02-25 11:07:17', '2022-02-25 11:08:51'),
	(398, 48, 'sequential', 3, 6, 55572, 3, 60, 1, 2, 1, 0, 2, 'This is travel report for the approval of hr', '2022-02-25 11:10:11', NULL, NULL, '2022-02-25 11:07:17', '2022-02-25 11:10:11'),
	(399, 48, 'sequential', 3, 2, 56193, 3, 60, 2, 2, 1, 0, 2, 'This is travel report for the approval of hr', '2022-02-25 11:10:59', NULL, NULL, '2022-02-25 11:07:17', '2022-02-25 11:10:59'),
	(400, 48, 'sequential', 2, 2335, 58443, 3, 66, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 06:15:41', NULL),
	(401, 48, 'sequential', 2, 2017, 57523, 3, 66, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 06:15:41', NULL),
	(402, 48, 'sequential', 3, 6, 55572, 3, 66, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 06:15:41', NULL),
	(403, 48, 'sequential', 3, 2, 56193, 3, 66, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 06:15:41', NULL),
	(408, 48, 'sequential', 2, 2335, 58443, 3, 68, 1, 2, 1, 0, 2, '1st LM Approval', '2022-02-28 06:59:32', NULL, NULL, '2022-02-28 06:29:02', '2022-02-28 06:59:32'),
	(409, 48, 'sequential', 2, 2017, 57523, 3, 68, 2, 2, 1, 0, 2, '2nd LM Approval', '2022-02-28 07:13:01', NULL, NULL, '2022-02-28 06:29:02', '2022-02-28 07:13:01'),
	(410, 48, 'sequential', 3, 6, 55572, 3, 68, 1, 2, 1, 0, 2, '1st HR Approved', '2022-02-28 07:18:40', NULL, NULL, '2022-02-28 06:29:02', '2022-02-28 07:18:40'),
	(411, 48, 'sequential', 3, 2, 56193, 3, 68, 2, 2, 1, 0, 2, '1st HR Approved', '2022-02-28 07:21:23', NULL, NULL, '2022-02-28 06:29:02', '2022-02-28 07:21:23'),
	(412, 48, 'sequential', 2, 2335, 58443, 3, 69, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 07:30:46', NULL),
	(413, 48, 'sequential', 2, 2017, 57523, 3, 69, 2, 2, 1, 0, 4, '2nd LM Disapproved', '2022-02-28 07:50:25', NULL, NULL, '2022-02-28 07:30:46', '2022-02-28 07:50:25'),
	(414, 48, 'sequential', 3, 6, 55572, 3, 69, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 07:30:46', NULL),
	(415, 48, 'sequential', 3, 2, 56193, 3, 69, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 07:30:46', NULL),
	(416, 48, 'sequential', 2, 2335, 58443, 3, 71, 1, 2, 0, 0, 3, '1st LM Approved', '2022-02-28 09:29:10', NULL, NULL, '2022-02-28 09:16:54', '2022-02-28 09:29:10'),
	(417, 48, 'sequential', 2, 2017, 57523, 3, 71, 2, 2, 0, 0, 1, '', NULL, NULL, NULL, '2022-02-28 09:16:54', '2022-02-28 09:23:19'),
	(418, 48, 'sequential', 3, 6, 55572, 3, 71, 1, 2, 0, 0, 1, '', NULL, NULL, NULL, '2022-02-28 09:16:54', '2022-02-28 09:20:40'),
	(419, 48, 'sequential', 3, 2, 56193, 3, 71, 2, 2, 0, 0, 2, '1st HR Approved', '2022-02-28 09:32:02', NULL, NULL, '2022-02-28 09:16:54', '2022-02-28 09:32:02'),
	(420, 48, 'sequential', 2, 2335, 58443, 3, 72, 1, 2, 0, 0, 2, '1st LM Approved', '2022-02-28 09:40:24', NULL, NULL, '2022-02-28 09:34:00', '2022-02-28 09:40:24'),
	(421, 48, 'sequential', 2, 2017, 57523, 3, 72, 2, 2, 0, 0, 2, '2nd LM Approved', '2022-02-28 10:32:24', NULL, NULL, '2022-02-28 09:34:00', '2022-02-28 10:32:24'),
	(422, 48, 'sequential', 3, 6, 55572, 3, 72, 1, 2, 0, 0, 1, '', NULL, NULL, NULL, '2022-02-28 09:34:00', '2022-02-28 09:39:59'),
	(423, 48, 'sequential', 3, 2, 56193, 3, 72, 2, 2, 0, 0, 1, '', NULL, NULL, NULL, '2022-02-28 09:34:00', '2022-02-28 09:39:59'),
	(424, 48, 'sequential', 2, 2335, 58443, 3, 73, 1, 2, 1, 0, 2, '2nd LM Approved', '2022-02-28 10:57:12', NULL, NULL, '2022-02-28 10:30:02', '2022-02-28 10:57:12'),
	(425, 48, 'sequential', 2, 2017, 57523, 3, 73, 2, 2, 1, 0, 2, '2nd LM Approved', '2022-02-28 10:33:09', NULL, NULL, '2022-02-28 10:30:02', '2022-02-28 10:33:09'),
	(426, 48, 'sequential', 3, 6, 55572, 3, 73, 1, 2, 1, 0, 2, '1st HR Approved', '2022-02-28 10:58:18', NULL, NULL, '2022-02-28 10:30:02', '2022-02-28 10:58:18'),
	(427, 48, 'sequential', 3, 2, 56193, 3, 73, 2, 2, 1, 0, 2, '1st HR Approved', '2022-02-28 10:46:46', NULL, NULL, '2022-02-28 10:30:02', '2022-02-28 10:46:46'),
	(428, 48, 'sequential', 2, 2335, 58443, 3, 74, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:06:01', NULL),
	(429, 48, 'sequential', 2, 2017, 57523, 3, 74, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:06:01', NULL),
	(430, 48, 'sequential', 3, 6, 55572, 3, 74, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:06:01', NULL),
	(431, 48, 'sequential', 3, 2, 56193, 3, 74, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:06:01', NULL),
	(432, 48, 'sequential', 2, 2335, 58443, 3, 75, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:06:30', NULL),
	(433, 48, 'sequential', 2, 2017, 57523, 3, 75, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:06:30', NULL),
	(434, 48, 'sequential', 3, 6, 55572, 3, 75, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:06:30', NULL),
	(435, 48, 'sequential', 3, 2, 56193, 3, 75, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:06:30', NULL),
	(436, 48, 'sequential', 2, 2335, 58443, 3, 76, 1, 2, 1, 0, 3, '1st LM Disapproved', '2022-02-28 11:09:42', NULL, NULL, '2022-02-28 11:06:31', '2022-02-28 11:09:42'),
	(437, 48, 'sequential', 2, 2017, 57523, 3, 76, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:06:31', NULL),
	(438, 48, 'sequential', 3, 6, 55572, 3, 76, 1, 2, 1, 0, 2, '1st HR Approved', '2022-02-28 11:11:12', NULL, NULL, '2022-02-28 11:06:31', '2022-02-28 11:11:12'),
	(439, 48, 'sequential', 3, 2, 56193, 3, 76, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:06:31', NULL),
	(440, 48, 'sequential', 2, 2335, 58443, 3, 77, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:46:21', NULL),
	(441, 48, 'sequential', 2, 2017, 57523, 3, 77, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:46:21', NULL),
	(442, 48, 'sequential', 3, 6, 55572, 3, 77, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:46:21', NULL),
	(443, 48, 'sequential', 3, 2, 56193, 3, 77, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:46:21', NULL),
	(444, 48, 'sequential', 2, 2335, 58443, 3, 78, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:50:07', NULL),
	(445, 48, 'sequential', 2, 2017, 57523, 3, 78, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:50:07', NULL),
	(446, 48, 'sequential', 3, 6, 55572, 3, 78, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:50:07', NULL),
	(447, 48, 'sequential', 3, 2, 56193, 3, 78, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:50:07', NULL),
	(448, 48, 'sequential', 2, 2335, 58443, 3, 79, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:50:21', NULL),
	(449, 48, 'sequential', 2, 2017, 57523, 3, 79, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:50:21', NULL),
	(450, 48, 'sequential', 3, 6, 55572, 3, 79, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:50:21', NULL),
	(451, 48, 'sequential', 3, 2, 56193, 3, 79, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:50:21', NULL),
	(452, 48, 'sequential', 2, 2335, 58443, 3, 80, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:50:22', NULL),
	(453, 48, 'sequential', 2, 2017, 57523, 3, 80, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:50:22', NULL),
	(454, 48, 'sequential', 3, 6, 55572, 3, 80, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:50:22', NULL),
	(455, 48, 'sequential', 3, 2, 56193, 3, 80, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:50:22', NULL),
	(456, 48, 'sequential', 2, 2335, 58443, 3, 81, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:57:42', NULL),
	(457, 48, 'sequential', 2, 2017, 57523, 3, 81, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:57:42', NULL),
	(458, 48, 'sequential', 3, 6, 55572, 3, 81, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:57:42', NULL),
	(459, 48, 'sequential', 3, 2, 56193, 3, 81, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:57:42', NULL),
	(460, 48, 'sequential', 2, 2335, 58443, 3, 82, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:57:44', NULL),
	(461, 48, 'sequential', 2, 2017, 57523, 3, 82, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:57:44', NULL),
	(462, 48, 'sequential', 3, 6, 55572, 3, 82, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:57:44', NULL),
	(463, 48, 'sequential', 3, 2, 56193, 3, 82, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:57:44', NULL),
	(464, 48, 'sequential', 2, 2335, 58443, 3, 83, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:57:47', NULL),
	(465, 48, 'sequential', 2, 2017, 57523, 3, 83, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:57:47', NULL),
	(466, 48, 'sequential', 3, 6, 55572, 3, 83, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:57:47', NULL),
	(467, 48, 'sequential', 3, 2, 56193, 3, 83, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 11:57:47', NULL),
	(472, 48, 'sequential', 2, 2335, 58443, 3, 85, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 12:05:00', NULL),
	(473, 48, 'sequential', 2, 2017, 57523, 3, 85, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 12:05:00', NULL),
	(474, 48, 'sequential', 3, 6, 55572, 3, 85, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 12:05:00', NULL),
	(475, 48, 'sequential', 3, 2, 56193, 3, 85, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-02-28 12:05:00', NULL),
	(484, 48, 'sequential', 2, 2335, 58443, 3, 90, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 04:41:46', NULL),
	(485, 48, 'sequential', 2, 2017, 57523, 3, 90, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 04:41:46', NULL),
	(486, 48, 'sequential', 3, 6, 55572, 3, 90, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 04:41:46', NULL),
	(487, 48, 'sequential', 3, 2, 56193, 3, 90, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 04:41:46', NULL),
	(488, 48, 'sequential', 2, 2335, 58443, 3, 91, 1, 2, 1, 0, 3, '1st LM Resubmit', '2022-03-02 05:06:08', NULL, NULL, '2022-03-02 05:04:29', '2022-03-02 05:06:08'),
	(489, 48, 'sequential', 2, 2017, 57523, 3, 91, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 05:04:29', NULL),
	(490, 48, 'sequential', 3, 6, 55572, 3, 91, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 05:04:29', NULL),
	(491, 48, 'sequential', 3, 2, 56193, 3, 91, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 05:04:29', NULL),
	(492, 48, 'sequential', 2, 2335, 58443, 3, 92, 1, 2, 0, 0, 1, '', NULL, NULL, NULL, '2022-03-02 05:06:22', '2022-03-02 05:08:28'),
	(493, 48, 'sequential', 2, 2017, 57523, 3, 92, 2, 2, 0, 0, 1, '', NULL, NULL, NULL, '2022-03-02 05:06:22', '2022-03-02 05:08:28'),
	(494, 48, 'sequential', 3, 6, 55572, 3, 92, 1, 2, 0, 0, 1, '', NULL, NULL, NULL, '2022-03-02 05:06:22', '2022-03-02 05:08:28'),
	(495, 48, 'sequential', 3, 2, 56193, 3, 92, 2, 2, 0, 0, 1, '', NULL, NULL, NULL, '2022-03-02 05:06:22', '2022-03-02 05:08:28'),
	(496, 48, 'sequential', 2, 2335, 58443, 3, 93, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 05:49:19', NULL),
	(497, 48, 'sequential', 2, 2017, 57523, 3, 93, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 05:49:19', NULL),
	(498, 48, 'sequential', 3, 6, 55572, 3, 93, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 05:49:19', NULL),
	(499, 48, 'sequential', 3, 2, 56193, 3, 93, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 05:49:19', NULL),
	(500, 48, 'sequential', 2, 2335, 58443, 3, 94, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 06:04:53', NULL),
	(501, 48, 'sequential', 2, 2017, 57523, 3, 94, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 06:04:53', NULL),
	(502, 48, 'sequential', 3, 6, 55572, 3, 94, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 06:04:53', NULL),
	(503, 48, 'sequential', 3, 2, 56193, 3, 94, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 06:04:53', NULL),
	(504, 48, 'sequential', 2, 2335, 58443, 3, 95, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 06:08:41', NULL),
	(505, 48, 'sequential', 2, 2017, 57523, 3, 95, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 06:08:41', NULL),
	(506, 48, 'sequential', 3, 6, 55572, 3, 95, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 06:08:41', NULL),
	(507, 48, 'sequential', 3, 2, 56193, 3, 95, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 06:08:41', NULL),
	(508, 48, 'sequential', 2, 2335, 58443, 3, 96, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 07:31:41', NULL),
	(509, 48, 'sequential', 2, 2017, 57523, 3, 96, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 07:31:41', NULL),
	(510, 48, 'sequential', 3, 6, 55572, 3, 96, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 07:31:41', NULL),
	(511, 48, 'sequential', 3, 2, 56193, 3, 96, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 07:31:41', NULL),
	(512, 48, 'sequential', 2, 2335, 58443, 3, 97, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 07:35:58', NULL),
	(513, 48, 'sequential', 2, 2017, 57523, 3, 97, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 07:35:58', NULL),
	(514, 48, 'sequential', 3, 6, 55572, 3, 97, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 07:35:58', NULL),
	(515, 48, 'sequential', 3, 2, 56193, 3, 97, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-02 07:35:58', NULL),
	(516, 48, 'sequential', 2, 2335, 58443, 9, 5, 1, 1, 1, 0, 2, 'OK. Employee time out is 17:30', '2022-03-07 06:23:58', NULL, NULL, '2022-03-07 05:29:24', '2022-03-07 06:23:58'),
	(517, 48, 'sequential', 2, 2335, 58443, 11, 7, 1, 1, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 06:07:37', NULL),
	(518, 48, 'sequential', 2, 2335, 58443, 9, 8, 1, 1, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 06:57:06', NULL),
	(519, 48, 'sequential', 2, 2335, 58443, 9, 9, 1, 1, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 06:58:49', NULL),
	(520, 48, 'sequential', 2, 2335, 58443, 9, 10, 1, 1, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 07:09:56', NULL),
	(521, 48, 'sequential', 3, 6, 55572, 9, 10, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 07:09:56', NULL),
	(522, 48, 'sequential', 3, 2, 56193, 9, 10, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 07:09:56', NULL),
	(523, 48, 'sequential', 2, 2335, 58443, 9, 14, 1, 1, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 07:17:48', NULL),
	(524, 48, 'sequential', 3, 6, 55572, 9, 14, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 07:17:48', NULL),
	(525, 48, 'sequential', 3, 2, 56193, 9, 14, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 07:17:48', NULL),
	(526, 48, 'sequential', 2, 2335, 58443, 11, 15, 1, 1, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 07:18:10', NULL),
	(527, 48, 'sequential', 2, 2335, 58443, 2, 16, 1, 2, 1, 0, 2, 'approved', '2022-03-07 10:19:39', NULL, NULL, '2022-03-07 08:05:32', '2022-03-07 10:19:39'),
	(528, 48, 'sequential', 2, 2017, 57523, 2, 16, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 08:05:32', NULL),
	(529, 48, 'sequential', 3, 6, 55572, 2, 16, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 08:05:32', NULL),
	(530, 48, 'sequential', 3, 2, 56193, 2, 16, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 08:05:32', NULL),
	(531, 48, 'sequential', 2, 2335, 58443, 2, 17, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 09:31:37', NULL),
	(532, 48, 'sequential', 2, 2017, 57523, 2, 17, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 09:31:37', NULL),
	(533, 48, 'sequential', 3, 6, 55572, 2, 17, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 09:31:37', NULL),
	(534, 48, 'sequential', 3, 2, 56193, 2, 17, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 09:31:37', NULL),
	(535, 48, 'sequential', 2, 2017, 57523, 4, 61, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 11:22:19', NULL),
	(536, 48, 'sequential', 2, 2335, 58443, 4, 61, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 11:22:19', NULL),
	(537, 48, 'sequential', 2, 2335, 58443, 3, 98, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 11:28:38', NULL),
	(538, 48, 'sequential', 2, 2017, 57523, 3, 98, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 11:28:38', NULL),
	(539, 48, 'sequential', 3, 6, 55572, 3, 98, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 11:28:38', NULL),
	(540, 48, 'sequential', 3, 2, 56193, 3, 98, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 11:28:38', NULL),
	(541, 48, 'sequential', 2, 2335, 58443, 3, 99, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 11:28:43', NULL),
	(542, 48, 'sequential', 2, 2017, 57523, 3, 99, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 11:28:43', NULL),
	(543, 48, 'sequential', 3, 6, 55572, 3, 99, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 11:28:44', NULL),
	(544, 48, 'sequential', 3, 2, 56193, 3, 99, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 11:28:44', NULL),
	(545, 48, 'sequential', 2, 2335, 58443, 2, 18, 1, 2, 1, 0, 2, '1st LM approved', '2022-03-07 11:42:49', NULL, NULL, '2022-03-07 11:40:32', '2022-03-07 11:42:49'),
	(546, 48, 'sequential', 2, 2017, 57523, 2, 18, 2, 2, 1, 0, 2, '2nd LM approved', '2022-03-07 11:45:14', NULL, NULL, '2022-03-07 11:40:32', '2022-03-07 11:45:14'),
	(547, 48, 'sequential', 3, 6, 55572, 2, 18, 1, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 11:40:32', NULL),
	(548, 48, 'sequential', 3, 2, 56193, 2, 18, 2, 2, 1, 0, 1, NULL, NULL, NULL, NULL, '2022-03-07 11:40:32', NULL);
/*!40000 ALTER TABLE `approval_queue` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `approval_role_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `assist_id` int(11) unsigned DEFAULT NULL,
  `cid` int(11) DEFAULT NULL,
  `empid` int(11) DEFAULT NULL,
  `designation_id` int(11) DEFAULT NULL COMMENT 'optional',
  `location_id` int(11) DEFAULT NULL COMMENT 'optional',
  `approval_config_id` int(11) DEFAULT NULL,
  `can_approve` tinyint(1) DEFAULT NULL,
  `approval_priority` int(11) DEFAULT NULL,
  `dept_id` int(11) DEFAULT NULL COMMENT 'from department hierarchy',
  `configuration_type` enum('branch','department','both') DEFAULT NULL COMMENT 'branch or department or both',
  `status` tinyint(1) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_approval_role_config_approval_config` (`approval_config_id`),
  KEY `FK_approval_role_config_proll_client_assist` (`assist_id`),
  KEY `FK_approval_role_config_proll_client_location` (`location_id`),
  CONSTRAINT `FK_approval_role_config_approval_config` FOREIGN KEY (`approval_config_id`) REFERENCES `approval_config` (`id`),
  CONSTRAINT `FK_approval_role_config_proll_client_assist` FOREIGN KEY (`assist_id`) REFERENCES `proll_client_assist` (`id`),
  CONSTRAINT `FK_approval_role_config_proll_client_location` FOREIGN KEY (`location_id`) REFERENCES `proll_client_location` (`loc_id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=latin1;

DELETE FROM `approval_role_config`;
/*!40000 ALTER TABLE `approval_role_config` DISABLE KEYS */;
INSERT INTO `approval_role_config` (`id`, `assist_id`, `cid`, `empid`, `designation_id`, `location_id`, `approval_config_id`, `can_approve`, `approval_priority`, `dept_id`, `configuration_type`, `status`, `created_at`, `updated_at`) VALUES
	(1, 6, 48, 55572, NULL, NULL, 4, NULL, NULL, NULL, 'branch', 1, NULL, '2020-09-26 09:37:01'),
	(2, 1, 48, 17730, NULL, NULL, 5, NULL, NULL, NULL, 'branch', 1, NULL, '2020-09-26 09:37:15'),
	(3, 6, 48, 55572, NULL, NULL, 5, NULL, NULL, NULL, 'branch', 1, NULL, '2020-09-26 09:37:47'),
	(4, 2, 48, 56193, NULL, NULL, 4, NULL, NULL, NULL, 'branch', 1, NULL, '2020-09-26 09:38:19'),
	(5, 2, 48, 56193, NULL, NULL, 5, NULL, NULL, NULL, 'branch', 1, NULL, '2020-09-26 09:38:38'),
	(6, 6, 48, 55572, NULL, NULL, 6, NULL, NULL, NULL, 'branch', 1, NULL, '2020-09-26 09:38:55'),
	(7, 2, 48, 56193, NULL, NULL, 6, NULL, NULL, NULL, 'branch', 1, NULL, '2020-09-26 09:39:07'),
	(8, 2, 48, 56193, NULL, NULL, 29, NULL, NULL, NULL, 'branch', 1, '2021-08-25 10:47:07', '2021-08-25 10:55:01'),
	(11, 5, 48, 17282, NULL, 1, 30, NULL, NULL, NULL, 'branch', 1, '2021-08-25 10:51:04', '2021-08-25 10:58:24'),
	(12, NULL, 48, 58443, NULL, NULL, 28, NULL, NULL, NULL, 'branch', 1, '2021-08-25 10:57:34', '2021-08-25 11:04:15'),
	(13, 2, 48, 56193, NULL, NULL, 31, NULL, NULL, NULL, 'branch', 1, '2021-10-04 14:05:04', '2021-10-04 14:06:07'),
	(14, 6, 48, 55572, NULL, 18, 30, NULL, NULL, NULL, 'branch', 1, '2021-10-04 14:05:49', '2021-10-04 14:05:49');
/*!40000 ALTER TABLE `approval_role_config` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `approval_sequence` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `config_detail_id` int(11) DEFAULT NULL,
  `empid` int(11) DEFAULT NULL,
  `assist_id` int(11) DEFAULT NULL,
  `approval_priority` tinyint(4) DEFAULT NULL,
  `approval_text` char(15) DEFAULT 'Approve',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=latin1;

DELETE FROM `approval_sequence`;
/*!40000 ALTER TABLE `approval_sequence` DISABLE KEYS */;
INSERT INTO `approval_sequence` (`id`, `config_detail_id`, `empid`, `assist_id`, `approval_priority`, `approval_text`) VALUES
	(1, 1, 55572, 6, 1, 'Recommend'),
	(2, 1, 56193, 2, 2, 'Approve'),
	(3, 6, 55572, 6, 1, 'Recommend'),
	(4, 6, 56193, 2, 2, 'Approve'),
	(5, 11, 55572, 6, 1, 'Recommend'),
	(6, 11, 56193, 2, 2, 'Approve'),
	(7, 3, 55572, 6, 1, 'Recommend'),
	(8, 3, 56193, 2, 2, 'Approve'),
	(9, 8, 55572, 6, 1, 'Recommend'),
	(10, 8, 56193, 2, 2, 'Approve'),
	(11, 13, 55572, 6, 1, 'Recommend'),
	(12, 13, 56193, 2, 2, 'Approve'),
	(13, 19, 55572, 6, 1, 'recommended'),
	(14, 19, 56193, 2, 2, 'approved'),
	(15, 21, 55572, 6, 1, 'Recommend'),
	(16, 21, 56193, 2, 2, 'Approve'),
	(17, 23, 55572, 6, 1, 'Recommend'),
	(18, 23, 56193, 2, 2, 'Approve'),
	(19, 24, 55572, 6, 1, 'Recommend'),
	(20, 24, 56193, 2, 2, 'Approve'),
	(21, 22, 55572, 6, 1, 'Recommend'),
	(22, 22, 56193, 2, 2, 'Approve');
/*!40000 ALTER TABLE `approval_sequence` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `user_roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `group_role_id` int(11) NOT NULL,
  `role_id` int(11) NOT NULL,
  `cid` int(11) NOT NULL DEFAULT '48',
  `status` int(11) NOT NULL DEFAULT '1',
  `created_at` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `updated_by` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=173 DEFAULT CHARSET=utf8;

DELETE FROM `user_roles`;
/*!40000 ALTER TABLE `user_roles` DISABLE KEYS */;
INSERT INTO `user_roles` (`id`, `user_id`, `group_role_id`, `role_id`, `cid`, `status`, `created_at`, `created_by`, `updated_at`, `updated_by`) VALUES
	(1, 17275, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(2, 17278, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(3, 17282, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(4, 17286, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(5, 17337, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(6, 17338, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(7, 17377, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(8, 17474, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(9, 17780, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(10, 17791, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(11, 18043, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(12, 18150, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(13, 40255, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(14, 40256, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(15, 41545, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(16, 51873, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(17, 51881, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(18, 51886, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(19, 51948, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(20, 51949, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(21, 51991, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(22, 52107, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(23, 52284, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(24, 53118, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(25, 53130, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(26, 53142, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(27, 53205, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(28, 55167, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(29, 55202, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(30, 55316, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(31, 55318, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(32, 55319, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(33, 55499, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(34, 55572, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(35, 56031, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(36, 56193, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(37, 56195, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(38, 56230, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(39, 56231, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(40, 56307, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(41, 56390, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(42, 56571, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(43, 56651, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(44, 56700, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(45, 56730, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(46, 56733, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(47, 56739, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(48, 56776, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(49, 56777, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(50, 56830, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(51, 56877, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(52, 56878, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(53, 56922, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(54, 56924, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(55, 57523, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(56, 57560, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(57, 57585, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(58, 57787, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(59, 58381, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(60, 58411, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(61, 58443, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(62, 58446, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(63, 58448, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(64, 58449, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(65, 58451, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(66, 58452, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(67, 58455, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(68, 58458, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(69, 58459, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(70, 58460, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(71, 58462, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(72, 58463, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(73, 58464, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(74, 58465, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(75, 58466, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(76, 58472, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(77, 58474, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(78, 58475, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(79, 58476, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(80, 58477, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(81, 58479, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(82, 58480, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(83, 58481, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(128, 55167, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(129, 56288, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(130, 17282, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(131, 55573, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(132, 17338, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(133, 17780, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(134, 18150, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(135, 17278, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(136, 36877, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(137, 55572, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(138, 18043, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(139, 49219, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(140, 51881, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(141, 57523, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(142, 17791, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(143, 17474, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(144, 56193, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(145, 56387, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(146, 58443, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(147, 58452, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(148, 58455, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(149, 58465, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(150, 53205, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(159, 57523, 3, 3, 48, 1, NULL, NULL, NULL, NULL),
	(160, 17282, 5, 5, 48, 1, NULL, NULL, NULL, NULL),
	(161, 55572, 3, 3, 48, 1, NULL, NULL, NULL, NULL),
	(162, 56193, 3, 3, 48, 1, NULL, NULL, NULL, NULL),
	(163, 17730, 3, 3, 48, 1, NULL, NULL, NULL, NULL),
	(164, 58443, 3, 3, 48, 1, NULL, NULL, NULL, NULL),
	(166, 58484, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(167, 58486, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(168, 58499, 1, 1, 48, 1, NULL, NULL, NULL, NULL),
	(169, 58499, 2, 2, 48, 1, NULL, NULL, NULL, NULL),
	(170, 58499, 3, 3, 48, 1, NULL, NULL, NULL, NULL),
	(171, 58499, 8, 4, 48, 1, NULL, NULL, NULL, NULL),
	(172, 56193, 5, 5, 48, 1, NULL, NULL, NULL, NULL);
/*!40000 ALTER TABLE `user_roles` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IFNULL(@OLD_FOREIGN_KEY_CHECKS, 1) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40111 SET SQL_NOTES=IFNULL(@OLD_SQL_NOTES, 1) */;
