-- --------------------------------------------------------
-- Host:                         192.168.99.231
-- Server version:               5.7.33 - MySQL Community Server (GPL)
-- Server OS:                    Linux
-- HeidiSQL Version:             11.3.0.6295
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

-- Dumping structure for table questionnaire
CREATE TABLE IF NOT EXISTS `questionnaire` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `questionnare_type` varchar(20) DEFAULT NULL,
  `status` varchar(10),
  `attemted_by` JSON,
  `created_at` datetime DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `questions` JSON,
  PRIMARY KEY (`id`)
  -- INDEX ques_id(question_id),
  -- FOREIGN KEY (question_id) 
  --       REFERENCES question(id)
  --       ON DELETE CASCADE
  );

-- Dumping structure for table 
CREATE TABLE IF NOT EXISTS `question` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `text`varchar(150),
  `questionnaire_id` int(11) ,
  `answers` JSON,
  `savedAnswer` int(11),
  `created_at` datetime DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
   INDEX ques_id(questionnaire_id),
  FOREIGN KEY (questionnaire_id) 
        REFERENCES questionnaire(id)
        ON DELETE CASCADE
 
  -- INDEX ans_id(answer_id),
  -- FOREIGN KEY (answer_id)
  --     REFERENCES answer(id)
  --     ON DELETE CASCADE
);



-- Dumping structure for table 
-- CREATE TABLE IF NOT EXISTS `answer` (
--   `id` int(11) NOT NULL AUTO_INCREMENT,
--   `text`varchar(10),
--   `question_id`int(11),
--   `created_at` datetime DEFAULT NULL,
--   `updated_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
--   PRIMARY KEY (`id`),
--   INDEX question_id(question_id),
--   FOREIGN KEY (question_id)
--       REFERENCES question(id)
--       ON DELETE CASCADE
-- );


-- Dumping structure for table 
CREATE TABLE IF NOT EXISTS `training_request` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `training_id` int(11),
  `request_type` enum('withdrawl','enroll') DEFAULT NULL,
  `reason` varchar(150),
  `requested_by` int(11),
  `lm_remarks` varchar(150),
  `hr_remarks` varchar(150),
  `status` enum('pending','approve','disapprove') DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,  
  PRIMARY KEY (`id`),
  INDEX training_id(training_id),
  FOREIGN KEY (training_id)
      REFERENCES training_program(id)
      ON DELETE CASCADE
);


-- Dumping structure for table 
CREATE TABLE IF NOT EXISTS `external_training_request` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category` enum('occupational','competency') DEFAULT NULL,
  `name` varchar(20) DEFAULT NULL,
  `reason` varchar(150) DEFAULT NULL,
  `training_type` varchar(20) DEFAULT NULL,
  `vendor_premises` varchar(20) DEFAULT NULL,
  `from` varchar(50) DEFAULT NULL,
  `to` varchar(50) DEFAULT NULL,
  `url` varchar(50) DEFAULT NULL,
  `requested_by` int(11) DEFAULT NULL,
  `status` varchar(50) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,  
  PRIMARY KEY (`id`)
);


-- Dumping structure for table 
CREATE TABLE IF NOT EXISTS `video` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `text` varchar(50) NOT NULL,
  `breif_text` varchar(255) DEFAULT NULL,
  `duration`int(11),
  `video` JSON,
  `thumbnail` varchar(255),
  `created_at` datetime DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP, 
  `type` varchar(50),
  `program_id` int(11),
  PRIMARY KEY (`id`)
);

-- Dumping structure for table 
CREATE TABLE IF NOT EXISTS `orientation_program` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL,
  `body` varchar(255) DEFAULT NULL,
  `image` varchar(255),
  `videos` JSON,
  `created_at` datetime DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,  
  PRIMARY KEY (`id`)
  -- INDEX vid_id(video_id),
  -- FOREIGN KEY (video_id)
  --     REFERENCES video(id)
  --     ON DELETE CASCADE
);

-- Dumping structure for table 
CREATE TABLE IF NOT EXISTS `training_program` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `type` varchar(50) NOT NULL,
  `category` varchar(50) NOT NULL,
  `training_type` varchar(50) NOT NULL,
  `skill` varchar(50) NOT NULL,
  `competencies_level` varchar(50) NOT NULL,
  `trainer` varchar(255) NOT NULL,
  `venu` varchar(50) NOT NULL,
  `vendor_premesis` varchar(150) NOT NULL,
  `url` varchar(150) NOT NULL,
  `image` varchar(255),
  `job_family` varchar(150) NOT NULL,
  `description` varchar(150) NOT NULL,
  `purpose_of_training` varchar(150) NOT NULL,
  `course_outline` varchar(255) NOT NULL,
  `department_id` int(11) DEFAULT NULL,
  `band_id`int(11) DEFAULT NULL,
  `time`datetime DEFAULT NULL,
  `assigned_by` int(11) DEFAULT NULL,
  `status` varchar(50) ,
  `created_at` datetime DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,  
  `enrolled_participants` JSON,
  PRIMARY KEY (`id`),
  INDEX band_id(band_id),
  FOREIGN KEY (band_id)
      REFERENCES employee_bands(id)
      ON DELETE CASCADE
);

 -- Create a new table for connecting questionnaire id with program id
 CREATE TABLE IF NOT EXISTS `program_questionnaire` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(50) NOT NULL,
  `program_id`int(11),
  `questionnaire_id`int(11),
  `created_at` datetime DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,  
  PRIMARY KEY (`id`)
);

/* Insertion and updation queries*/
/* ALTER TABLE `training_program` DISABLE KEYS */;
INSERT INTO `training_program` (`id`, `name`, `type`, `category`, `training_type`, `skill`, `competencies_level`, `trainer`, `venu`, `vendor_premesis`, `url`, `image`, `job_family`, `description`, `purpose_of_training`,`course_outline`,`department_id`,`band_id`,`time`,`assigned_by`,`status`,`created_at`,`updated_at`) VALUES
	(2, 'Business Communication', 'training', 'Occupational', 'Webinar', 'React', 'beginner', 'djhhdbjhv', 'People - HO', 'in-House', 'xcvvdv', 'dsvsvsdv', 'Professional', 'hfsehfkwbsvkjbeiksves','hfbhvvejffe','dcjnbvkbvkejbve',7,90,NULL,17282,NULL,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
	(3, 'Non-Verbal Communication', 'training', 'Occupational', 'Webinar', 'React', 'beginner', 'djhhdbjhv', 'People - HO', 'in-House', 'xcvvdv', 'dsvsvsdv', 'Professional', 'hfsehfkwbsvkjbeiksves','hfbhvvejffe','dcjnbvkbvkejbve',7,90,NULL,17282,NULL,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
	(4, 'MS Word MS Excel', 'training', 'Occupational', 'Webinar', 'React', 'beginner', 'djhhdbjhv', 'People - HO', 'in-House', 'xcvvdv', 'dsvsvsdv', 'Professional', 'hfsehfkwbsvkjbeiksves','hfbhvvejffe','dcjnbvkbvkejbve',7,90,NULL,17282,NULL,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
	(5, 'Time Management', 'training', 'Occupational', 'Webinar', 'React', 'beginner', 'djhhdbjhv', 'People - HO', 'in-House', 'xcvvdv', 'dsvsvsdv', 'Professional', 'hfsehfkwbsvkjbeiksves','hfbhvvejffe','dcjnbvkbvkejbve',7,90,NULL,17282,NULL,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
	(6, 'Sales Management', 'training', 'Occupational', 'Webinar', 'React', 'beginner', 'djhhdbjhv', 'People - HO', 'in-House', 'xcvvdv', 'dsvsvsdv', 'Professional', 'hfsehfkwbsvkjbeiksves','hfbhvvejffe','dcjnbvkbvkejbve',7,90,NULL,17282,NULL,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
	(7, 'Peachtree Training', 'training', 'Occupational', 'Webinar', 'React', 'beginner', 'djhhdbjhv', 'People - HO', 'in-House', 'xcvvdv', 'dsvsvsdv', 'Professional', 'hfsehfkwbsvkjbeiksves','hfbhvvejffe','dcjnbvkbvkejbve',7,90,NULL,17282,NULL,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
	(8, 'Team Management', 'training', 'Occupational', 'Webinar', 'React', 'beginner', 'djhhdbjhv', 'People - HO', 'in-House', 'xcvvdv', 'dsvsvsdv', 'Professional', 'hfsehfkwbsvkjbeiksves','hfbhvvejffe','dcjnbvkbvkejbve',7,90,NULL,17282,NULL,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
	(9, 'Communication Skills', 'training', 'Occupational', 'Webinar', 'React', 'beginner', 'djhhdbjhv', 'People - HO', 'in-House', 'xcvvdv', 'dsvsvsdv', 'Professional', 'hfsehfkwbsvkjbeiksves','hfbhvvejffe','dcjnbvkbvkejbve',7,90,NULL,17282,NULL,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
	(10, 'HR Metrics', 'training', 'Occupational', 'Webinar', 'React', 'beginner', 'djhhdbjhv', 'People - HO', 'in-House', 'xcvvdv', 'dsvsvsdv', 'Professional', 'hfsehfkwbsvkjbeiksves','hfbhvvejffe','dcjnbvkbvkejbve',7,90,NULL,17282,NULL,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
	(16, 'Business Communication', 'training', 'Occupational', 'Webinar', 'React', 'beginner', 'djhhdbjhv', 'People - HO', 'in-House', 'xcvvdv', 'dsvsvsdv', 'Professional', 'hfsehfkwbsvkjbeiksves','hfbhvvejffe','dcjnbvkbvkejbve',7,90,NULL,17282,NULL,'2020-10-10 11:34:09','2020-10-10 11:34:09');
/*ALTER TABLE `training_program` ENABLE KEYS */

INSERT INTO `program_questionnaire` (`id`,`type`,`program_id`,`questionnaire_id`,`created_at`,`updated_at`) VALUES
(1,'training',1,1,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(2,'training',1,2,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(3,'training',1,3,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(4,'training',2,1,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(5,'training',2,2,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(6,'training',2,3,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(7,'training',3,1,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(8,'training',3,2,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(9,'training',3,3,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(10,'training',4,1,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(11,'training',4,2,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(12,'training',4,3,'2020-10-10 11:34:09','2020-10-10 11:34:09');

INSERT INTO `question` (`id`,`text`,`questionnaire_id`,`answers`,`savedAnswer`,`created_at`,`updated_at`) VALUES
(1,'How many annual leave you can avail in a fiscal yeaar',null,'[{"id":"1","text":"14 Calendar days"},{"id":"2","text":"14 Working days"},{"id":"3","text":"08 Calendar days"},{"id":"4","text":"21 Calendar days"}]',null,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(2,'How many monthly leave you can avail in a fiscal yeaar',null,'[{"id":"1","text":"14 Calendar days"},{"id":"2","text":"14 Working days"},{"id":"3","text":"08 Calendar days"},{"id":"4","text":"21 Calendar days"}]',null,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(3,'How many weekly leave you can avail in a fiscal yeaar',null,'[{"id":"1","text":"14 Calendar days"},{"id":"2","text":"14 Working days"},{"id":"3","text":"08 Calendar days"},{"id":"4","text":"21 Calendar days"}]',null,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(4,'How many annual unpaid leave you can avail in a fiscal yeaar',null,'[{"id":"1","text":"14 Calendar days"},{"id":"2","text":"14 Working days"},{"id":"3","text":"08 Calendar days"},{"id":"4","text":"21 Calendar days"}]',null,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(5,'How many monthly unpaid leave you can avail in a fiscal yeaar',null,'[{"id":"1","text":"14 Calendar days"},{"id":"2","text":"14 Working days"},{"id":"3","text":"08 Calendar days"},{"id":"4","text":"21 Calendar days"}]',null,'2020-10-10 11:34:09','2020-10-10 11:34:09');


INSERT INTO `questionnaire` (`id`,`questionnare_type`,`questions`,`status`,`attemted_by`,`created_at`,`updated_at`) VALUES
(1,'pre',null,null,null,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(2,'mid',null,null,null,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(3,'post',null,null,null,'2020-10-10 11:34:09','2020-10-10 11:34:09');

update questionnaire set questions = '[
  {"id": 1,"text": "How many annual leave you can avail in a fiscal yeaar","questionnaire_id": 1,"savedAnswer": null,"created_at": "2020-10-10T06:34:09.000Z","updated_at": "2022-06-01T12:57:26.000Z",
  "answers":
   "[{"id":"1","text":"14 Calendar days"},{"id":"2","text":"14 Working days"}, {"id": "3","text": "08 Calendar days"}, {"id": "4", "text": "21 Calendar days"}]"
   }
   ,
   {"id": 4,"text": "How many annual unpaid leave you can avail in a fiscal yeaar","questionnaire_id": 1,"savedAnswer": null,"created_at": "2020-10-10T06:34:09.000Z","updated_at": "2022-06-01T12:58:23.000Z",
   "answers": 
   "[{"id": "1", "text": "14 Calendar days"}, {"id": "2", "text": "14 Working days"}, {"id": "3", "text": "08 Calendar days"}, {"id": "4", "text": "21 Calendar days"}]"
   }
   ]' where id = 1;

UPDATE `training_program` SET `enrolled_participants` = '[{"id":"17268","name":"Ahmad Hassan"},{"id":"17269","name":"Ahmad Naveed"},{"id":"17270","name":"Ahmed Zulqurnain"},{"id":"17272","name":"Arshad Amin Saddiqui"},{"id":"17275","name":"Aziz Muhammad"}]' WHERE id =1;
UPDATE `training_program` SET `enrolled_participants` = '[{"id":"17268","name":"Ahmad Hassan"},{"id":"17269","name":"Ahmad Naveed"},{"id":"17270","name":"Ahmed Zulqurnain"},{"id":"17272","name":"Arshad Amin Saddiqui"},{"id":"17275","name":"Aziz Muhammad"}]' WHERE id =2;
UPDATE `training_program` SET `enrolled_participants` = '[{"id":"17268","name":"Ahmad Hassan"},{"id":"17269","name":"Ahmad Naveed"},{"id":"17270","name":"Ahmed Zulqurnain"},{"id":"17272","name":"Arshad Amin Saddiqui"},{"id":"17275","name":"Aziz Muhammad"}]' WHERE id =3;
UPDATE `training_program` SET `enrolled_participants` = '[{"id":"17268","name":"Ahmad Hassan"},{"id":"17269","name":"Ahmad Naveed"},{"id":"17270","name":"Ahmed Zulqurnain"},{"id":"17272","name":"Arshad Amin Saddiqui"},{"id":"17275","name":"Aziz Muhammad"}]' WHERE id =4;
UPDATE `training_program` SET `enrolled_participants` = '[{"id":"17268","name":"Ahmad Hassan"},{"id":"17269","name":"Ahmad Naveed"},{"id":"17270","name":"Ahmed Zulqurnain"},{"id":"17272","name":"Arshad Amin Saddiqui"},{"id":"17275","name":"Aziz Muhammad"}]' WHERE id =5;
UPDATE `training_program` SET `enrolled_participants` = '[{"id":"17268","name":"Ahmad Hassan"},{"id":"17269","name":"Ahmad Naveed"},{"id":"17270","name":"Ahmed Zulqurnain"},{"id":"17272","name":"Arshad Amin Saddiqui"},{"id":"17275","name":"Aziz Muhammad"}]' WHERE id =6;
UPDATE `training_program` SET `enrolled_participants` = '[{"id":"17268","name":"Ahmad Hassan"},{"id":"17269","name":"Ahmad Naveed"},{"id":"17270","name":"Ahmed Zulqurnain"},{"id":"17272","name":"Arshad Amin Saddiqui"},{"id":"17275","name":"Aziz Muhammad"}]' WHERE id =7;
UPDATE `training_program` SET `enrolled_participants` = '[{"id":"17268","name":"Ahmad Hassan"},{"id":"17269","name":"Ahmad Naveed"},{"id":"17270","name":"Ahmed Zulqurnain"},{"id":"17272","name":"Arshad Amin Saddiqui"},{"id":"17275","name":"Aziz Muhammad"}]' WHERE id =8;
UPDATE `training_program` SET `enrolled_participants` = '[{"id":"17268","name":"Ahmad Hassan"},{"id":"17269","name":"Ahmad Naveed"},{"id":"17270","name":"Ahmed Zulqurnain"},{"id":"17272","name":"Arshad Amin Saddiqui"},{"id":"17275","name":"Aziz Muhammad"}]' WHERE id =9;
UPDATE `training_program` SET `enrolled_participants` = '[{"id":"17268","name":"Ahmad Hassan"},{"id":"17269","name":"Ahmad Naveed"},{"id":"17270","name":"Ahmed Zulqurnain"},{"id":"17272","name":"Arshad Amin Saddiqui"},{"id":"17275","name":"Aziz Muhammad"}]' WHERE id =10;
UPDATE `training_program` SET `enrolled_participants` = '[{"id":"17268","name":"Ahmad Hassan"},{"id":"17269","name":"Ahmad Naveed"},{"id":"17270","name":"Ahmed Zulqurnain"},{"id":"17272","name":"Arshad Amin Saddiqui"},{"id":"17275","name":"Aziz Muhammad"}]' WHERE id =11;


INSERT INTO `video` (`id`,`text`,`breif_text`,`duration`,`video`,`thumbnail`,`training_id`,`orientation_id`,`created_at`,`updated_at`) VALUES 
(7,'Vision','Introduction','11','[{"id":"1","url":"https://www.youtube.com/watch?v=O7cFDIB158U"},{"id":"2","url":"https://www.youtube.com/watch?v=O7cFDIB158U"},{"id":"3","url":"https://www.youtube.com/watch?v=O7cFDIB158U"}]','sshvfdbvesnd',3,null,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(8,'Mission','Introduction','11','[{"id":"1","url":"https://www.youtube.com/watch?v=O7cFDIB158U"},{"id":"2","url":"https://www.youtube.com/watch?v=O7cFDIB158U"},{"id":"3","url":"https://www.youtube.com/watch?v=O7cFDIB158U"}]','sshvfdbvesnd',3,null,'2020-10-10 11:34:09','2020-10-10 11:34:09'),
(9,'History','Introduction','11','[{"id":"1","url":"https://www.youtube.com/watch?v=O7cFDIB158U"},{"id":"2","url":"https://www.youtube.com/watch?v=O7cFDIB158U"},{"id":"3","url":"https://www.youtube.com/watch?v=O7cFDIB158U"}]','sshvfdbvesnd',3,null,'2020-10-10 11:34:09','2020-10-10 11:34:09');

 INSERT into `group_role_menu`(`id`,`menus_id`,`group_role_id`,`component_name`,`file_name`,`description`,`delete`,`right`,`update`,`view`,`portal_type`,`status`)VALUES
('646','240','3','emp_training_calendar',null,null,null,null,null,null,null,'1'),
('647','241','3','emp_TNA',null,null,null,null,null,null,null,'1'),
('648','242','3','emp_traning_programs',null,null,null,null,null,null,null,'1'),
('649','243','3','emp_orientation',null,null,null,null,null,null,null,'1'),
('650','244','3',null,null,null,null,null,null,null,null,'1'),
('651','240','1','emp_training_calendar',null,null,null,null,null,null,null,'1'),
('652','240','2','emp_training_calendar',null,null,null,null,null,null,null,'1'),
('653','241','1','emp_TNA',null,null,null,null,null,null,null,'1'),
('654','241','2','emp_TNA',null,null,null,null,null,null,null,'1'),
('655','242','1','emp_traning_programs',null,null,null,null,null,null,null,'1'),
('656','242','2','emp_traning_programs',null,null,null,null,null,null,null,'1'),
('657','243','1','emp_orientation',null,null,null,null,null,null,null,'1'),
('658','243','2','emp_orientation',null,null,null,null,null,null,null,'1'),
('659','244','1',null,null,null,null,null,null,null,null,'1'),
('660','244','2',null,null,null,null,null,null,null,null,'1');

update `group_role_menu` set `component_name` = 'hr_training_development',`status` = 1 WHERE `menus_id` =51;
