const Auth      =   require('../model/Auth').Auth;
const Employee  =   require('../model/Employee').Employee;
const jwt       =   require("jsonwebtoken");
const md5       =   require('md5');

class AuthController {

    login() {

        let auth = new Auth();

        return (req, res) => {

            let uName = req.body.email;
            let uSecret = req.body.password;
            let uType = req.body.type;

            const loginRedirect = "portals";

            if(typeof uType != 'undefined' && uType != null && uType != false) {

                let decryptedName = uName;
                let decryptedPassword = md5(uSecret);
        
                auth.checkUser(decryptedName, decryptedPassword).then( (result) => {
        
                    if(result.response == true) {

                        const user = {
                            id: result.id,
                            username: result.email,
                            email: result.email,
                            client_id: result.client_id,
                        }
        
                        jwt.sign( { user }, global.config.key, { expiresIn: '1h' }, (err, token) => {
        
                            var employee = new Employee();
        
                            employee.saveEmployee(result.id, token, (err) => {
                                
                                if (!err) {

                                    token = global.config.bearer+" "+token;

                                    res.json({
                                        token,
                                        success: true,
                                        message: "user logged in successfully!",
                                        result: {
                                            response: true,
                                            e_number: result.id,
                                            e_code: result.empcode,
                                            emp_name: result.emp_name,
                                            destination: loginRedirect,
                                            portal: false,
                                            client_id: result.client_id,
                                        }
                                    });
        
                                }
                                else {
        
                                    res.json(err);
                                    
                                }
        
                            });
                    
                        });
            
                    }
                    else {
                        res.json({
                            success: false,
                            result
                        });
                    }
            
                });
        
            }
            else {
        
                auth.accessUser( uName ).then( (result) => {
                    if(result.length > 0) {
        
                        let username = result[0].username;
                        
                        let secret = result[0].secret;
        
                        let destination = result[0].destination;
        
                        let portal = result[0].portal;
        
                        auth.checkUser(username, secret).then( (result) => {
                            if(result.response == true) {
        
                                const user = {
                                    id: result.id,
                                    username: result.email,
                                    email: result.email,
                                    client_id: result.client_id,
                                }
                            
                                jwt.sign( { user }, global.config.key, { expiresIn: '1h' }, (err, token) => {
                            
                                    var employee = new Employee();
        
                                    employee.saveEmployee(result.id, token, (err) => {
                                        
                                        if (!err) {

                                            token = global.config.bearer+" "+token;
        
                                            res.json({
                                                token,
                                                success: true,
                                                message: "user logged in successfully!",
                                                result: {
                                                    response: true,
                                                    e_number: result.id,
                                                    e_code: result.empcode,
                                                    emp_name: result.emp_name,
                                                    destination: destination,
                                                    portal: portal,
                                                    client_id: result.client_id,
                                                }
                                            });
        
                                        }
                                        else {
        
                                            res.json(err);
                                            
                                        }
        
                                    });
        
                                });
                    
                            }
                            else {
                                res.json({
                                    success: false,
                                    result
                                });
                            }
        
                        });
                    }
                    else {
                        res.json({
                            success: false,
                            'message': 'user not found',
                        });
                    }
                });
        
            }

        }

    }

    verifyLogin() {

        return (req, res) => {

            console.log("hello world");

            let token = req.body.token;

            let concatToken = token.split(" ");

            if(concatToken.length > 0) {

                jwt.verify(concatToken.pop(), global.config.key, (err, authData) => {

                    console.log(authData);

                    if( err ) {
                        res.json({
                            err,
                            success: false,
                            message: "system cannot find user loggedin",
                            token: false,
                            data: []
                        });
                    }
                    else {
    
                        res.json({
                            success: true,
                            message: "user logged in verify",
                            token: token,
                            data: [{"emp_code": authData.user.id}]
                        });
    
                    }
    
                });

            }
            else {

                res.json({
                    err,
                    success: false,
                    message: "system cannot find user loggedin",
                    token: false,
                });

            }

        }

    }

    seamlessLogin() {

        let auth = new Auth();

        return (req, res) => {

            const employeeId    =   (req.body.employeeId != '' && req.body.employeeId != null) 
                                        ? Number(req.body.employeeId) : '';
            const source        =   (req.body.sourceRequest != '' && req.body.sourceRequest != null) 
                                        ? req.body.sourceRequest: '';
            const destination   =   (req.body.destinationRequest != '' && req.body.destinationRequest != null) 
                                        ? req.body.destinationRequest : '';
            const portal        =   (req.body.portal != '' && req.body.portal != null) 
                                        ? req.body.portal : '';
            const extraParams   =   (req.body.extraParams != '' && req.body.extraParams != null) 
                                        ? req.body.extraParams : '';
            const remoteAddr    =   req.connection.remoteAddress;
            const agent         =   req.headers['user-agent'];

            auth.checkSeamlessLogin(employeeId).then((result) => {

                if(result == false) {

                    res.status(403).send("Invalid Request Sent");

                }else {

                    if(result.length == 0) {
                        
                        auth.insertUserData(source, destination, portal, remoteAddr, agent,
                            employeeId, '1', 'CURRENT_TIMESTAMP', extraParams)
                            .then( (result) => {
                                
                                res.status(200).send(result);

                            });

                    }
                    else {

                        auth.updateUserData(source, destination, portal, remoteAddr, agent,
                                employeeId, '1', 'CURRENT_TIMESTAMP', extraParams)
                            .then( (result) => {

                                res.status(200).send(result);

                            });

                    }

                }

            });

        }

    }

}

exports.AuthController = AuthController;