const express = require('express');
const router = express.Router();
const AuthController = require('./controller/AuthController').AuthController;
const AuthValidator = require('./validations/AuthValidation');
const { validate } = require("express-validation");

router.post( "/login", validate(AuthValidator.AuthValidation, {}, {}), 
new AuthController().login() );
router.post( "/verifyLogin",
new AuthController().verifyLogin() );
router.post( "/seamless_login", new AuthController().seamlessLogin() );

module.exports = router;