const { validate, ValidationError, Joi } = require('express-validation');

module.exports.AuthValidation = {
    body: Joi.object({
        email: Joi.string().email().trim(false).not().empty().required()
              .messages({
                "string.pattern.base":"Invalid Email Provided",
                "string.pattern.invert.base":"Invalid Email Provided",
                "string.pattern.invert.name":"Invalid Email Provided",
                }),
        type: Joi.string().trim(false).pattern(/^[0-9 ,]+$/)
              .not().empty().required()
              .messages({
                "string.pattern.base":"Invalid Type Provided",
                "string.pattern.invert.base":"Invalid Type Provided",
                "string.pattern.invert.name":"Invalid Type Provided",
              }),
        password: Joi.string().trim(false).not().empty().required()
        .messages({
          "string.pattern.base":"Invalid Password Provided",
          "string.pattern.invert.base":"Invalid Password Provided",
          "string.pattern.invert.name":"Invalid Password Provided",
        }),
    }),
  };
  
  module.exports.TokenValidation = {
    body: Joi.object({
      token: Joi.string().trim(false).pattern(/\s+/).not().empty().required()
              .messages({
                "string.pattern.base":"Invalid Token Provided",
                "string.pattern.invert.base":"Invalid Token Provided",
                "string.pattern.invert.name":"Invalid Token Provided",
                }),
    })
  };