class GeneralApisData {

    //to get Employee information by Employee code or email
    async getEmployeeInfoByCodeOrEmail(emp_code, email) {
        try {
          let query = `SELECT
               pe.name
              ,pe.status AS employment_status
              ,pe.dob
              ,ped.gender
              ,pe.loginname AS email
              ,pe.cell_number 
              ,pcd.designation_name
              ,pe.emp_band
              ,dh.department_name
              ,pcl.loc_desc AS branch
              ,pe.empcode 
              ,ped.employeeno AS client_code
              ,pe.doj 
              ,prd.description AS employment_type
              ,pe.picture   
              FROM proll_employee pe
              LEFT JOIN proll_client_designation pcd ON pe.designation = pcd.designation_id
              LEFT JOIN department_hierarchy dh ON pe.department_id = dh.id
              LEFT JOIN proll_employee_detail ped ON pe.id = ped.empid
              LEFT JOIN proll_reference_data prd ON pe.contract_status = prd.id
              LEFT JOIN proll_client_location pcl ON pe.loc_id = pcl.loc_id
              WHERE pe.empcode = '${emp_code}'
              OR pe.loginname = '${email}'`;
    
          let result = global.db.runPoolQuery(query);
          return result;
        } catch (error) {
          console.log(error);
          return error;
        } finally {
          
        }
      }
    
      //to get Employee Contact info by Employee code
      async getEmployeeContactInfoByCode(emp_code) {
        try {
          let query = `SELECT
                pe.name 
               ,ped.gender
               ,pe.loginname AS email
               ,pe.cell_number 
               ,pe.picture
               FROM proll_employee pe
               LEFT JOIN proll_employee_detail ped ON pe.id = ped.empid
               WHERE pe.empcode ='${emp_code}'`;
    
          let result = global.db.runPoolQuery(query);
          return result;
        } catch (error) {
          console.log(error);
          return error;
        } finally {
          
          
        }
      }
    
      //to Get Direct Employee List by LM
      async getDirectEmployeeListByLm(emp_code) {
        try {
          let query = `SELECT 
          pe.name
         ,dh.department_name
         ,pe.loginname AS email
         ,pcd.designation_name
         ,pe.cell_number
         ,pe.picture
         FROM proll_employee pe
         LEFT JOIN department_hierarchy dh ON pe.department_id = dh.id
         LEFT JOIN proll_client_designation pcd ON pe.designation = pcd.designation_id
         WHERE pe.dept_id = (
         SELECT pdm.id
         FROM proll_department_managers pdm
         WHERE pdm.empid = (
         SELECT ped.empid
         FROM proll_employee_detail ped
         WHERE ped.empcode = ${emp_code}
         ))`;
    
          let result = global.db.runPoolQuery(query);
          return result;
        } catch (error) {
          console.log(error);
          return error;
        } finally {
          
          
        }
      }
    
      //to get employee all LMs List by Employee Code
      async getEmployeeAllLmListByEmpCode(emp_code) {
        try {
          let query = `SELECT CASE WHEN
          (SELECT pe.second_reporting_to_id FROM proll_employee pe WHERE pe.empcode = ${emp_code}) = 0 
      AND 	(SELECT pe.reporting_to_id FROM proll_employee pe WHERE pe.empcode = ${emp_code}) = 0 
     THEN 'FIRST LM' 
     WHEN
          (SELECT pe.second_reporting_to_id FROM proll_employee pe WHERE pe.empcode = ${emp_code}) != 0 
      OR  	(SELECT pe.reporting_to_id FROM proll_employee pe WHERE pe.empcode = ${emp_code}) != 0 
    THEN 'SECOND LM'
    WHEN
          (SELECT pe.second_reporting_to_id FROM proll_employee pe WHERE pe.empcode = ${emp_code}) != 0 
      AND  (SELECT pe.reporting_to_id FROM proll_employee pe WHERE pe.empcode = ${emp_code}) != 0 
    THEN 'THIRD LM'
    END AS lm_level
     ,pdm.line_manager
     ,pe.reporting_to_id	
     ,dh.department_name	
     ,pdm.email
     ,pcd.designation_name
     ,pe.picture
    FROM proll_department_managers pdm
    LEFT JOIN department_hierarchy dh ON pdm.department_hierarchy_id = dh.id
    LEFT JOIN proll_employee pe ON pdm.empid = pe.id
    LEFT JOIN proll_client_designation pcd ON pe.designation = pcd.designation_id
    WHERE pdm.id =(
    SELECT pe.dept_id
    FROM proll_employee pe
    WHERE pe.empcode = ${emp_code}) UNION ALL
    SELECT 
     CASE WHEN
          (SELECT pe.second_reporting_to_id FROM proll_employee pe WHERE pe.empcode = ${emp_code}) = 0	 
      THEN 'FIRST LM' ELSE 'SECOND LM' END AS lm_level
    
     ,pdm.line_manager	
     ,pe.reporting_to_id
     ,dh.department_name	
     ,pdm.email
     ,pcd.designation_name
     ,pe.picture
    FROM proll_department_managers pdm
    LEFT JOIN department_hierarchy dh ON pdm.department_hierarchy_id = dh.id
    LEFT JOIN proll_employee pe ON pdm.empid = pe.id
    LEFT JOIN proll_client_designation pcd ON pe.designation = pcd.designation_id
    WHERE pdm.id =(
    SELECT pe.reporting_to_id
    FROM proll_employee pe
    WHERE pe.empcode = ${emp_code}) UNION ALL
    SELECT CASE WHEN pe.second_reporting_to_id != 0 THEN 'FIRST LM' ELSE 'NO LM' END AS lm_level
     ,pdm.line_manager
     ,pe.reporting_to_id	
     ,dh.department_name	
     ,pdm.email
     ,pcd.designation_name
     ,pe.picture
    FROM proll_department_managers pdm
    LEFT JOIN department_hierarchy dh ON pdm.department_hierarchy_id = dh.id
    LEFT JOIN proll_employee pe ON pdm.empid = pe.id
    LEFT JOIN proll_client_designation pcd ON pe.designation = 'pcd.designation_id'
    WHERE pdm.id =(
    SELECT pe.second_reporting_to_id
    FROM proll_employee pe
    WHERE pe.empcode = ${emp_code})`;
    
          return new Promise((resolve, reject) => {
            global.db.runPoolQuery(query)
              .then((result) => {
                //console.log(result);
                resolve(result);
              })
              .catch((err) => {
                //console.log(err);
                reject(err);
              });
          });
        } catch (error) {
          //console.log(error);
          //return error;
        } finally {
          
          
        }
      }
    
      //Get All Employee List by LM Level (LM emp code, Level value)
      async getAllEmployeesListByLmCode(emp_code) {
        try {
          let query = `SELECT 
          pe.name
          ,dh.department_name
          ,pe.loginname AS email
          ,pcd.designation_name
          ,pe.cell_number
          ,pe.picture
        FROM proll_employee pe
        LEFT JOIN department_hierarchy dh ON pe.department_id = dh.id
        LEFT JOIN proll_client_designation pcd ON pe.designation = pcd.designation_id
        WHERE pe.dept_id = (
        SELECT pdm.id
        FROM proll_department_managers pdm
        WHERE pdm.empcode = ${emp_code});`;
    
          return new Promise((resolve, reject) => {
            global.db.runPoolQuery(query)
              .then((result) => {
                //console.log(result);
                resolve(result);
              })
              .catch((err) => {
                //console.log(err);
                reject(err);
              });
          });
        } catch (error) {
          //console.log(error);
          //return error;
        } finally {
          
          
        }
      }
    
      //Get All Employee List by HR (HR emp code)
      async getAllEmployeesListByHrCode(emp_code) {
        try {
          let query = ` SELECT acb.branch_id FROM approval_config_branches acb WHERE acb.approval_role_config_id IN  (
            SELECT arc.id FROM approval_role_config arc WHERE arc.empid = (SELECT ped.empid FROM proll_employee_detail ped WHERE ped.empcode = ${emp_code})
            )`;
    
          return new Promise((resolve, reject) => {
            global.db.runPoolQuery(query)
              .then((result) => {
                let employeeQuery = ``;
                if (result.length > 0) {
                  for (let i = 0; i < result.length; i++) {
                    const element = result[i];
                    if (element["branch_id"] == -1) {
                      employeeQuery += `SELECT 
                      dh.department_name
                      ,pdm.line_manager
                      ,pe.name
                      ,pe.loginname AS email
                      ,pdc.designation_name
                      ,pe.cell_number
                      ,pe.picture
                     FROM proll_employee pe
                     LEFT JOIN department_hierarchy dh ON pe.department_id = dh.id
                     LEFT JOIN proll_client_designation pdc ON pe.designation = pdc.designation_id
                     LEFT JOIN proll_department_managers pdm ON pe.department_id = pdm.department_hierarchy_id
                     WHERE pe.loc_id IN (
                     SELECT pcl.loc_id
                     FROM proll_client_location pcl )`;
    
                      queryObj
                        .executeSelectQuery(employeeQuery)
                        .then((employeeResult) => {
                          resolve(employeeResult);
                        })
                        .catch((err) => {
                          //console.log(err);
                          reject(err);
                        });
    
                      break;
                    } else {
                    }
                  }
                }
                //console.log(query);
              })
              .catch((err) => {
                //console.log(err);
                reject(err);
              });
          });
        } catch (error) {
          //console.log(error);
          //return error;
        } finally {
          
          
        }
      }
    
      //Get Employee info by Geographical info
      async getEmployeeInfoByGeographicalInfo(
        country,
        province,
        city,
        branch,
        company,
        band,
        department
      ) {
        try {
          let query = `SELECT
          pe.name
          ,ped.gender
          ,pe.loginname AS email
          ,pe.cell_number
          ,pe.picture
          ,c.country
          ,s.name AS province
          ,pe.city
          ,pcl.loc_desc AS branch
          ,pc.companyname
          ,eb.band_desc
          ,dh.department_name
         FROM proll_employee pe
         LEFT JOIN proll_employee_detail ped ON pe.id = ped.empid
         LEFT JOIN proll_client_location pcl ON pe.loc_id = pcl.loc_id
         LEFT JOIN countries c ON pcl.country_id = c.country_id
         LEFT JOIN cities cty ON pcl.city_id = cty.id
         LEFT JOIN states s ON  cty.state_id = s.id
         LEFT JOIN proll_client pc ON pcl.cid = pc.id
         LEFT JOIN employee_bands eb ON pe.emp_band = eb.id
         LEFT JOIN department_hierarchy dh ON pe.department_id = dh.id  `;
          if (country !== null && country !== undefined) {
            query += ` WHERE c.country = '${country}'`;
          }
          if (province !== null && province !== undefined) {
            query += ` AND s.name = '${province}'`;
          }
          if (city !== null && city !== undefined) {
            query += ` AND cty.name = '${city}'`;
          }
          if (branch !== null && branch !== undefined) {
            query += ` AND pcl.loc_desc = '${branch}'`;
          }
          if (company !== null && company !== undefined) {
            query += ` AND pc.companyname = '${company}'`;
          }
          if (band !== null && band !== undefined) {
            query += ` AND eb.band_desc = '${band}'`;
          }
          if (department !== null && department !== undefined) {
            query += ` AND dh.department_name = '${department}'`;
          }
          console.log(query);
    
          return new Promise((resolve, reject) => {
            global.db.runPoolQuery(query)
              .then((result) => {
                resolve(result);
              })
              .catch((err) => {
                //console.log(err);
                reject(err);
              });
          });
        } catch (error) {
          //console.log(error);
          //return error;
        } finally {
          
          
        }
      }
    
      //Employee Verification (emp code, LM emp Code)
      async getEmployeeVerificationByLm(emp_code, lm_code) {
        try {
          let response = {};
          let empQuery = `SELECT 
          e.dept_id
          ,e.reporting_to_id
          ,e.second_reporting_to_id 
          FROM proll_employee e
          WHERE e.empcode = ${emp_code}`;
    
          let result = await global.db.runPoolQuery(empQuery);
          //console.log(result);
    
          if (result.length > 0) {
            let lmQuery = `SELECT pdm.id
            FROM proll_department_managers pdm
            WHERE pdm.empcode = ${lm_code}`;
    
            let lmResult = await global.db.runPoolQuery(lmQuery);
            // console.log(lmResult);
            if (lmResult.length > 0) {
              for (let i = 0; i < result.length; i++) {
                const element = result[i];
    
                for (let i = 0; i < lmResult.length; i++) {
                  const record = lmResult[i];
    
                  if (element["dept_id"] == record["id"]) {
                    response.verification = "Yes, This employee reports to This LM";
                  } else if (element["reporting_to_id"] == record["id"]) {
                    response.verification = "Yes, This employee reports to This LM";
                  } else if (element["second_reporting_to_id"] == record["id"]) {
                    response.verification = "Yes, This employee reports to This LM";
                  } else {
                    response.verification =
                      "No, This employee doesn't report to This LM";
                  }
                }
              }
            }
          }
    
          return response;
        } catch (error) {
          console.log(error);
          //return error;
        } finally {
          
          
        }
      }
    
      //Employee Verification (emp code, HR emp Code)
      async getEmployeeVerificationByHr(emp_code, hr_code) {
        try {
          let response = {};
          let hrQuery = ` SELECT acb.branch_id FROM approval_config_branches acb WHERE acb.approval_role_config_id IN  (
            SELECT arc.id FROM approval_role_config arc WHERE arc.empid = (SELECT ped.empid FROM proll_employee_detail ped WHERE ped.empcode = ${hr_code})
            )`;
    
          let result = await global.db.runPoolQuery(hrQuery);
          //console.log(result);
          let empResult;
          if (result.length > 0) {
            let empQuery = `SELECT 
            pe.loc_id
            FROM proll_employee pe 
            WHERE pe.empcode = ${emp_code}`;
    
            empResult = await global.db.runPoolQuery(empQuery);
    
            if (empResult.length > 0) {
              for (let i = 0; i < result.length; i++) {
                const element = result[i];
                if (element["branch_id"] == -1) {
                  response.verification = "Yes, This employee reports to This HR";
                  break;
                }
                for (let i = 0; i < empResult.length; i++) {
                  const record = empResult[i];
                  if (
                    element["branch_id"] != -1 &&
                    element["branch_id"] == record["loc_id"]
                  ) {
                    response.verification = "Yes, This employee reports to This HR";
                  } else {
                    response.verification =
                      "No, This employee doesn't report to This HR";
                  }
                }
              }
            }
          }
    
          // return [result, empResult];
          return response;
        } catch (error) {
          console.log(error);
          //return error;
        } finally {
          
          
        }
      }
  
}

exports.GeneralApisData = GeneralApisData;