const Menu = require('../model/Menu').Menu;
const menusCacheSchema = require('../model/Menu').menusCacheSchema;
const menus = require('../model/Menu').menus;
const menusSchema = require('../model/Menu').menusSchema;

class MenuController {

    menu = new Menu();

    menus() {

        return (req, res) => {

            const portalID = req.params.portalID;

            const userID = req.params.userID;

            const PHPurlHead = global.config.site.SITE_URL + global.config.site.PPM_URL;

            this.menu.getMainMenus(userID, portalID).then((result) => {

                if (result.length > 0) {

                    result = result.filter((menu) => {

                        if (menu.file_name)
                            return (menu.file_name = PHPurlHead + menu.file_name);

                        return menu;
                    });
            
                    res.send(result);

                } 
                else {

                    res.status(401).send({
                        error: "no menus"
                    });
                }
            })
            .catch((error) => {
                res.status(401).send(error);
            });

        }

    }

    landingSubMenus() {

        return (req, res) => {

            const pageName = req.params.pageName;

            this.menu.getMainSubMenus(pageName).then((subMenu) => {

                res.send(subMenu);

            }).catch((error) => {

                res.status(401).send(error);

            });
            
        }

    }

    subMenus() {

        return (req, res) => {

            const pageName = req.params.pageName;

            this.menu.getMainSubMenus( pageName ).then((subMenu) => {

                const menus = subMenu.filter(map => map.level != 4);

                res.send(menus);

            }).catch((error) => {

                res.status(401).send(error);

            });
            
        }

    }

    portals() {

        return async(req, res) => {
            
            const PHPurlHead = global.config.site.SITE_URL + global.config.site.PPM_URL;

            const userID = req.params.userID;

           await this.menu.getPortals( userID ).then((portals) => {
                if (portals != []) {
                    const portalsList = [];

                    for (var portal of portals) {

                        portal.phpurl = PHPurlHead + portal.link + '.php';

                        if (portal.link === 'ceoportal' || portal.link === 'crportal')
                            portal.phpurl = PHPurlHead + 'hrportal.php';

                        portalsList.push(portal);
                    }

                    console.log(portalsList);

                    res.send(portalsList);   
                } else {
                    console.log(portals);
                    res.status(401).send("Error EMpty Array")
                }
            })
            .catch((error) => {

                res.status(401).send(error);

            });

        }

    }

    menuCache() {

        return (req, res) => {

            const uid = req.params.uid;

            MenusCacheSchema.find({

                userid: +uid

            }, (err, docs) => {
                if (!docs) {

                  res.status(400).send(err);

                } else {

                  res.send(docs);

                }
            });
            
        }

    }

    createMenuCache() {

        return (req, res) => {

            const body = req.body;

            MenusCacheSchema.create(body).then(resp => {

                res.send(resp);

            })
            .catch((error) => {
            
                res.status(400).send(error);

            });
            
        }

    }

    updateMenuCache() {

        return (req, res) => {

            const body = req.body;

            MenusCacheSchema.findOneAndUpdate({ 
                userid: body.uid
            }, body.updateObject ).then(resp => {

                res.send(resp);

              }).catch((error) => {

                res.status(400).send(error);

              });

        }

    }

    createMenu() {

        return (req, res) => {

            const portalID = req.params.portalID;

            const userID = req.params.userID;

            this.menu.getMainMenus(userID, portalID).then((result) => {

            if (result.length > 0) {

                    const levelOne = result.filter((menu) => {

                        return menu.level === 1;

                    });

                    const levelTWO = result.filter((menu) => {

                        return menu.level === 2;

                    });

                    const levelThree = result.filter((menu) => {

                        return menu.level === 3;

                    });

                    levelOne.filter((firstLevel) => {

                        firstLevel.subMenu = [];

                        levelTWO.filter((secondLevel) => {

                            secondLevel.subMenu = [];

                            if (firstLevel.id === secondLevel.parent_id) {

                                firstLevel.subMenu.push(secondLevel);

                            } 
                            else {
                                    levelThree.filter((thirdLevel) => {
                                        
                                        thirdLevel.subMenu = [];
                                        if (secondLevel.id === thirdLevel.parent_id) {
                  
                                            secondLevel.subMenu.push(thirdLevel);
                
                                        }
              
                                    });
            
                                }
          
                            });
        
                        });
        
                    res.send(levelOne);
      
                } 
                else {

                    return res.status(401).send({
                    error: "no menus"
                    });
        
                }
        
            })
            .catch((error) => {
            
                res.status(401).send(error);
        
            });
            
        }

    }

}

exports.MenuController = MenuController;