const Filter = require('../model/Filter').Filter;

class FilterController {
    
    filter = new Filter();

    groupOneFilter() {

        return async (req, res) => {

            try {

                let data = await this.filter.groupOneData();

                res.status(200).send(data);

            }catch(err) {

                res.status(500).send({error: err});

            }

        }

    }

    groupTwoFilter() {

        return async (req, res) => {

            try {

                let data = await this.filter.groupTwoData();

                res.status(200).send(data);

            }catch(err) {

                res.status(500).send({error: err});

            }

        }

    }
    
    groupThreeFilter() {

        return async (req, res) => {

            try {

                let data = await this.filter.groupThreeData();

                res.status(200).send(data);

            }catch(err) {

                res.status(500).send({error: err});

            }

        }

    }

    countriesFilter() {

        return async (req, res) => {

            try {

                let data = await this.filter.countriesData();

                res.status(200).send(data);

            }catch(err) {

                res.status(500).send({error: err});

            }

        }

    }

    branchesFilter() {

        return async (req, res) => {

            try {

                let data = await this.filter.branchesData();

                res.status(200).send(data);

            }catch(err) {

                res.status(500).send({error: err});

            }

        }

    }

    departmentFilter() {

        return async (req, res) => {

            try {

                let data = await this.filter.departmentData();

                res.status(200).send(data);

            }catch(err) {

                res.status(500).send({error: err});

            }

        }

    }

    designationFilter() {

        return async (req, res) => {

            try {

                let data = await this.filter.designationData();

                res.status(200).send(data);

            }catch(err) {

                res.status(500).send({error: err});

            }

        }

    }

    bandFilter() {

        return async (req, res) => {

            try {

                let data = await this.filter.bandData();

                res.status(200).send(data);

            }catch(err) {

                res.status(500).send({error: err});

            }

        }

    }

    citiesFilter() {

        return async (req, res) => {

            try {

                let countryId = req.body.countryId;

                let data = await this.filter.citiesData( countryId );

                res.status(200).send(data);

            }catch(err) {

                res.status(500).send({error: err});

            }

        }

    }

    citiesBranches() {

        return async (req, res) => {

            try {

                let cityId = req.body.cityId;

                let data = await this.filter.citiesBranchesData( cityId );

                res.status(200).send(data);

            }catch(err) {

                res.status(500).send({error: err});

            }

        }

    }
    
    branchCountry() {

        return async (req, res) => {

            try {

                let branchId = req.body.branchId;

                let data = await this.filter.getBranchCityCountry( branchId );

                res.status(200).send(data);

            }catch(err) {

                res.status(500).send({error: err});

            }

        }

    }

    getGroupThree() {

        return async (req, res) => {

            try {

                let groupId = req.body.groupId;

                let data = await this.filter.groupThreeData( groupId );

                res.status(200).send(data);

            }catch(err) {

                res.status(500).send({error: err});

            }

        }

    }

    getFamilyGroupDepart() {

        return async (req, res) => {

            try {

                let familyId = req.body.familyId;

                let data = await this.filter.getSelectedJobGroups( familyId );

                res.status(200).send(data);

            }catch(err) {

                res.status(500).send({error: err});

            }

        }

    }

    getDepartGroups() {

        return async (req, res) => {

            try {

                let departmentId = req.body.departmentId;

                let data = await this.filter.getSelectedJobGroups( departmentId );

                res.status(200).send(data);

            }catch(err) {

                res.status(500).send({error: err});

            }

        }

    }



}

exports.FilterController = FilterController;