const Orgchart = require('../model/Orgchart').Orgchart;

class OrgchartController {

    orgchart = new Orgchart();

    getApprovalMatrixData() {

        return async (req, res) => {

            let options = req.query.op;
            let id = req.query.s;

            if( typeof id === 'undefined' ) {

                id = null;

            }

            try{

                let data = await this.orgchart.getOrgChartResults(options, id, req.query);

                res.status(200).send(data);

            }
            catch(err) {

                res.status(500).send({error: err});

            }

        }

    }
    
    getSingleEmployeeData() {

        return async (req, res) => {

            //let action = req.body.action;
            let details = req.body.details;

            try{

                let data = await this.orgchart.getSingleEmployeeData(details);

                res.status(200).send(data);

            }
            catch(err) {

                res.status(500).send({error: err});

            }

        }

    }
    
    orgchartLocations() {

        return async (req, res) => {

            try{

                let data = await this.orgchart.getOrgLocations(req.query);

                res.status(200).send(data);

            }
            catch(err) {

                res.status(500).send({error: err});

            }

        }

    }
    
    multilineChart() {

        return async (req, res) => {

            try{

                let data = await this.orgchart.employees(req.query);

                res.status(200).send(data);

            }
            catch(err) {

                res.status(500).send({error: err});

            }

        }

    }
    
    employeeByDesignation() {

        return async (req, res) => {

            try{

                let data = await this.orgchart.getEmployeeCountByDesignation(req.query);

                res.status(200).send(data);

            }
            catch(err) {

                res.status(500).send({error: err});

            }

        }

    }

}

exports.OrgchartController = OrgchartController;