class Filter {

    async groupOneData() {

        var query = "SELECT dg1.department_group1_id, dg1.department_group1 FROM department_group1 dg1";

        let db = global.db;

        return await db.runPoolQuery(query, []);

    }

    async groupTwoData() {

        var query = "SELECT dg2.department_group2_id, dg2.department_group2 FROM department_group2 dg2";

        let db = global.db;

        return await db.runPoolQuery(query, []);

    }

    async groupThreeData( jobGroups = '' ) {

        let db = global.db;

        if( jobGroups != '' && jobGroups != 'undefined' ) {

            var query = `SELECT department_group3_id, department_group3 
                        FROM department_group3 WHERE department_group2_id IN ( ? )`;

            return await db.runPoolQuery(query, [ jobGroups ]);

        }
        else {

            var query = "SELECT dg3.department_group3_id, dg3.department_group3 FROM department_group3 dg3";

            return await db.runPoolQuery(query, []);
        }

    }

    async countriesData() {

        var query = `SELECT DISTINCT(countries.country_id), countries.country FROM countries 
                INNER JOIN proll_client_location pcl ON pcl.country_id = countries.country_id`;

        let db = global.db;

        return await db.runPoolQuery(query, []);

    }

    async citiesData( countriesId = '' ) {

        let db = global.db;

        let results = null;

        if(countriesId != '' && countriesId != 'undefined') {

            var query = `SELECT DISTINCT(cities.id), cities.name AS city_name FROM cities 
            INNER JOIN proll_client_location pcl ON pcl.city_id = cities.id
            WHERE pcl.country_id IN ( ? )`;

            results = await db.runPoolQuery(query, [countriesId]);

        }
        else {

            var query = `SELECT DISTINCT(cities.id), cities.name AS city_name FROM cities 
                INNER JOIN proll_client_location pcl ON pcl.city_id = cities.id`;
            
            results = await db.runPoolQuery(query, []);

        }

        console.log(results);

        return results;

    }
    
    async citiesBranchesData( cityId = '' ) {

        let db = global.db;

        if(cityId != '' && cityId != 'undefined') {

            var query1 = `SELECT true;
            SELECT DISTINCT(countries.country_id), countries.country FROM countries
            INNER JOIN proll_client_location pcl ON pcl.country_id = countries.country_id
            WHERE pcl.city_id IN ( ? );`;

            var query2 = `SELECT pcl.loc_id, pcl.loc_desc FROM proll_client_location pcl 
            WHERE pcl.city_id IN ( ? );`;

            var query = query1 + query2;

            return await db.runPoolQuery(query, [cityId, cityId]);

        }
        else {

            var query = `SELECT false;
                        SELECT DISTINCT(countries.country_id), countries.country FROM countries 
                        INNER JOIN proll_client_location pcl ON pcl.country_id = countries.country_id;
                        SELECT loc_id, loc_desc FROM proll_client_location`;

            return await db.runPoolQuery(query, []);

        }

    }

    async branchesData() {

        let db = global.db;

        var query = "SELECT DISTINCT(loc_id), loc_desc FROM proll_client_location";

        return await db.runPoolQuery(query, []);

    }
    
    async departmentData() {

        let db = global.db;

        var query = "SELECT id, department FROM proll_department_managers";

        return await db.runPoolQuery(query, []);

    }
    
    async designationData() {

        let db = global.db;

        var query = "SELECT designation_id, designation_name FROM proll_client_designation";

        return await db.runPoolQuery(query, []);

    }
    
    async bandData() {

        let db = global.db;

        var query = "SELECT eb.id, eb.band_desc FROM employee_bands eb ORDER BY eb.band_desc, eb.id ASC";

        return await db.runPoolQuery(query, []);

    }

    async getBranchCityCountry( branchId ) {

        let db = global.db;

        if( branchId != '' && branchId != 'undefined') {

            var query1 = `SELECT TRUE;
            SELECT DISTINCT(countries.country_id), countries.country FROM countries
            INNER JOIN proll_client_location pcl ON pcl.country_id = countries.country_id
            WHERE pcl.loc_id IN ( ? );`;

            var query2 = `SELECT cities.id, cities.name AS city_name FROM cities 
            INNER JOIN proll_client_location pcl ON pcl.city_id = cities.id
            WHERE pcl.loc_id IN ( ? )`;

            var query = query1 + query2;

            return await db.runPoolQuery(query, [branchId, branchId]);

        }
        else {

            var query = `SELECT FALSE;
                        SELECT DISTINCT(countries.country_id), countries.country FROM countries 
                        INNER JOIN proll_client_location pcl ON pcl.country_id = countries.country_id;
                        SELECT cities.id, cities.name AS city_name FROM cities 
                        INNER JOIN proll_client_location pcl ON pcl.city_id = cities.id`;

            return await db.runPoolQuery(query, [branchId, branchId]);

        }

    }

    async getSelectedJobGroups( jobFamily ) {

        let db = global.db;

        if( jobFamily != '' && jobFamily != 'undefined') {

            let query1 = `SELECT TRUE;
                        SELECT dg2.department_group2_id, dg2.department_group2
                FROM department_group3 dg3 
                INNER JOIN department_group2 dg2 ON dg2.department_group2_id = dg3.department_group2_id
                WHERE dg3.department_group2_id IN ( ? );`;

            let query2 = `SELECT id, department FROM proll_department
            WHERE department_group3_id IN ( ? )`;

            let query = query1 + query2;

            return await db.runPoolQuery(query, [jobFamily, jobFamily]);

        }
        else {

            let query = ` SELECT FALSE;
            SELECT dg2.department_group2_id, dg2.department_group2 FROM department_group2 dg2;
            SELECT id, department FROM proll_department`;
            
            return await db.runPoolQuery(query, []);

        }

    }

    async getSelectedDepartmentsGroups( departmentId ) {

        let db = global.db;

        if( departmentId == '' || departmentId == 'undefined' || departmentId == null) {

            let query = `SELECT FALSE;
                SELECT dg2.department_group2_id, dg2.department_group2 FROM department_group2 dg2;
                SELECT dg3.department_group3_id, dg3.department_group3 FROM department_group3 dg3`;

            return await db.runPoolQuery(query);

        }
        else {

            let query = `SELECT TRUE;
            SELECT DISTINCT(dg2.department_group2_id), dg2.department_group2 FROM proll_department pd
            INNER JOIN department_group3 dg3 ON dg3.department_group3_id = pd.department_group3_id
            INNER JOIN department_group2 dg2 ON dg2.department_group2_id = dg3.department_group2_id
            WHERE pd.id IN ( ? );
            SELECT DISTINCT(dg3.department_group3_id), dg3.department_group3 FROM proll_department pd
            INNER JOIN department_group3 dg3 ON dg3.department_group3_id = pd.department_group3_id
            WHERE pd.id IN ( ? )`;

            return await db.runPoolQuery(query, [departmentId, departmentId]);

        }

    }
    

}

exports.Filter = Filter;