const express = require('express');
const router = express.Router();
const FilterController = require('./controller/FilterController').FilterController;
const OrgchartController = require('./controller/OrgchartController').OrgchartController;
const filterConstructor = new FilterController();
const orgchartConstructor = new OrgchartController();


router.get( "/group_one_filter", filterConstructor.groupOneFilter() );
router.get( "/group_two_filter", filterConstructor.groupTwoFilter() );
router.get( "/group_three_filter", filterConstructor.groupThreeFilter() );
router.get( "/countries_filter", filterConstructor.countriesFilter() );
router.get( "/cities_filter", filterConstructor.citiesFilter() );
router.post( "/cities_filter", filterConstructor.citiesFilter() );
router.get( "/branches_filter", filterConstructor.branchesFilter() );
router.get( "/department_filter", filterConstructor.departmentFilter() );
router.get( "/designation_filter", filterConstructor.designationFilter() );
router.get( "/bands_filter", filterConstructor.bandFilter() );
router.post( "/cities_branches", filterConstructor.citiesBranches() );
router.post( "/branch_country", filterConstructor.branchCountry() );
router.post( "/get_group_three", filterConstructor.getGroupThree() );
router.post( "/get_family_group_depart", filterConstructor.getFamilyGroupDepart() );
router.post( "/get_depart_groups", filterConstructor.getDepartGroups() );
router.get( "/get_approval_matrix_data", orgchartConstructor.getApprovalMatrixData() );
router.post( "/get_single_employee_data", orgchartConstructor.getSingleEmployeeData() );
router.get( "/orgchart_locations", orgchartConstructor.orgchartLocations() );
router.get( "/multiline_chart", orgchartConstructor.multilineChart() );
router.get( "/total_employee_by_designation", orgchartConstructor.employeeByDesignation() );

module.exports = router;