const { Employee } = require("../../../AuthModule/model/Employee");
const { Auth } = require("../../../AuthModule/model/Auth");
const { async } = require("rxjs/internal/scheduler/async");
// const { trainingRequest, TrainingRequest } = require("../model/TrainingRequest");
const TrainingRequest = require("../model/TrainingRequest").TrainingRequest;

//SELECT * from training_program WHERE MONTH(time) = 09;
//mysql> SELECT * from training_program WHERE YEAR(time) = 2020;

class TrainingController {
  auth = new Auth();
  training_request = new TrainingRequest();
 
  /**
   * Employee Portal
   */
  getAllTrainingOfCalender() {
    return async (req, res) => {
      // const { month, year } = req.body;
      // console.log(req.body);
      try {
        var cal = await this.training_request.allTrainingsCalender(); 
      }
      catch (error) {
        return res.status(401).send(error)
      }
      return res.json(cal);
      }  
  }

  getTrainingByCalender() {
    return async (req, res) => {
      const { month, year } = req.body;
      console.log(req.body);
      try {
        var cal = await this.training_request.trainingCalender({month,year}); 
      }
      catch (error) {
        return res.status(401).send(error)
      }
      return res.json(cal);
      }  
  }

  getTrainingDetail() {
    return async(req, res) => {
      const { id } = req.params;
      console.log(id);
      try {
        var data = await this.training_request.trainingDetail(id);
      } catch (error) {
        return res.status(401).send(error)
      }
      return res.json(data)
    }
  }

  createTrainingRequest() {
    return async (req, res) => {
      const { reason } = req.body;
      const { id, type, userID } = req.params;
      console.log(reason);
      console.log(req.params);
      try {
        var all = await this.training_request.countTrainingRequest();
        var count = all.length;
        // console.log(all.length);
        // console.log(count);
        var response = await this.training_request.insertTrainingRequest({
          id: count + 1,
          training_id: id,
          request_type: type,
          reason,
          requested_by: userID,
          lm_remarks: null,
          hr_remarks: null,
          status: 'pending',
          created_at: '2020-09-26 09:39:31',
          updated_at: '2020-09-26 09:39:31'
        });
      } catch (error) {
        // console.log(error);
        return res.status(401).send('error')
      }
      return res.status(200).send("success")

    }
  }

  createExternalTrainingRequest() {
    return async(req, res) => {
      const { userID } = req.params;
      console.log(userID);
      const {
        category,
        name,
        reason,
        training_type,
        vendor_premises,
        from,
        to,
        url
      } = req.body;
      console.log(req.body);
      try {
        var all = await this.training_request.countExternalTrainingRequest();
        var count = all.length;
        var response = await this.training_request.insertExternalTrainingRequest({
          id: count + 1,
          category,
          name,
          reason,
          training_type,
          vendor_premises,
          from,
          to,
          url,
          requested_by: userID,
          status: 'pending',
          created_at: '2020-09-26 09:39:31',
          updated_at: '2020-09-26 09:39:31'
        })
      } catch (error) {
        console.log(error);
        // return res.status(401).send('error')
      }
      return res.status(200).send("success")
    }
  }

  getAssignedTrainingProgram() {
    return async(req, res) => {
      try {
        var response = await this.training_request.assignTrainingList();
      } catch (error) {
        return res.status(401).send(error)
      }
      return res.status(200).send(response)
    }
  }
//to get videos and questionnaire of a specific training_program
  getTrainingProgramDetails() {
    return async (req, res) => {
      const { id, questionnare_id } = req.params;
      // id = traiining_id
      var response = [];
      try {
        var videos = await this.training_request.getTrainingProgramVideos(id);
        var questionnaire = await this.training_request.getTrainingProgramQuestionnaire(id);
        response = { questionnaires: questionnaire, video: videos };
      } catch (error) {
        return res.status(401).send(error)
      }
      return res.status(200).send(response)
    }
  }

  getAllTrainingRequests() {
    return async (req, res) => {
      this.training_request.alltrainingRequest().then((result) => {
        return res.json(result)
      }).catch((err) => {
        return res.status(401).send(err)
      })
      // try {
      //   const allReq = await this.training_request.alltrainingRequest()
      //   return res.json(allReq)
      // } catch (error) {
      //   console.log(error);
      // }
      
    }
  }


  // 16) GetSpecificTrainingDetails(Full) —
  getExternalTrainingDetail() {
    return (req, res) => {
      try {
        const data = this.training_request.getExternalTrainingRequest(req.params);
        return res.json(data)
      } catch (error) {
        console.log(error);
      }
    }
  }
  // 17) GetEnrolledParticipantsList(training_id)
  getEnrolledParticipantsList() {
    return (req, res) => {
      try {
        const data = this.training_request.EnrolledParticipants(req.body)
        return res.json(data)
      } catch (error) {
        console.log(error);
      }
    }
  }

  allTrainingPrograms() {
    return async (req, res) => {
      try {
        var response = await this.training_request.allTrainingsCalender();
      } catch (error) {
        console.log(error);
      }
      // console.log(response);
      return res.json(response)
    }
  }
  /**
   * LM Portal 
   */
  getEmployees() {
    return async (req, res) => {
      const { userID } = req.params;
      try {
        var deptID = await this.training_request.getDepartmentByEmpID(userID);
        var response = await this.training_request.employeeIdName(deptID);
      } catch (error) {
        console.log(error);
      }
      return res.json(response)
    }
  }
  // 5) assignTrainingToListOfEmployees
  assignTrainingToEmployees() {
    return async (req, res) => {
      const { training_id } = req.params;
      const { arr } = req.body;
      try {
        var addList = await this.training_request.assignTraining({
          training_id,
          arr
        })
      } catch (error) {
        console.log(error);
      }
      return res.json(addList);
    }
  }
  //// for 	3)	getSpecificTrainingRequestDetail (LM)

  getTrainingRequestDetail() {
    return async (req, res) => {
      const { request_id, empID, training_id } = req.params;
      try {
        var request_detail = await this.training_request.trainingRequestDetails({
          empID,
          request_id,
          training_id
        });
      } catch (error) {
        console.log(error);
      }
      return res.json(request_detail);

    }
  }
  // 4)	approve/disApprove SpecificTrainingRequest (LM)

  updateTrainingRequest() {
    return async (req, res) => {
      const { request_id } = req.params;
      const { status, lmRemarks } = req.body;
      try {
        var update = await this.training_request.trainingRequestStatusUpdate({
          request_id,
          status,
          lmRemarks
        });
      } catch (error) {
        console.log(error);
      }
      return res.json(update)
    }
  }
}
exports.TrainingController = TrainingController;