const express = require('express');
const { OrientationController } = require('./Program/controller/OrientationController');
const { QuestionnaireController } = require('./QuestionnaireModule/controller/QuestionnaireController');
const { TrainingController } = require('./TrainingRequest/controller/TrainingController');

const router = express.Router();

const trainingController = new TrainingController();
const questionnaireController = new QuestionnaireController();
const orientationController = new OrientationController();

/** Training Controller  */
/** Employee Portal */
router.get('/all_training_calender', trainingController.getAllTrainingOfCalender());
router.post('/training_calender', trainingController.getTrainingByCalender());
router.post('/training_detail/:id',trainingController.getTrainingDetail())
router.post('/training_request/:id/:type/:userID', trainingController.createTrainingRequest());
router.post('/external_training_request/:userID', trainingController.createExternalTrainingRequest());
router.get('/assigned_training_program', trainingController.getAssignedTrainingProgram());
router.post('/training_program_details/:id', trainingController.getTrainingProgramDetails());
router.get('/all_training_programs', trainingController.allTrainingPrograms());
router.get('/all_orientation_programs', orientationController.getAllOrientationProgram());

/** LM Portal */
router.get('/getAllTrainingRequests', trainingController.getAllTrainingRequests());//workig fine
router.get('/get_employees/:userID', trainingController.getEmployees());//working fine
router.patch('/assigneTrainingToListOfEmployees/:training_id', trainingController.assignTrainingToEmployees()); //working fine
router.get('/specific_training_request_detail/:training_id/:request_id/:empID', trainingController.getTrainingRequestDetail()); //work in progress
router.patch('/specific_request_approval/:request_id', trainingController.updateTrainingRequest()); //working fine

/** Questionnaire Controller */
router.get('/question/:id', questionnaireController.getQuestionByID());
router.get('/answers/:id', questionnaireController.getAnswerByQuestionID());
router.get('/questionnaire/:id', questionnaireController.getQuestionnaireByID());

/** test */
router.get('/test', (req, res) => {
  return res.send("hello")
})

module.exports = router;