const jwt = require("jsonwebtoken");

module.exports = {

    //verify token middleware

    checkToken: function ( req, res, next ) {
        //auth header value
    
        const bearerHeader = req.headers['authorization'];

        //Check if bearer is undefined
    
        if( typeof bearerHeader !== 'undefined') {
    
            const bearer = bearerHeader.split(" ");

            if(bearer.length > 0 && bearer.length < 3) {
                
                if(bearer[0] == global.config.bearer) {

                    const bearerToken = bearer[1];
    
                    req.token = bearerToken;
            
                    jwt.verify(req.token, global.config.key, (err, authData) => {

                        if( err ) {
                            res.json({
                                err
                            });
                        }
                        else {
                
                            next();
                
                        }
                
                    });

                }
                else {

                    res.status(404).json({error: "Invalid Access Token send"});    

                }


            }
            else {
                
                res.status(406).json({error: "Request not acceptable"});

            }
    
        }
        else {
            //forbidden access
    
            res.status(401).json({error: "Unauthorized Request"});
        }
    }

}