-- --------------------------------------------------------
-- Host:                         192.168.99.231
-- Server version:               5.7.33 - MySQL Community Server (GPL)
-- Server OS:                    Linux
-- HeidiSQL Version:             11.3.0.6295
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

-- Dumping structure for table peoplei_300_people_dev.approval_config
CREATE TABLE IF NOT EXISTS `approval_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) DEFAULT NULL,
  `module_id` int(11) DEFAULT NULL,
  `role_id` int(11) DEFAULT NULL,
  `portal_id` int(11) DEFAULT NULL,
  `desingation_id` int(11) DEFAULT NULL COMMENT 'optional',
  `configuration_type` enum('branch','department','both') DEFAULT NULL COMMENT 'department or branch or both',
  `level_count` tinyint(4) DEFAULT NULL,
  `approval_type` char(10) DEFAULT NULL COMMENT 'sequential/parallel',
  `reporting_column_sequence` char(100) DEFAULT NULL,
  `status` tinyint(4) unsigned DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `updated_by` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_approval_config_modules` (`module_id`),
  KEY `FK_approval_config_roles` (`role_id`),
  CONSTRAINT `FK_approval_config_modules` FOREIGN KEY (`module_id`) REFERENCES `modules` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.approval_config: ~12 rows (approximately)
/*!40000 ALTER TABLE `approval_config` DISABLE KEYS */;
INSERT INTO `approval_config` (`id`, `cid`, `module_id`, `role_id`, `portal_id`, `desingation_id`, `configuration_type`, `level_count`, `approval_type`, `reporting_column_sequence`, `status`, `created_by`, `updated_by`, `created_at`, `updated_at`) VALUES
	(1, 48, 1, 2, NULL, NULL, NULL, 3, 'sequential', 'reporting_to_id,second_reporting_to_id,dept_id', 1, NULL, NULL, NULL, '2020-10-10 11:34:09'),
	(2, 48, 2, 2, NULL, NULL, NULL, 2, 'sequential', 'dept_id,reporting_to_id', 1, NULL, NULL, NULL, '2020-09-26 09:35:41'),
	(3, 48, 3, 2, NULL, NULL, NULL, 2, 'sequential', 'dept_id,reporting_to_id', 1, NULL, NULL, NULL, '2020-09-26 09:35:59'),
	(4, 48, 1, 3, 8, NULL, 'branch', 2, 'sequential', NULL, 1, NULL, NULL, NULL, '2020-09-26 09:39:31'),
	(5, 48, 2, 3, 8, NULL, 'branch', 2, 'sequential', NULL, 1, NULL, NULL, NULL, '2020-09-26 09:39:43'),
	(6, 48, 3, 3, 8, NULL, 'branch', 2, 'sequential', NULL, 1, NULL, NULL, NULL, '2020-09-26 09:39:55'),
	(28, 48, 6, 2, 2, NULL, 'branch', NULL, 'parallel', NULL, 1, NULL, NULL, '2021-08-25 10:06:33', '2021-08-25 10:15:23'),
	(29, 48, 6, 3, 8, NULL, 'branch', NULL, 'parallel', NULL, 1, NULL, NULL, '2021-08-25 10:07:38', '2021-08-25 10:15:25'),
	(30, 48, 6, 5, 6, NULL, 'branch', NULL, 'parallel', NULL, 1, NULL, NULL, '2021-08-25 10:08:19', '2021-08-25 10:15:27'),
	(31, 48, 8, 2, 2, NULL, 'branch', NULL, 'parallel', NULL, 1, NULL, NULL, '2021-09-28 11:28:42', '2021-09-28 11:28:42'),
	(32, 48, 8, 3, 8, NULL, 'branch', NULL, 'parallel', NULL, 1, 1, 1, '2021-09-28 11:30:34', '2021-09-28 11:30:34'),
	(33, 48, 8, 5, 6, NULL, 'branch', NULL, 'parallel', NULL, 1, 1, 1, '2021-09-28 11:37:07', '2021-09-28 11:37:07');
/*!40000 ALTER TABLE `approval_config` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.approval_config_branches
CREATE TABLE IF NOT EXISTS `approval_config_branches` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `approval_role_config_id` int(11) DEFAULT NULL,
  `branch_id` int(11) DEFAULT NULL,
  `department_id` int(11) DEFAULT NULL,
  `can_approve` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_approval_config_branches_approval_role_config` (`approval_role_config_id`),
  CONSTRAINT `FK_approval_config_branches_approval_role_config` FOREIGN KEY (`approval_role_config_id`) REFERENCES `approval_role_config` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.approval_config_branches: ~7 rows (approximately)
/*!40000 ALTER TABLE `approval_config_branches` DISABLE KEYS */;
INSERT INTO `approval_config_branches` (`id`, `approval_role_config_id`, `branch_id`, `department_id`, `can_approve`) VALUES
	(1, 1, -1, NULL, 0),
	(2, 2, -1, NULL, 0),
	(3, 3, -1, NULL, 0),
	(4, 4, -1, NULL, 0),
	(5, 5, -1, NULL, 0),
	(6, 6, -1, NULL, 0),
	(7, 7, -1, NULL, 0);
/*!40000 ALTER TABLE `approval_config_branches` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.approval_config_department
CREATE TABLE IF NOT EXISTS `approval_config_department` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `approval_role_config_id` int(11) DEFAULT NULL,
  `cid` int(11) DEFAULT NULL,
  `department_id` int(11) DEFAULT NULL,
  `can_approve` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_approval_config_department_approval_config` (`approval_role_config_id`),
  KEY `FK_approval_config_department_department_hierarchy` (`department_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.approval_config_department: ~0 rows (approximately)
/*!40000 ALTER TABLE `approval_config_department` DISABLE KEYS */;
/*!40000 ALTER TABLE `approval_config_department` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.approval_config_detail
CREATE TABLE IF NOT EXISTS `approval_config_detail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) DEFAULT NULL,
  `group_id` int(11) DEFAULT NULL,
  `approval_config_id` int(11) NOT NULL DEFAULT '0',
  `approval_type` char(15) DEFAULT NULL COMMENT 'sequential/parallel',
  `department_id` int(11) DEFAULT NULL,
  `branch_id` int(11) DEFAULT NULL,
  `level_count` tinyint(4) NOT NULL DEFAULT '0',
  `min_approval` tinyint(4) NOT NULL DEFAULT '0',
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.approval_config_detail: ~15 rows (approximately)
/*!40000 ALTER TABLE `approval_config_detail` DISABLE KEYS */;
INSERT INTO `approval_config_detail` (`id`, `cid`, `group_id`, `approval_config_id`, `approval_type`, `department_id`, `branch_id`, `level_count`, `min_approval`, `deleted`) VALUES
	(1, 48, 1601095171, 4, 'sequential', NULL, 1, 2, 2, 0),
	(2, 48, 1601095171, 4, 'sequential', NULL, 2, 2, 2, 0),
	(3, 48, 1601095171, 4, 'sequential', NULL, 3, 2, 2, 0),
	(4, 48, 1601095171, 4, 'sequential', NULL, 4, 2, 2, 0),
	(5, 48, 1601095171, 4, 'sequential', NULL, 5, 2, 2, 0),
	(6, 48, 1601095183, 5, 'sequential', NULL, 1, 2, 2, 0),
	(7, 48, 1601095183, 5, 'sequential', NULL, 2, 2, 2, 0),
	(8, 48, 1601095183, 5, 'sequential', NULL, 3, 2, 2, 0),
	(9, 48, 1601095183, 5, 'sequential', NULL, 4, 2, 2, 0),
	(10, 48, 1601095183, 5, 'sequential', NULL, 5, 2, 2, 0),
	(11, 48, 1601095195, 6, 'sequential', NULL, 1, 2, 2, 0),
	(12, 48, 1601095195, 6, 'sequential', NULL, 2, 2, 2, 0),
	(13, 48, 1601095195, 6, 'sequential', NULL, 3, 2, 2, 0),
	(14, 48, 1601095195, 6, 'sequential', NULL, 4, 2, 2, 0),
	(15, 48, 1601095195, 6, 'sequential', NULL, 5, 2, 2, 0);
/*!40000 ALTER TABLE `approval_config_detail` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.city
CREATE TABLE IF NOT EXISTS `city` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `city_name` varchar(100) DEFAULT NULL,
  `country_code` varchar(20) DEFAULT NULL,
  `district` varchar(50) DEFAULT NULL,
  `population` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4080 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.city: ~4,071 rows (approximately)
/*!40000 ALTER TABLE `city` DISABLE KEYS */;
INSERT INTO `city` (`id`, `city_name`, `country_code`, `district`, `population`) VALUES
	(9, 'Eindhoven', 'NLD', 'Noord-Brabant', '201843'),
	(10, 'Tilburg', 'NLD', 'Noord-Brabant', '193238'),
	(11, 'Groningen', 'NLD', 'Groningen', '172701'),
	(12, 'Breda', 'NLD', 'Noord-Brabant', '160398'),
	(13, 'Apeldoorn', 'NLD', 'Gelderland', '153491'),
	(14, 'Nijmegen', 'NLD', 'Gelderland', '152463'),
	(15, 'Enschede', 'NLD', 'Overijssel', '149544'),
	(16, 'Haarlem', 'NLD', 'Noord-Holland', '148772'),
	(17, 'Almere', 'NLD', 'Flevoland', '142465'),
	(18, 'Arnhem', 'NLD', 'Gelderland', '138020'),
	(19, 'Zaanstad', 'NLD', 'Noord-Holland', '135621'),
	(20, 'ÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´s-Hertogenbosch', 'NLD', 'Noord-Brabant', '129170'),
	(21, 'Amersfoort', 'NLD', 'Utrecht', '126270'),
	(22, 'Maastricht', 'NLD', 'Limburg', '122087'),
	(23, 'Dordrecht', 'NLD', 'Zuid-Holland', '119811'),
	(24, 'Leiden', 'NLD', 'Zuid-Holland', '117196'),
	(25, 'Haarlemmermeer', 'NLD', 'Noord-Holland', '110722'),
	(26, 'Zoetermeer', 'NLD', 'Zuid-Holland', '110214'),
	(27, 'Emmen', 'NLD', 'Drenthe', '105853'),
	(28, 'Zwolle', 'NLD', 'Overijssel', '105819'),
	(29, 'Ede', 'NLD', 'Gelderland', '101574'),
	(30, 'Delft', 'NLD', 'Zuid-Holland', '95268'),
	(31, 'Heerlen', 'NLD', 'Limburg', '95052'),
	(32, 'Alkmaar', 'NLD', 'Noord-Holland', '92713'),
	(33, 'Willemstad', 'ANT', 'CuraÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§ao', '2345'),
	(34, 'Tirana', 'ALB', 'Tirana', '270000'),
	(35, 'Alger', 'DZA', 'Alger', '2168000'),
	(36, 'Oran', 'DZA', 'Oran', '609823'),
	(37, 'Constantine', 'DZA', 'Constantine', '443727'),
	(38, 'Annaba', 'DZA', 'Annaba', '222518'),
	(39, 'Batna', 'DZA', 'Batna', '183377'),
	(40, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©tif', 'DZA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©tif', '179055'),
	(41, 'Sidi Bel AbbÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¨s', 'DZA', 'Sidi Bel AbbÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€š', '153106'),
	(42, 'Skikda', 'DZA', 'Skikda', '128747'),
	(43, 'Biskra', 'DZA', 'Biskra', '128281'),
	(44, 'Blida (el-Boulaida)', 'DZA', 'Blida', '127284'),
	(45, 'BÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©jaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¯a', 'DZA', 'BÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©jaÃƒÆ’Ã', '117162'),
	(46, 'Mostaganem', 'DZA', 'Mostaganem', '115212'),
	(47, 'TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©bessa', 'DZA', 'TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©bessa', '112007'),
	(48, 'Tlemcen (Tilimsen)', 'DZA', 'Tlemcen', '110242'),
	(49, 'BÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©char', 'DZA', 'BÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©char', '107311'),
	(50, 'Tiaret', 'DZA', 'Tiaret', '100118'),
	(51, 'Ech-Chleff (el-Asnam)', 'DZA', 'Chlef', '96794'),
	(52, 'GhardaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¯a', 'DZA', 'GhardaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¯a', '89415'),
	(53, 'Tafuna', 'ASM', 'Tutuila', '5200'),
	(54, 'Fagatogo', 'ASM', 'Tutuila', '2323'),
	(55, 'Andorra la Vella', 'AND', 'Andorra la Vella', '21189'),
	(56, 'Luanda', 'AGO', 'Luanda', '2022000'),
	(57, 'Huambo', 'AGO', 'Huambo', '163100'),
	(58, 'Lobito', 'AGO', 'Benguela', '130000'),
	(59, 'Benguela', 'AGO', 'Benguela', '128300'),
	(60, 'Namibe', 'AGO', 'Namibe', '118200'),
	(61, 'South Hill', 'AIA', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '961'),
	(62, 'The Valley', 'AIA', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '595'),
	(63, 'Saint JohnÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´s', 'ATG', 'St John', '24000'),
	(64, 'Dubai', 'ARE', 'Dubai', '669181'),
	(65, 'Abu Dhabi', 'ARE', 'Abu Dhabi', '398695'),
	(66, 'Sharja', 'ARE', 'Sharja', '320095'),
	(67, 'al-Ayn', 'ARE', 'Abu Dhabi', '225970'),
	(68, 'Ajman', 'ARE', 'Ajman', '114395'),
	(69, 'Buenos Aires', 'ARG', 'Distrito Federal', '2982146'),
	(70, 'La Matanza', 'ARG', 'Buenos Aires', '1266461'),
	(71, 'CÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³rdoba', 'ARG', 'CÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³rdoba', '1157507'),
	(72, 'Rosario', 'ARG', 'Santa FÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', '907718'),
	(73, 'Lomas de Zamora', 'ARG', 'Buenos Aires', '622013'),
	(74, 'Quilmes', 'ARG', 'Buenos Aires', '559249'),
	(75, 'Almirante Brown', 'ARG', 'Buenos Aires', '538918'),
	(76, 'La Plata', 'ARG', 'Buenos Aires', '521936'),
	(77, 'Mar del Plata', 'ARG', 'Buenos Aires', '512880'),
	(78, 'San Miguel de TucumÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', 'ARG', 'TucumÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', '470809'),
	(79, 'LanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âºs', 'ARG', 'Buenos Aires', '469735'),
	(80, 'Merlo', 'ARG', 'Buenos Aires', '463846'),
	(81, 'General San MartÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­n', 'ARG', 'Buenos Aires', '422542'),
	(82, 'Salta', 'ARG', 'Salta', '367550'),
	(83, 'Moreno', 'ARG', 'Buenos Aires', '356993'),
	(84, 'Santa FÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'ARG', 'Santa FÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', '353063'),
	(85, 'Avellaneda', 'ARG', 'Buenos Aires', '353046'),
	(86, 'Tres de Febrero', 'ARG', 'Buenos Aires', '352311'),
	(87, 'MorÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', 'ARG', 'Buenos Aires', '349246'),
	(88, 'Florencio Varela', 'ARG', 'Buenos Aires', '315432'),
	(89, 'San Isidro', 'ARG', 'Buenos Aires', '306341'),
	(90, 'Tigre', 'ARG', 'Buenos Aires', '296226'),
	(91, 'Malvinas Argentinas', 'ARG', 'Buenos Aires', '290335'),
	(92, 'Vicente LÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³pez', 'ARG', 'Buenos Aires', '288341'),
	(93, 'Berazategui', 'ARG', 'Buenos Aires', '276916'),
	(94, 'Corrientes', 'ARG', 'Corrientes', '258103'),
	(95, 'San Miguel', 'ARG', 'Buenos Aires', '248700'),
	(96, 'BahÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­a Blanca', 'ARG', 'Buenos Aires', '239810'),
	(97, 'Esteban EcheverrÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­a', 'ARG', 'Buenos Aires', '235760'),
	(98, 'Resistencia', 'ARG', 'Chaco', '229212'),
	(99, 'JosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â© C. Paz', 'ARG', 'Buenos Aires', '221754'),
	(100, 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'ARG', 'Entre Rios', '207041'),
	(101, 'Godoy Cruz', 'ARG', 'Mendoza', '206998'),
	(102, 'Posadas', 'ARG', 'Misiones', '201273'),
	(103, 'GuaymallÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©n', 'ARG', 'Mendoza', '200595'),
	(104, 'Santiago del Estero', 'ARG', 'Santiago del Estero', '189947'),
	(105, 'San Salvador de Jujuy', 'ARG', 'Jujuy', '178748'),
	(106, 'Hurlingham', 'ARG', 'Buenos Aires', '170028'),
	(107, 'NeuquÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©n', 'ARG', 'NeuquÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©n', '167296'),
	(108, 'ItuzaingÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', 'ARG', 'Buenos Aires', '158197'),
	(109, 'San Fernando', 'ARG', 'Buenos Aires', '153036'),
	(110, 'Formosa', 'ARG', 'Formosa', '147636'),
	(111, 'Las Heras', 'ARG', 'Mendoza', '145823'),
	(112, 'La Rioja', 'ARG', 'La Rioja', '138117'),
	(113, 'San Fernando del Valle de Cata', 'ARG', 'Catamarca', '134935'),
	(114, 'RÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­o Cuarto', 'ARG', 'CÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³rdoba', '134355'),
	(115, 'Comodoro Rivadavia', 'ARG', 'Chubut', '124104'),
	(116, 'Mendoza', 'ARG', 'Mendoza', '123027'),
	(117, 'San NicolÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡s de los Arroyos', 'ARG', 'Buenos Aires', '119302'),
	(118, 'San Juan', 'ARG', 'San Juan', '119152'),
	(119, 'Escobar', 'ARG', 'Buenos Aires', '116675'),
	(120, 'Concordia', 'ARG', 'Entre Rios', '116485'),
	(121, 'Pilar', 'ARG', 'Buenos Aires', '113428'),
	(122, 'San Luis', 'ARG', 'San Luis', '110136'),
	(123, 'Ezeiza', 'ARG', 'Buenos Aires', '99578'),
	(124, 'San Rafael', 'ARG', 'Mendoza', '94651'),
	(125, 'Tandil', 'ARG', 'Buenos Aires', '91101'),
	(126, 'Yerevan', 'ARM', 'Yerevan', '1248700'),
	(127, 'Gjumri', 'ARM', 'ÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â irak', '211700'),
	(128, 'Vanadzor', 'ARM', 'Lori', '172700'),
	(129, 'Oranjestad', 'ABW', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '29034'),
	(130, 'Sydney', 'AUS', 'New South Wales', '3276207'),
	(131, 'Melbourne', 'AUS', 'Victoria', '2865329'),
	(132, 'Brisbane', 'AUS', 'Queensland', '1291117'),
	(133, 'Perth', 'AUS', 'West Australia', '1096829'),
	(134, 'Adelaide', 'AUS', 'South Australia', '978100'),
	(135, 'Canberra', 'AUS', 'Capital Region', '322723'),
	(136, 'Gold Coast', 'AUS', 'Queensland', '311932'),
	(137, 'Newcastle', 'AUS', 'New South Wales', '270324'),
	(138, 'Central Coast', 'AUS', 'New South Wales', '227657'),
	(139, 'Wollongong', 'AUS', 'New South Wales', '219761'),
	(140, 'Hobart', 'AUS', 'Tasmania', '126118'),
	(141, 'Geelong', 'AUS', 'Victoria', '125382'),
	(142, 'Townsville', 'AUS', 'Queensland', '109914'),
	(143, 'Cairns', 'AUS', 'Queensland', '92273'),
	(144, 'Baku', 'AZE', 'Baki', '1787800'),
	(145, 'GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤ncÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤', 'AZE', 'GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤ncÃƒÆ’Ã', '299300'),
	(146, 'Sumqayit', 'AZE', 'Sumqayit', '283000'),
	(147, 'MingÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§evir', 'AZE', 'MingÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤ÃƒÆ’', '93900'),
	(148, 'Nassau', 'BHS', 'New Providence', '172000'),
	(149, 'al-Manama', 'BHR', 'al-Manama', '148000'),
	(150, 'Dhaka', 'BGD', 'Dhaka', '3612850'),
	(151, 'Chittagong', 'BGD', 'Chittagong', '1392860'),
	(152, 'Khulna', 'BGD', 'Khulna', '663340'),
	(153, 'Rajshahi', 'BGD', 'Rajshahi', '294056'),
	(154, 'Narayanganj', 'BGD', 'Dhaka', '202134'),
	(155, 'Rangpur', 'BGD', 'Rajshahi', '191398'),
	(156, 'Mymensingh', 'BGD', 'Dhaka', '188713'),
	(157, 'Barisal', 'BGD', 'Barisal', '170232'),
	(158, 'Tungi', 'BGD', 'Dhaka', '168702'),
	(159, 'Jessore', 'BGD', 'Khulna', '139710'),
	(160, 'Comilla', 'BGD', 'Chittagong', '135313'),
	(161, 'Nawabganj', 'BGD', 'Rajshahi', '130577'),
	(162, 'Dinajpur', 'BGD', 'Rajshahi', '127815'),
	(163, 'Bogra', 'BGD', 'Rajshahi', '120170'),
	(164, 'Sylhet', 'BGD', 'Sylhet', '117396'),
	(165, 'Brahmanbaria', 'BGD', 'Chittagong', '109032'),
	(166, 'Tangail', 'BGD', 'Dhaka', '106004'),
	(167, 'Jamalpur', 'BGD', 'Dhaka', '103556'),
	(168, 'Pabna', 'BGD', 'Rajshahi', '103277'),
	(169, 'Naogaon', 'BGD', 'Rajshahi', '101266'),
	(170, 'Sirajganj', 'BGD', 'Rajshahi', '99669'),
	(171, 'Narsinghdi', 'BGD', 'Dhaka', '98342'),
	(172, 'Saidpur', 'BGD', 'Rajshahi', '96777'),
	(173, 'Gazipur', 'BGD', 'Dhaka', '96717'),
	(174, 'Bridgetown', 'BRB', 'St Michael', '6070'),
	(175, 'Antwerpen', 'BEL', 'Antwerpen', '446525'),
	(176, 'Gent', 'BEL', 'East Flanderi', '224180'),
	(177, 'Charleroi', 'BEL', 'Hainaut', '200827'),
	(178, 'LiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¨ge', 'BEL', 'LiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¨ge', '185639'),
	(179, 'Bruxelles [Brussel]', 'BEL', 'Bryssel', '133859'),
	(180, 'Brugge', 'BEL', 'West Flanderi', '116246'),
	(181, 'Schaerbeek', 'BEL', 'Bryssel', '105692'),
	(182, 'Namur', 'BEL', 'Namur', '105419'),
	(183, 'Mons', 'BEL', 'Hainaut', '90935'),
	(184, 'Belize City', 'BLZ', 'Belize City', '55810'),
	(185, 'Belmopan', 'BLZ', 'Cayo', '7105'),
	(186, 'Cotonou', 'BEN', 'Atlantique', '536827'),
	(187, 'Porto-Novo', 'BEN', 'OuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©mÃƒÆ’Ã', '194000'),
	(188, 'Djougou', 'BEN', 'Atacora', '134099'),
	(189, 'Parakou', 'BEN', 'Borgou', '103577'),
	(190, 'Saint George', 'BMU', 'Saint GeorgeÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ', '1800'),
	(191, 'Hamilton', 'BMU', 'Hamilton', '1200'),
	(192, 'Thimphu', 'BTN', 'Thimphu', '22000'),
	(193, 'Santa Cruz de la Sierra', 'BOL', 'Santa Cruz', '935361'),
	(194, 'La Paz', 'BOL', 'La Paz', '758141'),
	(195, 'El Alto', 'BOL', 'La Paz', '534466'),
	(196, 'Cochabamba', 'BOL', 'Cochabamba', '482800'),
	(197, 'Oruro', 'BOL', 'Oruro', '223553'),
	(198, 'Sucre', 'BOL', 'Chuquisaca', '178426'),
	(199, 'PotosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', 'BOL', 'PotosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', '140642'),
	(200, 'Tarija', 'BOL', 'Tarija', '125255'),
	(201, 'Sarajevo', 'BIH', 'Federaatio', '360000'),
	(202, 'Banja Luka', 'BIH', 'Republika Srpska', '143079'),
	(203, 'Zenica', 'BIH', 'Federaatio', '96027'),
	(204, 'Gaborone', 'BWA', 'Gaborone', '213017'),
	(205, 'Francistown', 'BWA', 'Francistown', '101805'),
	(206, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '9968485'),
	(207, 'Rio de Janeiro', 'BRA', 'Rio de Janeiro', '5598953'),
	(208, 'Salvador', 'BRA', 'Bahia', '2302832'),
	(209, 'Belo Horizonte', 'BRA', 'Minas Gerais', '2139125'),
	(210, 'Fortaleza', 'BRA', 'CearÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '2097757'),
	(211, 'BrasÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­lia', 'BRA', 'Distrito Federal', '1969868'),
	(212, 'Curitiba', 'BRA', 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '1584232'),
	(213, 'Recife', 'BRA', 'Pernambuco', '1378087'),
	(214, 'Porto Alegre', 'BRA', 'Rio Grande do Sul', '1314032'),
	(215, 'Manaus', 'BRA', 'Amazonas', '1255049'),
	(216, 'BelÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©m', 'BRA', 'ParÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '1186926'),
	(217, 'Guarulhos', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '1095874'),
	(218, 'GoiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢nia', 'BRA', 'GoiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡s', '1056330'),
	(219, 'Campinas', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '950043'),
	(220, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o GonÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§alo', 'BRA', 'Rio de Janeiro', '869254'),
	(221, 'Nova IguaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§u', 'BRA', 'Rio de Janeiro', '862225'),
	(222, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o LuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­s', 'BRA', 'MaranhÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o', '837588'),
	(223, 'MaceiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', 'BRA', 'Alagoas', '786288'),
	(224, 'Duque de Caxias', 'BRA', 'Rio de Janeiro', '746758'),
	(225, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Bernardo do Campo', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '723132'),
	(226, 'Teresina', 'BRA', 'PiauÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', '691942'),
	(227, 'Natal', 'BRA', 'Rio Grande do Norte', '688955'),
	(228, 'Osasco', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '659604'),
	(229, 'Campo Grande', 'BRA', 'Mato Grosso do Sul', '649593'),
	(230, 'Santo AndrÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '630073'),
	(231, 'JoÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Pessoa', 'BRA', 'ParaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ba', '584029'),
	(232, 'JaboatÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o dos Guararapes', 'BRA', 'Pernambuco', '558680'),
	(233, 'Contagem', 'BRA', 'Minas Gerais', '520801'),
	(234, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o JosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â© dos Campo', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '515553'),
	(235, 'UberlÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢ndia', 'BRA', 'Minas Gerais', '487222'),
	(236, 'Feira de Santana', 'BRA', 'Bahia', '479992'),
	(237, 'RibeirÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Preto', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '473276'),
	(238, 'Sorocaba', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '466823'),
	(239, 'NiterÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³i', 'BRA', 'Rio de Janeiro', '459884'),
	(240, 'CuiabÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'BRA', 'Mato Grosso', '453813'),
	(241, 'Juiz de Fora', 'BRA', 'Minas Gerais', '450288'),
	(242, 'Aracaju', 'BRA', 'Sergipe', '445555'),
	(243, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o JoÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o de Meriti', 'BRA', 'Rio de Janeiro', '440052'),
	(244, 'Londrina', 'BRA', 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '432257'),
	(245, 'Joinville', 'BRA', 'Santa Catarina', '428011'),
	(246, 'Belford Roxo', 'BRA', 'Rio de Janeiro', '425194'),
	(247, 'Santos', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '408748'),
	(248, 'Ananindeua', 'BRA', 'ParÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '400940'),
	(249, 'Campos dos Goytacazes', 'BRA', 'Rio de Janeiro', '398418'),
	(250, 'MauÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '375055'),
	(251, 'CarapicuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ba', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '357552'),
	(252, 'Olinda', 'BRA', 'Pernambuco', '354732'),
	(253, 'Campina Grande', 'BRA', 'ParaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ba', '352497'),
	(254, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o JosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â© do Rio Pr', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '351944'),
	(255, 'Caxias do Sul', 'BRA', 'Rio Grande do Sul', '349581'),
	(256, 'Moji das Cruzes', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '339194'),
	(257, 'Diadema', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '335078'),
	(258, 'Aparecida de GoiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢nia', 'BRA', 'GoiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡s', '324662'),
	(259, 'Piracicaba', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '319104'),
	(260, 'Cariacica', 'BRA', 'EspÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­rito ', '319033'),
	(261, 'Vila Velha', 'BRA', 'EspÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­rito ', '318758'),
	(262, 'Pelotas', 'BRA', 'Rio Grande do Sul', '315415'),
	(263, 'Bauru', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '313670'),
	(264, 'Porto Velho', 'BRA', 'RondÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´nia', '309750'),
	(265, 'Serra', 'BRA', 'EspÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­rito ', '302666'),
	(266, 'Betim', 'BRA', 'Minas Gerais', '302108'),
	(267, 'JundÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­aÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '296127'),
	(268, 'Canoas', 'BRA', 'Rio Grande do Sul', '294125'),
	(269, 'Franca', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '290139'),
	(270, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Vicente', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '286848'),
	(271, 'MaringÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'BRA', 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '286461'),
	(272, 'Montes Claros', 'BRA', 'Minas Gerais', '286058'),
	(273, 'AnÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡polis', 'BRA', 'GoiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡s', '282197'),
	(274, 'FlorianÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³polis', 'BRA', 'Santa Catarina', '281928'),
	(275, 'PetrÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³polis', 'BRA', 'Rio de Janeiro', '279183'),
	(276, 'Itaquaquecetuba', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '270874'),
	(277, 'VitÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³ria', 'BRA', 'EspÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­rito ', '270626'),
	(278, 'Ponta Grossa', 'BRA', 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '268013'),
	(279, 'Rio Branco', 'BRA', 'Acre', '259537'),
	(280, 'Foz do IguaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§u', 'BRA', 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '259425'),
	(281, 'MacapÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'BRA', 'AmapÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '256033'),
	(282, 'IlhÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©us', 'BRA', 'Bahia', '254970'),
	(283, 'VitÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³ria da Conquista', 'BRA', 'Bahia', '253587'),
	(284, 'Uberaba', 'BRA', 'Minas Gerais', '249225'),
	(285, 'Paulista', 'BRA', 'Pernambuco', '248473'),
	(286, 'Limeira', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '245497'),
	(287, 'Blumenau', 'BRA', 'Santa Catarina', '244379'),
	(288, 'Caruaru', 'BRA', 'Pernambuco', '244247'),
	(289, 'SantarÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©m', 'BRA', 'ParÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '241771'),
	(290, 'Volta Redonda', 'BRA', 'Rio de Janeiro', '240315'),
	(291, 'Novo Hamburgo', 'BRA', 'Rio Grande do Sul', '239940'),
	(292, 'Caucaia', 'BRA', 'CearÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '238738'),
	(293, 'Santa Maria', 'BRA', 'Rio Grande do Sul', '238473'),
	(294, 'Cascavel', 'BRA', 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '237510'),
	(295, 'GuarujÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '237206'),
	(296, 'RibeirÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o das Neves', 'BRA', 'Minas Gerais', '232685'),
	(297, 'Governador Valadares', 'BRA', 'Minas Gerais', '231724'),
	(298, 'TaubatÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '229130'),
	(299, 'Imperatriz', 'BRA', 'MaranhÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o', '224564'),
	(300, 'GravataÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', 'BRA', 'Rio Grande do Sul', '223011'),
	(301, 'Embu', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '222223'),
	(302, 'MossorÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', 'BRA', 'Rio Grande do Norte', '214901'),
	(303, 'VÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡rzea Grande', 'BRA', 'Mato Grosso', '214435'),
	(304, 'Petrolina', 'BRA', 'Pernambuco', '210540'),
	(305, 'Barueri', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '208426'),
	(306, 'ViamÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o', 'BRA', 'Rio Grande do Sul', '207557'),
	(307, 'Ipatinga', 'BRA', 'Minas Gerais', '206338'),
	(308, 'Juazeiro', 'BRA', 'Bahia', '201073'),
	(309, 'Juazeiro do Norte', 'BRA', 'CearÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '199636'),
	(310, 'TaboÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o da Serra', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '197550'),
	(311, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o JosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â© dos Pinha', 'BRA', 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '196884'),
	(312, 'MagÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'BRA', 'Rio de Janeiro', '196147'),
	(313, 'Suzano', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '195434'),
	(314, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Leopoldo', 'BRA', 'Rio Grande do Sul', '189258'),
	(315, 'MarÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­lia', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '188691'),
	(316, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Carlos', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '187122'),
	(317, 'SumarÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '186205'),
	(318, 'Presidente Prudente', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '185340'),
	(319, 'DivinÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³polis', 'BRA', 'Minas Gerais', '185047'),
	(320, 'Sete Lagoas', 'BRA', 'Minas Gerais', '182984'),
	(321, 'Rio Grande', 'BRA', 'Rio Grande do Sul', '182222'),
	(322, 'Itabuna', 'BRA', 'Bahia', '182148'),
	(323, 'JequiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'BRA', 'Bahia', '179128'),
	(324, 'Arapiraca', 'BRA', 'Alagoas', '178988'),
	(325, 'Colombo', 'BRA', 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '177764'),
	(326, 'Americana', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '177409'),
	(327, 'Alvorada', 'BRA', 'Rio Grande do Sul', '175574'),
	(328, 'Araraquara', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '174381'),
	(329, 'ItaboraÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', 'BRA', 'Rio de Janeiro', '173977'),
	(330, 'Santa BÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡rbara dÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '171657'),
	(331, 'Nova Friburgo', 'BRA', 'Rio de Janeiro', '170697'),
	(332, 'JacareÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '170356'),
	(333, 'AraÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§atuba', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '169303'),
	(334, 'Barra Mansa', 'BRA', 'Rio de Janeiro', '168953'),
	(335, 'Praia Grande', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '168434'),
	(336, 'MarabÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'BRA', 'ParÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '167795'),
	(337, 'CriciÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âºma', 'BRA', 'Santa Catarina', '167661'),
	(338, 'Boa Vista', 'BRA', 'Roraima', '167185'),
	(339, 'Passo Fundo', 'BRA', 'Rio Grande do Sul', '166343'),
	(340, 'Dourados', 'BRA', 'Mato Grosso do Sul', '164716'),
	(341, 'Santa Luzia', 'BRA', 'Minas Gerais', '164704'),
	(342, 'Rio Claro', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '163551'),
	(343, 'MaracanaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âº', 'BRA', 'CearÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '162022'),
	(344, 'Guarapuava', 'BRA', 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '160510'),
	(345, 'RondonÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³polis', 'BRA', 'Mato Grosso', '155115'),
	(346, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o JosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'BRA', 'Santa Catarina', '155105'),
	(347, 'Cachoeiro de Itapemirim', 'BRA', 'EspÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­rito ', '155024'),
	(348, 'NilÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³polis', 'BRA', 'Rio de Janeiro', '153383'),
	(349, 'Itapevi', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '150664'),
	(350, 'Cabo de Santo Agostinho', 'BRA', 'Pernambuco', '149964'),
	(351, 'CamaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§ari', 'BRA', 'Bahia', '149146'),
	(352, 'Sobral', 'BRA', 'CearÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '146005'),
	(353, 'ItajaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', 'BRA', 'Santa Catarina', '145197'),
	(354, 'ChapecÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', 'BRA', 'Santa Catarina', '144158'),
	(355, 'Cotia', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '140042'),
	(356, 'Lages', 'BRA', 'Santa Catarina', '139570'),
	(357, 'Ferraz de Vasconcelos', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '139283'),
	(358, 'Indaiatuba', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '135968'),
	(359, 'HortolÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢ndia', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '135755'),
	(360, 'Caxias', 'BRA', 'MaranhÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o', '133980'),
	(361, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Caetano do Sul', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '133321'),
	(362, 'Itu', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '132736'),
	(363, 'Nossa Senhora do Socorro', 'BRA', 'Sergipe', '131351'),
	(364, 'ParnaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ba', 'BRA', 'PiauÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', '129756'),
	(365, 'PoÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§os de Caldas', 'BRA', 'Minas Gerais', '129683'),
	(366, 'TeresÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³polis', 'BRA', 'Rio de Janeiro', '128079'),
	(367, 'Barreiras', 'BRA', 'Bahia', '127801'),
	(368, 'Castanhal', 'BRA', 'ParÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '127634'),
	(369, 'Alagoinhas', 'BRA', 'Bahia', '126820'),
	(370, 'Itapecerica da Serra', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '126672'),
	(371, 'Uruguaiana', 'BRA', 'Rio Grande do Sul', '126305'),
	(372, 'ParanaguÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'BRA', 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '126076'),
	(373, 'IbiritÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'BRA', 'Minas Gerais', '125982'),
	(374, 'Timon', 'BRA', 'MaranhÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o', '125812'),
	(375, 'LuziÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢nia', 'BRA', 'GoiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡s', '125597'),
	(376, 'MacaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'BRA', 'Rio de Janeiro', '125597'),
	(377, 'TeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³filo Otoni', 'BRA', 'Minas Gerais', '124489'),
	(378, 'Moji-GuaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§u', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '123782'),
	(379, 'Palmas', 'BRA', 'Tocantins', '121919'),
	(380, 'Pindamonhangaba', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '121904'),
	(381, 'Francisco Morato', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '121197'),
	(382, 'BagÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'BRA', 'Rio Grande do Sul', '120793'),
	(383, 'Sapucaia do Sul', 'BRA', 'Rio Grande do Sul', '120217'),
	(384, 'Cabo Frio', 'BRA', 'Rio de Janeiro', '119503'),
	(385, 'Itapetininga', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '119391'),
	(386, 'Patos de Minas', 'BRA', 'Minas Gerais', '119262'),
	(387, 'Camaragibe', 'BRA', 'Pernambuco', '118968'),
	(388, 'BraganÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§a Paulista', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '116929'),
	(389, 'Queimados', 'BRA', 'Rio de Janeiro', '115020'),
	(390, 'AraguaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­na', 'BRA', 'Tocantins', '114948'),
	(391, 'Garanhuns', 'BRA', 'Pernambuco', '114603'),
	(392, 'VitÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³ria de Santo AntÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ', 'BRA', 'Pernambuco', '113595'),
	(393, 'Santa Rita', 'BRA', 'ParaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ba', '113135'),
	(394, 'Barbacena', 'BRA', 'Minas Gerais', '113079'),
	(395, 'Abaetetuba', 'BRA', 'ParÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '111258'),
	(396, 'JaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âº', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '109965'),
	(397, 'Lauro de Freitas', 'BRA', 'Bahia', '109236'),
	(398, 'Franco da Rocha', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '108964'),
	(399, 'Teixeira de Freitas', 'BRA', 'Bahia', '108441'),
	(400, 'Varginha', 'BRA', 'Minas Gerais', '108314'),
	(401, 'RibeirÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Pires', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '108121'),
	(402, 'SabarÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'BRA', 'Minas Gerais', '107781'),
	(403, 'Catanduva', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '107761'),
	(404, 'Rio Verde', 'BRA', 'GoiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡s', '107755'),
	(405, 'Botucatu', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '107663'),
	(406, 'Colatina', 'BRA', 'EspÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­rito ', '107354'),
	(407, 'Santa Cruz do Sul', 'BRA', 'Rio Grande do Sul', '106734'),
	(408, 'Linhares', 'BRA', 'EspÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­rito ', '106278'),
	(409, 'Apucarana', 'BRA', 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '105114'),
	(410, 'Barretos', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '104156'),
	(411, 'GuaratinguetÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '103433'),
	(412, 'Cachoeirinha', 'BRA', 'Rio Grande do Sul', '103240'),
	(413, 'CodÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', 'BRA', 'MaranhÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o', '103153'),
	(414, 'JaraguÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ do Sul', 'BRA', 'Santa Catarina', '102580'),
	(415, 'CubatÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '102372'),
	(416, 'Itabira', 'BRA', 'Minas Gerais', '102217'),
	(417, 'Itaituba', 'BRA', 'ParÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '101320'),
	(418, 'Araras', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '101046'),
	(419, 'Resende', 'BRA', 'Rio de Janeiro', '100627'),
	(420, 'Atibaia', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '100356'),
	(421, 'Pouso Alegre', 'BRA', 'Minas Gerais', '100028'),
	(422, 'Toledo', 'BRA', 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '99387'),
	(423, 'Crato', 'BRA', 'CearÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '98965'),
	(424, 'Passos', 'BRA', 'Minas Gerais', '98570'),
	(425, 'Araguari', 'BRA', 'Minas Gerais', '98399'),
	(426, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o JosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â© de Ribama', 'BRA', 'MaranhÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o', '98318'),
	(427, 'Pinhais', 'BRA', 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '98198'),
	(428, 'SertÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£ozinho', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '98140'),
	(429, 'Conselheiro Lafaiete', 'BRA', 'Minas Gerais', '97507'),
	(430, 'Paulo Afonso', 'BRA', 'Bahia', '97291'),
	(431, 'Angra dos Reis', 'BRA', 'Rio de Janeiro', '96864'),
	(432, 'EunÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡polis', 'BRA', 'Bahia', '96610'),
	(433, 'Salto', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '96348'),
	(434, 'Ourinhos', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '96291'),
	(435, 'Parnamirim', 'BRA', 'Rio Grande do Norte', '96210'),
	(436, 'Jacobina', 'BRA', 'Bahia', '96131'),
	(437, 'Coronel Fabriciano', 'BRA', 'Minas Gerais', '95933'),
	(438, 'Birigui', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '94685'),
	(439, 'TatuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '93897'),
	(440, 'Ji-ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'BRA', 'RondÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´nia', '93346'),
	(441, 'Bacabal', 'BRA', 'MaranhÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o', '93121'),
	(442, 'CametÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'BRA', 'ParÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '92779'),
	(443, 'GuaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ba', 'BRA', 'Rio Grande do Sul', '92224'),
	(444, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o LourenÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§o da Ma', 'BRA', 'Pernambuco', '91999'),
	(445, 'Santana do Livramento', 'BRA', 'Rio Grande do Sul', '91779'),
	(446, 'Votorantim', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '91777'),
	(447, 'Campo Largo', 'BRA', 'ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '91203'),
	(448, 'Patos', 'BRA', 'ParaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ba', '90519'),
	(449, 'Ituiutaba', 'BRA', 'Minas Gerais', '90507'),
	(450, 'CorumbÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'BRA', 'Mato Grosso do Sul', '90111'),
	(451, 'PalhoÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§a', 'BRA', 'Santa Catarina', '89465'),
	(452, 'Barra do PiraÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', 'BRA', 'Rio de Janeiro', '89388'),
	(453, 'Bento GonÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§alves', 'BRA', 'Rio Grande do Sul', '89254'),
	(454, 'PoÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'BRA', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Paulo', '89236'),
	(455, 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âguas Lindas de GoiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚', 'BRA', 'GoiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡s', '89200'),
	(456, 'London', 'GBR', 'England', '7285000'),
	(457, 'Birmingham', 'GBR', 'England', '1013000'),
	(458, 'Glasgow', 'GBR', 'Scotland', '619680'),
	(459, 'Liverpool', 'GBR', 'England', '461000'),
	(460, 'Edinburgh', 'GBR', 'Scotland', '450180'),
	(461, 'Sheffield', 'GBR', 'England', '431607'),
	(462, 'Manchester', 'GBR', 'England', '430000'),
	(463, 'Leeds', 'GBR', 'England', '424194'),
	(464, 'Bristol', 'GBR', 'England', '402000'),
	(465, 'Cardiff', 'GBR', 'Wales', '321000'),
	(466, 'Coventry', 'GBR', 'England', '304000'),
	(467, 'Leicester', 'GBR', 'England', '294000'),
	(468, 'Bradford', 'GBR', 'England', '289376'),
	(469, 'Belfast', 'GBR', 'North Ireland', '287500'),
	(470, 'Nottingham', 'GBR', 'England', '287000'),
	(471, 'Kingston upon Hull', 'GBR', 'England', '262000'),
	(472, 'Plymouth', 'GBR', 'England', '253000'),
	(473, 'Stoke-on-Trent', 'GBR', 'England', '252000'),
	(474, 'Wolverhampton', 'GBR', 'England', '242000'),
	(475, 'Derby', 'GBR', 'England', '236000'),
	(476, 'Swansea', 'GBR', 'Wales', '230000'),
	(477, 'Southampton', 'GBR', 'England', '216000'),
	(478, 'Aberdeen', 'GBR', 'Scotland', '213070'),
	(479, 'Northampton', 'GBR', 'England', '196000'),
	(480, 'Dudley', 'GBR', 'England', '192171'),
	(481, 'Portsmouth', 'GBR', 'England', '190000'),
	(482, 'Newcastle upon Tyne', 'GBR', 'England', '189150'),
	(483, 'Sunderland', 'GBR', 'England', '183310'),
	(484, 'Luton', 'GBR', 'England', '183000'),
	(485, 'Swindon', 'GBR', 'England', '180000'),
	(486, 'Southend-on-Sea', 'GBR', 'England', '176000'),
	(487, 'Walsall', 'GBR', 'England', '174739'),
	(488, 'Bournemouth', 'GBR', 'England', '162000'),
	(489, 'Peterborough', 'GBR', 'England', '156000'),
	(490, 'Brighton', 'GBR', 'England', '156124'),
	(491, 'Blackpool', 'GBR', 'England', '151000'),
	(492, 'Dundee', 'GBR', 'Scotland', '146690'),
	(493, 'West Bromwich', 'GBR', 'England', '146386'),
	(494, 'Reading', 'GBR', 'England', '148000'),
	(495, 'Oldbury/Smethwick (Warley)', 'GBR', 'England', '145542'),
	(496, 'Middlesbrough', 'GBR', 'England', '145000'),
	(497, 'Huddersfield', 'GBR', 'England', '143726'),
	(498, 'Oxford', 'GBR', 'England', '144000'),
	(499, 'Poole', 'GBR', 'England', '141000'),
	(500, 'Bolton', 'GBR', 'England', '139020'),
	(501, 'Blackburn', 'GBR', 'England', '140000'),
	(502, 'Newport', 'GBR', 'Wales', '139000'),
	(503, 'Preston', 'GBR', 'England', '135000'),
	(504, 'Stockport', 'GBR', 'England', '132813'),
	(505, 'Norwich', 'GBR', 'England', '124000'),
	(506, 'Rotherham', 'GBR', 'England', '121380'),
	(507, 'Cambridge', 'GBR', 'England', '121000'),
	(508, 'Watford', 'GBR', 'England', '113080'),
	(509, 'Ipswich', 'GBR', 'England', '114000'),
	(510, 'Slough', 'GBR', 'England', '112000'),
	(511, 'Exeter', 'GBR', 'England', '111000'),
	(512, 'Cheltenham', 'GBR', 'England', '106000'),
	(513, 'Gloucester', 'GBR', 'England', '107000'),
	(514, 'Saint Helens', 'GBR', 'England', '106293'),
	(515, 'Sutton Coldfield', 'GBR', 'England', '106001'),
	(516, 'York', 'GBR', 'England', '104425'),
	(517, 'Oldham', 'GBR', 'England', '103931'),
	(518, 'Basildon', 'GBR', 'England', '100924'),
	(519, 'Worthing', 'GBR', 'England', '100000'),
	(520, 'Chelmsford', 'GBR', 'England', '97451'),
	(521, 'Colchester', 'GBR', 'England', '96063'),
	(522, 'Crawley', 'GBR', 'England', '97000'),
	(523, 'Gillingham', 'GBR', 'England', '92000'),
	(524, 'Solihull', 'GBR', 'England', '94531'),
	(525, 'Rochdale', 'GBR', 'England', '94313'),
	(526, 'Birkenhead', 'GBR', 'England', '93087'),
	(527, 'Worcester', 'GBR', 'England', '95000'),
	(528, 'Hartlepool', 'GBR', 'England', '92000'),
	(529, 'Halifax', 'GBR', 'England', '91069'),
	(530, 'Woking/Byfleet', 'GBR', 'England', '92000'),
	(531, 'Southport', 'GBR', 'England', '90959'),
	(532, 'Maidstone', 'GBR', 'England', '90878'),
	(533, 'Eastbourne', 'GBR', 'England', '90000'),
	(534, 'Grimsby', 'GBR', 'England', '89000'),
	(535, 'Saint Helier', 'GBR', 'Jersey', '27523'),
	(536, 'Douglas', 'GBR', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '23487'),
	(537, 'Road Town', 'VGB', 'Tortola', '8000'),
	(538, 'Bandar Seri Begawan', 'BRN', 'Brunei and Muara', '21484'),
	(539, 'Sofija', 'BGR', 'Grad Sofija', '1122302'),
	(540, 'Plovdiv', 'BGR', 'Plovdiv', '342584'),
	(541, 'Varna', 'BGR', 'Varna', '299801'),
	(542, 'Burgas', 'BGR', 'Burgas', '195255'),
	(543, 'Ruse', 'BGR', 'Ruse', '166467'),
	(544, 'Stara Zagora', 'BGR', 'Haskovo', '147939'),
	(545, 'Pleven', 'BGR', 'Lovec', '121952'),
	(546, 'Sliven', 'BGR', 'Burgas', '105530'),
	(547, 'Dobric', 'BGR', 'Varna', '100399'),
	(548, 'ÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â umen', 'BGR', 'Varna', '94686'),
	(549, 'Ouagadougou', 'BFA', 'Kadiogo', '824000'),
	(550, 'Bobo-Dioulasso', 'BFA', 'Houet', '300000'),
	(551, 'Koudougou', 'BFA', 'BoulkiemdÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â', '105000'),
	(552, 'Bujumbura', 'BDI', 'Bujumbura', '300000'),
	(553, 'George Town', 'CYM', 'Grand Cayman', '19600'),
	(554, 'Santiago de Chile', 'CHL', 'Santiago', '4703954'),
	(555, 'Puente Alto', 'CHL', 'Santiago', '386236'),
	(556, 'ViÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â±a del Mar', 'CHL', 'ValparaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­s', '312493'),
	(557, 'ValparaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­so', 'CHL', 'ValparaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­s', '293800'),
	(558, 'Talcahuano', 'CHL', 'BÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­obÃƒÆ’Ã', '277752'),
	(559, 'Antofagasta', 'CHL', 'Antofagasta', '251429'),
	(560, 'San Bernardo', 'CHL', 'Santiago', '241910'),
	(561, 'Temuco', 'CHL', 'La AraucanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚', '233041'),
	(562, 'ConcepciÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', 'CHL', 'BÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­obÃƒÆ’Ã', '217664'),
	(563, 'Rancagua', 'CHL', 'OÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´Higgi', '212977'),
	(564, 'Arica', 'CHL', 'TarapacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '189036'),
	(565, 'Talca', 'CHL', 'Maule', '187557'),
	(566, 'ChillÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', 'CHL', 'BÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­obÃƒÆ’Ã', '178182'),
	(567, 'Iquique', 'CHL', 'TarapacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '177892'),
	(568, 'Los Angeles', 'CHL', 'BÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­obÃƒÆ’Ã', '158215'),
	(569, 'Puerto Montt', 'CHL', 'Los Lagos', '152194'),
	(570, 'Coquimbo', 'CHL', 'Coquimbo', '143353'),
	(571, 'Osorno', 'CHL', 'Los Lagos', '141468'),
	(572, 'La Serena', 'CHL', 'Coquimbo', '137409'),
	(573, 'Calama', 'CHL', 'Antofagasta', '137265'),
	(574, 'Valdivia', 'CHL', 'Los Lagos', '133106'),
	(575, 'Punta Arenas', 'CHL', 'Magallanes', '125631'),
	(576, 'CopiapÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', 'CHL', 'Atacama', '120128'),
	(577, 'QuilpuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'CHL', 'ValparaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­s', '118857'),
	(578, 'CuricÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', 'CHL', 'Maule', '115766'),
	(579, 'Ovalle', 'CHL', 'Coquimbo', '94854'),
	(580, 'Coronel', 'CHL', 'BÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­obÃƒÆ’Ã', '93061'),
	(581, 'San Pedro de la Paz', 'CHL', 'BÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­obÃƒÆ’Ã', '91684'),
	(582, 'Melipilla', 'CHL', 'Santiago', '91056'),
	(583, 'Avarua', 'COK', 'Rarotonga', '11900'),
	(584, 'San JosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'CRI', 'San JosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', '339131'),
	(585, 'Djibouti', 'DJI', 'Djibouti', '383000'),
	(586, 'Roseau', 'DMA', 'St George', '16243'),
	(587, 'Santo Domingo de GuzmÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', 'DOM', 'Distrito Nacional', '1609966'),
	(588, 'Santiago de los Caballeros', 'DOM', 'Santiago', '365463'),
	(589, 'La Romana', 'DOM', 'La Romana', '140204'),
	(590, 'San Pedro de MacorÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­s', 'DOM', 'San Pedro de MacorÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å', '124735'),
	(591, 'San Francisco de MacorÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­s', 'DOM', 'Duarte', '108485'),
	(592, 'San Felipe de Puerto Plata', 'DOM', 'Puerto Plata', '89423'),
	(593, 'Guayaquil', 'ECU', 'Guayas', '2070040'),
	(594, 'Quito', 'ECU', 'Pichincha', '1573458'),
	(595, 'Cuenca', 'ECU', 'Azuay', '270353'),
	(596, 'Machala', 'ECU', 'El Oro', '210368'),
	(597, 'Santo Domingo de los Colorados', 'ECU', 'Pichincha', '202111'),
	(598, 'Portoviejo', 'ECU', 'ManabÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', '176413'),
	(599, 'Ambato', 'ECU', 'Tungurahua', '169612'),
	(600, 'Manta', 'ECU', 'ManabÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', '164739'),
	(601, 'Duran [Eloy Alfaro]', 'ECU', 'Guayas', '152514'),
	(602, 'Ibarra', 'ECU', 'Imbabura', '130643'),
	(603, 'Quevedo', 'ECU', 'Los RÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­os', '129631'),
	(604, 'Milagro', 'ECU', 'Guayas', '124177'),
	(605, 'Loja', 'ECU', 'Loja', '123875'),
	(606, 'RÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­obamba', 'ECU', 'Chimborazo', '123163'),
	(607, 'Esmeraldas', 'ECU', 'Esmeraldas', '123045'),
	(608, 'Cairo', 'EGY', 'Kairo', '6789479'),
	(609, 'Alexandria', 'EGY', 'Aleksandria', '3328196'),
	(610, 'Giza', 'EGY', 'Giza', '2221868'),
	(611, 'Shubra al-Khayma', 'EGY', 'al-Qalyubiya', '870716'),
	(612, 'Port Said', 'EGY', 'Port Said', '469533'),
	(613, 'Suez', 'EGY', 'Suez', '417610'),
	(614, 'al-Mahallat al-Kubra', 'EGY', 'al-Gharbiya', '395402'),
	(615, 'Tanta', 'EGY', 'al-Gharbiya', '371010'),
	(616, 'al-Mansura', 'EGY', 'al-Daqahliya', '369621'),
	(617, 'Luxor', 'EGY', 'Luxor', '360503'),
	(618, 'Asyut', 'EGY', 'Asyut', '343498'),
	(619, 'Bahtim', 'EGY', 'al-Qalyubiya', '275807'),
	(620, 'Zagazig', 'EGY', 'al-Sharqiya', '267351'),
	(621, 'al-Faiyum', 'EGY', 'al-Faiyum', '260964'),
	(622, 'Ismailia', 'EGY', 'Ismailia', '254477'),
	(623, 'Kafr al-Dawwar', 'EGY', 'al-Buhayra', '231978'),
	(624, 'Assuan', 'EGY', 'Assuan', '219017'),
	(625, 'Damanhur', 'EGY', 'al-Buhayra', '212203'),
	(626, 'al-Minya', 'EGY', 'al-Minya', '201360'),
	(627, 'Bani Suwayf', 'EGY', 'Bani Suwayf', '172032'),
	(628, 'Qina', 'EGY', 'Qina', '171275'),
	(629, 'Sawhaj', 'EGY', 'Sawhaj', '170125'),
	(630, 'Shibin al-Kawm', 'EGY', 'al-Minufiya', '159909'),
	(631, 'Bulaq al-Dakrur', 'EGY', 'Giza', '148787'),
	(632, 'Banha', 'EGY', 'al-Qalyubiya', '145792'),
	(633, 'Warraq al-Arab', 'EGY', 'Giza', '127108'),
	(634, 'Kafr al-Shaykh', 'EGY', 'Kafr al-Shaykh', '124819'),
	(635, 'Mallawi', 'EGY', 'al-Minya', '119283'),
	(636, 'Bilbays', 'EGY', 'al-Sharqiya', '113608'),
	(637, 'Mit Ghamr', 'EGY', 'al-Daqahliya', '101801'),
	(638, 'al-Arish', 'EGY', 'Shamal Sina', '100447'),
	(639, 'Talkha', 'EGY', 'al-Daqahliya', '97700'),
	(640, 'Qalyub', 'EGY', 'al-Qalyubiya', '97200'),
	(641, 'Jirja', 'EGY', 'Sawhaj', '95400'),
	(642, 'Idfu', 'EGY', 'Qina', '94200'),
	(643, 'al-Hawamidiya', 'EGY', 'Giza', '91700'),
	(644, 'Disuq', 'EGY', 'Kafr al-Shaykh', '91300'),
	(645, 'San Salvador', 'SLV', 'San Salvador', '415346'),
	(646, 'Santa Ana', 'SLV', 'Santa Ana', '139389'),
	(647, 'Mejicanos', 'SLV', 'San Salvador', '138800'),
	(648, 'Soyapango', 'SLV', 'San Salvador', '129800'),
	(649, 'San Miguel', 'SLV', 'San Miguel', '127696'),
	(650, 'Nueva San Salvador', 'SLV', 'La Libertad', '98400'),
	(651, 'Apopa', 'SLV', 'San Salvador', '88800'),
	(652, 'Asmara', 'ERI', 'Maekel', '431000'),
	(653, 'Madrid', 'ESP', 'Madrid', '2879052'),
	(654, 'Barcelona', 'ESP', 'Katalonia', '1503451'),
	(655, 'Valencia', 'ESP', 'Valencia', '739412'),
	(656, 'Sevilla', 'ESP', 'Andalusia', '701927'),
	(657, 'Zaragoza', 'ESP', 'Aragonia', '603367'),
	(658, 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡laga', 'ESP', 'Andalusia', '530553'),
	(659, 'Bilbao', 'ESP', 'Baskimaa', '357589'),
	(660, 'Las Palmas de Gran Canaria', 'ESP', 'Canary Islands', '354757'),
	(661, 'Murcia', 'ESP', 'Murcia', '353504'),
	(662, 'Palma de Mallorca', 'ESP', 'Balears', '326993'),
	(663, 'Valladolid', 'ESP', 'Castilla and LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒ', '319998'),
	(664, 'CÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³rdoba', 'ESP', 'Andalusia', '311708'),
	(665, 'Vigo', 'ESP', 'Galicia', '283670'),
	(666, 'Alicante [Alacant]', 'ESP', 'Valencia', '272432'),
	(667, 'GijÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', 'ESP', 'Asturia', '267980'),
	(668, 'LÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´Hospitalet de Llobregat', 'ESP', 'Katalonia', '247986'),
	(669, 'Granada', 'ESP', 'Andalusia', '244767'),
	(670, 'A CoruÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â±a (La CoruÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â±', 'ESP', 'Galicia', '243402'),
	(671, 'Vitoria-Gasteiz', 'ESP', 'Baskimaa', '217154'),
	(672, 'Santa Cruz de Tenerife', 'ESP', 'Canary Islands', '213050'),
	(673, 'Badalona', 'ESP', 'Katalonia', '209635'),
	(674, 'Oviedo', 'ESP', 'Asturia', '200453'),
	(675, 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³stoles', 'ESP', 'Madrid', '195351'),
	(676, 'Elche [Elx]', 'ESP', 'Valencia', '193174'),
	(677, 'Sabadell', 'ESP', 'Katalonia', '184859'),
	(678, 'Santander', 'ESP', 'Cantabria', '184165'),
	(679, 'Jerez de la Frontera', 'ESP', 'Andalusia', '182660'),
	(680, 'Pamplona [IruÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â±a]', 'ESP', 'Navarra', '180483'),
	(681, 'Donostia-San SebastiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', 'ESP', 'Baskimaa', '179208'),
	(682, 'Cartagena', 'ESP', 'Murcia', '177709'),
	(683, 'LeganÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©s', 'ESP', 'Madrid', '173163'),
	(684, 'Fuenlabrada', 'ESP', 'Madrid', '171173'),
	(685, 'AlmerÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­a', 'ESP', 'Andalusia', '169027'),
	(686, 'Terrassa', 'ESP', 'Katalonia', '168695'),
	(687, 'AlcalÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ de Henares', 'ESP', 'Madrid', '164463'),
	(688, 'Burgos', 'ESP', 'Castilla and LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒ', '162802'),
	(689, 'Salamanca', 'ESP', 'Castilla and LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒ', '158720'),
	(690, 'Albacete', 'ESP', 'Kastilia-La Mancha', '147527'),
	(691, 'Getafe', 'ESP', 'Madrid', '145371'),
	(692, 'CÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡diz', 'ESP', 'Andalusia', '142449'),
	(693, 'AlcorcÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', 'ESP', 'Madrid', '142048'),
	(694, 'Huelva', 'ESP', 'Andalusia', '140583'),
	(695, 'LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', 'ESP', 'Castilla and LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒ', '139809'),
	(696, 'CastellÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n de la Plana [Castell', 'ESP', 'Valencia', '139712'),
	(697, 'Badajoz', 'ESP', 'Extremadura', '136613'),
	(698, '[San CristÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³bal de] la Laguna', 'ESP', 'Canary Islands', '127945'),
	(699, 'LogroÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â±o', 'ESP', 'La Rioja', '127093'),
	(700, 'Santa Coloma de Gramenet', 'ESP', 'Katalonia', '120802'),
	(701, 'Tarragona', 'ESP', 'Katalonia', '113016'),
	(702, 'Lleida (LÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©rida)', 'ESP', 'Katalonia', '112207'),
	(703, 'JaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©n', 'ESP', 'Andalusia', '109247'),
	(704, 'Ourense (Orense)', 'ESP', 'Galicia', '109120'),
	(705, 'MatarÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', 'ESP', 'Katalonia', '104095'),
	(706, 'Algeciras', 'ESP', 'Andalusia', '103106'),
	(707, 'Marbella', 'ESP', 'Andalusia', '101144'),
	(708, 'Barakaldo', 'ESP', 'Baskimaa', '98212'),
	(709, 'Dos Hermanas', 'ESP', 'Andalusia', '94591'),
	(710, 'Santiago de Compostela', 'ESP', 'Galicia', '93745'),
	(711, 'TorrejÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n de Ardoz', 'ESP', 'Madrid', '92262'),
	(712, 'Cape Town', 'ZAF', 'Western Cape', '2352121'),
	(713, 'Soweto', 'ZAF', 'Gauteng', '904165'),
	(714, 'Johannesburg', 'ZAF', 'Gauteng', '756653'),
	(715, 'Port Elizabeth', 'ZAF', 'Eastern Cape', '752319'),
	(716, 'Pretoria', 'ZAF', 'Gauteng', '658630'),
	(717, 'Inanda', 'ZAF', 'KwaZulu-Natal', '634065'),
	(718, 'Durban', 'ZAF', 'KwaZulu-Natal', '566120'),
	(719, 'Vanderbijlpark', 'ZAF', 'Gauteng', '468931'),
	(720, 'Kempton Park', 'ZAF', 'Gauteng', '442633'),
	(721, 'Alberton', 'ZAF', 'Gauteng', '410102'),
	(722, 'Pinetown', 'ZAF', 'KwaZulu-Natal', '378810'),
	(723, 'Pietermaritzburg', 'ZAF', 'KwaZulu-Natal', '370190'),
	(724, 'Benoni', 'ZAF', 'Gauteng', '365467'),
	(725, 'Randburg', 'ZAF', 'Gauteng', '341288'),
	(726, 'Umlazi', 'ZAF', 'KwaZulu-Natal', '339233'),
	(727, 'Bloemfontein', 'ZAF', 'Free State', '334341'),
	(728, 'Vereeniging', 'ZAF', 'Gauteng', '328535'),
	(729, 'Wonderboom', 'ZAF', 'Gauteng', '283289'),
	(730, 'Roodepoort', 'ZAF', 'Gauteng', '279340'),
	(731, 'Boksburg', 'ZAF', 'Gauteng', '262648'),
	(732, 'Klerksdorp', 'ZAF', 'North West', '261911'),
	(733, 'Soshanguve', 'ZAF', 'Gauteng', '242727'),
	(734, 'Newcastle', 'ZAF', 'KwaZulu-Natal', '222993'),
	(735, 'East London', 'ZAF', 'Eastern Cape', '221047'),
	(736, 'Welkom', 'ZAF', 'Free State', '203296'),
	(737, 'Kimberley', 'ZAF', 'Northern Cape', '197254'),
	(738, 'Uitenhage', 'ZAF', 'Eastern Cape', '192120'),
	(739, 'Chatsworth', 'ZAF', 'KwaZulu-Natal', '189885'),
	(740, 'Mdantsane', 'ZAF', 'Eastern Cape', '182639'),
	(741, 'Krugersdorp', 'ZAF', 'Gauteng', '181503'),
	(742, 'Botshabelo', 'ZAF', 'Free State', '177971'),
	(743, 'Brakpan', 'ZAF', 'Gauteng', '171363'),
	(744, 'Witbank', 'ZAF', 'Mpumalanga', '167183'),
	(745, 'Oberholzer', 'ZAF', 'Gauteng', '164367'),
	(746, 'Germiston', 'ZAF', 'Gauteng', '164252'),
	(747, 'Springs', 'ZAF', 'Gauteng', '162072'),
	(748, 'Westonaria', 'ZAF', 'Gauteng', '159632'),
	(749, 'Randfontein', 'ZAF', 'Gauteng', '120838'),
	(750, 'Paarl', 'ZAF', 'Western Cape', '105768'),
	(751, 'Potchefstroom', 'ZAF', 'North West', '101817'),
	(752, 'Rustenburg', 'ZAF', 'North West', '97008'),
	(753, 'Nigel', 'ZAF', 'Gauteng', '96734'),
	(754, 'George', 'ZAF', 'Western Cape', '93818'),
	(755, 'Ladysmith', 'ZAF', 'KwaZulu-Natal', '89292'),
	(756, 'Addis Abeba', 'ETH', 'Addis Abeba', '2495000'),
	(757, 'Dire Dawa', 'ETH', 'Dire Dawa', '164851'),
	(758, 'Nazret', 'ETH', 'Oromia', '127842'),
	(759, 'Gonder', 'ETH', 'Amhara', '112249'),
	(760, 'Dese', 'ETH', 'Amhara', '97314'),
	(761, 'Mekele', 'ETH', 'Tigray', '96938'),
	(762, 'Bahir Dar', 'ETH', 'Amhara', '96140'),
	(763, 'Stanley', 'FLK', 'East Falkland', '1636'),
	(764, 'Suva', 'FJI', 'Central', '77366'),
	(765, 'Quezon', 'PHL', 'National Capital Reg', '2173831'),
	(766, 'Manila', 'PHL', 'National Capital Reg', '1581082'),
	(767, 'Kalookan', 'PHL', 'National Capital Reg', '1177604'),
	(768, 'Davao', 'PHL', 'Southern Mindanao', '1147116'),
	(769, 'Cebu', 'PHL', 'Central Visayas', '718821'),
	(770, 'Zamboanga', 'PHL', 'Western Mindanao', '601794'),
	(771, 'Pasig', 'PHL', 'National Capital Reg', '505058'),
	(772, 'Valenzuela', 'PHL', 'National Capital Reg', '485433'),
	(773, 'Las PiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â±as', 'PHL', 'National Capital Reg', '472780'),
	(774, 'Antipolo', 'PHL', 'Southern Tagalog', '470866'),
	(775, 'Taguig', 'PHL', 'National Capital Reg', '467375'),
	(776, 'Cagayan de Oro', 'PHL', 'Northern Mindanao', '461877'),
	(777, 'ParaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â±aque', 'PHL', 'National Capital Reg', '449811'),
	(778, 'Makati', 'PHL', 'National Capital Reg', '444867'),
	(779, 'Bacolod', 'PHL', 'Western Visayas', '429076'),
	(780, 'General Santos', 'PHL', 'Southern Mindanao', '411822'),
	(781, 'Marikina', 'PHL', 'National Capital Reg', '391170'),
	(782, 'DasmariÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â±as', 'PHL', 'Southern Tagalog', '379520'),
	(783, 'Muntinlupa', 'PHL', 'National Capital Reg', '379310'),
	(784, 'Iloilo', 'PHL', 'Western Visayas', '365820'),
	(785, 'Pasay', 'PHL', 'National Capital Reg', '354908'),
	(786, 'Malabon', 'PHL', 'National Capital Reg', '338855'),
	(787, 'San JosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â© del Monte', 'PHL', 'Central Luzon', '315807'),
	(788, 'Bacoor', 'PHL', 'Southern Tagalog', '305699'),
	(789, 'Iligan', 'PHL', 'Central Mindanao', '285061'),
	(790, 'Calamba', 'PHL', 'Southern Tagalog', '281146'),
	(791, 'Mandaluyong', 'PHL', 'National Capital Reg', '278474'),
	(792, 'Butuan', 'PHL', 'Caraga', '267279'),
	(793, 'Angeles', 'PHL', 'Central Luzon', '263971'),
	(794, 'Tarlac', 'PHL', 'Central Luzon', '262481'),
	(795, 'Mandaue', 'PHL', 'Central Visayas', '259728'),
	(796, 'Baguio', 'PHL', 'CAR', '252386'),
	(797, 'Batangas', 'PHL', 'Southern Tagalog', '247588'),
	(798, 'Cainta', 'PHL', 'Southern Tagalog', '242511'),
	(799, 'San Pedro', 'PHL', 'Southern Tagalog', '231403'),
	(800, 'Navotas', 'PHL', 'National Capital Reg', '230403'),
	(801, 'Cabanatuan', 'PHL', 'Central Luzon', '222859'),
	(802, 'San Fernando', 'PHL', 'Central Luzon', '221857'),
	(803, 'Lipa', 'PHL', 'Southern Tagalog', '218447'),
	(804, 'Lapu-Lapu', 'PHL', 'Central Visayas', '217019'),
	(805, 'San Pablo', 'PHL', 'Southern Tagalog', '207927'),
	(806, 'BiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â±an', 'PHL', 'Southern Tagalog', '201186'),
	(807, 'Taytay', 'PHL', 'Southern Tagalog', '198183'),
	(808, 'Lucena', 'PHL', 'Southern Tagalog', '196075'),
	(809, 'Imus', 'PHL', 'Southern Tagalog', '195482'),
	(810, 'Olongapo', 'PHL', 'Central Luzon', '194260'),
	(811, 'Binangonan', 'PHL', 'Southern Tagalog', '187691'),
	(812, 'Santa Rosa', 'PHL', 'Southern Tagalog', '185633'),
	(813, 'Tagum', 'PHL', 'Southern Mindanao', '179531'),
	(814, 'Tacloban', 'PHL', 'Eastern Visayas', '178639'),
	(815, 'Malolos', 'PHL', 'Central Luzon', '175291'),
	(816, 'Mabalacat', 'PHL', 'Central Luzon', '171045'),
	(817, 'Cotabato', 'PHL', 'Central Mindanao', '163849'),
	(818, 'Meycauayan', 'PHL', 'Central Luzon', '163037'),
	(819, 'Puerto Princesa', 'PHL', 'Southern Tagalog', '161912'),
	(820, 'Legazpi', 'PHL', 'Bicol', '157010'),
	(821, 'Silang', 'PHL', 'Southern Tagalog', '156137'),
	(822, 'Ormoc', 'PHL', 'Eastern Visayas', '154297'),
	(823, 'San Carlos', 'PHL', 'Ilocos', '154264'),
	(824, 'Kabankalan', 'PHL', 'Western Visayas', '149769'),
	(825, 'Talisay', 'PHL', 'Central Visayas', '148110'),
	(826, 'Valencia', 'PHL', 'Northern Mindanao', '147924'),
	(827, 'Calbayog', 'PHL', 'Eastern Visayas', '147187'),
	(828, 'Santa Maria', 'PHL', 'Central Luzon', '144282'),
	(829, 'Pagadian', 'PHL', 'Western Mindanao', '142515'),
	(830, 'Cadiz', 'PHL', 'Western Visayas', '141954'),
	(831, 'Bago', 'PHL', 'Western Visayas', '141721'),
	(832, 'Toledo', 'PHL', 'Central Visayas', '141174'),
	(833, 'Naga', 'PHL', 'Bicol', '137810'),
	(834, 'San Mateo', 'PHL', 'Southern Tagalog', '135603'),
	(835, 'Panabo', 'PHL', 'Southern Mindanao', '133950'),
	(836, 'Koronadal', 'PHL', 'Southern Mindanao', '133786'),
	(837, 'Marawi', 'PHL', 'Central Mindanao', '131090'),
	(838, 'Dagupan', 'PHL', 'Ilocos', '130328'),
	(839, 'Sagay', 'PHL', 'Western Visayas', '129765'),
	(840, 'Roxas', 'PHL', 'Western Visayas', '126352'),
	(841, 'Lubao', 'PHL', 'Central Luzon', '125699'),
	(842, 'Digos', 'PHL', 'Southern Mindanao', '125171'),
	(843, 'San Miguel', 'PHL', 'Central Luzon', '123824'),
	(844, 'Malaybalay', 'PHL', 'Northern Mindanao', '123672'),
	(845, 'Tuguegarao', 'PHL', 'Cagayan Valley', '120645'),
	(846, 'Ilagan', 'PHL', 'Cagayan Valley', '119990'),
	(847, 'Baliuag', 'PHL', 'Central Luzon', '119675'),
	(848, 'Surigao', 'PHL', 'Caraga', '118534'),
	(849, 'San Carlos', 'PHL', 'Western Visayas', '118259'),
	(850, 'San Juan del Monte', 'PHL', 'National Capital Reg', '117680'),
	(851, 'Tanauan', 'PHL', 'Southern Tagalog', '117539'),
	(852, 'Concepcion', 'PHL', 'Central Luzon', '115171'),
	(853, 'Rodriguez (Montalban)', 'PHL', 'Southern Tagalog', '115167'),
	(854, 'Sariaya', 'PHL', 'Southern Tagalog', '114568'),
	(855, 'Malasiqui', 'PHL', 'Ilocos', '113190'),
	(856, 'General Mariano Alvarez', 'PHL', 'Southern Tagalog', '112446'),
	(857, 'Urdaneta', 'PHL', 'Ilocos', '111582'),
	(858, 'Hagonoy', 'PHL', 'Central Luzon', '111425'),
	(859, 'San Jose', 'PHL', 'Southern Tagalog', '111009'),
	(860, 'Polomolok', 'PHL', 'Southern Mindanao', '110709'),
	(861, 'Santiago', 'PHL', 'Cagayan Valley', '110531'),
	(862, 'Tanza', 'PHL', 'Southern Tagalog', '110517'),
	(863, 'Ozamis', 'PHL', 'Northern Mindanao', '110420'),
	(864, 'Mexico', 'PHL', 'Central Luzon', '109481'),
	(865, 'San Jose', 'PHL', 'Central Luzon', '108254'),
	(866, 'Silay', 'PHL', 'Western Visayas', '107722'),
	(867, 'General Trias', 'PHL', 'Southern Tagalog', '107691'),
	(868, 'Tabaco', 'PHL', 'Bicol', '107166'),
	(869, 'Cabuyao', 'PHL', 'Southern Tagalog', '106630'),
	(870, 'Calapan', 'PHL', 'Southern Tagalog', '105910'),
	(871, 'Mati', 'PHL', 'Southern Mindanao', '105908'),
	(872, 'Midsayap', 'PHL', 'Central Mindanao', '105760'),
	(873, 'Cauayan', 'PHL', 'Cagayan Valley', '103952'),
	(874, 'Gingoog', 'PHL', 'Northern Mindanao', '102379'),
	(875, 'Dumaguete', 'PHL', 'Central Visayas', '102265'),
	(876, 'San Fernando', 'PHL', 'Ilocos', '102082'),
	(877, 'Arayat', 'PHL', 'Central Luzon', '101792'),
	(878, 'Bayawan (Tulong)', 'PHL', 'Central Visayas', '101391'),
	(879, 'Kidapawan', 'PHL', 'Central Mindanao', '101205'),
	(880, 'Daraga (Locsin)', 'PHL', 'Bicol', '101031'),
	(881, 'Marilao', 'PHL', 'Central Luzon', '101017'),
	(882, 'Malita', 'PHL', 'Southern Mindanao', '100000'),
	(883, 'Dipolog', 'PHL', 'Western Mindanao', '99862'),
	(884, 'Cavite', 'PHL', 'Southern Tagalog', '99367'),
	(885, 'Danao', 'PHL', 'Central Visayas', '98781'),
	(886, 'Bislig', 'PHL', 'Caraga', '97860'),
	(887, 'Talavera', 'PHL', 'Central Luzon', '97329'),
	(888, 'Guagua', 'PHL', 'Central Luzon', '96858'),
	(889, 'Bayambang', 'PHL', 'Ilocos', '96609'),
	(890, 'Nasugbu', 'PHL', 'Southern Tagalog', '96113'),
	(891, 'Baybay', 'PHL', 'Eastern Visayas', '95630'),
	(892, 'Capas', 'PHL', 'Central Luzon', '95219'),
	(893, 'Sultan Kudarat', 'PHL', 'ARMM', '94861'),
	(894, 'Laoag', 'PHL', 'Ilocos', '94466'),
	(895, 'Bayugan', 'PHL', 'Caraga', '93623'),
	(896, 'Malungon', 'PHL', 'Southern Mindanao', '93232'),
	(897, 'Santa Cruz', 'PHL', 'Southern Tagalog', '92694'),
	(898, 'Sorsogon', 'PHL', 'Bicol', '92512'),
	(899, 'Candelaria', 'PHL', 'Southern Tagalog', '92429'),
	(900, 'Ligao', 'PHL', 'Bicol', '90603'),
	(901, 'TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³rshavn', 'FRO', 'Streymoyar', '14542'),
	(902, 'Libreville', 'GAB', 'Estuaire', '419000'),
	(903, 'Serekunda', 'GMB', 'Kombo St Mary', '102600'),
	(904, 'Banjul', 'GMB', 'Banjul', '42326'),
	(905, 'Tbilisi', 'GEO', 'Tbilisi', '1235200'),
	(906, 'Kutaisi', 'GEO', 'Imereti', '240900'),
	(907, 'Rustavi', 'GEO', 'Kvemo Kartli', '155400'),
	(908, 'Batumi', 'GEO', 'Adzaria [AtÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€', '137700'),
	(909, 'Sohumi', 'GEO', 'Abhasia [Aphazeti]', '111700'),
	(910, 'Accra', 'GHA', 'Greater Accra', '1070000'),
	(911, 'Kumasi', 'GHA', 'Ashanti', '385192'),
	(912, 'Tamale', 'GHA', 'Northern', '151069'),
	(913, 'Tema', 'GHA', 'Greater Accra', '109975'),
	(914, 'Sekondi-Takoradi', 'GHA', 'Western', '103653'),
	(915, 'Gibraltar', 'GIB', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '27025'),
	(916, 'Saint GeorgeÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´s', 'GRD', 'St George', '4621'),
	(917, 'Nuuk', 'GRL', 'Kitaa', '13445'),
	(918, 'Les Abymes', 'GLP', 'Grande-Terre', '62947'),
	(919, 'Basse-Terre', 'GLP', 'Basse-Terre', '12433'),
	(920, 'Tamuning', 'GUM', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '9500'),
	(921, 'AgaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â±a', 'GUM', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '1139'),
	(922, 'Ciudad de Guatemala', 'GTM', 'Guatemala', '823301'),
	(923, 'Mixco', 'GTM', 'Guatemala', '209791'),
	(924, 'Villa Nueva', 'GTM', 'Guatemala', '101295'),
	(925, 'Quetzaltenango', 'GTM', 'Quetzaltenango', '90801'),
	(926, 'Conakry', 'GIN', 'Conakry', '1090610'),
	(927, 'Bissau', 'GNB', 'Bissau', '241000'),
	(928, 'Georgetown', 'GUY', 'Georgetown', '254000'),
	(929, 'Port-au-Prince', 'HTI', 'Ouest', '884472'),
	(930, 'Carrefour', 'HTI', 'Ouest', '290204'),
	(931, 'Delmas', 'HTI', 'Ouest', '240429'),
	(932, 'Le-Cap-HaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¯tien', 'HTI', 'Nord', '102233'),
	(933, 'Tegucigalpa', 'HND', 'Distrito Central', '813900'),
	(934, 'San Pedro Sula', 'HND', 'CortÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©s', '383900'),
	(935, 'La Ceiba', 'HND', 'AtlÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ntida', '89200'),
	(936, 'Kowloon and New Kowloon', 'HKG', 'Kowloon and New Kowl', '1987996'),
	(937, 'Victoria', 'HKG', 'Hongkong', '1312637'),
	(938, 'Longyearbyen', 'SJM', 'LÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤nsimaa', '1438'),
	(939, 'Jakarta', 'IDN', 'Jakarta Raya', '9604900'),
	(940, 'Surabaya', 'IDN', 'East Java', '2663820'),
	(941, 'Bandung', 'IDN', 'West Java', '2429000'),
	(942, 'Medan', 'IDN', 'Sumatera Utara', '1843919'),
	(943, 'Palembang', 'IDN', 'Sumatera Selatan', '1222764'),
	(944, 'Tangerang', 'IDN', 'West Java', '1198300'),
	(945, 'Semarang', 'IDN', 'Central Java', '1104405'),
	(946, 'Ujung Pandang', 'IDN', 'Sulawesi Selatan', '1060257'),
	(947, 'Malang', 'IDN', 'East Java', '716862'),
	(948, 'Bandar Lampung', 'IDN', 'Lampung', '680332'),
	(949, 'Bekasi', 'IDN', 'West Java', '644300'),
	(950, 'Padang', 'IDN', 'Sumatera Barat', '534474'),
	(951, 'Surakarta', 'IDN', 'Central Java', '518600'),
	(952, 'Banjarmasin', 'IDN', 'Kalimantan Selatan', '482931'),
	(953, 'Pekan Baru', 'IDN', 'Riau', '438638'),
	(954, 'Denpasar', 'IDN', 'Bali', '435000'),
	(955, 'Yogyakarta', 'IDN', 'Yogyakarta', '418944'),
	(956, 'Pontianak', 'IDN', 'Kalimantan Barat', '409632'),
	(957, 'Samarinda', 'IDN', 'Kalimantan Timur', '399175'),
	(958, 'Jambi', 'IDN', 'Jambi', '385201'),
	(959, 'Depok', 'IDN', 'West Java', '365200'),
	(960, 'Cimahi', 'IDN', 'West Java', '344600'),
	(961, 'Balikpapan', 'IDN', 'Kalimantan Timur', '338752'),
	(962, 'Manado', 'IDN', 'Sulawesi Utara', '332288'),
	(963, 'Mataram', 'IDN', 'Nusa Tenggara Barat', '306600'),
	(964, 'Pekalongan', 'IDN', 'Central Java', '301504'),
	(965, 'Tegal', 'IDN', 'Central Java', '289744'),
	(966, 'Bogor', 'IDN', 'West Java', '285114'),
	(967, 'Ciputat', 'IDN', 'West Java', '270800'),
	(968, 'Pondokgede', 'IDN', 'West Java', '263200'),
	(969, 'Cirebon', 'IDN', 'West Java', '254406'),
	(970, 'Kediri', 'IDN', 'East Java', '253760'),
	(971, 'Ambon', 'IDN', 'Molukit', '249312'),
	(972, 'Jember', 'IDN', 'East Java', '218500'),
	(973, 'Cilacap', 'IDN', 'Central Java', '206900'),
	(974, 'Cimanggis', 'IDN', 'West Java', '205100'),
	(975, 'Pematang Siantar', 'IDN', 'Sumatera Utara', '203056'),
	(976, 'Purwokerto', 'IDN', 'Central Java', '202500'),
	(977, 'Ciomas', 'IDN', 'West Java', '187400'),
	(978, 'Tasikmalaya', 'IDN', 'West Java', '179800'),
	(979, 'Madiun', 'IDN', 'East Java', '171532'),
	(980, 'Bengkulu', 'IDN', 'Bengkulu', '146439'),
	(981, 'Karawang', 'IDN', 'West Java', '145000'),
	(982, 'Banda Aceh', 'IDN', 'Aceh', '143409'),
	(983, 'Palu', 'IDN', 'Sulawesi Tengah', '142800'),
	(984, 'Pasuruan', 'IDN', 'East Java', '134019'),
	(985, 'Kupang', 'IDN', 'Nusa Tenggara Timur', '129300'),
	(986, 'Tebing Tinggi', 'IDN', 'Sumatera Utara', '129300'),
	(987, 'Percut Sei Tuan', 'IDN', 'Sumatera Utara', '129000'),
	(988, 'Binjai', 'IDN', 'Sumatera Utara', '127222'),
	(989, 'Sukabumi', 'IDN', 'West Java', '125766'),
	(990, 'Waru', 'IDN', 'East Java', '124300'),
	(991, 'Pangkal Pinang', 'IDN', 'Sumatera Selatan', '124000'),
	(992, 'Magelang', 'IDN', 'Central Java', '123800'),
	(993, 'Blitar', 'IDN', 'East Java', '122600'),
	(994, 'Serang', 'IDN', 'West Java', '122400'),
	(995, 'Probolinggo', 'IDN', 'East Java', '120770'),
	(996, 'Cilegon', 'IDN', 'West Java', '117000'),
	(997, 'Cianjur', 'IDN', 'West Java', '114300'),
	(998, 'Ciparay', 'IDN', 'West Java', '111500'),
	(999, 'Lhokseumawe', 'IDN', 'Aceh', '109600'),
	(1000, 'Taman', 'IDN', 'East Java', '107000'),
	(1001, 'Depok', 'IDN', 'Yogyakarta', '106800'),
	(1002, 'Citeureup', 'IDN', 'West Java', '105100'),
	(1003, 'Pemalang', 'IDN', 'Central Java', '103500'),
	(1004, 'Klaten', 'IDN', 'Central Java', '103300'),
	(1005, 'Salatiga', 'IDN', 'Central Java', '103000'),
	(1006, 'Cibinong', 'IDN', 'West Java', '101300'),
	(1007, 'Palangka Raya', 'IDN', 'Kalimantan Tengah', '99693'),
	(1008, 'Mojokerto', 'IDN', 'East Java', '96626'),
	(1009, 'Purwakarta', 'IDN', 'West Java', '95900'),
	(1010, 'Garut', 'IDN', 'West Java', '95800'),
	(1011, 'Kudus', 'IDN', 'Central Java', '95300'),
	(1012, 'Kendari', 'IDN', 'Sulawesi Tenggara', '94800'),
	(1013, 'Jaya Pura', 'IDN', 'West Irian', '94700'),
	(1014, 'Gorontalo', 'IDN', 'Sulawesi Utara', '94058'),
	(1015, 'Majalaya', 'IDN', 'West Java', '93200'),
	(1016, 'Pondok Aren', 'IDN', 'West Java', '92700'),
	(1017, 'Jombang', 'IDN', 'East Java', '92600'),
	(1018, 'Sunggal', 'IDN', 'Sumatera Utara', '92300'),
	(1019, 'Batam', 'IDN', 'Riau', '91871'),
	(1020, 'Padang Sidempuan', 'IDN', 'Sumatera Utara', '91200'),
	(1021, 'Sawangan', 'IDN', 'West Java', '91100'),
	(1022, 'Banyuwangi', 'IDN', 'East Java', '89900'),
	(1023, 'Tanjung Pinang', 'IDN', 'Riau', '89900'),
	(1024, 'Mumbai (Bombay)', 'IND', 'Maharashtra', '10500000'),
	(1025, 'Delhi', 'IND', 'Delhi', '7206704'),
	(1026, 'Calcutta [Kolkata]', 'IND', 'West Bengali', '4399819'),
	(1027, 'Chennai (Madras)', 'IND', 'Tamil Nadu', '3841396'),
	(1028, 'Hyderabad', 'IND', 'Andhra Pradesh', '2964638'),
	(1029, 'Ahmedabad', 'IND', 'Gujarat', '2876710'),
	(1030, 'Bangalore', 'IND', 'Karnataka', '2660088'),
	(1031, 'Kanpur', 'IND', 'Uttar Pradesh', '1874409'),
	(1032, 'Nagpur', 'IND', 'Maharashtra', '1624752'),
	(1033, 'Lucknow', 'IND', 'Uttar Pradesh', '1619115'),
	(1034, 'Pune', 'IND', 'Maharashtra', '1566651'),
	(1035, 'Surat', 'IND', 'Gujarat', '1498817'),
	(1036, 'Jaipur', 'IND', 'Rajasthan', '1458483'),
	(1037, 'Indore', 'IND', 'Madhya Pradesh', '1091674'),
	(1038, 'Bhopal', 'IND', 'Madhya Pradesh', '1062771'),
	(1039, 'Ludhiana', 'IND', 'Punjab', '1042740'),
	(1040, 'Vadodara (Baroda)', 'IND', 'Gujarat', '1031346'),
	(1041, 'Kalyan', 'IND', 'Maharashtra', '1014557'),
	(1042, 'Madurai', 'IND', 'Tamil Nadu', '977856'),
	(1043, 'Haora (Howrah)', 'IND', 'West Bengali', '950435'),
	(1044, 'Varanasi (Benares)', 'IND', 'Uttar Pradesh', '929270'),
	(1045, 'Patna', 'IND', 'Bihar', '917243'),
	(1046, 'Srinagar', 'IND', 'Jammu and Kashmir', '892506'),
	(1047, 'Agra', 'IND', 'Uttar Pradesh', '891790'),
	(1048, 'Coimbatore', 'IND', 'Tamil Nadu', '816321'),
	(1049, 'Thane (Thana)', 'IND', 'Maharashtra', '803389'),
	(1050, 'Allahabad', 'IND', 'Uttar Pradesh', '792858'),
	(1051, 'Meerut', 'IND', 'Uttar Pradesh', '753778'),
	(1052, 'Vishakhapatnam', 'IND', 'Andhra Pradesh', '752037'),
	(1053, 'Jabalpur', 'IND', 'Madhya Pradesh', '741927'),
	(1054, 'Amritsar', 'IND', 'Punjab', '708835'),
	(1055, 'Faridabad', 'IND', 'Haryana', '703592'),
	(1056, 'Vijayawada', 'IND', 'Andhra Pradesh', '701827'),
	(1057, 'Gwalior', 'IND', 'Madhya Pradesh', '690765'),
	(1058, 'Jodhpur', 'IND', 'Rajasthan', '666279'),
	(1059, 'Nashik (Nasik)', 'IND', 'Maharashtra', '656925'),
	(1060, 'Hubli-Dharwad', 'IND', 'Karnataka', '648298'),
	(1061, 'Solapur (Sholapur)', 'IND', 'Maharashtra', '604215'),
	(1062, 'Ranchi', 'IND', 'Jharkhand', '599306'),
	(1063, 'Bareilly', 'IND', 'Uttar Pradesh', '587211'),
	(1064, 'Guwahati (Gauhati)', 'IND', 'Assam', '584342'),
	(1065, 'Shambajinagar (Aurangabad)', 'IND', 'Maharashtra', '573272'),
	(1066, 'Cochin (Kochi)', 'IND', 'Kerala', '564589'),
	(1067, 'Rajkot', 'IND', 'Gujarat', '559407'),
	(1068, 'Kota', 'IND', 'Rajasthan', '537371'),
	(1069, 'Thiruvananthapuram (Trivandrum', 'IND', 'Kerala', '524006'),
	(1070, 'Pimpri-Chinchwad', 'IND', 'Maharashtra', '517083'),
	(1071, 'Jalandhar (Jullundur)', 'IND', 'Punjab', '509510'),
	(1072, 'Gorakhpur', 'IND', 'Uttar Pradesh', '505566'),
	(1073, 'Chandigarh', 'IND', 'Chandigarh', '504094'),
	(1074, 'Mysore', 'IND', 'Karnataka', '480692'),
	(1075, 'Aligarh', 'IND', 'Uttar Pradesh', '480520'),
	(1076, 'Guntur', 'IND', 'Andhra Pradesh', '471051'),
	(1077, 'Jamshedpur', 'IND', 'Jharkhand', '460577'),
	(1078, 'Ghaziabad', 'IND', 'Uttar Pradesh', '454156'),
	(1079, 'Warangal', 'IND', 'Andhra Pradesh', '447657'),
	(1080, 'Raipur', 'IND', 'Chhatisgarh', '438639'),
	(1081, 'Moradabad', 'IND', 'Uttar Pradesh', '429214'),
	(1082, 'Durgapur', 'IND', 'West Bengali', '425836'),
	(1083, 'Amravati', 'IND', 'Maharashtra', '421576'),
	(1084, 'Calicut (Kozhikode)', 'IND', 'Kerala', '419831'),
	(1085, 'Bikaner', 'IND', 'Rajasthan', '416289'),
	(1086, 'Bhubaneswar', 'IND', 'Orissa', '411542'),
	(1087, 'Kolhapur', 'IND', 'Maharashtra', '406370'),
	(1088, 'Kataka (Cuttack)', 'IND', 'Orissa', '403418'),
	(1089, 'Ajmer', 'IND', 'Rajasthan', '402700'),
	(1090, 'Bhavnagar', 'IND', 'Gujarat', '402338'),
	(1091, 'Tiruchirapalli', 'IND', 'Tamil Nadu', '387223'),
	(1092, 'Bhilai', 'IND', 'Chhatisgarh', '386159'),
	(1093, 'Bhiwandi', 'IND', 'Maharashtra', '379070'),
	(1094, 'Saharanpur', 'IND', 'Uttar Pradesh', '374945'),
	(1095, 'Ulhasnagar', 'IND', 'Maharashtra', '369077'),
	(1096, 'Salem', 'IND', 'Tamil Nadu', '366712'),
	(1097, 'Ujjain', 'IND', 'Madhya Pradesh', '362266'),
	(1098, 'Malegaon', 'IND', 'Maharashtra', '342595'),
	(1099, 'Jamnagar', 'IND', 'Gujarat', '341637'),
	(1100, 'Bokaro Steel City', 'IND', 'Jharkhand', '333683'),
	(1101, 'Akola', 'IND', 'Maharashtra', '328034'),
	(1102, 'Belgaum', 'IND', 'Karnataka', '326399'),
	(1103, 'Rajahmundry', 'IND', 'Andhra Pradesh', '324851'),
	(1104, 'Nellore', 'IND', 'Andhra Pradesh', '316606'),
	(1105, 'Udaipur', 'IND', 'Rajasthan', '308571'),
	(1106, 'New Bombay', 'IND', 'Maharashtra', '307297'),
	(1107, 'Bhatpara', 'IND', 'West Bengali', '304952'),
	(1108, 'Gulbarga', 'IND', 'Karnataka', '304099'),
	(1109, 'New Delhi', 'IND', 'Delhi', '301297'),
	(1110, 'Jhansi', 'IND', 'Uttar Pradesh', '300850'),
	(1111, 'Gaya', 'IND', 'Bihar', '291675'),
	(1112, 'Kakinada', 'IND', 'Andhra Pradesh', '279980'),
	(1113, 'Dhule (Dhulia)', 'IND', 'Maharashtra', '278317'),
	(1114, 'Panihati', 'IND', 'West Bengali', '275990'),
	(1115, 'Nanded (Nander)', 'IND', 'Maharashtra', '275083'),
	(1116, 'Mangalore', 'IND', 'Karnataka', '273304'),
	(1117, 'Dehra Dun', 'IND', 'Uttaranchal', '270159'),
	(1118, 'Kamarhati', 'IND', 'West Bengali', '266889'),
	(1119, 'Davangere', 'IND', 'Karnataka', '266082'),
	(1120, 'Asansol', 'IND', 'West Bengali', '262188'),
	(1121, 'Bhagalpur', 'IND', 'Bihar', '253225'),
	(1122, 'Bellary', 'IND', 'Karnataka', '245391'),
	(1123, 'Barddhaman (Burdwan)', 'IND', 'West Bengali', '245079'),
	(1124, 'Rampur', 'IND', 'Uttar Pradesh', '243742'),
	(1125, 'Jalgaon', 'IND', 'Maharashtra', '242193'),
	(1126, 'Muzaffarpur', 'IND', 'Bihar', '241107'),
	(1127, 'Nizamabad', 'IND', 'Andhra Pradesh', '241034'),
	(1128, 'Muzaffarnagar', 'IND', 'Uttar Pradesh', '240609'),
	(1129, 'Patiala', 'IND', 'Punjab', '238368'),
	(1130, 'Shahjahanpur', 'IND', 'Uttar Pradesh', '237713'),
	(1131, 'Kurnool', 'IND', 'Andhra Pradesh', '236800'),
	(1132, 'Tiruppur (Tirupper)', 'IND', 'Tamil Nadu', '235661'),
	(1133, 'Rohtak', 'IND', 'Haryana', '233400'),
	(1134, 'South Dum Dum', 'IND', 'West Bengali', '232811'),
	(1135, 'Mathura', 'IND', 'Uttar Pradesh', '226691'),
	(1136, 'Chandrapur', 'IND', 'Maharashtra', '226105'),
	(1137, 'Barahanagar (Baranagar)', 'IND', 'West Bengali', '224821'),
	(1138, 'Darbhanga', 'IND', 'Bihar', '218391'),
	(1139, 'Siliguri (Shiliguri)', 'IND', 'West Bengali', '216950'),
	(1140, 'Raurkela', 'IND', 'Orissa', '215489'),
	(1141, 'Ambattur', 'IND', 'Tamil Nadu', '215424'),
	(1142, 'Panipat', 'IND', 'Haryana', '215218'),
	(1143, 'Firozabad', 'IND', 'Uttar Pradesh', '215128'),
	(1144, 'Ichalkaranji', 'IND', 'Maharashtra', '214950'),
	(1145, 'Jammu', 'IND', 'Jammu and Kashmir', '214737'),
	(1146, 'Ramagundam', 'IND', 'Andhra Pradesh', '214384'),
	(1147, 'Eluru', 'IND', 'Andhra Pradesh', '212866'),
	(1148, 'Brahmapur', 'IND', 'Orissa', '210418'),
	(1149, 'Alwar', 'IND', 'Rajasthan', '205086'),
	(1150, 'Pondicherry', 'IND', 'Pondicherry', '203065'),
	(1151, 'Thanjavur', 'IND', 'Tamil Nadu', '202013'),
	(1152, 'Bihar Sharif', 'IND', 'Bihar', '201323'),
	(1153, 'Tuticorin', 'IND', 'Tamil Nadu', '199854'),
	(1154, 'Imphal', 'IND', 'Manipur', '198535'),
	(1155, 'Latur', 'IND', 'Maharashtra', '197408'),
	(1156, 'Sagar', 'IND', 'Madhya Pradesh', '195346'),
	(1157, 'Farrukhabad-cum-Fatehgarh', 'IND', 'Uttar Pradesh', '194567'),
	(1158, 'Sangli', 'IND', 'Maharashtra', '193197'),
	(1159, 'Parbhani', 'IND', 'Maharashtra', '190255'),
	(1160, 'Nagar Coil', 'IND', 'Tamil Nadu', '190084'),
	(1161, 'Bijapur', 'IND', 'Karnataka', '186939'),
	(1162, 'Kukatpalle', 'IND', 'Andhra Pradesh', '185378'),
	(1163, 'Bally', 'IND', 'West Bengali', '184474'),
	(1164, 'Bhilwara', 'IND', 'Rajasthan', '183965'),
	(1165, 'Ratlam', 'IND', 'Madhya Pradesh', '183375'),
	(1166, 'Avadi', 'IND', 'Tamil Nadu', '183215'),
	(1167, 'Dindigul', 'IND', 'Tamil Nadu', '182477'),
	(1168, 'Ahmadnagar', 'IND', 'Maharashtra', '181339'),
	(1169, 'Bilaspur', 'IND', 'Chhatisgarh', '179833'),
	(1170, 'Shimoga', 'IND', 'Karnataka', '179258'),
	(1171, 'Kharagpur', 'IND', 'West Bengali', '177989'),
	(1172, 'Mira Bhayandar', 'IND', 'Maharashtra', '175372'),
	(1173, 'Vellore', 'IND', 'Tamil Nadu', '175061'),
	(1174, 'Jalna', 'IND', 'Maharashtra', '174985'),
	(1175, 'Burnpur', 'IND', 'West Bengali', '174933'),
	(1176, 'Anantapur', 'IND', 'Andhra Pradesh', '174924'),
	(1177, 'Allappuzha (Alleppey)', 'IND', 'Kerala', '174666'),
	(1178, 'Tirupati', 'IND', 'Andhra Pradesh', '174369'),
	(1179, 'Karnal', 'IND', 'Haryana', '173751'),
	(1180, 'Burhanpur', 'IND', 'Madhya Pradesh', '172710'),
	(1181, 'Hisar (Hissar)', 'IND', 'Haryana', '172677'),
	(1182, 'Tiruvottiyur', 'IND', 'Tamil Nadu', '172562'),
	(1183, 'Mirzapur-cum-Vindhyachal', 'IND', 'Uttar Pradesh', '169336'),
	(1184, 'Secunderabad', 'IND', 'Andhra Pradesh', '167461'),
	(1185, 'Nadiad', 'IND', 'Gujarat', '167051'),
	(1186, 'Dewas', 'IND', 'Madhya Pradesh', '164364'),
	(1187, 'Murwara (Katni)', 'IND', 'Madhya Pradesh', '163431'),
	(1188, 'Ganganagar', 'IND', 'Rajasthan', '161482'),
	(1189, 'Vizianagaram', 'IND', 'Andhra Pradesh', '160359'),
	(1190, 'Erode', 'IND', 'Tamil Nadu', '159232'),
	(1191, 'Machilipatnam (Masulipatam)', 'IND', 'Andhra Pradesh', '159110'),
	(1192, 'Bhatinda (Bathinda)', 'IND', 'Punjab', '159042'),
	(1193, 'Raichur', 'IND', 'Karnataka', '157551'),
	(1194, 'Agartala', 'IND', 'Tripura', '157358'),
	(1195, 'Arrah (Ara)', 'IND', 'Bihar', '157082'),
	(1196, 'Satna', 'IND', 'Madhya Pradesh', '156630'),
	(1197, 'Lalbahadur Nagar', 'IND', 'Andhra Pradesh', '155500'),
	(1198, 'Aizawl', 'IND', 'Mizoram', '155240'),
	(1199, 'Uluberia', 'IND', 'West Bengali', '155172'),
	(1200, 'Katihar', 'IND', 'Bihar', '154367'),
	(1201, 'Cuddalore', 'IND', 'Tamil Nadu', '153086'),
	(1202, 'Hugli-Chinsurah', 'IND', 'West Bengali', '151806'),
	(1203, 'Dhanbad', 'IND', 'Jharkhand', '151789'),
	(1204, 'Raiganj', 'IND', 'West Bengali', '151045'),
	(1205, 'Sambhal', 'IND', 'Uttar Pradesh', '150869'),
	(1206, 'Durg', 'IND', 'Chhatisgarh', '150645'),
	(1207, 'Munger (Monghyr)', 'IND', 'Bihar', '150112'),
	(1208, 'Kanchipuram', 'IND', 'Tamil Nadu', '150100'),
	(1209, 'North Dum Dum', 'IND', 'West Bengali', '149965'),
	(1210, 'Karimnagar', 'IND', 'Andhra Pradesh', '148583'),
	(1211, 'Bharatpur', 'IND', 'Rajasthan', '148519'),
	(1212, 'Sikar', 'IND', 'Rajasthan', '148272'),
	(1213, 'Hardwar (Haridwar)', 'IND', 'Uttaranchal', '147305'),
	(1214, 'Dabgram', 'IND', 'West Bengali', '147217'),
	(1215, 'Morena', 'IND', 'Madhya Pradesh', '147124'),
	(1216, 'Noida', 'IND', 'Uttar Pradesh', '146514'),
	(1217, 'Hapur', 'IND', 'Uttar Pradesh', '146262'),
	(1218, 'Bhusawal', 'IND', 'Maharashtra', '145143'),
	(1219, 'Khandwa', 'IND', 'Madhya Pradesh', '145133'),
	(1220, 'Yamuna Nagar', 'IND', 'Haryana', '144346'),
	(1221, 'Sonipat (Sonepat)', 'IND', 'Haryana', '143922'),
	(1222, 'Tenali', 'IND', 'Andhra Pradesh', '143726'),
	(1223, 'Raurkela Civil Township', 'IND', 'Orissa', '140408'),
	(1224, 'Kollam (Quilon)', 'IND', 'Kerala', '139852'),
	(1225, 'Kumbakonam', 'IND', 'Tamil Nadu', '139483'),
	(1226, 'Ingraj Bazar (English Bazar)', 'IND', 'West Bengali', '139204'),
	(1227, 'Timkur', 'IND', 'Karnataka', '138903'),
	(1228, 'Amroha', 'IND', 'Uttar Pradesh', '137061'),
	(1229, 'Serampore', 'IND', 'West Bengali', '137028'),
	(1230, 'Chapra', 'IND', 'Bihar', '136877'),
	(1231, 'Pali', 'IND', 'Rajasthan', '136842'),
	(1232, 'Maunath Bhanjan', 'IND', 'Uttar Pradesh', '136697'),
	(1233, 'Adoni', 'IND', 'Andhra Pradesh', '136182'),
	(1234, 'Jaunpur', 'IND', 'Uttar Pradesh', '136062'),
	(1235, 'Tirunelveli', 'IND', 'Tamil Nadu', '135825'),
	(1236, 'Bahraich', 'IND', 'Uttar Pradesh', '135400'),
	(1237, 'Gadag Betigeri', 'IND', 'Karnataka', '134051'),
	(1238, 'Proddatur', 'IND', 'Andhra Pradesh', '133914'),
	(1239, 'Chittoor', 'IND', 'Andhra Pradesh', '133462'),
	(1240, 'Barrackpur', 'IND', 'West Bengali', '133265'),
	(1241, 'Bharuch (Broach)', 'IND', 'Gujarat', '133102'),
	(1242, 'Naihati', 'IND', 'West Bengali', '132701'),
	(1243, 'Shillong', 'IND', 'Meghalaya', '131719'),
	(1244, 'Sambalpur', 'IND', 'Orissa', '131138'),
	(1245, 'Junagadh', 'IND', 'Gujarat', '130484'),
	(1246, 'Rae Bareli', 'IND', 'Uttar Pradesh', '129904'),
	(1247, 'Rewa', 'IND', 'Madhya Pradesh', '128981'),
	(1248, 'Gurgaon', 'IND', 'Haryana', '128608'),
	(1249, 'Khammam', 'IND', 'Andhra Pradesh', '127992'),
	(1250, 'Bulandshahr', 'IND', 'Uttar Pradesh', '127201'),
	(1251, 'Navsari', 'IND', 'Gujarat', '126089'),
	(1252, 'Malkajgiri', 'IND', 'Andhra Pradesh', '126066'),
	(1253, 'Midnapore (Medinipur)', 'IND', 'West Bengali', '125498'),
	(1254, 'Miraj', 'IND', 'Maharashtra', '125407'),
	(1255, 'Raj Nandgaon', 'IND', 'Chhatisgarh', '125371'),
	(1256, 'Alandur', 'IND', 'Tamil Nadu', '125244'),
	(1257, 'Puri', 'IND', 'Orissa', '125199'),
	(1258, 'Navadwip', 'IND', 'West Bengali', '125037'),
	(1259, 'Sirsa', 'IND', 'Haryana', '125000'),
	(1260, 'Korba', 'IND', 'Chhatisgarh', '124501'),
	(1261, 'Faizabad', 'IND', 'Uttar Pradesh', '124437'),
	(1262, 'Etawah', 'IND', 'Uttar Pradesh', '124072'),
	(1263, 'Pathankot', 'IND', 'Punjab', '123930'),
	(1264, 'Gandhinagar', 'IND', 'Gujarat', '123359'),
	(1265, 'Palghat (Palakkad)', 'IND', 'Kerala', '123289'),
	(1266, 'Veraval', 'IND', 'Gujarat', '123000'),
	(1267, 'Hoshiarpur', 'IND', 'Punjab', '122705'),
	(1268, 'Ambala', 'IND', 'Haryana', '122596'),
	(1269, 'Sitapur', 'IND', 'Uttar Pradesh', '121842'),
	(1270, 'Bhiwani', 'IND', 'Haryana', '121629'),
	(1271, 'Cuddapah', 'IND', 'Andhra Pradesh', '121463'),
	(1272, 'Bhimavaram', 'IND', 'Andhra Pradesh', '121314'),
	(1273, 'Krishnanagar', 'IND', 'West Bengali', '121110'),
	(1274, 'Chandannagar', 'IND', 'West Bengali', '120378'),
	(1275, 'Mandya', 'IND', 'Karnataka', '120265'),
	(1276, 'Dibrugarh', 'IND', 'Assam', '120127'),
	(1277, 'Nandyal', 'IND', 'Andhra Pradesh', '119813'),
	(1278, 'Balurghat', 'IND', 'West Bengali', '119796'),
	(1279, 'Neyveli', 'IND', 'Tamil Nadu', '118080'),
	(1280, 'Fatehpur', 'IND', 'Uttar Pradesh', '117675'),
	(1281, 'Mahbubnagar', 'IND', 'Andhra Pradesh', '116833'),
	(1282, 'Budaun', 'IND', 'Uttar Pradesh', '116695'),
	(1283, 'Porbandar', 'IND', 'Gujarat', '116671'),
	(1284, 'Silchar', 'IND', 'Assam', '115483'),
	(1285, 'Berhampore (Baharampur)', 'IND', 'West Bengali', '115144'),
	(1286, 'Purnea (Purnia)', 'IND', 'Jharkhand', '114912'),
	(1287, 'Bankura', 'IND', 'West Bengali', '114876'),
	(1288, 'Rajapalaiyam', 'IND', 'Tamil Nadu', '114202'),
	(1289, 'Titagarh', 'IND', 'West Bengali', '114085'),
	(1290, 'Halisahar', 'IND', 'West Bengali', '114028'),
	(1291, 'Hathras', 'IND', 'Uttar Pradesh', '113285'),
	(1292, 'Bhir (Bid)', 'IND', 'Maharashtra', '112434'),
	(1293, 'Pallavaram', 'IND', 'Tamil Nadu', '111866'),
	(1294, 'Anand', 'IND', 'Gujarat', '110266'),
	(1295, 'Mango', 'IND', 'Jharkhand', '110024'),
	(1296, 'Santipur', 'IND', 'West Bengali', '109956'),
	(1297, 'Bhind', 'IND', 'Madhya Pradesh', '109755'),
	(1298, 'Gondiya', 'IND', 'Maharashtra', '109470'),
	(1299, 'Tiruvannamalai', 'IND', 'Tamil Nadu', '109196'),
	(1300, 'Yeotmal (Yavatmal)', 'IND', 'Maharashtra', '108578'),
	(1301, 'Kulti-Barakar', 'IND', 'West Bengali', '108518'),
	(1302, 'Moga', 'IND', 'Punjab', '108304'),
	(1303, 'Shivapuri', 'IND', 'Madhya Pradesh', '108277'),
	(1304, 'Bidar', 'IND', 'Karnataka', '108016'),
	(1305, 'Guntakal', 'IND', 'Andhra Pradesh', '107592'),
	(1306, 'Unnao', 'IND', 'Uttar Pradesh', '107425'),
	(1307, 'Barasat', 'IND', 'West Bengali', '107365'),
	(1308, 'Tambaram', 'IND', 'Tamil Nadu', '107187'),
	(1309, 'Abohar', 'IND', 'Punjab', '107163'),
	(1310, 'Pilibhit', 'IND', 'Uttar Pradesh', '106605'),
	(1311, 'Valparai', 'IND', 'Tamil Nadu', '106523'),
	(1312, 'Gonda', 'IND', 'Uttar Pradesh', '106078'),
	(1313, 'Surendranagar', 'IND', 'Gujarat', '105973'),
	(1314, 'Qutubullapur', 'IND', 'Andhra Pradesh', '105380'),
	(1315, 'Beawar', 'IND', 'Rajasthan', '105363'),
	(1316, 'Hindupur', 'IND', 'Andhra Pradesh', '104651'),
	(1317, 'Gandhidham', 'IND', 'Gujarat', '104585'),
	(1318, 'Haldwani-cum-Kathgodam', 'IND', 'Uttaranchal', '104195'),
	(1319, 'Tellicherry (Thalassery)', 'IND', 'Kerala', '103579'),
	(1320, 'Wardha', 'IND', 'Maharashtra', '102985'),
	(1321, 'Rishra', 'IND', 'West Bengali', '102649'),
	(1322, 'Bhuj', 'IND', 'Gujarat', '102176'),
	(1323, 'Modinagar', 'IND', 'Uttar Pradesh', '101660'),
	(1324, 'Gudivada', 'IND', 'Andhra Pradesh', '101656'),
	(1325, 'Basirhat', 'IND', 'West Bengali', '101409'),
	(1326, 'Uttarpara-Kotrung', 'IND', 'West Bengali', '100867'),
	(1327, 'Ongole', 'IND', 'Andhra Pradesh', '100836'),
	(1328, 'North Barrackpur', 'IND', 'West Bengali', '100513'),
	(1329, 'Guna', 'IND', 'Madhya Pradesh', '100490'),
	(1330, 'Haldia', 'IND', 'West Bengali', '100347'),
	(1331, 'Habra', 'IND', 'West Bengali', '100223'),
	(1332, 'Kanchrapara', 'IND', 'West Bengali', '100194'),
	(1333, 'Tonk', 'IND', 'Rajasthan', '100079'),
	(1334, 'Champdani', 'IND', 'West Bengali', '98818'),
	(1335, 'Orai', 'IND', 'Uttar Pradesh', '98640'),
	(1336, 'Pudukkottai', 'IND', 'Tamil Nadu', '98619'),
	(1337, 'Sasaram', 'IND', 'Bihar', '98220'),
	(1338, 'Hazaribag', 'IND', 'Jharkhand', '97712'),
	(1339, 'Palayankottai', 'IND', 'Tamil Nadu', '97662'),
	(1340, 'Banda', 'IND', 'Uttar Pradesh', '97227'),
	(1341, 'Godhra', 'IND', 'Gujarat', '96813'),
	(1342, 'Hospet', 'IND', 'Karnataka', '96322'),
	(1343, 'Ashoknagar-Kalyangarh', 'IND', 'West Bengali', '96315'),
	(1344, 'Achalpur', 'IND', 'Maharashtra', '96216'),
	(1345, 'Patan', 'IND', 'Gujarat', '96109'),
	(1346, 'Mandasor', 'IND', 'Madhya Pradesh', '95758'),
	(1347, 'Damoh', 'IND', 'Madhya Pradesh', '95661'),
	(1348, 'Satara', 'IND', 'Maharashtra', '95133'),
	(1349, 'Meerut Cantonment', 'IND', 'Uttar Pradesh', '94876'),
	(1350, 'Dehri', 'IND', 'Bihar', '94526'),
	(1351, 'Delhi Cantonment', 'IND', 'Delhi', '94326'),
	(1352, 'Chhindwara', 'IND', 'Madhya Pradesh', '93731'),
	(1353, 'Bansberia', 'IND', 'West Bengali', '93447'),
	(1354, 'Nagaon', 'IND', 'Assam', '93350'),
	(1355, 'Kanpur Cantonment', 'IND', 'Uttar Pradesh', '93109'),
	(1356, 'Vidisha', 'IND', 'Madhya Pradesh', '92917'),
	(1357, 'Bettiah', 'IND', 'Bihar', '92583'),
	(1358, 'Purulia', 'IND', 'Jharkhand', '92574'),
	(1359, 'Hassan', 'IND', 'Karnataka', '90803'),
	(1360, 'Ambala Sadar', 'IND', 'Haryana', '90712'),
	(1361, 'Baidyabati', 'IND', 'West Bengali', '90601'),
	(1362, 'Morvi', 'IND', 'Gujarat', '90357'),
	(1363, 'Raigarh', 'IND', 'Chhatisgarh', '89166'),
	(1364, 'Vejalpur', 'IND', 'Gujarat', '89053'),
	(1365, 'Baghdad', 'IRQ', 'Baghdad', '4336000'),
	(1366, 'Mosul', 'IRQ', 'Ninawa', '879000'),
	(1367, 'Irbil', 'IRQ', 'Irbil', '485968'),
	(1368, 'Kirkuk', 'IRQ', 'al-Tamim', '418624'),
	(1369, 'Basra', 'IRQ', 'Basra', '406296'),
	(1370, 'al-Sulaymaniya', 'IRQ', 'al-Sulaymaniya', '364096'),
	(1371, 'al-Najaf', 'IRQ', 'al-Najaf', '309010'),
	(1372, 'Karbala', 'IRQ', 'Karbala', '296705'),
	(1373, 'al-Hilla', 'IRQ', 'Babil', '268834'),
	(1374, 'al-Nasiriya', 'IRQ', 'DhiQar', '265937'),
	(1375, 'al-Amara', 'IRQ', 'Maysan', '208797'),
	(1376, 'al-Diwaniya', 'IRQ', 'al-Qadisiya', '196519'),
	(1377, 'al-Ramadi', 'IRQ', 'al-Anbar', '192556'),
	(1378, 'al-Kut', 'IRQ', 'Wasit', '183183'),
	(1379, 'Baquba', 'IRQ', 'Diyala', '114516'),
	(1380, 'Teheran', 'IRN', 'Teheran', '6758845'),
	(1381, 'Mashhad', 'IRN', 'Khorasan', '1887405'),
	(1382, 'Esfahan', 'IRN', 'Esfahan', '1266072'),
	(1383, 'Tabriz', 'IRN', 'East Azerbaidzan', '1191043'),
	(1384, 'Shiraz', 'IRN', 'Fars', '1053025'),
	(1385, 'Karaj', 'IRN', 'Teheran', '940968'),
	(1386, 'Ahvaz', 'IRN', 'Khuzestan', '804980'),
	(1387, 'Qom', 'IRN', 'Qom', '777677'),
	(1388, 'Kermanshah', 'IRN', 'Kermanshah', '692986'),
	(1389, 'Urmia', 'IRN', 'West Azerbaidzan', '435200'),
	(1390, 'Zahedan', 'IRN', 'Sistan va Baluchesta', '419518'),
	(1391, 'Rasht', 'IRN', 'Gilan', '417748'),
	(1392, 'Hamadan', 'IRN', 'Hamadan', '401281'),
	(1393, 'Kerman', 'IRN', 'Kerman', '384991'),
	(1394, 'Arak', 'IRN', 'Markazi', '380755'),
	(1395, 'Ardebil', 'IRN', 'Ardebil', '340386'),
	(1396, 'Yazd', 'IRN', 'Yazd', '326776'),
	(1397, 'Qazvin', 'IRN', 'Qazvin', '291117'),
	(1398, 'Zanjan', 'IRN', 'Zanjan', '286295'),
	(1399, 'Sanandaj', 'IRN', 'Kordestan', '277808'),
	(1400, 'Bandar-e-Abbas', 'IRN', 'Hormozgan', '273578'),
	(1401, 'Khorramabad', 'IRN', 'Lorestan', '272815'),
	(1402, 'Eslamshahr', 'IRN', 'Teheran', '265450'),
	(1403, 'Borujerd', 'IRN', 'Lorestan', '217804'),
	(1404, 'Abadan', 'IRN', 'Khuzestan', '206073'),
	(1405, 'Dezful', 'IRN', 'Khuzestan', '202639'),
	(1406, 'Kashan', 'IRN', 'Esfahan', '201372'),
	(1407, 'Sari', 'IRN', 'Mazandaran', '195882'),
	(1408, 'Gorgan', 'IRN', 'Golestan', '188710'),
	(1409, 'Najafabad', 'IRN', 'Esfahan', '178498'),
	(1410, 'Sabzevar', 'IRN', 'Khorasan', '170738'),
	(1411, 'Khomeynishahr', 'IRN', 'Esfahan', '165888'),
	(1412, 'Amol', 'IRN', 'Mazandaran', '159092'),
	(1413, 'Neyshabur', 'IRN', 'Khorasan', '158847'),
	(1414, 'Babol', 'IRN', 'Mazandaran', '158346'),
	(1415, 'Khoy', 'IRN', 'West Azerbaidzan', '148944'),
	(1416, 'Malayer', 'IRN', 'Hamadan', '144373'),
	(1417, 'Bushehr', 'IRN', 'Bushehr', '143641'),
	(1418, 'Qaemshahr', 'IRN', 'Mazandaran', '143286'),
	(1419, 'Qarchak', 'IRN', 'Teheran', '142690'),
	(1420, 'Qods', 'IRN', 'Teheran', '138278'),
	(1421, 'Sirjan', 'IRN', 'Kerman', '135024'),
	(1422, 'Bojnurd', 'IRN', 'Khorasan', '134835'),
	(1423, 'Maragheh', 'IRN', 'East Azerbaidzan', '132318'),
	(1424, 'Birjand', 'IRN', 'Khorasan', '127608'),
	(1425, 'Ilam', 'IRN', 'Ilam', '126346'),
	(1426, 'Bukan', 'IRN', 'West Azerbaidzan', '120020'),
	(1427, 'Masjed-e-Soleyman', 'IRN', 'Khuzestan', '116883'),
	(1428, 'Saqqez', 'IRN', 'Kordestan', '115394'),
	(1429, 'Gonbad-e Qabus', 'IRN', 'Mazandaran', '111253'),
	(1430, 'Saveh', 'IRN', 'Qom', '111245'),
	(1431, 'Mahabad', 'IRN', 'West Azerbaidzan', '107799'),
	(1432, 'Varamin', 'IRN', 'Teheran', '107233'),
	(1433, 'Andimeshk', 'IRN', 'Khuzestan', '106923'),
	(1434, 'Khorramshahr', 'IRN', 'Khuzestan', '105636'),
	(1435, 'Shahrud', 'IRN', 'Semnan', '104765'),
	(1436, 'Marv Dasht', 'IRN', 'Fars', '103579'),
	(1437, 'Zabol', 'IRN', 'Sistan va Baluchesta', '100887'),
	(1438, 'Shahr-e Kord', 'IRN', 'Chaharmahal va Bakht', '100477'),
	(1439, 'Bandar-e Anzali', 'IRN', 'Gilan', '98500'),
	(1440, 'Rafsanjan', 'IRN', 'Kerman', '98300'),
	(1441, 'Marand', 'IRN', 'East Azerbaidzan', '96400'),
	(1442, 'Torbat-e Heydariyeh', 'IRN', 'Khorasan', '94600'),
	(1443, 'Jahrom', 'IRN', 'Fars', '94200'),
	(1444, 'Semnan', 'IRN', 'Semnan', '91045'),
	(1445, 'Miandoab', 'IRN', 'West Azerbaidzan', '90100'),
	(1446, 'Qomsheh', 'IRN', 'Esfahan', '89800'),
	(1447, 'Dublin', 'IRL', 'Leinster', '481854'),
	(1448, 'Cork', 'IRL', 'Munster', '127187'),
	(1449, 'ReykjavÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­k', 'ISL', 'HÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶fuÃƒÆ’Ã', '109184'),
	(1450, 'Jerusalem', 'ISR', 'Jerusalem', '633700'),
	(1451, 'Tel Aviv-Jaffa', 'ISR', 'Tel Aviv', '348100'),
	(1452, 'Haifa', 'ISR', 'Haifa', '265700'),
	(1453, 'Rishon Le Ziyyon', 'ISR', 'Ha Merkaz', '188200'),
	(1454, 'Beerseba', 'ISR', 'Ha Darom', '163700'),
	(1455, 'Holon', 'ISR', 'Tel Aviv', '163100'),
	(1456, 'Petah Tiqwa', 'ISR', 'Ha Merkaz', '159400'),
	(1457, 'Ashdod', 'ISR', 'Ha Darom', '155800'),
	(1458, 'Netanya', 'ISR', 'Ha Merkaz', '154900'),
	(1459, 'Bat Yam', 'ISR', 'Tel Aviv', '137000'),
	(1460, 'Bene Beraq', 'ISR', 'Tel Aviv', '133900'),
	(1461, 'Ramat Gan', 'ISR', 'Tel Aviv', '126900'),
	(1462, 'Ashqelon', 'ISR', 'Ha Darom', '92300'),
	(1463, 'Rehovot', 'ISR', 'Ha Merkaz', '90300'),
	(1464, 'Roma', 'ITA', 'Latium', '2643581'),
	(1465, 'Milano', 'ITA', 'Lombardia', '1300977'),
	(1466, 'Napoli', 'ITA', 'Campania', '1002619'),
	(1467, 'Torino', 'ITA', 'Piemonte', '903705'),
	(1468, 'Palermo', 'ITA', 'Sisilia', '683794'),
	(1469, 'Genova', 'ITA', 'Liguria', '636104'),
	(1470, 'Bologna', 'ITA', 'Emilia-Romagna', '381161'),
	(1471, 'Firenze', 'ITA', 'Toscana', '376662'),
	(1472, 'Catania', 'ITA', 'Sisilia', '337862'),
	(1473, 'Bari', 'ITA', 'Apulia', '331848'),
	(1474, 'Venezia', 'ITA', 'Veneto', '277305'),
	(1475, 'Messina', 'ITA', 'Sisilia', '259156'),
	(1476, 'Verona', 'ITA', 'Veneto', '255268'),
	(1477, 'Trieste', 'ITA', 'Friuli-Venezia Giuli', '216459'),
	(1478, 'Padova', 'ITA', 'Veneto', '211391'),
	(1479, 'Taranto', 'ITA', 'Apulia', '208214'),
	(1480, 'Brescia', 'ITA', 'Lombardia', '191317'),
	(1481, 'Reggio di Calabria', 'ITA', 'Calabria', '179617'),
	(1482, 'Modena', 'ITA', 'Emilia-Romagna', '176022'),
	(1483, 'Prato', 'ITA', 'Toscana', '172473'),
	(1484, 'Parma', 'ITA', 'Emilia-Romagna', '168717'),
	(1485, 'Cagliari', 'ITA', 'Sardinia', '165926'),
	(1486, 'Livorno', 'ITA', 'Toscana', '161673'),
	(1487, 'Perugia', 'ITA', 'Umbria', '156673'),
	(1488, 'Foggia', 'ITA', 'Apulia', '154891'),
	(1489, 'Reggio nellÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´ Emilia', 'ITA', 'Emilia-Romagna', '143664'),
	(1490, 'Salerno', 'ITA', 'Campania', '142055'),
	(1491, 'Ravenna', 'ITA', 'Emilia-Romagna', '138418'),
	(1492, 'Ferrara', 'ITA', 'Emilia-Romagna', '132127'),
	(1493, 'Rimini', 'ITA', 'Emilia-Romagna', '131062'),
	(1494, 'Syrakusa', 'ITA', 'Sisilia', '126282'),
	(1495, 'Sassari', 'ITA', 'Sardinia', '120803'),
	(1496, 'Monza', 'ITA', 'Lombardia', '119516'),
	(1497, 'Bergamo', 'ITA', 'Lombardia', '117837'),
	(1498, 'Pescara', 'ITA', 'Abruzzit', '115698'),
	(1499, 'Latina', 'ITA', 'Latium', '114099'),
	(1500, 'Vicenza', 'ITA', 'Veneto', '109738'),
	(1501, 'Terni', 'ITA', 'Umbria', '107770'),
	(1502, 'ForlÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¬', 'ITA', 'Emilia-Romagna', '107475'),
	(1503, 'Trento', 'ITA', 'Trentino-Alto Adige', '104906'),
	(1504, 'Novara', 'ITA', 'Piemonte', '102037'),
	(1505, 'Piacenza', 'ITA', 'Emilia-Romagna', '98384'),
	(1506, 'Ancona', 'ITA', 'Marche', '98329'),
	(1507, 'Lecce', 'ITA', 'Apulia', '98208'),
	(1508, 'Bolzano', 'ITA', 'Trentino-Alto Adige', '97232'),
	(1509, 'Catanzaro', 'ITA', 'Calabria', '96700'),
	(1510, 'La Spezia', 'ITA', 'Liguria', '95504'),
	(1511, 'Udine', 'ITA', 'Friuli-Venezia Giuli', '94932'),
	(1512, 'Torre del Greco', 'ITA', 'Campania', '94505'),
	(1513, 'Andria', 'ITA', 'Apulia', '94443'),
	(1514, 'Brindisi', 'ITA', 'Apulia', '93454'),
	(1515, 'Giugliano in Campania', 'ITA', 'Campania', '93286'),
	(1516, 'Pisa', 'ITA', 'Toscana', '92379'),
	(1517, 'Barletta', 'ITA', 'Apulia', '91904'),
	(1518, 'Arezzo', 'ITA', 'Toscana', '91729'),
	(1519, 'Alessandria', 'ITA', 'Piemonte', '90289'),
	(1520, 'Cesena', 'ITA', 'Emilia-Romagna', '89852'),
	(1521, 'Pesaro', 'ITA', 'Marche', '88987'),
	(1522, 'Dili', 'TMP', 'Dili', '47900'),
	(1523, 'Wien', 'AUT', 'Wien', '1608144'),
	(1524, 'Graz', 'AUT', 'Steiermark', '240967'),
	(1525, 'Linz', 'AUT', 'North Austria', '188022'),
	(1526, 'Salzburg', 'AUT', 'Salzburg', '144247'),
	(1527, 'Innsbruck', 'AUT', 'Tiroli', '111752'),
	(1528, 'Klagenfurt', 'AUT', 'KÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤rnten', '91141'),
	(1529, 'Spanish Town', 'JAM', 'St. Catherine', '110379'),
	(1530, 'Kingston', 'JAM', 'St. Andrew', '103962'),
	(1531, 'Portmore', 'JAM', 'St. Andrew', '99799'),
	(1532, 'Tokyo', 'JPN', 'Tokyo-to', '7980230'),
	(1533, 'Jokohama [Yokohama]', 'JPN', 'Kanagawa', '3339594'),
	(1534, 'Osaka', 'JPN', 'Osaka', '2595674'),
	(1535, 'Nagoya', 'JPN', 'Aichi', '2154376'),
	(1536, 'Sapporo', 'JPN', 'Hokkaido', '1790886'),
	(1537, 'Kioto', 'JPN', 'Kyoto', '1461974'),
	(1538, 'Kobe', 'JPN', 'Hyogo', '1425139'),
	(1539, 'Fukuoka', 'JPN', 'Fukuoka', '1308379'),
	(1540, 'Kawasaki', 'JPN', 'Kanagawa', '1217359'),
	(1541, 'Hiroshima', 'JPN', 'Hiroshima', '1119117'),
	(1542, 'Kitakyushu', 'JPN', 'Fukuoka', '1016264'),
	(1543, 'Sendai', 'JPN', 'Miyagi', '989975'),
	(1544, 'Chiba', 'JPN', 'Chiba', '863930'),
	(1545, 'Sakai', 'JPN', 'Osaka', '797735'),
	(1546, 'Kumamoto', 'JPN', 'Kumamoto', '656734'),
	(1547, 'Okayama', 'JPN', 'Okayama', '624269'),
	(1548, 'Sagamihara', 'JPN', 'Kanagawa', '586300'),
	(1549, 'Hamamatsu', 'JPN', 'Shizuoka', '568796'),
	(1550, 'Kagoshima', 'JPN', 'Kagoshima', '549977'),
	(1551, 'Funabashi', 'JPN', 'Chiba', '545299'),
	(1552, 'Higashiosaka', 'JPN', 'Osaka', '517785'),
	(1553, 'Hachioji', 'JPN', 'Tokyo-to', '513451'),
	(1554, 'Niigata', 'JPN', 'Niigata', '497464'),
	(1555, 'Amagasaki', 'JPN', 'Hyogo', '481434'),
	(1556, 'Himeji', 'JPN', 'Hyogo', '475167'),
	(1557, 'Shizuoka', 'JPN', 'Shizuoka', '473854'),
	(1558, 'Urawa', 'JPN', 'Saitama', '469675'),
	(1559, 'Matsuyama', 'JPN', 'Ehime', '466133'),
	(1560, 'Matsudo', 'JPN', 'Chiba', '461126'),
	(1561, 'Kanazawa', 'JPN', 'Ishikawa', '455386'),
	(1562, 'Kawaguchi', 'JPN', 'Saitama', '452155'),
	(1563, 'Ichikawa', 'JPN', 'Chiba', '441893'),
	(1564, 'Omiya', 'JPN', 'Saitama', '441649'),
	(1565, 'Utsunomiya', 'JPN', 'Tochigi', '440353'),
	(1566, 'Oita', 'JPN', 'Oita', '433401'),
	(1567, 'Nagasaki', 'JPN', 'Nagasaki', '432759'),
	(1568, 'Yokosuka', 'JPN', 'Kanagawa', '430200'),
	(1569, 'Kurashiki', 'JPN', 'Okayama', '425103'),
	(1570, 'Gifu', 'JPN', 'Gifu', '408007'),
	(1571, 'Hirakata', 'JPN', 'Osaka', '403151'),
	(1572, 'Nishinomiya', 'JPN', 'Hyogo', '397618'),
	(1573, 'Toyonaka', 'JPN', 'Osaka', '396689'),
	(1574, 'Wakayama', 'JPN', 'Wakayama', '391233'),
	(1575, 'Fukuyama', 'JPN', 'Hiroshima', '376921'),
	(1576, 'Fujisawa', 'JPN', 'Kanagawa', '372840'),
	(1577, 'Asahikawa', 'JPN', 'Hokkaido', '364813'),
	(1578, 'Machida', 'JPN', 'Tokyo-to', '364197'),
	(1579, 'Nara', 'JPN', 'Nara', '362812'),
	(1580, 'Takatsuki', 'JPN', 'Osaka', '361747'),
	(1581, 'Iwaki', 'JPN', 'Fukushima', '361737'),
	(1582, 'Nagano', 'JPN', 'Nagano', '361391'),
	(1583, 'Toyohashi', 'JPN', 'Aichi', '360066'),
	(1584, 'Toyota', 'JPN', 'Aichi', '346090'),
	(1585, 'Suita', 'JPN', 'Osaka', '345750'),
	(1586, 'Takamatsu', 'JPN', 'Kagawa', '332471'),
	(1587, 'Koriyama', 'JPN', 'Fukushima', '330335'),
	(1588, 'Okazaki', 'JPN', 'Aichi', '328711'),
	(1589, 'Kawagoe', 'JPN', 'Saitama', '327211'),
	(1590, 'Tokorozawa', 'JPN', 'Saitama', '325809'),
	(1591, 'Toyama', 'JPN', 'Toyama', '325790'),
	(1592, 'Kochi', 'JPN', 'Kochi', '324710'),
	(1593, 'Kashiwa', 'JPN', 'Chiba', '320296'),
	(1594, 'Akita', 'JPN', 'Akita', '314440'),
	(1595, 'Miyazaki', 'JPN', 'Miyazaki', '303784'),
	(1596, 'Koshigaya', 'JPN', 'Saitama', '301446'),
	(1597, 'Naha', 'JPN', 'Okinawa', '299851'),
	(1598, 'Aomori', 'JPN', 'Aomori', '295969'),
	(1599, 'Hakodate', 'JPN', 'Hokkaido', '294788'),
	(1600, 'Akashi', 'JPN', 'Hyogo', '292253'),
	(1601, 'Yokkaichi', 'JPN', 'Mie', '288173'),
	(1602, 'Fukushima', 'JPN', 'Fukushima', '287525'),
	(1603, 'Morioka', 'JPN', 'Iwate', '287353'),
	(1604, 'Maebashi', 'JPN', 'Gumma', '284473'),
	(1605, 'Kasugai', 'JPN', 'Aichi', '282348'),
	(1606, 'Otsu', 'JPN', 'Shiga', '282070'),
	(1607, 'Ichihara', 'JPN', 'Chiba', '279280'),
	(1608, 'Yao', 'JPN', 'Osaka', '276421'),
	(1609, 'Ichinomiya', 'JPN', 'Aichi', '270828'),
	(1610, 'Tokushima', 'JPN', 'Tokushima', '269649'),
	(1611, 'Kakogawa', 'JPN', 'Hyogo', '266281'),
	(1612, 'Ibaraki', 'JPN', 'Osaka', '261020'),
	(1613, 'Neyagawa', 'JPN', 'Osaka', '257315'),
	(1614, 'Shimonoseki', 'JPN', 'Yamaguchi', '257263'),
	(1615, 'Yamagata', 'JPN', 'Yamagata', '255617'),
	(1616, 'Fukui', 'JPN', 'Fukui', '254818'),
	(1617, 'Hiratsuka', 'JPN', 'Kanagawa', '254207'),
	(1618, 'Mito', 'JPN', 'Ibaragi', '246559'),
	(1619, 'Sasebo', 'JPN', 'Nagasaki', '244240'),
	(1620, 'Hachinohe', 'JPN', 'Aomori', '242979'),
	(1621, 'Takasaki', 'JPN', 'Gumma', '239124'),
	(1622, 'Shimizu', 'JPN', 'Shizuoka', '239123'),
	(1623, 'Kurume', 'JPN', 'Fukuoka', '235611'),
	(1624, 'Fuji', 'JPN', 'Shizuoka', '231527'),
	(1625, 'Soka', 'JPN', 'Saitama', '222768'),
	(1626, 'Fuchu', 'JPN', 'Tokyo-to', '220576'),
	(1627, 'Chigasaki', 'JPN', 'Kanagawa', '216015'),
	(1628, 'Atsugi', 'JPN', 'Kanagawa', '212407'),
	(1629, 'Numazu', 'JPN', 'Shizuoka', '211382'),
	(1630, 'Ageo', 'JPN', 'Saitama', '209442'),
	(1631, 'Yamato', 'JPN', 'Kanagawa', '208234'),
	(1632, 'Matsumoto', 'JPN', 'Nagano', '206801'),
	(1633, 'Kure', 'JPN', 'Hiroshima', '206504'),
	(1634, 'Takarazuka', 'JPN', 'Hyogo', '205993'),
	(1635, 'Kasukabe', 'JPN', 'Saitama', '201838'),
	(1636, 'Chofu', 'JPN', 'Tokyo-to', '201585'),
	(1637, 'Odawara', 'JPN', 'Kanagawa', '200171'),
	(1638, 'Kofu', 'JPN', 'Yamanashi', '199753'),
	(1639, 'Kushiro', 'JPN', 'Hokkaido', '197608'),
	(1640, 'Kishiwada', 'JPN', 'Osaka', '197276'),
	(1641, 'Hitachi', 'JPN', 'Ibaragi', '196622'),
	(1642, 'Nagaoka', 'JPN', 'Niigata', '192407'),
	(1643, 'Itami', 'JPN', 'Hyogo', '190886'),
	(1644, 'Uji', 'JPN', 'Kyoto', '188735'),
	(1645, 'Suzuka', 'JPN', 'Mie', '184061'),
	(1646, 'Hirosaki', 'JPN', 'Aomori', '177522'),
	(1647, 'Ube', 'JPN', 'Yamaguchi', '175206'),
	(1648, 'Kodaira', 'JPN', 'Tokyo-to', '174984'),
	(1649, 'Takaoka', 'JPN', 'Toyama', '174380'),
	(1650, 'Obihiro', 'JPN', 'Hokkaido', '173685'),
	(1651, 'Tomakomai', 'JPN', 'Hokkaido', '171958'),
	(1652, 'Saga', 'JPN', 'Saga', '170034'),
	(1653, 'Sakura', 'JPN', 'Chiba', '168072'),
	(1654, 'Kamakura', 'JPN', 'Kanagawa', '167661'),
	(1655, 'Mitaka', 'JPN', 'Tokyo-to', '167268'),
	(1656, 'Izumi', 'JPN', 'Osaka', '166979'),
	(1657, 'Hino', 'JPN', 'Tokyo-to', '166770'),
	(1658, 'Hadano', 'JPN', 'Kanagawa', '166512'),
	(1659, 'Ashikaga', 'JPN', 'Tochigi', '165243'),
	(1660, 'Tsu', 'JPN', 'Mie', '164543'),
	(1661, 'Sayama', 'JPN', 'Saitama', '162472'),
	(1662, 'Yachiyo', 'JPN', 'Chiba', '161222'),
	(1663, 'Tsukuba', 'JPN', 'Ibaragi', '160768'),
	(1664, 'Tachikawa', 'JPN', 'Tokyo-to', '159430'),
	(1665, 'Kumagaya', 'JPN', 'Saitama', '157171'),
	(1666, 'Moriguchi', 'JPN', 'Osaka', '155941'),
	(1667, 'Otaru', 'JPN', 'Hokkaido', '155784'),
	(1668, 'Anjo', 'JPN', 'Aichi', '153823'),
	(1669, 'Narashino', 'JPN', 'Chiba', '152849'),
	(1670, 'Oyama', 'JPN', 'Tochigi', '152820'),
	(1671, 'Ogaki', 'JPN', 'Gifu', '151758'),
	(1672, 'Matsue', 'JPN', 'Shimane', '149821'),
	(1673, 'Kawanishi', 'JPN', 'Hyogo', '149794'),
	(1674, 'Hitachinaka', 'JPN', 'Tokyo-to', '148006'),
	(1675, 'Niiza', 'JPN', 'Saitama', '147744'),
	(1676, 'Nagareyama', 'JPN', 'Chiba', '147738'),
	(1677, 'Tottori', 'JPN', 'Tottori', '147523'),
	(1678, 'Tama', 'JPN', 'Ibaragi', '146712'),
	(1679, 'Iruma', 'JPN', 'Saitama', '145922'),
	(1680, 'Ota', 'JPN', 'Gumma', '145317'),
	(1681, 'Omuta', 'JPN', 'Fukuoka', '142889'),
	(1682, 'Komaki', 'JPN', 'Aichi', '139827'),
	(1683, 'Ome', 'JPN', 'Tokyo-to', '139216'),
	(1684, 'Kadoma', 'JPN', 'Osaka', '138953'),
	(1685, 'Yamaguchi', 'JPN', 'Yamaguchi', '138210'),
	(1686, 'Higashimurayama', 'JPN', 'Tokyo-to', '136970'),
	(1687, 'Yonago', 'JPN', 'Tottori', '136461'),
	(1688, 'Matsubara', 'JPN', 'Osaka', '135010'),
	(1689, 'Musashino', 'JPN', 'Tokyo-to', '134426'),
	(1690, 'Tsuchiura', 'JPN', 'Ibaragi', '134072'),
	(1691, 'Joetsu', 'JPN', 'Niigata', '133505'),
	(1692, 'Miyakonojo', 'JPN', 'Miyazaki', '133183'),
	(1693, 'Misato', 'JPN', 'Saitama', '132957'),
	(1694, 'Kakamigahara', 'JPN', 'Gifu', '131831'),
	(1695, 'Daito', 'JPN', 'Osaka', '130594'),
	(1696, 'Seto', 'JPN', 'Aichi', '130470'),
	(1697, 'Kariya', 'JPN', 'Aichi', '127969'),
	(1698, 'Urayasu', 'JPN', 'Chiba', '127550'),
	(1699, 'Beppu', 'JPN', 'Oita', '127486'),
	(1700, 'Niihama', 'JPN', 'Ehime', '127207'),
	(1701, 'Minoo', 'JPN', 'Osaka', '127026'),
	(1702, 'Fujieda', 'JPN', 'Shizuoka', '126897'),
	(1703, 'Abiko', 'JPN', 'Chiba', '126670'),
	(1704, 'Nobeoka', 'JPN', 'Miyazaki', '125547'),
	(1705, 'Tondabayashi', 'JPN', 'Osaka', '125094'),
	(1706, 'Ueda', 'JPN', 'Nagano', '124217'),
	(1707, 'Kashihara', 'JPN', 'Nara', '124013'),
	(1708, 'Matsusaka', 'JPN', 'Mie', '123582'),
	(1709, 'Isesaki', 'JPN', 'Gumma', '123285'),
	(1710, 'Zama', 'JPN', 'Kanagawa', '122046'),
	(1711, 'Kisarazu', 'JPN', 'Chiba', '121967'),
	(1712, 'Noda', 'JPN', 'Chiba', '121030'),
	(1713, 'Ishinomaki', 'JPN', 'Miyagi', '120963'),
	(1714, 'Fujinomiya', 'JPN', 'Shizuoka', '119714'),
	(1715, 'Kawachinagano', 'JPN', 'Osaka', '119666'),
	(1716, 'Imabari', 'JPN', 'Ehime', '119357'),
	(1717, 'Aizuwakamatsu', 'JPN', 'Fukushima', '119287'),
	(1718, 'Higashihiroshima', 'JPN', 'Hiroshima', '119166'),
	(1719, 'Habikino', 'JPN', 'Osaka', '118968'),
	(1720, 'Ebetsu', 'JPN', 'Hokkaido', '118805'),
	(1721, 'Hofu', 'JPN', 'Yamaguchi', '118751'),
	(1722, 'Kiryu', 'JPN', 'Gumma', '118326'),
	(1723, 'Okinawa', 'JPN', 'Okinawa', '117748'),
	(1724, 'Yaizu', 'JPN', 'Shizuoka', '117258'),
	(1725, 'Toyokawa', 'JPN', 'Aichi', '115781'),
	(1726, 'Ebina', 'JPN', 'Kanagawa', '115571'),
	(1727, 'Asaka', 'JPN', 'Saitama', '114815'),
	(1728, 'Higashikurume', 'JPN', 'Tokyo-to', '111666'),
	(1729, 'Ikoma', 'JPN', 'Nara', '111645'),
	(1730, 'Kitami', 'JPN', 'Hokkaido', '111295'),
	(1731, 'Koganei', 'JPN', 'Tokyo-to', '110969'),
	(1732, 'Iwatsuki', 'JPN', 'Saitama', '110034'),
	(1733, 'Mishima', 'JPN', 'Shizuoka', '109699'),
	(1734, 'Handa', 'JPN', 'Aichi', '108600'),
	(1735, 'Muroran', 'JPN', 'Hokkaido', '108275'),
	(1736, 'Komatsu', 'JPN', 'Ishikawa', '107937'),
	(1737, 'Yatsushiro', 'JPN', 'Kumamoto', '107661'),
	(1738, 'Iida', 'JPN', 'Nagano', '107583'),
	(1739, 'Tokuyama', 'JPN', 'Yamaguchi', '107078'),
	(1740, 'Kokubunji', 'JPN', 'Tokyo-to', '106996'),
	(1741, 'Akishima', 'JPN', 'Tokyo-to', '106914'),
	(1742, 'Iwakuni', 'JPN', 'Yamaguchi', '106647'),
	(1743, 'Kusatsu', 'JPN', 'Shiga', '106232'),
	(1744, 'Kuwana', 'JPN', 'Mie', '106121'),
	(1745, 'Sanda', 'JPN', 'Hyogo', '105643'),
	(1746, 'Hikone', 'JPN', 'Shiga', '105508'),
	(1747, 'Toda', 'JPN', 'Saitama', '103969'),
	(1748, 'Tajimi', 'JPN', 'Gifu', '103171'),
	(1749, 'Ikeda', 'JPN', 'Osaka', '102710'),
	(1750, 'Fukaya', 'JPN', 'Saitama', '102156'),
	(1751, 'Ise', 'JPN', 'Mie', '101732'),
	(1752, 'Sakata', 'JPN', 'Yamagata', '101651'),
	(1753, 'Kasuga', 'JPN', 'Fukuoka', '101344'),
	(1754, 'Kamagaya', 'JPN', 'Chiba', '100821'),
	(1755, 'Tsuruoka', 'JPN', 'Yamagata', '100713'),
	(1756, 'Hoya', 'JPN', 'Tokyo-to', '100313'),
	(1757, 'Nishio', 'JPN', 'Chiba', '100032'),
	(1758, 'Tokai', 'JPN', 'Aichi', '99738'),
	(1759, 'Inazawa', 'JPN', 'Aichi', '98746'),
	(1760, 'Sakado', 'JPN', 'Saitama', '98221'),
	(1761, 'Isehara', 'JPN', 'Kanagawa', '98123'),
	(1762, 'Takasago', 'JPN', 'Hyogo', '97632'),
	(1763, 'Fujimi', 'JPN', 'Saitama', '96972'),
	(1764, 'Urasoe', 'JPN', 'Okinawa', '96002'),
	(1765, 'Yonezawa', 'JPN', 'Yamagata', '95592'),
	(1766, 'Konan', 'JPN', 'Aichi', '95521'),
	(1767, 'Yamatokoriyama', 'JPN', 'Nara', '95165'),
	(1768, 'Maizuru', 'JPN', 'Kyoto', '94784'),
	(1769, 'Onomichi', 'JPN', 'Hiroshima', '93756'),
	(1770, 'Higashimatsuyama', 'JPN', 'Saitama', '93342'),
	(1771, 'Kimitsu', 'JPN', 'Chiba', '93216'),
	(1772, 'Isahaya', 'JPN', 'Nagasaki', '93058'),
	(1773, 'Kanuma', 'JPN', 'Tochigi', '93053'),
	(1774, 'Izumisano', 'JPN', 'Osaka', '92583'),
	(1775, 'Kameoka', 'JPN', 'Kyoto', '92398'),
	(1776, 'Mobara', 'JPN', 'Chiba', '91664'),
	(1777, 'Narita', 'JPN', 'Chiba', '91470'),
	(1778, 'Kashiwazaki', 'JPN', 'Niigata', '91229'),
	(1779, 'Tsuyama', 'JPN', 'Okayama', '91170'),
	(1780, 'Sanaa', 'YEM', 'Sanaa', '503600'),
	(1781, 'Aden', 'YEM', 'Aden', '398300'),
	(1782, 'Taizz', 'YEM', 'Taizz', '317600'),
	(1783, 'Hodeida', 'YEM', 'Hodeida', '298500'),
	(1784, 'al-Mukalla', 'YEM', 'Hadramawt', '122400'),
	(1785, 'Ibb', 'YEM', 'Ibb', '103300'),
	(1786, 'Amman', 'JOR', 'Amman', '1000000'),
	(1787, 'al-Zarqa', 'JOR', 'al-Zarqa', '389815'),
	(1788, 'Irbid', 'JOR', 'Irbid', '231511'),
	(1789, 'al-Rusayfa', 'JOR', 'al-Zarqa', '137247'),
	(1790, 'Wadi al-Sir', 'JOR', 'Amman', '89104'),
	(1791, 'Flying Fish Cove', 'CXR', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '700'),
	(1792, 'Beograd', 'YUG', 'Central Serbia', '1204000'),
	(1793, 'Novi Sad', 'YUG', 'Vojvodina', '179626'),
	(1794, 'NiÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'YUG', 'Central Serbia', '175391'),
	(1795, 'PriÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡tina', 'YUG', 'Kosovo and Metohija', '155496'),
	(1796, 'Kragujevac', 'YUG', 'Central Serbia', '147305'),
	(1797, 'Podgorica', 'YUG', 'Montenegro', '135000'),
	(1798, 'Subotica', 'YUG', 'Vojvodina', '100386'),
	(1799, 'Prizren', 'YUG', 'Kosovo and Metohija', '92303'),
	(1800, 'Phnom Penh', 'KHM', 'Phnom Penh', '570155'),
	(1801, 'Battambang', 'KHM', 'Battambang', '129800'),
	(1802, 'Siem Reap', 'KHM', 'Siem Reap', '105100'),
	(1803, 'Douala', 'CMR', 'Littoral', '1448300'),
	(1804, 'YaoundÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'CMR', 'Centre', '1372800'),
	(1805, 'Garoua', 'CMR', 'Nord', '177000'),
	(1806, 'Maroua', 'CMR', 'ExtrÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âªme-N', '143000'),
	(1807, 'Bamenda', 'CMR', 'Nord-Ouest', '138000'),
	(1808, 'Bafoussam', 'CMR', 'Ouest', '131000'),
	(1809, 'Nkongsamba', 'CMR', 'Littoral', '112454'),
	(1810, 'MontrÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©al', 'CAN', 'QuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©bec', '1016376'),
	(1811, 'Calgary', 'CAN', 'Alberta', '768082'),
	(1812, 'Toronto', 'CAN', 'Ontario', '688275'),
	(1813, 'North York', 'CAN', 'Ontario', '622632'),
	(1814, 'Winnipeg', 'CAN', 'Manitoba', '618477'),
	(1815, 'Edmonton', 'CAN', 'Alberta', '616306'),
	(1816, 'Mississauga', 'CAN', 'Ontario', '608072'),
	(1817, 'Scarborough', 'CAN', 'Ontario', '594501'),
	(1818, 'Vancouver', 'CAN', 'British Colombia', '514008'),
	(1819, 'Etobicoke', 'CAN', 'Ontario', '348845'),
	(1820, 'London', 'CAN', 'Ontario', '339917'),
	(1821, 'Hamilton', 'CAN', 'Ontario', '335614'),
	(1822, 'Ottawa', 'CAN', 'Ontario', '335277'),
	(1823, 'Laval', 'CAN', 'QuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©bec', '330393'),
	(1824, 'Surrey', 'CAN', 'British Colombia', '304477'),
	(1825, 'Brampton', 'CAN', 'Ontario', '296711'),
	(1826, 'Windsor', 'CAN', 'Ontario', '207588'),
	(1827, 'Saskatoon', 'CAN', 'Saskatchewan', '193647'),
	(1828, 'Kitchener', 'CAN', 'Ontario', '189959'),
	(1829, 'Markham', 'CAN', 'Ontario', '189098'),
	(1830, 'Regina', 'CAN', 'Saskatchewan', '180400'),
	(1831, 'Burnaby', 'CAN', 'British Colombia', '179209'),
	(1832, 'QuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©bec', 'CAN', 'QuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©bec', '167264'),
	(1833, 'York', 'CAN', 'Ontario', '154980'),
	(1834, 'Richmond', 'CAN', 'British Colombia', '148867'),
	(1835, 'Vaughan', 'CAN', 'Ontario', '147889'),
	(1836, 'Burlington', 'CAN', 'Ontario', '145150'),
	(1837, 'Oshawa', 'CAN', 'Ontario', '140173'),
	(1838, 'Oakville', 'CAN', 'Ontario', '139192'),
	(1839, 'Saint Catharines', 'CAN', 'Ontario', '136216'),
	(1840, 'Longueuil', 'CAN', 'QuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©bec', '127977'),
	(1841, 'Richmond Hill', 'CAN', 'Ontario', '116428'),
	(1842, 'Thunder Bay', 'CAN', 'Ontario', '115913'),
	(1843, 'Nepean', 'CAN', 'Ontario', '115100'),
	(1844, 'Cape Breton', 'CAN', 'Nova Scotia', '114733'),
	(1845, 'East York', 'CAN', 'Ontario', '114034'),
	(1846, 'Halifax', 'CAN', 'Nova Scotia', '113910'),
	(1847, 'Cambridge', 'CAN', 'Ontario', '109186'),
	(1848, 'Gloucester', 'CAN', 'Ontario', '107314'),
	(1849, 'Abbotsford', 'CAN', 'British Colombia', '105403'),
	(1850, 'Guelph', 'CAN', 'Ontario', '103593'),
	(1851, 'Saint JohnÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´s', 'CAN', 'Newfoundland', '101936'),
	(1852, 'Coquitlam', 'CAN', 'British Colombia', '101820'),
	(1853, 'Saanich', 'CAN', 'British Colombia', '101388'),
	(1854, 'Gatineau', 'CAN', 'QuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©bec', '100702'),
	(1855, 'Delta', 'CAN', 'British Colombia', '95411'),
	(1856, 'Sudbury', 'CAN', 'Ontario', '92686'),
	(1857, 'Kelowna', 'CAN', 'British Colombia', '89442'),
	(1858, 'Barrie', 'CAN', 'Ontario', '89269'),
	(1859, 'Praia', 'CPV', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o Tiago', '94800'),
	(1860, 'Almaty', 'KAZ', 'Almaty Qalasy', '1129400'),
	(1861, 'Qaraghandy', 'KAZ', 'Qaraghandy', '436900'),
	(1862, 'Shymkent', 'KAZ', 'South Kazakstan', '360100'),
	(1863, 'Taraz', 'KAZ', 'Taraz', '330100'),
	(1864, 'Astana', 'KAZ', 'Astana', '311200'),
	(1865, 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬ÃƒÂ¢Ã¢â€šÂ¬Ã…â€œskemen', 'KAZ', 'East Kazakstan', '311000'),
	(1866, 'Pavlodar', 'KAZ', 'Pavlodar', '300500'),
	(1867, 'Semey', 'KAZ', 'East Kazakstan', '269600'),
	(1868, 'AqtÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶be', 'KAZ', 'AqtÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶be', '253100'),
	(1869, 'Qostanay', 'KAZ', 'Qostanay', '221400'),
	(1870, 'Petropavl', 'KAZ', 'North Kazakstan', '203500'),
	(1871, 'Oral', 'KAZ', 'West Kazakstan', '195500'),
	(1872, 'Temirtau', 'KAZ', 'Qaraghandy', '170500'),
	(1873, 'Qyzylorda', 'KAZ', 'Qyzylorda', '157400'),
	(1874, 'Aqtau', 'KAZ', 'Mangghystau', '143400'),
	(1875, 'Atyrau', 'KAZ', 'Atyrau', '142500'),
	(1876, 'Ekibastuz', 'KAZ', 'Pavlodar', '127200'),
	(1877, 'KÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶kshetau', 'KAZ', 'North Kazakstan', '123400'),
	(1878, 'Rudnyy', 'KAZ', 'Qostanay', '109500'),
	(1879, 'Taldyqorghan', 'KAZ', 'Almaty', '98000'),
	(1880, 'Zhezqazghan', 'KAZ', 'Qaraghandy', '90000'),
	(1881, 'Nairobi', 'KEN', 'Nairobi', '2290000'),
	(1882, 'Mombasa', 'KEN', 'Coast', '461753'),
	(1883, 'Kisumu', 'KEN', 'Nyanza', '192733'),
	(1884, 'Nakuru', 'KEN', 'Rift Valley', '163927'),
	(1885, 'Machakos', 'KEN', 'Eastern', '116293'),
	(1886, 'Eldoret', 'KEN', 'Rift Valley', '111882'),
	(1887, 'Meru', 'KEN', 'Eastern', '94947'),
	(1888, 'Nyeri', 'KEN', 'Central', '91258'),
	(1889, 'Bangui', 'CAF', 'Bangui', '524000'),
	(1890, 'Shanghai', 'CHN', 'Shanghai', '9696300'),
	(1891, 'Peking', 'CHN', 'Peking', '7472000'),
	(1892, 'Chongqing', 'CHN', 'Chongqing', '6351600'),
	(1893, 'Tianjin', 'CHN', 'Tianjin', '5286800'),
	(1894, 'Wuhan', 'CHN', 'Hubei', '4344600'),
	(1895, 'Harbin', 'CHN', 'Heilongjiang', '4289800'),
	(1896, 'Shenyang', 'CHN', 'Liaoning', '4265200'),
	(1897, 'Kanton [Guangzhou]', 'CHN', 'Guangdong', '4256300'),
	(1898, 'Chengdu', 'CHN', 'Sichuan', '3361500'),
	(1899, 'Nanking [Nanjing]', 'CHN', 'Jiangsu', '2870300'),
	(1900, 'Changchun', 'CHN', 'Jilin', '2812000'),
	(1901, 'XiÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´an', 'CHN', 'Shaanxi', '2761400'),
	(1902, 'Dalian', 'CHN', 'Liaoning', '2697000'),
	(1903, 'Qingdao', 'CHN', 'Shandong', '2596000'),
	(1904, 'Jinan', 'CHN', 'Shandong', '2278100'),
	(1905, 'Hangzhou', 'CHN', 'Zhejiang', '2190500'),
	(1906, 'Zhengzhou', 'CHN', 'Henan', '2107200'),
	(1907, 'Shijiazhuang', 'CHN', 'Hebei', '2041500'),
	(1908, 'Taiyuan', 'CHN', 'Shanxi', '1968400'),
	(1909, 'Kunming', 'CHN', 'Yunnan', '1829500'),
	(1910, 'Changsha', 'CHN', 'Hunan', '1809800'),
	(1911, 'Nanchang', 'CHN', 'Jiangxi', '1691600'),
	(1912, 'Fuzhou', 'CHN', 'Fujian', '1593800'),
	(1913, 'Lanzhou', 'CHN', 'Gansu', '1565800'),
	(1914, 'Guiyang', 'CHN', 'Guizhou', '1465200'),
	(1915, 'Ningbo', 'CHN', 'Zhejiang', '1371200'),
	(1916, 'Hefei', 'CHN', 'Anhui', '1369100'),
	(1917, 'UrumtÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡i [ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Â¦ÃƒÂ¢Ã¢â€šÂ¬Ã…â€', 'CHN', 'Xinxiang', '1310100'),
	(1918, 'Anshan', 'CHN', 'Liaoning', '1200000'),
	(1919, 'Fushun', 'CHN', 'Liaoning', '1200000'),
	(1920, 'Nanning', 'CHN', 'Guangxi', '1161800'),
	(1921, 'Zibo', 'CHN', 'Shandong', '1140000'),
	(1922, 'Qiqihar', 'CHN', 'Heilongjiang', '1070000'),
	(1923, 'Jilin', 'CHN', 'Jilin', '1040000'),
	(1924, 'Tangshan', 'CHN', 'Hebei', '1040000'),
	(1925, 'Baotou', 'CHN', 'Inner Mongolia', '980000'),
	(1926, 'Shenzhen', 'CHN', 'Guangdong', '950500'),
	(1927, 'Hohhot', 'CHN', 'Inner Mongolia', '916700'),
	(1928, 'Handan', 'CHN', 'Hebei', '840000'),
	(1929, 'Wuxi', 'CHN', 'Jiangsu', '830000'),
	(1930, 'Xuzhou', 'CHN', 'Jiangsu', '810000'),
	(1931, 'Datong', 'CHN', 'Shanxi', '800000'),
	(1932, 'Yichun', 'CHN', 'Heilongjiang', '800000'),
	(1933, 'Benxi', 'CHN', 'Liaoning', '770000'),
	(1934, 'Luoyang', 'CHN', 'Henan', '760000'),
	(1935, 'Suzhou', 'CHN', 'Jiangsu', '710000'),
	(1936, 'Xining', 'CHN', 'Qinghai', '700200'),
	(1937, 'Huainan', 'CHN', 'Anhui', '700000'),
	(1938, 'Jixi', 'CHN', 'Heilongjiang', '683885'),
	(1939, 'Daqing', 'CHN', 'Heilongjiang', '660000'),
	(1940, 'Fuxin', 'CHN', 'Liaoning', '640000'),
	(1941, 'Amoy [Xiamen]', 'CHN', 'Fujian', '627500'),
	(1942, 'Liuzhou', 'CHN', 'Guangxi', '610000'),
	(1943, 'Shantou', 'CHN', 'Guangdong', '580000'),
	(1944, 'Jinzhou', 'CHN', 'Liaoning', '570000'),
	(1945, 'Mudanjiang', 'CHN', 'Heilongjiang', '570000'),
	(1946, 'Yinchuan', 'CHN', 'Ningxia', '544500'),
	(1947, 'Changzhou', 'CHN', 'Jiangsu', '530000'),
	(1948, 'Zhangjiakou', 'CHN', 'Hebei', '530000'),
	(1949, 'Dandong', 'CHN', 'Liaoning', '520000'),
	(1950, 'Hegang', 'CHN', 'Heilongjiang', '520000'),
	(1951, 'Kaifeng', 'CHN', 'Henan', '510000'),
	(1952, 'Jiamusi', 'CHN', 'Heilongjiang', '493409'),
	(1953, 'Liaoyang', 'CHN', 'Liaoning', '492559'),
	(1954, 'Hengyang', 'CHN', 'Hunan', '487148'),
	(1955, 'Baoding', 'CHN', 'Hebei', '483155'),
	(1956, 'Hunjiang', 'CHN', 'Jilin', '482043'),
	(1957, 'Xinxiang', 'CHN', 'Henan', '473762'),
	(1958, 'Huangshi', 'CHN', 'Hubei', '457601'),
	(1959, 'Haikou', 'CHN', 'Hainan', '454300'),
	(1960, 'Yantai', 'CHN', 'Shandong', '452127'),
	(1961, 'Bengbu', 'CHN', 'Anhui', '449245'),
	(1962, 'Xiangtan', 'CHN', 'Hunan', '441968'),
	(1963, 'Weifang', 'CHN', 'Shandong', '428522'),
	(1964, 'Wuhu', 'CHN', 'Anhui', '425740'),
	(1965, 'Pingxiang', 'CHN', 'Jiangxi', '425579'),
	(1966, 'Yingkou', 'CHN', 'Liaoning', '421589'),
	(1967, 'Anyang', 'CHN', 'Henan', '420332'),
	(1968, 'Panzhihua', 'CHN', 'Sichuan', '415466'),
	(1969, 'Pingdingshan', 'CHN', 'Henan', '410775'),
	(1970, 'Xiangfan', 'CHN', 'Hubei', '410407'),
	(1971, 'Zhuzhou', 'CHN', 'Hunan', '409924'),
	(1972, 'Jiaozuo', 'CHN', 'Henan', '409100'),
	(1973, 'Wenzhou', 'CHN', 'Zhejiang', '401871'),
	(1974, 'Zhangjiang', 'CHN', 'Guangdong', '400997'),
	(1975, 'Zigong', 'CHN', 'Sichuan', '393184'),
	(1976, 'Shuangyashan', 'CHN', 'Heilongjiang', '386081'),
	(1977, 'Zaozhuang', 'CHN', 'Shandong', '380846'),
	(1978, 'Yakeshi', 'CHN', 'Inner Mongolia', '377869'),
	(1979, 'Yichang', 'CHN', 'Hubei', '371601'),
	(1980, 'Zhenjiang', 'CHN', 'Jiangsu', '368316'),
	(1981, 'Huaibei', 'CHN', 'Anhui', '366549'),
	(1982, 'Qinhuangdao', 'CHN', 'Hebei', '364972'),
	(1983, 'Guilin', 'CHN', 'Guangxi', '364130'),
	(1984, 'Liupanshui', 'CHN', 'Guizhou', '363954'),
	(1985, 'Panjin', 'CHN', 'Liaoning', '362773'),
	(1986, 'Yangquan', 'CHN', 'Shanxi', '362268'),
	(1987, 'Jinxi', 'CHN', 'Liaoning', '357052'),
	(1988, 'Liaoyuan', 'CHN', 'Jilin', '354141'),
	(1989, 'Lianyungang', 'CHN', 'Jiangsu', '354139'),
	(1990, 'Xianyang', 'CHN', 'Shaanxi', '352125'),
	(1991, 'TaiÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´an', 'CHN', 'Shandong', '350696'),
	(1992, 'Chifeng', 'CHN', 'Inner Mongolia', '350077'),
	(1993, 'Shaoguan', 'CHN', 'Guangdong', '350043'),
	(1994, 'Nantong', 'CHN', 'Jiangsu', '343341'),
	(1995, 'Leshan', 'CHN', 'Sichuan', '341128'),
	(1996, 'Baoji', 'CHN', 'Shaanxi', '337765'),
	(1997, 'Linyi', 'CHN', 'Shandong', '324720'),
	(1998, 'Tonghua', 'CHN', 'Jilin', '324600'),
	(1999, 'Siping', 'CHN', 'Jilin', '317223'),
	(2000, 'Changzhi', 'CHN', 'Shanxi', '317144'),
	(2001, 'Tengzhou', 'CHN', 'Shandong', '315083'),
	(2002, 'Chaozhou', 'CHN', 'Guangdong', '313469'),
	(2003, 'Yangzhou', 'CHN', 'Jiangsu', '312892'),
	(2004, 'Dongwan', 'CHN', 'Guangdong', '308669'),
	(2005, 'MaÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´anshan', 'CHN', 'Anhui', '305421'),
	(2006, 'Foshan', 'CHN', 'Guangdong', '303160'),
	(2007, 'Yueyang', 'CHN', 'Hunan', '302800'),
	(2008, 'Xingtai', 'CHN', 'Hebei', '302789'),
	(2009, 'Changde', 'CHN', 'Hunan', '301276'),
	(2010, 'Shihezi', 'CHN', 'Xinxiang', '299676'),
	(2011, 'Yancheng', 'CHN', 'Jiangsu', '296831'),
	(2012, 'Jiujiang', 'CHN', 'Jiangxi', '291187'),
	(2013, 'Dongying', 'CHN', 'Shandong', '281728'),
	(2014, 'Shashi', 'CHN', 'Hubei', '281352'),
	(2015, 'Xintai', 'CHN', 'Shandong', '281248'),
	(2016, 'Jingdezhen', 'CHN', 'Jiangxi', '281183'),
	(2017, 'Tongchuan', 'CHN', 'Shaanxi', '280657'),
	(2018, 'Zhongshan', 'CHN', 'Guangdong', '278829'),
	(2019, 'Shiyan', 'CHN', 'Hubei', '273786'),
	(2020, 'Tieli', 'CHN', 'Heilongjiang', '265683'),
	(2021, 'Jining', 'CHN', 'Shandong', '265248'),
	(2022, 'Wuhai', 'CHN', 'Inner Mongolia', '264081'),
	(2023, 'Mianyang', 'CHN', 'Sichuan', '262947'),
	(2024, 'Luzhou', 'CHN', 'Sichuan', '262892'),
	(2025, 'Zunyi', 'CHN', 'Guizhou', '261862'),
	(2026, 'Shizuishan', 'CHN', 'Ningxia', '257862'),
	(2027, 'Neijiang', 'CHN', 'Sichuan', '256012'),
	(2028, 'Tongliao', 'CHN', 'Inner Mongolia', '255129'),
	(2029, 'Tieling', 'CHN', 'Liaoning', '254842'),
	(2030, 'Wafangdian', 'CHN', 'Liaoning', '251733'),
	(2031, 'Anqing', 'CHN', 'Anhui', '250718'),
	(2032, 'Shaoyang', 'CHN', 'Hunan', '247227'),
	(2033, 'Laiwu', 'CHN', 'Shandong', '246833'),
	(2034, 'Chengde', 'CHN', 'Hebei', '246799'),
	(2035, 'Tianshui', 'CHN', 'Gansu', '244974'),
	(2036, 'Nanyang', 'CHN', 'Henan', '243303'),
	(2037, 'Cangzhou', 'CHN', 'Hebei', '242708'),
	(2038, 'Yibin', 'CHN', 'Sichuan', '241019'),
	(2039, 'Huaiyin', 'CHN', 'Jiangsu', '239675'),
	(2040, 'Dunhua', 'CHN', 'Jilin', '235100'),
	(2041, 'Yanji', 'CHN', 'Jilin', '230892'),
	(2042, 'Jiangmen', 'CHN', 'Guangdong', '230587'),
	(2043, 'Tongling', 'CHN', 'Anhui', '228017'),
	(2044, 'Suihua', 'CHN', 'Heilongjiang', '227881'),
	(2045, 'Gongziling', 'CHN', 'Jilin', '226569'),
	(2046, 'Xiantao', 'CHN', 'Hubei', '222884'),
	(2047, 'Chaoyang', 'CHN', 'Liaoning', '222394'),
	(2048, 'Ganzhou', 'CHN', 'Jiangxi', '220129'),
	(2049, 'Huzhou', 'CHN', 'Zhejiang', '218071'),
	(2050, 'Baicheng', 'CHN', 'Jilin', '217987'),
	(2051, 'Shangzi', 'CHN', 'Heilongjiang', '215373'),
	(2052, 'Yangjiang', 'CHN', 'Guangdong', '215196'),
	(2053, 'Qitaihe', 'CHN', 'Heilongjiang', '214957'),
	(2054, 'Gejiu', 'CHN', 'Yunnan', '214294'),
	(2055, 'Jiangyin', 'CHN', 'Jiangsu', '213659'),
	(2056, 'Hebi', 'CHN', 'Henan', '212976'),
	(2057, 'Jiaxing', 'CHN', 'Zhejiang', '211526'),
	(2058, 'Wuzhou', 'CHN', 'Guangxi', '210452'),
	(2059, 'Meihekou', 'CHN', 'Jilin', '209038'),
	(2060, 'Xuchang', 'CHN', 'Henan', '208815'),
	(2061, 'Liaocheng', 'CHN', 'Shandong', '207844'),
	(2062, 'Haicheng', 'CHN', 'Liaoning', '205560'),
	(2063, 'Qianjiang', 'CHN', 'Hubei', '205504'),
	(2064, 'Baiyin', 'CHN', 'Gansu', '204970'),
	(2065, 'BeiÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´an', 'CHN', 'Heilongjiang', '204899'),
	(2066, 'Yixing', 'CHN', 'Jiangsu', '200824'),
	(2067, 'Laizhou', 'CHN', 'Shandong', '198664'),
	(2068, 'Qaramay', 'CHN', 'Xinxiang', '197602'),
	(2069, 'Acheng', 'CHN', 'Heilongjiang', '197595'),
	(2070, 'Dezhou', 'CHN', 'Shandong', '195485'),
	(2071, 'Nanping', 'CHN', 'Fujian', '195064'),
	(2072, 'Zhaoqing', 'CHN', 'Guangdong', '194784'),
	(2073, 'Beipiao', 'CHN', 'Liaoning', '194301'),
	(2074, 'Fengcheng', 'CHN', 'Jiangxi', '193784'),
	(2075, 'Fuyu', 'CHN', 'Jilin', '192981'),
	(2076, 'Xinyang', 'CHN', 'Henan', '192509'),
	(2077, 'Dongtai', 'CHN', 'Jiangsu', '192247'),
	(2078, 'Yuci', 'CHN', 'Shanxi', '191356'),
	(2079, 'Honghu', 'CHN', 'Hubei', '190772'),
	(2080, 'Ezhou', 'CHN', 'Hubei', '190123'),
	(2081, 'Heze', 'CHN', 'Shandong', '189293'),
	(2082, 'Daxian', 'CHN', 'Sichuan', '188101'),
	(2083, 'Linfen', 'CHN', 'Shanxi', '187309'),
	(2084, 'Tianmen', 'CHN', 'Hubei', '186332'),
	(2085, 'Yiyang', 'CHN', 'Hunan', '185818'),
	(2086, 'Quanzhou', 'CHN', 'Fujian', '185154'),
	(2087, 'Rizhao', 'CHN', 'Shandong', '185048'),
	(2088, 'Deyang', 'CHN', 'Sichuan', '182488'),
	(2089, 'Guangyuan', 'CHN', 'Sichuan', '182241'),
	(2090, 'Changshu', 'CHN', 'Jiangsu', '181805'),
	(2091, 'Zhangzhou', 'CHN', 'Fujian', '181424'),
	(2092, 'Hailar', 'CHN', 'Inner Mongolia', '180650'),
	(2093, 'Nanchong', 'CHN', 'Sichuan', '180273'),
	(2094, 'Jiutai', 'CHN', 'Jilin', '180130'),
	(2095, 'Zhaodong', 'CHN', 'Heilongjiang', '179976'),
	(2096, 'Shaoxing', 'CHN', 'Zhejiang', '179818'),
	(2097, 'Fuyang', 'CHN', 'Anhui', '179572'),
	(2098, 'Maoming', 'CHN', 'Guangdong', '178683'),
	(2099, 'Qujing', 'CHN', 'Yunnan', '178669'),
	(2100, 'Ghulja', 'CHN', 'Xinxiang', '177193'),
	(2101, 'Jiaohe', 'CHN', 'Jilin', '176367'),
	(2102, 'Puyang', 'CHN', 'Henan', '175988'),
	(2103, 'Huadian', 'CHN', 'Jilin', '175873'),
	(2104, 'Jiangyou', 'CHN', 'Sichuan', '175753'),
	(2105, 'Qashqar', 'CHN', 'Xinxiang', '174570'),
	(2106, 'Anshun', 'CHN', 'Guizhou', '174142'),
	(2107, 'Fuling', 'CHN', 'Sichuan', '173878'),
	(2108, 'Xinyu', 'CHN', 'Jiangxi', '173524'),
	(2109, 'Hanzhong', 'CHN', 'Shaanxi', '169930'),
	(2110, 'Danyang', 'CHN', 'Jiangsu', '169603'),
	(2111, 'Chenzhou', 'CHN', 'Hunan', '169400'),
	(2112, 'Xiaogan', 'CHN', 'Hubei', '166280'),
	(2113, 'Shangqiu', 'CHN', 'Henan', '164880'),
	(2114, 'Zhuhai', 'CHN', 'Guangdong', '164747'),
	(2115, 'Qingyuan', 'CHN', 'Guangdong', '164641'),
	(2116, 'Aqsu', 'CHN', 'Xinxiang', '164092'),
	(2117, 'Jining', 'CHN', 'Inner Mongolia', '163552'),
	(2118, 'Xiaoshan', 'CHN', 'Zhejiang', '162930'),
	(2119, 'Zaoyang', 'CHN', 'Hubei', '162198'),
	(2120, 'Xinghua', 'CHN', 'Jiangsu', '161910'),
	(2121, 'Hami', 'CHN', 'Xinxiang', '161315'),
	(2122, 'Huizhou', 'CHN', 'Guangdong', '161023'),
	(2123, 'Jinmen', 'CHN', 'Hubei', '160794'),
	(2124, 'Sanming', 'CHN', 'Fujian', '160691'),
	(2125, 'Ulanhot', 'CHN', 'Inner Mongolia', '159538'),
	(2126, 'Korla', 'CHN', 'Xinxiang', '159344'),
	(2127, 'Wanxian', 'CHN', 'Sichuan', '156823'),
	(2128, 'RuiÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´an', 'CHN', 'Zhejiang', '156468'),
	(2129, 'Zhoushan', 'CHN', 'Zhejiang', '156317'),
	(2130, 'Liangcheng', 'CHN', 'Shandong', '156307'),
	(2131, 'Jiaozhou', 'CHN', 'Shandong', '153364'),
	(2132, 'Taizhou', 'CHN', 'Jiangsu', '152442'),
	(2133, 'Suzhou', 'CHN', 'Anhui', '151862'),
	(2134, 'Yichun', 'CHN', 'Jiangxi', '151585'),
	(2135, 'Taonan', 'CHN', 'Jilin', '150168'),
	(2136, 'Pingdu', 'CHN', 'Shandong', '150123'),
	(2137, 'JiÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´an', 'CHN', 'Jiangxi', '148583'),
	(2138, 'Longkou', 'CHN', 'Shandong', '148362'),
	(2139, 'Langfang', 'CHN', 'Hebei', '148105'),
	(2140, 'Zhoukou', 'CHN', 'Henan', '146288'),
	(2141, 'Suining', 'CHN', 'Sichuan', '146086'),
	(2142, 'Yulin', 'CHN', 'Guangxi', '144467'),
	(2143, 'Jinhua', 'CHN', 'Zhejiang', '144280'),
	(2144, 'LiuÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´an', 'CHN', 'Anhui', '144248'),
	(2145, 'Shuangcheng', 'CHN', 'Heilongjiang', '142659'),
	(2146, 'Suizhou', 'CHN', 'Hubei', '142302'),
	(2147, 'Ankang', 'CHN', 'Shaanxi', '142170'),
	(2148, 'Weinan', 'CHN', 'Shaanxi', '140169'),
	(2149, 'Longjing', 'CHN', 'Jilin', '139417'),
	(2150, 'DaÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´an', 'CHN', 'Jilin', '138963'),
	(2151, 'Lengshuijiang', 'CHN', 'Hunan', '137994'),
	(2152, 'Laiyang', 'CHN', 'Shandong', '137080'),
	(2153, 'Xianning', 'CHN', 'Hubei', '136811'),
	(2154, 'Dali', 'CHN', 'Yunnan', '136554'),
	(2155, 'Anda', 'CHN', 'Heilongjiang', '136446'),
	(2156, 'Jincheng', 'CHN', 'Shanxi', '136396'),
	(2157, 'Longyan', 'CHN', 'Fujian', '134481'),
	(2158, 'Xichang', 'CHN', 'Sichuan', '134419'),
	(2159, 'Wendeng', 'CHN', 'Shandong', '133910'),
	(2160, 'Hailun', 'CHN', 'Heilongjiang', '133565'),
	(2161, 'Binzhou', 'CHN', 'Shandong', '133555'),
	(2162, 'Linhe', 'CHN', 'Inner Mongolia', '133183'),
	(2163, 'Wuwei', 'CHN', 'Gansu', '133101'),
	(2164, 'Duyun', 'CHN', 'Guizhou', '132971'),
	(2165, 'Mishan', 'CHN', 'Heilongjiang', '132744'),
	(2166, 'Shangrao', 'CHN', 'Jiangxi', '132455'),
	(2167, 'Changji', 'CHN', 'Xinxiang', '132260'),
	(2168, 'Meixian', 'CHN', 'Guangdong', '132156'),
	(2169, 'Yushu', 'CHN', 'Jilin', '131861'),
	(2170, 'Tiefa', 'CHN', 'Liaoning', '131807'),
	(2171, 'HuaiÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´an', 'CHN', 'Jiangsu', '131149'),
	(2172, 'Leiyang', 'CHN', 'Hunan', '130115'),
	(2173, 'Zalantun', 'CHN', 'Inner Mongolia', '130031'),
	(2174, 'Weihai', 'CHN', 'Shandong', '128888'),
	(2175, 'Loudi', 'CHN', 'Hunan', '128418'),
	(2176, 'Qingzhou', 'CHN', 'Shandong', '128258'),
	(2177, 'Qidong', 'CHN', 'Jiangsu', '126872'),
	(2178, 'Huaihua', 'CHN', 'Hunan', '126785'),
	(2179, 'Luohe', 'CHN', 'Henan', '126438'),
	(2180, 'Chuzhou', 'CHN', 'Anhui', '125341'),
	(2181, 'Kaiyuan', 'CHN', 'Liaoning', '124219'),
	(2182, 'Linqing', 'CHN', 'Shandong', '123958'),
	(2183, 'Chaohu', 'CHN', 'Anhui', '123676'),
	(2184, 'Laohekou', 'CHN', 'Hubei', '123366'),
	(2185, 'Dujiangyan', 'CHN', 'Sichuan', '123357'),
	(2186, 'Zhumadian', 'CHN', 'Henan', '123232'),
	(2187, 'Linchuan', 'CHN', 'Jiangxi', '121949'),
	(2188, 'Jiaonan', 'CHN', 'Shandong', '121397'),
	(2189, 'Sanmenxia', 'CHN', 'Henan', '120523'),
	(2190, 'Heyuan', 'CHN', 'Guangdong', '120101'),
	(2191, 'Manzhouli', 'CHN', 'Inner Mongolia', '120023'),
	(2192, 'Lhasa', 'CHN', 'Tibet', '120000'),
	(2193, 'Lianyuan', 'CHN', 'Hunan', '118858'),
	(2194, 'Kuytun', 'CHN', 'Xinxiang', '118553'),
	(2195, 'Puqi', 'CHN', 'Hubei', '117264'),
	(2196, 'Hongjiang', 'CHN', 'Hunan', '116188'),
	(2197, 'Qinzhou', 'CHN', 'Guangxi', '114586'),
	(2198, 'Renqiu', 'CHN', 'Hebei', '114256'),
	(2199, 'Yuyao', 'CHN', 'Zhejiang', '114065'),
	(2200, 'Guigang', 'CHN', 'Guangxi', '114025'),
	(2201, 'Kaili', 'CHN', 'Guizhou', '113958'),
	(2202, 'YanÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´an', 'CHN', 'Shaanxi', '113277'),
	(2203, 'Beihai', 'CHN', 'Guangxi', '112673'),
	(2204, 'Xuangzhou', 'CHN', 'Anhui', '112673'),
	(2205, 'Quzhou', 'CHN', 'Zhejiang', '112373'),
	(2206, 'YongÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´an', 'CHN', 'Fujian', '111762'),
	(2207, 'Zixing', 'CHN', 'Hunan', '110048'),
	(2208, 'Liyang', 'CHN', 'Jiangsu', '109520'),
	(2209, 'Yizheng', 'CHN', 'Jiangsu', '109268'),
	(2210, 'Yumen', 'CHN', 'Gansu', '109234'),
	(2211, 'Liling', 'CHN', 'Hunan', '108504'),
	(2212, 'Yuncheng', 'CHN', 'Shanxi', '108359'),
	(2213, 'Shanwei', 'CHN', 'Guangdong', '107847'),
	(2214, 'Cixi', 'CHN', 'Zhejiang', '107329'),
	(2215, 'Yuanjiang', 'CHN', 'Hunan', '107004'),
	(2216, 'Bozhou', 'CHN', 'Anhui', '106346'),
	(2217, 'Jinchang', 'CHN', 'Gansu', '105287'),
	(2218, 'FuÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´an', 'CHN', 'Fujian', '105265'),
	(2219, 'Suqian', 'CHN', 'Jiangsu', '105021'),
	(2220, 'Shishou', 'CHN', 'Hubei', '104571'),
	(2221, 'Hengshui', 'CHN', 'Hebei', '104269'),
	(2222, 'Danjiangkou', 'CHN', 'Hubei', '103211'),
	(2223, 'Fujin', 'CHN', 'Heilongjiang', '103104'),
	(2224, 'Sanya', 'CHN', 'Hainan', '102820'),
	(2225, 'Guangshui', 'CHN', 'Hubei', '102770'),
	(2226, 'Huangshan', 'CHN', 'Anhui', '102628'),
	(2227, 'Xingcheng', 'CHN', 'Liaoning', '102384'),
	(2228, 'Zhucheng', 'CHN', 'Shandong', '102134'),
	(2229, 'Kunshan', 'CHN', 'Jiangsu', '102052'),
	(2230, 'Haining', 'CHN', 'Zhejiang', '100478'),
	(2231, 'Pingliang', 'CHN', 'Gansu', '99265'),
	(2232, 'Fuqing', 'CHN', 'Fujian', '99193'),
	(2233, 'Xinzhou', 'CHN', 'Shanxi', '98667'),
	(2234, 'Jieyang', 'CHN', 'Guangdong', '98531'),
	(2235, 'Zhangjiagang', 'CHN', 'Jiangsu', '97994'),
	(2236, 'Tong Xian', 'CHN', 'Peking', '97168'),
	(2237, 'YaÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´an', 'CHN', 'Sichuan', '95900'),
	(2238, 'Jinzhou', 'CHN', 'Liaoning', '95761'),
	(2239, 'Emeishan', 'CHN', 'Sichuan', '94000'),
	(2240, 'Enshi', 'CHN', 'Hubei', '93056'),
	(2241, 'Bose', 'CHN', 'Guangxi', '93009'),
	(2242, 'Yuzhou', 'CHN', 'Henan', '92889'),
	(2243, 'Kaiyuan', 'CHN', 'Yunnan', '91999'),
	(2244, 'Tumen', 'CHN', 'Jilin', '91471'),
	(2245, 'Putian', 'CHN', 'Fujian', '91030'),
	(2246, 'Linhai', 'CHN', 'Zhejiang', '90870'),
	(2247, 'Xilin Hot', 'CHN', 'Inner Mongolia', '90646'),
	(2248, 'Shaowu', 'CHN', 'Fujian', '90286'),
	(2249, 'Junan', 'CHN', 'Shandong', '90222'),
	(2250, 'Huaying', 'CHN', 'Sichuan', '89400'),
	(2251, 'Pingyi', 'CHN', 'Shandong', '89373'),
	(2252, 'Huangyan', 'CHN', 'Zhejiang', '89288'),
	(2253, 'Bishkek', 'KGZ', 'Bishkek shaary', '589400'),
	(2254, 'Osh', 'KGZ', 'Osh', '222700'),
	(2255, 'Bikenibeu', 'KIR', 'South Tarawa', '5055'),
	(2256, 'Bairiki', 'KIR', 'South Tarawa', '2226'),
	(2257, 'SantafÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â© de BogotÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'COL', 'SantafÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â© d', '6260862'),
	(2258, 'Cali', 'COL', 'Valle', '2077386'),
	(2259, 'MedellÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­n', 'COL', 'Antioquia', '1861265'),
	(2260, 'Barranquilla', 'COL', 'AtlÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ntico', '1223260'),
	(2261, 'Cartagena', 'COL', 'BolÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­var', '805757'),
	(2262, 'CÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âºcuta', 'COL', 'Norte de Santander', '606932'),
	(2263, 'Bucaramanga', 'COL', 'Santander', '515555'),
	(2264, 'IbaguÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'COL', 'Tolima', '393664'),
	(2265, 'Pereira', 'COL', 'Risaralda', '381725'),
	(2266, 'Santa Marta', 'COL', 'Magdalena', '359147'),
	(2267, 'Manizales', 'COL', 'Caldas', '337580'),
	(2268, 'Bello', 'COL', 'Antioquia', '333470'),
	(2269, 'Pasto', 'COL', 'NariÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â±o', '332396'),
	(2270, 'Neiva', 'COL', 'Huila', '300052'),
	(2271, 'Soledad', 'COL', 'AtlÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ntico', '295058'),
	(2272, 'Armenia', 'COL', 'QuindÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­o', '288977'),
	(2273, 'Villavicencio', 'COL', 'Meta', '273140'),
	(2274, 'Soacha', 'COL', 'Cundinamarca', '272058'),
	(2275, 'Valledupar', 'COL', 'Cesar', '263247'),
	(2276, 'MonterÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­a', 'COL', 'CÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³rdoba', '248245'),
	(2277, 'ItagÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', 'COL', 'Antioquia', '228985'),
	(2278, 'Palmira', 'COL', 'Valle', '226509'),
	(2279, 'Buenaventura', 'COL', 'Valle', '224336'),
	(2280, 'Floridablanca', 'COL', 'Santander', '221913'),
	(2281, 'Sincelejo', 'COL', 'Sucre', '220704'),
	(2282, 'PopayÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', 'COL', 'Cauca', '200719'),
	(2283, 'Barrancabermeja', 'COL', 'Santander', '178020'),
	(2284, 'Dos Quebradas', 'COL', 'Risaralda', '159363'),
	(2285, 'TuluÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'COL', 'Valle', '152488'),
	(2286, 'Envigado', 'COL', 'Antioquia', '135848'),
	(2287, 'Cartago', 'COL', 'Valle', '125884'),
	(2288, 'Girardot', 'COL', 'Cundinamarca', '110963'),
	(2289, 'Buga', 'COL', 'Valle', '110699'),
	(2290, 'Tunja', 'COL', 'BoyacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '109740'),
	(2291, 'Florencia', 'COL', 'CaquetÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '108574'),
	(2292, 'Maicao', 'COL', 'La Guajira', '108053'),
	(2293, 'Sogamoso', 'COL', 'BoyacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '107728'),
	(2294, 'Giron', 'COL', 'Santander', '90688'),
	(2295, 'Moroni', 'COM', 'Njazidja', '36000'),
	(2296, 'Brazzaville', 'COG', 'Brazzaville', '950000'),
	(2297, 'Pointe-Noire', 'COG', 'Kouilou', '500000'),
	(2298, 'Kinshasa', 'COD', 'Kinshasa', '5064000'),
	(2299, 'Lubumbashi', 'COD', 'Shaba', '851381'),
	(2300, 'Mbuji-Mayi', 'COD', 'East Kasai', '806475'),
	(2301, 'Kolwezi', 'COD', 'Shaba', '417810'),
	(2302, 'Kisangani', 'COD', 'Haute-ZaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¯', '417517'),
	(2303, 'Kananga', 'COD', 'West Kasai', '393030'),
	(2304, 'Likasi', 'COD', 'Shaba', '299118'),
	(2305, 'Bukavu', 'COD', 'South Kivu', '201569'),
	(2306, 'Kikwit', 'COD', 'Bandundu', '182142'),
	(2307, 'Tshikapa', 'COD', 'West Kasai', '180860'),
	(2308, 'Matadi', 'COD', 'Bas-ZaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¯re', '172730'),
	(2309, 'Mbandaka', 'COD', 'Equateur', '169841'),
	(2310, 'Mwene-Ditu', 'COD', 'East Kasai', '137459'),
	(2311, 'Boma', 'COD', 'Bas-ZaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¯re', '135284'),
	(2312, 'Uvira', 'COD', 'South Kivu', '115590'),
	(2313, 'Butembo', 'COD', 'North Kivu', '109406'),
	(2314, 'Goma', 'COD', 'North Kivu', '109094'),
	(2315, 'Kalemie', 'COD', 'Shaba', '101309'),
	(2316, 'Bantam', 'CCK', 'Home Island', '503'),
	(2317, 'West Island', 'CCK', 'West Island', '167'),
	(2318, 'Pyongyang', 'PRK', 'Pyongyang-si', '2484000'),
	(2319, 'Hamhung', 'PRK', 'Hamgyong N', '709730'),
	(2320, 'Chongjin', 'PRK', 'Hamgyong P', '582480'),
	(2321, 'Nampo', 'PRK', 'Nampo-si', '566200'),
	(2322, 'Sinuiju', 'PRK', 'Pyongan P', '326011'),
	(2323, 'Wonsan', 'PRK', 'Kangwon', '300148'),
	(2324, 'Phyongsong', 'PRK', 'Pyongan N', '272934'),
	(2325, 'Sariwon', 'PRK', 'Hwanghae P', '254146'),
	(2326, 'Haeju', 'PRK', 'Hwanghae N', '229172'),
	(2327, 'Kanggye', 'PRK', 'Chagang', '223410'),
	(2328, 'Kimchaek', 'PRK', 'Hamgyong P', '179000'),
	(2329, 'Hyesan', 'PRK', 'Yanggang', '178020'),
	(2330, 'Kaesong', 'PRK', 'Kaesong-si', '171500'),
	(2331, 'Seoul', 'KOR', 'Seoul', '9981619'),
	(2332, 'Pusan', 'KOR', 'Pusan', '3804522'),
	(2333, 'Inchon', 'KOR', 'Inchon', '2559424'),
	(2334, 'Taegu', 'KOR', 'Taegu', '2548568'),
	(2335, 'Taejon', 'KOR', 'Taejon', '1425835'),
	(2336, 'Kwangju', 'KOR', 'Kwangju', '1368341'),
	(2337, 'Ulsan', 'KOR', 'Kyongsangnam', '1084891'),
	(2338, 'Songnam', 'KOR', 'Kyonggi', '869094'),
	(2339, 'Puchon', 'KOR', 'Kyonggi', '779412'),
	(2340, 'Suwon', 'KOR', 'Kyonggi', '755550'),
	(2341, 'Anyang', 'KOR', 'Kyonggi', '591106'),
	(2342, 'Chonju', 'KOR', 'Chollabuk', '563153'),
	(2343, 'Chongju', 'KOR', 'Chungchongbuk', '531376'),
	(2344, 'Koyang', 'KOR', 'Kyonggi', '518282'),
	(2345, 'Ansan', 'KOR', 'Kyonggi', '510314'),
	(2346, 'Pohang', 'KOR', 'Kyongsangbuk', '508899'),
	(2347, 'Chang-won', 'KOR', 'Kyongsangnam', '481694'),
	(2348, 'Masan', 'KOR', 'Kyongsangnam', '441242'),
	(2349, 'Kwangmyong', 'KOR', 'Kyonggi', '350914'),
	(2350, 'Chonan', 'KOR', 'Chungchongnam', '330259'),
	(2351, 'Chinju', 'KOR', 'Kyongsangnam', '329886'),
	(2352, 'Iksan', 'KOR', 'Chollabuk', '322685'),
	(2353, 'Pyongtaek', 'KOR', 'Kyonggi', '312927'),
	(2354, 'Kumi', 'KOR', 'Kyongsangbuk', '311431'),
	(2355, 'Uijongbu', 'KOR', 'Kyonggi', '276111'),
	(2356, 'Kyongju', 'KOR', 'Kyongsangbuk', '272968'),
	(2357, 'Kunsan', 'KOR', 'Chollabuk', '266569'),
	(2358, 'Cheju', 'KOR', 'Cheju', '258511'),
	(2359, 'Kimhae', 'KOR', 'Kyongsangnam', '256370'),
	(2360, 'Sunchon', 'KOR', 'Chollanam', '249263'),
	(2361, 'Mokpo', 'KOR', 'Chollanam', '247452'),
	(2362, 'Yong-in', 'KOR', 'Kyonggi', '242643'),
	(2363, 'Wonju', 'KOR', 'Kang-won', '237460'),
	(2364, 'Kunpo', 'KOR', 'Kyonggi', '235233'),
	(2365, 'Chunchon', 'KOR', 'Kang-won', '234528'),
	(2366, 'Namyangju', 'KOR', 'Kyonggi', '229060'),
	(2367, 'Kangnung', 'KOR', 'Kang-won', '220403'),
	(2368, 'Chungju', 'KOR', 'Chungchongbuk', '205206'),
	(2369, 'Andong', 'KOR', 'Kyongsangbuk', '188443'),
	(2370, 'Yosu', 'KOR', 'Chollanam', '183596'),
	(2371, 'Kyongsan', 'KOR', 'Kyongsangbuk', '173746'),
	(2372, 'Paju', 'KOR', 'Kyonggi', '163379'),
	(2373, 'Yangsan', 'KOR', 'Kyongsangnam', '163351'),
	(2374, 'Ichon', 'KOR', 'Kyonggi', '155332'),
	(2375, 'Asan', 'KOR', 'Chungchongnam', '154663'),
	(2376, 'Koje', 'KOR', 'Kyongsangnam', '147562'),
	(2377, 'Kimchon', 'KOR', 'Kyongsangbuk', '147027'),
	(2378, 'Nonsan', 'KOR', 'Chungchongnam', '146619'),
	(2379, 'Kuri', 'KOR', 'Kyonggi', '142173'),
	(2380, 'Chong-up', 'KOR', 'Chollabuk', '139111'),
	(2381, 'Chechon', 'KOR', 'Chungchongbuk', '137070'),
	(2382, 'Sosan', 'KOR', 'Chungchongnam', '134746'),
	(2383, 'Shihung', 'KOR', 'Kyonggi', '133443'),
	(2384, 'Tong-yong', 'KOR', 'Kyongsangnam', '131717'),
	(2385, 'Kongju', 'KOR', 'Chungchongnam', '131229'),
	(2386, 'Yongju', 'KOR', 'Kyongsangbuk', '131097'),
	(2387, 'Chinhae', 'KOR', 'Kyongsangnam', '125997'),
	(2388, 'Sangju', 'KOR', 'Kyongsangbuk', '124116'),
	(2389, 'Poryong', 'KOR', 'Chungchongnam', '122604'),
	(2390, 'Kwang-yang', 'KOR', 'Chollanam', '122052'),
	(2391, 'Miryang', 'KOR', 'Kyongsangnam', '121501'),
	(2392, 'Hanam', 'KOR', 'Kyonggi', '115812'),
	(2393, 'Kimje', 'KOR', 'Chollabuk', '115427'),
	(2394, 'Yongchon', 'KOR', 'Kyongsangbuk', '113511'),
	(2395, 'Sachon', 'KOR', 'Kyongsangnam', '113494'),
	(2396, 'Uiwang', 'KOR', 'Kyonggi', '108788'),
	(2397, 'Naju', 'KOR', 'Chollanam', '107831'),
	(2398, 'Namwon', 'KOR', 'Chollabuk', '103544'),
	(2399, 'Tonghae', 'KOR', 'Kang-won', '95472'),
	(2400, 'Mun-gyong', 'KOR', 'Kyongsangbuk', '92239'),
	(2401, 'Athenai', 'GRC', 'Attika', '772072'),
	(2402, 'Thessaloniki', 'GRC', 'Central Macedonia', '383967'),
	(2403, 'Pireus', 'GRC', 'Attika', '182671'),
	(2404, 'Patras', 'GRC', 'West Greece', '153344'),
	(2405, 'Peristerion', 'GRC', 'Attika', '137288'),
	(2406, 'Herakleion', 'GRC', 'Crete', '116178'),
	(2407, 'Kallithea', 'GRC', 'Attika', '114233'),
	(2408, 'Larisa', 'GRC', 'Thessalia', '113090'),
	(2409, 'Zagreb', 'HRV', 'Grad Zagreb', '706770'),
	(2410, 'Split', 'HRV', 'Split-Dalmatia', '189388'),
	(2411, 'Rijeka', 'HRV', 'Primorje-Gorski Kota', '167964'),
	(2412, 'Osijek', 'HRV', 'Osijek-Baranja', '104761'),
	(2413, 'La Habana', 'CUB', 'La Habana', '2256000'),
	(2414, 'Santiago de Cuba', 'CUB', 'Santiago de Cuba', '433180'),
	(2415, 'CamagÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼ey', 'CUB', 'CamagÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼ey', '298726'),
	(2416, 'HolguÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­n', 'CUB', 'HolguÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­n', '249492'),
	(2417, 'Santa Clara', 'CUB', 'Villa Clara', '207350'),
	(2418, 'GuantÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡namo', 'CUB', 'GuantÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡nam', '205078'),
	(2419, 'Pinar del RÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­o', 'CUB', 'Pinar del RÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ', '142100'),
	(2420, 'Bayamo', 'CUB', 'Granma', '141000'),
	(2421, 'Cienfuegos', 'CUB', 'Cienfuegos', '132770'),
	(2422, 'Victoria de las Tunas', 'CUB', 'Las Tunas', '132350'),
	(2423, 'Matanzas', 'CUB', 'Matanzas', '123273'),
	(2424, 'Manzanillo', 'CUB', 'Granma', '109350'),
	(2425, 'Sancti-SpÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ritus', 'CUB', 'Sancti-SpÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â', '100751'),
	(2426, 'Ciego de ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âvila', 'CUB', 'Ciego de ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â', '98505'),
	(2427, 'al-Salimiya', 'KWT', 'Hawalli', '130215'),
	(2428, 'Jalib al-Shuyukh', 'KWT', 'Hawalli', '102178'),
	(2429, 'Kuwait', 'KWT', 'al-Asima', '28859'),
	(2430, 'Nicosia', 'CYP', 'Nicosia', '195000'),
	(2431, 'Limassol', 'CYP', 'Limassol', '154400'),
	(2432, 'Vientiane', 'LAO', 'Viangchan', '531800'),
	(2433, 'Savannakhet', 'LAO', 'Savannakhet', '96652'),
	(2434, 'Riga', 'LVA', 'Riika', '764328'),
	(2435, 'Daugavpils', 'LVA', 'Daugavpils', '114829'),
	(2436, 'Liepaja', 'LVA', 'Liepaja', '89439'),
	(2437, 'Maseru', 'LSO', 'Maseru', '297000'),
	(2438, 'Beirut', 'LBN', 'Beirut', '1100000'),
	(2439, 'Tripoli', 'LBN', 'al-Shamal', '240000'),
	(2440, 'Monrovia', 'LBR', 'Montserrado', '850000'),
	(2441, 'Tripoli', 'LBY', 'Tripoli', '1682000'),
	(2442, 'Bengasi', 'LBY', 'Bengasi', '804000'),
	(2443, 'Misrata', 'LBY', 'Misrata', '121669'),
	(2444, 'al-Zawiya', 'LBY', 'al-Zawiya', '89338'),
	(2445, 'Schaan', 'LIE', 'Schaan', '5346'),
	(2446, 'Vaduz', 'LIE', 'Vaduz', '5043'),
	(2447, 'Vilnius', 'LTU', 'Vilna', '577969'),
	(2448, 'Kaunas', 'LTU', 'Kaunas', '412639'),
	(2449, 'Klaipeda', 'LTU', 'Klaipeda', '202451'),
	(2450, 'ÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â iauliai', 'LTU', 'ÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â iaulia', '146563'),
	(2451, 'Panevezys', 'LTU', 'Panevezys', '133695'),
	(2452, 'Luxembourg [Luxemburg/LÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â«tzebuerg]', 'LUX', 'Luxembourg', '80700'),
	(2453, 'El-AaiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âºn', 'ESH', 'El-AaiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âºn', '169000'),
	(2454, 'Macao', 'MAC', 'Macau', '437500'),
	(2455, 'Antananarivo', 'MDG', 'Antananarivo', '675669'),
	(2456, 'Toamasina', 'MDG', 'Toamasina', '127441'),
	(2457, 'AntsirabÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'MDG', 'Antananarivo', '120239'),
	(2458, 'Mahajanga', 'MDG', 'Mahajanga', '100807'),
	(2459, 'Fianarantsoa', 'MDG', 'Fianarantsoa', '99005'),
	(2460, 'Skopje', 'MKD', 'Skopje', '444299'),
	(2461, 'Blantyre', 'MWI', 'Blantyre', '478155'),
	(2462, 'Lilongwe', 'MWI', 'Lilongwe', '435964'),
	(2463, 'Male', 'MDV', 'Maale', '71000'),
	(2464, 'Kuala Lumpur', 'MYS', 'Wilayah Persekutuan', '1297526'),
	(2465, 'Ipoh', 'MYS', 'Perak', '382853'),
	(2466, 'Johor Baharu', 'MYS', 'Johor', '328436'),
	(2467, 'Petaling Jaya', 'MYS', 'Selangor', '254350'),
	(2468, 'Kelang', 'MYS', 'Selangor', '243355'),
	(2469, 'Kuala Terengganu', 'MYS', 'Terengganu', '228119'),
	(2470, 'Pinang', 'MYS', 'Pulau Pinang', '219603'),
	(2471, 'Kota Bharu', 'MYS', 'Kelantan', '219582'),
	(2472, 'Kuantan', 'MYS', 'Pahang', '199484'),
	(2473, 'Taiping', 'MYS', 'Perak', '183261'),
	(2474, 'Seremban', 'MYS', 'Negeri Sembilan', '182869'),
	(2475, 'Kuching', 'MYS', 'Sarawak', '148059'),
	(2476, 'Sibu', 'MYS', 'Sarawak', '126381'),
	(2477, 'Sandakan', 'MYS', 'Sabah', '125841'),
	(2478, 'Alor Setar', 'MYS', 'Kedah', '124412'),
	(2479, 'Selayang Baru', 'MYS', 'Selangor', '124228'),
	(2480, 'Sungai Petani', 'MYS', 'Kedah', '114763'),
	(2481, 'Shah Alam', 'MYS', 'Selangor', '102019'),
	(2482, 'Bamako', 'MLI', 'Bamako', '809552'),
	(2483, 'Birkirkara', 'MLT', 'Outer Harbour', '21445'),
	(2484, 'Valletta', 'MLT', 'Inner Harbour', '7073'),
	(2485, 'Casablanca', 'MAR', 'Casablanca', '2940623'),
	(2486, 'Rabat', 'MAR', 'Rabat-SalÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â', '623457'),
	(2487, 'Marrakech', 'MAR', 'Marrakech-Tensift-Al', '621914'),
	(2488, 'FÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¨s', 'MAR', 'FÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¨s-Boule', '541162'),
	(2489, 'Tanger', 'MAR', 'Tanger-TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', '521735'),
	(2490, 'SalÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'MAR', 'Rabat-SalÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â', '504420'),
	(2491, 'MeknÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¨s', 'MAR', 'MeknÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¨s-Ta', '460000'),
	(2492, 'Oujda', 'MAR', 'Oriental', '365382'),
	(2493, 'KÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©nitra', 'MAR', 'Gharb-Chrarda-BÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒ', '292600'),
	(2494, 'TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©touan', 'MAR', 'Tanger-TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', '277516'),
	(2495, 'Safi', 'MAR', 'Doukkala-Abda', '262300'),
	(2496, 'Agadir', 'MAR', 'Souss Massa-DraÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒ', '155244'),
	(2497, 'Mohammedia', 'MAR', 'Casablanca', '154706'),
	(2498, 'Khouribga', 'MAR', 'Chaouia-Ouardigha', '152090'),
	(2499, 'Beni-Mellal', 'MAR', 'Tadla-Azilal', '140212'),
	(2500, 'TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©mara', 'MAR', 'Rabat-SalÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â', '126303'),
	(2501, 'El Jadida', 'MAR', 'Doukkala-Abda', '119083'),
	(2502, 'Nador', 'MAR', 'Oriental', '112450'),
	(2503, 'Ksar el Kebir', 'MAR', 'Tanger-TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', '107065'),
	(2504, 'Settat', 'MAR', 'Chaouia-Ouardigha', '96200'),
	(2505, 'Taza', 'MAR', 'Taza-Al Hoceima-Taou', '92700'),
	(2506, 'El Araich', 'MAR', 'Tanger-TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', '90400'),
	(2507, 'Dalap-Uliga-Darrit', 'MHL', 'Majuro', '28000'),
	(2508, 'Fort-de-France', 'MTQ', 'Fort-de-France', '94050'),
	(2509, 'Nouakchott', 'MRT', 'Nouakchott', '667300'),
	(2510, 'NouÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢dhibou', 'MRT', 'Dakhlet NouÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ', '97600'),
	(2511, 'Port-Louis', 'MUS', 'Port-Louis', '138200'),
	(2512, 'Beau Bassin-Rose Hill', 'MUS', 'Plaines Wilhelms', '100616'),
	(2513, 'Vacoas-Phoenix', 'MUS', 'Plaines Wilhelms', '98464'),
	(2514, 'Mamoutzou', 'MYT', 'Mamoutzou', '12000'),
	(2515, 'Ciudad de MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', 'MEX', 'Distrito Federal', '8591309'),
	(2516, 'Guadalajara', 'MEX', 'Jalisco', '1647720'),
	(2517, 'Ecatepec de Morelos', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '1620303'),
	(2518, 'Puebla', 'MEX', 'Puebla', '1346176'),
	(2519, 'NezahualcÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³yotl', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '1224924'),
	(2520, 'JuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡rez', 'MEX', 'Chihuahua', '1217818'),
	(2521, 'Tijuana', 'MEX', 'Baja California', '1212232'),
	(2522, 'LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', 'MEX', 'Guanajuato', '1133576'),
	(2523, 'Monterrey', 'MEX', 'Nuevo LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', '1108499'),
	(2524, 'Zapopan', 'MEX', 'Jalisco', '1002239'),
	(2525, 'Naucalpan de JuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡rez', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '857511'),
	(2526, 'Mexicali', 'MEX', 'Baja California', '764902'),
	(2527, 'CuliacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', 'MEX', 'Sinaloa', '744859'),
	(2528, 'Acapulco de JuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡rez', 'MEX', 'Guerrero', '721011'),
	(2529, 'Tlalnepantla de Baz', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '720755'),
	(2530, 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©rida', 'MEX', 'YucatÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', '703324'),
	(2531, 'Chihuahua', 'MEX', 'Chihuahua', '670208'),
	(2532, 'San Luis PotosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­', 'MEX', 'San Luis PotosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ', '669353'),
	(2533, 'Guadalupe', 'MEX', 'Nuevo LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', '668780'),
	(2534, 'Toluca', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '665617'),
	(2535, 'Aguascalientes', 'MEX', 'Aguascalientes', '643360'),
	(2536, 'QuerÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©taro', 'MEX', 'QuerÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©taro', '639839'),
	(2537, 'Morelia', 'MEX', 'MichoacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', '619958'),
	(2538, 'Hermosillo', 'MEX', 'Sonora', '608697'),
	(2539, 'Saltillo', 'MEX', 'Coahuila de Zaragoza', '577352'),
	(2540, 'TorreÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', 'MEX', 'Coahuila de Zaragoza', '529093'),
	(2541, 'Centro (Villahermosa)', 'MEX', 'Tabasco', '519873'),
	(2542, 'San NicolÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡s de los Garza', 'MEX', 'Nuevo LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', '495540'),
	(2543, 'Durango', 'MEX', 'Durango', '490524'),
	(2544, 'ChimalhuacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '490245'),
	(2545, 'Tlaquepaque', 'MEX', 'Jalisco', '475472'),
	(2546, 'AtizapÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n de Zaragoza', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '467262'),
	(2547, 'Veracruz', 'MEX', 'Veracruz', '457119'),
	(2548, 'CuautitlÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n Izcalli', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '452976'),
	(2549, 'Irapuato', 'MEX', 'Guanajuato', '440039'),
	(2550, 'Tuxtla GutiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©rrez', 'MEX', 'Chiapas', '433544'),
	(2551, 'TultitlÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '432411'),
	(2552, 'Reynosa', 'MEX', 'Tamaulipas', '419776'),
	(2553, 'Benito JuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡rez', 'MEX', 'Quintana Roo', '419276'),
	(2554, 'Matamoros', 'MEX', 'Tamaulipas', '416428'),
	(2555, 'Xalapa', 'MEX', 'Veracruz', '390058'),
	(2556, 'Celaya', 'MEX', 'Guanajuato', '382140'),
	(2557, 'MazatlÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', 'MEX', 'Sinaloa', '380265'),
	(2558, 'Ensenada', 'MEX', 'Baja California', '369573'),
	(2559, 'Ahome', 'MEX', 'Sinaloa', '358663'),
	(2560, 'Cajeme', 'MEX', 'Sonora', '355679'),
	(2561, 'Cuernavaca', 'MEX', 'Morelos', '337966'),
	(2562, 'TonalÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'MEX', 'Jalisco', '336109'),
	(2563, 'Valle de Chalco Solidaridad', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '323113'),
	(2564, 'Nuevo Laredo', 'MEX', 'Tamaulipas', '310277'),
	(2565, 'Tepic', 'MEX', 'Nayarit', '305025'),
	(2566, 'Tampico', 'MEX', 'Tamaulipas', '294789'),
	(2567, 'Ixtapaluca', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '293160'),
	(2568, 'Apodaca', 'MEX', 'Nuevo LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', '282941'),
	(2569, 'Guasave', 'MEX', 'Sinaloa', '277201'),
	(2570, 'GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³mez Palacio', 'MEX', 'Durango', '272806'),
	(2571, 'Tapachula', 'MEX', 'Chiapas', '271141'),
	(2572, 'NicolÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡s Romero', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '269393'),
	(2573, 'Coatzacoalcos', 'MEX', 'Veracruz', '267037'),
	(2574, 'Uruapan', 'MEX', 'MichoacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', '265211'),
	(2575, 'Victoria', 'MEX', 'Tamaulipas', '262686'),
	(2576, 'Oaxaca de JuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡rez', 'MEX', 'Oaxaca', '256848'),
	(2577, 'Coacalco de BerriozÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡bal', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '252270'),
	(2578, 'Pachuca de Soto', 'MEX', 'Hidalgo', '244688'),
	(2579, 'General Escobedo', 'MEX', 'Nuevo LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', '232961'),
	(2580, 'Salamanca', 'MEX', 'Guanajuato', '226864'),
	(2581, 'Santa Catarina', 'MEX', 'Nuevo LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', '226573'),
	(2582, 'TehuacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', 'MEX', 'Puebla', '225943'),
	(2583, 'Chalco', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '222201'),
	(2584, 'CÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡rdenas', 'MEX', 'Tabasco', '216903'),
	(2585, 'Campeche', 'MEX', 'Campeche', '216735'),
	(2586, 'La Paz', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '213045'),
	(2587, 'OthÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n P. Blanco (Chetumal)', 'MEX', 'Quintana Roo', '208014'),
	(2588, 'Texcoco', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '203681'),
	(2589, 'La Paz', 'MEX', 'Baja California Sur', '196708'),
	(2590, 'Metepec', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '194265'),
	(2591, 'Monclova', 'MEX', 'Coahuila de Zaragoza', '193657'),
	(2592, 'Huixquilucan', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '193156'),
	(2593, 'Chilpancingo de los Bravo', 'MEX', 'Guerrero', '192509'),
	(2594, 'Puerto Vallarta', 'MEX', 'Jalisco', '183741'),
	(2595, 'Fresnillo', 'MEX', 'Zacatecas', '182744'),
	(2596, 'Ciudad Madero', 'MEX', 'Tamaulipas', '182012'),
	(2597, 'Soledad de Graciano SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡nchez', 'MEX', 'San Luis PotosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ', '179956'),
	(2598, 'San Juan del RÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­o', 'MEX', 'QuerÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©taro', '179300'),
	(2599, 'San Felipe del Progreso', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '177330'),
	(2600, 'CÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³rdoba', 'MEX', 'Veracruz', '176952'),
	(2601, 'TecÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡mac', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '172410'),
	(2602, 'Ocosingo', 'MEX', 'Chiapas', '171495'),
	(2603, 'Carmen', 'MEX', 'Campeche', '171367'),
	(2604, 'LÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡zaro CÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡rdenas', 'MEX', 'MichoacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', '170878'),
	(2605, 'Jiutepec', 'MEX', 'Morelos', '170428'),
	(2606, 'Papantla', 'MEX', 'Veracruz', '170123'),
	(2607, 'Comalcalco', 'MEX', 'Tabasco', '164640'),
	(2608, 'Zamora', 'MEX', 'MichoacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', '161191'),
	(2609, 'Nogales', 'MEX', 'Sonora', '159103'),
	(2610, 'Huimanguillo', 'MEX', 'Tabasco', '158335'),
	(2611, 'Cuautla', 'MEX', 'Morelos', '153132'),
	(2612, 'MinatitlÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', 'MEX', 'Veracruz', '152983'),
	(2613, 'Poza Rica de Hidalgo', 'MEX', 'Veracruz', '152678'),
	(2614, 'Ciudad Valles', 'MEX', 'San Luis PotosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ', '146411'),
	(2615, 'Navolato', 'MEX', 'Sinaloa', '145396'),
	(2616, 'San Luis RÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­o Colorado', 'MEX', 'Sonora', '145276'),
	(2617, 'PÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©njamo', 'MEX', 'Guanajuato', '143927'),
	(2618, 'San AndrÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©s Tuxtla', 'MEX', 'Veracruz', '142251'),
	(2619, 'Guanajuato', 'MEX', 'Guanajuato', '141215'),
	(2620, 'Navojoa', 'MEX', 'Sonora', '140495'),
	(2621, 'ZitÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡cuaro', 'MEX', 'MichoacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', '137970'),
	(2622, 'Boca del RÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­o', 'MEX', 'Veracruz-Llave', '135721'),
	(2623, 'Allende', 'MEX', 'Guanajuato', '134645'),
	(2624, 'Silao', 'MEX', 'Guanajuato', '134037'),
	(2625, 'Macuspana', 'MEX', 'Tabasco', '133795'),
	(2626, 'San Juan Bautista Tuxtepec', 'MEX', 'Oaxaca', '133675'),
	(2627, 'San CristÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³bal de las Casas', 'MEX', 'Chiapas', '132317'),
	(2628, 'Valle de Santiago', 'MEX', 'Guanajuato', '130557'),
	(2629, 'Guaymas', 'MEX', 'Sonora', '130108'),
	(2630, 'Colima', 'MEX', 'Colima', '129454'),
	(2631, 'Dolores Hidalgo', 'MEX', 'Guanajuato', '128675'),
	(2632, 'Lagos de Moreno', 'MEX', 'Jalisco', '127949'),
	(2633, 'Piedras Negras', 'MEX', 'Coahuila de Zaragoza', '127898'),
	(2634, 'Altamira', 'MEX', 'Tamaulipas', '127490'),
	(2635, 'TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âºxpam', 'MEX', 'Veracruz', '126475'),
	(2636, 'San Pedro Garza GarcÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­a', 'MEX', 'Nuevo LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³', '126147'),
	(2637, 'CuauhtÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©moc', 'MEX', 'Chihuahua', '124279'),
	(2638, 'Manzanillo', 'MEX', 'Colima', '124014'),
	(2639, 'Iguala de la Independencia', 'MEX', 'Guerrero', '123883'),
	(2640, 'Zacatecas', 'MEX', 'Zacatecas', '123700'),
	(2641, 'Tlajomulco de ZÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚ÂºÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â±i', 'MEX', 'Jalisco', '123220'),
	(2642, 'Tulancingo de Bravo', 'MEX', 'Hidalgo', '121946'),
	(2643, 'Zinacantepec', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '121715'),
	(2644, 'San MartÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­n Texmelucan', 'MEX', 'Puebla', '121093'),
	(2645, 'TepatitlÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n de Morelos', 'MEX', 'Jalisco', '118948'),
	(2646, 'MartÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­nez de la Torre', 'MEX', 'Veracruz', '118815'),
	(2647, 'Orizaba', 'MEX', 'Veracruz', '118488'),
	(2648, 'ApatzingÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', 'MEX', 'MichoacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', '117849'),
	(2649, 'Atlixco', 'MEX', 'Puebla', '117019'),
	(2650, 'Delicias', 'MEX', 'Chihuahua', '116132'),
	(2651, 'Ixtlahuaca', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '115548'),
	(2652, 'El Mante', 'MEX', 'Tamaulipas', '112453'),
	(2653, 'Lerdo', 'MEX', 'Durango', '112272'),
	(2654, 'Almoloya de JuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡rez', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '110550'),
	(2655, 'AcÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡mbaro', 'MEX', 'Guanajuato', '110487'),
	(2656, 'AcuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â±a', 'MEX', 'Coahuila de Zaragoza', '110388'),
	(2657, 'Guadalupe', 'MEX', 'Zacatecas', '108881'),
	(2658, 'Huejutla de Reyes', 'MEX', 'Hidalgo', '108017'),
	(2659, 'Hidalgo', 'MEX', 'MichoacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', '106198'),
	(2660, 'Los Cabos', 'MEX', 'Baja California Sur', '105199'),
	(2661, 'ComitÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n de DomÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ngu', 'MEX', 'Chiapas', '104986'),
	(2662, 'CunduacÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', 'MEX', 'Tabasco', '104164'),
	(2663, 'RÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­o Bravo', 'MEX', 'Tamaulipas', '103901'),
	(2664, 'Temapache', 'MEX', 'Veracruz', '102824'),
	(2665, 'Chilapa de Alvarez', 'MEX', 'Guerrero', '102716'),
	(2666, 'Hidalgo del Parral', 'MEX', 'Chihuahua', '100881'),
	(2667, 'San Francisco del RincÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', 'MEX', 'Guanajuato', '100149'),
	(2668, 'Taxco de AlarcÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', 'MEX', 'Guerrero', '99907'),
	(2669, 'Zumpango', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '99781'),
	(2670, 'San Pedro Cholula', 'MEX', 'Puebla', '99734'),
	(2671, 'Lerma', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '99714'),
	(2672, 'TecomÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡n', 'MEX', 'Colima', '99296'),
	(2673, 'Las Margaritas', 'MEX', 'Chiapas', '97389'),
	(2674, 'Cosoleacaque', 'MEX', 'Veracruz', '97199'),
	(2675, 'San Luis de la Paz', 'MEX', 'Guanajuato', '96763'),
	(2676, 'JosÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â© Azueta', 'MEX', 'Guerrero', '95448'),
	(2677, 'Santiago Ixcuintla', 'MEX', 'Nayarit', '95311'),
	(2678, 'San Felipe', 'MEX', 'Guanajuato', '95305'),
	(2679, 'Tejupilco', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '94934'),
	(2680, 'Tantoyuca', 'MEX', 'Veracruz', '94709'),
	(2681, 'Salvatierra', 'MEX', 'Guanajuato', '94322'),
	(2682, 'Tultepec', 'MEX', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©xico', '93364'),
	(2683, 'Temixco', 'MEX', 'Morelos', '92686'),
	(2684, 'Matamoros', 'MEX', 'Coahuila de Zaragoza', '91858'),
	(2685, 'PÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡nuco', 'MEX', 'Veracruz', '90551'),
	(2686, 'El Fuerte', 'MEX', 'Sinaloa', '89556'),
	(2687, 'Tierra Blanca', 'MEX', 'Veracruz', '89143'),
	(2688, 'Weno', 'FSM', 'Chuuk', '22000'),
	(2689, 'Palikir', 'FSM', 'Pohnpei', '8600'),
	(2690, 'Chisinau', 'MDA', 'Chisinau', '719900'),
	(2691, 'Tiraspol', 'MDA', 'Dnjestria', '194300'),
	(2692, 'Balti', 'MDA', 'Balti', '153400'),
	(2693, 'Bender (TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â®ghina)', 'MDA', 'Bender (TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â', '125700'),
	(2694, 'Monte-Carlo', 'MCO', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '13154'),
	(2695, 'Monaco-Ville', 'MCO', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '1234'),
	(2696, 'Ulan Bator', 'MNG', 'Ulaanbaatar', '773700'),
	(2697, 'Plymouth', 'MSR', 'Plymouth', '2000'),
	(2698, 'Maputo', 'MOZ', 'Maputo', '1018938'),
	(2699, 'Matola', 'MOZ', 'Maputo', '424662'),
	(2700, 'Beira', 'MOZ', 'Sofala', '397368'),
	(2701, 'Nampula', 'MOZ', 'Nampula', '303346'),
	(2702, 'Chimoio', 'MOZ', 'Manica', '171056'),
	(2703, 'NaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§ala-Porto', 'MOZ', 'Nampula', '158248'),
	(2704, 'Quelimane', 'MOZ', 'ZambÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©zia', '150116'),
	(2705, 'Mocuba', 'MOZ', 'ZambÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©zia', '124700'),
	(2706, 'Tete', 'MOZ', 'Tete', '101984'),
	(2707, 'Xai-Xai', 'MOZ', 'Gaza', '99442'),
	(2708, 'Gurue', 'MOZ', 'ZambÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©zia', '99300'),
	(2709, 'Maxixe', 'MOZ', 'Inhambane', '93985'),
	(2710, 'Rangoon (Yangon)', 'MMR', 'Rangoon [Yangon]', '3361700'),
	(2711, 'Mandalay', 'MMR', 'Mandalay', '885300'),
	(2712, 'Moulmein (Mawlamyine)', 'MMR', 'Mon', '307900'),
	(2713, 'Pegu (Bago)', 'MMR', 'Pegu [Bago]', '190900'),
	(2714, 'Bassein (Pathein)', 'MMR', 'Irrawaddy [Ayeyarwad', '183900'),
	(2715, 'Monywa', 'MMR', 'Sagaing', '138600'),
	(2716, 'Sittwe (Akyab)', 'MMR', 'Rakhine', '137600'),
	(2717, 'Taunggyi (Taunggye)', 'MMR', 'Shan', '131500'),
	(2718, 'Meikhtila', 'MMR', 'Mandalay', '129700'),
	(2719, 'Mergui (Myeik)', 'MMR', 'Tenasserim [Tanintha', '122700'),
	(2720, 'Lashio (Lasho)', 'MMR', 'Shan', '107600'),
	(2721, 'Prome (Pyay)', 'MMR', 'Pegu [Bago]', '105700'),
	(2722, 'Henzada (Hinthada)', 'MMR', 'Irrawaddy [Ayeyarwad', '104700'),
	(2723, 'Myingyan', 'MMR', 'Mandalay', '103600'),
	(2724, 'Tavoy (Dawei)', 'MMR', 'Tenasserim [Tanintha', '96800'),
	(2725, 'Pagakku (Pakokku)', 'MMR', 'Magwe [Magway]', '94800'),
	(2726, 'Windhoek', 'NAM', 'Khomas', '169000'),
	(2727, 'Yangor', 'NRU', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '4050'),
	(2728, 'Yaren', 'NRU', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '559'),
	(2729, 'Kathmandu', 'NPL', 'Central', '591835'),
	(2730, 'Biratnagar', 'NPL', 'Eastern', '157764'),
	(2731, 'Pokhara', 'NPL', 'Western', '146318'),
	(2732, 'Lalitapur', 'NPL', 'Central', '145847'),
	(2733, 'Birgunj', 'NPL', 'Central', '90639'),
	(2734, 'Managua', 'NIC', 'Managua', '959000'),
	(2735, 'LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', 'NIC', 'LeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', '123865'),
	(2736, 'Chinandega', 'NIC', 'Chinandega', '97387'),
	(2737, 'Masaya', 'NIC', 'Masaya', '88971'),
	(2738, 'Niamey', 'NER', 'Niamey', '420000'),
	(2739, 'Zinder', 'NER', 'Zinder', '120892'),
	(2740, 'Maradi', 'NER', 'Maradi', '112965'),
	(2741, 'Lagos', 'NGA', 'Lagos', '1518000'),
	(2742, 'Ibadan', 'NGA', 'Oyo & Osun', '1432000'),
	(2743, 'Ogbomosho', 'NGA', 'Oyo & Osun', '730000'),
	(2744, 'Kano', 'NGA', 'Kano & Jigawa', '674100'),
	(2745, 'Oshogbo', 'NGA', 'Oyo & Osun', '476800'),
	(2746, 'Ilorin', 'NGA', 'Kwara & Kogi', '475800'),
	(2747, 'Abeokuta', 'NGA', 'Ogun', '427400'),
	(2748, 'Port Harcourt', 'NGA', 'Rivers & Bayelsa', '410000'),
	(2749, 'Zaria', 'NGA', 'Kaduna', '379200'),
	(2750, 'Ilesha', 'NGA', 'Oyo & Osun', '378400'),
	(2751, 'Onitsha', 'NGA', 'Anambra & Enugu & Eb', '371900'),
	(2752, 'Iwo', 'NGA', 'Oyo & Osun', '362000'),
	(2753, 'Ado-Ekiti', 'NGA', 'Ondo & Ekiti', '359400'),
	(2754, 'Abuja', 'NGA', 'Federal Capital Dist', '350100'),
	(2755, 'Kaduna', 'NGA', 'Kaduna', '342200'),
	(2756, 'Mushin', 'NGA', 'Lagos', '333200'),
	(2757, 'Maiduguri', 'NGA', 'Borno & Yobe', '320000'),
	(2758, 'Enugu', 'NGA', 'Anambra & Enugu & Eb', '316100'),
	(2759, 'Ede', 'NGA', 'Oyo & Osun', '307100'),
	(2760, 'Aba', 'NGA', 'Imo & Abia', '298900'),
	(2761, 'Ife', 'NGA', 'Oyo & Osun', '296800'),
	(2762, 'Ila', 'NGA', 'Oyo & Osun', '264000'),
	(2763, 'Oyo', 'NGA', 'Oyo & Osun', '256400'),
	(2764, 'Ikerre', 'NGA', 'Ondo & Ekiti', '244600'),
	(2765, 'Benin City', 'NGA', 'Edo & Delta', '229400'),
	(2766, 'Iseyin', 'NGA', 'Oyo & Osun', '217300'),
	(2767, 'Katsina', 'NGA', 'Katsina', '206500'),
	(2768, 'Jos', 'NGA', 'Plateau & Nassarawa', '206300'),
	(2769, 'Sokoto', 'NGA', 'Sokoto & Kebbi & Zam', '204900'),
	(2770, 'Ilobu', 'NGA', 'Oyo & Osun', '199000'),
	(2771, 'Offa', 'NGA', 'Kwara & Kogi', '197200'),
	(2772, 'Ikorodu', 'NGA', 'Lagos', '184900'),
	(2773, 'Ilawe-Ekiti', 'NGA', 'Ondo & Ekiti', '184500'),
	(2774, 'Owo', 'NGA', 'Ondo & Ekiti', '183500'),
	(2775, 'Ikirun', 'NGA', 'Oyo & Osun', '181400'),
	(2776, 'Shaki', 'NGA', 'Oyo & Osun', '174500'),
	(2777, 'Calabar', 'NGA', 'Cross River', '174400'),
	(2778, 'Ondo', 'NGA', 'Ondo & Ekiti', '173600'),
	(2779, 'Akure', 'NGA', 'Ondo & Ekiti', '162300'),
	(2780, 'Gusau', 'NGA', 'Sokoto & Kebbi & Zam', '158000'),
	(2781, 'Ijebu-Ode', 'NGA', 'Ogun', '156400'),
	(2782, 'Effon-Alaiye', 'NGA', 'Oyo & Osun', '153100'),
	(2783, 'Kumo', 'NGA', 'Bauchi & Gombe', '148000'),
	(2784, 'Shomolu', 'NGA', 'Lagos', '147700'),
	(2785, 'Oka-Akoko', 'NGA', 'Ondo & Ekiti', '142900'),
	(2786, 'Ikare', 'NGA', 'Ondo & Ekiti', '140800'),
	(2787, 'Sapele', 'NGA', 'Edo & Delta', '139200'),
	(2788, 'Deba Habe', 'NGA', 'Bauchi & Gombe', '138600'),
	(2789, 'Minna', 'NGA', 'Niger', '136900'),
	(2790, 'Warri', 'NGA', 'Edo & Delta', '126100'),
	(2791, 'Bida', 'NGA', 'Niger', '125500'),
	(2792, 'Ikire', 'NGA', 'Oyo & Osun', '123300'),
	(2793, 'Makurdi', 'NGA', 'Benue', '123100'),
	(2794, 'Lafia', 'NGA', 'Plateau & Nassarawa', '122500'),
	(2795, 'Inisa', 'NGA', 'Oyo & Osun', '119800'),
	(2796, 'Shagamu', 'NGA', 'Ogun', '117200'),
	(2797, 'Awka', 'NGA', 'Anambra & Enugu & Eb', '111200'),
	(2798, 'Gombe', 'NGA', 'Bauchi & Gombe', '107800'),
	(2799, 'Igboho', 'NGA', 'Oyo & Osun', '106800'),
	(2800, 'Ejigbo', 'NGA', 'Oyo & Osun', '105900'),
	(2801, 'Agege', 'NGA', 'Lagos', '105000'),
	(2802, 'Ise-Ekiti', 'NGA', 'Ondo & Ekiti', '103400'),
	(2803, 'Ugep', 'NGA', 'Cross River', '102600'),
	(2804, 'Epe', 'NGA', 'Lagos', '101000'),
	(2805, 'Alofi', 'NIU', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '682'),
	(2806, 'Kingston', 'NFK', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '800'),
	(2807, 'Oslo', 'NOR', 'Oslo', '508726'),
	(2808, 'Bergen', 'NOR', 'Hordaland', '230948'),
	(2809, 'Trondheim', 'NOR', 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¸r-TrÃƒÆ', '150166'),
	(2810, 'Stavanger', 'NOR', 'Rogaland', '108848'),
	(2811, 'BÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¦rum', 'NOR', 'Akershus', '101340'),
	(2812, 'Abidjan', 'CIV', 'Abidjan', '2500000'),
	(2813, 'BouakÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'CIV', 'BouakÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', '329850'),
	(2814, 'Yamoussoukro', 'CIV', 'Yamoussoukro', '130000'),
	(2815, 'Daloa', 'CIV', 'Daloa', '121842'),
	(2816, 'Korhogo', 'CIV', 'Korhogo', '109445'),
	(2817, 'al-Sib', 'OMN', 'Masqat', '155000'),
	(2818, 'Salala', 'OMN', 'Zufar', '131813'),
	(2819, 'Bawshar', 'OMN', 'Masqat', '107500'),
	(2820, 'Suhar', 'OMN', 'al-Batina', '90814'),
	(2821, 'Masqat', 'OMN', 'Masqat', '51969'),
	(2822, 'Karachi', 'PAK', 'Sindh', '9269265'),
	(2823, 'Lahore', 'PAK', 'Punjab', '5063499'),
	(2824, 'Faisalabad', 'PAK', 'Punjab', '1977246'),
	(2825, 'Rawalpindi', 'PAK', 'Punjab', '1406214'),
	(2826, 'Multan', 'PAK', 'Punjab', '1182441'),
	(2827, 'Hyderabad', 'PAK', 'Sindh', '1151274'),
	(2828, 'Gujranwala', 'PAK', 'Punjab', '1124749'),
	(2829, 'Peshawar', 'PAK', 'Nothwest Border Prov', '988005'),
	(2830, 'Quetta', 'PAK', 'Baluchistan', '560307'),
	(2831, 'Islamabad', 'PAK', 'Islamabad', '524500'),
	(2832, 'Sargodha', 'PAK', 'Punjab', '455360'),
	(2833, 'Sialkot', 'PAK', 'Punjab', '417597'),
	(2834, 'Bahawalpur', 'PAK', 'Punjab', '403408'),
	(2835, 'Sukkur', 'PAK', 'Sindh', '329176'),
	(2836, 'Jhang', 'PAK', 'Punjab', '292214'),
	(2837, 'Sheikhupura', 'PAK', 'Punjab', '271875'),
	(2838, 'Larkana', 'PAK', 'Sindh', '270366'),
	(2839, 'Gujrat', 'PAK', 'Punjab', '250121'),
	(2840, 'Mardan', 'PAK', 'Nothwest Border Prov', '244511'),
	(2841, 'Kasur', 'PAK', 'Punjab', '241649'),
	(2842, 'Rahim Yar Khan', 'PAK', 'Punjab', '228479'),
	(2843, 'Sahiwal', 'PAK', 'Punjab', '207388'),
	(2844, 'Okara', 'PAK', 'Punjab', '200901'),
	(2845, 'Wah', 'PAK', 'Punjab', '198400'),
	(2846, 'Dera Ghazi Khan', 'PAK', 'Punjab', '188100'),
	(2847, 'Mirpur Khas', 'PAK', 'Sind', '184500'),
	(2848, 'Nawabshah', 'PAK', 'Sind', '183100'),
	(2849, 'Mingora', 'PAK', 'Nothwest Border Prov', '174500'),
	(2850, 'Chiniot', 'PAK', 'Punjab', '169300'),
	(2851, 'Kamoke', 'PAK', 'Punjab', '151000'),
	(2852, 'Mandi Burewala', 'PAK', 'Punjab', '149900'),
	(2853, 'Jhelum', 'PAK', 'Punjab', '145800'),
	(2854, 'Sadiqabad', 'PAK', 'Punjab', '141500'),
	(2855, 'Jacobabad', 'PAK', 'Sind', '137700'),
	(2856, 'Shikarpur', 'PAK', 'Sind', '133300'),
	(2857, 'Khanewal', 'PAK', 'Punjab', '133000'),
	(2858, 'Hafizabad', 'PAK', 'Punjab', '130200'),
	(2859, 'Kohat', 'PAK', 'Nothwest Border Prov', '125300'),
	(2860, 'Muzaffargarh', 'PAK', 'Punjab', '121600'),
	(2861, 'Khanpur', 'PAK', 'Punjab', '117800'),
	(2862, 'Gojra', 'PAK', 'Punjab', '115000'),
	(2863, 'Bahawalnagar', 'PAK', 'Punjab', '109600'),
	(2864, 'Muridke', 'PAK', 'Punjab', '108600'),
	(2865, 'Pak Pattan', 'PAK', 'Punjab', '107800'),
	(2866, 'Abottabad', 'PAK', 'Nothwest Border Prov', '106000'),
	(2867, 'Tando Adam', 'PAK', 'Sind', '103400'),
	(2868, 'Jaranwala', 'PAK', 'Punjab', '103300'),
	(2869, 'Khairpur', 'PAK', 'Sind', '102200'),
	(2870, 'Chishtian Mandi', 'PAK', 'Punjab', '101700'),
	(2871, 'Daska', 'PAK', 'Punjab', '101500'),
	(2872, 'Dadu', 'PAK', 'Sind', '98600'),
	(2873, 'Mandi Bahauddin', 'PAK', 'Punjab', '97300'),
	(2874, 'Ahmadpur East', 'PAK', 'Punjab', '96000'),
	(2875, 'Kamalia', 'PAK', 'Punjab', '95300'),
	(2876, 'Khuzdar', 'PAK', 'Baluchistan', '93100'),
	(2877, 'Vihari', 'PAK', 'Punjab', '92300'),
	(2878, 'Dera Ismail Khan', 'PAK', 'Nothwest Border Prov', '90400'),
	(2879, 'Wazirabad', 'PAK', 'Punjab', '89700'),
	(2880, 'Nowshera', 'PAK', 'Nothwest Border Prov', '89400'),
	(2881, 'Koror', 'PLW', 'Koror', '12000'),
	(2882, 'Ciudad de PanamÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'PAN', 'PanamÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', '471373'),
	(2883, 'San Miguelito', 'PAN', 'San Miguelito', '315382'),
	(2884, 'Port Moresby', 'PNG', 'National Capital Dis', '247000'),
	(2885, 'AsunciÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', 'PRY', 'AsunciÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', '557776'),
	(2886, 'Ciudad del Este', 'PRY', 'Alto ParanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚', '133881'),
	(2887, 'San Lorenzo', 'PRY', 'Central', '133395'),
	(2888, 'LambarÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'PRY', 'Central', '99681'),
	(2889, 'Fernando de la Mora', 'PRY', 'Central', '95287'),
	(2890, 'Lima', 'PER', 'Lima', '6464693'),
	(2891, 'Arequipa', 'PER', 'Arequipa', '762000'),
	(2892, 'Trujillo', 'PER', 'La Libertad', '652000'),
	(2893, 'Chiclayo', 'PER', 'Lambayeque', '517000'),
	(2894, 'Callao', 'PER', 'Callao', '424294'),
	(2895, 'Iquitos', 'PER', 'Loreto', '367000'),
	(2896, 'Chimbote', 'PER', 'Ancash', '336000'),
	(2897, 'Huancayo', 'PER', 'JunÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­n', '327000'),
	(2898, 'Piura', 'PER', 'Piura', '325000'),
	(2899, 'Cusco', 'PER', 'Cusco', '291000'),
	(2900, 'Pucallpa', 'PER', 'Ucayali', '220866'),
	(2901, 'Tacna', 'PER', 'Tacna', '215683'),
	(2902, 'Ica', 'PER', 'Ica', '194820'),
	(2903, 'Sullana', 'PER', 'Piura', '147361'),
	(2904, 'Juliaca', 'PER', 'Puno', '142576'),
	(2905, 'HuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡nuco', 'PER', 'Huanuco', '129688'),
	(2906, 'Ayacucho', 'PER', 'Ayacucho', '118960'),
	(2907, 'Chincha Alta', 'PER', 'Ica', '110016'),
	(2908, 'Cajamarca', 'PER', 'Cajamarca', '108009'),
	(2909, 'Puno', 'PER', 'Puno', '101578'),
	(2910, 'Ventanilla', 'PER', 'Callao', '101056'),
	(2911, 'Castilla', 'PER', 'Piura', '90642'),
	(2912, 'Adamstown', 'PCN', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '42'),
	(2913, 'Garapan', 'MNP', 'Saipan', '9200'),
	(2914, 'Lisboa', 'PRT', 'Lisboa', '563210'),
	(2915, 'Porto', 'PRT', 'Porto', '273060'),
	(2916, 'Amadora', 'PRT', 'Lisboa', '122106'),
	(2917, 'CoÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­mbra', 'PRT', 'CoÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­mbra', '96100'),
	(2918, 'Braga', 'PRT', 'Braga', '90535'),
	(2919, 'San Juan', 'PRI', 'San Juan', '434374'),
	(2920, 'BayamÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', 'PRI', 'BayamÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', '224044'),
	(2921, 'Ponce', 'PRI', 'Ponce', '186475'),
	(2922, 'Carolina', 'PRI', 'Carolina', '186076'),
	(2923, 'Caguas', 'PRI', 'Caguas', '140502'),
	(2924, 'Arecibo', 'PRI', 'Arecibo', '100131'),
	(2925, 'Guaynabo', 'PRI', 'Guaynabo', '100053'),
	(2926, 'MayagÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼ez', 'PRI', 'MayagÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼ez', '98434'),
	(2927, 'Toa Baja', 'PRI', 'Toa Baja', '94085'),
	(2928, 'Warszawa', 'POL', 'Mazowieckie', '1615369'),
	(2929, 'LÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³dz', 'POL', 'Lodzkie', '800110'),
	(2930, 'KrakÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³w', 'POL', 'Malopolskie', '738150'),
	(2931, 'Wroclaw', 'POL', 'Dolnoslaskie', '636765'),
	(2932, 'Poznan', 'POL', 'Wielkopolskie', '576899'),
	(2933, 'Gdansk', 'POL', 'Pomorskie', '458988'),
	(2934, 'Szczecin', 'POL', 'Zachodnio-Pomorskie', '416988'),
	(2935, 'Bydgoszcz', 'POL', 'Kujawsko-Pomorskie', '386855'),
	(2936, 'Lublin', 'POL', 'Lubelskie', '356251'),
	(2937, 'Katowice', 'POL', 'Slaskie', '345934'),
	(2938, 'Bialystok', 'POL', 'Podlaskie', '283937'),
	(2939, 'Czestochowa', 'POL', 'Slaskie', '257812'),
	(2940, 'Gdynia', 'POL', 'Pomorskie', '253521'),
	(2941, 'Sosnowiec', 'POL', 'Slaskie', '244102'),
	(2942, 'Radom', 'POL', 'Mazowieckie', '232262'),
	(2943, 'Kielce', 'POL', 'Swietokrzyskie', '212383'),
	(2944, 'Gliwice', 'POL', 'Slaskie', '212164'),
	(2945, 'Torun', 'POL', 'Kujawsko-Pomorskie', '206158'),
	(2946, 'Bytom', 'POL', 'Slaskie', '205560'),
	(2947, 'Zabrze', 'POL', 'Slaskie', '200177'),
	(2948, 'Bielsko-Biala', 'POL', 'Slaskie', '180307'),
	(2949, 'Olsztyn', 'POL', 'Warminsko-Mazurskie', '170904'),
	(2950, 'RzeszÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³w', 'POL', 'Podkarpackie', '162049'),
	(2951, 'Ruda Slaska', 'POL', 'Slaskie', '159665'),
	(2952, 'Rybnik', 'POL', 'Slaskie', '144582'),
	(2953, 'Walbrzych', 'POL', 'Dolnoslaskie', '136923'),
	(2954, 'Tychy', 'POL', 'Slaskie', '133178'),
	(2955, 'Dabrowa GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³rnicza', 'POL', 'Slaskie', '131037'),
	(2956, 'Plock', 'POL', 'Mazowieckie', '131011'),
	(2957, 'Elblag', 'POL', 'Warminsko-Mazurskie', '129782'),
	(2958, 'Opole', 'POL', 'Opolskie', '129553'),
	(2959, 'GorzÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³w Wielkopolski', 'POL', 'Lubuskie', '126019'),
	(2960, 'Wloclawek', 'POL', 'Kujawsko-Pomorskie', '123373'),
	(2961, 'ChorzÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³w', 'POL', 'Slaskie', '121708'),
	(2962, 'TarnÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³w', 'POL', 'Malopolskie', '121494'),
	(2963, 'Zielona GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³ra', 'POL', 'Lubuskie', '118182'),
	(2964, 'Koszalin', 'POL', 'Zachodnio-Pomorskie', '112375'),
	(2965, 'Legnica', 'POL', 'Dolnoslaskie', '109335'),
	(2966, 'Kalisz', 'POL', 'Wielkopolskie', '106641'),
	(2967, 'Grudziadz', 'POL', 'Kujawsko-Pomorskie', '102434'),
	(2968, 'Slupsk', 'POL', 'Pomorskie', '102370'),
	(2969, 'Jastrzebie-ZdrÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³j', 'POL', 'Slaskie', '102294'),
	(2970, 'Jaworzno', 'POL', 'Slaskie', '97929'),
	(2971, 'Jelenia GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³ra', 'POL', 'Dolnoslaskie', '93901'),
	(2972, 'Malabo', 'GNQ', 'Bioko', '40000'),
	(2973, 'Doha', 'QAT', 'Doha', '355000'),
	(2974, 'Paris', 'FRA', 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Â¦Ãƒâ€šÃ‚Â½le-de-Fr', '2125246'),
	(2975, 'Marseille', 'FRA', 'Provence-Alpes-CÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ã', '798430'),
	(2976, 'Lyon', 'FRA', 'RhÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´ne-Alp', '445452'),
	(2977, 'Toulouse', 'FRA', 'Midi-PyrÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', '390350'),
	(2978, 'Nice', 'FRA', 'Provence-Alpes-CÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ã', '342738'),
	(2979, 'Nantes', 'FRA', 'Pays de la Loire', '270251'),
	(2980, 'Strasbourg', 'FRA', 'Alsace', '264115'),
	(2981, 'Montpellier', 'FRA', 'Languedoc-Roussillon', '225392'),
	(2982, 'Bordeaux', 'FRA', 'Aquitaine', '215363'),
	(2983, 'Rennes', 'FRA', 'Haute-Normandie', '206229'),
	(2984, 'Le Havre', 'FRA', 'Champagne-Ardenne', '190905'),
	(2985, 'Reims', 'FRA', 'Nord-Pas-de-Calais', '187206'),
	(2986, 'Lille', 'FRA', 'RhÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´ne-Alp', '184657'),
	(2987, 'St-ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬Ãƒâ€šÃ‚Â°tienne', 'FRA', 'Bretagne', '180210'),
	(2988, 'Toulon', 'FRA', 'Provence-Alpes-CÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ã', '160639'),
	(2989, 'Grenoble', 'FRA', 'RhÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´ne-Alp', '153317'),
	(2990, 'Angers', 'FRA', 'Pays de la Loire', '151279'),
	(2991, 'Dijon', 'FRA', 'Bourgogne', '149867'),
	(2992, 'Brest', 'FRA', 'Bretagne', '149634'),
	(2993, 'Le Mans', 'FRA', 'Pays de la Loire', '146105'),
	(2994, 'Clermont-Ferrand', 'FRA', 'Auvergne', '137140'),
	(2995, 'Amiens', 'FRA', 'Picardie', '135501'),
	(2996, 'Aix-en-Provence', 'FRA', 'Provence-Alpes-CÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ã', '134222'),
	(2997, 'Limoges', 'FRA', 'Limousin', '133968'),
	(2998, 'NÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â®mes', 'FRA', 'Languedoc-Roussillon', '133424'),
	(2999, 'Tours', 'FRA', 'Centre', '132820'),
	(3000, 'Villeurbanne', 'FRA', 'RhÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´ne-Alp', '124215'),
	(3001, 'Metz', 'FRA', 'Lorraine', '123776'),
	(3002, 'BesanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§on', 'FRA', 'Franche-ComtÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€š', '117733'),
	(3003, 'Caen', 'FRA', 'Basse-Normandie', '113987'),
	(3004, 'OrlÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©ans', 'FRA', 'Centre', '113126'),
	(3005, 'Mulhouse', 'FRA', 'Alsace', '110359'),
	(3006, 'Rouen', 'FRA', 'Haute-Normandie', '106592'),
	(3007, 'Boulogne-Billancourt', 'FRA', 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Â¦Ãƒâ€šÃ‚Â½le-de-Fr', '106367'),
	(3008, 'Perpignan', 'FRA', 'Languedoc-Roussillon', '105115'),
	(3009, 'Nancy', 'FRA', 'Lorraine', '103605'),
	(3010, 'Roubaix', 'FRA', 'Nord-Pas-de-Calais', '96984'),
	(3011, 'Argenteuil', 'FRA', 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Â¦Ãƒâ€šÃ‚Â½le-de-Fr', '93961'),
	(3012, 'Tourcoing', 'FRA', 'Nord-Pas-de-Calais', '93540'),
	(3013, 'Montreuil', 'FRA', 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Â¦Ãƒâ€šÃ‚Â½le-de-Fr', '90674'),
	(3014, 'Cayenne', 'GUF', 'Cayenne', '50699'),
	(3015, 'Faaa', 'PYF', 'Tahiti', '25888'),
	(3016, 'Papeete', 'PYF', 'Tahiti', '25553'),
	(3017, 'Saint-Denis', 'REU', 'Saint-Denis', '131480'),
	(3018, 'Bucuresti', 'ROM', 'Bukarest', '2016131'),
	(3019, 'Iasi', 'ROM', 'Iasi', '348070'),
	(3020, 'Constanta', 'ROM', 'Constanta', '342264'),
	(3021, 'Cluj-Napoca', 'ROM', 'Cluj', '332498'),
	(3022, 'Galati', 'ROM', 'Galati', '330276'),
	(3023, 'Timisoara', 'ROM', 'Timis', '324304'),
	(3024, 'Brasov', 'ROM', 'Brasov', '314225'),
	(3025, 'Craiova', 'ROM', 'Dolj', '313530'),
	(3026, 'Ploiesti', 'ROM', 'Prahova', '251348'),
	(3027, 'Braila', 'ROM', 'Braila', '233756'),
	(3028, 'Oradea', 'ROM', 'Bihor', '222239'),
	(3029, 'Bacau', 'ROM', 'Bacau', '209235'),
	(3030, 'Pitesti', 'ROM', 'Arges', '187170'),
	(3031, 'Arad', 'ROM', 'Arad', '184408'),
	(3032, 'Sibiu', 'ROM', 'Sibiu', '169611'),
	(3033, 'TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢rgu Mures', 'ROM', 'Mures', '165153'),
	(3034, 'Baia Mare', 'ROM', 'Maramures', '149665'),
	(3035, 'Buzau', 'ROM', 'Buzau', '148372'),
	(3036, 'Satu Mare', 'ROM', 'Satu Mare', '130059'),
	(3037, 'Botosani', 'ROM', 'Botosani', '128730'),
	(3038, 'Piatra Neamt', 'ROM', 'Neamt', '125070'),
	(3039, 'RÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢mnicu VÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢lcea', 'ROM', 'VÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢lcea', '119741'),
	(3040, 'Suceava', 'ROM', 'Suceava', '118549'),
	(3041, 'Drobeta-Turnu Severin', 'ROM', 'Mehedinti', '117865'),
	(3042, 'TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢rgoviste', 'ROM', 'DÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢mbovita', '98980'),
	(3043, 'Focsani', 'ROM', 'Vrancea', '98979'),
	(3044, 'TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢rgu Jiu', 'ROM', 'Gorj', '98524'),
	(3045, 'Tulcea', 'ROM', 'Tulcea', '96278'),
	(3046, 'Resita', 'ROM', 'Caras-Severin', '93976'),
	(3047, 'Kigali', 'RWA', 'Kigali', '286000'),
	(3048, 'Stockholm', 'SWE', 'Lisboa', '750348'),
	(3049, 'Gothenburg [GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶teborg]', 'SWE', 'West GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶ta', '466990'),
	(3050, 'MalmÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶', 'SWE', 'SkÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¥ne lÃƒ', '259579'),
	(3051, 'Uppsala', 'SWE', 'Uppsala lÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â', '189569'),
	(3052, 'LinkÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶ping', 'SWE', 'East GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶ta', '133168'),
	(3053, 'VÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤sterÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¥s', 'SWE', 'VÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤stmanla', '126328'),
	(3054, 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬ÃƒÂ¢Ã¢â€šÂ¬Ã…â€œrebro', 'SWE', 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬ÃƒÂ¢Ã', '124207'),
	(3055, 'NorrkÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶ping', 'SWE', 'East GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶ta', '122199'),
	(3056, 'Helsingborg', 'SWE', 'SkÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¥ne lÃƒ', '117737'),
	(3057, 'JÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶nkÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶ping', 'SWE', 'JÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶nkÃƒÆ’Ã', '117095'),
	(3058, 'UmeÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¥', 'SWE', 'VÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤sterbot', '104512'),
	(3059, 'Lund', 'SWE', 'SkÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¥ne lÃƒ', '98948'),
	(3060, 'BorÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¥s', 'SWE', 'West GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶ta', '96883'),
	(3061, 'Sundsvall', 'SWE', 'VÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤sternor', '93126'),
	(3062, 'GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤vle', 'SWE', 'GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤vleborg', '90742'),
	(3063, 'Jamestown', 'SHN', 'Saint Helena', '1500'),
	(3064, 'Basseterre', 'KNA', 'St George Basseterre', '11600'),
	(3065, 'Castries', 'LCA', 'Castries', '2301'),
	(3066, 'Kingstown', 'VCT', 'St George', '17100'),
	(3067, 'Saint-Pierre', 'SPM', 'Saint-Pierre', '5808'),
	(3068, 'Berlin', 'DEU', 'Berliini', '3386667'),
	(3069, 'Hamburg', 'DEU', 'Hamburg', '1704735'),
	(3070, 'Munich [MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼nchen]', 'DEU', 'Baijeri', '1194560'),
	(3071, 'KÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶ln', 'DEU', 'Nordrhein-Westfalen', '962507'),
	(3072, 'Frankfurt am Main', 'DEU', 'Hessen', '643821'),
	(3073, 'Essen', 'DEU', 'Nordrhein-Westfalen', '599515'),
	(3074, 'Dortmund', 'DEU', 'Nordrhein-Westfalen', '590213'),
	(3075, 'Stuttgart', 'DEU', 'Baden-WÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼r', '582443'),
	(3076, 'DÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼sseldorf', 'DEU', 'Nordrhein-Westfalen', '568855'),
	(3077, 'Bremen', 'DEU', 'Bremen', '540330'),
	(3078, 'Duisburg', 'DEU', 'Nordrhein-Westfalen', '519793'),
	(3079, 'Hannover', 'DEU', 'Niedersachsen', '514718'),
	(3080, 'Leipzig', 'DEU', 'Saksi', '489532'),
	(3081, 'NÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼rnberg', 'DEU', 'Baijeri', '486628'),
	(3082, 'Dresden', 'DEU', 'Saksi', '476668'),
	(3083, 'Bochum', 'DEU', 'Nordrhein-Westfalen', '392830'),
	(3084, 'Wuppertal', 'DEU', 'Nordrhein-Westfalen', '368993'),
	(3085, 'Bielefeld', 'DEU', 'Nordrhein-Westfalen', '321125'),
	(3086, 'Mannheim', 'DEU', 'Baden-WÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼r', '307730'),
	(3087, 'Bonn', 'DEU', 'Nordrhein-Westfalen', '301048'),
	(3088, 'Gelsenkirchen', 'DEU', 'Nordrhein-Westfalen', '281979'),
	(3089, 'Karlsruhe', 'DEU', 'Baden-WÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼r', '277204'),
	(3090, 'Wiesbaden', 'DEU', 'Hessen', '268716'),
	(3091, 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼nster', 'DEU', 'Nordrhein-Westfalen', '264670'),
	(3092, 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶nchengladbach', 'DEU', 'Nordrhein-Westfalen', '263697'),
	(3093, 'Chemnitz', 'DEU', 'Saksi', '263222'),
	(3094, 'Augsburg', 'DEU', 'Baijeri', '254867'),
	(3095, 'Halle/Saale', 'DEU', 'Anhalt Sachsen', '254360'),
	(3096, 'Braunschweig', 'DEU', 'Niedersachsen', '246322'),
	(3097, 'Aachen', 'DEU', 'Nordrhein-Westfalen', '243825'),
	(3098, 'Krefeld', 'DEU', 'Nordrhein-Westfalen', '241769'),
	(3099, 'Magdeburg', 'DEU', 'Anhalt Sachsen', '235073'),
	(3100, 'Kiel', 'DEU', 'Schleswig-Holstein', '233795'),
	(3101, 'Oberhausen', 'DEU', 'Nordrhein-Westfalen', '222349'),
	(3102, 'LÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼beck', 'DEU', 'Schleswig-Holstein', '213326'),
	(3103, 'Hagen', 'DEU', 'Nordrhein-Westfalen', '205201'),
	(3104, 'Rostock', 'DEU', 'Mecklenburg-Vorpomme', '203279'),
	(3105, 'Freiburg im Breisgau', 'DEU', 'Baden-WÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼r', '202455'),
	(3106, 'Erfurt', 'DEU', 'ThÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼ringen', '201267'),
	(3107, 'Kassel', 'DEU', 'Hessen', '196211'),
	(3108, 'SaarbrÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼cken', 'DEU', 'Saarland', '183836'),
	(3109, 'Mainz', 'DEU', 'Rheinland-Pfalz', '183134'),
	(3110, 'Hamm', 'DEU', 'Nordrhein-Westfalen', '181804'),
	(3111, 'Herne', 'DEU', 'Nordrhein-Westfalen', '175661'),
	(3112, 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼lheim an der Ruhr', 'DEU', 'Nordrhein-Westfalen', '173895'),
	(3113, 'Solingen', 'DEU', 'Nordrhein-Westfalen', '165583'),
	(3114, 'OsnabrÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼ck', 'DEU', 'Niedersachsen', '164539'),
	(3115, 'Ludwigshafen am Rhein', 'DEU', 'Rheinland-Pfalz', '163771'),
	(3116, 'Leverkusen', 'DEU', 'Nordrhein-Westfalen', '160841'),
	(3117, 'Oldenburg', 'DEU', 'Niedersachsen', '154125'),
	(3118, 'Neuss', 'DEU', 'Nordrhein-Westfalen', '149702'),
	(3119, 'Heidelberg', 'DEU', 'Baden-WÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼r', '139672'),
	(3120, 'Darmstadt', 'DEU', 'Hessen', '137776'),
	(3121, 'Paderborn', 'DEU', 'Nordrhein-Westfalen', '137647'),
	(3122, 'Potsdam', 'DEU', 'Brandenburg', '128983'),
	(3123, 'WÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼rzburg', 'DEU', 'Baijeri', '127350'),
	(3124, 'Regensburg', 'DEU', 'Baijeri', '125236'),
	(3125, 'Recklinghausen', 'DEU', 'Nordrhein-Westfalen', '125022'),
	(3126, 'GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶ttingen', 'DEU', 'Niedersachsen', '124775'),
	(3127, 'Bremerhaven', 'DEU', 'Bremen', '122735'),
	(3128, 'Wolfsburg', 'DEU', 'Niedersachsen', '121954'),
	(3129, 'Bottrop', 'DEU', 'Nordrhein-Westfalen', '121097'),
	(3130, 'Remscheid', 'DEU', 'Nordrhein-Westfalen', '120125'),
	(3131, 'Heilbronn', 'DEU', 'Baden-WÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼r', '119526'),
	(3132, 'Pforzheim', 'DEU', 'Baden-WÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼r', '117227'),
	(3133, 'Offenbach am Main', 'DEU', 'Hessen', '116627'),
	(3134, 'Ulm', 'DEU', 'Baden-WÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼r', '116103'),
	(3135, 'Ingolstadt', 'DEU', 'Baijeri', '114826'),
	(3136, 'Gera', 'DEU', 'ThÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼ringen', '114718'),
	(3137, 'Salzgitter', 'DEU', 'Niedersachsen', '112934'),
	(3138, 'Cottbus', 'DEU', 'Brandenburg', '110894'),
	(3139, 'Reutlingen', 'DEU', 'Baden-WÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼r', '110343'),
	(3140, 'FÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼rth', 'DEU', 'Baijeri', '109771'),
	(3141, 'Siegen', 'DEU', 'Nordrhein-Westfalen', '109225'),
	(3142, 'Koblenz', 'DEU', 'Rheinland-Pfalz', '108003'),
	(3143, 'Moers', 'DEU', 'Nordrhein-Westfalen', '106837'),
	(3144, 'Bergisch Gladbach', 'DEU', 'Nordrhein-Westfalen', '106150'),
	(3145, 'Zwickau', 'DEU', 'Saksi', '104146'),
	(3146, 'Hildesheim', 'DEU', 'Niedersachsen', '104013'),
	(3147, 'Witten', 'DEU', 'Nordrhein-Westfalen', '103384'),
	(3148, 'Schwerin', 'DEU', 'Mecklenburg-Vorpomme', '102878'),
	(3149, 'Erlangen', 'DEU', 'Baijeri', '100750'),
	(3150, 'Kaiserslautern', 'DEU', 'Rheinland-Pfalz', '100025'),
	(3151, 'Trier', 'DEU', 'Rheinland-Pfalz', '99891'),
	(3152, 'Jena', 'DEU', 'ThÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼ringen', '99779'),
	(3153, 'Iserlohn', 'DEU', 'Nordrhein-Westfalen', '99474'),
	(3154, 'GÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼tersloh', 'DEU', 'Nordrhein-Westfalen', '95028'),
	(3155, 'Marl', 'DEU', 'Nordrhein-Westfalen', '93735'),
	(3156, 'LÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼nen', 'DEU', 'Nordrhein-Westfalen', '92044'),
	(3157, 'DÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼ren', 'DEU', 'Nordrhein-Westfalen', '91092'),
	(3158, 'Ratingen', 'DEU', 'Nordrhein-Westfalen', '90951'),
	(3159, 'Velbert', 'DEU', 'Nordrhein-Westfalen', '89881'),
	(3160, 'Esslingen am Neckar', 'DEU', 'Baden-WÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼r', '89667'),
	(3161, 'Honiara', 'SLB', 'Honiara', '50100'),
	(3162, 'Lusaka', 'ZMB', 'Lusaka', '1317000'),
	(3163, 'Ndola', 'ZMB', 'Copperbelt', '329200'),
	(3164, 'Kitwe', 'ZMB', 'Copperbelt', '288600'),
	(3165, 'Kabwe', 'ZMB', 'Central', '154300'),
	(3166, 'Chingola', 'ZMB', 'Copperbelt', '142400'),
	(3167, 'Mufulira', 'ZMB', 'Copperbelt', '123900'),
	(3168, 'Luanshya', 'ZMB', 'Copperbelt', '118100'),
	(3169, 'Apia', 'WSM', 'Upolu', '35900'),
	(3170, 'Serravalle', 'SMR', 'Serravalle/Dogano', '4802'),
	(3171, 'San Marino', 'SMR', 'San Marino', '2294'),
	(3172, 'SÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â£o TomÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'STP', 'Aqua Grande', '49541'),
	(3173, 'Riyadh', 'SAU', 'Riyadh', '3324000'),
	(3174, 'Jedda', 'SAU', 'Mekka', '2046300'),
	(3175, 'Mekka', 'SAU', 'Mekka', '965700'),
	(3176, 'Medina', 'SAU', 'Medina', '608300'),
	(3177, 'al-Dammam', 'SAU', 'al-Sharqiya', '482300'),
	(3178, 'al-Taif', 'SAU', 'Mekka', '416100'),
	(3179, 'Tabuk', 'SAU', 'Tabuk', '292600'),
	(3180, 'Burayda', 'SAU', 'al-Qasim', '248600'),
	(3181, 'al-Hufuf', 'SAU', 'al-Sharqiya', '225800'),
	(3182, 'al-Mubarraz', 'SAU', 'al-Sharqiya', '219100'),
	(3183, 'Khamis Mushayt', 'SAU', 'Asir', '217900'),
	(3184, 'Hail', 'SAU', 'Hail', '176800'),
	(3185, 'al-Kharj', 'SAU', 'Riad', '152100'),
	(3186, 'al-Khubar', 'SAU', 'al-Sharqiya', '141700'),
	(3187, 'Jubayl', 'SAU', 'al-Sharqiya', '140800'),
	(3188, 'Hafar al-Batin', 'SAU', 'al-Sharqiya', '137800'),
	(3189, 'al-Tuqba', 'SAU', 'al-Sharqiya', '125700'),
	(3190, 'Yanbu', 'SAU', 'Medina', '119800'),
	(3191, 'Abha', 'SAU', 'Asir', '112300'),
	(3192, 'AraÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´ar', 'SAU', 'al-Khudud al-Samaliy', '108100'),
	(3193, 'al-Qatif', 'SAU', 'al-Sharqiya', '98900'),
	(3194, 'al-Hawiya', 'SAU', 'Mekka', '93900'),
	(3195, 'Unayza', 'SAU', 'Qasim', '91100'),
	(3196, 'Najran', 'SAU', 'Najran', '91000'),
	(3197, 'Pikine', 'SEN', 'Cap-Vert', '855287'),
	(3198, 'Dakar', 'SEN', 'Cap-Vert', '785071'),
	(3199, 'ThiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¨s', 'SEN', 'ThiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¨s', '248000'),
	(3200, 'Kaolack', 'SEN', 'Kaolack', '199000'),
	(3201, 'Ziguinchor', 'SEN', 'Ziguinchor', '192000'),
	(3202, 'Rufisque', 'SEN', 'Cap-Vert', '150000'),
	(3203, 'Saint-Louis', 'SEN', 'Saint-Louis', '132400'),
	(3204, 'Mbour', 'SEN', 'ThiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¨s', '109300'),
	(3205, 'Diourbel', 'SEN', 'Diourbel', '99400'),
	(3206, 'Victoria', 'SYC', 'MahÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', '41000'),
	(3207, 'Freetown', 'SLE', 'Western', '850000'),
	(3208, 'Singapore', 'SGP', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '4017733'),
	(3209, 'Bratislava', 'SVK', 'Bratislava', '448292'),
	(3210, 'KoÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ice', 'SVK', 'VÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â½chodnÃƒ', '241874'),
	(3211, 'PreÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ov', 'SVK', 'VÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â½chodnÃƒ', '93977'),
	(3212, 'Ljubljana', 'SVN', 'Osrednjeslovenska', '270986'),
	(3213, 'Maribor', 'SVN', 'Podravska', '115532'),
	(3214, 'Mogadishu', 'SOM', 'Banaadir', '997000'),
	(3215, 'Hargeysa', 'SOM', 'Woqooyi Galbeed', '90000'),
	(3216, 'Kismaayo', 'SOM', 'Jubbada Hoose', '90000'),
	(3217, 'Colombo', 'LKA', 'Western', '645000'),
	(3218, 'Dehiwala', 'LKA', 'Western', '203000'),
	(3219, 'Moratuwa', 'LKA', 'Western', '190000'),
	(3220, 'Jaffna', 'LKA', 'Northern', '149000'),
	(3221, 'Kandy', 'LKA', 'Central', '140000'),
	(3222, 'Sri Jayawardenepura Kotte', 'LKA', 'Western', '118000'),
	(3223, 'Negombo', 'LKA', 'Western', '100000'),
	(3224, 'Omdurman', 'SDN', 'Khartum', '1271403'),
	(3225, 'Khartum', 'SDN', 'Khartum', '947483'),
	(3226, 'Sharq al-Nil', 'SDN', 'Khartum', '700887'),
	(3227, 'Port Sudan', 'SDN', 'al-Bahr al-Ahmar', '308195'),
	(3228, 'Kassala', 'SDN', 'Kassala', '234622'),
	(3229, 'Obeid', 'SDN', 'Kurdufan al-Shamaliy', '229425'),
	(3230, 'Nyala', 'SDN', 'Darfur al-Janubiya', '227183'),
	(3231, 'Wad Madani', 'SDN', 'al-Jazira', '211362'),
	(3232, 'al-Qadarif', 'SDN', 'al-Qadarif', '191164'),
	(3233, 'Kusti', 'SDN', 'al-Bahr al-Abyad', '173599'),
	(3234, 'al-Fashir', 'SDN', 'Darfur al-Shamaliya', '141884'),
	(3235, 'Juba', 'SDN', 'Bahr al-Jabal', '114980'),
	(3236, 'Helsinki [Helsingfors]', 'FIN', 'Newmaa', '555474'),
	(3237, 'Espoo', 'FIN', 'Newmaa', '213271'),
	(3238, 'Tampere', 'FIN', 'Pirkanmaa', '195468'),
	(3239, 'Vantaa', 'FIN', 'Newmaa', '178471'),
	(3240, 'Turku [ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬Ãƒâ€šÃ‚Â¦bo]', 'FIN', 'Varsinais-Suomi', '172561'),
	(3241, 'Oulu', 'FIN', 'Pohjois-Pohjanmaa', '120753'),
	(3242, 'Lahti', 'FIN', 'PÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤ijÃƒÆ’Ã', '96921'),
	(3243, 'Paramaribo', 'SUR', 'Paramaribo', '112000'),
	(3244, 'Mbabane', 'SWZ', 'Hhohho', '61000'),
	(3245, 'ZÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼rich', 'CHE', 'ZÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼rich', '336800'),
	(3246, 'Geneve', 'CHE', 'Geneve', '173500'),
	(3247, 'Basel', 'CHE', 'Basel-Stadt', '166700'),
	(3248, 'Bern', 'CHE', 'Bern', '122700'),
	(3249, 'Lausanne', 'CHE', 'Vaud', '114500'),
	(3250, 'Damascus', 'SYR', 'Damascus', '1347000'),
	(3251, 'Aleppo', 'SYR', 'Aleppo', '1261983'),
	(3252, 'Hims', 'SYR', 'Hims', '507404'),
	(3253, 'Hama', 'SYR', 'Hama', '343361'),
	(3254, 'Latakia', 'SYR', 'Latakia', '264563'),
	(3255, 'al-Qamishliya', 'SYR', 'al-Hasaka', '144286'),
	(3256, 'Dayr al-Zawr', 'SYR', 'Dayr al-Zawr', '140459'),
	(3257, 'Jaramana', 'SYR', 'Damaskos', '138469'),
	(3258, 'Duma', 'SYR', 'Damaskos', '131158'),
	(3259, 'al-Raqqa', 'SYR', 'al-Raqqa', '108020'),
	(3260, 'Idlib', 'SYR', 'Idlib', '91081'),
	(3261, 'Dushanbe', 'TJK', 'Karotegin', '524000'),
	(3262, 'Khujand', 'TJK', 'Khujand', '161500'),
	(3263, 'Taipei', 'TWN', 'Taipei', '2641312'),
	(3264, 'Kaohsiung', 'TWN', 'Kaohsiung', '1475505'),
	(3265, 'Taichung', 'TWN', 'Taichung', '940589'),
	(3266, 'Tainan', 'TWN', 'Tainan', '728060'),
	(3267, 'Panchiao', 'TWN', 'Taipei', '523850'),
	(3268, 'Chungho', 'TWN', 'Taipei', '392176'),
	(3269, 'Keelung (Chilung)', 'TWN', 'Keelung', '385201'),
	(3270, 'Sanchung', 'TWN', 'Taipei', '380084'),
	(3271, 'Hsinchuang', 'TWN', 'Taipei', '365048'),
	(3272, 'Hsinchu', 'TWN', 'Hsinchu', '361958'),
	(3273, 'Chungli', 'TWN', 'Taoyuan', '318649'),
	(3274, 'Fengshan', 'TWN', 'Kaohsiung', '318562'),
	(3275, 'Taoyuan', 'TWN', 'Taoyuan', '316438'),
	(3276, 'Chiayi', 'TWN', 'Chiayi', '265109'),
	(3277, 'Hsintien', 'TWN', 'Taipei', '263603'),
	(3278, 'Changhwa', 'TWN', 'Changhwa', '227715'),
	(3279, 'Yungho', 'TWN', 'Taipei', '227700'),
	(3280, 'Tucheng', 'TWN', 'Taipei', '224897'),
	(3281, 'Pingtung', 'TWN', 'Pingtung', '214727'),
	(3282, 'Yungkang', 'TWN', 'Tainan', '193005'),
	(3283, 'Pingchen', 'TWN', 'Taoyuan', '188344'),
	(3284, 'Tali', 'TWN', 'Taichung', '171940'),
	(3285, 'Taiping', 'TWN', '', '165524'),
	(3286, 'Pate', 'TWN', 'Taoyuan', '161700'),
	(3287, 'Fengyuan', 'TWN', 'Taichung', '161032'),
	(3288, 'Luchou', 'TWN', 'Taipei', '160516'),
	(3289, 'Hsichuh', 'TWN', 'Taipei', '154976'),
	(3290, 'Shulin', 'TWN', 'Taipei', '151260'),
	(3291, 'Yuanlin', 'TWN', 'Changhwa', '126402'),
	(3292, 'Yangmei', 'TWN', 'Taoyuan', '126323'),
	(3293, 'Taliao', 'TWN', '', '115897'),
	(3294, 'Kueishan', 'TWN', '', '112195'),
	(3295, 'Tanshui', 'TWN', 'Taipei', '111882'),
	(3296, 'Taitung', 'TWN', 'Taitung', '111039'),
	(3297, 'Hualien', 'TWN', 'Hualien', '108407'),
	(3298, 'Nantou', 'TWN', 'Nantou', '104723'),
	(3299, 'Lungtan', 'TWN', 'Taipei', '103088'),
	(3300, 'Touliu', 'TWN', 'YÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼nlin', '98900'),
	(3301, 'Tsaotun', 'TWN', 'Nantou', '96800'),
	(3302, 'Kangshan', 'TWN', 'Kaohsiung', '92200'),
	(3303, 'Ilan', 'TWN', 'Ilan', '92000'),
	(3304, 'Miaoli', 'TWN', 'Miaoli', '90000'),
	(3305, 'Dar es Salaam', 'TZA', 'Dar es Salaam', '1747000'),
	(3306, 'Dodoma', 'TZA', 'Dodoma', '189000'),
	(3307, 'Mwanza', 'TZA', 'Mwanza', '172300'),
	(3308, 'Zanzibar', 'TZA', 'Zanzibar West', '157634'),
	(3309, 'Tanga', 'TZA', 'Tanga', '137400'),
	(3310, 'Mbeya', 'TZA', 'Mbeya', '130800'),
	(3311, 'Morogoro', 'TZA', 'Morogoro', '117800'),
	(3312, 'Arusha', 'TZA', 'Arusha', '102500'),
	(3313, 'Moshi', 'TZA', 'Kilimanjaro', '96800'),
	(3314, 'Tabora', 'TZA', 'Tabora', '92800'),
	(3315, 'KÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¸benhavn', 'DNK', 'KÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¸benhavn', '495699'),
	(3316, 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬Ãƒâ€šÃ‚Â¦rhus', 'DNK', 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬Ãƒâ€š', '284846'),
	(3317, 'Odense', 'DNK', 'Fyn', '183912'),
	(3318, 'Aalborg', 'DNK', 'Nordjylland', '161161'),
	(3319, 'Frederiksberg', 'DNK', 'Frederiksberg', '90327'),
	(3320, 'Bangkok', 'THA', 'Bangkok', '6320174'),
	(3321, 'Nonthaburi', 'THA', 'Nonthaburi', '292100'),
	(3322, 'Nakhon Ratchasima', 'THA', 'Nakhon Ratchasima', '181400'),
	(3323, 'Chiang Mai', 'THA', 'Chiang Mai', '171100'),
	(3324, 'Udon Thani', 'THA', 'Udon Thani', '158100'),
	(3325, 'Hat Yai', 'THA', 'Songkhla', '148632'),
	(3326, 'Khon Kaen', 'THA', 'Khon Kaen', '126500'),
	(3327, 'Pak Kret', 'THA', 'Nonthaburi', '126055'),
	(3328, 'Nakhon Sawan', 'THA', 'Nakhon Sawan', '123800'),
	(3329, 'Ubon Ratchathani', 'THA', 'Ubon Ratchathani', '116300'),
	(3330, 'Songkhla', 'THA', 'Songkhla', '94900'),
	(3331, 'Nakhon Pathom', 'THA', 'Nakhon Pathom', '94100'),
	(3332, 'LomÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'TGO', 'Maritime', '375000'),
	(3333, 'Fakaofo', 'TKL', 'Fakaofo', '300'),
	(3334, 'NukuÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´alofa', 'TON', 'Tongatapu', '22400'),
	(3335, 'Chaguanas', 'TTO', 'Caroni', '56601'),
	(3336, 'Port-of-Spain', 'TTO', 'Port-of-Spain', '43396'),
	(3337, 'NÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´DjamÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©na', 'TCD', 'Chari-Baguirmi', '530965'),
	(3338, 'Moundou', 'TCD', 'Logone Occidental', '99500'),
	(3339, 'Praha', 'CZE', 'HlavnÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ me', '1181126'),
	(3340, 'Brno', 'CZE', 'JiznÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ Mor', '381862'),
	(3341, 'Ostrava', 'CZE', 'SevernÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ M', '320041'),
	(3342, 'Plzen', 'CZE', 'ZapadnÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ C', '166759'),
	(3343, 'Olomouc', 'CZE', 'SevernÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ M', '102702'),
	(3344, 'Liberec', 'CZE', 'SevernÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ C', '99155'),
	(3345, 'CeskÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â© Budejovice', 'CZE', 'JiznÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ Cec', '98186'),
	(3346, 'Hradec KrÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡lovÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©', 'CZE', 'VÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â½chodnÃƒ', '98080'),
	(3347, 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Â¦Ãƒâ€šÃ‚Â¡stÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ nad Labem', 'CZE', 'SevernÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­ C', '95491'),
	(3348, 'Pardubice', 'CZE', 'VÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â½chodnÃƒ', '91309'),
	(3349, 'Tunis', 'TUN', 'Tunis', '690600'),
	(3350, 'Sfax', 'TUN', 'Sfax', '257800'),
	(3351, 'Ariana', 'TUN', 'Ariana', '197000'),
	(3352, 'Ettadhamen', 'TUN', 'Ariana', '178600'),
	(3353, 'Sousse', 'TUN', 'Sousse', '145900'),
	(3354, 'Kairouan', 'TUN', 'Kairouan', '113100'),
	(3355, 'Biserta', 'TUN', 'Biserta', '108900'),
	(3356, 'GabÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¨s', 'TUN', 'GabÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¨s', '106600'),
	(3357, 'Istanbul', 'TUR', 'Istanbul', '8787958'),
	(3358, 'Ankara', 'TUR', 'Ankara', '3038159'),
	(3359, 'Izmir', 'TUR', 'Izmir', '2130359'),
	(3360, 'Adana', 'TUR', 'Adana', '1131198'),
	(3361, 'Bursa', 'TUR', 'Bursa', '1095842'),
	(3362, 'Gaziantep', 'TUR', 'Gaziantep', '789056'),
	(3363, 'Konya', 'TUR', 'Konya', '628364'),
	(3364, 'Mersin (IÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§el)', 'TUR', 'IÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â§el', '587212'),
	(3365, 'Antalya', 'TUR', 'Antalya', '564914'),
	(3366, 'Diyarbakir', 'TUR', 'Diyarbakir', '479884'),
	(3367, 'Kayseri', 'TUR', 'Kayseri', '475657'),
	(3368, 'Eskisehir', 'TUR', 'Eskisehir', '470781'),
	(3369, 'Sanliurfa', 'TUR', 'Sanliurfa', '405905'),
	(3370, 'Samsun', 'TUR', 'Samsun', '339871'),
	(3371, 'Malatya', 'TUR', 'Malatya', '330312'),
	(3372, 'Gebze', 'TUR', 'Kocaeli', '264170'),
	(3373, 'Denizli', 'TUR', 'Denizli', '253848'),
	(3374, 'Sivas', 'TUR', 'Sivas', '246642'),
	(3375, 'Erzurum', 'TUR', 'Erzurum', '246535'),
	(3376, 'Tarsus', 'TUR', 'Adana', '246206'),
	(3377, 'Kahramanmaras', 'TUR', 'Kahramanmaras', '245772'),
	(3378, 'ElÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢zig', 'TUR', 'ElÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¢zig', '228815'),
	(3379, 'Van', 'TUR', 'Van', '219319'),
	(3380, 'Sultanbeyli', 'TUR', 'Istanbul', '211068'),
	(3381, 'Izmit (Kocaeli)', 'TUR', 'Kocaeli', '210068'),
	(3382, 'Manisa', 'TUR', 'Manisa', '207148'),
	(3383, 'Batman', 'TUR', 'Batman', '203793'),
	(3384, 'Balikesir', 'TUR', 'Balikesir', '196382'),
	(3385, 'Sakarya (Adapazari)', 'TUR', 'Sakarya', '190641'),
	(3386, 'Iskenderun', 'TUR', 'Hatay', '153022'),
	(3387, 'Osmaniye', 'TUR', 'Osmaniye', '146003'),
	(3388, 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬Ãƒâ€šÃ‚Â¡orum', 'TUR', 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬Ãƒâ€š', '145495'),
	(3389, 'KÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼tahya', 'TUR', 'KÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼tahya', '144761'),
	(3390, 'Hatay (Antakya)', 'TUR', 'Hatay', '143982'),
	(3391, 'Kirikkale', 'TUR', 'Kirikkale', '142044'),
	(3392, 'Adiyaman', 'TUR', 'Adiyaman', '141529'),
	(3393, 'Trabzon', 'TUR', 'Trabzon', '138234'),
	(3394, 'Ordu', 'TUR', 'Ordu', '133642'),
	(3395, 'Aydin', 'TUR', 'Aydin', '128651'),
	(3396, 'Usak', 'TUR', 'Usak', '128162'),
	(3397, 'Edirne', 'TUR', 'Edirne', '123383'),
	(3398, 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬Ãƒâ€šÃ‚Â¡orlu', 'TUR', 'Tekirdag', '123300'),
	(3399, 'Isparta', 'TUR', 'Isparta', '121911'),
	(3400, 'KarabÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼k', 'TUR', 'KarabÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼k', '118285'),
	(3401, 'Kilis', 'TUR', 'Kilis', '118245'),
	(3402, 'Alanya', 'TUR', 'Antalya', '117300'),
	(3403, 'Kiziltepe', 'TUR', 'Mardin', '112000'),
	(3404, 'Zonguldak', 'TUR', 'Zonguldak', '111542'),
	(3405, 'Siirt', 'TUR', 'Siirt', '107100'),
	(3406, 'Viransehir', 'TUR', 'Sanliurfa', '106400'),
	(3407, 'Tekirdag', 'TUR', 'Tekirdag', '106077'),
	(3408, 'Karaman', 'TUR', 'Karaman', '104200'),
	(3409, 'Afyon', 'TUR', 'Afyon', '103984'),
	(3410, 'Aksaray', 'TUR', 'Aksaray', '102681'),
	(3411, 'Ceyhan', 'TUR', 'Adana', '102412'),
	(3412, 'Erzincan', 'TUR', 'Erzincan', '102304'),
	(3413, 'Bismil', 'TUR', 'Diyarbakir', '101400'),
	(3414, 'Nazilli', 'TUR', 'Aydin', '99900'),
	(3415, 'Tokat', 'TUR', 'Tokat', '99500'),
	(3416, 'Kars', 'TUR', 'Kars', '93000'),
	(3417, 'InegÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶l', 'TUR', 'Bursa', '90500'),
	(3418, 'Bandirma', 'TUR', 'Balikesir', '90200'),
	(3419, 'Ashgabat', 'TKM', 'Ahal', '540600'),
	(3420, 'ChÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¤rjew', 'TKM', 'Lebap', '189200'),
	(3421, 'Dashhowuz', 'TKM', 'Dashhowuz', '141800'),
	(3422, 'Mary', 'TKM', 'Mary', '101000'),
	(3423, 'Cockburn Town', 'TCA', 'Grand Turk', '4800'),
	(3424, 'Funafuti', 'TUV', 'Funafuti', '4600'),
	(3425, 'Kampala', 'UGA', 'Central', '890800'),
	(3426, 'Kyiv', 'UKR', 'Kiova', '2624000'),
	(3427, 'Harkova [Harkiv]', 'UKR', 'Harkova', '1500000'),
	(3428, 'Dnipropetrovsk', 'UKR', 'Dnipropetrovsk', '1103000'),
	(3429, 'Donetsk', 'UKR', 'Donetsk', '1050000'),
	(3430, 'Odesa', 'UKR', 'Odesa', '1011000'),
	(3431, 'Zaporizzja', 'UKR', 'Zaporizzja', '848000'),
	(3432, 'Lviv', 'UKR', 'Lviv', '788000'),
	(3433, 'Kryvyi Rig', 'UKR', 'Dnipropetrovsk', '703000'),
	(3434, 'Mykolajiv', 'UKR', 'Mykolajiv', '508000'),
	(3435, 'Mariupol', 'UKR', 'Donetsk', '490000'),
	(3436, 'Lugansk', 'UKR', 'Lugansk', '469000'),
	(3437, 'Vinnytsja', 'UKR', 'Vinnytsja', '391000'),
	(3438, 'Makijivka', 'UKR', 'Donetsk', '384000'),
	(3439, 'Herson', 'UKR', 'Herson', '353000'),
	(3440, 'Sevastopol', 'UKR', 'Krim', '348000'),
	(3441, 'Simferopol', 'UKR', 'Krim', '339000'),
	(3442, 'Pultava [Poltava]', 'UKR', 'Pultava', '313000'),
	(3443, 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ernigiv', 'UKR', 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ernig', '313000'),
	(3444, 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡erkasy', 'UKR', 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡erkas', '309000'),
	(3445, 'Gorlivka', 'UKR', 'Donetsk', '299000'),
	(3446, 'Zytomyr', 'UKR', 'Zytomyr', '297000'),
	(3447, 'Sumy', 'UKR', 'Sumy', '294000'),
	(3448, 'Dniprodzerzynsk', 'UKR', 'Dnipropetrovsk', '270000'),
	(3449, 'Kirovograd', 'UKR', 'Kirovograd', '265000'),
	(3450, 'Hmelnytskyi', 'UKR', 'Hmelnytskyi', '262000'),
	(3451, 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ernivtsi', 'UKR', 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡erniv', '259000'),
	(3452, 'Rivne', 'UKR', 'Rivne', '245000'),
	(3453, 'KrementÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡uk', 'UKR', 'Pultava', '239000'),
	(3454, 'Ivano-Frankivsk', 'UKR', 'Ivano-Frankivsk', '237000'),
	(3455, 'Ternopil', 'UKR', 'Ternopil', '236000'),
	(3456, 'Lutsk', 'UKR', 'Volynia', '217000'),
	(3457, 'Bila Tserkva', 'UKR', 'Kiova', '215000'),
	(3458, 'Kramatorsk', 'UKR', 'Donetsk', '186000'),
	(3459, 'Melitopol', 'UKR', 'Zaporizzja', '169000'),
	(3460, 'KertÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'UKR', 'Krim', '162000'),
	(3461, 'Nikopol', 'UKR', 'Dnipropetrovsk', '149000'),
	(3462, 'Berdjansk', 'UKR', 'Zaporizzja', '130000'),
	(3463, 'Pavlograd', 'UKR', 'Dnipropetrovsk', '127000'),
	(3464, 'Sjeverodonetsk', 'UKR', 'Lugansk', '127000'),
	(3465, 'Slovjansk', 'UKR', 'Donetsk', '127000'),
	(3466, 'Uzgorod', 'UKR', 'Taka-Karpatia', '127000'),
	(3467, 'AltÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡evsk', 'UKR', 'Lugansk', '119000'),
	(3468, 'LysytÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ansk', 'UKR', 'Lugansk', '116000'),
	(3469, 'Jevpatorija', 'UKR', 'Krim', '112000'),
	(3470, 'Kamjanets-Podilskyi', 'UKR', 'Hmelnytskyi', '109000'),
	(3471, 'Jenakijeve', 'UKR', 'Donetsk', '105000'),
	(3472, 'Krasnyi LutÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'UKR', 'Lugansk', '101000'),
	(3473, 'Stahanov', 'UKR', 'Lugansk', '101000'),
	(3474, 'Oleksandrija', 'UKR', 'Kirovograd', '99000'),
	(3475, 'Konotop', 'UKR', 'Sumy', '96000'),
	(3476, 'Kostjantynivka', 'UKR', 'Donetsk', '95000'),
	(3477, 'BerdytÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡iv', 'UKR', 'Zytomyr', '90000'),
	(3478, 'Izmajil', 'UKR', 'Odesa', '90000'),
	(3479, 'ÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â ostka', 'UKR', 'Sumy', '90000'),
	(3480, 'Uman', 'UKR', 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡erkas', '90000'),
	(3481, 'Brovary', 'UKR', 'Kiova', '89000'),
	(3482, 'MukatÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡eve', 'UKR', 'Taka-Karpatia', '89000'),
	(3483, 'Budapest', 'HUN', 'Budapest', '1811552'),
	(3484, 'Debrecen', 'HUN', 'HajdÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âº-Bih', '203648'),
	(3485, 'Miskolc', 'HUN', 'Borsod-AbaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚', '172357'),
	(3486, 'Szeged', 'HUN', 'CsongrÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡d', '158158'),
	(3487, 'PÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©cs', 'HUN', 'Baranya', '157332'),
	(3488, 'GyÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶r', 'HUN', 'GyÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¶r-Moso', '127119'),
	(3489, 'NyiregyhÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡za', 'HUN', 'Szabolcs-SzatmÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ', '112419'),
	(3490, 'KecskemÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©t', 'HUN', 'BÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡cs-Kisk', '105606'),
	(3491, 'SzÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©kesfehÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©rvÃƒÆ’Ã†', 'HUN', 'FejÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©r', '105119'),
	(3492, 'Montevideo', 'URY', 'Montevideo', '1236000'),
	(3493, 'NoumÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©a', 'NCL', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '76293'),
	(3494, 'Auckland', 'NZL', 'Auckland', '381800'),
	(3495, 'Christchurch', 'NZL', 'Canterbury', '324200'),
	(3496, 'Manukau', 'NZL', 'Auckland', '281800'),
	(3497, 'North Shore', 'NZL', 'Auckland', '187700'),
	(3498, 'Waitakere', 'NZL', 'Auckland', '170600'),
	(3499, 'Wellington', 'NZL', 'Wellington', '166700'),
	(3500, 'Dunedin', 'NZL', 'Dunedin', '119600'),
	(3501, 'Hamilton', 'NZL', 'Hamilton', '117100'),
	(3502, 'Lower Hutt', 'NZL', 'Wellington', '98100'),
	(3503, 'Toskent', 'UZB', 'Toskent Shahri', '2117500'),
	(3504, 'Namangan', 'UZB', 'Namangan', '370500'),
	(3505, 'Samarkand', 'UZB', 'Samarkand', '361800'),
	(3506, 'Andijon', 'UZB', 'Andijon', '318600'),
	(3507, 'Buhoro', 'UZB', 'Buhoro', '237100'),
	(3508, 'Karsi', 'UZB', 'Qashqadaryo', '194100'),
	(3509, 'Nukus', 'UZB', 'Karakalpakistan', '194100'),
	(3510, 'KÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¼kon', 'UZB', 'Fargona', '190100'),
	(3511, 'Fargona', 'UZB', 'Fargona', '180500'),
	(3512, 'Circik', 'UZB', 'Toskent', '146400'),
	(3513, 'Margilon', 'UZB', 'Fargona', '140800'),
	(3514, 'ÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Â¦ÃƒÂ¢Ã¢â€šÂ¬Ã…â€œrgenc', 'UZB', 'Khorazm', '138900'),
	(3515, 'Angren', 'UZB', 'Toskent', '128000'),
	(3516, 'Cizah', 'UZB', 'Cizah', '124800'),
	(3517, 'Navoi', 'UZB', 'Navoi', '116300'),
	(3518, 'Olmalik', 'UZB', 'Toskent', '114900'),
	(3519, 'Termiz', 'UZB', 'Surkhondaryo', '109500'),
	(3520, 'Minsk', 'BLR', 'Horad Minsk', '1674000'),
	(3521, 'Gomel', 'BLR', 'Gomel', '475000'),
	(3522, 'Mogiljov', 'BLR', 'Mogiljov', '356000'),
	(3523, 'Vitebsk', 'BLR', 'Vitebsk', '340000'),
	(3524, 'Grodno', 'BLR', 'Grodno', '302000'),
	(3525, 'Brest', 'BLR', 'Brest', '286000'),
	(3526, 'Bobruisk', 'BLR', 'Mogiljov', '221000'),
	(3527, 'BaranovitÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡i', 'BLR', 'Brest', '167000'),
	(3528, 'Borisov', 'BLR', 'Minsk', '151000'),
	(3529, 'Pinsk', 'BLR', 'Brest', '130000'),
	(3530, 'OrÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡a', 'BLR', 'Vitebsk', '124000'),
	(3531, 'Mozyr', 'BLR', 'Gomel', '110000'),
	(3532, 'Novopolotsk', 'BLR', 'Vitebsk', '106000'),
	(3533, 'Lida', 'BLR', 'Grodno', '101000'),
	(3534, 'Soligorsk', 'BLR', 'Minsk', '101000'),
	(3535, 'MolodetÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡no', 'BLR', 'Minsk', '97000'),
	(3536, 'Mata-Utu', 'WLF', 'Wallis', '1137'),
	(3537, 'Port-Vila', 'VUT', 'Shefa', '33700'),
	(3538, 'CittÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â  del Vaticano', 'VAT', 'ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¢ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬', '455'),
	(3539, 'Caracas', 'VEN', 'Distrito Federal', '1975294'),
	(3540, 'MaracaÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­bo', 'VEN', 'Zulia', '1304776'),
	(3541, 'Barquisimeto', 'VEN', 'Lara', '877239'),
	(3542, 'Valencia', 'VEN', 'Carabobo', '794246'),
	(3543, 'Ciudad Guayana', 'VEN', 'BolÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­var', '663713'),
	(3544, 'Petare', 'VEN', 'Miranda', '488868'),
	(3545, 'Maracay', 'VEN', 'Aragua', '444443'),
	(3546, 'Barcelona', 'VEN', 'AnzoÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡tegu', '322267'),
	(3547, 'MaturÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­n', 'VEN', 'Monagas', '319726'),
	(3548, 'San CristÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³bal', 'VEN', 'TÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡chira', '319373'),
	(3549, 'Ciudad BolÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­var', 'VEN', 'BolÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â­var', '301107'),
	(3550, 'CumanÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡', 'VEN', 'Sucre', '293105'),
	(3551, 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©rida', 'VEN', 'MÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â©rida', '224887'),
	(3552, 'Cabimas', 'VEN', 'Zulia', '221329'),
	(3553, 'Barinas', 'VEN', 'Barinas', '217831'),
	(3554, 'Turmero', 'VEN', 'Aragua', '217499'),
	(3555, 'Baruta', 'VEN', 'Miranda', '207290'),
	(3556, 'Puerto Cabello', 'VEN', 'Carabobo', '187722'),
	(3557, 'Santa Ana de Coro', 'VEN', 'FalcÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', '185766'),
	(3558, 'Los Teques', 'VEN', 'Miranda', '178784'),
	(3559, 'Punto Fijo', 'VEN', 'FalcÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', '167215'),
	(3560, 'Guarenas', 'VEN', 'Miranda', '165889'),
	(3561, 'Acarigua', 'VEN', 'Portuguesa', '158954'),
	(3562, 'Puerto La Cruz', 'VEN', 'AnzoÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡tegu', '155700'),
	(3563, 'Ciudad Losada', 'VEN', '', '134501'),
	(3564, 'Guacara', 'VEN', 'Carabobo', '131334'),
	(3565, 'Valera', 'VEN', 'Trujillo', '130281'),
	(3566, 'Guanare', 'VEN', 'Portuguesa', '125621'),
	(3567, 'CarÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âºpano', 'VEN', 'Sucre', '119639'),
	(3568, 'Catia La Mar', 'VEN', 'Distrito Federal', '117012'),
	(3569, 'El Tigre', 'VEN', 'AnzoÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡tegu', '116256'),
	(3570, 'Guatire', 'VEN', 'Miranda', '109121'),
	(3571, 'Calabozo', 'VEN', 'GuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡rico', '107146'),
	(3572, 'Pozuelos', 'VEN', 'AnzoÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡tegu', '105690'),
	(3573, 'Ciudad Ojeda', 'VEN', 'Zulia', '99354'),
	(3574, 'Ocumare del Tuy', 'VEN', 'Miranda', '97168'),
	(3575, 'Valle de la Pascua', 'VEN', 'GuÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡rico', '95927'),
	(3576, 'Araure', 'VEN', 'Portuguesa', '94269'),
	(3577, 'San Fernando de Apure', 'VEN', 'Apure', '93809'),
	(3578, 'San Felipe', 'VEN', 'Yaracuy', '90940'),
	(3579, 'El LimÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â³n', 'VEN', 'Aragua', '90000'),
	(3580, 'Moscow', 'RUS', 'Moscow (City)', '8389200'),
	(3581, 'St Petersburg', 'RUS', 'Pietari', '4694000'),
	(3582, 'Novosibirsk', 'RUS', 'Novosibirsk', '1398800'),
	(3583, 'Nizni Novgorod', 'RUS', 'Nizni Novgorod', '1357000'),
	(3584, 'Jekaterinburg', 'RUS', 'Sverdlovsk', '1266300'),
	(3585, 'Samara', 'RUS', 'Samara', '1156100'),
	(3586, 'Omsk', 'RUS', 'Omsk', '1148900'),
	(3587, 'Kazan', 'RUS', 'Tatarstan', '1101000'),
	(3588, 'Ufa', 'RUS', 'BaÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡kort', '1091200'),
	(3589, 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡eljabinsk', 'RUS', 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡eljab', '1083200'),
	(3590, 'Rostov-na-Donu', 'RUS', 'Rostov-na-Donu', '1012700'),
	(3591, 'Perm', 'RUS', 'Perm', '1009700'),
	(3592, 'Volgograd', 'RUS', 'Volgograd', '993400'),
	(3593, 'Voronez', 'RUS', 'Voronez', '907700'),
	(3594, 'Krasnojarsk', 'RUS', 'Krasnojarsk', '875500'),
	(3595, 'Saratov', 'RUS', 'Saratov', '874000'),
	(3596, 'Toljatti', 'RUS', 'Samara', '722900'),
	(3597, 'Uljanovsk', 'RUS', 'Uljanovsk', '667400'),
	(3598, 'Izevsk', 'RUS', 'Udmurtia', '652800'),
	(3599, 'Krasnodar', 'RUS', 'Krasnodar', '639000'),
	(3600, 'Jaroslavl', 'RUS', 'Jaroslavl', '616700'),
	(3601, 'Habarovsk', 'RUS', 'Habarovsk', '609400'),
	(3602, 'Vladivostok', 'RUS', 'Primorje', '606200'),
	(3603, 'Irkutsk', 'RUS', 'Irkutsk', '593700'),
	(3604, 'Barnaul', 'RUS', 'Altai', '580100'),
	(3605, 'Novokuznetsk', 'RUS', 'Kemerovo', '561600'),
	(3606, 'Penza', 'RUS', 'Penza', '532200'),
	(3607, 'Rjazan', 'RUS', 'Rjazan', '529900'),
	(3608, 'Orenburg', 'RUS', 'Orenburg', '523600'),
	(3609, 'Lipetsk', 'RUS', 'Lipetsk', '521000'),
	(3610, 'Nabereznyje TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡elny', 'RUS', 'Tatarstan', '514700'),
	(3611, 'Tula', 'RUS', 'Tula', '506100'),
	(3612, 'Tjumen', 'RUS', 'Tjumen', '503400'),
	(3613, 'Kemerovo', 'RUS', 'Kemerovo', '492700'),
	(3614, 'Astrahan', 'RUS', 'Astrahan', '486100'),
	(3615, 'Tomsk', 'RUS', 'Tomsk', '482100'),
	(3616, 'Kirov', 'RUS', 'Kirov', '466200'),
	(3617, 'Ivanovo', 'RUS', 'Ivanovo', '459200'),
	(3618, 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡eboksary', 'RUS', 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡uvass', '459200'),
	(3619, 'Brjansk', 'RUS', 'Brjansk', '457400'),
	(3620, 'Tver', 'RUS', 'Tver', '454900'),
	(3621, 'Kursk', 'RUS', 'Kursk', '443500'),
	(3622, 'Magnitogorsk', 'RUS', 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡eljab', '427900'),
	(3623, 'Kaliningrad', 'RUS', 'Kaliningrad', '424400'),
	(3624, 'Nizni Tagil', 'RUS', 'Sverdlovsk', '390900'),
	(3625, 'Murmansk', 'RUS', 'Murmansk', '376300'),
	(3626, 'Ulan-Ude', 'RUS', 'Burjatia', '370400'),
	(3627, 'Kurgan', 'RUS', 'Kurgan', '364700'),
	(3628, 'Arkangeli', 'RUS', 'Arkangeli', '361800'),
	(3629, 'SotÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡i', 'RUS', 'Krasnodar', '358600'),
	(3630, 'Smolensk', 'RUS', 'Smolensk', '353400'),
	(3631, 'Orjol', 'RUS', 'Orjol', '344500'),
	(3632, 'Stavropol', 'RUS', 'Stavropol', '343300'),
	(3633, 'Belgorod', 'RUS', 'Belgorod', '342000'),
	(3634, 'Kaluga', 'RUS', 'Kaluga', '339300'),
	(3635, 'Vladimir', 'RUS', 'Vladimir', '337100'),
	(3636, 'MahatÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡kala', 'RUS', 'Dagestan', '332800'),
	(3637, 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡erepovets', 'RUS', 'Vologda', '324400'),
	(3638, 'Saransk', 'RUS', 'Mordva', '314800'),
	(3639, 'Tambov', 'RUS', 'Tambov', '312000'),
	(3640, 'Vladikavkaz', 'RUS', 'North Ossetia-Alania', '310100'),
	(3641, 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ita', 'RUS', 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ita', '309900'),
	(3642, 'Vologda', 'RUS', 'Vologda', '302500'),
	(3643, 'Veliki Novgorod', 'RUS', 'Novgorod', '299500'),
	(3644, 'Komsomolsk-na-Amure', 'RUS', 'Habarovsk', '291600'),
	(3645, 'Kostroma', 'RUS', 'Kostroma', '288100'),
	(3646, 'Volzski', 'RUS', 'Volgograd', '286900'),
	(3647, 'Taganrog', 'RUS', 'Rostov-na-Donu', '284400'),
	(3648, 'Petroskoi', 'RUS', 'Karjala', '282100'),
	(3649, 'Bratsk', 'RUS', 'Irkutsk', '277600'),
	(3650, 'Dzerzinsk', 'RUS', 'Nizni Novgorod', '277100'),
	(3651, 'Surgut', 'RUS', 'Hanti-Mansia', '274900'),
	(3652, 'Orsk', 'RUS', 'Orenburg', '273900'),
	(3653, 'Sterlitamak', 'RUS', 'BaÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡kort', '265200'),
	(3654, 'Angarsk', 'RUS', 'Irkutsk', '264700'),
	(3655, 'JoÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡kar-Ola', 'RUS', 'Marinmaa', '249200'),
	(3656, 'Rybinsk', 'RUS', 'Jaroslavl', '239600'),
	(3657, 'Prokopjevsk', 'RUS', 'Kemerovo', '237300'),
	(3658, 'Niznevartovsk', 'RUS', 'Hanti-Mansia', '233900'),
	(3659, 'NaltÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ik', 'RUS', 'Kabardi-Balkaria', '233400'),
	(3660, 'Syktyvkar', 'RUS', 'Komi', '229700'),
	(3661, 'Severodvinsk', 'RUS', 'Arkangeli', '229300'),
	(3662, 'Bijsk', 'RUS', 'Altai', '225000'),
	(3663, 'Niznekamsk', 'RUS', 'Tatarstan', '223400'),
	(3664, 'BlagoveÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡tÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ensk', 'RUS', 'Amur', '222000'),
	(3665, 'ÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â ahty', 'RUS', 'Rostov-na-Donu', '221800'),
	(3666, 'Staryi Oskol', 'RUS', 'Belgorod', '213800'),
	(3667, 'Zelenograd', 'RUS', 'Moscow (City)', '207100'),
	(3668, 'Balakovo', 'RUS', 'Saratov', '206000'),
	(3669, 'Novorossijsk', 'RUS', 'Krasnodar', '203300'),
	(3670, 'Pihkova', 'RUS', 'Pihkova', '201500'),
	(3671, 'Zlatoust', 'RUS', 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡eljab', '196900'),
	(3672, 'Jakutsk', 'RUS', 'Saha (Jakutia)', '195400'),
	(3673, 'Podolsk', 'RUS', 'Moskova', '194300'),
	(3674, 'Petropavlovsk-KamtÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡atski', 'RUS', 'KamtÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡at', '194100'),
	(3675, 'Kamensk-Uralski', 'RUS', 'Sverdlovsk', '190600'),
	(3676, 'Engels', 'RUS', 'Saratov', '189000'),
	(3677, 'Syzran', 'RUS', 'Samara', '186900'),
	(3678, 'Grozny', 'RUS', 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡etÃƒÆ', '186000'),
	(3679, 'NovotÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡erkassk', 'RUS', 'Rostov-na-Donu', '184400'),
	(3680, 'Berezniki', 'RUS', 'Perm', '181900'),
	(3681, 'Juzno-Sahalinsk', 'RUS', 'Sahalin', '179200'),
	(3682, 'Volgodonsk', 'RUS', 'Rostov-na-Donu', '178200'),
	(3683, 'Abakan', 'RUS', 'Hakassia', '169200'),
	(3684, 'Maikop', 'RUS', 'Adygea', '167300'),
	(3685, 'Miass', 'RUS', 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡eljab', '166200'),
	(3686, 'Armavir', 'RUS', 'Krasnodar', '164900'),
	(3687, 'Ljubertsy', 'RUS', 'Moskova', '163900'),
	(3688, 'Rubtsovsk', 'RUS', 'Altai', '162600'),
	(3689, 'Kovrov', 'RUS', 'Vladimir', '159900'),
	(3690, 'Nahodka', 'RUS', 'Primorje', '157700'),
	(3691, 'Ussurijsk', 'RUS', 'Primorje', '157300'),
	(3692, 'Salavat', 'RUS', 'BaÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡kort', '156800'),
	(3693, 'MytiÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡tÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡i', 'RUS', 'Moskova', '155700'),
	(3694, 'Kolomna', 'RUS', 'Moskova', '150700'),
	(3695, 'Elektrostal', 'RUS', 'Moskova', '147000'),
	(3696, 'Murom', 'RUS', 'Vladimir', '142400'),
	(3697, 'Kolpino', 'RUS', 'Pietari', '141200'),
	(3698, 'Norilsk', 'RUS', 'Krasnojarsk', '140800'),
	(3699, 'Almetjevsk', 'RUS', 'Tatarstan', '140700'),
	(3700, 'Novomoskovsk', 'RUS', 'Tula', '138100'),
	(3701, 'Dimitrovgrad', 'RUS', 'Uljanovsk', '137000'),
	(3702, 'Pervouralsk', 'RUS', 'Sverdlovsk', '136100'),
	(3703, 'Himki', 'RUS', 'Moskova', '133700'),
	(3704, 'BalaÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡iha', 'RUS', 'Moskova', '132900'),
	(3705, 'Nevinnomyssk', 'RUS', 'Stavropol', '132600'),
	(3706, 'Pjatigorsk', 'RUS', 'Stavropol', '132500'),
	(3707, 'Korolev', 'RUS', 'Moskova', '132400'),
	(3708, 'Serpuhov', 'RUS', 'Moskova', '132000'),
	(3709, 'Odintsovo', 'RUS', 'Moskova', '127400'),
	(3710, 'Orehovo-Zujevo', 'RUS', 'Moskova', '124900'),
	(3711, 'KamyÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡in', 'RUS', 'Volgograd', '124600'),
	(3712, 'NovotÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡eboksarsk', 'RUS', 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡uvass', '123400'),
	(3713, 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡erkessk', 'RUS', 'KaratÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡a', '121700'),
	(3714, 'AtÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡insk', 'RUS', 'Krasnojarsk', '121600'),
	(3715, 'Magadan', 'RUS', 'Magadan', '121000'),
	(3716, 'MitÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡urinsk', 'RUS', 'Tambov', '120700'),
	(3717, 'Kislovodsk', 'RUS', 'Stavropol', '120400'),
	(3718, 'Jelets', 'RUS', 'Lipetsk', '119400'),
	(3719, 'Seversk', 'RUS', 'Tomsk', '118600'),
	(3720, 'Noginsk', 'RUS', 'Moskova', '117200'),
	(3721, 'Velikije Luki', 'RUS', 'Pihkova', '116300'),
	(3722, 'NovokuibyÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡evsk', 'RUS', 'Samara', '116200'),
	(3723, 'Neftekamsk', 'RUS', 'BaÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡kort', '115700'),
	(3724, 'Leninsk-Kuznetski', 'RUS', 'Kemerovo', '113800'),
	(3725, 'Oktjabrski', 'RUS', 'BaÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡kort', '111500'),
	(3726, 'Sergijev Posad', 'RUS', 'Moskova', '111100'),
	(3727, 'Arzamas', 'RUS', 'Nizni Novgorod', '110700'),
	(3728, 'Kiseljovsk', 'RUS', 'Kemerovo', '110000'),
	(3729, 'Novotroitsk', 'RUS', 'Orenburg', '109600'),
	(3730, 'Obninsk', 'RUS', 'Kaluga', '108300'),
	(3731, 'Kansk', 'RUS', 'Krasnojarsk', '107400'),
	(3732, 'Glazov', 'RUS', 'Udmurtia', '106300'),
	(3733, 'Solikamsk', 'RUS', 'Perm', '106000'),
	(3734, 'Sarapul', 'RUS', 'Udmurtia', '105700'),
	(3735, 'Ust-Ilimsk', 'RUS', 'Irkutsk', '105200'),
	(3736, 'ÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â tÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡olkovo', 'RUS', 'Moskova', '104900'),
	(3737, 'MezduretÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ensk', 'RUS', 'Kemerovo', '104400'),
	(3738, 'Usolje-Sibirskoje', 'RUS', 'Irkutsk', '103500'),
	(3739, 'Elista', 'RUS', 'Kalmykia', '103300'),
	(3740, 'NovoÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ahtinsk', 'RUS', 'Rostov-na-Donu', '101900'),
	(3741, 'Votkinsk', 'RUS', 'Udmurtia', '101700'),
	(3742, 'Kyzyl', 'RUS', 'Tyva', '101100'),
	(3743, 'Serov', 'RUS', 'Sverdlovsk', '100400'),
	(3744, 'Zelenodolsk', 'RUS', 'Tatarstan', '100200'),
	(3745, 'Zeleznodoroznyi', 'RUS', 'Moskova', '100100'),
	(3746, 'KineÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ma', 'RUS', 'Ivanovo', '100000'),
	(3747, 'Kuznetsk', 'RUS', 'Penza', '98200'),
	(3748, 'Uhta', 'RUS', 'Komi', '98000'),
	(3749, 'Jessentuki', 'RUS', 'Stavropol', '97900'),
	(3750, 'Tobolsk', 'RUS', 'Tjumen', '97600'),
	(3751, 'Neftejugansk', 'RUS', 'Hanti-Mansia', '97400'),
	(3752, 'Bataisk', 'RUS', 'Rostov-na-Donu', '97300'),
	(3753, 'Nojabrsk', 'RUS', 'Yamalin Nenetsia', '97300'),
	(3754, 'BalaÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡ov', 'RUS', 'Saratov', '97100'),
	(3755, 'Zeleznogorsk', 'RUS', 'Kursk', '96900'),
	(3756, 'Zukovski', 'RUS', 'Moskova', '96500'),
	(3757, 'Anzero-Sudzensk', 'RUS', 'Kemerovo', '96100'),
	(3758, 'Bugulma', 'RUS', 'Tatarstan', '94100'),
	(3759, 'Zeleznogorsk', 'RUS', 'Krasnojarsk', '94000'),
	(3760, 'Novouralsk', 'RUS', 'Sverdlovsk', '93300'),
	(3761, 'PuÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡kin', 'RUS', 'Pietari', '92900'),
	(3762, 'Vorkuta', 'RUS', 'Komi', '92600'),
	(3763, 'Derbent', 'RUS', 'Dagestan', '92300'),
	(3764, 'Kirovo-TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡epetsk', 'RUS', 'Kirov', '91600'),
	(3765, 'Krasnogorsk', 'RUS', 'Moskova', '91000'),
	(3766, 'Klin', 'RUS', 'Moskova', '90000'),
	(3767, 'TÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¦ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¡aikovski', 'RUS', 'Perm', '90000'),
	(3768, 'Novyi Urengoi', 'RUS', 'Yamalin Nenetsia', '89800'),
	(3769, 'Ho Chi Minh City', 'VNM', 'Ho Chi Minh City', '3980000'),
	(3770, 'Hanoi', 'VNM', 'Hanoi', '1410000'),
	(3771, 'Haiphong', 'VNM', 'Haiphong', '783133'),
	(3772, 'Da Nang', 'VNM', 'Quang Nam-Da Nang', '382674'),
	(3773, 'BiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âªn Hoa', 'VNM', 'Dong Nai', '282095'),
	(3774, 'Nha Trang', 'VNM', 'Khanh Hoa', '221331'),
	(3775, 'Hue', 'VNM', 'Thua Thien-Hue', '219149'),
	(3776, 'Can Tho', 'VNM', 'Can Tho', '215587'),
	(3777, 'Cam Pha', 'VNM', 'Quang Binh', '209086'),
	(3778, 'Nam Dinh', 'VNM', 'Nam Ha', '171699'),
	(3779, 'Quy Nhon', 'VNM', 'Binh Dinh', '163385'),
	(3780, 'Vung Tau', 'VNM', 'Ba Ria-Vung Tau', '145145'),
	(3781, 'Rach Gia', 'VNM', 'Kien Giang', '141132'),
	(3782, 'Long Xuyen', 'VNM', 'An Giang', '132681'),
	(3783, 'Thai Nguyen', 'VNM', 'Bac Thai', '127643'),
	(3784, 'Hong Gai', 'VNM', 'Quang Ninh', '127484'),
	(3785, 'Phan ThiÃƒÆ’Ã†â€™Ãƒâ€ Ã¢â‚¬â„¢ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Âªt', 'VNM', 'Binh Thuan', '114236'),
	(3786, 'Cam Ranh', 'VNM', 'Khanh Hoa', '114041'),
	(3787, 'Vinh', 'VNM', 'Nghe An', '112455'),
	(3788, 'My Tho', 'VNM', 'Tien Giang', '108404'),
	(3789, 'Da Lat', 'VNM', 'Lam Dong', '106409'),
	(3790, 'Buon Ma Thuot', 'VNM', 'Dac Lac', '97044'),
	(3791, 'Tallinn', 'EST', 'Harjumaa', '403981'),
	(3792, 'Tartu', 'EST', 'Tartumaa', '101246'),
	(3793, 'New York', 'USA', 'New York', '8008278'),
	(3794, 'Los Angeles', 'USA', 'California', '3694820'),
	(3795, 'Chicago', 'USA', 'Illinois', '2896016'),
	(3796, 'Houston', 'USA', 'Texas', '1953631'),
	(3797, 'Philadelphia', 'USA', 'Pennsylvania', '1517550'),
	(3798, 'Phoenix', 'USA', 'Arizona', '1321045'),
	(3799, 'San Diego', 'USA', 'California', '1223400'),
	(3800, 'Dallas', 'USA', 'Texas', '1188580'),
	(3801, 'San Antonio', 'USA', 'Texas', '1144646'),
	(3802, 'Detroit', 'USA', 'Michigan', '951270'),
	(3803, 'San Jose', 'USA', 'California', '894943'),
	(3804, 'Indianapolis', 'USA', 'Indiana', '791926'),
	(3805, 'San Francisco', 'USA', 'California', '776733'),
	(3806, 'Jacksonville', 'USA', 'Florida', '735167'),
	(3807, 'Columbus', 'USA', 'Ohio', '711470'),
	(3808, 'Austin', 'USA', 'Texas', '656562'),
	(3809, 'Baltimore', 'USA', 'Maryland', '651154'),
	(3810, 'Memphis', 'USA', 'Tennessee', '650100'),
	(3811, 'Milwaukee', 'USA', 'Wisconsin', '596974'),
	(3812, 'Boston', 'USA', 'Massachusetts', '589141'),
	(3813, 'Washington', 'USA', 'District of Columbia', '572059'),
	(3814, 'Nashville-Davidson', 'USA', 'Tennessee', '569891'),
	(3815, 'El Paso', 'USA', 'Texas', '563662'),
	(3816, 'Seattle', 'USA', 'Washington', '563374'),
	(3817, 'Denver', 'USA', 'Colorado', '554636'),
	(3818, 'Charlotte', 'USA', 'North Carolina', '540828'),
	(3819, 'Fort Worth', 'USA', 'Texas', '534694'),
	(3820, 'Portland', 'USA', 'Oregon', '529121'),
	(3821, 'Oklahoma City', 'USA', 'Oklahoma', '506132'),
	(3822, 'Tucson', 'USA', 'Arizona', '486699'),
	(3823, 'New Orleans', 'USA', 'Louisiana', '484674'),
	(3824, 'Las Vegas', 'USA', 'Nevada', '478434'),
	(3825, 'Cleveland', 'USA', 'Ohio', '478403'),
	(3826, 'Long Beach', 'USA', 'California', '461522'),
	(3827, 'Albuquerque', 'USA', 'New Mexico', '448607'),
	(3828, 'Kansas City', 'USA', 'Missouri', '441545'),
	(3829, 'Fresno', 'USA', 'California', '427652'),
	(3830, 'Virginia Beach', 'USA', 'Virginia', '425257'),
	(3831, 'Atlanta', 'USA', 'Georgia', '416474'),
	(3832, 'Sacramento', 'USA', 'California', '407018'),
	(3833, 'Oakland', 'USA', 'California', '399484'),
	(3834, 'Mesa', 'USA', 'Arizona', '396375'),
	(3835, 'Tulsa', 'USA', 'Oklahoma', '393049'),
	(3836, 'Omaha', 'USA', 'Nebraska', '390007'),
	(3837, 'Minneapolis', 'USA', 'Minnesota', '382618'),
	(3838, 'Honolulu', 'USA', 'Hawaii', '371657'),
	(3839, 'Miami', 'USA', 'Florida', '362470'),
	(3840, 'Colorado Springs', 'USA', 'Colorado', '360890'),
	(3841, 'Saint Louis', 'USA', 'Missouri', '348189'),
	(3842, 'Wichita', 'USA', 'Kansas', '344284'),
	(3843, 'Santa Ana', 'USA', 'California', '337977'),
	(3844, 'Pittsburgh', 'USA', 'Pennsylvania', '334563'),
	(3845, 'Arlington', 'USA', 'Texas', '332969'),
	(3846, 'Cincinnati', 'USA', 'Ohio', '331285'),
	(3847, 'Anaheim', 'USA', 'California', '328014'),
	(3848, 'Toledo', 'USA', 'Ohio', '313619'),
	(3849, 'Tampa', 'USA', 'Florida', '303447'),
	(3850, 'Buffalo', 'USA', 'New York', '292648'),
	(3851, 'Saint Paul', 'USA', 'Minnesota', '287151'),
	(3852, 'Corpus Christi', 'USA', 'Texas', '277454'),
	(3853, 'Aurora', 'USA', 'Colorado', '276393'),
	(3854, 'Raleigh', 'USA', 'North Carolina', '276093'),
	(3855, 'Newark', 'USA', 'New Jersey', '273546'),
	(3856, 'Lexington-Fayette', 'USA', 'Kentucky', '260512'),
	(3857, 'Anchorage', 'USA', 'Alaska', '260283'),
	(3858, 'Louisville', 'USA', 'Kentucky', '256231'),
	(3859, 'Riverside', 'USA', 'California', '255166'),
	(3860, 'Saint Petersburg', 'USA', 'Florida', '248232'),
	(3861, 'Bakersfield', 'USA', 'California', '247057'),
	(3862, 'Stockton', 'USA', 'California', '243771'),
	(3863, 'Birmingham', 'USA', 'Alabama', '242820'),
	(3864, 'Jersey City', 'USA', 'New Jersey', '240055'),
	(3865, 'Norfolk', 'USA', 'Virginia', '234403'),
	(3866, 'Baton Rouge', 'USA', 'Louisiana', '227818'),
	(3867, 'Hialeah', 'USA', 'Florida', '226419'),
	(3868, 'Lincoln', 'USA', 'Nebraska', '225581'),
	(3869, 'Greensboro', 'USA', 'North Carolina', '223891'),
	(3870, 'Plano', 'USA', 'Texas', '222030'),
	(3871, 'Rochester', 'USA', 'New York', '219773'),
	(3872, 'Glendale', 'USA', 'Arizona', '218812'),
	(3873, 'Akron', 'USA', 'Ohio', '217074'),
	(3874, 'Garland', 'USA', 'Texas', '215768'),
	(3875, 'Madison', 'USA', 'Wisconsin', '208054'),
	(3876, 'Fort Wayne', 'USA', 'Indiana', '205727'),
	(3877, 'Fremont', 'USA', 'California', '203413'),
	(3878, 'Scottsdale', 'USA', 'Arizona', '202705'),
	(3879, 'Montgomery', 'USA', 'Alabama', '201568'),
	(3880, 'Shreveport', 'USA', 'Louisiana', '200145'),
	(3881, 'Augusta-Richmond County', 'USA', 'Georgia', '199775'),
	(3882, 'Lubbock', 'USA', 'Texas', '199564'),
	(3883, 'Chesapeake', 'USA', 'Virginia', '199184'),
	(3884, 'Mobile', 'USA', 'Alabama', '198915'),
	(3885, 'Des Moines', 'USA', 'Iowa', '198682'),
	(3886, 'Grand Rapids', 'USA', 'Michigan', '197800'),
	(3887, 'Richmond', 'USA', 'Virginia', '197790'),
	(3888, 'Yonkers', 'USA', 'New York', '196086'),
	(3889, 'Spokane', 'USA', 'Washington', '195629'),
	(3890, 'Glendale', 'USA', 'California', '194973'),
	(3891, 'Tacoma', 'USA', 'Washington', '193556'),
	(3892, 'Irving', 'USA', 'Texas', '191615'),
	(3893, 'Huntington Beach', 'USA', 'California', '189594'),
	(3894, 'Modesto', 'USA', 'California', '188856'),
	(3895, 'Durham', 'USA', 'North Carolina', '187035'),
	(3896, 'Columbus', 'USA', 'Georgia', '186291'),
	(3897, 'Orlando', 'USA', 'Florida', '185951'),
	(3898, 'Boise City', 'USA', 'Idaho', '185787'),
	(3899, 'Winston-Salem', 'USA', 'North Carolina', '185776'),
	(3900, 'San Bernardino', 'USA', 'California', '185401'),
	(3901, 'Jackson', 'USA', 'Mississippi', '184256'),
	(3902, 'Little Rock', 'USA', 'Arkansas', '183133'),
	(3903, 'Salt Lake City', 'USA', 'Utah', '181743'),
	(3904, 'Reno', 'USA', 'Nevada', '180480'),
	(3905, 'Newport News', 'USA', 'Virginia', '180150'),
	(3906, 'Chandler', 'USA', 'Arizona', '176581'),
	(3907, 'Laredo', 'USA', 'Texas', '176576'),
	(3908, 'Henderson', 'USA', 'Nevada', '175381'),
	(3909, 'Arlington', 'USA', 'Virginia', '174838'),
	(3910, 'Knoxville', 'USA', 'Tennessee', '173890'),
	(3911, 'Amarillo', 'USA', 'Texas', '173627'),
	(3912, 'Providence', 'USA', 'Rhode Island', '173618'),
	(3913, 'Chula Vista', 'USA', 'California', '173556'),
	(3914, 'Worcester', 'USA', 'Massachusetts', '172648'),
	(3915, 'Oxnard', 'USA', 'California', '170358'),
	(3916, 'Dayton', 'USA', 'Ohio', '166179'),
	(3917, 'Garden Grove', 'USA', 'California', '165196'),
	(3918, 'Oceanside', 'USA', 'California', '161029'),
	(3919, 'Tempe', 'USA', 'Arizona', '158625'),
	(3920, 'Huntsville', 'USA', 'Alabama', '158216'),
	(3921, 'Ontario', 'USA', 'California', '158007'),
	(3922, 'Chattanooga', 'USA', 'Tennessee', '155554'),
	(3923, 'Fort Lauderdale', 'USA', 'Florida', '152397'),
	(3924, 'Springfield', 'USA', 'Massachusetts', '152082'),
	(3925, 'Springfield', 'USA', 'Missouri', '151580'),
	(3926, 'Santa Clarita', 'USA', 'California', '151088'),
	(3927, 'Salinas', 'USA', 'California', '151060'),
	(3928, 'Tallahassee', 'USA', 'Florida', '150624'),
	(3929, 'Rockford', 'USA', 'Illinois', '150115'),
	(3930, 'Pomona', 'USA', 'California', '149473'),
	(3931, 'Metairie', 'USA', 'Louisiana', '149428'),
	(3932, 'Paterson', 'USA', 'New Jersey', '149222'),
	(3933, 'Overland Park', 'USA', 'Kansas', '149080'),
	(3934, 'Santa Rosa', 'USA', 'California', '147595'),
	(3935, 'Syracuse', 'USA', 'New York', '147306'),
	(3936, 'Kansas City', 'USA', 'Kansas', '146866'),
	(3937, 'Hampton', 'USA', 'Virginia', '146437'),
	(3938, 'Lakewood', 'USA', 'Colorado', '144126'),
	(3939, 'Vancouver', 'USA', 'Washington', '143560'),
	(3940, 'Irvine', 'USA', 'California', '143072'),
	(3941, 'Aurora', 'USA', 'Illinois', '142990'),
	(3942, 'Moreno Valley', 'USA', 'California', '142381'),
	(3943, 'Pasadena', 'USA', 'California', '141674'),
	(3944, 'Hayward', 'USA', 'California', '140030'),
	(3945, 'Brownsville', 'USA', 'Texas', '139722'),
	(3946, 'Bridgeport', 'USA', 'Connecticut', '139529'),
	(3947, 'Hollywood', 'USA', 'Florida', '139357'),
	(3948, 'Warren', 'USA', 'Michigan', '138247'),
	(3949, 'Torrance', 'USA', 'California', '137946'),
	(3950, 'Eugene', 'USA', 'Oregon', '137893'),
	(3951, 'Pembroke Pines', 'USA', 'Florida', '137427'),
	(3952, 'Salem', 'USA', 'Oregon', '136924'),
	(3953, 'Pasadena', 'USA', 'Texas', '133936'),
	(3954, 'Escondido', 'USA', 'California', '133559'),
	(3955, 'Sunnyvale', 'USA', 'California', '131760'),
	(3956, 'Savannah', 'USA', 'Georgia', '131510'),
	(3957, 'Fontana', 'USA', 'California', '128929'),
	(3958, 'Orange', 'USA', 'California', '128821'),
	(3959, 'Naperville', 'USA', 'Illinois', '128358'),
	(3960, 'Alexandria', 'USA', 'Virginia', '128283'),
	(3961, 'Rancho Cucamonga', 'USA', 'California', '127743'),
	(3962, 'Grand Prairie', 'USA', 'Texas', '127427'),
	(3963, 'East Los Angeles', 'USA', 'California', '126379'),
	(3964, 'Fullerton', 'USA', 'California', '126003'),
	(3965, 'Corona', 'USA', 'California', '124966'),
	(3966, 'Flint', 'USA', 'Michigan', '124943'),
	(3967, 'Paradise', 'USA', 'Nevada', '124682'),
	(3968, 'Mesquite', 'USA', 'Texas', '124523'),
	(3969, 'Sterling Heights', 'USA', 'Michigan', '124471'),
	(3970, 'Sioux Falls', 'USA', 'South Dakota', '123975'),
	(3971, 'New Haven', 'USA', 'Connecticut', '123626'),
	(3972, 'Topeka', 'USA', 'Kansas', '122377'),
	(3973, 'Concord', 'USA', 'California', '121780'),
	(3974, 'Evansville', 'USA', 'Indiana', '121582'),
	(3975, 'Hartford', 'USA', 'Connecticut', '121578'),
	(3976, 'Fayetteville', 'USA', 'North Carolina', '121015'),
	(3977, 'Cedar Rapids', 'USA', 'Iowa', '120758'),
	(3978, 'Elizabeth', 'USA', 'New Jersey', '120568'),
	(3979, 'Lansing', 'USA', 'Michigan', '119128'),
	(3980, 'Lancaster', 'USA', 'California', '118718'),
	(3981, 'Fort Collins', 'USA', 'Colorado', '118652'),
	(3982, 'Coral Springs', 'USA', 'Florida', '117549'),
	(3983, 'Stamford', 'USA', 'Connecticut', '117083'),
	(3984, 'Thousand Oaks', 'USA', 'California', '117005'),
	(3985, 'Vallejo', 'USA', 'California', '116760'),
	(3986, 'Palmdale', 'USA', 'California', '116670'),
	(3987, 'Columbia', 'USA', 'South Carolina', '116278'),
	(3988, 'El Monte', 'USA', 'California', '115965'),
	(3989, 'Abilene', 'USA', 'Texas', '115930'),
	(3990, 'North Las Vegas', 'USA', 'Nevada', '115488'),
	(3991, 'Ann Arbor', 'USA', 'Michigan', '114024'),
	(3992, 'Beaumont', 'USA', 'Texas', '113866'),
	(3993, 'Waco', 'USA', 'Texas', '113726'),
	(3994, 'Macon', 'USA', 'Georgia', '113336'),
	(3995, 'Independence', 'USA', 'Missouri', '113288'),
	(3996, 'Peoria', 'USA', 'Illinois', '112936'),
	(3997, 'Inglewood', 'USA', 'California', '112580'),
	(3998, 'Springfield', 'USA', 'Illinois', '111454'),
	(3999, 'Simi Valley', 'USA', 'California', '111351'),
	(4000, 'Lafayette', 'USA', 'Louisiana', '110257'),
	(4001, 'Gilbert', 'USA', 'Arizona', '109697'),
	(4002, 'Carrollton', 'USA', 'Texas', '109576'),
	(4003, 'Bellevue', 'USA', 'Washington', '109569'),
	(4004, 'West Valley City', 'USA', 'Utah', '108896'),
	(4005, 'Clarksville', 'USA', 'Tennessee', '108787'),
	(4006, 'Costa Mesa', 'USA', 'California', '108724'),
	(4007, 'Peoria', 'USA', 'Arizona', '108364'),
	(4008, 'South Bend', 'USA', 'Indiana', '107789'),
	(4009, 'Downey', 'USA', 'California', '107323'),
	(4010, 'Waterbury', 'USA', 'Connecticut', '107271'),
	(4011, 'Manchester', 'USA', 'New Hampshire', '107006'),
	(4012, 'Allentown', 'USA', 'Pennsylvania', '106632'),
	(4013, 'McAllen', 'USA', 'Texas', '106414'),
	(4014, 'Joliet', 'USA', 'Illinois', '106221'),
	(4015, 'Lowell', 'USA', 'Massachusetts', '105167'),
	(4016, 'Provo', 'USA', 'Utah', '105166'),
	(4017, 'West Covina', 'USA', 'California', '105080'),
	(4018, 'Wichita Falls', 'USA', 'Texas', '104197'),
	(4019, 'Erie', 'USA', 'Pennsylvania', '103717'),
	(4020, 'Daly City', 'USA', 'California', '103621'),
	(4021, 'Citrus Heights', 'USA', 'California', '103455'),
	(4022, 'Norwalk', 'USA', 'California', '103298'),
	(4023, 'Gary', 'USA', 'Indiana', '102746'),
	(4024, 'Berkeley', 'USA', 'California', '102743'),
	(4025, 'Santa Clara', 'USA', 'California', '102361'),
	(4026, 'Green Bay', 'USA', 'Wisconsin', '102313'),
	(4027, 'Cape Coral', 'USA', 'Florida', '102286'),
	(4028, 'Arvada', 'USA', 'Colorado', '102153'),
	(4029, 'Pueblo', 'USA', 'Colorado', '102121'),
	(4030, 'Sandy', 'USA', 'Utah', '101853'),
	(4031, 'Athens-Clarke County', 'USA', 'Georgia', '101489'),
	(4032, 'Cambridge', 'USA', 'Massachusetts', '101355'),
	(4033, 'Westminster', 'USA', 'Colorado', '100940'),
	(4034, 'San Buenaventura', 'USA', 'California', '100916'),
	(4035, 'Portsmouth', 'USA', 'Virginia', '100565'),
	(4036, 'Livonia', 'USA', 'Michigan', '100545'),
	(4037, 'Burbank', 'USA', 'California', '100316'),
	(4038, 'Clearwater', 'USA', 'Florida', '99936'),
	(4039, 'Midland', 'USA', 'Texas', '98293'),
	(4040, 'Davenport', 'USA', 'Iowa', '98256'),
	(4041, 'Mission Viejo', 'USA', 'California', '98049'),
	(4042, 'Miami Beach', 'USA', 'Florida', '97855'),
	(4043, 'Sunrise Manor', 'USA', 'Nevada', '95362'),
	(4044, 'New Bedford', 'USA', 'Massachusetts', '94780'),
	(4045, 'El Cajon', 'USA', 'California', '94578'),
	(4046, 'Norman', 'USA', 'Oklahoma', '94193'),
	(4047, 'Richmond', 'USA', 'California', '94100'),
	(4048, 'Albany', 'USA', 'New York', '93994'),
	(4049, 'Brockton', 'USA', 'Massachusetts', '93653'),
	(4050, 'Roanoke', 'USA', 'Virginia', '93357'),
	(4051, 'Billings', 'USA', 'Montana', '92988'),
	(4052, 'Compton', 'USA', 'California', '92864'),
	(4053, 'Gainesville', 'USA', 'Florida', '92291'),
	(4054, 'Fairfield', 'USA', 'California', '92256'),
	(4055, 'Arden-Arcade', 'USA', 'California', '92040'),
	(4056, 'San Mateo', 'USA', 'California', '91799'),
	(4057, 'Visalia', 'USA', 'California', '91762'),
	(4058, 'Boulder', 'USA', 'Colorado', '91238'),
	(4059, 'Cary', 'USA', 'North Carolina', '91213'),
	(4060, 'Santa Monica', 'USA', 'California', '91084'),
	(4061, 'Fall River', 'USA', 'Massachusetts', '90555'),
	(4062, 'Kenosha', 'USA', 'Wisconsin', '89447'),
	(4063, 'Elgin', 'USA', 'Illinois', '89408'),
	(4064, 'Odessa', 'USA', 'Texas', '89293'),
	(4065, 'Carson', 'USA', 'California', '89089'),
	(4066, 'Charleston', 'USA', 'South Carolina', '89063'),
	(4067, 'Charlotte Amalie', 'VIR', 'St Thomas', '13000'),
	(4068, 'Harare', 'ZWE', 'Harare', '1410000'),
	(4069, 'Bulawayo', 'ZWE', 'Bulawayo', '621742'),
	(4070, 'Chitungwiza', 'ZWE', 'Harare', '274912'),
	(4071, 'Mount Darwin', 'ZWE', 'Harare', '164362'),
	(4072, 'Mutare', 'ZWE', 'Manicaland', '131367'),
	(4073, 'Gweru', 'ZWE', 'Midlands', '128037'),
	(4074, 'Gaza', 'PSE', 'Gaza', '353632'),
	(4075, 'Khan Yunis', 'PSE', 'Khan Yunis', '123175'),
	(4076, 'Hebron', 'PSE', 'Hebron', '119401'),
	(4077, 'Jabaliya', 'PSE', 'North Gaza', '113901'),
	(4078, 'Nablus', 'PSE', 'Nablus', '100231'),
	(4079, 'Rafah', 'PSE', 'Rafah', '92020');
/*!40000 ALTER TABLE `city` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.continents
CREATE TABLE IF NOT EXISTS `continents` (
  `continent_id` int(11) NOT NULL AUTO_INCREMENT,
  `continent_name` varchar(50) NOT NULL,
  `continent_description` varchar(255) DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `updated_by` int(11) DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `updated_date` datetime DEFAULT NULL,
  PRIMARY KEY (`continent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.continents: ~8 rows (approximately)
/*!40000 ALTER TABLE `continents` DISABLE KEYS */;
INSERT INTO `continents` (`continent_id`, `continent_name`, `continent_description`, `created_by`, `updated_by`, `created_date`, `updated_date`) VALUES
	(1, 'Asia', NULL, 0, NULL, NULL, NULL),
	(2, 'Africa', NULL, 0, NULL, NULL, NULL),
	(3, 'North America', NULL, 0, NULL, NULL, NULL),
	(4, 'South America', NULL, 0, NULL, NULL, NULL),
	(5, 'Antarctica', NULL, 0, NULL, NULL, NULL),
	(6, 'Europe', NULL, 0, NULL, NULL, NULL),
	(7, 'Australia', NULL, 0, NULL, NULL, NULL),
	(8, 'Eurasia ', NULL, 0, NULL, NULL, NULL);
/*!40000 ALTER TABLE `continents` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.countries
CREATE TABLE IF NOT EXISTS `countries` (
  `country_id` int(11) unsigned NOT NULL,
  `country` varchar(150) CHARACTER SET latin1 DEFAULT NULL,
  `country_code` varchar(10) CHARACTER SET latin1 DEFAULT NULL,
  `display` tinyint(1) unsigned DEFAULT '0',
  `currency` varchar(10) CHARACTER SET latin1 DEFAULT NULL,
  `countryid` int(11) DEFAULT NULL,
  `capital_city` varchar(100) DEFAULT NULL,
  `continent_id` int(11) DEFAULT NULL,
  `n` int(11) DEFAULT NULL,
  PRIMARY KEY (`country_id`),
  KEY `Country` (`country`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table peoplei_300_people_dev.countries: ~244 rows (approximately)
/*!40000 ALTER TABLE `countries` DISABLE KEYS */;
INSERT INTO `countries` (`country_id`, `country`, `country_code`, `display`, `currency`, `countryid`, `capital_city`, `continent_id`, `n`) VALUES
	(1, 'Albania', '+335', 1, 'ALL', NULL, 'Tirana', 6, 2),
	(2, 'Algeria', '+213', 1, 'DZD', NULL, 'Algiers', 2, 3),
	(3, 'American Samoa', '+684', 1, 'USD', NULL, NULL, NULL, 4),
	(4, 'Andorra', '+376', 1, 'EUR', NULL, 'Andorra la Vella', 6, 5),
	(5, 'Anguilla', NULL, 1, 'XCD', NULL, NULL, NULL, 7),
	(6, 'Antarctica', NULL, 1, 'USD', NULL, NULL, NULL, 8),
	(7, 'Antigua And Barbuda', NULL, 1, 'XCD', NULL, 'St. JohnÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬ÃƒÂ¢Ã¢â‚¬Å¾Ã‚Â¢s', 3, 9),
	(8, 'Argentina', '+54', 1, 'ARS', NULL, 'Buenos Aires', 4, 10),
	(9, 'Armenia', '+374', 1, 'AMD', NULL, 'Yerevan', 8, 11),
	(10, 'Aruba', NULL, 1, 'AWG', NULL, NULL, NULL, 12),
	(11, 'Australia', NULL, 1, 'AUD', NULL, 'Canberra ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬ÃƒÂ¢Ã¢â€šÂ¬Ã…â€œ Sydney', 7, 13),
	(12, 'Austria', NULL, 1, 'EUR', NULL, 'Vienna', 6, 14),
	(13, 'Azerbaijan', '+994', 1, 'AZN', NULL, 'Baku', 8, 15),
	(15, 'Bahrain', NULL, 1, 'BHD', NULL, 'Manama', 1, 17),
	(16, 'Bangladesh', NULL, 1, 'BDT', NULL, 'Dhaka', 1, 18),
	(17, 'Barbados', NULL, 1, 'BBD', NULL, 'Bridgetown', 3, 19),
	(18, 'Belarus', NULL, 1, 'BYN', NULL, 'Minsk', 6, 20),
	(19, 'Belgium', NULL, 1, 'EUR', NULL, 'Brussels', 6, 21),
	(20, 'Belize', NULL, 1, 'BZD', NULL, 'Belmopan', 3, 22),
	(21, 'Benin', NULL, 1, 'XOF', NULL, 'Porto-Novo', 2, 23),
	(22, 'Bermuda', NULL, 1, 'BMD', NULL, NULL, NULL, 24),
	(23, 'Bhutan', NULL, 1, 'BTN', NULL, 'Thimphu', 1, 25),
	(24, 'Bolivia', NULL, 1, 'BOB', NULL, 'La Paz and Sucre', 4, 26),
	(25, 'Bosnia and Herzegovina', NULL, 1, 'BAM', NULL, 'Sarajevo', 6, 27),
	(26, 'Botswana', NULL, 1, 'BWP', NULL, 'Gaborone', 2, 28),
	(27, 'Bouvet Island', NULL, 1, 'NOK', NULL, NULL, NULL, 29),
	(28, 'Brazil', NULL, 1, 'BRL', NULL, 'BrasÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â­lia', 4, 30),
	(29, 'British Indian Ocean Territory', NULL, 1, 'USD', NULL, NULL, NULL, 31),
	(31, 'Burkina Faso', NULL, 1, 'XOF', NULL, 'Ouagadougou', 2, 34),
	(32, 'Burundi', NULL, 1, 'BIF', NULL, 'Bujumbura', 2, 35),
	(33, 'Cambodia', NULL, 1, 'KHR', NULL, 'Phnom Penh', 1, 36),
	(34, 'Cameroon', NULL, 1, 'XAF', NULL, 'YaoundÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â©', 2, 37),
	(35, 'Canada', NULL, 1, 'CAD', NULL, 'Ottawa', 3, 38),
	(36, 'Cape Verde', NULL, 1, 'CVE', NULL, 'Praia', 2, 39),
	(37, 'Cayman Islands', NULL, 1, 'KYD', NULL, NULL, NULL, 40),
	(38, 'Central African Republic', NULL, 1, 'XAF', NULL, 'Bangui', 2, 41),
	(39, 'Chad', NULL, 1, 'XAF', NULL, 'NÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬ÃƒÂ¢Ã¢â‚¬Å¾Ã‚Â¢Djamena', 2, 42),
	(40, 'Chile', '+56', 1, 'CLP', NULL, 'Santiago', 4, 43),
	(41, 'China', NULL, 1, 'CNY', NULL, 'Beijing', 1, 44),
	(42, 'Christmas Island', NULL, 1, 'AUD', NULL, NULL, NULL, 45),
	(43, 'Cocos (Keeling) Islands', NULL, 1, 'AUD', NULL, NULL, NULL, 46),
	(45, 'Comoros', NULL, 1, 'KMF', NULL, 'Moroni', 2, 48),
	(48, 'Cook Islands', '+506', 1, 'CID', NULL, NULL, NULL, 51),
	(49, 'Costa Rica', '+385', 1, 'CRC', NULL, 'San JosÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â©', 3, 52),
	(51, 'Croatia (Hrvatska)', NULL, 1, 'HRK', NULL, NULL, NULL, 54),
	(52, 'Cyprus', NULL, 1, 'EUR', NULL, 'Nicosia', 8, 56),
	(53, 'Czech Republic', '+86', 1, 'CZK', NULL, 'Prague', 6, 57),
	(54, 'Denmark', '+45', 1, 'DKK', NULL, 'Copenhagen', 6, 58),
	(55, 'Djibouti', '+253', 1, 'DJF', NULL, 'Djibouti', 2, 59),
	(56, 'Dominica', NULL, 1, 'XCD', NULL, 'Roseau', 3, 60),
	(57, 'Dominican Republic', '+809', 1, 'DOP', NULL, 'Santo Domingo', 3, 61),
	(58, 'East Timor', NULL, 1, 'USD', NULL, NULL, NULL, 62),
	(59, 'Ecuador', '+593', 1, 'USD', NULL, 'Quito', 4, 63),
	(60, 'Egypt', '+20', 1, 'EGP', NULL, 'Cairo', 2, 64),
	(61, 'El Salvador', '+503', 1, 'USD', NULL, 'San Salvador', 3, 65),
	(62, 'Equatorial Guinea', NULL, 1, 'XAF', NULL, 'Malabo', 2, 66),
	(63, 'Eritrea', '+291', 1, 'ERN', NULL, 'Asmara', 2, 67),
	(64, 'Estonia', '+372', 1, 'EUR', NULL, 'Tallinn', 6, 68),
	(65, 'Ethiopia', NULL, 1, 'ETB', NULL, 'Addis Ababa', 2, 69),
	(67, 'Faroe Islands', NULL, 1, 'DKK', NULL, NULL, NULL, 72),
	(69, 'Finland', '+358', 1, 'EUR', NULL, 'Helsinki', 6, 74),
	(70, 'France', '+33', 1, 'EUR', NULL, 'Paris', 6, 75),
	(72, 'French Guiana', NULL, 1, 'EUR', NULL, NULL, NULL, 76),
	(73, 'French Polynesia', NULL, 1, 'XPF', NULL, NULL, NULL, 77),
	(74, 'French Southern Territories', NULL, 1, 'EUR', NULL, NULL, NULL, 78),
	(75, 'Gabon', '+241', 1, 'XAF', NULL, 'Libreville', 2, 79),
	(77, 'Georgia', '+995', 1, 'GEL', NULL, 'Tbilisi', 8, 81),
	(78, 'Germany', '+49', 1, 'EUR', NULL, 'Berlin', 6, 82),
	(79, 'Ghana', '+233', 1, 'GHS', NULL, 'Accra', 2, 83),
	(80, 'Gibraltar', '+350', 1, 'GIP', NULL, NULL, NULL, 84),
	(81, 'Greece', '+30', 1, 'EUR', NULL, 'Athens', 6, 85),
	(82, 'Greenland', '+299', 1, 'DKK', NULL, NULL, NULL, 86),
	(83, 'Grenada', NULL, 1, 'XCD', NULL, 'St. GeorgeÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬ÃƒÂ¢Ã¢â‚¬Å¾Ã‚Â¢s', 3, 87),
	(84, 'Guadeloupe', '+590', 1, 'EUR', NULL, NULL, NULL, 88),
	(85, 'Guam', '+671', 1, 'USD', NULL, NULL, NULL, 89),
	(86, 'Guatemala', '+502', 1, 'GTQ', NULL, 'Guatemala City', 3, 90),
	(87, 'Guinea', '+224', 1, 'GNF', NULL, 'Conakry', 2, 92),
	(88, 'Guinea-Bissau', '+245', 1, 'XOF', NULL, 'Bissau', 2, 93),
	(89, 'Guyana', '+592', 1, 'GYD', NULL, 'Georgetown', 4, 94),
	(90, 'Haiti', '+509', 1, 'HTG', NULL, 'Port-au-Prince', 3, 95),
	(93, 'Honduras', '+504', 1, 'HNL', NULL, 'Tegucigalpa', 3, 97),
	(95, 'Hungary', '+36', 1, 'HUF', NULL, 'Budapest', 6, 99),
	(96, 'Iceland', '+354', 1, 'ISK', NULL, 'ReykjavÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â­k', 6, 100),
	(97, 'India', '+91', 1, 'INR', NULL, 'New Delhi', 1, 101),
	(98, 'Indonesia', '+61', 1, 'IDR', NULL, 'Jakarta', 1, 102),
	(99, 'Ireland', '+353', 1, 'EUR', NULL, 'Dublin', 6, 105),
	(100, 'Israel', '+972', 1, 'ILS', NULL, 'Jerusalem', 1, 106),
	(101, 'Italy', '+39', 1, 'EUR', NULL, 'Rome', 6, 107),
	(102, 'Jamaica', '+876', 1, 'JMD', NULL, 'Kingston', 3, 108),
	(103, 'Japan', '+81', 1, 'JPY', NULL, 'Tokyo', 1, 109),
	(104, 'Jordan', '+962', 1, 'JOD', NULL, 'Amman', 1, 111),
	(105, 'Kazakhstan', NULL, 1, 'KZT', NULL, 'Astana', 8, 112),
	(106, 'Kenya', '+254', 1, 'KES', NULL, 'Nairobi', 2, 113),
	(107, 'Kiribati', '+686', 1, 'AUD', NULL, NULL, NULL, 114),
	(109, 'Kuwait', '+965', 1, 'KWD', NULL, 'Kuwait City', 1, 117),
	(110, 'Kyrgyzstan', NULL, 1, 'KGS', NULL, 'Bishkek', 1, 118),
	(112, 'Latvia', '+371', 1, 'EUR', NULL, 'Riga', 6, 120),
	(113, 'Lebanon', NULL, 1, 'LBP', NULL, 'Beirut', 1, 121),
	(114, 'Lesotho', '+266', 1, 'LSL', NULL, 'Maseru', 2, 122),
	(115, 'Liberia', '+231', 1, 'LRD', NULL, 'Monrovia', 2, 123),
	(116, 'Liechtenstein', NULL, 1, 'CHF', NULL, 'Vaduz', 6, 125),
	(117, 'Lithuania', '+370', 1, 'EUR', NULL, 'Vilnius', 6, 126),
	(118, 'Luxembourg', '+352', 1, 'EUR', NULL, 'Luxembourg', 6, 127),
	(120, 'Macedonia', NULL, 1, 'MKD', NULL, 'Skopje', 6, 129),
	(121, 'Madagascar', '+261', 1, 'MGA', NULL, 'Antananarivo', 2, 130),
	(122, 'Malawi', '+265', 1, 'MWK', NULL, 'Lilongwe', 2, 131),
	(123, 'Malaysia', '+60', 1, 'MYR', NULL, 'Kuala Lumpur', 1, 132),
	(124, 'Maldives', '+960', 1, 'MVR', NULL, 'MalÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â©', 1, 133),
	(125, 'Mali', '+223', 1, 'XOF', NULL, 'Bamako', 2, 134),
	(126, 'Malta', '+356', 1, 'EUR', NULL, 'Valletta', 6, 135),
	(127, 'Marshall Islands', '+692', 1, 'USD', NULL, NULL, NULL, 137),
	(128, 'Martinique', '+596', 1, 'EUR', NULL, NULL, NULL, 138),
	(129, 'Mauritania', '+222', 1, 'MRU', NULL, 'Nouakchott', 2, 139),
	(130, 'Mauritius', '+230', 1, 'MUR', NULL, 'Port Louis', 2, 140),
	(131, 'Mayotte', '+269', 1, 'EUR', NULL, NULL, NULL, 141),
	(132, 'Mexico', '+52', 1, 'MXN', NULL, 'Mexico City', 3, 142),
	(135, 'Mongolia', '+976', 1, 'MNT', NULL, 'Ulaanbaatar', 1, 146),
	(136, 'Montserrat', '+664', 1, 'XCD', NULL, NULL, NULL, 147),
	(137, 'Morocco', '+212', 1, 'MAD', NULL, 'Rabat', 2, 148),
	(138, 'Mozambique', '+258', 1, 'MZN', NULL, 'Maputo', 2, 149),
	(139, 'Namibia', '+264', 1, 'NAD', NULL, 'Windhoek', 2, 151),
	(140, 'Nauru', '+674', 1, 'AUD', NULL, NULL, NULL, 152),
	(141, 'Nepal', '+977', 1, 'NPR', NULL, 'Kathmandu', 1, 153),
	(143, 'Netherlands Antilles', NULL, 1, 'ANG', NULL, NULL, NULL, 154),
	(144, 'New Caledonia', NULL, 1, 'XPF', NULL, NULL, NULL, 156),
	(145, 'New Zealand', '+64', 1, 'NZD', NULL, 'Wellington ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬ÃƒÂ¢Ã¢â€šÂ¬Ã…â€œ Auckland', 7, 157),
	(146, 'Nicaragua', '+505', 1, 'NIO', NULL, 'Managua', 3, 158),
	(147, 'Niger', '+227', 1, 'XOF', NULL, 'Niamey', 2, 159),
	(148, 'Nigeria', '+234', 1, 'NGN', NULL, 'Abuja', 2, 160),
	(149, 'Niue', NULL, 1, 'NZD', NULL, NULL, NULL, 161),
	(150, 'Norfolk Island', '+672', 1, 'AUD', NULL, NULL, NULL, 162),
	(151, 'Northern Mariana Islands', NULL, 1, 'USD', NULL, NULL, NULL, 163),
	(152, 'Norway', '+47', 1, 'NOK', NULL, 'Oslo', 6, 164),
	(153, 'Oman', '+968', 1, 'OMR', NULL, 'Muscat', 1, 165),
	(154, 'Pakistan', '+92', 1, 'PKR', NULL, 'Islamabad', 1, 166),
	(155, 'Palau', '+680', 1, 'USD', NULL, NULL, NULL, 167),
	(156, 'Panama', '+507', 1, 'USD', NULL, 'Panama City', 3, 169),
	(157, 'Papua New Guinea', '+675', 1, 'PGK', NULL, 'Port Moresby', 7, 170),
	(158, 'Paraguay', '+595', 1, 'PYG', NULL, 'AsunciÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â³n', 4, 171),
	(159, 'Peru', '+51', 1, 'PEN', NULL, 'Lima', 4, 172),
	(160, 'Philippines', '+63', 1, 'PHP', NULL, 'Manila', 1, 173),
	(162, 'Poland', '+48', 1, 'PLN', NULL, 'Warsaw', 6, 175),
	(163, 'Portugal', '+351', 1, 'EUR', NULL, 'Lisbon', 6, 176),
	(164, 'Puerto Rico', '+1787', 1, 'USD', NULL, NULL, NULL, 177),
	(165, 'Qatar', '+974', 1, 'QAR', NULL, 'Doha', 1, 178),
	(166, 'Romania', '+40', 1, 'RON', NULL, 'Bucharest', 6, 180),
	(167, 'Russia', NULL, 1, 'RUB', NULL, 'Moscow', 8, 181),
	(168, 'Rwanda', '+250', 1, 'RWF', NULL, 'Kigali', 2, 182),
	(169, 'Saint Kitts And Nevis', NULL, 1, 'XCD', NULL, 'Basseterre', 3, 184),
	(170, 'Saint Lucia', NULL, 1, 'XCD', NULL, 'Castries', 3, 185),
	(171, 'Saint Vincent And the Grenadines', NULL, 1, 'XCD', NULL, 'Kingstown', 3, 187),
	(172, 'Samoa', NULL, 1, 'WST', NULL, NULL, NULL, 188),
	(173, 'San Marino', '+378', 1, 'EUR', NULL, 'San Marino', 6, 189),
	(174, 'Sao Tome And Principe', NULL, 1, 'STN', NULL, 'SÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â£o TomÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â©', 2, 190),
	(175, 'Saudi Arabia', '+966', 1, 'SAR', NULL, 'Riyadh', 1, 191),
	(176, 'Senegal', NULL, 1, 'XOF', NULL, 'Dakar', 2, 192),
	(177, 'Seychelles', '+248', 1, 'SCR', NULL, 'Victoria', 2, 194),
	(178, 'Sierra Leone', '+232', 1, 'SLL', NULL, 'Freetown', 2, 195),
	(179, 'Singapore', '+65', 1, 'SGD', NULL, 'Singapore', 1, 196),
	(181, 'Slovenia', NULL, 1, 'EUR', NULL, 'Ljubljana', 6, 198),
	(182, 'Solomon Islands', '+677', 1, 'SBD', NULL, NULL, NULL, 200),
	(183, 'Somalia', '+252', 1, 'SOS', NULL, 'Mogadishu', 2, 201),
	(184, 'South Africa', '+27', 1, 'ZAR', NULL, 'Bloemfontein, Cape Town, Pretoria', 2, 202),
	(186, 'Spain', '+34', 1, 'EUR', NULL, 'Madrid', 6, 205),
	(187, 'Sri Lanka', '+94', 1, 'LKR', NULL, 'Colombo', 1, 206),
	(190, 'Suriname', '+597', 1, 'SRD', NULL, 'Paramaribo', 4, 208),
	(191, 'Svalbard And Jan Mayen Islands', NULL, 1, 'NOK', NULL, NULL, NULL, 209),
	(192, 'Swaziland', '+268', 1, 'SZL', NULL, 'Mbabane', 2, 210),
	(193, 'Sweden', '+46', 1, 'SEK', NULL, 'Stockholm', 6, 211),
	(194, 'Switzerland', '+41', 1, 'CHF', NULL, 'Bern', 6, 212),
	(195, 'Syria', '+963', 1, 'SYP', NULL, 'Damascus', 1, 213),
	(196, 'Taiwan', '+886', 1, 'TWD', NULL, NULL, NULL, 214),
	(197, 'Tajikistan', NULL, 1, 'TJS', NULL, 'Dushanbe', 1, 215),
	(198, 'Tanzania', NULL, 1, 'TZS', NULL, 'Dodoma', 2, 216),
	(199, 'Thailand', '+66', 1, 'THB', NULL, 'Bangkok', 1, 217),
	(200, 'Togo', NULL, 1, 'XOF', NULL, 'LomÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â©', 2, 218),
	(201, 'Tokelau', NULL, 1, 'NZD', NULL, NULL, NULL, 219),
	(202, 'Tonga', NULL, 1, 'TOP', NULL, NULL, NULL, 220),
	(203, 'Trinidad And Tobago', '+868', 1, 'TTD', NULL, 'Port of Spain', 3, 221),
	(204, 'Tunisia', '+216', 1, 'TND', NULL, 'Tunis', 2, 222),
	(205, 'Turkey', '+90', 1, 'TRY', NULL, 'Ankara', 8, 223),
	(206, 'Turkmenistan', '+993', 1, 'TMT', NULL, 'Ashgabat', 1, 224),
	(207, 'Turks And Caicos Islands', '+649', 1, 'USD', NULL, NULL, NULL, 225),
	(208, 'Tuvalu', NULL, 1, 'AUD', NULL, NULL, NULL, 226),
	(209, 'Uganda', '+256', 1, 'UGX', NULL, 'Kampala', 2, 227),
	(210, 'Ukraine', '+380', 1, 'UAH', NULL, 'Kiev', 6, 228),
	(211, 'United Arab Emirates', '+971', 1, 'AED', NULL, 'Abu Dhabi', 1, 229),
	(212, 'United Kingdom', '+44', 1, 'GBP', NULL, 'London', 6, 230),
	(213, 'United States', '+1', 1, 'USD', NULL, NULL, NULL, 231),
	(214, 'Uruguay', '+598', 1, 'UYU', NULL, 'Montevideo', 4, 233),
	(215, 'Uzbekistan', '+7', 1, 'UZS', NULL, 'Tashkent', 1, 234),
	(216, 'Vanuatu', NULL, 1, 'VUV', NULL, NULL, NULL, 235),
	(217, 'Venezuela', '+58', 1, 'VEF', NULL, 'Caracas', 4, 237),
	(218, 'Vietnam', NULL, 1, 'VND', NULL, 'Hanoi', 1, 238),
	(219, 'Virgin Islands (British)', NULL, 1, 'USD', NULL, NULL, NULL, 239),
	(220, 'Wallis And Futuna Islands', NULL, 1, 'XPF', NULL, NULL, NULL, 241),
	(221, 'Western Sahara', NULL, 1, 'MAD', NULL, NULL, NULL, 242),
	(222, 'Yemen', '+967', 1, 'YER', NULL, 'SanaÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬ÃƒÂ¢Ã¢â‚¬Å¾Ã‚Â¢a', 1, 243),
	(223, 'Yugoslavia', '+381', 1, 'YUM', NULL, NULL, NULL, 244),
	(224, 'Zambia', '+260', 1, 'ZMW', NULL, 'Lusaka', 2, 245),
	(225, 'Zimbabwe', '+263', 1, 'USD', NULL, 'Harare', 2, 246),
	(227, 'Libya', '+218', 1, 'LYD', NULL, 'Tripoli', 2, 124),
	(230, 'Sudan', NULL, 1, 'SDG', NULL, 'Khartoum', 2, 207),
	(231, 'Iran', NULL, 1, 'IRR', NULL, 'Tehran', 1, 103),
	(233, 'Serbia', '+381', 1, 'RSD', NULL, 'Belgrade', 6, 193),
	(234, 'Brunei', '+673', 1, NULL, NULL, 'Bandar Seri Begawan', 1, 32),
	(235, 'Bulgaria', '+359', 1, NULL, NULL, 'Sofia', 6, 33),
	(236, 'Colombia', '+57', 1, NULL, NULL, 'BogotÃƒÆ’Ã†â€™Ãƒâ€šÃ‚Â¡', 4, 47),
	(237, 'Republic Of The Congo', '+242', 1, NULL, NULL, 'Brazzaville', 2, 49),
	(238, 'Democratic Republic Of The Congo', '+242', 1, NULL, NULL, 'Kinshasa', 2, 50),
	(239, 'Cote D\'Ivoire (Ivory Coast)', '+225', 1, NULL, NULL, NULL, NULL, 53),
	(240, 'Cuba', '+53', 1, NULL, NULL, 'Havana', 3, 55),
	(241, 'External Territories of Australia', '+61', 1, NULL, NULL, NULL, NULL, 70),
	(242, 'Falkland Islands', '+500', 1, NULL, NULL, NULL, NULL, 71),
	(243, 'Fiji Islands', '+679', 1, NULL, NULL, NULL, NULL, 73),
	(244, 'Gambia The', '+220', 1, NULL, NULL, NULL, NULL, 80),
	(245, 'Guernsey and Alderney', '+44', 1, NULL, NULL, NULL, NULL, 91),
	(246, 'Heard and McDonald Islands', '+0', 1, NULL, NULL, NULL, NULL, 96),
	(247, 'Hong Kong S.A.R.', '+852', 1, NULL, NULL, NULL, NULL, 98),
	(248, 'Iraq', '+964', 1, NULL, NULL, 'Baghdad', 1, 104),
	(249, 'Jersey', '+44', 1, NULL, NULL, NULL, NULL, 110),
	(250, 'Korea North', '+850', 1, NULL, NULL, NULL, NULL, 115),
	(251, 'Korea South', '+82', 1, NULL, NULL, NULL, NULL, 116),
	(252, 'Laos', '+856', 1, NULL, NULL, 'Vientiane', 1, 119),
	(253, 'Macau S.A.R.', '+853', 1, NULL, NULL, NULL, NULL, 128),
	(254, 'Man (Isle of)', '+44', 1, NULL, NULL, NULL, NULL, 136),
	(255, 'Micronesia', '+691', 1, NULL, NULL, NULL, NULL, 143),
	(256, 'Moldova', '+373', 1, NULL, NULL, 'Chi?inau', 6, 144),
	(257, 'Monaco', '+377', 1, NULL, NULL, 'Monaco', 6, 145),
	(258, 'Myanmar', '+95', 1, NULL, NULL, NULL, NULL, 150),
	(259, 'Netherlands The', '+31', 1, NULL, NULL, NULL, NULL, 155),
	(260, 'Palestinian Territory Occupied', '+970', 1, NULL, NULL, NULL, NULL, 168),
	(261, 'Pitcairn Island', '+0', 1, NULL, NULL, NULL, NULL, 174),
	(262, 'Reunion', '+262', 1, NULL, NULL, NULL, NULL, 179),
	(263, 'Saint Helena', '+290', 1, NULL, NULL, NULL, NULL, 183),
	(264, 'Saint Pierre and Miquelon', '+508', 1, NULL, NULL, NULL, NULL, 186),
	(265, 'Serbia', '+381', 1, NULL, NULL, 'Belgrade', 6, 193),
	(266, 'Slovakia', '+421', 1, NULL, NULL, 'Bratislava', 6, 197),
	(267, 'Smaller Territories of the UK', '+44', 1, NULL, NULL, NULL, NULL, 199),
	(268, 'South Georgia', '+0', 1, NULL, NULL, NULL, NULL, 203),
	(269, 'South Sudan', '+211', 1, NULL, NULL, 'Juba', 2, 204),
	(270, 'United States Minor Outlying Islands', '+1', 1, NULL, NULL, NULL, NULL, 232),
	(271, 'Vatican City State (Holy See)', '+39', 1, NULL, NULL, NULL, NULL, 236),
	(272, 'Virgin Islands (US)', '+1340', 1, NULL, NULL, NULL, NULL, 240),
	(273, 'All', NULL, 1, '', NULL, NULL, NULL, NULL);
/*!40000 ALTER TABLE `countries` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.department_hierarchy
CREATE TABLE IF NOT EXISTS `department_hierarchy` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `department_name` varchar(100) DEFAULT NULL,
  `reporting_department_id` int(11) DEFAULT NULL,
  `type` char(20) DEFAULT NULL COMMENT 'department/family/group',
  `department_group3_id` int(11) DEFAULT NULL,
  `dep_code` int(11) DEFAULT NULL,
  `country_id` int(11) DEFAULT NULL,
  `cid` int(11) NOT NULL,
  `dep_description` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `updated_by` int(11) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `department_group_heirarchy_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `department_heirarchy_department_group_heirarchy_id_foreign` (`department_group_heirarchy_id`),
  CONSTRAINT `department_heirarchy_department_group_heirarchy_id_foreign` FOREIGN KEY (`department_group_heirarchy_id`) REFERENCES `department_group_heirarchies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=47 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.department_hierarchy: ~35 rows (approximately)
/*!40000 ALTER TABLE `department_hierarchy` DISABLE KEYS */;
INSERT INTO `department_hierarchy` (`id`, `department_name`, `reporting_department_id`, `type`, `department_group3_id`, `dep_code`, `country_id`, `cid`, `dep_description`, `status`, `created_by`, `updated_by`, `created_at`, `updated_at`, `department_group_heirarchy_id`) VALUES
	(7, 'HCM & OD', 36, 'department', 1, 7, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(8, 'Sales - south Punjab', 23, 'sub_department', 1, 35, 154, 48, 'Write description here on update', 1, 0, 0, '0000-00-00 00:00:00', '2021-09-22 12:29:45', 4),
	(9, 'Sales - south Punjab', 23, 'sub_department', 1, 35, 154, 48, 'Write description here on update', 1, 0, 0, '0000-00-00 00:00:00', '2021-09-22 12:29:48', 4),
	(10, 'Sales - south Punjab', 23, 'sub_department', 2, 35, 154, 48, 'Write description here on update', 1, 0, 0, '0000-00-00 00:00:00', '2021-09-22 12:29:51', 4),
	(11, 'Service delivery', 36, 'department', 2, 11, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(12, 'SD-MIS', 11, 'sub_department', 1, 12, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(14, 'SD-CPU1', 15, 'sub_department', 1, 14, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(15, 'SD-CPU2', 11, 'sub_department', 1, 15, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(16, 'Software Development', 36, 'department', 1, 16, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(17, 'IT', 36, 'department', 1, 17, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(18, 'Finance & Accounts', 36, 'department', 1, 18, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(20, 'Accounts', 18, 'sub_department', 1, 20, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(22, 'Finance', 18, 'sub_department', 2, 22, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(23, 'Sales & marketing', 36, 'department', 1, 23, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(24, 'Sales - North', 23, 'sub_department', 1, 24, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(25, 'Client relationship - North', 23, 'sub_department', 1, 25, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(26, 'Sales - central', 23, 'sub_department', 1, 26, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(28, 'Client relationship - central', 23, 'sub_department', 1, 28, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(29, 'Sales - south', 23, 'sub_department', 1, 29, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(30, 'Client relationship - south', 23, 'sub_department', 1, 30, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(32, 'Sales - dubai', 23, 'sub_department', 1, 32, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(33, 'Client relationship - dubai', 23, 'sub_department', 1, 33, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(34, 'PPA- Dubai', 36, 'department', 1, 34, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(35, 'Admin - dubai', 34, 'sub_department', 1, 35, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(36, 'Operation & CEO', 0, 'department', 3, 36, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(37, 'Admin', 36, 'department', 1, 37, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(38, 'Admin Centeral ', 37, 'sub_department', 1, 38, 154, 48, 'Write description here', 1, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL),
	(39, 'Process Outsourcing Service', 36, 'department', 1, 7, 154, 48, 'Write description here', 1, 48, 48, '2021-07-01 08:51:28', '2021-07-01 08:51:28', NULL),
	(40, 'Service Delivery - MIS\r\n', 36, 'department', 1, 7, 154, 48, 'Write description here', 1, 48, 48, '2021-07-01 12:22:40', '2021-07-01 12:22:40', NULL),
	(41, 'Sales - south Punjab', NULL, 'department', NULL, 35, 154, 48, 'Write description here', 1, 0, 0, '2021-09-17 16:17:01', '2021-09-17 16:17:01', 4),
	(42, 'Sales - south Punjab', 23, 'sub_department', NULL, 35, 154, 48, 'Write description here on update', 1, 0, 0, '2021-09-21 15:01:43', '2021-09-22 12:29:41', 4),
	(43, 'Sales - south Punjab', 23, 'sub_department', NULL, 36, 154, 48, 'Write description here', 1, 0, 0, '2021-09-22 10:00:47', '2021-09-22 10:00:47', 4),
	(44, 'Sales - south Punjab', NULL, 'department', NULL, 39, 154, 48, 'Write description here', 1, 0, 0, '2021-09-22 10:16:09', '2021-09-22 10:16:09', 4),
	(45, 'Sales - south Punjab', 23, 'sub_department', NULL, 31, 154, 48, 'Write description here', 1, 0, 0, '2021-09-22 10:23:17', '2021-09-22 10:23:17', 4),
	(46, 'Tester Nester', 4, 'sub_department', NULL, 0, 154, 48, 'twest', 1, 0, 0, '2021-09-22 11:22:15', '2021-09-22 11:22:15', 4);
/*!40000 ALTER TABLE `department_hierarchy` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.employee_bands
CREATE TABLE IF NOT EXISTS `employee_bands` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `band_desc` varchar(50) DEFAULT NULL,
  `band_description` varchar(255) DEFAULT NULL,
  `clientId` int(11) DEFAULT NULL,
  `unified_band` double DEFAULT NULL,
  `band_status` tinyint(1) NOT NULL DEFAULT '1',
  `created_by` int(11) NOT NULL,
  `updated_by` int(11) DEFAULT NULL,
  `created_date` datetime NOT NULL,
  `updated_date` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `Band_Desc` (`band_desc`)
) ENGINE=InnoDB AUTO_INCREMENT=98 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.employee_bands: ~41 rows (approximately)
/*!40000 ALTER TABLE `employee_bands` DISABLE KEYS */;
INSERT INTO `employee_bands` (`id`, `band_desc`, `band_description`, `clientId`, `unified_band`, `band_status`, `created_by`, `updated_by`, `created_date`, `updated_date`) VALUES
	(3, '3', 'Managerial', 48, 3, 1, 48, 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(4, '4.1', 'Managerial', 48, 4.1, 1, 48, 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(5, '4.9', 'ManagerialII', 48, 4.9, 1, 48, 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(6, '5.1', 'Managerial', 48, 5.1, 1, 48, 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(7, '5.3', 'Managerialeee', 48, 5.3, 1, 48, 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(8, '71', 'Non Manag', 48, 71, 0, 48, 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(9, '7', 'Non Managerial', 48, 7, 1, 48, 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(63, 'NM', 'Non Managerial', 48, 15, 1, 48, 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(64, '7.1', 'Non Managerial', 48, 7, 1, 1, 1, '2019-08-09 00:00:00', '0000-00-00 00:00:00'),
	(65, '8.1', 'Non Managerial', 48, 8, 1, 1, 1, '2019-08-09 00:00:00', '0000-00-00 00:00:00'),
	(66, '8', 'Non Managerial', 48, 8, 1, 1, 1, '2019-08-09 00:00:00', '0000-00-00 00:00:00'),
	(67, '7.2', 'Non Managerial', 48, 7, 1, 1, 1, '2019-08-09 00:00:00', '0000-00-00 00:00:00'),
	(68, '9', 'Non Managerial', 48, 9, 1, 1, 1, '2019-08-09 00:00:00', '0000-00-00 00:00:00'),
	(69, '9.1', 'Non Managerial', 48, 9, 1, 1, 1, '2019-08-09 00:00:00', '0000-00-00 00:00:00'),
	(70, '9.2', 'Non Managerial', 48, 9, 1, 1, 1, '2019-08-09 00:00:00', '0000-00-00 00:00:00'),
	(71, '6.1', 'Non Managerial', 48, 6, 1, 1, 1, '2019-08-09 00:00:00', '0000-00-00 00:00:00'),
	(72, '6.2', 'Non Managerial', 48, 6, 1, 1, 1, '2019-08-09 00:00:00', '0000-00-00 00:00:00'),
	(73, '5', 'Non Managerial', 48, 5, 1, 1, 1, '2019-09-20 00:00:00', '2019-09-20 00:00:00'),
	(74, '4', 'Non Managerial', 48, 4, 1, 1, 1, '2019-09-20 00:00:00', '2019-09-20 00:00:00'),
	(75, '29', NULL, 48, 29, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(76, '30', NULL, 48, 30, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(77, 'fsdfsd', NULL, 48, 0, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(78, '99', NULL, 48, 99, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(79, '1', NULL, 48, 1, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(80, '66', NULL, 48, 66, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(81, '70', NULL, 48, 70, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(82, '44', NULL, 48, 44, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(83, '33', NULL, 48, 33, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(84, '454545', NULL, 48, 454545, 0, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(85, '39', NULL, 48, 39, 0, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(86, '77', NULL, 48, 77, 0, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(87, '78', NULL, 48, 78, 0, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(88, '291', NULL, 48, 291, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(90, NULL, 'sample band1231', 48, 2911, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(91, '29111', 'sample band1231', 48, 29111, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(92, '31', 'testing', 48, 31, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(93, '445', '3', 48, 445, 0, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(94, '1111', '11112', 48, 1111, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(95, '313', 'testing3', 48, 313, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(96, '317', 'testing3', 48, 317, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
	(97, '88', 'ytyty', 48, 88, 1, 0, NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00');
/*!40000 ALTER TABLE `employee_bands` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.geo_groups
CREATE TABLE IF NOT EXISTS `geo_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `label` varchar(50) DEFAULT NULL,
  `field_name` varchar(50) DEFAULT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.geo_groups: ~3 rows (approximately)
/*!40000 ALTER TABLE `geo_groups` DISABLE KEYS */;
INSERT INTO `geo_groups` (`id`, `label`, `field_name`, `parent_id`, `created_at`, `updated_at`) VALUES
	(1, 'Market', 'market', 0, '2020-10-01 12:13:12', '2020-10-01 12:13:13'),
	(2, 'Cluster', 'cluster', 1, '2020-10-01 12:13:26', '2020-10-01 12:13:27'),
	(3, 'Sub-Cluster', 'sub_cluster', 2, '2020-10-01 12:13:38', '2020-10-01 12:13:39');
/*!40000 ALTER TABLE `geo_groups` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.groups
CREATE TABLE IF NOT EXISTS `groups` (
  `group_id` int(9) unsigned NOT NULL AUTO_INCREMENT,
  `groupTitle` varchar(150) DEFAULT NULL,
  `group_type` char(3) DEFAULT NULL,
  `group_logo` varchar(150) DEFAULT NULL,
  `menu_script` varchar(150) DEFAULT NULL,
  `seqno` int(9) unsigned DEFAULT NULL,
  `group_abbreviation` varchar(150) DEFAULT NULL,
  `group_desc` varchar(150) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`group_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.groups: ~0 rows (approximately)
/*!40000 ALTER TABLE `groups` DISABLE KEYS */;
INSERT INTO `groups` (`group_id`, `groupTitle`, `group_type`, `group_logo`, `menu_script`, `seqno`, `group_abbreviation`, `group_desc`, `created_at`, `updated_at`) VALUES
	(1, 'EET', NULL, NULL, NULL, NULL, NULL, 'EET', '2021-08-30 16:43:12', '2021-08-30 16:43:12');
/*!40000 ALTER TABLE `groups` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.group_roles
CREATE TABLE IF NOT EXISTS `group_roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_name` varchar(45) NOT NULL,
  `roles_portal_id` int(9) unsigned NOT NULL,
  `portal_type` varchar(45) DEFAULT NULL,
  `cid` varchar(45) NOT NULL,
  `status` varchar(45) DEFAULT NULL,
  `created_at` varchar(45) NOT NULL,
  `updated_at` varchar(45) DEFAULT NULL,
  `created_by` varchar(45) NOT NULL,
  `updated_by` varchar(45) DEFAULT NULL,
  `link` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4;

-- Dumping data for table peoplei_300_people_dev.group_roles: ~8 rows (approximately)
/*!40000 ALTER TABLE `group_roles` DISABLE KEYS */;
INSERT INTO `group_roles` (`id`, `group_name`, `roles_portal_id`, `portal_type`, `cid`, `status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `link`) VALUES
	(1, 'employee', 1, 'web', '48', 'active', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '58472', NULL, 'emportal'),
	(2, 'lm', 2, 'web', '48', 'active', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '58472', NULL, 'lmportal'),
	(3, 'hr', 3, 'web', '48', 'active', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '58472', NULL, 'hrportal'),
	(4, 'cr', 6, 'web', '48', 'active', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '58472', NULL, 'crportal'),
	(5, 'ceo', 5, 'web', '48', 'active', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '58472', NULL, 'ceoportal'),
	(6, 'business-leader', 7, 'web', '48', 'active', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '58472', NULL, 'blportal'),
	(7, 'finance', 8, 'web', '48', 'active', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '58472', NULL, 'financeportal'),
	(8, 'admin', 4, 'web', '48', 'active', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '58472', NULL, 'adminportal');
/*!40000 ALTER TABLE `group_roles` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.menu
CREATE TABLE IF NOT EXISTS `menu` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `menu_title` varchar(50) NOT NULL,
  `parent_id` int(255) NOT NULL,
  `menu_order` tinyint(5) NOT NULL,
  `menu_type_id` int(255) NOT NULL,
  `level` tinyint(4) DEFAULT NULL,
  `client_id` int(255) NOT NULL,
  `icon` varchar(50) DEFAULT NULL,
  `img` varchar(50) DEFAULT NULL,
  `page_menu_title` varchar(50) DEFAULT NULL,
  `created_by` int(255) DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=240 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.menu: ~234 rows (approximately)
/*!40000 ALTER TABLE `menu` DISABLE KEYS */;
INSERT INTO `menu` (`id`, `menu_title`, `parent_id`, `menu_order`, `menu_type_id`, `level`, `client_id`, `icon`, `img`, `page_menu_title`, `created_by`, `updated_at`, `created_at`) VALUES
	(1, 'Home', 0, 1, 1, 1, 48, 'home.png', NULL, 'Home', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(2, 'Org & Emp', 0, 2, 3, 1, 48, 'setting.png', NULL, 'Org & Emp', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(3, 'Rec. & Sel', 0, 3, 3, 1, 48, 'recandsel.png', NULL, 'Rec. & Sel', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(4, 'Comp & Ben', 0, 4, 2, 1, 48, 'compandben.png', NULL, 'Comp & Ben', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(5, 'HR Services', 0, 5, 3, 1, 48, 'hr.png', NULL, 'HR Services', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(6, 'Perf. Mgmt', 0, 6, 3, 1, 48, 'prefmgmt.ico', NULL, 'Performance Management', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(7, 'Conduct', 0, 7, 3, 1, 48, 'conduct.png', NULL, 'Conduct', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(8, 'Analytics', 0, 8, 3, 1, 48, 'analytics.png', NULL, 'Analytics', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(9, 'Profile', 2, 1, 1, 2, 48, NULL, '36.png', 'Profile', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(10, 'Perf. Mgmt', 2, 2, 3, 2, 48, NULL, '36.png', 'Performance Mgmt Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(11, 'Company Setup', 2, 3, 3, 2, 48, NULL, '35.png', 'Company Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(12, 'Employee Policy', 2, 4, 0, 2, 48, NULL, '28.png', 'Employment Policy', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(13, 'Rec & Selection Setup', 2, 5, 0, 2, 48, NULL, '21.png', 'Rec & Selection Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(14, 'Comp & Ben Setup', 2, 6, 3, 2, 48, NULL, '20.png', 'Comp & Ben Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(15, 'HR Services Setup', 2, 8, 3, 2, 48, NULL, '8.png', 'HR Services Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(16, 'Pre. Mgt. Setup', 2, 9, 3, 2, 48, NULL, '27.png', 'Perf. Mgt Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(17, 'Conduct Setup', 2, 10, 0, 2, 48, NULL, '9.png', 'Conduct Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(18, 'Analytics Setup', 2, 11, 3, 2, 48, NULL, '15.png', 'Analytics Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(19, 'Setup', 3, 1, 0, 2, 48, NULL, '16.png', 'Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(20, 'Vacancy Specification', 3, 2, 1, 2, 48, NULL, '28.png', 'Vacancy Specification', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(21, 'Resource Requisition', 3, 3, 1, 2, 48, NULL, '28.png', 'Resource Requisition', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(22, 'Screening & Evaluation', 3, 4, 0, 2, 48, NULL, '10.png', 'Screening & Evaluation', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(23, 'Fresh Inductions', 3, 5, 3, 2, 48, NULL, '22.png', 'Fresh Inductions', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(24, 'Growth & Mobility', 3, 6, 3, 2, 48, NULL, '23.png', 'Growth & Mobility', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(25, 'History & Reports', 3, 7, 0, 2, 48, NULL, '3.png', 'History & Reports', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(26, 'Salary Slip', 4, 1, 1, 2, 48, NULL, '33.png', 'Salary Slip', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(27, 'Salary Detail', 4, 2, 1, 2, 48, NULL, '2.png', 'Salary Detail', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(28, 'Salary Composition', 4, 3, 1, 2, 48, NULL, '2.png', 'Salary Composition', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(29, 'Tax Certificate', 4, 4, 1, 2, 48, NULL, '33.png', 'Tax Certificate', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(30, 'Rewards', 4, 5, 0, 2, 48, NULL, '29.png', 'Rewards', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(31, 'Setup', 4, 6, 0, 2, 48, NULL, '16.png', 'Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(32, 'Compensation', 4, 7, 3, 2, 48, NULL, '2.png', 'Compensation', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(33, 'Benifits', 4, 8, 0, 2, 48, NULL, '29.png', 'Benefits', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(34, 'Payroll', 4, 9, 3, 2, 48, NULL, '33.png', 'Payroll', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(35, 'Analytics', 4, 10, 0, 2, 48, NULL, '3.png', 'History & Reports', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(36, 'Setup', 5, 1, 1, 2, 48, NULL, '16.png', 'Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(37, 'Employee Profiles', 2, 13, 3, 2, 48, NULL, '36.png', 'Employee Profiles', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(38, 'Attendance & Leave', 5, 3, 3, 2, 48, NULL, '30.png', 'Attendance & Leave', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(39, 'Expense', 5, 4, 3, 2, 48, NULL, '4.png', 'Expense', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(40, 'Travel', 5, 5, 3, 2, 48, NULL, '17.png', 'Travel', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(41, 'Loan & Advances', 5, 6, 3, 2, 48, NULL, '5.png', 'Loan & Advances', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(42, 'Letters & Certificates', 5, 7, 0, 2, 48, NULL, '11.png', 'Letters & Certificates', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(43, 'Opportunities', 5, 8, 0, 2, 48, NULL, '24.png', 'Opportunities', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(44, 'Walk out', 5, 9, 0, 2, 48, NULL, '24.png', 'Walk Out', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(45, 'Setup', 6, 1, 3, 2, 48, NULL, '16.png', 'Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(46, 'Job Descriptions', 6, 2, 1, 2, 48, NULL, '4.png', 'Job Descriptions', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(47, 'Goal Settings', 6, 3, 1, 2, 48, NULL, '24.png', 'Goal Settings', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(48, 'Competency Framework', 6, 4, 1, 2, 48, NULL, '14.png', 'Competency Framework', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(49, 'Appraisals', 6, 5, 3, 2, 48, NULL, '18.png', 'Appraisals', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(50, 'Performance Rewards', 6, 6, 3, 2, 48, NULL, '12.png', 'Performance Rewards', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(51, 'Training & Development', 6, 7, 3, 2, 48, NULL, '25.png', 'Training & Development', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(52, 'History & Reports', 6, 8, 3, 2, 48, NULL, '3.png', 'History & Reports', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(53, 'Setup', 7, 1, 0, 2, 48, NULL, '16.png', 'Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(54, 'Grievance', 7, 2, 0, 2, 48, NULL, '19.png', 'Grievance', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(55, 'Disciplinary Feedback', 7, 3, 0, 2, 48, NULL, '34.png', 'Disciplinary Feedback', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(56, 'Dispute Resolution', 7, 4, 0, 2, 48, NULL, '6.png', 'Dispute Resolution', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(57, 'Committee Proceedings', 7, 5, 0, 2, 48, NULL, '26.png', 'Committee Proceedings', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(58, 'Whistle Blowing', 7, 6, 0, 2, 48, NULL, '37.png', 'Whistle Blowing', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(59, 'Harassment', 7, 7, 0, 2, 48, NULL, '13.png', 'Harassment', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(60, 'Incident Report', 7, 8, 0, 2, 48, NULL, '32.png', 'Incident Report', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(61, 'Reports', 7, 9, 0, 2, 48, NULL, '3.png', 'Reports', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(62, 'Setup', 8, 1, 3, 2, 48, NULL, '16.png', 'Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(63, 'Individual', 8, 2, 3, 2, 48, NULL, '7.png', 'Individual', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(64, 'Commerical', 8, 3, 3, 2, 48, NULL, '20.png', 'Commerical', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(65, 'Strategic', 8, 4, 3, 2, 48, NULL, '14.png', 'Strategic', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(66, 'Job Description', 10, 1, 1, 3, 48, NULL, 'job_description_n.png', 'Job Description', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(67, 'Goal Settings', 10, 2, 1, 3, 48, NULL, 'goal_setting.png', 'Goal Settings', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(68, 'Competency Framework', 10, 3, 1, 3, 48, NULL, 'appraisal_application.png', 'Competency Framework', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(69, 'Company Profile', 11, 1, 1, 3, 48, NULL, 'company_profile.png', 'Company Profile', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(70, 'Organization Structure', 11, 2, 1, 3, 48, NULL, 'organization_structure.png', 'Organization Structure', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(72, 'Organization Chart', 2, 14, 1, 2, 48, NULL, 'organization_structure_blue.png', 'Organization Chart', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(73, 'HR Manual', 11, 5, 1, 3, 48, NULL, 'hr_manual.png', 'HR Manual', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(74, 'Fiscal Year', 11, 6, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(75, 'Manage HR', 11, 7, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(76, 'Reference Data', 11, 8, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(77, 'Credentials', 11, 9, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(78, 'Compensation Setup', 31, 1, 1, 3, 48, NULL, 'compensation_setup.png', 'Compensation Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(79, 'Benifits Setup', 31, 2, 1, 3, 48, NULL, 'benefit_setup.png', 'Benefits Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(80, 'Payroll Setup', 31, 3, 1, 3, 48, NULL, 'payroll_setup.png', 'Payroll Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(81, 'Bulk Update Client Salaries', 31, 4, 1, 3, 48, NULL, 'bulk_client_update.png', 'Bulk Update Client', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(82, 'Insert Payroll Data', 31, 5, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(83, 'Work Calendar Setup', 15, 1, 1, 3, 48, NULL, 'work_calendar_setup.png', 'Work Calendar Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(84, 'Shift Setup', 15, 2, 1, 3, 48, NULL, 'shift_setup.png', 'Shift Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(85, 'Leave Setup', 15, 3, 1, 3, 48, NULL, 'leave_setup.png', 'Leave Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(86, 'Loan Setup', 15, 4, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(87, 'Deduct Leaves', 15, 5, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(88, 'Expense Setup', 15, 6, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(89, 'Expense Cost Center', 15, 7, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(90, 'Job Descriptions', 16, 1, 1, 3, 48, NULL, 'job_description_n.png', 'Job Descriptions', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(91, 'Goal Settings', 16, 2, 1, 3, 48, NULL, 'goal_setting.png', 'Goal Settings', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(92, 'Competency Framework', 16, 3, 1, 3, 48, NULL, 'appraisal_application.png', 'Competency Framework', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(93, 'Increment Budget', 16, 4, 1, 3, 48, NULL, 'appraisal_setting.png', 'Increment Budget', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(94, 'Appraisal Setting', 16, 5, 1, 3, 48, NULL, 'increment_budget_2.png', 'Appraisal Setting', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(95, 'Insert BL Data', 36, 1, 1, 3, 48, NULL, 'work_calendar_setup.png', 'Insert BL Data', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(96, 'Upload BL Data', 36, 2, 1, 3, 48, NULL, 'work_calendar_setup.png', 'Upload BL Data', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(97, 'Create Offer', 23, 1, 1, 3, 48, NULL, 'create_offer.png', 'Create Offer', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(98, 'Generate Offer', 23, 2, 1, 3, 48, NULL, 'generate_offer.png', 'Generate Offer', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(99, 'Onboarding', 23, 3, 1, 3, 48, NULL, 'onboarding.png', 'Onboarding', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(100, 'Create Offer', 24, 1, 1, 3, 48, NULL, 'create_offer_gnm.png', 'Create Offer', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(101, 'Generate Offer', 24, 2, 1, 3, 48, NULL, 'generate_offer_gnm.png', 'Generate Offer', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(102, 'Onboarding', 24, 3, 1, 3, 48, NULL, 'onboarding_gnm.png', 'Onboarding', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(103, 'Pay Markets', 32, 1, 1, 3, 48, NULL, 'pay_structure.png', 'Pay Markets', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(104, 'Compensation Strategy', 32, 2, 1, 3, 48, NULL, 'job_benchmarking.png', 'Compensation Strategy', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(105, 'Salary Composition', 32, 3, 1, 3, 48, NULL, 'salary_composition.png', 'Salary Composition', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(106, 'Trial Balance', 34, 3, 1, 3, 48, NULL, 'salary_composition.png', 'Trial Balance', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(107, 'Payroll Detail', 34, 7, 1, 3, 48, NULL, 'job_benchmarking.png', 'Payroll Detail', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(108, 'Statutory Payments', 34, 2, 1, 3, 48, NULL, 'pay_structure.png', 'Statutory Payments', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(109, 'Reconciliation', 34, 6, 1, 3, 48, NULL, 'onboarding_gnm.png', 'Reconciliation', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:22'),
	(110, 'Payment Info', 34, 8, 1, 3, 48, NULL, 'generate_offer_gnm.png', 'Payment Info', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(111, 'Payroll JV', 34, 5, 1, 3, 48, NULL, 'create_offer_gnm.png', 'Payroll JV', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(112, 'Payroll Run', 34, 9, 1, 3, 48, NULL, 'payroll_record.png', 'Payroll Run', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(113, 'Statutory', 35, 1, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(114, 'Benefit', 35, 2, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(115, 'Payroll Record', 35, 3, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(116, 'Rewards', 35, 4, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(117, 'Amendments', 35, 5, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(118, 'Profiles', 37, 1, 1, 3, 48, NULL, 'profile_updates.png', 'Profiles', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(119, 'New Employee', 37, 2, 1, 3, 48, NULL, 'reporting_manager.png', 'New Employee', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(120, 'Reporting Manager', 37, 3, 1, 3, 48, NULL, 'reporting_manager.png', 'Reporting Manager', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(121, 'Document Validity', 37, 4, 1, 3, 48, NULL, 'document_validity.png', 'Document Validity', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(122, 'Export Data', 37, 5, 1, 3, 48, NULL, 'export_data.png', 'Export Data', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(123, 'History & Reports', 37, 6, 1, 3, 48, NULL, 'employee_profile_hr.png', 'History & Reports', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(124, 'Employee List', 37, 7, 1, 3, 48, NULL, 'employee_list.png', 'Employee List', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(125, 'Exit Management', 37, 8, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(126, 'Work Calendar Setup', 38, 1, 1, 3, 48, NULL, 'work_calendar_setup.png', 'Work Calendar Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(127, 'Attendance', 38, 2, 1, 3, 48, NULL, 'attendance.png', 'Attendance', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(128, 'Shift Allocation', 38, 3, 1, 3, 48, NULL, 'Shift allocation.png', 'Shift Allocation', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(129, 'Roster', 38, 4, 1, 3, 48, NULL, 'roaster.png', 'Roster', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(130, 'General Roster', 38, 5, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(131, 'Shift Setup', 38, 6, 1, 3, 48, NULL, 'shift_setup.png', 'Shift Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(132, 'Leave Applications', 38, 7, 1, 3, 48, NULL, 'leave_application.png', 'Leave Applications', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(133, 'Leave Setup', 38, 8, 1, 3, 48, NULL, 'leave_setup.png', 'Leave Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(134, 'Leave Quota', 38, 9, 1, 3, 48, NULL, 'attendance.png', 'Leave Quota', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(135, 'Shift Request', 38, 10, 1, 3, 48, NULL, 'Shift Request.png', 'Shift Request', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(136, 'Apply Leave', 38, 11, 1, 3, 48, NULL, 'apply_leave.png', 'Apply Leave', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(137, 'History & Reports', 38, 14, 1, 3, 48, NULL, 'History and reports.png', 'History & Reports', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(138, 'Setup', 39, 1, 1, 3, 48, NULL, 'setup_.png', 'Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(139, 'Expense Applications', 39, 2, 1, 3, 48, NULL, 'leave_application.png', 'Expense Applications', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(140, 'History & Reports', 39, 3, 1, 3, 48, NULL, 'history_and_reports.png', 'History & Reports', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(141, 'Reports', 39, 4, 1, 3, 48, NULL, 'history_and_reports_expense.png', 'Reports', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(142, 'Setup', 40, 1, 1, 3, 48, NULL, 'travel_setup.png', 'Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(143, 'Travel Applications', 40, 2, 1, 3, 48, NULL, 'leave_application.png', 'Travel Applications', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(144, 'History & Reports', 40, 3, 1, 3, 48, NULL, 'history_and_reports.png', 'History & Reports', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(145, 'Travel Requisitions', 40, 4, 1, 3, 48, NULL, 'travel_requisition.png', 'Travel Requisitions', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(146, 'Vendors', 40, 5, 1, 3, 48, NULL, 'vendors_travel.png', 'Vendors', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(147, 'Reports', 40, 6, 1, 3, 48, NULL, 'history_and_reports_expense.png', 'Reports', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(148, 'Setup', 41, 1, 1, 3, 48, NULL, 'loan_advances_setup.png', 'Setup', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(149, 'Autorization', 41, 2, 1, 3, 48, NULL, 'loan_advances_setup.png', 'Autorization', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(150, 'Reasons', 41, 3, 1, 3, 48, NULL, 'loan_advances_setup.png', 'Reasons', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(151, 'Loan Applications', 41, 4, 1, 3, 48, NULL, 'loan_advances_setup.png', 'Loan Applications', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(152, 'Disbursements', 41, 5, 1, 3, 48, NULL, 'loan_advances_setup.png', 'Disbursements', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(153, 'Installments', 41, 6, 1, 3, 48, NULL, 'loan_advances_setup.png', 'Loan Installments', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(154, 'Upload Data', 41, 7, 1, 3, 48, NULL, 'loan_advances_setup.png', 'Upload Data', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(155, 'History & Reports', 41, 8, 1, 3, 48, NULL, 'loan_advances_history_and_reports.png', 'History & Reports', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(156, 'Setup', 44, 1, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(157, 'Final Settlement', 44, 2, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(158, 'Exit Analysis', 44, 3, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(159, 'History & Reports', 44, 4, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(160, 'Job Description', 45, 1, 1, 3, 48, NULL, 'job_description_n.png', 'Job Description', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(161, 'Goal Settings', 45, 2, 1, 3, 48, NULL, 'goal_setting.png', 'Goal Settings', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(162, 'Competency Framework', 45, 3, 1, 3, 48, NULL, 'appraisal_application.png', 'Competency Framework', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(163, 'Increment Budget', 45, 4, 1, 3, 48, NULL, 'appraisal_setting.png', 'Increment Budget', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(164, 'Apprisal Setting', 45, 5, 1, 3, 48, NULL, 'increment_budget_2.png', 'Apprisal Setting', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(165, 'Evaluation/Appraisal', 49, 1, 1, 3, 48, NULL, 'appraisal.png', 'Evaluation/ Appraisal', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(166, 'Appraisal Applications', 49, 4, 1, 3, 48, NULL, 'appraisal_application.png', 'Appraisal Application', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(167, 'Increment Distribution', 50, 4, 1, 3, 48, NULL, 'increment_distribution.png', 'Increment Distribution', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(168, 'Financial Approval', 50, 5, 1, 3, 48, NULL, 'financial_approval.png', 'Financial Approval', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(169, 'Bell Curve', 49, 2, 1, 3, 48, NULL, 'bell_curve.png', 'Bell Curve', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(170, 'Appraisal Status', 49, 3, 1, 3, 48, NULL, 'appraisal_status.png', 'Appraisal Status', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(171, 'Bonus / Awards', 50, 1, 1, 3, 48, NULL, 'bonus_awards_perf_rewards.png', 'Bonus / Awards', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(172, 'Promotion', 50, 2, 1, 3, 48, NULL, 'promotion_cost_.png', 'Promotion', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(173, 'Emp. Perf. Profile', 52, 1, 1, 3, 48, NULL, 'employee_per._profile.png', 'Emp. Perf. Profile', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(174, 'Appraisal Summary', 52, 2, 1, 3, 48, NULL, 'appraisal_summary_.png', 'Appraisal Summary', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(175, 'Appraisal History', 52, 3, 1, 3, 48, NULL, 'appraisal_history.png', 'Appraisal History', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(176, 'Budget History', 52, 4, 1, 3, 48, NULL, 'budget_history.png', 'Budget History', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(177, 'Increment History', 52, 5, 1, 3, 48, NULL, 'increment_distribution.png', 'Increment History', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(178, 'Reward Report', 52, 6, 1, 3, 48, NULL, 'reward_report.png', 'Reward Report', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(179, 'Promotion Report', 52, 7, 1, 3, 48, NULL, 'promotion_report.png', 'Promotion Report', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(180, 'Department Increments', 52, 8, 1, 3, 48, NULL, 'Department Increments.png', 'Department Increments', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(181, 'Department Reward', 52, 9, 1, 3, 48, NULL, 'Department Rewards.png', 'Department Reward', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(182, 'Department Promotions', 52, 10, 1, 3, 48, NULL, 'Department Promotions.png', 'Department Promotions', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(183, 'Perf. & Reward Profile', 52, 11, 1, 3, 48, NULL, 'Performance Reward & Profile.png', 'Perf. & Reward Profile', 58472, '0000-00-00 00:00:00', '2020-05-18 15:57:23'),
	(184, 'Age Calculator', 49, 5, 1, 3, 48, NULL, NULL, NULL, 58472, '0000-00-00 00:00:00', '2020-06-05 22:21:43'),
	(185, 'Promotion History', 63, 1, 1, 3, 48, NULL, 'promotion_history.png', 'Promotion History', 58472, NULL, '2020-06-05 22:58:50'),
	(186, 'Increment History', 63, 2, 1, 3, 48, NULL, 'increment_history.png', 'Increment History', 58472, NULL, '2020-06-05 22:58:50'),
	(187, 'Bonus History', 63, 3, 1, 3, 48, NULL, 'bonus_history.png', 'Bonus History', 58472, NULL, '2020-06-05 22:58:50'),
	(188, 'Transfer History', 63, 4, 1, 3, 48, NULL, 'transfer_history.png', 'Transfer History', 58472, NULL, '2020-06-05 22:58:51'),
	(189, 'Performance Review', 63, 5, 1, 3, 48, NULL, 'performance_review.png', 'Performance Review', 58472, NULL, '2020-06-05 22:58:51'),
	(190, 'Salary & Wages', 64, 1, 1, 3, 48, NULL, 'salary_and_wages.png', 'Salary & Wages', 58472, NULL, '2020-06-05 22:58:51'),
	(191, 'Promotion Cost', 64, 2, 1, 3, 48, NULL, 'promotion_cost_.png', 'Promotion Cost', 58472, NULL, '2020-06-05 22:58:51'),
	(192, 'Increment Cost', 64, 3, 1, 3, 48, NULL, 'increment_cost.png', 'Increment Cost', 58472, NULL, '2020-06-05 22:58:51'),
	(193, 'Bonus Cost', 64, 4, 1, 3, 48, NULL, 'bonus_cost.png', 'Bonus Cost', 58472, NULL, '2020-06-05 22:58:51'),
	(194, 'Joiner Cost', 64, 5, 1, 3, 48, NULL, 'joiners_cost.png', 'Joiner Cost', 58472, NULL, '2020-06-05 22:58:51'),
	(195, 'Leavers Cost', 64, 6, 1, 3, 48, NULL, 'leavers_cost.png', 'Leavers Cost', 58472, NULL, '2020-06-05 22:58:51'),
	(196, 'Head Count', 65, 1, 1, 3, 48, NULL, 'headcount.png', 'Head Count', 58472, NULL, '2020-06-05 22:58:51'),
	(197, 'Attrition', 65, 2, 1, 3, 48, NULL, 'attrition.png', 'Attrition', 58472, NULL, '2020-06-05 22:58:51'),
	(198, 'Avg. Band Stay', 65, 3, 1, 3, 48, NULL, 'average_band_stay.png', 'Avg. Band Stay', 58472, NULL, '2020-06-05 22:58:51'),
	(199, 'Age Dist.', 65, 4, 1, 3, 48, NULL, 'age_distribution.png', 'Age Dist.', 58472, NULL, '2020-06-05 22:58:51'),
	(200, 'Gender Dist', 65, 5, 1, 3, 48, NULL, 'gender_dist.png', 'Gender Dist', 58472, NULL, '2020-06-05 22:58:51'),
	(201, 'Ethnicity Dist.', 65, 6, 1, 3, 48, NULL, 'ethnicity_distribution.png', 'Ethnicity Dist.', 58472, NULL, '2020-06-05 22:58:51'),
	(202, 'Top Talent', 65, 7, 1, 3, 48, NULL, 'top_talent.png', 'Top Talent', 58472, NULL, '2020-06-05 22:58:51'),
	(203, 'Poor Performers', 65, 8, 1, 3, 48, NULL, 'poor_performer.png', 'Poor Performers', 58472, NULL, '2020-06-05 22:58:51'),
	(204, 'Performance Review', 65, 9, 1, 3, 48, NULL, 'performance_review.png', 'Performance Review', 58472, NULL, '2020-06-05 22:58:51'),
	(205, 'Org. Chart', 65, 10, 1, 3, 48, NULL, 'organization_chart.png', 'Org. Chart', 58472, NULL, '2020-06-05 22:58:51'),
	(206, 'Roster Plan', 38, 12, 1, 3, 48, NULL, 'History and reports.png', 'Roster Plan', 58472, NULL, '2020-06-05 23:44:32'),
	(207, 'Attendance Summary', 38, 13, 1, 3, 48, NULL, 'History and reports.png', 'Attendance Summary', 58472, NULL, '2020-06-05 23:44:33'),
	(208, 'Attendance Summary', 37, 9, 1, 3, 48, NULL, NULL, NULL, 58472, NULL, '2020-06-05 23:44:33'),
	(211, 'Leave Report', 137, 1, 4, 4, 48, NULL, 'leave_report.png', 'Leave Report', 58472, NULL, '2020-07-10 14:46:17'),
	(212, 'Leave Balance Report', 137, 2, 4, 4, 48, NULL, 'leave_balance_report.png', 'Leave Balance Report', 58472, NULL, '2020-07-10 14:53:09'),
	(213, 'Irregularities Report', 137, 3, 4, 4, 48, NULL, 'irregularities_report.png', 'Irregularities Report', 58472, NULL, '2020-07-13 11:30:51'),
	(214, 'Working Hours Report', 137, 4, 4, 4, 48, NULL, 'working_hours_report.png', 'Working Hours Report', 58472, NULL, '2020-07-13 11:30:51'),
	(215, 'Attendance Report', 137, 5, 4, 4, 48, NULL, 'attedance_report.png', 'Attendance Report', 58472, NULL, '2020-07-13 11:30:51'),
	(216, 'LWOP Report', 137, 6, 4, 4, 48, NULL, 'lwop_report.png', 'LWOP Report', 58472, NULL, '2020-07-13 11:30:51'),
	(217, 'Daily Attendance', 137, 7, 4, 4, 48, NULL, 'daily_attendace.png', 'Daily Attendance', 58472, NULL, '2020-07-13 11:30:51'),
	(218, 'Monthly Leave Report', 137, 8, 4, 4, 48, NULL, 'monthly_attendance .png', 'Monthly Leave Report', 58472, NULL, '2020-07-13 11:30:51'),
	(220, 'Appraisal History', 52, 4, 1, 3, 48, NULL, 'increment_distribution.png', 'Appraisal History', 58472, NULL, NULL),
	(221, 'Statutory', 31, 6, 1, 3, 48, NULL, 'irregularities_report.png', 'Statutory', 58472, NULL, NULL),
	(222, 'Terminal Benefits', 31, 7, 1, 3, 48, NULL, 'irregularities_report.png', 'Terminal Benefits', 58472, NULL, NULL),
	(223, 'Insurance', 31, 8, 1, 3, 48, NULL, 'irregularities_report.png', 'Insurance', 58472, NULL, NULL),
	(224, 'Compensation', 31, 9, 1, 3, 48, NULL, 'irregularities_report.png', 'Compensation', 58472, '2021-01-29 12:25:38', '2021-01-29 12:25:40'),
	(225, 'Personal File Setup', 15, 9, 1, 3, 48, NULL, 'shift_setup.png', 'Personal File Setup', 58472, NULL, NULL),
	(226, 'Manage Offer', 23, 4, 1, 3, 48, NULL, 'create_offer.png', 'Manage Offer', 58472, NULL, NULL),
	(227, 'Initiate Onboarding', 23, 5, 1, 3, 48, NULL, 'create_offer.png', 'Initiate Onboarding', 58472, NULL, NULL),
	(228, 'Onboarding Status', 23, 6, 1, 3, 48, NULL, 'onboarding_gnm.png', 'Onboarding Status', 58472, NULL, NULL),
	(229, 'Policy Setup', 2, 7, 1, 2, 48, NULL, 'organization_structure_blue.png', 'Policy Setup', NULL, NULL, NULL),
	(230, 'Work Queue', 34, 1, 1, 3, 48, NULL, NULL, 'Work Queue', 58472, NULL, NULL),
	(231, 'Disbursement', 34, 4, 1, 3, 48, NULL, NULL, 'Disbursement', 58472, NULL, NULL),
	(232, 'Display Settings', 31, 10, 1, 3, 48, NULL, NULL, 'Display Settings', 58472, '2021-07-08 12:24:38', '2021-07-08 12:24:39'),
	(233, 'Employee History', 37, 9, 1, 3, 48, NULL, NULL, 'Employee History', 58472, '2021-08-26 10:24:19', '2021-08-26 10:24:19'),
	(234, 'Letter Templates Setup', 36, 1, 1, 3, 48, NULL, '24.png', 'Letter Templates Setup', 58472, '2021-09-17 15:03:45', '2021-09-17 15:03:48'),
	(236, 'E-Signature Setup', 36, 2, 1, 3, 48, NULL, '24.png', 'E-Signature Setup', 58472, '2021-09-17 15:06:27', '2021-09-17 15:06:28'),
	(237, 'Request Certificate', 42, 1, 3, 3, 48, NULL, '24.png', 'Request Certificate', 58472, NULL, NULL),
	(238, 'Generate Letters', 42, 2, 3, 3, 48, NULL, '24.png', 'Generate Letters', 58472, '2021-09-17 15:43:58', '2021-09-17 15:44:00'),
	(239, 'Reports', 42, 3, 3, 3, 48, NULL, '24.png', 'Reports', 58472, '2021-09-17 16:04:25', '2021-09-17 16:04:27');
	(240, 'Training Calender', 51, 1, 1, 3, 48, NULL, '24.png', 'Reports', 58472, '2021-09-17 16:04:25', '2021-09-17 16:04:27');
	(241, 'TNA', 51, 2, 1, 3, 48, NULL, '24.png', 'Reports', 58472, '2021-09-17 16:04:25', '2021-09-17 16:04:27');
	(242, 'Training Program', 51, 3, 1, 3, 48, NULL, '24.png', 'Reports', 58472, '2021-09-17 16:04:25', '2021-09-17 16:04:27');
	(243, 'Orientation', 51, 4, 1, 3, 48, NULL, '24.png', 'Reports', 58472, '2021-09-17 16:04:25', '2021-09-17 16:04:27');
	(244, 'Reports', 51, 5, 1, 3, 48, NULL, '24.png', 'Reports', 58472, '2021-09-17 16:04:25', '2021-09-17 16:04:27');
/*!40000 ALTER TABLE `menu` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.menu_type
CREATE TABLE IF NOT EXISTS `menu_type` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `menu_type` varchar(100) NOT NULL,
  `created_by` int(255) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.menu_type: ~4 rows (approximately)
/*!40000 ALTER TABLE `menu_type` DISABLE KEYS */;
INSERT INTO `menu_type` (`id`, `menu_type`, `created_by`, `created_at`, `updated_at`) VALUES
	(1, 'landing_page', 58448, '2020-05-05 11:00:05', '0000-00-00 00:00:00'),
	(2, 'menu', 58448, '2020-05-05 11:01:09', '0000-00-00 00:00:00'),
	(3, 'landing_page+menu', 58448, '2020-05-05 11:01:09', '0000-00-00 00:00:00'),
	(4, 'only_landing_page_menu', 58472, '2020-07-10 12:01:47', '0000-00-00 00:00:00');
/*!40000 ALTER TABLE `menu_type` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.portal_roles
CREATE TABLE IF NOT EXISTS `portal_roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `portal_id` tinyint(4) DEFAULT NULL,
  `role_id` int(11) DEFAULT NULL,
  `app_view_config` tinyint(4) DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `FK_portal_roles_sys_portal` (`portal_id`),
  KEY `FK_portal_roles_roles` (`role_id`),
  CONSTRAINT `FK_portal_roles_roles` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`),
  CONSTRAINT `FK_portal_roles_sys_portal` FOREIGN KEY (`portal_id`) REFERENCES `sys_portal` (`portal_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.portal_roles: ~3 rows (approximately)
/*!40000 ALTER TABLE `portal_roles` DISABLE KEYS */;
INSERT INTO `portal_roles` (`id`, `portal_id`, `role_id`, `app_view_config`) VALUES
	(1, 8, 3, 1),
	(3, 2, 2, 0),
	(4, 6, 5, 0);
/*!40000 ALTER TABLE `portal_roles` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.proll_client
CREATE TABLE IF NOT EXISTS `proll_client` (
  `id` int(9) unsigned NOT NULL AUTO_INCREMENT,
  `imp_id` int(10) unsigned DEFAULT NULL,
  `group_id` int(11) unsigned DEFAULT NULL,
  `user_name` varchar(100) DEFAULT NULL,
  `pass_word` varchar(100) DEFAULT NULL,
  `e_pass_word` varchar(50) DEFAULT NULL,
  `companyname` varchar(100) DEFAULT NULL,
  `off_address` text,
  `postalcode` varchar(20) DEFAULT NULL,
  `country` int(9) unsigned DEFAULT NULL,
  `city_id` int(11) unsigned DEFAULT NULL,
  `city` varchar(100) DEFAULT NULL,
  `name_salute` varchar(10) DEFAULT NULL,
  `auth_repre_name` varchar(100) DEFAULT NULL,
  `empcode` varchar(100) DEFAULT NULL,
  `designation` varchar(100) DEFAULT NULL,
  `off_phone` varchar(20) DEFAULT NULL,
  `cell_number` varchar(20) DEFAULT NULL,
  `status` tinyint(1) unsigned DEFAULT NULL,
  `company_disclaimer` text,
  `company_url` varchar(255) DEFAULT NULL,
  `company_email` varchar(100) NOT NULL,
  `fiscal_year_start` date NOT NULL,
  `fiscal_year_end` date NOT NULL,
  `sales_tax_number` varchar(25) NOT NULL,
  `registration_number` varchar(25) NOT NULL,
  `business_type_id` int(11) DEFAULT NULL,
  `legal_status_id` int(11) DEFAULT NULL,
  `logo` varchar(255) DEFAULT NULL,
  `loggedin` datetime DEFAULT NULL,
  `alt_email` varchar(255) DEFAULT NULL,
  `header_file` varchar(100) DEFAULT NULL,
  `footer_file` varchar(100) DEFAULT NULL,
  `bg_img` varchar(50) DEFAULT NULL,
  `bg_color` varchar(10) DEFAULT NULL,
  `portal_id` tinyint(4) DEFAULT '7',
  `user_id` int(11) NOT NULL,
  `created_by` int(11) DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `updated_by` int(11) DEFAULT NULL,
  `updated_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `user_name` (`user_name`),
  KEY `FK_proll_client_sys_portal` (`portal_id`),
  KEY `FK_proll_client_sys_user` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=77 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.proll_client: ~29 rows (approximately)
/*!40000 ALTER TABLE `proll_client` DISABLE KEYS */;
INSERT INTO `proll_client` (`id`, `imp_id`, `group_id`, `user_name`, `pass_word`, `e_pass_word`, `companyname`, `off_address`, `postalcode`, `country`, `city_id`, `city`, `name_salute`, `auth_repre_name`, `empcode`, `designation`, `off_phone`, `cell_number`, `status`, `company_disclaimer`, `company_url`, `company_email`, `fiscal_year_start`, `fiscal_year_end`, `sales_tax_number`, `registration_number`, `business_type_id`, `legal_status_id`, `logo`, `loggedin`, `alt_email`, `header_file`, `footer_file`, `bg_img`, `bg_color`, `portal_id`, `user_id`, `created_by`, `created_date`, `updated_by`, `updated_date`) VALUES
	(48, NULL, 1, 'aaaaaaaaaaaa@gmail.com', '123', '202cb962ac59075b964b07152d234b70', 'Professional Employers Pvt Ltd.', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 1, 'Bombuflat', 'Mr.', 'Myhammad Irfan bhatti', '79105eer', 'Asst Manager Compliance & Audit', '00000000', '000000000', 0, NULL, 'http://', 'irfan.bhatti@people.com.pk', '2018-07-17', '2019-06-26', '321123', '312tsef', 116, 34, '1630559801_Screenshot_2.png', '2021-07-05 11:42:23', 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, '2019-03-07 11:36:00'),
	(49, NULL, NULL, 'hr1@people.com.pk', NULL, NULL, 'Professional Employers Pvt Ltd.', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 1, 'lahore', NULL, 'Myhammad Irfan bhatti', '79105', 'Asst Manager Compliance & Audit', '00000000', '000000000', 1, NULL, 'http://', 'irfan.bhatti@people.com.pk', '2018-07-01', '2019-06-30', '321', '312', 33, 34, NULL, NULL, 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(50, NULL, NULL, 'hr1@people.com', NULL, NULL, 'Professional Employers', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 2, 'lahore', NULL, 'Myhammad Irfan bhatti', '79105', 'Asst Manager Compliance & Audit', '00000000', '0000000000', 1, NULL, 'http://ghtd', 'irfanatti@people.com', '2018-07-01', '2019-06-30', '321', '312', 33, 34, NULL, NULL, 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(51, NULL, NULL, 'hr1@people.com.', NULL, NULL, 'Professional Employers Pvt Ltd.', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 1, 'lahore', NULL, 'Myhammad Irfan bhatti', '79105', 'Asst Manager Compliance & Audit', '00000000', '000000000', 1, NULL, 'http://', 'irfan.bhatti@people.com.pk', '2018-07-01', '2019-06-30', '321', '312', 33, 34, NULL, NULL, 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(52, NULL, NULL, 'hr1@people1.com.pk', NULL, NULL, 'Professional Employers Pvt Ltd.', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 1, 'lahore', NULL, 'Myhammad Irfan bhatti', '79105', 'Asst Manager Compliance & Audit', '00000000', '000000000', 1, NULL, 'http://', 'irfan.bhatti@people.com.pk', '2018-07-01', '2019-06-30', '321', '312', 33, 34, NULL, NULL, 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(53, NULL, NULL, 'hr1@people.com.p', NULL, NULL, 'Professional Employers Pvt Ltd.', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 1, 'lahore', NULL, 'Myhammad Irfan bhatti', '79105', 'Asst Manager Compliance & Audit', '00000000', '000000000', 1, NULL, 'http://', 'irfan.bhatti@people.com.pk', '2018-07-01', '2019-06-30', '321', '312', 33, 34, NULL, NULL, 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(54, NULL, NULL, 'erwqtertwerg', NULL, NULL, 'erwqtertwerg', 'erwqtertwerg', NULL, 1, 6019, 'Berat', NULL, 'erwqtertwerg', 'erwqtertwerg', 'erwqtertwerg', 'erwqtertwerg', 'erwqtertwerg', 1, NULL, 'erwqtertwerg', 'erwqtertwerg', '2021-08-26', '2021-08-27', 'erwqtertwerg', 'erwqtertwerg', 33, 34, NULL, NULL, 'erwqtertwerg', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(55, NULL, NULL, 'console.log();', NULL, NULL, 'console.log();', 'console.log();', NULL, 1, 6019, 'Berat', NULL, 'console.log();', 'console.log();', 'console.log();', 'console.log();', 'console.log();', 1, NULL, 'console.log();', 'console.log();', '2021-08-20', '2021-09-04', 'console.log();', 'console.log();', 33, 34, NULL, NULL, 'console.log();', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(56, NULL, NULL, 'http://localhost:4200/org-emp/company-setup/company-profile/basic-information/add', NULL, NULL, '1111', 'http://localhost:4200/org-emp/company-setup/company-profile/basic-information/add', NULL, 1, 6019, 'Berat', NULL, 'http://localhost:4200/org-emp/company-setup/company-profile/basic-information/add', 'http://localhost:4200/org-emp/company-setup/company-profile/basic-information/add', 'http://localhost:4200/org-emp/company-setup/company-profile/basic-information/add', 'http://localhost:420', 'http://localhost:420', 1, NULL, 'http://localhost:4200/org-emp/company-setup/company-profile/basic-information/add', 'http://localhost:4200/org-emp/company-setup/company-profile/basic-information/add', '2021-08-28', '2021-09-02', 'http://localhost:4200/org', 'http://localhost:4200/org', 33, 34, NULL, NULL, 'http://localhost:4200/org-emp/company-setup/company-profile/basic-information/add', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(57, NULL, NULL, 'testdata', NULL, NULL, 'testdata', 'testdata', NULL, 1, 6019, 'Berat', NULL, 'testdata', 'testdata', 'testdata', 'testdata', 'testdata', 1, NULL, 'testdata', 'testdata', '2021-08-20', '2021-08-28', 'testdata', 'testdata', 33, 34, NULL, NULL, 'testdata', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(58, NULL, NULL, 'sefadsasfdas', NULL, NULL, 'sefadsasfdas', 'sefadsasfdas', NULL, 1, 6019, 'Berat', NULL, 'sefadsasfdas', 'sefadsasfdas', 'sefadsasfdas', 'sefadsasfdas', 'sefadsasfdas', 1, NULL, 'sefadsasfdas', 'sefadsasfdas', '2021-08-13', '2021-09-08', 'sefadsasfdas', 'sefadsasfdas', 33, 34, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(59, NULL, NULL, 'gfrvadfgvadf', NULL, NULL, '1111', '1111', NULL, 1, 6020, 'Polican', NULL, 'sefadsasfdas', 'sefadsasfdas', 'sefadsasfdas', 'sefadsasfdas', 'sefadsasfdas', 1, NULL, 'console.log();', 'sefadsasfdas', '2021-08-28', '2021-08-20', 'sefadsasfdas', 'sefadsasfdas', 33, 34, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(60, NULL, NULL, 'gcfgcf g', NULL, NULL, 'gcfgf y', 'gcfghcfghc', NULL, 1, 6022, 'Bulqize', NULL, 'sefadsasfdas', 'sefadsasfdas', 'sefadsasfdas', 'sefadsasfdas', 'sefadsasfdas', 1, NULL, 'console.log();', 'augcf@gm.com', '2021-08-27', '2021-08-28', 'sefadsasfdas', 'sefadsasfdas', 33, 34, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(61, NULL, NULL, 'hr@orixproperties.com', NULL, NULL, 'OPP Private Limited', '48T, Gulberg II', NULL, 154, 31439, 'Lahore', NULL, 'Irfan Bhatti', '79105', 'Assistant Manager HR', '92-42-111000737', '92-42-111000737', 1, NULL, 'www.orixproperties.com', 'hr@orixproperties.com', '0000-00-00', '0000-00-00', 'B654321', 'A123456', 110, 115, NULL, NULL, '', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(62, NULL, NULL, 'hr1@people.co', NULL, NULL, 'Professional Employers Pvt Ltd.', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 1, 'lahore', NULL, 'Myhammad Irfan bhatti', '79105', 'Asst Manager Compliance & Audit', '00000000', '000000000', 1, NULL, 'http://', 'irfan.bhatti@people.com.pk', '2018-07-01', '2019-06-30', '321', '312', 33, 34, NULL, NULL, 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(63, NULL, NULL, 'hr1@people.cdasd', NULL, NULL, 'Professional Employers Pvt Ltd.', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 1, 'Bombuflat', NULL, 'Myhammad Irfan bhatti', '79105', 'Asst Manager Compliance & Audit', '00000000', '000000000', 1, NULL, 'http://', 'irfan.bhatti@people.com.pk', '2018-07-01', '2019-06-30', '321', '312', 33, 34, '1630480277_Screenshot_2.png', NULL, 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(64, NULL, NULL, 'hr1@people.cdas', NULL, NULL, 'Professional Employers Pvt Ltd.', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 1, 'Bombuflat', NULL, 'Myhammad Irfan bhatti', '79105', 'Asst Manager Compliance & Audit', '00000000', '000000000', 1, NULL, 'http://', 'irfan.bhatti@people.com.pk', '2018-07-01', '2019-06-30', '321', '312', 111, 34, '1630487648_Screenshot_2.png', NULL, 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(65, NULL, NULL, 'hr1@people.cdassdfgf', NULL, NULL, 'Professional Employers Pvt Ltd.', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 1, 'lahore', NULL, 'Myhammad Irfan bhatti', '79105', 'Asst Manager Compliance & Audit', '00000000', '000000000', 1, NULL, 'http://', 'irfan.bhatti@people.com.pk', '2018-07-01', '2019-06-30', '321', '312', 33, 34, NULL, NULL, 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(66, NULL, NULL, 'hr1@people.cdassfgf', NULL, NULL, 'Professional Employers Pvt Ltd.', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 1, 'lahore', NULL, 'Myhammad Irfan bhatti', '79105', 'Asst Manager Compliance & Audit', '00000000', '000000000', 1, NULL, 'http://', 'irfan.bhatti@people.com.pk', '2018-07-01', '2019-06-30', '321', '312', 33, 34, NULL, NULL, 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(67, NULL, NULL, 'fgsdthnjn', NULL, NULL, 'sefadsasfdas', 'console.log();', NULL, 1, 6019, 'Berat', NULL, 'sefadsasfdas', 'asfadsfsdffa', 'sefadsasfdas', 'sefadsasfdas', 'sefadsasfdas', 1, NULL, 'console.log();', 'augcf@gm.com', '2021-08-24', '2021-08-27', 'sefadsasfdas', 'sefadsasfdas', 33, 34, NULL, NULL, 'afgfregf@fasd.co', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(68, NULL, NULL, '22222222222222222222222', NULL, NULL, 'sefadsasfdas', '1111', NULL, 1, 6019, 'Berat', NULL, 'sefadsasfdas', 'sefadsasfdas', 'sefadsasfdas', 'sefadsasfdas', 'sefadsasfdas', 1, NULL, 'console.log();', 'irfan.bhatti@people.com.pk', '2021-08-30', '2021-09-03', 'sefadsasfdas', 'sefadsasfdas', 33, 34, '1630405319_image.png', NULL, 'afgfregf@fasd.co', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(69, NULL, NULL, 'trimpo@gmail.com', NULL, NULL, 'nnnnnnnnnn', 'nnnnnnnnnn', NULL, 1, 6025, 'Maqellare', NULL, 'nnnnnnnnnn', 'nnnnnnnnnn', 'nnnnnnnnnn', 'nnnnnnnnnn', 'nnnnnnnnnn', 1, NULL, 'vnnnnnnnnnn', 'sdfaj@gmail.com', '2021-09-01', '2021-09-02', '3423423423', '4234242423', 112, 34, '1630481727_image_(6).png', NULL, 'sdfaj@gmail.com', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(70, NULL, NULL, 'w3e4r5t6y', NULL, NULL, 'testdata', 'testdata', NULL, 8, 6484, 'Catamarca', NULL, '11', 'testdata', '1333', '1', '1331211445', 1, NULL, '1ssssss', '1111@d.com', '2021-08-03', '2021-08-31', 'sefadsasfdas', 'sefadsasfdas', 33, 34, '1630366836_image.png', NULL, 'head@t.com', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(71, NULL, NULL, 'hr1@people.cdassfgf43454545', NULL, NULL, 'Professional Employers Pvt Ltd.', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 1, 'lahore', NULL, 'Myhammad Irfan bhatti', '79105', 'Asst Manager Compliance & Audit', '00000000', '000000000', 1, NULL, 'http://', 'irfan.bhatti@people.com.pk', '2018-07-01', '2019-06-30', '321', '312', 33, 34, '1630367480_angular-12-ivy.png', NULL, 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(72, NULL, NULL, 'Tester Nester', NULL, NULL, 'Probase imc', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 1, 6021, 'Ure Vajgurore', NULL, 'Mehrjk', '791055', '123577', '45454545', '455556565656', 1, NULL, 'www.timpo.com', 'irfan.bhatti@people.com.pk', '2021-08-01', '2021-08-04', '3234556', '4356789943', 33, 34, '1630369172_angular-12-ivy.png', NULL, 'afgfregf@fasd.co', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(73, NULL, NULL, '455466656', NULL, NULL, 'sonam445.com', '343454556', NULL, 167, 36099, 'Liman', NULL, '455656', '233434', '344545', '45', '4344545454545', 1, NULL, 'testdata', '3434@yahoo.com', '2021-08-31', '2021-09-09', '344', '32344454556', 111, 34, '1630490661_1630372507_dummy-pic.jpg', NULL, '32445@yahoo.com', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(74, NULL, NULL, 'hr1@pe', NULL, NULL, 'Professional Employers Pvt Ltd.', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 1, 'lahore', NULL, 'Myhammad Irfan bhatti', '79105', 'Asst Manager Compliance & Audit', '00000000', '000000000', 1, NULL, 'http://', 'irfan.bhatti@people.com.pk', '2018-07-01', '2019-06-30', '321', '312', 33, 34, NULL, NULL, 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(75, NULL, NULL, 'hr1@pe.com.pk', NULL, NULL, 'Professional Employers Pvt Ltd.', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 1, 'lahore', NULL, 'Myhammad Irfan bhatti', '79105', 'Asst Manager Compliance & Audit', '00000000', '000000000', 1, NULL, 'http://', 'irfan.@peopk', '2018-07-01', '2019-06-30', '321', '312', 33, 34, NULL, NULL, 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL),
	(76, NULL, NULL, 'hr1@pe.com.pk2', NULL, NULL, 'Professional Employers Pvt Ltd.', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 97, 1, 'lahore', NULL, 'Myhammad Irfan bhatti', '79105', 'Asst Manager Compliance & Audit', '00000000', '000000000', 1, NULL, 'http://', 'irfan.@peopk', '2018-07-01', '2019-06-30', '321', '312', 33, 34, NULL, NULL, 'irfan.bhatti@people.com.pk', NULL, NULL, NULL, NULL, 7, 0, NULL, NULL, NULL, NULL);
/*!40000 ALTER TABLE `proll_client` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.proll_client_assist
CREATE TABLE IF NOT EXISTS `proll_client_assist` (
  `id` int(9) unsigned NOT NULL AUTO_INCREMENT,
  `cid` int(9) DEFAULT NULL,
  `imp_id` int(10) unsigned DEFAULT NULL,
  `emp_id` int(11) unsigned DEFAULT NULL,
  `access_role` int(11) DEFAULT NULL,
  `user_name` varchar(100) DEFAULT NULL,
  `pass_word` varchar(100) DEFAULT NULL,
  `e_pass_word` varchar(255) NOT NULL,
  `companyname` varchar(100) DEFAULT NULL,
  `off_address` text,
  `postalcode` varchar(20) DEFAULT NULL,
  `country` int(9) unsigned DEFAULT NULL,
  `city` varchar(100) DEFAULT NULL,
  `name_salute` varchar(10) DEFAULT NULL,
  `auth_repre_name` varchar(100) DEFAULT NULL,
  `empcode` varchar(100) DEFAULT NULL,
  `designation` varchar(100) DEFAULT NULL,
  `off_phone` varchar(20) DEFAULT NULL,
  `cell_number` varchar(20) DEFAULT NULL,
  `status` tinyint(1) unsigned DEFAULT NULL,
  `company_disclaimer` text,
  `company_url` varchar(255) DEFAULT NULL,
  `logo` varchar(255) DEFAULT NULL,
  `loggedin` datetime DEFAULT NULL,
  `alt_email` varchar(255) DEFAULT NULL,
  `header_file` varchar(100) DEFAULT NULL,
  `footer_file` varchar(100) DEFAULT NULL,
  `bg_img` varchar(50) DEFAULT NULL,
  `bg_color` varchar(10) DEFAULT NULL,
  `role_id` int(11) DEFAULT NULL,
  `account_type` tinyint(4) DEFAULT NULL,
  `region_id` varchar(200) DEFAULT NULL,
  `region_name` varchar(500) NOT NULL,
  `portal_id` tinyint(4) DEFAULT '8',
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `cid_emp_id_access_role` (`cid`,`emp_id`,`access_role`),
  KEY `FK_proll_client_assist_sys_portal` (`portal_id`),
  KEY `FK_proll_client_assist_sys_user` (`user_id`),
  KEY `FK_proll_client_assist_roles` (`access_role`),
  KEY `FK_proll_client_assist_proll_employee` (`emp_id`),
  CONSTRAINT `FK_proll_client_assist_proll_employee` FOREIGN KEY (`emp_id`) REFERENCES `proll_employee` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_proll_client_assist_roles` FOREIGN KEY (`access_role`) REFERENCES `roles` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.proll_client_assist: ~13 rows (approximately)
/*!40000 ALTER TABLE `proll_client_assist` DISABLE KEYS */;
INSERT INTO `proll_client_assist` (`id`, `cid`, `imp_id`, `emp_id`, `access_role`, `user_name`, `pass_word`, `e_pass_word`, `companyname`, `off_address`, `postalcode`, `country`, `city`, `name_salute`, `auth_repre_name`, `empcode`, `designation`, `off_phone`, `cell_number`, `status`, `company_disclaimer`, `company_url`, `logo`, `loggedin`, `alt_email`, `header_file`, `footer_file`, `bg_img`, `bg_color`, `role_id`, `account_type`, `region_id`, `region_name`, `portal_id`, `user_id`) VALUES
	(1, 48, NULL, 17730, 2, 'ppm@people.com.pk', '123258', '$2y$10$C.aTgoqbRysiVxrenhESo.OKlEukmhvUvS3McXBZaGoPZ82TiPJgC', 'Master Account', 'janobi kerela', '', 154, 'Lahore', 'Mr.', 'Umar Farooq', '00000', 'Master Account', '+968-', '+968-', 189, '', 'http://', '1551955003.png', '2021-08-27 13:23:48', '', '', '', '', '', 2, 0, '0', '', 8, 14),
	(2, 48, NULL, 56193, 2, 'mazhar.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 'People', NULL, NULL, 154, 'Lahore', 'Mr.', 'Mazhar Khan', NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL, '2021-09-03 06:07:53', NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, '', 8, 589),
	(3, 48, NULL, 57523, 2, 'ahmed.abrahim@people.com.pk', 'abrahim', '202cb962ac59075b964b07152d234b70', 'People', NULL, NULL, 154, 'Lahore', 'Mr.', 'Ahmed Abrahim Butt', NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL, '2020-04-16 10:09:44', NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, '', 8, 641),
	(4, 48, NULL, 51991, 2, 'hasnain.qureshi@people.com.pk', '405Aa$', '$2y$10$.qx7w.ve/hfklFpWTg6f5OkRw6U.odiVSbTwM/H9Oq/1LaeQUjtTe', 'Sr. Executive CR', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 154, 'Lahore', '211', 'Hasnain Qureshi', NULL, NULL, '545646577', '+92-', 184, NULL, NULL, NULL, '2019-04-04 01:48:48', NULL, NULL, NULL, NULL, NULL, 2, NULL, NULL, '', 8, 589),
	(5, 48, NULL, 17282, 2, 'gohar.butt@people.com.pk', '123258', '202cb962ac59075b964b07152d234b70', 'People', NULL, NULL, 154, 'Lahore', 'Mr.', 'Gohar Butt', NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL, '2021-07-03 08:49:45', NULL, NULL, NULL, NULL, NULL, 9, NULL, NULL, '', 8, 589),
	(6, 48, NULL, 55572, 2, 'irfan.bhatti@people.com.pk', '123258', '202cb962ac59075b964b07152d234b70', 'People', NULL, NULL, 154, 'Lahore', 'Mr.', 'Irfan Ahmad Bhatti', NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL, '2021-10-06 13:59:57', NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, '', 8, 568),
	(11, 48, NULL, 17268, NULL, 'sample record', '123', '$2y$10$GzVViXmPNypxtN95/iTpned7a.q3GoJv0T70kJVrMT8POltvd4R8a', 'wwdaads', 'dsadsdsadsa', NULL, 154, 'lahore', '1', 'waleed', NULL, NULL, NULL, '3213232', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2, NULL, NULL, '', 8, 0),
	(12, 48, NULL, 17268, NULL, 'sample record', '123', '$2y$10$bEYxyOgBWYTEro5VS4x/uejM4m0Nb00ypxWOnChOCAzU99zLD.wuK', 'wwdaads', 'dsadsdsadsa', NULL, 154, 'lahore', '1', 'waleed', NULL, NULL, NULL, '3213232', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2, NULL, NULL, '', 8, 0),
	(13, 48, NULL, 17268, NULL, 'sample record', '123', '$2y$10$yLXsEjMJ40uyazeVI8g9leGOfw0I2H1DjJW9MzDJafEFFjxDcYuNq', 'wwdaads', 'dsadsdsadsa', NULL, 154, 'lahore', '1', 'waleed', NULL, NULL, NULL, '3213232', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2, NULL, NULL, '', 8, 0),
	(14, 48, NULL, 17268, NULL, 'sample record', '123', '$2y$10$.IO5vNLzws7vJostRlPA9.cTnvryiz/JBFuNukcDnc0rrEdrCkar2', 'wwdaads', 'dsadsdsadsa', NULL, 154, 'lahore', '1', 'waleed', NULL, NULL, NULL, '3213232', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2, NULL, NULL, '', 8, 0),
	(15, 48, NULL, 17268, NULL, 'hasnain.qureshi@people.com.pk', '123', '$2y$10$0ZVGtHaHohq3s7soJ18Bf.MHUOFsZuR.fiReDiu8RBufOw2.u7kT.', 'wwdaads', 'dsadsdsadsa', NULL, 154, 'lahore', '1', 'waleed', NULL, NULL, NULL, '3213232', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2, NULL, NULL, '', 8, 0),
	(16, 48, NULL, 17268, NULL, 'hasnain.qureshi@people.com.pk', '123', '$2y$10$.1PQfSAHEd59sq8fbaxi8Oip3ci46imGAOm0BsFbDfWnSty.8/JhK', 'wwdaads', 'dsadsdsadsa', NULL, 154, 'lahore', '1', 'waleed', NULL, NULL, NULL, '3213232', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2, NULL, NULL, '', 8, 0),
	(17, 48, NULL, 51991, NULL, 'hasnain.qureshi@people.com.pk', '123', '$2y$10$LG3fzPSwVVLVDbq5mQxpCe6CrTWPYmpnxvdkdkIkBL4.LjTqKPU7O', 'Sr. Executive CR', '46-T, Gulbarg-II, Lahore, Pakistan', NULL, 154, 'Lahore', '211', 'Hasnain Qureshi', NULL, NULL, NULL, '+92-', 190, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6, NULL, NULL, '', 8, 0);
/*!40000 ALTER TABLE `proll_client_assist` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.proll_client_designation
CREATE TABLE IF NOT EXISTS `proll_client_designation` (
  `designation_id` int(11) NOT NULL AUTO_INCREMENT,
  `designation_name` varchar(100) DEFAULT NULL,
  `designation_description` varchar(255) DEFAULT NULL,
  `country_id` int(11) DEFAULT NULL,
  `cid` int(11) DEFAULT NULL,
  `status` char(1) DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  PRIMARY KEY (`designation_id`),
  UNIQUE KEY `designation_name_country_id_cid` (`designation_name`,`country_id`,`cid`)
) ENGINE=InnoDB AUTO_INCREMENT=279 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.proll_client_designation: ~225 rows (approximately)
/*!40000 ALTER TABLE `proll_client_designation` DISABLE KEYS */;
INSERT INTO `proll_client_designation` (`designation_id`, `designation_name`, `designation_description`, `country_id`, `cid`, `status`, `created_by`, `created_date`, `modified_by`, `modified_date`) VALUES
	(3, 'Unit Head Financial Reporting', 'Nigeria Land', 147, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(4, 'Finance Executive', 'Hello', 167, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(5, 'Senior Network Engineer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(7, 'Senior Executive CR', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(10, 'Sr. Executive CR', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(11, 'Team Head Client Relationships', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(12, 'Manager HR', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(13, 'Unit Head Client Relationships', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(14, 'Segment Head PO Verifications', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(15, 'Country Head Finance & Co. Sec.', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(16, 'Chief Executive Officer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(17, 'Assistant Manager HCM & OD', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(18, 'Assistant Finance Manager', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(19, 'Segment Head Marketing & Salaes', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(20, 'Operations Executive SD - MIS', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(21, 'Executive Client Relationships', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(22, 'Receptionist', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(23, 'Consultant Executive Search', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(24, 'Assistant Manger Finance', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(25, 'Manager IT', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(26, 'Segment Head HCM & OD', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(27, 'Segment Head IS & Service Delivery', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(28, 'Senior Executive Client Relationships', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(29, 'Sr. Executive Client Relationships', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(30, 'Assistant Manager Finance', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(31, 'Team Head Service Delivery - CPU', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(32, 'Segment Head Client Relationships', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(33, 'Sr. Exe. Compliance & Audit', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(35, 'Assistant Manager Administration', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(36, 'Director', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(37, 'Team Head SD-MIS', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(38, 'Country Head Client Relationships', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(40, 'Segment Head International Business Development', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(41, 'Regional Head Marketing & Sales', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(42, 'Sr. Exe PO - Verifications', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(43, 'AM Service Delivery - MIS', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(44, 'Verification Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(45, 'Rider', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(46, 'PA to CEO', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(47, 'Team Head PO - Verifications', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(49, 'Sweeper', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(50, 'Driver', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(52, 'Operations Executive SD-CPU', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(53, 'Office Boy', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(59, 'Electrician', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(60, 'Exective Client Relationships', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(63, 'Country Head Executive Search', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(64, 'Principal Consultant - Executive Search', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(65, 'Country Head Training & Development Business', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(66, 'System Administrator', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(67, 'Team Head SD-CPU', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(68, 'Project Coordinator', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(69, 'Segment Head Strategic Planning', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(71, 'Assistant Manager', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(74, 'Segment Head Marketing & Sales', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(76, 'Senior Graphic Designer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(77, 'Senior Software Engineer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(78, 'Network Administrator', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(79, 'Liability Sales Officer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(80, 'OCO', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(81, 'Cash Officer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(83, 'Collection Officer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(84, 'Sales Officer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(85, 'Senior Executive Service Delivery', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(87, 'Web Designer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(89, 'Executive Director', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(92, 'Office Assistant', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(94, 'cso', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(95, 'EAMU Processor', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(99, 'Sr. Executive SD - MIS', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(101, 'Senior Software eengineer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(103, 'Support Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(106, 'Customer Service Officer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(107, 'Regional Sales Manager', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(108, 'Retail sales officer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(110, 'Agriculture Finance Officer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(111, 'Internee', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(112, 'Account Assistant', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(114, 'Executive- Client Relationships', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(116, 'Assistant Manager Compliance & Audit', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(120, 'R.S.O', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(122, 'Customer Service Reprisentative', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(123, 'Unit Head - CR', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(124, 'Senior Executive SD MIS', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(127, 'CSR', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(128, 'Team Head Client Relationship', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(129, 'Team Head SD CPU', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(131, 'C.S.O', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(132, 'Assistant Manager - SD MIS', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(133, 'Collections Officer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(135, 'Retail Sale Officer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(136, 'bancaasurance sale officer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(137, 'Associate Consultant', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(138, 'fuel controller', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(140, 'Executive Client Relationship', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(141, 'AM Corporate Affairs', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(142, 'Officer Bills & Clearing', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(144, 'Unit Head Process Outsourcing - Payroll Management', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(145, 'CRO', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(146, 'Operation Executive SD-MIS', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(147, 'Employee Service Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(148, 'coordinator', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(149, 'Head HR & Service Delivery', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(150, 'Operation Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(151, 'Operations Executive Service Delivery-CPU', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(152, 'Janitor', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(154, 'Computer Operator', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(155, 'Segment Head - Corporate Finance & Advisory', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(156, 'date entry officer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(157, 'Unit Head Investment & Advisory Services', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(158, 'Team Head CPU', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(159, 'Sales Executive', '', 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-08-27 03:06:00'),
	(160, 'Executive Coordinator', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(161, 'Executive -Client Relationship', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(162, 'Front Desk Officer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(163, 'Unit Head HCM & OD', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(164, 'Business Analyst', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(165, 'Senior Excutive Client Relationships', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(166, 'Executive Administration', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(167, 'PHP Developer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(168, 'Software Engineer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(169, 'Senior Executive Client Relationship', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(170, 'Regional head South', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(171, 'Manager I.T', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(173, 'Financial Controller', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(174, 'Regional Head - Sales & Marketing', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(175, 'Operations Executive(CPU)', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(176, 'Unit Head Client Services', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(177, 'Management Trainee', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(178, 'Documents Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(179, 'Sr Executive Client Relationship', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(180, 'Unit Head Client Relationship', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(181, 'Sr. Executive Client Relationship', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(182, 'Asst. Manager IT', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(183, 'Employee Services Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(184, 'Network Engineer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(185, 'Sr. Executive HCM & OD', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(186, 'Sr.Executive Client Relationship', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(187, 'AM Finance', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(188, 'Payroll Specialist', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(189, 'Manager Administration & Corporate Affairs', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(190, 'Receptionist / Telephone Operator', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(191, 'Unit Head Sales', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(192, 'Security Coordinator', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(193, 'Executive CR', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(194, 'Sr. Executive / Admin Coordinator', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(195, 'Dispatch Officer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(196, 'Assistant Coordinator', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(197, 'IT Support Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(198, 'Security Guard', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(199, 'Client Relationship Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(200, 'Guard', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(201, 'Gardner', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(202, 'Housekeeping Supervisor', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(203, 'Security Supervisor', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(205, 'Excecutive Client Relationship', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(206, 'Team Head - Finance & Operations', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(207, 'Operation Executive SD-CPU', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(208, 'Sr.Excecutive Client Relationship', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(209, 'Advisor to MD', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(210, 'Assistant Network Engineer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(211, 'Sr. Operation Executive MIS', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(212, 'Branch Manager', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(213, 'Sr. Finance Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(214, 'Manager Accounts', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(215, 'Unit Head Service Delivery', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(216, 'Asst Manager Accounts', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(217, 'Sr. Consultant - Executive Search', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(218, 'it managers assistant test', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(219, 'Asst Network Engineer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(220, 'Asst Manager Finance', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(221, 'Sr Executive Admn', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(223, 'ASP .NET Developer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(224, 'Executive Corporate Affairs & Admin', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(225, 'Asst. Manager Software Development', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(226, 'Sr. Executive Finance', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(227, 'Segment Head-Sales & Relationship Manangement', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(228, 'Supervisor Housekeeping & Admin', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(229, 'Sr. Operations Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(230, 'Client Relatioship Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(231, 'Dog Trainer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(232, 'Sr. Executive Admin & Security', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(233, 'Testing', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(234, 'Operations Executive SD-MIS', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(235, 'FDO', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(236, 'GM Operations', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(237, 'Sr. Accounts Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(238, 'Head HCM & OD', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(239, 'IT Assistant', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(240, 'Asst Manager Compliance & Audit', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(241, 'Head of Sales & Marketing', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(242, 'Sr Executive Accounts', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(243, 'Head of IT', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(244, 'Accounts Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(245, 'Software Developer PHP', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(246, 'Unit Head HCM&OD', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(247, 'Software Developer - PHP', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(248, 'Manager Marketing & Strategic Planning', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(249, 'Houseman', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(250, 'Senior Software Developer', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(251, 'Sr Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(252, 'CR Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(253, 'Training Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(254, 'HR Coordinator', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(255, 'Executive Process Outsourcing', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(256, 'Sr. Executive Accounts', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(257, 'SQA Analyst', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(258, 'Database Administrator', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(259, 'Sr Training Executive', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(263, 'Sr. Operations Executive & Analyst', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(264, 'Sr. Executive Sales', NULL, 154, 48, '1', 48, '2019-02-23 00:00:00', 48, '2019-02-23 00:00:00'),
	(265, 'HR Assistant', 'HR Assistant', 154, 48, '1', NULL, '2019-03-20 04:38:00', NULL, '2019-03-20 04:38:00'),
	(266, 'Product Manager', 'Product Manager - IT', 154, 48, '1', NULL, '2019-05-11 03:47:00', NULL, '2019-05-11 03:47:00'),
	(267, 'Sr. Software Quality Engineer', '', 154, 48, '1', NULL, '2019-06-20 12:34:00', NULL, '2019-06-20 12:34:00'),
	(268, 'Senior DevOps Engineer', '', 154, 48, '1', NULL, '2019-08-24 12:52:00', NULL, '2019-08-24 12:52:00'),
	(269, 'Operations Manager', '', 211, 48, '1', NULL, '2019-08-27 03:05:00', NULL, '2019-08-27 03:05:00'),
	(270, 'Admin & CR Executive', '', 211, 48, '1', NULL, '2019-08-27 03:10:00', NULL, '2019-08-27 03:10:00'),
	(271, 'Office Secretary', '', 211, 48, '1', NULL, '2019-08-27 03:10:00', NULL, '2019-08-27 03:10:00'),
	(272, 'Senior Network Administrator', '', 154, 48, '1', NULL, '2019-09-05 11:58:00', NULL, '2019-09-05 11:58:00'),
	(273, 'Unit Head SD-MIS', '', 154, 48, '1', NULL, '2019-09-05 12:57:00', NULL, '2019-09-05 12:57:00'),
	(274, 'Sr. Credit Analyst', '', 154, 48, '1', NULL, '2019-09-05 12:57:00', NULL, '2019-09-05 12:57:00'),
	(275, 'Asst. Manager SD-MIS', '', 154, 48, '1', NULL, '2019-09-05 12:57:00', NULL, '2019-09-05 12:57:00'),
	(276, 'test', 'sample', 154, 48, '1', NULL, NULL, NULL, NULL),
	(277, 'Unit Head Financial Reporting', 'fgfghf', 140, 48, '1', NULL, NULL, NULL, NULL),
	(278, 'Unit Head Financial Reporting', 'fgdgdfgfgdfg', 167, 48, '1', NULL, NULL, NULL, NULL);
/*!40000 ALTER TABLE `proll_client_designation` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.proll_department_managers
CREATE TABLE IF NOT EXISTS `proll_department_managers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `empid` int(11) DEFAULT NULL,
  `line_manager` varchar(60) NOT NULL,
  `parent_reporting_lm` int(11) DEFAULT NULL,
  `department_hierarchy_id` int(11) DEFAULT NULL,
  `loc_id` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `status` int(11) DEFAULT NULL,
  `email` varchar(100) NOT NULL,
  `password` varchar(255) DEFAULT NULL,
  `imp_id` int(10) unsigned DEFAULT NULL,
  `dep_code` varchar(50) DEFAULT NULL,
  `department_region_id` int(11) DEFAULT NULL,
  `department_group3_id` int(11) DEFAULT NULL,
  `department` varchar(100) NOT NULL,
  `dep_description` text,
  `e_password` varchar(50) DEFAULT NULL,
  `loggedin` datetime DEFAULT NULL,
  `bg_img` varchar(50) DEFAULT NULL,
  `bg_color` varchar(10) DEFAULT NULL,
  `CompWideStatus` enum('Yes','No') NOT NULL DEFAULT 'No' COMMENT 'this field is to check whether linemanager have rights to vew company wide empployee or not',
  `empcode` int(11) NOT NULL,
  `nielsenempcode` varchar(50) NOT NULL,
  `department_name_editable` tinyint(1) NOT NULL DEFAULT '1',
  `created_by` int(11) NOT NULL,
  `updated_by` int(11) DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `updated_date` datetime DEFAULT NULL,
  `department_group_heirarchy_id` int(10) unsigned DEFAULT NULL,
  `user_id` int(11) NOT NULL,
  `portal_id` tinyint(4) DEFAULT '2',
  `reported_sub_department_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `cid_department_region_id_department_department_group3_id` (`cid`,`department_region_id`,`department`,`department_group3_id`),
  UNIQUE KEY `cid_dep_code_department_region_id_department_group3_id` (`cid`,`dep_code`,`department_region_id`,`department_group3_id`),
  KEY `FK_proll_department_sys_portal` (`portal_id`),
  KEY `FK_proll_department_sys_user` (`user_id`),
  KEY `proll_department_managers_department_group_heirarchy_id_foreign` (`department_group_heirarchy_id`),
  KEY `department_heirarchy_sub_department_id_foreign` (`reported_sub_department_id`),
  CONSTRAINT `department_heirarchy_sub_department_id_foreign` FOREIGN KEY (`reported_sub_department_id`) REFERENCES `department_hierarchy` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `proll_department_managers_department_group_heirarchy_id_foreign` FOREIGN KEY (`department_group_heirarchy_id`) REFERENCES `department_group_heirarchies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2339 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.proll_department_managers: ~18 rows (approximately)
/*!40000 ALTER TABLE `proll_department_managers` DISABLE KEYS */;
INSERT INTO `proll_department_managers` (`id`, `empid`, `line_manager`, `parent_reporting_lm`, `department_hierarchy_id`, `loc_id`, `cid`, `status`, `email`, `password`, `imp_id`, `dep_code`, `department_region_id`, `department_group3_id`, `department`, `dep_description`, `e_password`, `loggedin`, `bg_img`, `bg_color`, `CompWideStatus`, `empcode`, `nielsenempcode`, `department_name_editable`, `created_by`, `updated_by`, `created_date`, `updated_date`, `department_group_heirarchy_id`, `user_id`, `portal_id`, `reported_sub_department_id`) VALUES
	(343, 55167, 'Waqas Saleem', 2335, 16, 1, 48, 1, 'waqas.saleem@people.com.pk', '123', NULL, '01', 154, 1, '185-Test', '60-Test', '202cb962ac59075b964b07152d234b70', '2020-01-31 12:33:56', NULL, NULL, 'No', 57952, '', 1, 48, 48, '2020-01-31 00:00:00', '2020-01-31 00:00:00', NULL, 119, 95, NULL),
	(344, 55702, 'Farrukh Aziz', 0, 17, 1, 48, 1, 'farrukh.aziz@people.com.pk', 'flower', NULL, '02', 154, 1, 'IT', NULL, '202cb962ac59075b964b07152d234b70', '2020-01-30 07:24:39', '', '000000', 'No', 81130, '', 1, 0, NULL, NULL, NULL, NULL, 575, 2, NULL),
	(356, 17282, 'Gohar S. Butt', 0, 36, 1, 48, 1, 'gohar.butt@people.com.pk', 'Gamers123', NULL, '03', 154, 3, 'Operations', NULL, '202cb962ac59075b964b07152d234b70', '2019-12-24 08:57:28', NULL, NULL, 'Yes', 23137, '23137', 1, 0, NULL, NULL, NULL, NULL, 17, 2, NULL),
	(366, 55573, 'Talha Khan', 0, 23, 1, 48, 1, 'talha.khan@people.com.pk', '414Aa$', NULL, '04', 154, 1, 'Marketing & Sales - II', NULL, '202cb962ac59075b964b07152d234b70', '2019-08-27 15:36:38', '', 'white', 'No', 79116, '', 1, 0, NULL, NULL, NULL, NULL, 569, 2, NULL),
	(454, 17780, 'Javed Siddique', 2332, 14, 1, 48, 1, 'javed.siddique@people.com.pk', 'noshad147', NULL, '06', 154, 2, 'Service Delivery - CPU - I', NULL, '202cb962ac59075b964b07152d234b70', '2019-12-09 07:06:32', '', 'white', 'No', 42362, '', 1, 0, NULL, NULL, NULL, NULL, 279, 2, NULL),
	(458, 18150, 'Salman Saeed', 2017, 12, 1, 48, 1, 'salman.saeed@people.com.pk', 'salman111', NULL, '07', 154, 2, 'Service Delivery - MIS', NULL, '202cb962ac59075b964b07152d234b70', '2019-09-18 10:57:30', NULL, 'white', 'No', 52282, '', 1, 0, NULL, NULL, NULL, NULL, 362, 2, NULL),
	(478, 17278, 'Muhammad Fahad Tayyab', 2017, 16, 4, 48, 1, 'fahad.tayyab@people.com.pk', 'fahad123', NULL, '08', 154, 1, '133-Test', '27-Test', '202cb962ac59075b964b07152d234b70', '2020-02-07 11:36:08', NULL, NULL, 'No', 63740, '', 1, 48, 48, '2020-02-01 00:00:00', '2020-02-01 00:00:00', NULL, 38, 19, NULL),
	(1300, 55572, 'Muhammad Irfan Bhatti', 2333, 8, 1, 48, 1, 'irfan.bhatti@people.com.pk', 'audit123', NULL, '10', 154, 1, 'Compliance & Audit', NULL, '202cb962ac59075b964b07152d234b70', '2021-10-06 13:59:08', NULL, NULL, 'No', 79105, '79105', 1, 0, NULL, NULL, NULL, NULL, 568, 2, NULL),
	(1301, 18043, 'Awais Salahuddin', 366, 25, 1, 48, 1, 'awais.salahuddin@people.com.pk', 'GAYO7CDM', NULL, '11', 154, 1, 'Marketing & Sales North', NULL, '202cb962ac59075b964b07152d234b70', '2019-09-25 10:53:43', NULL, NULL, 'No', 48821, '', 1, 0, NULL, NULL, NULL, NULL, 325, 2, NULL),
	(1861, 51881, 'Samreen Aqil', 0, 38, 1, 48, 1, 'samreen.aqil@people.com.pk', '123', NULL, '13', 154, 1, 'Administration Central', NULL, '202cb962ac59075b964b07152d234b70', '2020-09-30 06:41:46', NULL, NULL, 'No', 60180, '', 1, 0, NULL, NULL, NULL, NULL, 430, 2, NULL),
	(2017, 57523, 'Ahmed Abrahim Butt', 343, 16, 1, 48, 1, 'ahmed.abrahim@people.com.pk', 'abrahim', NULL, '14', 154, 1, '152-Test', '45-Test', '202cb962ac59075b964b07152d234b70', '2020-09-28 07:09:26', NULL, NULL, 'Yes', 122039, '65260', 1, 48, 48, '2020-01-31 00:00:00', '2020-01-31 00:00:00', NULL, 195, 64, NULL),
	(2241, 17791, 'Omar Butt', 366, 28, 1, 48, 1, 'omar.butt@people.com.pk', 'ilovelhr', NULL, '18', 154, 1, 'Marketing & Sales - Central II', NULL, '202cb962ac59075b964b07152d234b70', '2019-09-21 13:10:14', NULL, NULL, 'No', 43041, '', 1, 0, NULL, NULL, NULL, NULL, 288, 2, NULL),
	(2332, 17474, 'Umar Farooq', 2017, 15, 1, 48, 1, 'umar.farooq@people.com.pk', 'Umar@30792', NULL, '20', 154, 2, 'Service Delivery - CPU - II', NULL, '202cb962ac59075b964b07152d234b70', '2020-01-14 08:32:02', NULL, NULL, 'No', 30792, '', 1, 0, NULL, NULL, NULL, NULL, 180, 2, NULL),
	(2333, 56193, 'Mazhar Qayyum Khan', 0, 7, 1, 48, 1, 'mazhar.khan@people.com.pk', '1713', NULL, '21', 154, 1, 'HCM & OD II', NULL, '202cb962ac59075b964b07152d234b70', '2021-07-05 13:11:23', NULL, NULL, 'No', 87758, '', 1, 0, NULL, NULL, NULL, NULL, 589, 2, NULL),
	(2335, 58443, 'Muhammad Waqas Nisar', 0, 16, 1, 48, 1, 'waqas.nisar@people.com.pk', '123', NULL, '23', 154, 1, '68-Test', '67-Test', '202cb962ac59075b964b07152d234b70', '2021-07-05 12:14:26', NULL, NULL, 'No', 137793, '', 1, 48, 48, '2020-01-28 00:00:00', '2020-01-28 00:00:00', NULL, 144, 43, NULL),
	(2336, 18138, 'Arif Bajwa', 0, 10, 1, 48, 1, 'arif.bajwa@people.com.pk', '123', NULL, '24', 154, 1, 'Secrity', NULL, '202cb962ac59075b964b07152d234b70', '2021-04-02 08:52:08', NULL, NULL, 'No', 0, '', 1, 0, NULL, NULL, NULL, NULL, 1028, 2, NULL),
	(2337, 41545, 'Muhammad yaseen', 454, 14, 1, 48, 1, 'Muhammad.yaseen@people.com.pk', '123', NULL, '243', 154, 1, 'Admin-Security', NULL, '202cb962ac59075b964b07152d234b70', '2020-01-15 13:15:00', NULL, NULL, 'No', 59197, '', 1, 0, NULL, NULL, NULL, NULL, 1028, 2, NULL),
	(2338, 17762, 'waqas nisar', 321, 29, 0, 48, 1, 'waqas.nisar@gmail.com', '123', NULL, NULL, 154, NULL, 'Sales - south', 'Write description here', '202cb962ac59075b964b07152d234b70', '0000-00-00 00:00:00', NULL, NULL, 'No', 35492, '', 1, 0, NULL, '2021-09-22 14:21:49', '2021-09-22 14:21:49', 4, 0, 2, NULL);
/*!40000 ALTER TABLE `proll_department_managers` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.proll_employee
CREATE TABLE IF NOT EXISTS `proll_employee` (
  `id` int(9) unsigned NOT NULL AUTO_INCREMENT,
  `loginname` varchar(100) DEFAULT NULL,
  `pass_word` varchar(100) DEFAULT NULL,
  `e_pass_word` varchar(50) DEFAULT NULL,
  `status` tinyint(1) unsigned DEFAULT NULL,
  `job_status` tinyint(1) unsigned DEFAULT NULL,
  `dept_id` int(11) NOT NULL DEFAULT '0',
  `department_id` int(11) NOT NULL DEFAULT '0',
  `reporting_to_id` int(11) DEFAULT '0',
  `second_reporting_to_id` int(11) DEFAULT '0',
  `sub_department_level1_id` int(11) NOT NULL DEFAULT '0',
  `sub_department_level2_id` int(11) NOT NULL DEFAULT '0',
  `default_shift_id` int(11) DEFAULT NULL,
  `applyed_roster` tinyint(1) NOT NULL DEFAULT '1',
  `shift_id` int(11) NOT NULL,
  `weekend_day_id` tinyint(1) NOT NULL,
  `name_salute` varchar(10) DEFAULT NULL,
  `picture` varchar(255) DEFAULT NULL,
  `micro_picture` varchar(255) NOT NULL,
  `name` varchar(100) DEFAULT NULL,
  `f_hname` varchar(100) DEFAULT NULL,
  `father_occupation` varchar(100) DEFAULT NULL,
  `father_dob` date DEFAULT NULL,
  `cnic` varchar(20) DEFAULT NULL,
  `empcode` varchar(100) DEFAULT NULL,
  `hrms_id` int(11) DEFAULT NULL,
  `unique_position_id` int(11) DEFAULT NULL,
  `cid` int(9) unsigned DEFAULT NULL,
  `doj` varchar(12) DEFAULT NULL,
  `date_of_rejection` date DEFAULT NULL,
  `dor` date DEFAULT NULL,
  `designation` varchar(100) DEFAULT NULL,
  `hr_email_id` int(11) DEFAULT NULL,
  `hom_address` text,
  `postalcode` varchar(20) DEFAULT NULL,
  `country` int(9) unsigned DEFAULT NULL,
  `second_nationality_id` int(11) DEFAULT NULL,
  `domicile_country_id` int(11) NOT NULL,
  `domicile_city_id` int(11) NOT NULL,
  `religion_id` int(11) DEFAULT NULL,
  `cast` varchar(20) DEFAULT NULL,
  `city` varchar(100) DEFAULT NULL,
  `location` varchar(50) NOT NULL,
  `loc_id` int(11) NOT NULL DEFAULT '1',
  `hom_phone` varchar(20) DEFAULT NULL,
  `cell_number` varchar(20) DEFAULT NULL,
  `m_status` varchar(50) DEFAULT NULL,
  `no_of_dependants` int(11) DEFAULT NULL,
  `fs_report` varchar(200) DEFAULT NULL,
  `reason` text,
  `imp_id` int(10) unsigned DEFAULT NULL,
  `fs_status` int(1) NOT NULL,
  `cnic_country_id` int(11) DEFAULT NULL,
  `cnic_image` varchar(255) DEFAULT NULL,
  `cnic_issued_on` date DEFAULT NULL,
  `cnic_expiry` date DEFAULT NULL,
  `passport_no` varchar(100) DEFAULT NULL,
  `passport_country_id` int(11) DEFAULT NULL,
  `passport_image` varchar(255) DEFAULT NULL,
  `passport_issued_on` date DEFAULT NULL,
  `passport_expiry` date DEFAULT NULL,
  `driving_license_number` varchar(25) DEFAULT NULL,
  `driving_license_image` varchar(255) DEFAULT NULL,
  `driving_license_country_id` int(11) DEFAULT NULL,
  `driving_license_issued_on` date DEFAULT NULL,
  `driving_license_expiry` date DEFAULT NULL,
  `birth_country_id` int(11) DEFAULT NULL,
  `birth_city_id` int(11) DEFAULT NULL,
  `visa_image` varchar(255) DEFAULT NULL,
  `visa_expiry` date DEFAULT NULL,
  `degree_image` varchar(255) DEFAULT NULL,
  `dob` date DEFAULT NULL,
  `added` datetime DEFAULT NULL,
  `alert_sent` date DEFAULT NULL,
  `passport_alert_sent` date DEFAULT NULL,
  `visa_alert_sent` date DEFAULT NULL,
  `cnic_alert_sent` date DEFAULT NULL,
  `loggedin` datetime DEFAULT NULL,
  `bg_img` varchar(50) DEFAULT NULL,
  `bg_color` varchar(10) DEFAULT NULL,
  `emp_band` int(11) NOT NULL,
  `contract_status` tinyint(1) DEFAULT NULL,
  `contract_expiry` date DEFAULT NULL,
  `assist_id` int(11) DEFAULT NULL,
  `reporting_to_empcode` varchar(20) DEFAULT NULL,
  `reporting_country` int(11) DEFAULT NULL,
  `reasonforleaving` varchar(500) DEFAULT NULL,
  `view_status` char(1) DEFAULT '0',
  `alm_view_status` char(1) DEFAULT '0',
  `lm_view_status` char(1) DEFAULT '0',
  `hr_view_status` char(1) DEFAULT '0',
  `blood_group_name` varchar(5) DEFAULT NULL,
  `portal_id` tinyint(4) DEFAULT '1',
  `user_id` int(11) NOT NULL,
  `employee_height` int(11) NOT NULL DEFAULT '0',
  `employee_weight` float DEFAULT NULL,
  `native_language_id` int(11) DEFAULT NULL,
  `ntn_number` int(11) NOT NULL,
  `ntn_country_id` int(11) NOT NULL,
  `ntn_status` enum('filer','non_filer') NOT NULL DEFAULT 'non_filer',
  `ex_employee_flag` tinyint(1) NOT NULL,
  `ex_employee_code` varchar(15) DEFAULT NULL,
  `nomination_agree_check` tinyint(1) NOT NULL,
  `ex_relevent_experience_flag` tinyint(1) NOT NULL,
  `experience_with_client_flag` tinyint(1) NOT NULL,
  `ex_inquire_objection_flag` tinyint(1) NOT NULL,
  `ex_inquire_objection_detail` text,
  `serious_ailment_flag` tinyint(1) NOT NULL,
  `serious_ailment_brief` text,
  `arrested_flag` tinyint(1) NOT NULL,
  `arrested_brief` text NOT NULL,
  `default_currency_id` int(11) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `updated_by` int(11) DEFAULT NULL,
  `employment_file` varchar(255) DEFAULT NULL,
  `allow_policy_manual` tinyint(1) NOT NULL DEFAULT '0',
  `remember_token` varchar(255) DEFAULT NULL,
  `main_lm` int(2) DEFAULT '0',
  `contract_start_date` date DEFAULT NULL,
  `contract_end_date` date DEFAULT NULL,
  `in_active_type` int(11) DEFAULT NULL,
  `leave_bank_updated` tinyint(1) DEFAULT '0',
  `leave_bank_updated_at` datetime DEFAULT NULL,
  `is_mobile_attendance` tinyint(1) unsigned DEFAULT '1',
  `remote_attendance_allowed` tinyint(1) DEFAULT '0',
  `employeeno` varchar(25) DEFAULT NULL,
  `second_reporting_to_country_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `loginname` (`loginname`),
  KEY `Empcode_Index` (`empcode`),
  KEY `CID_Index` (`cid`),
  KEY `FK_proll_employee_sys_portal` (`portal_id`),
  KEY `FK_proll_employee_sys_user` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=58681 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.proll_employee: ~623 rows (approximately)
/*!40000 ALTER TABLE `proll_employee` DISABLE KEYS */;
INSERT INTO `proll_employee` (`id`, `loginname`, `pass_word`, `e_pass_word`, `status`, `job_status`, `dept_id`, `department_id`, `reporting_to_id`, `second_reporting_to_id`, `sub_department_level1_id`, `sub_department_level2_id`, `default_shift_id`, `applyed_roster`, `shift_id`, `weekend_day_id`, `name_salute`, `picture`, `micro_picture`, `name`, `f_hname`, `father_occupation`, `father_dob`, `cnic`, `empcode`, `hrms_id`, `unique_position_id`, `cid`, `doj`, `date_of_rejection`, `dor`, `designation`, `hr_email_id`, `hom_address`, `postalcode`, `country`, `second_nationality_id`, `domicile_country_id`, `domicile_city_id`, `religion_id`, `cast`, `city`, `location`, `loc_id`, `hom_phone`, `cell_number`, `m_status`, `no_of_dependants`, `fs_report`, `reason`, `imp_id`, `fs_status`, `cnic_country_id`, `cnic_image`, `cnic_issued_on`, `cnic_expiry`, `passport_no`, `passport_country_id`, `passport_image`, `passport_issued_on`, `passport_expiry`, `driving_license_number`, `driving_license_image`, `driving_license_country_id`, `driving_license_issued_on`, `driving_license_expiry`, `birth_country_id`, `birth_city_id`, `visa_image`, `visa_expiry`, `degree_image`, `dob`, `added`, `alert_sent`, `passport_alert_sent`, `visa_alert_sent`, `cnic_alert_sent`, `loggedin`, `bg_img`, `bg_color`, `emp_band`, `contract_status`, `contract_expiry`, `assist_id`, `reporting_to_empcode`, `reporting_country`, `reasonforleaving`, `view_status`, `alm_view_status`, `lm_view_status`, `hr_view_status`, `blood_group_name`, `portal_id`, `user_id`, `employee_height`, `employee_weight`, `native_language_id`, `ntn_number`, `ntn_country_id`, `ntn_status`, `ex_employee_flag`, `ex_employee_code`, `nomination_agree_check`, `ex_relevent_experience_flag`, `experience_with_client_flag`, `ex_inquire_objection_flag`, `ex_inquire_objection_detail`, `serious_ailment_flag`, `serious_ailment_brief`, `arrested_flag`, `arrested_brief`, `default_currency_id`, `created_at`, `created_by`, `updated_at`, `updated_by`, `employment_file`, `allow_policy_manual`, `remember_token`, `main_lm`, `contract_start_date`, `contract_end_date`, `in_active_type`, `leave_bank_updated`, `leave_bank_updated_at`, `is_mobile_attendance`, `remote_attendance_allowed`, `employeeno`, `second_reporting_to_country_id`) VALUES
	(17268, 'ahmed.hassan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ahmad Hassan', 'Muhammad Yasin', '', NULL, '35201-1702889-3', '27289', NULL, 0, 48, '2020-09-16', NULL, NULL, '3', NULL, 'H#: 56 Sher Khan Rd Near Cantt P O Lahore Cantt', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-333-4226265', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1979-06-16', '2009-12-03 00:00:00', NULL, NULL, NULL, NULL, '2010-09-28 09:57:45', NULL, NULL, 7, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 3, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17269, 'ahmad.naveed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Ahmad Naveed', 'Javaid Munawar', '', NULL, '35200-1449163-3\r', '29260', NULL, 0, 48, '2020-09-16', NULL, NULL, '4', NULL, 'House # 511, Ahmed Street, Chohan Park, Islampura Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '92-321-4169514', 'Single', 0, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1982-08-09', NULL, NULL, NULL, NULL, NULL, '2011-08-26 15:05:51', NULL, NULL, 6, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 4, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17270, 'ahmed.zulqurnain@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ahmed Zulqurnain', 'Sheikh Mushtaq Ahmed', '', NULL, '42101-1899916-3\r', '20326', NULL, 0, 48, '2007-03-05', '2009-04-14', NULL, '5', NULL, 'A-22 Cosmos Plaza Block 16 F-b Area Near Ancholi Karachi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '111000737', '', 'Single', 0, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 5, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17272, 'arshad.amin@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Arshad Amin Saddiqui', 'Muhammad Amin Uddin', '', NULL, '42201-0431394-5', '25393', NULL, 0, 48, '2020-09-16', '2012-08-31', NULL, '10', NULL, 'Flat#e 5 N A One Arcade Blk 13/ C Gushan E Iqbal', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-345-2779434', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-06-16', '2012-06-21 00:00:00', NULL, NULL, NULL, NULL, '2012-08-15 15:47:33', NULL, NULL, 8, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 7, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17275, 'aziz.muhammad@people.com.pk', 'Khan1234@', '10d7bf9b97df16349d1430c3af2152cf', 0, 0, 2342, 0, 1301, 0, 0, 0, -1, 0, 0, 0, 'Mr.', '10413.jpg', '10413_micro.jpg', 'Aziz Muhammad', 'Ghulam Muhammad', 'NA', '0000-00-00', '42401-4752722-3', '10413', NULL, 0, 48, '2003-04-16', NULL, NULL, '10', NULL, 'Room 302 Noor Mehal,\\r\\nZaildar Road', '', 154, 0, 154, 31594, 1, NULL, '', '51090', 3, '', '+92-345-6160860', 'single', 1, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31594, NULL, NULL, NULL, '1976-08-18', '2021-01-27 04:26:55', NULL, NULL, NULL, NULL, '2020-12-29 06:53:00', NULL, NULL, 8, 80, NULL, 0, '', NULL, NULL, '0', '1', '1', '1', 'B+', 1, 10, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-01-27 04:26:55', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, '0000-00-00', '0000-00-00', NULL, 0, NULL, 1, 1, NULL, NULL),
	(17277, 'ehsan.mohsen@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2032, 0, 2032, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Ehsan.jpg', 'Ehsan_micro.jpg', 'Abul Ehsan Zakaria Mohsen', 'M. A. Mohsen', '', NULL, '42101-2250574-3', '10424', NULL, 0, 48, '2004-08-12', NULL, NULL, '12', NULL, 'A-2, Long Life Banglows, Block 17 Gulistan - E - Jauhar', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '92 321-2006387', 'Married', 5, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1958-12-29', '2014-07-03 10:29:21', NULL, NULL, NULL, NULL, '2013-06-10 14:25:20', NULL, NULL, 5, NULL, NULL, NULL, '0', NULL, NULL, '0', '1', '1', '1', NULL, 1, 12, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17278, 'fahad.tayyab@people.com.pk', 'fahad123', 'd8e28c1f7a637f0c1f83efb94c3a79e1', 1, 1, 478, 16, 356, 0, 0, 0, 8, 0, 0, 0, 'Mr.', '1586422167.jpeg', '1586422167_micro.jpeg', 'Muhammad Fahad Tayyab', 'Muhammad Tayyab', 'Retired Govt. Servent', '0000-00-00', '42501-1430308-7', '63740', NULL, 0, 48, '2020-09-16', '2012-09-05', NULL, '298', NULL, 'D 94 Alflah Housing Project Malir Halt', '', 154, 0, 154, 31464, 1, NULL, '', '31594', 4, '', '+92-345-2420984', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2017-03-07', '2027-03-07', '', 0, NULL, '0000-00-00', '0000-00-00', '42501-1430308-7#898', NULL, 154, '2016-09-24', '2021-09-23', 154, 31594, NULL, NULL, NULL, '1982-07-16', '2021-01-28 03:00:22', NULL, NULL, NULL, NULL, '2020-12-30 10:19:08', NULL, NULL, 5, 80, NULL, 0, '23137', NULL, NULL, '0', '1', '1', '1', 'B+', 1, 13, 0, 0, 5, 2147483647, 154, 'non_filer', 1, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-01-28 03:00:22', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 2, '0000-00-00', '0000-00-00', NULL, 0, NULL, 0, 0, NULL, NULL),
	(17279, 'faisal.akbar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Faisal Akbar Bhatti', 'Muhammad Akbar Bhatti', '', NULL, '31202-8226651-5', '17759', NULL, 0, 48, '2006-12-04', NULL, NULL, '14', NULL, '20 J Model Town Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '0345-8468686', '0300-8483111', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-09-19', '2011-01-04 00:00:00', NULL, NULL, NULL, NULL, '2011-07-01 15:56:58', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 14, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17280, 'faisal.ashraf@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mian Faisal Ashraf', 'Muhammad Ashraf Javaid', '', NULL, '35202-2421259-3\r', '19037', NULL, 0, 48, '2007-01-22', '2012-07-11', NULL, '15', NULL, 'H#: 149 A Canal View Housing Society', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '042-5436816', '0301-8460727', 'Married', 3, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2012-06-29 16:00:52', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 15, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17282, 'gohar.butt@people.com.pk', 'Gamers123', 'c05f775c49975eaa990a0ab503124f4c', 1, 1, 356, 36, 356, 0, 0, 0, 3, 0, 0, 0, 'Mr.', 'gohar.jpg', 'gohar_micro.jpg', 'Gohar Sharif Butt', '-', '', '0000-00-00', '42301-0586249-7', '23137', NULL, 0, 48, '2007-10-01', NULL, NULL, '16', NULL, '48 T, <br />\r\nGulberg II', '', 1, 0, 0, 0, 0, NULL, '', '31439', 1, '', '+923008226356', 'single', 5, NULL, NULL, NULL, 0, 154, '', '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1968-09-07', '2019-10-04 16:54:35', NULL, NULL, NULL, NULL, '2020-11-26 18:47:04', NULL, NULL, 1, 80, NULL, 0, '23137', NULL, NULL, '0', '1', '1', '1', '', 1, 17, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:11', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 1, NULL, NULL, NULL, 1, '2021-08-02 12:15:11', 1, 0, NULL, NULL),
	(17283, 'hina.shah@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Ms.', '', '_micro.', 'Hinna Shah', 'Nazim Ali Shah', '', NULL, '42101-1912554-0\r', '26543', NULL, 0, 48, '2008-04-21', '2009-08-31', NULL, '10', NULL, 'B 52 Blk 13 Fedral B Area', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '021-6363867', '+92-345-3334343', 'Single', 0, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 18, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17284, 'hira.maqsood@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Ms.', '', '_micro.', 'Hira Maqsood', 'Maqsood Ahmed', '', NULL, '42201-5830259-2', '23560', NULL, 0, 48, '2007-11-19', '2012-07-11', NULL, '11', NULL, 'E-40, CAA Colony, Airport, Karachi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-300-3363401', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-10-01', '2009-12-16 00:00:00', NULL, NULL, NULL, NULL, '2012-06-30 14:28:15', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 19, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17285, 'humaira.butt@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 454, 14, 454, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Humaira Butt', 'Shahid Butt', '', NULL, '35202-9742846-4', '24089', NULL, 0, 48, '2007-12-10', '2012-07-30', NULL, '17', NULL, 'H#: 21 St#4 Rashid Park Sabzazar', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03214511251', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-10-09', '2012-05-03 00:00:00', NULL, NULL, NULL, NULL, '2012-07-25 15:20:10', NULL, NULL, 7, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 20, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17286, 'imran.ali@people.com.pk', 'luckylibra918', '29bba635b020f56199ced2d14c961554', 1, 1, 343, 16, 356, 0, 0, 0, 1, 0, 0, 0, 'Mr.', '1606887455.JPG', '1606887455_micro.JPG', 'Imran Ali', 'Ahmed Ali', 'Self Employeed', '0000-00-00', '35202-5526583-3', '25362', NULL, 0, 48, '2020-09-16', NULL, NULL, '18', NULL, 'H#: 23 Blk#4 D I Town Ship', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '92 334 4192416', 'single', 1, NULL, NULL, NULL, 0, 154, NULL, '2016-01-14', '2026-01-14', 'MB1825831', 154, NULL, '2019-02-07', '2024-02-06', 'LE-14-59898', NULL, 154, '2014-09-06', '2024-09-30', 154, 31439, NULL, NULL, NULL, '1985-09-30', '2020-12-02 10:37:35', NULL, NULL, NULL, NULL, '2020-12-29 17:02:40', '15379dfa.jpg', '#66FFFF', 7, 80, NULL, 0, '23137', NULL, NULL, '0', '1', '1', '1', 'O+', 1, 21, 0, 0, 5, 2147483647, 154, 'non_filer', 1, '25362', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:11', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 2, NULL, NULL, NULL, 1, '2021-08-02 12:15:11', 1, 0, NULL, NULL),
	(17287, 'imran.panjwani@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Imran1.jpg', 'Imran1_micro.jpg', 'Imran Panjwani', 'Piyar Ali', '', NULL, '42101-1731508-9\r', '10441', NULL, 0, 48, '2005-09-20', '2012-06-20', NULL, '11', NULL, '21 Adil Arcade, Block 7, Aysha Manzil, F.b Area,', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '021-4285759', '0333-3516562', 'Single', 0, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1979-09-30', NULL, NULL, NULL, NULL, NULL, '2012-06-18 10:35:38', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 22, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17288, 'kamran.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Kamran Ahmed', 'Ghulam Hussain Abbasi', '', NULL, '42501-3765788-1', '10427', NULL, 0, 48, '2005-06-24', '2012-09-23', NULL, '19', NULL, 'R-i/b, White House, Metrovillem Iii, Scheme 33,', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '021-111 000 737', '+92-300-2207374', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1976-01-01', '2011-01-04 00:00:00', NULL, NULL, NULL, NULL, '2012-09-15 13:57:50', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 23, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17290, 'm.zahid@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'IMG0088A.jpg', 'IMG0088A_micro.jpg', 'Muhammad Zahid', 'Abdul Manan', '', NULL, '42401-1814210-9', '20324', NULL, 0, 48, '2007-03-12', '2012-08-31', NULL, '11', NULL, 'House No 254 Sec 15/c Orangi Town Karachi', '75800', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-21-36665934', '+92-345-2114774', 'Married', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-04-11', '2010-07-19 00:00:00', NULL, NULL, NULL, NULL, '2012-08-24 12:42:57', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 25, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17293, 'masroor.hassan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Masroor Hassan', 'Sher Hassan-', '', NULL, '42000-0559121-5\r', '23132', NULL, 0, 48, '2007-10-08', '2009-12-16', NULL, '11', NULL, '102/1 9th Street Khayaban-e-rahat Phase 6 Dha', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-300-123456', 'Single', 0, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2009-11-20 09:38:52', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 28, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17296, 'mohsin.amin@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mohsin Amin', 'Muhammad Amin', '', NULL, '42501-2416890-5\r', '10449', NULL, 0, 48, '2006-01-06', '2009-08-19', NULL, '24', NULL, 'L-2915, Gulshan-e- Iqbal Metroville 3, Gulshan-e- Iqbal Block 2,', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-300-1234567', 'Single', 0, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 31, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17297, 'mubashir.alam@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'n721494898_1460660_5621.jpg', 'n721494898_1460660_5621_micro.jpg', 'Muhammad Mubashir Alam', 'Wali Ahmed', '', NULL, '35202-9575970-7', '23129', NULL, 0, 48, '2007-10-03', '2012-07-11', NULL, '25', NULL, '106/10 Baber Block New Garden Town', '54700', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-42-5881665', '+92-03334346745', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1982-09-07', NULL, NULL, NULL, NULL, NULL, '2012-07-04 17:28:34', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 32, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17298, 'muhammad.amjad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Muhammad Amjad', 'Noor Zaman', '', NULL, '35202-5867333-9', '27134', NULL, 0, 48, '2008-05-12', '2009-09-10', NULL, '4', NULL, '-', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-314-7574693', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-01-12', '2009-09-11 00:00:00', NULL, NULL, NULL, NULL, '2009-08-20 15:47:09', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 33, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17299, 'muhammad.javaid@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Muhammad Javaid', 'Muhammad Iqbal Alyana', '', NULL, '35202-2392562-3', '27287', NULL, 0, 48, '2008-06-07', '2010-10-30', NULL, '26', NULL, 'H # 43 B 2 Johar Town', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '042-111 000 737', '+92-300-8859503', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1969-06-21', '2009-10-23 00:00:00', NULL, NULL, NULL, NULL, '2010-03-25 12:38:55', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 34, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17300, 'mukhtar.nazir@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Image2896.jpg', 'Image2896_micro.jpg', 'Mukhtar Ahmed Nazir', 'Mian Nazir Ahmed', '', NULL, '35201-0684794-9\r', '22421', NULL, 0, 48, '2007-08-24', NULL, NULL, '27', NULL, '680 - D, Canal View Society', '54500', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '042-3529 4687', '0300-456 2095', 'Single', 4, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1968-10-04', NULL, NULL, NULL, NULL, NULL, '2011-12-02 15:43:21', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 35, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17302, 'navaid.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Navaid Ahmed Siddiqui', 'Fareed Ahmed Siddiqui', '', NULL, '42201-3140519-3\r', '23131', NULL, 0, 48, '2007-10-10', '2009-07-02', NULL, '181', NULL, 'M 282 Muslimabad Malir City', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-300-1234567', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-08-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 37, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17306, 'rahim.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Rahim Barkat Ali', 'Barkat Ali Hussain', '', NULL, '42101-1697681-3', '10446', NULL, 0, 48, '2005-11-21', '2011-10-10', NULL, '181', NULL, 'K3-304, Karimabad Colony , F B Area, Near Meena Bazar.', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0300-2061233', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1982-07-28', '2011-10-10 00:00:00', NULL, NULL, NULL, NULL, '2011-10-10 14:45:03', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 40, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17307, 'rashid.menhas@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2241, 28, 2241, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Rashid.jpg', 'Rashid_micro.jpg', 'Rashid Menhas', 'Muhammad Jamil', '', NULL, '36602-3699547-9', '20857', NULL, 0, 48, '2007-04-05', NULL, NULL, '10', NULL, 'Saad house jail road lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-321-6656027', '+92-344-7796444', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-02-02', '2016-04-28 17:03:12', NULL, NULL, NULL, NULL, '2016-08-08 09:43:04', NULL, NULL, 8, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 41, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17308, 'rashid.mushtaq@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1299, 0, 1299, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Rashid Mushtaq', 'Mushtaq Ahmed', '', NULL, '35202-9653432-5', '19034', NULL, 0, 48, '2007-01-22', '2015-01-26', NULL, '10', NULL, 'H#: 7 Ali St#1 Karmanwali Colony Kot Lakhpat Station', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-300-1234567', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2010-12-02', '2015-01-26 10:54:09', NULL, NULL, NULL, NULL, '2014-12-24 13:03:07', NULL, NULL, 8, NULL, NULL, NULL, '57635', NULL, NULL, '0', '1', '1', '1', NULL, 1, 42, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17310, 'saad.hashim@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 454, 14, 454, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '104204.jpg', '104204_micro.jpg', 'Muhammad Saad Hashim', 'Muhammad Usman Hashim', '', NULL, '42201-5860076-5', '10420', NULL, 0, 48, '2008-02-16', '2011-06-11', NULL, '31', NULL, 'H # 174, \r\nEden Canal Villas', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-37498147', '+92-322-2312304', 'Single', 3, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1977-05-12', '2010-04-14 00:00:00', NULL, NULL, NULL, NULL, '2011-06-11 16:29:08', '81830Bluehills.jpg', '#CCFFFF', 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 44, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17313, 'saima.wahid@people.com.pk', 'karachi7039', '272011f0b5bc6f3ebec29e0a0c836eba', 0, 2, 1300, 8, 0, 0, 0, 0, 10, 0, 0, 0, 'Ms.', '29023.jpg', '29023_micro.jpg', 'Saima Wahid', 'Muhammad Wahid Ullah', '', '0000-00-00', '42101-7026436-2', '29023', NULL, 0, 48, '2020-09-16', NULL, NULL, '33', NULL, 'H#: 1 H 7/1 St#1  Nazimabad', '', 0, 0, 0, 0, 0, NULL, '', '31594', 4, '', '92-322-2087903', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 0, 0, NULL, NULL, NULL, '1974-07-23', '2020-06-02 10:45:40', NULL, NULL, NULL, NULL, '2020-05-12 10:55:57', NULL, NULL, 8, 80, NULL, 0, '0', NULL, NULL, '0', '1', '1', '1', '', 1, 47, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-06-02 10:45:40', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17316, 'saqib.haider@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Saqib Haider', 'Syed Ziauddin Haider', '', NULL, '42201-2254918-7\r', '25394', NULL, 0, 48, '2008-02-01', '2010-06-01', NULL, '11', NULL, 'A 08 Jason Appt Blk#11 Gulshan E Iqbal', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-321-2049172', '+92-301-8223706', 'Single', 0, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2010-03-24 17:03:45', NULL, NULL, 0, NULL, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 50, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17317, 'sarosh.alam@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Mohammad Sarosh Alam', 'Muhammad Qamar Alam', '', NULL, '42201-3771513-9\r', '24753', NULL, 0, 48, '2008-01-01', '2010-05-08', NULL, '32', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, 'N/A', '92-300-8257482', 'Single', 4, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1977-10-07', NULL, NULL, NULL, NULL, NULL, '2010-04-21 01:40:09', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 51, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17318, 'saulat.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Saulat Ali', 'Shaukat Imtiaz', '', NULL, '35202-2332682-7', '27288', NULL, 0, 48, '2008-06-10', '2011-12-03', NULL, '35', NULL, 'House # 890, St. # 08<br />\r\nMakkah Colony,<br />\r\nGulberg III', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-42-5064181', '+92-308-5207898', 'Married', 3, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1969-03-01', '2011-12-03 00:00:00', NULL, NULL, NULL, NULL, '2011-11-17 12:01:11', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 52, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17319, 'shahab.sharif@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Shahab Sharif Siddiqui', '-', '', NULL, '42101-3292083-3', '12264', NULL, 0, 48, '2007-10-01', '2012-07-11', NULL, '36', NULL, '-', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '021-111 000 737', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1961-04-03', '2009-12-09 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 53, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17320, 'shahzad.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Shahzad Ahmed', 'Muhammad Ishaq', '', NULL, '35201-1231411-7', '10437', NULL, 0, 48, '2005-08-01', '2012-11-03', NULL, '37', NULL, 'Sittara Colony # 2, Main Street # 2, Chungi Amer Sidhu, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-42-8491615', '0345-8467676', 'Married', 7, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1977-02-15', '2012-09-24 00:00:00', NULL, NULL, NULL, NULL, '2012-11-01 10:10:22', NULL, NULL, 7, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 54, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17321, 'shaikh.shaheen@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Shaikh Shaheen Ahmed', 'Shaikh Musa', '', NULL, '42201-3399604-5', '22887', NULL, 0, 48, '2002-10-22', NULL, NULL, '35', NULL, 'L 2/410 A 1 Society Malir Town', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-42-1234567', '+92-302-8277505', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1960-11-17', '2010-11-29 00:00:00', NULL, NULL, NULL, NULL, '2011-09-15 17:56:39', NULL, NULL, 0, NULL, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 55, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17323, 'shiraz.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Shiraz Ahmed', 'Mohd Ahmed', '', NULL, '42301-1598465-3\r', '21913', NULL, 0, 48, '2007-06-29', '2009-01-12', NULL, '38', NULL, 'H#: 641 Phase Khayabane Muslim', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0300-0000000', 'Single', 0, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 57, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17327, 'sumble.butt@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mrs.', '', '_micro.', 'Sumble Naureen Butt', 'Muhammad Sharif Butt', '', NULL, '35202-4603736-2\r', '27471', NULL, 0, 48, '2008-06-25', '2010-09-27', NULL, '40', NULL, 'H#: 349 B Johar Town', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '042-111 000 737', 'Single', 0, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 61, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17328, 'tayyab.iqbal@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 454, 14, 454, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Tayyab Iqbal', 'Zafar Iqbal', '', NULL, '45201-1579013-3', '20334', NULL, 0, 48, '2007-03-16', '2010-09-27', NULL, '11', NULL, 'R-12 Block B Bagh-e-malir Karachi', '75210', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-300-9277753', '+92-301-8223727', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-08-19', '2010-07-21 00:00:00', NULL, NULL, NULL, NULL, '2010-09-03 10:42:25', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 62, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17329, 'umer.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Muhammad Umer Khan', 'Anwar Wadood Khan', '', NULL, '42101-0841824-5', '10439', NULL, 0, 48, '2005-08-15', '2012-06-20', NULL, '41', NULL, 'B 251 Block J North Nazimabad', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-21-6674631', '+92-300-2664469', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-01-01', '2011-05-12 00:00:00', NULL, NULL, NULL, NULL, '2012-06-18 14:06:17', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 63, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17331, 'uzma.adam@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Uzma Adam', 'Muhamamd Adam', '', NULL, '42301-0720555-0\r', '22890', NULL, 0, 48, '2007-08-28', '2009-07-07', NULL, '21', NULL, 'B 301 Gulshan E Al Mustafa Arcade Garden West Khi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-300-123456', 'Single', 0, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 65, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17333, 'zahid.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Muhammad Zahid Khan', 'Muhammad Arif Khan', '', NULL, '35202-8066619-1\r', '24748', NULL, 0, 48, '2008-01-03', '2012-10-02', NULL, '5', NULL, '#h: 5 St#1 Habib Park Multan Rd', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-333-4126228', 'Single', 0, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1978-01-01', NULL, NULL, NULL, NULL, NULL, '2012-10-01 17:50:25', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 67, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17335, 'zeeshan.gul@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 454, 14, 454, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'My_Pic.jpg', 'My_Pic_micro.jpg', 'Khan Zeeshan Gul', 'Sana Ullah Khan', '', NULL, '36402-0833409-5', '25361', NULL, 0, 48, '2008-02-13', NULL, NULL, '43', NULL, 'Bhatti House Mohallah Eid Gah Lalazar Colony, Pakpattan', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-457-371265', '+92-333-4417486', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1982-07-20', '2010-04-14 00:00:00', NULL, NULL, NULL, NULL, '2010-10-08 12:25:16', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 69, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17337, 'muhammad.qamar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 1861, 38, 1861, 0, 0, 0, 22, 0, 0, 0, 'Mr.', '10416.jpg', '10416_micro.jpg', 'Muhammad Qamar', 'Sheikh Rafique', '', '0000-00-00', '35202-5940246-5', '10416', NULL, 0, 48, '2004-01-26', NULL, NULL, '297', NULL, 'Sultan Baho Street Alhamd Colony House # 9 Allama Iqbal Town.', '', 1, 0, 0, 0, 0, NULL, '', '31439', 1, '', '+92-300-1234567', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1978-04-04', '2020-12-05 13:20:49', NULL, NULL, NULL, NULL, '2020-12-25 11:11:45', NULL, NULL, 63, 80, NULL, 0, '', NULL, NULL, '0', '1', '1', '1', '', 1, 71, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:11', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:11', 1, 0, NULL, NULL),
	(17338, 'kamran.muhammad@people.com.pk', 'Kaif@0088', '45cf9771d1e7eb953735e309abccba20', 1, 1, 396, 17, 478, 0, 0, 0, 5, 0, 0, 0, 'Mr.', '10426.jpg', '10426_micro.jpg', 'Muhammad Kamran', 'Islamuddin', '', '0000-00-00', '42301-3055324-9', '10426', NULL, 0, 48, '2005-03-02', NULL, NULL, '46', NULL, 'H#1032, Block 230,cityRailway Colony, Opp Elender Road, I I Chundrigar Rd.,', '', 1, 0, 0, 0, 0, NULL, '', '31594', 4, '', '+92-300-312203990', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1982-03-31', '2019-10-19 12:19:29', NULL, NULL, NULL, NULL, '2020-12-26 10:20:59', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '1', '1', '1', '', 1, 72, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2019-10-19 12:19:29', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 3, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17339, 'ahmer.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Syed Ahmer Ali', 'Syed Basharat Ali', '', NULL, '42201-0536636-5', '10428', NULL, 0, 48, '2005-07-01', '2014-09-10', NULL, '47', NULL, 'H#:no 689,sec 32-d,nasir Colony,korangi No 1,', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '9230019191919', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2010-12-03', '2014-09-09 16:09:35', NULL, NULL, NULL, NULL, '2014-07-23 11:27:59', NULL, NULL, 8, NULL, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 73, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17341, 'ilyas.masih@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ilyas Masih', 'Roora Masih', '', NULL, '42301-1362866-7', '10447', NULL, 0, 48, '2005-12-06', '2014-07-03', NULL, '49', NULL, 'Plot#363, St#5, Sector E, Akhtat Colony,', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-21-1234567', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1955-01-01', '2011-12-02 00:00:00', NULL, NULL, NULL, NULL, '2010-05-06 11:43:25', NULL, NULL, 0, NULL, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 75, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17347, 'muhammad.ashraf@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Ashraf', '-', '', NULL, '42401-0804663-3', '16494', NULL, 0, 48, '2006-07-01', '2012-08-29', NULL, '50', NULL, '-', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-21-1234567', '32445555', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2010-10-30', '2011-12-02 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 81, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17352, 'muhammad.khurram@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Muhammad Khurram Manzoor', 'Manzoor Hussain', '', NULL, '37405-6981521-7', '19030', NULL, 0, 48, '2007-01-15', '2014-07-03', NULL, '44', NULL, 'S N 30 Dhok Kala Khan Shamsabad', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0322-5044434', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1982-04-03', '2013-05-29 00:00:00', NULL, NULL, NULL, NULL, '2014-02-06 11:17:46', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 86, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17353, 'muhammad.basharat@people.com.pk', '786', '61b4a64be663682e8cb037d9719ad8cd', 0, 2, 454, 14, 454, 0, 0, 0, 6, 0, 0, 0, 'Mr.', '19033.jpg', '19033_micro.jpg', 'Muhammad Basharat', 'Bashir Ahmed', '', '0000-00-00', '35202-9443622-9', '19033', NULL, 0, 48, '2007-01-17', NULL, NULL, '52', NULL, 'H#: 5 Qutbi Street Muhalla Tawaka Abad Sanda Kalan', '', 154, 0, 154, 0, 1, NULL, '', '31439', 1, '', '+92-345-8462626', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 0, NULL, NULL, NULL, '1974-10-28', '2020-06-02 10:46:19', NULL, NULL, NULL, NULL, '2020-05-16 14:39:51', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '1', '1', '1', 'B+', 1, 87, 0, 0, 2, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-06-02 10:46:19', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17355, 'majid.hussain@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Syed Majid Hussain Shah', 'Syed Akhtar Hussain Shah', '', NULL, '42301-1103511-9', '19341', NULL, 0, 48, '2007-02-11', '2012-12-21', NULL, '53', NULL, 'House No A/638 Masoom Shah Colony', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-300-1234567', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-03-06', '2011-12-02 00:00:00', NULL, NULL, NULL, NULL, '2010-03-22 15:40:58', NULL, NULL, 0, NULL, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 89, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17356, 'shakeel.ahmad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Shakeel Ahmed', 'Muhammad Shafiq', '', NULL, '36304-1408784-1', '20320', NULL, 0, 48, '2007-03-01', '2014-07-03', NULL, '42', NULL, 'H#: 5 Main Street Mohalla Usmanabad Noor Mhal Plaza', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92321-6320432', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-10-10', '2013-07-22 10:46:32', NULL, NULL, NULL, NULL, '2014-01-13 13:57:00', NULL, NULL, 8, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 90, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17367, 'muzammil@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Muzammil', 'Muhammad Nasir', '', NULL, '42201-0610724-1', '23558', NULL, 0, 48, '2007-11-01', '2012-08-29', NULL, '53', NULL, '15/8 4  D Area Landi#6', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0336-2230548', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-11-26', '2011-12-02 00:00:00', NULL, NULL, NULL, NULL, '2012-04-27 11:19:41', NULL, NULL, 0, NULL, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 101, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17377, 'asif.ansari@people.com.pk', '111', '698d51a19d8a121ce581499d7b701668', 1, 1, 396, 0, 396, 0, 0, 0, 5, 0, 0, 0, 'Mr.', '25867.jpg', '25867_micro.jpg', 'Muhammad Asif', 'Muhammad Idrees', '', '0000-00-00', '42401-8098749-1', '25867', NULL, 0, 48, '2008-03-06', NULL, NULL, '45', NULL, 'H#: 204 Sector 8/ B St#4 Orangi Town', '', 1, 0, 0, 0, 0, NULL, '', '31594', 4, '', '+92-343-2714116', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1978-04-24', '2019-09-21 10:02:36', NULL, NULL, NULL, NULL, '2020-12-29 17:12:28', NULL, NULL, 63, 80, NULL, 0, '10426', NULL, NULL, '0', '1', '1', '1', '', 1, 111, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2019-09-21 10:02:36', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17404, 'muhammad.abdulah@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Muhammad Abdullah', 'Ashfaque Hussain', '', NULL, '42301-9305184-9', '27531', NULL, 0, 48, '2008-06-17', '2014-09-10', NULL, '45', NULL, 'Flat# D 1 Ruqia Square F B Aea Blk 14', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-21-1234567', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-04-20', '2014-09-09 13:41:11', NULL, NULL, NULL, NULL, '2010-11-04 13:32:21', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 138, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17436, 'sheikh.nabi@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Sheikh Nabi', 'Shaikh Doulat', '', NULL, '42201-4826021-5', '29373', NULL, 0, 48, '2008-10-01', '2012-07-11', NULL, '59', NULL, 'H#: 72 St#36 E', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-21-1234567', '+92-21-1234567', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2011-09-28', '2011-12-02 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 170, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17437, 'sohail.masod@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Sohail-M_Piv.JPG', 'Sohail-M_Piv_micro.JPG', 'Sohail Masood Sheikh', 'sheikh Ahmed Masood', '', '0000-00-00', '42101-4492830-3', '17610', NULL, 0, 48, '2006-11-03', '2010-06-01', NULL, '60', NULL, 'B-28 Setor W III Gulshan-e- Maymmar Karachi', '', 1, 0, 0, 0, 0, NULL, '', '31439', 1, '', '0300-9205580', 'single', 2, NULL, NULL, NULL, 0, 0, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1975-07-19', '2019-11-08 11:43:46', NULL, NULL, NULL, NULL, '2010-05-31 15:59:33', NULL, NULL, 9, 80, NULL, 0, '10426', NULL, NULL, '0', '1', '1', '1', '', 1, 171, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2019-11-08 11:43:46', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17446, 'neyaz.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Neyaz Ahmed', 'Ghafoor Ahmed', '', NULL, '42000-1891226-1', '29589', NULL, 0, 48, '2008-11-01', '2010-06-01', NULL, '21', NULL, 'Block.# 42, house.# 2 Railway Colony Karachi Cantt.', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '123', '0345-3183984', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-06-04', '2009-12-16 00:00:00', NULL, NULL, NULL, NULL, '2010-05-12 15:41:51', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 174, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17466, 'hamid.ikram@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Hamid Ikram', 'Muhammad Ikram', '', NULL, '35201-3459149-9', '30623', NULL, 0, 48, '2009-01-26', '2011-01-03', NULL, '63', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-42-111 000', '+92-42-111 000', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1962-06-06', NULL, NULL, NULL, NULL, NULL, '2010-12-24 10:31:48', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 176, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17468, 'naveed.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Naveed_Khan.jpg', 'Naveed_Khan_micro.jpg', 'Muhammad Naveed Alam Khan', 'Jan-e-Alam Khan', '', NULL, '42101-7641251-9', '28686', NULL, 0, 48, '2008-08-11', '2012-06-20', NULL, '64', NULL, 'C-31, Block L, North Nazimabad,', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-21-6679685', '+92-321-8420053', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1981-11-05', '2011-01-03 00:00:00', NULL, NULL, NULL, NULL, '2012-06-17 16:13:11', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 177, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17469, 'mujtaba.iqbal@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Mujtaba Iqbal', 'A', '', NULL, '42301-8805827-5', '30622', NULL, 0, 48, '2009-01-19', '2010-02-17', NULL, '65', NULL, '35/2, 1st Gizri Street,\r\nPhase - 4, Defence Housing Authority', '75500', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+922135882856', '+92-333-2255105', 'Married', 4, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1969-07-29', '2009-07-28 00:00:00', NULL, NULL, NULL, NULL, '2009-10-21 13:26:44', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 178, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17471, 'sheraz.latif@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Sheraz Latif', 'M.Latif', '', NULL, '35201-5040398-5\r', '30450', NULL, 0, 48, '2009-01-02', '2009-07-07', NULL, '66', NULL, 'H # 190 begum pura manzoor junior colony lahore', '59000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+923218880503', 'Single', 2, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 179, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17474, 'umar.farooq@people.com.pk', 'Umar@30792', '6098ced3f8e224ad845b18902969b20d', 1, 1, 2332, 15, 2017, 0, 0, 0, 20, 0, 0, 0, 'Mr.', '1552907063.jpg', '1552907063_micro.jpg', 'Umar Farooq', 'Muhammad Ibrahim Sajjad', 'Retired', '0000-00-00', '34301-1782131-9', '30792', NULL, 0, 48, '2009-02-18', NULL, NULL, '295', NULL, 'House # 96/6 Street Masjid Noorani wali Ghari Awan Hafizabad.', '', 154, 0, 154, 31378, 1, NULL, '', '31439', 1, '', '0333-4355990', 'married', 1, NULL, NULL, NULL, 0, 154, '1554373750.jpg', '2013-04-22', '2023-04-22', 'EW8961312', 154, '1553752520.jpg', '2019-02-06', '2024-02-05', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31378, NULL, NULL, NULL, '1981-12-23', '2021-01-28 03:21:10', NULL, NULL, NULL, NULL, '2021-02-10 00:32:11', '', NULL, 6, 80, NULL, 0, '65260', NULL, NULL, '0', '1', '1', '1', 'B+', 1, 180, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:11', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 2, '0000-00-00', '0000-00-00', NULL, 1, '2021-08-02 12:15:11', 1, 0, NULL, NULL),
	(17477, 'saira.saeed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Ms.', '', '_micro.', 'Saira Saeed', 'Saeed Ahmed Alvi', '', NULL, '35202-1693226-2', '30820', NULL, 0, 48, '2009-02-07', '2010-05-29', NULL, '68', NULL, 'Patiala House, House # 4, GOR-I', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-300-4215349', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1958-08-04', '2010-03-29 00:00:00', NULL, NULL, NULL, NULL, '2010-04-06 13:27:44', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 181, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17482, 'zille.elahi@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Zille Elahi', 'Dr Allah Diwaya (late)', '', NULL, '35202-8683689-1', '30770', NULL, 0, 48, '2009-02-27', '2010-03-20', NULL, '69', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-321-4776887', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1973-01-01', '2009-09-11 00:00:00', NULL, NULL, NULL, NULL, '2010-01-07 12:44:42', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 182, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17488, 'asim.shaikh@people.com.pk', '@misa@', 'afd37b7d01926f5c2b6c127539107230', 0, 2, 344, 17, 344, 0, 0, 0, 2, 0, 0, 0, 'Mr.', '31507.jpg', '31507_micro.jpg', 'Muhammad Asim Shaikh', 'Muhammad Farooque ', 'Retired from private job', '0000-00-00', '41303-1525515-3', '31507', NULL, 0, 48, '2009-03-25', NULL, NULL, '5', NULL, 'Address: Flat 6. 5th floor, plot no. 14/A-2, Sultana Terraces, Street 18, Dehli Colony no.1, Clifton, Karachi ', '', 154, 0, 154, 0, 1, NULL, '', '31594', 4, '', '+92-321-8702509', 'married', 5, NULL, NULL, NULL, 0, 154, '', '2011-03-15', '2021-02-28', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 0, NULL, NULL, NULL, '1980-10-20', '2020-06-02 10:46:08', NULL, NULL, NULL, NULL, '2020-04-21 14:31:51', NULL, NULL, 8, 80, NULL, 0, '', NULL, NULL, '0', '1', '1', '1', '', 1, 183, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-06-02 10:46:08', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17493, 'atif.mir@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Mohammed Atif Mir', 'Mohammed Yahya Mir', '', NULL, '35202-2539813-3\r', '31751', NULL, 0, 48, '2009-04-22', '2010-05-29', NULL, '41', NULL, '209-A, Johar Town', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-321-8864341', '+92-300-8402041', 'Married', 0, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1976-08-11', NULL, NULL, NULL, NULL, NULL, '2010-05-04 13:30:34', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 184, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17520, 'fizza.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Ms.', '', '_micro.', 'Fizza Khan', 'Zaka-ullah-Khan', '', NULL, '35202-6334335-6', '32216', NULL, 0, 48, '2009-05-18', NULL, NULL, '71', NULL, '2-A Faisal apartments <br />\r\nA- Block Faisal Town', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '0321-4742754', '0321-4742754', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1981-05-17', '2010-03-20 00:00:00', NULL, NULL, NULL, NULL, '2010-05-25 17:17:38', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 186, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17525, 'reza.jivani@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'REZA JIVANI.jpg', 'REZA JIVANI_micro.jpg', 'Mohammad Reza Jivani', 'Iqbal Jivani', '', NULL, '42301-6063404-1\r', '32217', NULL, 0, 48, '2009-05-11', '2009-10-03', NULL, '74', NULL, '405-A, Blk-5, Sea Breeze Center, Kh-e-Roomi, Clifton,', '75500', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-334-3331211', '+92-321-8232239', 'Married', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1977-12-01', NULL, NULL, NULL, NULL, NULL, '2009-08-25 14:08:54', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 189, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17540, 'muhammad.mushtaq@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Muhammad Mushtaq', 'Muhammad Ramzan', '', NULL, '38201-0987404-1', '33104', NULL, 0, 48, '2009-06-11', '2012-10-02', NULL, '76', NULL, 'Flat#8-B, Building#19, Street#38, Canal Park, Gulberg II, Lahore', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '0454-202241', '+92-333-4743345', 'Married', 4, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1981-11-15', '2009-12-26 00:00:00', NULL, NULL, NULL, NULL, '2012-10-01 16:19:53', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 191, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17547, 'haroon.ishaque@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Haroon Ishaque', 'Muhammad Ishaque', '', NULL, '35202-9303264-7', '33559', NULL, 0, 48, '2009-06-29', NULL, NULL, '4', NULL, 'House No 16, Street No 25, Canal Park Gulberg II Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-42-5759366', '+92-333-4552573', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, '', NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '', '1985-03-18', '2011-01-29 00:00:00', NULL, NULL, NULL, NULL, '2011-06-21 13:21:53', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 193, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17548, 'usman.azhar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Usman Azhar', 'Azhar Latif', '', NULL, '35202-2620662-7', '33690', NULL, 0, 48, '2009-07-01', '2010-03-08', NULL, '30', NULL, 'House 2-A, St. 26, Islamia Park, Poonch Road.', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-42-7560225', '+92-3008888788', 'Married', 3, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1981-01-18', '2009-12-12 00:00:00', NULL, NULL, NULL, NULL, '2010-02-26 12:32:07', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 194, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17607, 'muhammad.ayub@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Muhammad Ayub Khan', 'Muhammad Rafique Khan', '', NULL, '35202-2457039-5', '34133', NULL, 0, 48, '2009-07-13', '2009-12-01', NULL, '77', NULL, '76-f-1, Irfan Street, Chohan Road, Islam Pural, Lahore, Pakistan', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-42-7159267', '+92-3004606116', 'Married', 2, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-10-23', '2009-07-28 00:00:00', NULL, NULL, NULL, NULL, '2009-11-24 17:16:33', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 196, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17618, 'sohail.ahmad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Sohail Ahmad', 'MUHAMMAD SHAFI', '', NULL, '31101-1254831-5', '35118', NULL, 0, 48, '2009-08-05', '2010-06-01', NULL, '78', NULL, '\\"Al-Shafi House\\" St#01, Shehzadnagar', '-', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '063-2272394', '0333-2272394', 'Single', 0, NULL, NULL, NULL, 0, 154, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1981-06-15', '2009-09-16 00:00:00', NULL, NULL, NULL, NULL, '2010-05-27 10:53:10', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 197, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17623, 'junaidmughal@hotmail.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Junaid iqbal', 'Javaid Iqbal', '', NULL, '35202-4676230-1', '27140', NULL, 0, 48, '2008-05-02', '2009-09-02', NULL, '79', NULL, '66-Jahangir Town Sanda Road', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-4237151759', '+92-3214382790', 'Married', 3, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-12-13', '2009-09-01 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 199, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17629, 'asif_choahn4836@hotmail.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Asif ', 'Ch. Muhammad Rafiqe', '', NULL, '36302-8352705-9', '769763', NULL, 0, 48, '2009-11-13', '2009-10-06', NULL, '80', NULL, 'chak #12/f p/o Basti Mulook multan', '60000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3326066962', 'Single', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-04-03', '2009-10-06 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 201, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17630, 'sumaira.abbasi@ubl.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Sumaira Abbasi', 'Ilyas Ahmed Abbasi', '', NULL, '37405-2028492-8', '16516', NULL, 0, 48, '2006-07-31', '2009-10-27', NULL, '81', NULL, 'H#71, Lane 4-A,Chaudhry Walayat Colony, Chaklala Scheme 3, Rawalpindi', '46000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-51-5567793', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-11-27', '2009-10-27 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 202, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17631, 'mmrajput@yahoo.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Muhammad Noman', 'Ilyas Ahmed Abbasi', '', NULL, '13301-1343724-7', '23085', NULL, 0, 48, '2007-10-01', '2009-10-27', NULL, '81', NULL, 'H# 71, Lane4-A, Ch. Walayat Colony, Chaklala 3,', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-300-5038385', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-07-28', '2009-10-27 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 203, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17634, 'israr.amjad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Israr Amjad', 'Sheikh Amjad Ali', '', NULL, '35202-6067417-9', '35471', NULL, 0, 48, '2009-09-01', NULL, NULL, '45', NULL, 'H#7, Qader Street, Muhallah Kanboh Colony, Samanabad', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-308-4047692', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-09-13', '2016-08-25 13:43:11', NULL, NULL, NULL, NULL, '2015-03-21 11:16:26', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 206, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17635, 'ijaz.masih@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 22, 0, 0, 0, 'Mr.', '35472.jpg', '35472_micro.jpg', 'Ijaz Masih', 'Siraj Masih', '', '0000-00-00', '35202-4058556-9', '35472', NULL, 0, 48, '2009-06-02', '2010-05-29', NULL, '53', NULL, 'New Abasi Sidiqui Colony,Mohallah Chowk Jalhara ,Shadra Town, Lahore', '', 1, 0, 0, 0, 0, NULL, '', '31439', 1, '', '0321-3436091', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1982-09-06', '2019-09-21 10:04:00', NULL, NULL, NULL, NULL, '2019-09-21 09:52:25', NULL, NULL, 63, 80, NULL, 0, '', NULL, NULL, '0', '1', '1', '1', '', 1, 207, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2019-09-21 10:04:00', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17642, 'ilyas_smile@yahoo.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhmmad Ilyas khan', 'Abdul Waris Bacha', '', NULL, '15402-1432965-9', '15809', NULL, 0, 48, '2006-07-07', '2009-11-16', NULL, '81', NULL, 'Mohllah Mian Gana Daba villige and po Box Thana Distt Malakand', '23000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-932441869', '+92-3469840440', 'Single', 8, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-01-01', '2009-11-14 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 211, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17645, 'u_bajwa2006@yahoo.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Umar', 'Arshad Hussain', '', NULL, '34603-8278380-5', '29033', NULL, 0, 48, '2008-08-29', '2009-11-19', NULL, '83', NULL, 'Village Vinjal p.o Gpo Sialkot teh and distt sialkot.', '51310', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-3446389567', '+92-3007159369', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-01-01', '2009-11-19 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 213, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17648, 'waqas.rauf@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'WAQAS RAUF', 'SH ABDUL RAUF', '', NULL, '35404-4000693-5', '9926', NULL, 0, 48, '2005-12-01', '2009-12-07', NULL, '83', NULL, 'HOUSE NO.257 STREET NO.06, MOHALLAH JOHAR PARK NEAR IMAMBARGAH KALAN SHEIKHUPURA.', '39350', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-312-6277007', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-07-14', '2009-12-06 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 214, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17650, 'talal.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 454, 14, 454, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Talal Ahmed', 'Sultan Ahmed Asif', '', NULL, '35201-1569254-9', '36662', NULL, 0, 48, '2009-12-16', NULL, NULL, '85', NULL, '22-Hussain Road Near Rangers Head Quater Lahore Cantt', '54850', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-42-6631121', '+92-321-4181920', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1981-10-21', '2010-04-14 00:00:00', NULL, NULL, NULL, NULL, '2010-05-28 11:43:42', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 216, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17652, 'muzahir.ahmad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muzahir Ahmad', 'Khwaja shumile Ahmad hassan', '', NULL, '35202-1988704-3', '36661', NULL, 0, 48, '2009-12-11', NULL, NULL, '77', NULL, 'house # 11 bilal street shah kamal road ichra', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-4237504054', '+92-3224407703', 'Single', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-10-11', '2009-12-24 00:00:00', NULL, NULL, NULL, NULL, '2010-09-29 13:55:17', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 218, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17657, 'asif.shahza@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Muhammad Asif Shahzad', 'Inayat Khan', '', NULL, '33203-1408282-9', '36663', NULL, 0, 48, '2009-12-22', '2010-06-01', NULL, '87', NULL, 'House No 1233 Street No 13/B Makkah Colony Gulberg 3', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3334588105', 'Married', 7, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1982-11-10', '2017-05-31 11:26:05', NULL, NULL, NULL, NULL, '2010-05-31 11:19:47', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 219, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17664, 'irfan.badar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 458, 12, 458, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Picture_003.jpg', 'Picture_003_micro.jpg', 'Muhammad Irfan Badar', 'Wajid Ali', '', NULL, '38402-9722320-7', '36876', NULL, 0, 48, '2010-01-01', NULL, NULL, '20', NULL, 'House # 7 Sahafi Colony Harbanspura Lahore.', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3008070753', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-01-01', '2011-07-22 00:00:00', NULL, NULL, NULL, NULL, '2011-11-25 16:37:55', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 223, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17671, 'zafar.osmani@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Zafar Aziz Osmani', 'Muhammad Shaukat Osmani', '', NULL, '42301-5108481-1', '37120', NULL, 0, 48, '2010-01-06', '2010-10-30', NULL, '89', NULL, 'House No. 102/1, Phase 6, DHA', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-300-8240609', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1945-02-27', '2010-01-29 00:00:00', NULL, NULL, NULL, NULL, '2010-06-02 12:06:29', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 225, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17675, 'tariq.karamdin@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Tariq Karamdin', 'Karam Din', '', NULL, '35202-4017073-3', '37008', NULL, 0, 48, '2010-01-19', '2015-07-25', NULL, '92', NULL, 'H#42,St#21,Mohallah Salamatpura,Liaquatabad , Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '03008080451', '03008080451', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1981-04-04', '2013-01-26 00:00:00', NULL, NULL, NULL, NULL, '2015-06-24 08:28:31', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 229, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17685, 'khurram.nazir@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'khurram nazir', 'ch. nazir ahmad', '', NULL, '35202-2971520-1', '29370', NULL, 0, 48, '2008-10-06', '2010-02-28', NULL, '94', NULL, 'arain house # 13 main bazar qadar pura bund road lahore', '54500', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3214213698', 'Single', 3, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-03-01', '2010-02-27 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 233, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17686, 'rizwanpsh@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Rizwan Ahmad', 'Abdul Sattar', '', NULL, '17301-1367611-7', '08592', NULL, 0, 48, '2005-09-29', '2010-03-04', NULL, '95', NULL, 'House No.1, Street No.1, Samar Bagh, Gulbahar No.4, Ijaz Abad Road Peshawar.', '25000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3005898962', 'Single', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-06-07', '2010-03-04 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 234, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17694, 'nabeel.rehman@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 454, 14, 454, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Nabeel.jpg', 'Nabeel_micro.jpg', 'Nabeel ur Rehman', 'Khalil ur Rehman', '', NULL, '35202-8533450-3', '38229', NULL, 0, 48, '2010-03-15', NULL, NULL, '99', NULL, '68-C, P.I.A Society, Johar Town, Lahore.', '54600', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-5186384', '+92-03214192995', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-10-18', '2010-09-30 00:00:00', NULL, NULL, NULL, NULL, '2011-02-09 14:49:38', NULL, '#F0F8FF', 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 239, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17710, 'ahmed.anees@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ahmed Umer Anees', 'Anees-ul-hussan', '', NULL, '35201-4837846-9', '38310', NULL, 0, 48, '2010-03-29', '2010-06-01', NULL, '101', NULL, '20/21 larexcolony gsII ext mughal pora road ghari shahu lahore', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-042-6825965', '+92-345-4096036', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-10-10', '2010-03-29 00:00:00', NULL, NULL, NULL, NULL, '2010-05-31 11:32:00', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 242, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17717, 'imran.shah@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Syed Imran Shah', 'Syed Akbar Badshah', '', NULL, '16201-0730302-9', '30089', NULL, 0, 48, '2008-11-06', '2010-04-13', NULL, '103', NULL, 'G-9/2, Block No. 6, Flat No. 3, Islamabad', '44000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-300-5118859', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-04-10', '2010-04-13 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 245, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17722, 'me.muhammadarshad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Arshad', 'Muhammad Rasheed Khan', '', NULL, '33202-5389829-7', '12345', NULL, 0, 48, '2010-04-26', '2010-05-04', NULL, '77', NULL, 'Ravi Road', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-342611844', '+92-3004816459', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-01-02', '2010-04-26 00:00:00', '2010-05-01', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 247, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17724, 'asif_chohan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'muhammad asif', 'ch. muhammad rafiqe', '', NULL, '36302-8352705-9', '30470', NULL, 0, 48, '2008-11-13', '2010-05-04', NULL, '80', NULL, 'chak 12/f p/o basti mulook multan', '60000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-0614050104', '+92-3326066962', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-04-03', '2010-05-01 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 249, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17725, 'jahanzaib@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'jahanzaib', 'iqbal javed', '', NULL, '31303-6795928-7', '24608', NULL, 0, 48, '2008-01-14', '2010-05-15', NULL, '106', NULL, 'House # 4 Street # 15 Jinnah Park Rahim Yar KHan', '62000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-685002664', '+92-3006752801', 'Single', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-09-03', '2010-05-15 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 250, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17729, 'munahassan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Munib Hassan Syed', 'Syed Sibtul Hassan', '', NULL, '38403-0153790-7', '21054', NULL, 0, 48, '2007-05-11', '2010-05-24', NULL, '107', NULL, '96 Farooq Colony University Road Sargodha.', '40100', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-48-3720633', '+92-3006032949', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-10-22', '2010-05-24 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 251, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17730, 'ppm@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Haseeb', 'Allah Ditta Butt', '', NULL, '34101-5193476-1', '33349', NULL, 0, 48, '2009-06-10', '2010-05-25', NULL, '108', NULL, 'H#02 st# 26 Block X peoples colony gujranwala', '52250', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-055-4242293', '+92-3217437504', 'Single', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-10-10', '2010-05-24 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 252, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:11', NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:11', 1, 0, NULL, NULL),
	(17747, 'faheem7772002@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Faheem Ijaz', 'Ijaz Khalid', '', NULL, '33100-4460055-1', '35356', NULL, 0, 48, '2009-07-01', '2011-01-07', NULL, '110', NULL, 'House No. 677-A, Main Bazar Bilal Chowk Samanabad, Faisalabad', '38000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-0412011230', '+92-3346629746', 'Single', 3, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-01-01', '2010-08-26 00:00:00', '2010-08-31', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 254, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17748, 'hamid.zeeshan456@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'hamid zeeshan', 'nazar hussain', '', NULL, '35202-3001150-9', '13819', NULL, 0, 48, '2006-05-22', '2011-01-07', NULL, '83', NULL, 'hno 41 stno 3 clftone colony wahdat road lahore', '54600', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-37570021', '+92-3064330516', 'Married', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1981-05-19', '2010-08-27 00:00:00', '2010-09-01', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 255, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17749, 'people@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'fahaib ahmed', 'bashir ahmed', '', NULL, '42501-1418239-1', '17307', NULL, 0, 48, '2006-09-23', '2011-01-07', NULL, '81', NULL, 'nil', '75400', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-021-32771725', '+92-0333-3732471', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-05-28', '2010-08-28 00:00:00', '2010-09-02', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 256, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17751, 'asiakauser@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Miss', NULL, '', 'asia kauser', 'muhammad younas', '', NULL, '35201-6327440-0', '27059', NULL, 0, 48, '2008-05-08', '2011-01-07', NULL, '81', NULL, 'st#20,H#1-A,main Bazar Ganj, mughal,pura, lahore.', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '042-36820840', '03084060431', 'Single', 4, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-08-10', '2010-09-15 00:00:00', '2010-09-20', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 258, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17755, 'raza.ali.samad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Raza Ali', 'ABDUS SAMAD', '', NULL, '61101-1834500-5', '29541', NULL, 0, 48, '2008-09-04', '2011-01-07', NULL, '81', NULL, 'H.no.447, St no.51, G-9/1,Islamabad', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-03325198693', 'Single', 3, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1979-06-28', '2010-10-02 00:00:00', '2010-10-07', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 262, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17758, 'hfz_fahim@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'faheem mazhar', 'mazhar akhtar', '', NULL, '35101-2475057-5', '16071', NULL, 0, 48, '2006-07-15', '2011-01-07', NULL, '81', NULL, 'house no1850 engineering street chunian distt kasur', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-494311652', '+92-3004477693', 'Married', 3, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-03-01', '2010-10-06 00:00:00', '2010-10-11', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 263, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17759, 'waseem.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Chaudhry Waseem Ahmed', 'Chaudhry Rasheed Ali', '', NULL, '37405-2923699-5', '39974', NULL, 0, 48, '2010-06-07', '2014-07-03', NULL, '44', NULL, 'H # 5, St # 4, Barma Town, P/O Tarlai Kalan Islamabad', '44000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-345-5916153', '+92-345-5916153', 'Single', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1981-07-16', '2012-09-26 00:00:00', '2010-10-19', NULL, NULL, NULL, '2014-04-21 11:40:54', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 264, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17762, 'faisalmukhtar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Faisal Mukhtar', 'Mukhtar Ahmad', '', NULL, '13501-7974777-7', '35492', NULL, 0, 48, '2009-09-14', '2011-01-07', NULL, '112', NULL, 'C/O Al- Faisal Baker Shop # 3 Tahli Mohri Chowk ', '46000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-5512448', '+92-3228522720', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-06-15', '2010-11-11 00:00:00', '2010-11-16', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 265, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17769, 'irfan.tanveer@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2032, 0, 2032, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Irfan Tanveer', 'Zahid Tanveer', '', NULL, '35202-3469127-7', '41934', NULL, 0, 48, '2010-12-10', '2013-09-29', NULL, '3', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3334646068', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-12-08', '2013-05-20 00:00:00', NULL, NULL, NULL, NULL, '2013-06-27 10:49:33', NULL, NULL, 6, NULL, NULL, NULL, '0', NULL, NULL, '1', '1', '1', '1', NULL, 1, 269, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17772, 'ahsan.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ahsan Ahmed', 'Saeed Ahmed Qureshi', '', NULL, '42101-4410856-9', '42245', NULL, 0, 48, '2011-01-01', '2012-12-21', NULL, '114', NULL, 'House # 02, Block # 97, Sector 5-D, North Karachi. ', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '021-32012461', '+92-333-3214810', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1982-11-27', '2012-09-26 00:00:00', NULL, NULL, NULL, NULL, '2012-12-16 16:18:53', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 272, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17773, 'kashif@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'muhammad kashif khan', 'muhammad hussain', '', NULL, '42201-1633917-3', '30897', NULL, 0, 48, '2011-01-02', '2011-01-15', NULL, '108', NULL, 'house no R 164 sector 34/2 korangi no 3 karachi', '74900', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-03463569930', '+92-03362545714', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-06-03', '2011-01-07 00:00:00', '2011-01-12', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 273, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17778, 'sana.fatima@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Miss', NULL, '', 'Sana Fatima', 'Shaukat Waljee', '', NULL, '42301-3024394-0', '42382', NULL, 0, 48, '2011-01-13', '2012-07-11', NULL, '23', NULL, 'Plot # 66, Block 6/2, Kashmir Road, P.E.C.H.S,\r\n', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-37740838', '+92-0300-2573877', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-03-01', '2012-06-21 00:00:00', '2011-02-08', NULL, NULL, NULL, '2012-06-20 16:36:07', NULL, NULL, 7, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 277, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17779, 'irfan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Muhammad Irfan Bhatti', 'Abdul Majeed Bhatti', '', NULL, '35202-2420765-9', '42576', NULL, 0, 48, '2016-03-02', NULL, NULL, '116', NULL, '2/2 Shahid Colony Wahdat Road', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-042-37561832', '+92-0321-5739537', 'Married', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1979-11-22', '2016-03-12 11:18:36', NULL, NULL, NULL, NULL, '2016-03-11 07:45:56', NULL, NULL, 8, NULL, NULL, NULL, '23137', NULL, NULL, '0', '1', '1', '1', NULL, 1, 278, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17780, 'javed.siddique@people.com.pk', 'Nisar@147', 'bb0a7f97e215a86ee6bb254156567b38', 1, 1, 454, 14, 2017, 0, 0, 0, 14, 0, 0, 0, 'Mr.', '1582547481.jpg', '1582547481_micro.jpg', 'Javed Ahmad Siddique', 'Nisar Ahmad Siddique', '', '0000-00-00', '35202-3148701-9', '42362', NULL, 0, 48, '2011-01-19', NULL, NULL, '67', NULL, '147-1-D1, New Town Ship Lahore', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '+92-3356067375', 'married', 3, NULL, NULL, NULL, 0, 154, NULL, '2019-07-22', '2029-07-22', 'KZ5467011', 154, NULL, '2019-09-26', '2024-09-24', 'LE18-29126', NULL, 154, '2018-03-08', '2023-03-07', 154, 31439, NULL, NULL, 'MBA.jpg', '1984-05-25', '2020-02-24 17:31:21', NULL, NULL, NULL, NULL, '2020-12-30 13:41:45', NULL, NULL, 7, 80, NULL, 0, '65260', NULL, NULL, '0', '1', '1', '1', 'O+', 1, 279, 0, 0, 5, 53447837, 154, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:11', NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 2, NULL, NULL, NULL, 1, '2021-08-02 12:15:11', 1, 0, NULL, NULL),
	(17781, 'rebecca.yunus@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Miss', NULL, '', 'Rebecca Yunus', 'Yunus Bashir ', '', NULL, '42301-7132192-2', '42640', NULL, 0, 48, '2011-02-08', '2012-07-11', NULL, '22', NULL, 'House No 8, Block No. 9, 100 Quaters Line Area, Karachi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-0332-2489946', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-07-10', '2011-12-02 00:00:00', '2011-02-17', NULL, NULL, NULL, '2011-12-12 14:31:58', NULL, NULL, 0, NULL, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 280, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17785, 'Muhammadkashif@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad.kashif', 'Muhammad hussain', '', NULL, '42201-1633917-3', '30697', NULL, 0, 48, '2009-02-03', '2011-03-12', NULL, '120', NULL, 'House no R.164 sector 34/2 \r\nkorangi no 3 karachi', '74900', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-03463569930', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-06-03', '2011-03-06 00:00:00', '2011-03-11', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 284, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17787, 'ishtiaq.baqar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'ISHTIAQ AHMAD BAQAR', 'MUHAMMAD HANIF', '', NULL, '36601-9050317-5', '40660', NULL, 0, 48, '2010-09-16', '2011-03-12', NULL, '122', NULL, 'EJAZ WATCH HOUSE ARIF BAZAR BUREWALA DISTT VEHARI ', '61010', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-673352243', '+92-3336285043', 'Single', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-04-01', '2011-03-09 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 286, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17790, 'atifbughio@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Atif Hyder Khalid', 'Khalid Bughio', '', NULL, '41306-3102759-7', '28888', NULL, 0, 48, '2008-07-21', '2011-03-12', NULL, '81', NULL, 'B# 12 Akhter Cottage behind Gulistan-e-Sajad Qasimabad Hyderabad.', '71000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3332713380', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-11-23', '2011-03-11 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 287, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17791, 'omar.butt@people.com.pk', 'ilovelhr', '8634324642cd62f10dd6cc70d84c2b87', 1, 1, 2241, 28, 356, 0, 0, 0, 18, 0, 0, 0, 'Mr.', '1552896539.jpg', '1552896539_micro.jpg', 'Omar Farooq Butt', 'Dr. Hamayon Farooq Butt', 'Doctor', '0000-00-00', '35202-2258594-3', '43041', NULL, 0, 48, '2011-03-10', NULL, NULL, '300', NULL, 'House No. 4, Block No. 1, Sector B1, Township', '', 227, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '+923426999444', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2011-08-08', '2021-08-08', 'AP3495943', 154, NULL, '2016-04-22', '2021-04-21', 'LE-13-13440', NULL, 154, '2013-05-04', '2023-05-05', 227, 26074, NULL, NULL, NULL, '1979-05-27', '2020-12-19 15:38:36', '2011-03-21', NULL, NULL, NULL, '2020-12-31 11:52:45', NULL, NULL, 6, 80, NULL, 0, '23137', NULL, NULL, '0', '1', '1', '1', 'O+', 1, 288, 0, 0, 5, 0, 154, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 2, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(17794, 'muhammad.awais@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 454, 14, 454, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Awais Sheikh', 'Sheikh Muhammad Zaman', '', NULL, '35202-4915955-1', '43577', NULL, 0, 48, '2011-04-11', '2011-07-22', NULL, '124', NULL, '98-A, Military Accounts Housing Society, Near Ghazi Chowk, College Road, Township, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-0345-4087789', 'Married', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-11-12', '2011-06-18 00:00:00', '2011-05-02', NULL, NULL, NULL, '2011-07-02 12:16:28', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 291, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17798, 'amirtaimur@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Amir Taimur', 'Aziz Gul', '', NULL, '16101-4067965-7', '790781', NULL, 0, 48, '2011-04-22', '2011-05-13', NULL, '81', NULL, 'Village & P.O Gujrat Teh & Distt Mardan', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3333304138', 'Single', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-04-06', '2011-05-12 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 294, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17800, 'ishtiaqbaqar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'ISHTIAQ AHMAD BAQAR', 'MUHAMMAD HANIF', '', NULL, '33660-1905031-7', '783462', NULL, 0, 48, '2010-09-16', '2011-06-24', NULL, '127', NULL, 'IJAZ WATCH HOUSE ARIF BAZAR BUREWALA  DISTT VEHARI ', '6010', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-673352243', '3336285043', 'Single', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-04-01', '2011-05-18 00:00:00', '2011-05-23', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 295, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17802, 'ammad-lodhi@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'AMMAD PERVAIZ LODHI', 'M.PERVAIZ KHAN LODHI', '', NULL, '54400-6779043-9', '737568', NULL, 0, 48, '2010-10-01', '2011-06-24', NULL, '81', NULL, 'Agha Anwer Flats, House # 5-4/11 Gurdat Singh Road Quetta.', '74400', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-81-2831040', '+92-333-7925090', 'Single', 3, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-06-16', '2011-05-31 00:00:00', '2011-06-05', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 297, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17815, 'omer.rauf@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Omer Rauf', 'Rana Abdul Rauf', '', NULL, '42101-1887876-9', '45173', NULL, 0, 48, '2011-06-20', '2012-10-31', NULL, '128', NULL, 'B-205 Block - 11 Federal B Area ', '75950', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-36344430', '+92-3312499251', 'Married', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-01-04', '2012-09-24 00:00:00', NULL, NULL, NULL, NULL, '2012-10-30 09:52:16', NULL, NULL, 6, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 298, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17816, 'khurram.hameed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 454, 14, 454, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Khurram Hameed Sheikh', 'Abdul Hameed Sheikh', '', NULL, '33100-0929556-9', '45413', NULL, 0, 48, '2011-07-01', NULL, NULL, '129', NULL, '43-E-1\r\nGulberg III\r\nLahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-3216606522', '+92-3216606522', 'Single', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2010-07-18', '2011-07-22 00:00:00', '2011-07-06', NULL, NULL, NULL, '2011-12-22 12:52:04', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 299, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17820, 'majidirfan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'MAJID IRFAN', 'MALIK NAZEER AHMED', '', NULL, '38302-2497026-7', '24677', NULL, 0, 48, '2008-01-16', '2011-07-09', NULL, '83', NULL, 'HOUSE NO E/174 AZEEM STREET \r\nWANDHI GHUND WALI MIANWALI', '42200', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-233778', '+92-3347938131', 'Married', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1979-05-05', '2011-07-05 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 302, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17821, 'majid@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'MAJID IRFAN', 'MALIK NAZEER AHMED', '', NULL, '38302-2497026-7', '26677', NULL, 0, 48, '2008-01-16', '2011-07-09', NULL, '83', NULL, 'H/NO E-174 AZEEM STREET  WANHI GHUND WALI MIANWALI', '42200', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3347938131', 'Single', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1979-05-05', '2011-07-05 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 303, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17824, 'junaidsoomro@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'junaidsoomro', 'Khudabux', '', NULL, '41305-1804024-7', 'Junaidsoomro', NULL, 0, 48, '2011-03-24', '2011-07-09', NULL, '131', NULL, 'Qazi Muhalla Matiari', '70150', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-222760720', '+92-3338948716', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-03-22', '2011-07-07 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 304, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 2, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17825, 'afnan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Afnan', 'Iftikhar Ahmed Khan', '', NULL, '35202-0521862-5', '45408', NULL, 0, 48, '2011-06-30', '2012-08-03', NULL, '132', NULL, 'House # 218, Street 6, Air Avenue, Phase 8, DHA', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3454021765', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-06-01', '2012-05-09 00:00:00', NULL, NULL, NULL, NULL, '2012-07-23 14:35:11', NULL, NULL, 7, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 305, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17826, 'alrizwan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Rizwan Ahmed', 'Ch. Muhammad Siddique', '', NULL, '31201-9563367-1', '21993', NULL, 0, 48, '2007-06-17', '2011-07-09', NULL, '133', NULL, 'Mohallah shikari', '06553', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-0622272883', '+92-03346160883', 'Single', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1972-12-18', '2011-07-08 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 306, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17832, 'ghulam.jafar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Photo0643.jpg', 'Photo0643_micro.jpg', 'Ghulam Jafar', 'Muhammad Pehlwan', '', NULL, '33202-9053620-3', '44717', NULL, 0, 48, '2011-06-01', '2014-09-10', NULL, '77', NULL, 'House#856, Blcok C-II China Scheme Gujjar Pura', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-42-36880097', '+92-321-7577210', 'Single', 8, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-03-10', '2014-09-09 16:14:15', NULL, NULL, NULL, NULL, '2014-08-26 09:46:11', NULL, NULL, 8, NULL, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 311, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17833, 'riaz.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Riaz Ahmed', 'Aftikhar Ali', '', NULL, '35301-2007858-1', '45565', NULL, 0, 48, '2011-07-11', '2014-07-03', NULL, '4', NULL, 'House # 01, Streat # 01, Wahdat Park, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3234164066', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-01-01', '2014-06-07 10:14:37', NULL, NULL, NULL, NULL, '2014-04-11 14:54:20', '', NULL, 8, NULL, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 312, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17834, 'pes.umair@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Umair', 'Zafar Iqbal', '', NULL, '37405-9886336-5', '33649', NULL, 0, 48, '2009-06-29', '2011-08-15', NULL, '135', NULL, 'House # Y-612 Street # 68 Muhalla melad nagar dhoke ratta Rawalpindi.', '46000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-51-5558863', '+92-345-5263721', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-04-18', '2011-08-07 00:00:00', '2011-08-12', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 313, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17835, 'naveed.shahzad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 458, 12, 458, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Naveed_Shahzad.jpg', 'Naveed_Shahzad_micro.jpg', 'Naveed Shahzad', 'Muhammad Boota Shahzad', '', NULL, '35202-2646903-3', '45409', NULL, 0, 48, '2011-11-01', '2012-10-30', NULL, '20', NULL, 'House # 16-B/II, Jafferia Colony, Behind Shezan Factory, Bund Road,', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0092 300 947 4451', 'Single', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1982-09-21', '2011-10-31 00:00:00', '2011-08-14', NULL, NULL, NULL, '2012-08-01 11:51:58', '', NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 314, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17838, 'kashif.iqbal@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Kashif', 'Iqbal Ahmed', '', NULL, '42101-1898730-3', '32271', NULL, 0, 48, '2009-04-01', '2011-09-15', NULL, '84', NULL, 'H-No 1-E/ 5 Liaquatabad No.1', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3002203840', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1979-05-26', '2011-08-19 00:00:00', '2011-08-24', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 316, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(17839, 'naveedaslam@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Naveed Aslam', 'Muhammad Aslam', '', NULL, '37405-0294058-5', '36278', NULL, 0, 48, '2009-11-14', '2011-09-15', NULL, '136', NULL, 'madni market,commercial area,satelite town rawalpindi.', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3135368453', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-02-26', '2011-08-23 00:00:00', '2011-08-28', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 317, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18033, 'muhammad.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2032, 0, 2032, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Ali Asif Khan', 'Muhammad Asif Khan', '', NULL, '35201-1393457-5', '47162', NULL, 0, 48, '2011-09-07', '2014-07-03', NULL, '137', NULL, '73-D, St #2, Cavalry Ground', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-345408643', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1981-12-14', '2013-08-22 13:52:10', NULL, NULL, NULL, NULL, '2014-02-24 13:26:53', NULL, NULL, 8, NULL, NULL, NULL, '0', NULL, NULL, '1', '1', '1', '1', NULL, 1, 319, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18035, 'zulfiqar.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'zulfiqar ali', 'muh liaquat', '', NULL, '41307-2510608-5', '46203', NULL, 0, 48, '2011-08-01', '2011-10-03', NULL, '138', NULL, 'house no.16,\r\npak colony,tando allahyar,\r\nsindh.', 'pakistan', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3002141005', 'Married', 3, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1974-02-03', '2011-09-19 00:00:00', '2011-09-24', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 320, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18036, 'farooq.mian@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Farooq Mian', 'Muhammad Arshad Mian', '', NULL, '35202-1998409-5', '47264', NULL, 0, 48, '2011-09-12', NULL, NULL, '4', NULL, '22 Hunza block Allama Iqbal Town', '54600', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-4237808881', '+92-3334506187', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-02-25', '2011-09-30 00:00:00', NULL, NULL, NULL, NULL, '2012-07-01 00:06:36', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 321, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18039, 'muhammad.anas@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Anas Ali', 'Muhammad Khurshid Alam', '', NULL, '42401-9457669-7', '47715', NULL, 0, 48, '2011-09-26', '2012-06-20', NULL, '140', NULL, 'R-201, 15-A, Buffer Zone, karachi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-021-36656007', '+92-346-2677425', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-12-03', '2011-10-13 00:00:00', '2011-10-18', NULL, NULL, NULL, '2012-06-08 12:50:14', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 323, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18040, 'salman.akbar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Salman Ali Akbar', 'Ikramuddin Akbar', '', NULL, '42101-8538265-5', '47786', NULL, 0, 48, '2011-09-26', '2012-06-20', NULL, '21', NULL, '103/C4 Haroon Royal City, Gulistan-e-Jauhar, Block 17, karachi.', '75290', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-333-3209799', 'Single', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-11-08', '2011-10-13 00:00:00', '2011-10-18', NULL, NULL, NULL, '2012-02-09 09:21:44', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 324, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18043, 'awais.salahuddin@people.com.pk', 'Awais@123', '7192b1d8fc5f69d16272f7b928b91645', 1, 1, 2342, 0, 2342, 0, 0, 0, -1, 0, 0, 0, 'Mr.', '1566295291.jpg', '1566295291_micro.jpg', 'Awais Salah Ud Din', 'Salah Ud Din', 'Own Business', '0000-00-00', '35202-4681592-3', '48821', NULL, 0, 48, '2011-10-18', NULL, NULL, '300', NULL, 'H#11, St#34, Qilla Gujjar Singh, Abdul Karim Road, \r\nLahore', '', 154, 0, 154, 31439, 1, NULL, '', '51090', 3, '', '+92-314-4206521', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2016-02-17', '2026-02-17', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1987-03-09', '2020-12-21 10:24:19', NULL, NULL, NULL, NULL, '2020-12-30 23:58:18', NULL, NULL, 6, 80, NULL, 0, '', NULL, NULL, '0', '1', '1', '1', 'A+', 1, 325, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 2, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(18047, 'skt.oco1@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'usman aslam', 'muhammad aslam', '', NULL, '34603-9074976-7', '782665', NULL, 0, 48, '2010-07-29', '2011-10-19', NULL, '81', NULL, 'h # 18/463 taj pura khadim ali road sialkot', '51310', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-0523240438', '+92-03227292112', 'Single', 4, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-07-15', '2011-10-19 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 327, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18049, 'arif.alvi@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Arif Rasheed Alvi', 'Abdul Wahid Alvi', '', NULL, '35202-3029293-9', '48639', NULL, 0, 48, '2011-10-20', '2012-06-20', NULL, '141', NULL, '4-B, Sabzazaar Colony, Link Wahdat Road, Muslim Town\r\n', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3218478986', 'Married', 3, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1972-11-10', '2011-12-29 00:00:00', NULL, NULL, NULL, NULL, '2012-03-17 14:29:25', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 328, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18053, 'mohib.qureshi@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Muhammad Mohib Qureshi', 'Mansoor Qureshi', '', NULL, '42301-6268714-5', '45937', NULL, 0, 48, '2011-06-23', '2014-07-03', NULL, '92', NULL, 'House # C-9,				\r\nMahala Hijrat Colony, \r\nCantt Civil Line,                                          Karachi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '0343-2893426', '0346-8224530', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1992-06-14', '2012-09-01 00:00:00', NULL, NULL, NULL, NULL, '2012-09-01 14:24:45', NULL, NULL, 9, NULL, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 329, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18055, 'naeem.shahzad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1299, 0, 1299, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Naeem Shahzad', 'Muhammad Sulamaan', '', NULL, '33225-4964895-2', '48967', NULL, 0, 48, '2011-10-22', NULL, NULL, '10', NULL, '', '54840', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-3214217008', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-10-28', '2016-08-25 13:45:33', NULL, NULL, NULL, NULL, '2016-06-02 14:36:50', NULL, NULL, 9, NULL, NULL, NULL, '57635', NULL, NULL, '0', '1', '1', '1', NULL, 1, 330, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18056, 'AdeelM@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Adeel Mansoor', 'Mansoor Hanif', '', NULL, '37405-2989974-7', '41089', NULL, 0, 48, '2010-10-01', '2011-11-11', NULL, '142', NULL, 'H# 3/F, Lane.2, Ward.4, Aziz Bhatti Road, Tariqabad', '46000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-333-52160085', 'Single', 3, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-06-30', '2011-10-29 00:00:00', '2011-11-03', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 331, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18058, 'irfan.anwar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Irfan Anwar', 'Muhammad Anwar Chaudhry', '', NULL, '35202-2684059-9', '49555', NULL, 0, 48, '2011-11-10', '2012-07-30', NULL, '144', NULL, '121-B PCHS Ghazi Road Defence.', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-3214778778', '+92-3458533331', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-08-26', '2011-12-19 00:00:00', NULL, NULL, NULL, NULL, '2012-07-25 19:53:55', '', NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 333, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18070, 'shahid_ali581@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'shahid ali', 'abdul ghafoor ', '', NULL, '35404-3831449-7', '40950', NULL, 0, 48, '2010-09-14', '2011-12-19', NULL, '81', NULL, 'moh usman nager hiran minar road sheikhupura ', '39350', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-03074222116', '+92-03074222116', 'Single', 4, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1982-08-22', '2011-12-10 00:00:00', '2011-12-15', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 335, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18072, 'bilalkk_91@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Bilal', 'Ahmed Ali', '', NULL, '41303-8728737-5', '50020', NULL, 0, 48, '2011-12-08', '2011-12-19', NULL, '145', NULL, 'Flat No 304, Madina Palace,\r\nUnit No 5, Latifabad.', '71000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-223866813', '+92-3332626996', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-05-09', '2011-12-17 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 337, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18075, 'usman.jillani@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 458, 12, 458, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'sheikh muhammad usman jillani', 'ABDUL SAMAD', '', NULL, '35200-1456672-3', '47225', NULL, 0, 48, '2011-12-01', '2012-09-12', NULL, '146', NULL, 'H#585block-D Taj pura \r\nLahore', '042', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, 'Could not connect da', '03224803877', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1978-09-10', '2011-12-26 00:00:00', NULL, NULL, NULL, NULL, '2012-07-28 10:54:54', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 338, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18077, 'faizi@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Faiza Andleeb', 'khadim Hussain', '', NULL, '34101-2962628-2', '795971', NULL, 0, 48, '2011-07-11', '2011-12-28', NULL, '148', NULL, 'rahwali gujranwala', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-0556414426', '+92-3026421252', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-03-28', '2011-12-24 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 340, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18079, 'azhar.bokhari@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Syed Azhar Hussain Shah', 'Syed Manzoor Hussain Shah', '', NULL, '35302-2038491-9', '50075', NULL, 0, 48, '2011-11-28', '2012-06-20', NULL, '149', NULL, '11 - Rahman Villas, Aitchison Housing Society, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92- 322 4474749', 'Married', 4, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1975-09-12', '2012-01-11 00:00:00', NULL, NULL, NULL, NULL, '2012-05-30 17:02:42', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 342, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18080, 'ahmadjalil55@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'jalil ahmad', 'juma gul', '', NULL, '15602-4702465-5', '801137', NULL, 0, 48, '2011-09-13', '2012-01-05', NULL, '80', NULL, 'mohalla landikas bangladash mingora swat', '19130', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-946723924', '+92-3369442173', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-08-08', '2011-12-30 00:00:00', '2012-01-04', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 343, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18081, 'aurangzeb@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 458, 12, 458, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Aurangzeb', 'Muhammad Khalid Mirza', '', NULL, '34601-3742724-5', '50194', NULL, 0, 48, '2011-12-07', '2014-07-03', NULL, '150', NULL, 'Flat No. 1, Babar Plaza Canal Park Bazar Main Market Gulberg II Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3344003780', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-08-01', '2012-09-26 00:00:00', NULL, NULL, NULL, NULL, '2013-09-06 08:19:55', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 344, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18082, 'shahidali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Shahid Ali Zafar', 'Muhammad Zafar Soomro', '', NULL, '31202-1390976-1', '40556', NULL, 0, 48, '2010-08-28', '2012-01-05', NULL, '79', NULL, 'House no 2693 Mohalla Mir Siraj Ud Din Street No 7 Bahawalpur', '63400', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-884250', '+92-3346851904', 'Single', 3, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-05-14', '2012-01-01 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 345, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18083, 'ayesha.khawaja@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 454, 14, 454, 0, 0, 0, 0, 1, 0, 0, 'Mrs.', NULL, '', 'Ayesha Khawaja', 'Ahmad Jamal Khawaja', '', NULL, '35202-7442616-6', '50566', NULL, 0, 48, '2011-12-21', '2012-12-21', NULL, '151', NULL, '777 L Block Johar Town Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-04235304253', '+92-03224220985', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-08-20', '2012-05-03 00:00:00', NULL, NULL, NULL, NULL, '2012-12-12 14:16:32', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 346, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18084, 'hamid.masih@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Hamid Masih', 'Barkat Masih', '', NULL, '35202-4219964-3', '50029', NULL, 0, 48, '2011-11-12', NULL, NULL, '152', NULL, 'House No# 208 Street #1 Mahala Kachi abadi fc college lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3064752073', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-03-29', '2016-08-25 13:39:12', NULL, NULL, NULL, NULL, '2015-04-04 11:45:58', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 347, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18086, 'micheal.masih@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Micheal Masih', 'Anayat Masih', '', NULL, '35202-5828417-3', '49474', NULL, 0, 48, '2011-09-29', NULL, NULL, '152', NULL, 'house#209 street#1 mahala christian colony fc college ferozpur road lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3085207900', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-01-06', '2014-09-25 11:10:46', NULL, NULL, NULL, NULL, '2015-01-06 13:34:32', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 349, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18089, 'wqas@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Waqas Ahmed', 'Abdul Waheed', '', NULL, '42201-1045166-9', '0050532', NULL, 0, 48, '2011-12-12', '2012-03-04', NULL, '154', NULL, 'H-469/14 Johar Colony Johar Street Lasbella Karachi.', '74800', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+9221-32001534', '+92-3002533358', 'Single', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-05-31', '2012-01-08 00:00:00', '2012-01-13', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 352, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18090, 'shermeen.khan@eet.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mrs.', NULL, '', 'Shermeen Ahmed Khan', 'Ahmed Khan', '', NULL, '35201-1222902-2', '50195', NULL, 0, 48, '2011-12-05', '2012-06-20', NULL, '155', NULL, '27 Upper Mall', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3218429510', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1978-12-21', '2012-01-11 00:00:00', NULL, NULL, NULL, NULL, '2012-02-24 10:58:09', NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 353, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18133, 'asim.qureshi@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Asim Qureshi', 'Muhammad Zafar Qureshi', '', NULL, '42201-7448608-5', '49940', NULL, 0, 48, '2011-11-21', NULL, NULL, '147', NULL, 'D-10 Noman View Abul Hassan Isphahani Road.Gulshan-e-Iqbal Karachi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-313-2152690', '+92-313-2152690', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-12-08', '2013-05-29 00:00:00', NULL, NULL, NULL, NULL, '2014-12-30 13:02:31', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 354, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18135, 'burhan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'burhanuddin', 'Muhammad ibrahim ', '', NULL, '42301-3291522-3', '23835', NULL, 0, 48, '2007-12-03', '2012-03-04', NULL, '156', NULL, 'iqbal garden 3rd floor block C flat no 304 garden west karachi.\r\n', '7455', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-2234082', '+92-3883815', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-07-28', '2012-01-28 00:00:00', '2012-02-02', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 355, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18136, 'faizan.tariq@eet.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Faizan Tariq', 'Shehzad Tariq', '', NULL, '35202-2019962-7', '68897', NULL, 0, 48, '2014-05-15', '2015-07-25', NULL, '157', NULL, '112 - D2, Wapda Town', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3004719086', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-03-04', '2014-10-23 09:11:45', NULL, NULL, NULL, NULL, '2015-02-23 12:56:10', NULL, NULL, 6, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 356, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18137, 'uzair.tariq@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Uzair Tariq', 'Tariq Hameed', '', NULL, '3540492586689-1', '51878', NULL, 0, 48, '2012-02-06', '2014-07-03', NULL, '158', NULL, '315 A-1\r\nPGECHS \r\n', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-42-35183515', '+92-333-4379140', 'Single', 0, NULL, NULL, NULL, 0, 154, 'NIC-Front.jpg', NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-09-17', '2013-07-22 10:38:07', NULL, NULL, NULL, NULL, '2014-01-17 12:14:05', NULL, NULL, 7, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 357, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18138, 'dilber_joura@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Yasir Ali Dilber Bilal', 'Muhammad Mehboob Alam', '', NULL, '38404-6521568-7', 'dilber', NULL, 0, 48, '2012-01-23', '2012-03-04', NULL, '81', NULL, 'House # 259/82 Mohalla Nolakha Bazar Shahpur city District sargodha', '40610', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-486311100', '+92-3334058808', 'Married', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-03-17', '2012-02-09 00:00:00', '2012-02-14', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 358, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 2, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18139, 'khurrambn@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'khurram shahzad', 'muhammad ishaq', '', NULL, '31101-3200951-5', '41401', NULL, 0, 48, '2011-10-25', '2012-04-03', NULL, '159', NULL, '232-b block c pcsir staff housing society college road township lahore\r\n\r\n\r\n\r\n', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-03214182984', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-01-14', '2012-02-18 00:00:00', '2012-02-23', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 359, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18140, 'quratulain@eet.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Qurat-ul-ain', 'Muhammad Ismail', '', NULL, '35201-5659348-2', '51067', NULL, 0, 48, '2012-01-01', '2014-07-03', NULL, '160', NULL, 'house#100/20 A,Lane V I, Ext. Cavalry Ground, Cantt. Lahore', '54660', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-36625060', '+92-0347-4127780', 'Single', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-08-30', '2013-07-22 11:40:05', '2012-03-04', NULL, NULL, NULL, '2014-04-19 13:02:55', NULL, NULL, 8, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 360, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18141, 'adil.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad adil Khan', 'Muhammad Saleem Khan', '', NULL, '17301-9827965-9', '52403', NULL, 0, 48, '2012-02-23', '2012-10-30', NULL, '161', NULL, 'Dk-574 dhok kashmiriyan Satellite town Rawalpindi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-300-9774686', 'Married', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-08-17', '2012-09-26 00:00:00', '2012-03-13', NULL, NULL, NULL, '2012-10-06 12:50:26', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 361, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18150, 'salman.saeed@people.com.pk', 'salman111', 'fd59a2da892de6de6cc4e76722f46605', 1, 1, 2344, 0, 0, 0, 0, 0, -1, 0, 0, 0, 'Mr.', 'Salman_Small.JPG', 'Salman_Small_micro.JPG', 'Salman Saeed', 'Amjad Saeed', 'Demised', '0000-00-00', '35201-5426453-5', '52282', NULL, 0, 48, '2012-02-16', NULL, NULL, '291', NULL, 'House # 1/A-1, Pakistan Railway Steel Shop Officer Colony, Mughalpura, Lahore', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '+92-3334435669', 'married', 3, NULL, NULL, NULL, 0, 154, NULL, '2017-10-09', '2027-10-09', '', 0, NULL, '0000-00-00', '0000-00-00', 'LE-19-3516', NULL, 154, '2019-02-26', '2024-02-25', 154, 31439, NULL, NULL, NULL, '1984-01-01', '2020-11-16 13:02:07', NULL, NULL, NULL, NULL, '2020-12-28 14:24:13', NULL, NULL, 6, 80, NULL, 0, '0', NULL, NULL, '0', '1', '1', '1', 'A+', 1, 362, 0, 0, 5, 0, 154, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 2, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(18153, 'madiha@people.com.pk', 'Madihanaz', 'bec60ab7b8565da426b4cb68c304fde9', 0, 2, 396, 0, 396, 0, 0, 0, 5, 0, 0, 0, 'Ms.', '50847.jpg', '50847_micro.jpg', 'Madiha Naz', 'Kabir Ahmed', '', '0000-00-00', '42301-5606802-8', '50847', NULL, 0, 48, '2012-01-02', NULL, NULL, '162', NULL, '  Flat # A-4, Plot #A59/5, Rahat Manzil Street 3, Dehli Colony #1 Clifton Karachi ', '', 0, 0, 0, 0, 0, NULL, '', '31594', 4, '', '+92-03132223474', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 0, 0, NULL, NULL, NULL, '1987-01-14', '2020-06-02 10:45:56', NULL, NULL, NULL, NULL, '2020-05-30 17:36:11', NULL, NULL, 9, 80, NULL, 0, '10426', NULL, NULL, '0', '1', '1', '1', '', 1, 365, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-06-02 10:45:56', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18154, 'haroon_malik281@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 458, 12, 458, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'muhammad haroon', 'Saleem Raza', '', NULL, '36201-6683422-5', '44047', NULL, 0, 48, '2011-04-18', '2012-04-03', NULL, '94', NULL, 'house no.46 block -E- shah rukn-e-alam colony multan', '60000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-3006399448', '+92-3336144768', 'Single', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-11-21', '2012-04-01 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 366, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18155, 'umefarwa@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Ume Farwa', 'Ali Nawaz', '', NULL, '33202-4663774-0', '54527', NULL, 0, 48, '2012-04-02', '2012-09-04', NULL, '163', NULL, '123 D, Gulberg II, Lahore.', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-423-5759-680', '+92-300-430 8523', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-02-17', '2012-04-27 00:00:00', NULL, NULL, NULL, NULL, '2012-08-15 15:42:50', NULL, NULL, 7, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 367, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18156, 'humaira.farooq@eet.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Miss', NULL, '', 'Humaira Farooq', 'Sheikh Ahmed Farooq', '', NULL, '35200-4332538-2', '0051879', NULL, 0, 48, '2012-02-06', NULL, NULL, '164', NULL, '1-D Club Road, G.O.R I', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-308-4447679', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-03-23', '2012-06-14 00:00:00', '2012-04-16', NULL, NULL, NULL, '2012-06-26 16:29:23', NULL, NULL, 8, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 368, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18157, 'sadaqat.mahmood@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Sadaqat Mahmood', 'Tariq Mahmood', '', NULL, '37405-5170145-9', '53661', NULL, 0, 48, '2012-03-06', '2013-01-22', NULL, '165', NULL, 'B-I-951/B, Street # 02, Sadiqabad, Muslim Town, Rawalpindi', '46000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-51-4576012', '+92-333-5141153', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-02-02', '2012-09-26 00:00:00', '2012-04-21', NULL, NULL, NULL, '2013-01-17 13:33:43', NULL, NULL, 8, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 369, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18165, 'khurram.sharif@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2032, 0, 2032, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Khurram Sharif', 'Sharif Shawa', '', NULL, '35200-1466119-3', '55093', NULL, 0, 48, '2012-04-20', '2014-09-10', NULL, '166', NULL, 'H # 22 ST # 1 BEHIND MAO COLLEGE SANDA ROAD LAHORE', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-4237229330', '+92-3074085615', 'Married', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1982-10-19', '2014-09-09 16:18:00', '2012-05-02', NULL, NULL, NULL, '2014-08-30 11:23:23', NULL, NULL, 8, NULL, NULL, NULL, '0', NULL, NULL, '0', '1', '1', '1', NULL, 1, 370, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18166, 'fahad.nasir@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Fahad Nasir', 'Nasir Ud Din', '', NULL, '35202-6244346-7', '54896', NULL, 0, 48, '2012-04-02', '2012-10-30', NULL, '167', NULL, 'H#688 BLOCK#2 SECTOR D-1 TOWNSHIP LAHORE.', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-35117897', '+92-03344243451', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-11-07', '2012-04-28 00:00:00', NULL, NULL, NULL, NULL, '2012-10-02 08:44:07', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 371, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18167, 'waseem.sattar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '53526.jpg', '53526_micro.jpg', 'Waseem Sattar', 'Abdul Sattar', '', NULL, '35201-6076746-3', '53526', NULL, 0, 48, '2012-03-21', '2014-07-03', NULL, '168', NULL, 'H# 34-C, St# 134-A,\r\nStreet Medina, Aman Park,\r\nBaghbanpura.\r\n', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-03003081100', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-06-03', '2012-05-02 00:00:00', NULL, NULL, NULL, NULL, '2013-12-25 17:32:19', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 372, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18179, 'wajahat.qureshi@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Wajahat Aslam Qureshi', 'Aslam Hassan Qureshi', '', NULL, '35201-8126232-5', '55331', NULL, 0, 48, '2012-04-16', '2012-07-11', NULL, '181', NULL, '319XX DHA\r\nPhase 3', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3224767570', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-11-21', '2012-05-16 00:00:00', '2012-05-21', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 373, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18185, 'saira.khanum@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Saira Khanum', 'Noor Muhammad Khan', '', NULL, '35202-1045786-0', '56190', NULL, 0, 48, '2012-06-01', '2013-04-17', NULL, '4', NULL, 'House No. 281 - 3 - B - II Township, Lahore.', '54660', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3134071537', 'Single', 4, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-10-24', '2012-08-31 00:00:00', '2012-06-12', NULL, NULL, NULL, '2013-02-28 10:13:28', NULL, NULL, 8, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 378, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18186, 'rabia.saleem@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Rabia Saleem', 'Mohammad Saleem', '', NULL, '42301-1001682-0', '56267', NULL, 0, 48, '2012-06-04', '2013-01-20', NULL, '170', NULL, 'Khayaban-e-Sehar, DHA', '75500', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3332334496', 'Single', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1964-04-06', '2012-06-23 00:00:00', NULL, NULL, NULL, NULL, '2012-12-21 11:04:24', NULL, NULL, 4, NULL, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 379, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18976, 'kashif.yaqoob@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2032, 0, 2032, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Kashif Yaqoob', 'Muhammad Yaqoob Elahi', '', NULL, '35202-2300789-1', '110953', NULL, 0, 48, '2012-06-20', '2014-07-03', NULL, '171', NULL, 'House.#.201, Block-G4, Wapda Town', '54600', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-42-35185315', '+92-300-9493437', 'Married', 4, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1976-04-12', '2013-05-20 00:00:00', NULL, NULL, NULL, NULL, '2013-09-09 10:42:32', NULL, NULL, 6, NULL, NULL, NULL, '0', NULL, NULL, '1', '1', '1', '1', NULL, 1, 381, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(18978, 'Muhmmad.farhan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Farhan', 'Iftikhar Ahmad', '', NULL, '35202-3100755-5', '56711', NULL, 0, 48, '2012-06-18', NULL, NULL, '4', NULL, '747/E Cnanl View Socity Lahore', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-3599747', '+92-3224989948', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-01-10', '2018-03-05 12:47:47', NULL, NULL, NULL, NULL, '2012-11-19 08:09:27', NULL, NULL, 8, NULL, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 382, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(29717, 'mehdi.jafri@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Syed Muhammad Mehdi Jafri', 'Syed Talib Ali Jafri', '', NULL, '42401-6822577-5', '56712', NULL, 0, 48, '2012-06-13', '2012-10-30', NULL, '140', NULL, 'R-355,Block-20,F.B Area,Karachi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3462755871', 'Single', 3, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-05-17', '2012-09-26 00:00:00', NULL, NULL, NULL, NULL, '2012-10-23 10:32:44', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 388, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(32079, 'ahmad.hassan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ahmad Hassan', 'Muhammad Yasin', '', NULL, '35201-1702889-3', '57125', NULL, 0, 48, '2012-06-07', '2014-09-10', NULL, '173', NULL, '56-Sher Khan Road, LAhore Cantt', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-4235709399', '+92-3334989888', 'Married', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-06-16', '2014-09-09 16:12:05', NULL, NULL, NULL, NULL, '2014-05-06 16:59:33', NULL, NULL, 5, NULL, NULL, NULL, '23137', NULL, NULL, '0', '1', '1', '1', NULL, 1, 389, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(36877, 'umair.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Umair Ahmed', 'Zahid Latif', '', NULL, '36302-4490202-1', '57635', NULL, 0, 48, '2012-07-20', NULL, NULL, '174', NULL, '55 Eden Avenue Ext,\r\nAirport Road, \r\nLahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-616772626', '+92-3216385400', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-01-01', '2017-03-17 17:26:24', NULL, NULL, NULL, NULL, '2017-01-03 21:09:25', NULL, NULL, 6, NULL, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 390, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(36878, 'usman.ghani@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Email_Pic.png', 'Email_Pic_micro.png', 'Usman Ghani', 'Muhammad Irshad Aslam', '', NULL, '34101-8276286-3', '78042', NULL, 0, 48, '2015-12-04', NULL, NULL, '78', NULL, 'House # 27,Street # 1, Ittehad Park, Main Feroz Pur Road, Bank Stop, Near Ashiana Scheme, Lahore', 'Pakistan', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3224811030', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-10-02', '2017-03-17 17:30:47', NULL, NULL, NULL, NULL, '2017-01-03 22:59:56', NULL, NULL, 9, NULL, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 391, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(36879, 'sehrish.ehsan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 454, 14, 454, 0, 0, 0, 0, 1, 0, 0, 'Miss', NULL, '', 'Sehrish Ehsan', 'Ehsan Ullah Bhatti', '', NULL, '35201-7033533-8', '57721', NULL, 0, 48, '2012-08-01', '2013-05-21', NULL, '175', NULL, 'E 5/12 CII STREET NO 6A NEAR REHMANIA MASJID CAVALRY GROUND LHR CANTT.', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3314178150', 'Single', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-12-22', '2012-08-11 00:00:00', NULL, NULL, NULL, NULL, '2013-05-02 15:56:05', NULL, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 392, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(38036, 'tania.aslam@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2032, 0, 2032, 0, 0, 0, 0, 1, 0, 0, 'Mrs.', NULL, '', 'Tania Aslam', 'Syed Anam Ali', '', NULL, '33100-9302183-6', '57869', NULL, 0, 48, '2012-08-06', '2013-09-29', NULL, '176', NULL, '14 Tina Squire Near Meezan Bank, Model Colony\r\nKarachi.', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-3', '+92-300-3499332', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, '2019-07-31', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1979-05-06', '2013-05-20 00:00:00', NULL, NULL, NULL, NULL, '2013-05-15 14:31:47', NULL, NULL, 7, 0, NULL, NULL, '0', NULL, NULL, '1', '1', '1', '1', NULL, 1, 395, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(38037, 'tughral.baig@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Tughral Baig', 'Saleem Ullah Baig', '', NULL, '42301-9702895-9', '58021', NULL, 0, 48, '2012-08-13', '2012-09-16', NULL, '177', NULL, 'Ground Floor Flat No.3,\r\nStreet No.14\r\nPhase VIII\r\nKhayaban-e-Ghalib', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-11-11', '2012-08-31 00:00:00', NULL, NULL, NULL, NULL, '2012-09-01 12:44:55', NULL, NULL, 9, 0, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 396, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(38038, 'attash.sawja@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Attash Sawja', 'Amir Tajdin Sawja', '', NULL, '42201-3820752-5', '58020', NULL, 0, 48, '2012-08-13', '2013-02-28', NULL, '177', NULL, 'D-24 Lakhani Tower\r\nGarden West', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-345 3045161', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-10-05', '2012-09-26 00:00:00', NULL, NULL, NULL, NULL, '2013-02-08 14:41:49', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 397, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(38039, 'shaheryar.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Malik Shaheryar Khan', 'Muhammad Ashfaq Malik', '', NULL, '42301-5338945-1', '58022', NULL, 0, 48, '2012-08-16', '2015-01-26', NULL, '178', NULL, 'House No.B/125\r\nStreet No.7,\r\nHijrat Colony\r\nNear P.I.D.C House\r\n', '75530', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-334-3560773', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-09-02', '2015-01-26 10:52:05', NULL, NULL, NULL, NULL, '2015-01-05 14:05:09', NULL, NULL, 9, 0, '2012-11-16', NULL, '10426', NULL, NULL, '0', '1', '1', '1', NULL, 1, 398, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(40251, 'amina.agha@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Amina Agha', 'Humayun Agha Khan', '', NULL, '61101-2408372-4', '58619', NULL, 0, 48, '2012-09-15', '2014-07-03', NULL, '180', NULL, 'House No. 653,\r\nStreet No.70,\r\nSector I-8/3', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1979-10-03', '2013-07-22 10:46:09', NULL, NULL, NULL, NULL, '2014-01-08 20:39:08', NULL, NULL, 6, 0, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 400, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(40252, 'taimur.noor@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Taimur Noor', 'Khawar Noor Shaikh', '', NULL, '42301-8944189-9', '58675', NULL, 0, 48, '2012-09-17', '2013-09-29', NULL, '147', NULL, 'Apartment No.72/b,\r\n1st Floor,\r\nCommercial Area \\"A\\"\r\nPhase II,\r\nDHA', 'Marketing & Sales - ', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, '2019-07-31', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-01-13', '2013-05-24 00:00:00', NULL, NULL, NULL, NULL, '2013-08-24 12:04:39', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 401, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(40253, 'mahwish.ejaz@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Mahwish Ejaz', 'Ejaz Karimi', '', NULL, '42101-2731153-2', '58676', NULL, 0, 48, '2012-09-01', '2014-07-03', NULL, '180', NULL, 'B-116,\r\nBlock 18,\r\nGulshan-e-Iqbal', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3222745443', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1981-09-20', '2013-08-01 10:42:18', NULL, NULL, NULL, NULL, '2014-02-19 12:39:52', NULL, NULL, 6, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 402, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(40254, 'muhammad.adeel@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 458, 12, 458, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Adeel Shahzad', 'Muhammad Idrees', '', NULL, '35201-3184208-7', '58691', NULL, 0, 48, '2012-08-23', '2013-02-28', NULL, '146', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-02-21', '2012-10-04 00:00:00', NULL, NULL, NULL, NULL, '2013-02-21 20:49:29', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 403, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(40255, 'hassam.ghias@people.com.pk', 'Hashu-321', '6f3a972de5fc4ab2535964a16fa00d93', 1, 1, 2333, 7, 0, 0, 0, 0, 21, 0, 0, 0, 'Mr.', '1566476891.jpg', '1566476891_micro.jpg', 'Hassam Ghias', 'Ghiasuddin', 'Retired Banker', '0000-00-00', '35202-6015883-3', '58692', NULL, 0, 48, '2012-08-23', NULL, NULL, '185', NULL, 'House No. 68-A, Pak Block Allama Iqbal Town, Lahore', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '+92-3314094123', 'single', 2, NULL, NULL, NULL, 0, 154, NULL, '2017-10-06', '2027-10-06', '', 0, NULL, '0000-00-00', '0000-00-00', 'LE-13-53375', NULL, 154, '2013-11-21', '2024-03-11', 154, 31439, NULL, NULL, NULL, '1991-12-19', '2020-11-12 15:19:40', NULL, NULL, NULL, NULL, '2020-12-28 10:19:47', NULL, NULL, 8, 80, NULL, 0, '0', NULL, NULL, '0', '1', '1', '1', 'B+', 1, 404, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(40256, 'junaid.ahmed@people.com.pk', 'Junaid@12345', '007112cd0923b94c5008ef2791c5df5d', 1, 1, 2342, 0, 1301, 0, 0, 0, -1, 0, 0, 0, 'Mr.', '1565241215.jpg', '1565241215_micro.jpg', 'Junaid Ahmad', 'Haji Muhammad', 'Haji Muhammad', '0000-00-00', '35202-9159608-7', '58693', NULL, 0, 48, '2012-08-28', NULL, NULL, '10', NULL, '', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '+92-', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2019-04-20', '2029-04-20', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1988-05-08', '2020-12-21 11:20:25', NULL, NULL, NULL, NULL, '2020-12-31 13:22:04', NULL, NULL, 8, 80, NULL, 0, '', NULL, NULL, '0', '1', '1', '1', 'A+', 1, 405, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(40257, 'ethel.john@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Ethel John Peter', 'Angelo John', '', NULL, '42301-1690384-8', '57612', NULL, 0, 48, '2012-07-03', '2013-04-17', NULL, '140', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-10-08', '2012-09-26 00:00:00', NULL, NULL, NULL, NULL, '2013-04-02 12:13:13', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 406, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(40258, 'sohail.arshed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'me_passport.png', 'me_passport_micro.png', 'Sohail Arshad', 'Rana Arshad Iqbal ', '', NULL, '35202-8177591-3', '58718', NULL, 0, 48, '2012-09-01', NULL, NULL, '182', NULL, '11-B/2 Tauheed Park, Gulshan-e-Ravi,  Punjab ', ' 54500', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-333-4524548', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-01-25', '2015-05-19 13:04:46', NULL, NULL, NULL, NULL, '2014-08-28 16:30:34', NULL, NULL, 7, 0, NULL, NULL, '23137', NULL, NULL, '0', '1', '1', '1', NULL, 1, 407, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(40259, 'amin.akhter@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1304, 0, 1304, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Amin', 'Amin', '', NULL, '42201-3219442-3', '58736', NULL, 0, 48, '2012-09-04', '2014-07-03', NULL, '183', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 5, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-12-12', '2013-05-30 00:00:00', NULL, NULL, NULL, NULL, '2014-01-17 12:44:37', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 408, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(40262, 'naeem.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Naeem_Ahmed.jpg', 'Naeem_Ahmed_micro.jpg', 'Naeem Ahmed', 'Lal Buksh', '', NULL, '31303-7198628-7', '56268', NULL, 0, 48, '2012-06-06', NULL, NULL, '140', NULL, 'Survay No.208 House No.319, Millat Town Malir Halt', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3458252233', 'Married', 5, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-01-22', '2016-07-19 09:09:42', NULL, NULL, NULL, NULL, '2018-11-03 15:10:34', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 409, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(40263, 'ali.manzoor@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ali Manzoor', 'Manzoor Hussain', '', NULL, '35202-6995253-7', '58800', NULL, 0, 48, '2012-09-20', '2013-02-28', NULL, '184', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-11-16', '2012-10-04 00:00:00', NULL, NULL, NULL, NULL, '2012-12-02 13:25:13', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 410, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(40264, 'jawad.ahmad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2032, 0, 2032, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Jawad.jpg', 'Jawad_micro.jpg', 'Jawad Ahmad', 'Muhammad Jamil', '', NULL, '33202-1923126-5', '58975', NULL, 0, 48, '2012-09-07', NULL, NULL, '185', NULL, 'Wapda Flat F-5, Kashmir Block, Allama Iqbal Town, Lahore', '56400', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-333-4909194', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-12-10', '2017-03-17 17:35:30', NULL, NULL, NULL, NULL, '2016-12-03 02:09:54', NULL, NULL, 8, 0, NULL, NULL, '0', NULL, NULL, '0', '1', '1', '1', NULL, 1, 411, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(40265, 'abdul.taiyeb@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1304, 0, 1304, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Abdul Taiyeb Bhaijiwala', 'Zakir Hussain Bhaijiwala', '', NULL, '42301-1304032-7', '58977', NULL, 0, 48, '2012-10-03', '2014-07-03', NULL, '181', NULL, 'Al-Burhan Mansion,\r\nSB1/76,\r\nFlat No.5,\r\nBhikaji Street, Saddar', '75350', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3452117852', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-10-09', '2013-05-30 00:00:00', NULL, NULL, NULL, NULL, '2014-06-11 12:37:06', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 412, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(40267, 'agha.salahuddin@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Agha Salahuddin', 'Agha Zain-ud-din', '', NULL, '37405-2267319-1', '59074', NULL, 0, 48, '2012-08-23', '2012-11-12', NULL, '181', NULL, 'House No 47, Gousia Colony ', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-06-14', '2012-10-11 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 413, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(41544, 'ali.shah@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Syed Ali Hassan Shah', 'Shujat Hussain', '', NULL, '35201-1367861-3', '59196', NULL, 0, 48, '2012-10-12', '2013-09-29', NULL, '187', NULL, 'Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-10-16', '2012-10-18 00:00:00', NULL, NULL, NULL, NULL, '2013-08-05 11:02:35', NULL, NULL, 7, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 414, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(41545, 'Muhammad.yaseen@people.com.pk', 'jhoolaylal', 'c73143e0f969083dd90bb75bd81e2e86', 1, 1, 454, 14, 454, 0, 0, 0, 6, 0, 0, 0, 'Mr.', '1606278674.jpg', '1606278674_micro.jpg', 'Muhammad Yaseen', 'Abdul Majeed', 'Over age', '0000-00-00', '35202-5926368-1', '59197', NULL, 0, 48, '2012-10-08', NULL, NULL, '188', NULL, 'House No.956,rnBlock No.5,rnSector D-2rnGreen Town', '', 154, 154, 154, 31471, 1, NULL, '', '31439', 1, '+92-', '+92-', 'married', 2, NULL, NULL, NULL, 0, 154, '1565004948.jpg', '2017-05-17', '2027-05-17', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31515, NULL, NULL, NULL, '1981-03-04', '2020-11-25 09:31:14', NULL, NULL, NULL, NULL, '2020-12-30 09:09:55', NULL, NULL, 8, 80, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', 'O+', 1, 415, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(41546, 'usman.hassan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Usman Hassan', 'Mohy Uddin Hassan', '', NULL, '35202-1744732-9', '58799 ', NULL, 0, 48, '2012-09-07', '2013-09-29', NULL, '4', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-05-29', '2013-07-15 11:12:09', NULL, NULL, NULL, NULL, '2013-07-25 17:38:13', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 416, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(44099, 'ghulam.mustafa@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Syed Ghulam Mustafa Shah Naqvi', 'Syed Khadim Hussain Shah Naqvi', '', NULL, '42301-5248430-3', '59304', NULL, 0, 48, '2012-10-17', NULL, NULL, '140', NULL, 'Bath Island Appartments,\r\nFlat B-1, Plot 114-115, Clifton,\r\nNear CAMS College, Clifton', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-07-27', '2012-12-07 00:00:00', NULL, NULL, NULL, NULL, '2013-01-21 13:08:01', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 417, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(44100, 'Muhammad.Ishaq@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Ishaq', 'Ch Nzaeer Ahmed', '', NULL, '37405-6375377-3', '59363', NULL, 0, 48, '2012-11-01', '2014-07-03', NULL, '189', NULL, 'Flat 23C, Block 23, Askari 3, Chaklala Scheme3, ', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1962-01-25', '2013-07-22 11:42:00', NULL, NULL, NULL, NULL, '2013-08-28 11:37:45', NULL, NULL, 7, 0, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 418, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(44101, 'naila.shahzadi@people.com.pk ', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Naila Shahzadi ', 'Muhammad Shafi Butt ', '', NULL, '35201-2363174-0', '59417', NULL, 0, 48, '2012-11-01', '2012-11-07', NULL, '190', NULL, 'H#318/9, Gulistan Colony, Quanchi Amar Sadhu', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-09-15', '2012-11-02 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 419, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(45378, 'muhammad.mukarram@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Syed Muhammad Mukarram', 'Syed Mohammad Azmat', '', NULL, '61101-5819465-5', '59502', NULL, 0, 48, '2012-11-05', '2014-07-03', NULL, '181', NULL, 'House# 445, street 15, model village chack shahzad, ', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-04-05', '2013-06-12 00:00:00', NULL, NULL, NULL, NULL, '2013-11-08 09:47:01', NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 420, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(49219, 'raza.islam@people.com.pk', 'raza123', '4bd9294273ff8134d0d2d55b93c9baf1', 0, 2, 366, 23, 366, 0, 0, 0, 4, 0, 0, 0, 'Mr.', '59527.jpg', '59527_micro.jpg', 'Raza Ul Islam', 'Shams Ul Islam', 'Doctor', '0000-00-00', '42501-9659692-3', '59527', NULL, 0, 48, '2012-11-10', NULL, NULL, '191', NULL, 'House # R459,\\r\\nPhase I\\r\\nHaroon Banglows,\\r\\nOff University Road\\r\\nScheme 33\\r\\nSector 38', '', 154, 154, 154, 31594, 1, NULL, 'Lahore', '31594', 4, '+92-', '+92-0333-3144181', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '2015-02-28', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31594, NULL, NULL, NULL, '1984-07-16', '2019-08-16 10:04:36', NULL, NULL, NULL, '2016-02-23', '2019-09-26 14:31:10', NULL, NULL, 6, 80, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', 'A+', 1, 421, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 2, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51868, 'muhammad.afzal@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Afzal', 'Nek Muhammad ', '', NULL, '36304-9262666-1', '59787', NULL, 0, 48, '2012-11-16', '2013-05-21', NULL, '192', NULL, 'Village and post office bagrain , Tehsil Shujabad, District ', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1961-03-03', '2012-11-26 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 423, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51871, 'mansoor.inayat@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mansoor Inayat', 'Ali Shan', '', NULL, '37405-7595797-9', '59908', NULL, 0, 48, '2012-11-05', '2013-04-17', NULL, '53', NULL, 'Sadhwal, Daak Khana Khaas, Teshil Pind Dadan Khan, \r\nJhelum.', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-01-01', '2013-03-18 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 424, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51872, 'muhammad.kamran@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Kamran Malik', 'Malik', '', NULL, '37405-1430147-3', '49516', NULL, 0, 48, '2011-09-26', '2014-07-03', NULL, '44', NULL, 'Islamabad', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-12-29', '2013-02-11 00:00:00', NULL, NULL, NULL, NULL, '2014-02-11 12:32:38', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 425, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51873, 'zahid.hussain@people.com.pk', '396Aa$', 'b95a0265ad6a34baf2e526b08a5fb695', 1, 1, 2342, 0, 1301, 0, 0, 0, -1, 0, 0, 0, 'Mr.', '1567053597.jpg', '1567053597_micro.jpg', 'Zahid Hussain', 'Abdul Rasheed', '', '0000-00-00', '61101-2322600-7', '54386', NULL, 0, 48, '2012-03-16', NULL, NULL, '193', NULL, 'House No 35 Street No 3 new shakiral Near Zia Masjid Islamabad', '', 154, 0, 154, 48321, 1, NULL, '', '51090', 3, '', '+92- 345 5449776', 'married', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 48347, NULL, NULL, NULL, '1990-03-01', '2020-12-21 11:19:55', NULL, NULL, NULL, NULL, '2020-12-29 11:31:42', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '1', '1', '1', 'A+', 1, 426, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(51874, 'amin.suchwani@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Amin Suchwani', 'Kamber Ali Ahmad Suchwani', '', NULL, '42101-2113380-9', '59863', NULL, 0, 48, '2012-12-01', '2015-03-25', NULL, '181', NULL, 'Flat No.16, Alyabad Colony,\r\nBlock 8 F.B.Area', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-332-3681928', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-01-31', '2015-03-26 08:57:04', NULL, NULL, NULL, NULL, '2015-03-25 08:27:14', NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 427, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51876, 'kazim.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Syed Kazim Ali ', 'Syed Muhammad Yaseen', '', NULL, '35202-8758847-3', '60064', NULL, 0, 48, '2012-12-05', '2015-07-25', NULL, '4', NULL, '302 Jahanzeb Block, Allama Iqbal Town ', 'Pakistan', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-03-05', '2014-06-07 10:15:39', NULL, NULL, NULL, NULL, '2015-03-24 12:35:08', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 429, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51881, 'samreen.aqil@people.com.pk', '487Aa$', '604c614b04db3f6ffff3d8158d587ad4', 0, 2, 1861, 38, 356, 0, 0, 0, 22, 0, 0, 0, 'Ms.', '60180.jpg', '60180_micro.jpg', 'Samreen Aqil', 'Syed Muhammad Aqil', '', '0000-00-00', '35201-6381180-4', '60180', NULL, 0, 48, '2012-12-15', NULL, NULL, '35', NULL, '401GG, Phase 4 DHA', '', 154, 0, 0, 0, 0, NULL, '', '31439', 1, '', '+92-', 'single', 1, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1984-07-05', '2020-11-05 14:12:29', NULL, NULL, NULL, NULL, '2020-10-22 16:21:50', NULL, NULL, 7, 80, NULL, 0, '23137', NULL, NULL, '0', '1', '1', '1', '', 1, 430, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-11-05 02:12:29', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 1, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51882, 'ehtisham.amin@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ehtisham Amin', 'Zameer Akhtar', '', NULL, '35202-1473676-9', '60181', NULL, 0, 48, '2012-12-17', '2013-02-28', NULL, '195', NULL, 'House#7, St#2, Beadon Road, ', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-04-30', '2012-12-17 00:00:00', NULL, NULL, NULL, NULL, '2013-02-07 07:47:00', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 431, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51883, 'ambreen.malik@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Ambreen Malik', 'Shah Muhammad', '', NULL, '35202-9507542-8', '60193', NULL, 0, 48, '2012-12-19', '2012-12-28', NULL, '196', NULL, '726 XX Street 34, DHA', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-04-07', '2012-12-19 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 8, 0, NULL, NULL, '23137', NULL, NULL, '1', '1', '1', '1', NULL, 1, 432, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51884, 'jahangir.fatah@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Jahangir Fatah Khan', 'Fatah Khan', '', NULL, '42301-0793988-9', '45938', NULL, 0, 48, '2011-06-15', '2015-10-03', NULL, '50', NULL, 'Allah Wali Flats,Street #15,Near eye hospital,', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1975-11-05', '2015-10-03 11:56:08', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '10426', NULL, NULL, '0', '1', '1', '1', NULL, 1, 433, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51885, 'majid.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Majid Ali', 'Hadi Buksh ', '', NULL, '45301-9182738-5', '49356', NULL, 0, 48, '2012-09-04', '2014-09-10', NULL, '53', NULL, 'Karachi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-07-09', '2013-02-11 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 434, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51886, 'nisar.sher@people.com.pk', '111', '698d51a19d8a121ce581499d7b701668', 1, 1, 396, 0, 396, 0, 0, 0, 5, 0, 0, 0, 'Mr.', '1579073402.JPG', '1579073402_micro.JPG', 'Nisar Sher', 'Awal Sher', '', '0000-00-00', '14202-6586705-7', '59530', NULL, 0, 48, '2012-11-07', NULL, NULL, '53', NULL, 'Karachi', '', 1, 0, 0, 0, 0, NULL, '', '31594', 4, '', '+92-', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1986-06-03', '2020-01-15 12:30:02', NULL, NULL, NULL, NULL, '2020-12-29 17:14:56', NULL, NULL, 63, 80, NULL, 0, '10426', NULL, NULL, '0', '1', '1', '1', '', 1, 435, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-01-15 12:30:02', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51887, 'junaid.rahat@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 1, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Junaid Rahat', 'Rahat Iqbal', '', NULL, '34101-1363481-7', '060372', NULL, 0, 48, '2012-12-20', '2013-02-28', NULL, '197', NULL, 'Muhallah Javed Town near Sui Gas Transmission office Skeikhupura road ', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-03-03', '2012-12-26 00:00:00', NULL, NULL, NULL, NULL, '2013-02-14 14:57:52', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 436, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51888, 'kala.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Kala Khan', 'Mir Waiz', '', NULL, '82101-8073369-9', '60378', NULL, 0, 48, '2012-12-10', '2013-05-21', NULL, '198', NULL, 'Dhuli tehsil& dist Bagh', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1967-09-21', '2012-12-27 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 437, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51890, 'muhammad.hanif@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Hanif', 'Fazal Karim', '', NULL, '35202-1973000-9', '59311', NULL, 0, 48, '2012-10-16', '2014-07-03', NULL, '45', NULL, 'Home # 60 , Moh Masjid Tajdeen Lahore.', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-333-4187082', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-02-08', '2013-01-26 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, NULL, NULL, NULL, '10426', NULL, NULL, '1', '1', '1', '1', NULL, 1, 438, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51895, 'nashwa.khalid@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2032, 0, 2032, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Nashwa Khalid', 'Khalid Javed    ', '', NULL, '42000-0815563-0', '60462', NULL, 0, 48, '2013-01-03', '2014-07-03', NULL, '196', NULL, ': 27A, Canal View Housing Society, Lahore\r\n\r\n', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-06-14', '2013-05-20 00:00:00', NULL, NULL, NULL, NULL, '2013-07-26 09:10:12', NULL, NULL, 8, 0, NULL, NULL, '0', NULL, NULL, '1', '1', '1', '1', NULL, 1, 440, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51896, 'haris.rehman@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'haris.jpg', 'haris_micro.jpg', 'Haris Rehman', 'Saif ur Rehman', '', NULL, '42101-4679101-1', '60470', NULL, 0, 48, '2013-01-04', NULL, NULL, '181', NULL, 'Flat # A-009, Ground Floor, Al-Ghafoor Heaven, Federal B. Area, Block 7, Near Talimi Bagh, Karachi', '75950', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-10-15', '2017-03-17 17:27:36', NULL, NULL, NULL, NULL, '2016-12-08 00:50:36', NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 441, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51925, 'tehreem.batool@people.com.pk  ', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Tehreem Batool  ', 'Syed Mujahid Hussain Shah', '', NULL, '37406 82474787 8', '60778', NULL, 0, 48, '2013-01-21', '2013-02-28', NULL, '199', NULL, ': B563, Lane 5, Peshawar Road, Westridge, Rawalpindi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-09-23', '2013-01-22 00:00:00', NULL, NULL, NULL, NULL, '2013-02-19 07:13:25', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 442, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51926, 'sehrish.abbasi@people.com.pk  ', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Sehrish Abbasi  ', 'Shabir Ahmed Abbasi', '', NULL, '37405 9152849 2', '60779', NULL, 0, 48, '2013-01-21', '2014-07-03', NULL, '22', NULL, 'house 6089, St No 15, Sector 1, Khyaban-e-Iqbal, Rawalpindi ', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, '2021-09-30', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-12-31', '2013-04-25 00:00:00', NULL, NULL, NULL, NULL, '2013-12-05 10:26:24', '', NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 443, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51944, 'riaz.khanpeople.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Riaz Khan', 'Khan', '', NULL, '35202-9105442-3', '49520', NULL, 0, 48, '2011-10-19', NULL, NULL, '50', NULL, 'Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-01-01', '2013-01-26 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 444, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51946, 'anwaar.rasool@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Anwaar Rasool', 'Rasool', '', NULL, '36401-8941841-3', '56936', NULL, 0, 48, '2012-06-01', '2014-07-03', NULL, '200', NULL, 'Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-01-01', '2013-01-26 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 445, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51948, 'muhammad.aslam@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 1861, 38, 1861, 0, 0, 0, 0, 1, 22, 0, 'Mr.', '57643.jpg', '57643_micro.jpg', 'Muhammad Aslam', 'Aslam', '', '0000-00-00', '33104-2173174-9', '57643', NULL, 0, 48, '2012-07-01', NULL, NULL, '201', NULL, 'Lahore', '', 1, 0, 0, 0, 0, NULL, '', '31439', 1, '', '+92-', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1986-01-01', '2020-07-30 15:52:19', NULL, NULL, NULL, NULL, '2020-10-27 11:54:07', NULL, NULL, 63, 80, NULL, 0, '', NULL, NULL, '0', '1', '1', '1', '', 1, 446, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(51949, 'Shazia.Gohar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 356, 36, 356, 0, 0, 0, 3, 0, 0, 0, 'Ms.', '', '_micro.', 'Shazia Gohar Butt', 'Gohar Butt', '', '0000-00-00', '42301-5700188-8', '59070', NULL, 0, 48, '2012-09-01', NULL, NULL, '36', NULL, 'Lahore', '', 154, 0, 0, 0, 0, NULL, '', '31439', 1, '', '+92-', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 0, NULL, NULL, NULL, '1986-01-01', '2019-11-19 09:13:16', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2, 80, NULL, 0, '23137', NULL, NULL, '0', '1', '1', '1', '', 1, 447, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(51950, 'syed.raheem@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Syed Raheem Ali', 'Ali', '', NULL, '35202-3428614-7', '59312', NULL, 0, 48, '2012-10-03', NULL, NULL, '202', NULL, 'Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-01-01', '2016-08-25 13:42:03', NULL, NULL, NULL, NULL, '2015-03-21 11:13:50', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 448, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51951, 'rafaqat.nawaz@peopel.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Rafaqat Nawaz', 'Nawaz', '', NULL, '35201-1489608-1', '59313', NULL, 0, 48, '2012-10-02', '2014-07-03', NULL, '203', NULL, 'Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-01-01', '2013-01-26 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 449, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51952, 'shahid.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Shahid Ali', 'Ali', '', NULL, '35200-1481503-7', '59532', NULL, 0, 48, '2012-10-10', '2014-07-03', NULL, '200', NULL, 'Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-01-01', '2013-01-26 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 450, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51953, 'abdul.rauf@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Abdul Rauf', 'Rauf', '', NULL, '81103-1947971-5', '59873', NULL, 0, 48, '2012-09-26', '2013-04-17', NULL, '200', NULL, 'Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-01-01', '2013-01-26 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 451, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51957, 'azmat.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Azmat Ali Khan ', 'Habib Khan', '', NULL, '14301-9274311-1', '60834', NULL, 0, 48, '2013-01-16', '2014-07-03', NULL, '200', NULL, 'Mohala Sikandar Khel, Samari Bala, Daak Khana, Lachi, Tehsil Kohat', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1973-03-02', '2013-01-29 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 452, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51976, 'muhammad.aatif@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 366, 23, 366, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Aatif Khan', 'Muhammad Masood Khan', '', NULL, '42101-1683571-1', '61120', NULL, 0, 48, '2013-02-18', NULL, NULL, '191', NULL, 'House B-132 / A, Block \\"N\\" North Nazimabad', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1979-04-18', '2017-12-11 11:35:05', NULL, NULL, NULL, NULL, '2018-11-26 10:03:15', NULL, NULL, 5, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 454, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51981, 'imran.rasheed@people.com.pk', 'Imr@n90!', 'bb228e679cea2111e49eafe9213b45bc', 0, 2, 478, 16, 478, 0, 0, 0, 8, 0, 0, 0, 'Mr.', '61253.jpg', '61253_micro.jpg', 'Imran Rasheed', 'Rasheed Uddin', '', NULL, '42101-5046551-5', '61253', NULL, 0, 48, '2013-02-18', NULL, NULL, '193', NULL, 'Flat# F-204Modren Apartment Sector 11-I North Karachi.', '', 154, NULL, 0, 0, NULL, NULL, 'Karachi', '31594', 4, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-01-13', '2016-07-19 09:08:47', NULL, NULL, NULL, NULL, '2019-12-11 14:14:55', NULL, NULL, 9, 80, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 455, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51990, 'sakhawat.hussain@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Sakhawat Hussain', 'Muhammad Sadiq', '', NULL, '37403-0655557-5', '61262', NULL, 0, 48, '2013-02-16', '2013-04-17', NULL, '200', NULL, 'Village Barrian Pathwera', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-07-24', '2013-02-28 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 457, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51991, 'hasnain.qureshi@people.com.pk', '405Aa$', '6d7a4e2a89a36b9929e49c3b03afc26f', 1, 1, 478, 16, 478, 0, 0, 0, 8, 0, 0, 0, 'Mr.', '61465.jpg', '61465_micro.jpg', 'Hasnain Qureshi', 'Hissam Uddin Qureshi', '', '0000-00-00', '42201-9839034-7', '61465', NULL, 0, 48, '2013-03-05', NULL, NULL, '10', NULL, 'C-306 Rufi Paradise Gulistan-e-Johar', '', 154, 0, 154, 31594, 1, NULL, '', '31439', 1, '+92-', '+92-', 'single', 1, NULL, NULL, NULL, 0, 154, NULL, '2017-03-07', '2027-03-07', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31594, NULL, NULL, NULL, '1986-02-21', '2020-11-12 16:04:02', NULL, NULL, NULL, NULL, '2020-12-31 17:36:02', '', NULL, 8, 80, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', 'AB+', 1, 458, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(51992, 'abeer.saeed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1304, 0, 1304, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Abeer Saeed', 'Saeed Ahmed', '', NULL, '42101-5426786-1', '61466', NULL, 0, 48, '2013-03-25', '2014-07-03', NULL, '205', NULL, '3-H, 2/3,\r\nNazimabad\r\n\r\n0323 2327871', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-36612255', '+92-3463009938', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-07-06', '2013-05-30 00:00:00', NULL, NULL, NULL, NULL, '2014-01-15 15:27:55', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 459, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51993, 'zafar.iqbal@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1304, 0, 1304, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Zafar Iqbal', 'Iqbal Nabi', '', NULL, '42201-1501934-5', '61467', NULL, 0, 48, '2013-03-05', '2014-09-10', NULL, '147', NULL, '4/190 Shah Faisal Colony', '75230', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-12-27', '2014-09-09 16:10:19', NULL, NULL, NULL, NULL, '2014-07-09 11:32:53', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 460, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(51999, 'waqas.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Waqas Ahmed Abbasi', 'Imtiaz Ahmed ', '', NULL, '37405-9534399-3', '61850', NULL, 0, 48, '2013-03-12', '2013-04-25', NULL, '181', NULL, 'House SN/11, Dhok Kala Khan,\r\nShamsabad Rawalpindi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3335789809', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-08-30', '2013-03-21 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 462, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52000, 'saad.akhtar@peopleperfectae.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2017, 16, 2017, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Saad Akhtar', 'Akhtar Wahab', '', NULL, '61101-1741012-9', '61855', NULL, 0, 48, '2013-03-18', NULL, NULL, '206', NULL, '636E, Park Lane Askari 10\r\nLahore', '', 211, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+971-', '+971-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-05-30', '2016-01-19 09:48:27', NULL, NULL, NULL, NULL, '2017-10-27 15:59:13', NULL, NULL, 7, 0, '2014-03-17', NULL, '65260', NULL, NULL, '1', '1', '1', '1', NULL, 1, 463, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52022, 'arslan.toqueer@countrysidenp.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Arslan Toqueer', 'Muhammad Toqueer', '', NULL, '35202-5388172-1', '53508', NULL, 0, 48, '2012-06-01', '2014-07-03', NULL, '4', NULL, '710 Karim Block Allama Iqbal Town Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-11-07', '2014-06-30 10:19:13', NULL, NULL, NULL, NULL, '2013-07-08 16:18:08', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 465, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52023, 'umair.sarwar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 454, 14, 454, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Umair Sarwar Khan', 'Muhammad Sarwar Khan', '', NULL, '34602-3950183-7', '62118', NULL, 0, 48, '2013-03-29', '2013-06-26', NULL, '207', NULL, '133-C,\r\nBOR Johar Town ', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-05-22', '2013-04-05 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 466, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52024, 'mahina.majid@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2017, 16, 2017, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Mahina Majid', 'Dr.Abdul Majid', '', NULL, '36502-0623792-2', '62117', NULL, 0, 48, '2013-03-30', '2013-06-26', NULL, '111', NULL, '449 R Johar Town', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-10-20', '2013-04-05 00:00:00', NULL, NULL, NULL, NULL, '2013-04-26 20:41:28', NULL, NULL, 9, 0, NULL, NULL, '65260', NULL, NULL, '1', '1', '1', '1', NULL, 1, 467, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52025, 'Qaisar.asghar@peopleperfectae.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2017, 16, 2017, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Qaiser Asghar', 'Ghulam Asghar', '', NULL, '34602-9737630-9', '62076', NULL, 0, 48, '2013-03-27', NULL, NULL, '4', NULL, 'Flat No.208C,\r\nModel Town\r\nN Block', '', 211, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+971-', '+971-', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-07-05', '2016-01-19 09:49:23', NULL, NULL, NULL, NULL, '2017-07-14 15:13:44', NULL, NULL, 9, 0, NULL, NULL, '65260', NULL, NULL, '1', '1', '1', '1', NULL, 1, 468, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52026, 'ali.hasan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2017, 16, 2017, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ali Hassan', 'Mashood Ul Hassan', '', NULL, '35201-3102429-1', '62077', NULL, 0, 48, '2013-03-22', '2014-07-03', NULL, '111', NULL, 'E-26/34 B1,\r\nAli Colony,\r\nWalton Road', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-01-02', '2013-04-05 00:00:00', NULL, NULL, NULL, NULL, '2013-06-25 10:09:08', NULL, NULL, 9, 0, NULL, NULL, '65260', NULL, NULL, '1', '1', '1', '1', NULL, 1, 469, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52028, 'mehr.muhammad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mehr Muhammad', 'Khan Muhammad', '', NULL, '38302-1212530-3', '62079', NULL, 0, 48, '2013-03-29', '2014-09-10', NULL, '198', NULL, 'Dhook Gamany Khel,\r\nDhak Khana Dharnaka\r\nMianwali', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1973-07-06', '2014-09-09 16:10:57', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 471, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52029, 'sumair.abbasi@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Sumair_Updated_pic.jpg', 'Sumair_Updated_pic_micro.jpg', 'Sumair Yaqub Abbasi', 'Muhammad Yaqub Abbasi', '', NULL, '42101-9121055-3', '62289', NULL, 0, 48, '2013-04-04', '2014-07-03', NULL, '208', NULL, 'House No. C-23,\r\nBostan-e-Rafi,\r\nJamia Milia Road,\r\nMalir 15', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-07-30', '2013-04-08 00:00:00', NULL, NULL, NULL, NULL, '2014-04-03 14:29:32', NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 472, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52030, 'shahzad.saleem@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Shahzad Saleem', 'Muhammad Saleem Memon', '', NULL, '42301-2680542-7', '624320', NULL, 0, 48, '2013-04-15', '2013-04-22', NULL, '181', NULL, '32-C,3A-1,\r\n3Rd Floor,\r\n21st Commercial Street,\r\nPhase II Ext \r\nDHA', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-300237022', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-10-10', '2013-04-23 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 473, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52033, 'sanwal.bhatti@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Sanwal Bhatti', 'Amanat Masih', '', NULL, '1234567891111213', '62021', NULL, 0, 48, '2013-02-19', '2014-07-03', NULL, '53', NULL, 'Village Sarai', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 10000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1996-08-28', '2013-04-17 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 474, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52071, 'jawaid.iqbal@eet.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Jawaid Iqbal', 'Iqbal', '', NULL, '35201-1304252-5', '62803', NULL, 0, 48, '2013-05-06', NULL, NULL, '209', NULL, '372 X\r\nDHA', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-301-8454472', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1945-01-10', '2016-04-28 15:13:51', NULL, NULL, NULL, NULL, '2015-11-28 12:06:02', NULL, NULL, 6, 0, NULL, NULL, '23137', NULL, NULL, '0', '1', '1', '1', NULL, 1, 475, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52104, 'zoya.saleem@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Miss', NULL, '', 'Zoya', 'Saleem', '', NULL, '42201-9058678-8', '63207', NULL, 0, 48, '2013-05-30', '2014-07-03', NULL, '140', NULL, 'Plot # 314, Flat # A/2, \r\nRose Garden West, \r\nAlfred Street,\r\nKarachi.\r\n', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-01-10', '2014-02-24 09:37:59', NULL, NULL, NULL, NULL, '2014-03-22 13:18:39', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 476, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52106, 'zeeshan.kareem@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Zeeshan Karim Khan', 'Fakhar Ullah Khan', '', NULL, '35202-4656680-1', '63504', NULL, 0, 48, '2013-06-17', NULL, NULL, '210', NULL, '110-A, Huma Block, Allama Iqbal Town', '54570', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-3334530514', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-03-19', '2017-03-17 17:40:56', NULL, NULL, NULL, NULL, '2014-04-19 10:31:05', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 477, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52107, 'sohail.qayyum@people.com.pk', 'sohail123', '0c4e6ee2c7463e45f865dc58c259264a', 1, 1, 458, 12, 2017, 0, 0, 0, 7, 0, 0, 0, 'Mr.', '1564723421.jpg', '1564723421_micro.jpg', 'Sohail Qayyum', 'Abdul Qayyum', '', '0000-00-00', '35202-2356448-5', '63622', NULL, 0, 48, '2013-06-14', NULL, NULL, '211', NULL, 'H#8, St# 8, Fazal Street, qila gujr singh lahore', '', 154, 154, 154, 31439, 1, NULL, '', '31439', 1, '', '+92-111-000-737', 'married', 3, NULL, NULL, NULL, 0, 154, NULL, '2009-08-11', '2019-08-31', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1979-02-04', '2020-11-16 14:24:12', NULL, NULL, NULL, NULL, '2020-12-31 13:04:50', '', NULL, 8, 80, NULL, 0, '65260', NULL, NULL, '0', '1', '1', '1', 'A+', 1, 478, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(52272, 'shahzad.zaki@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2264, 0, 2264, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Shahzad Zaki', 'Muhammad Zaki', '', NULL, '42301-2234749-5', '64304', NULL, 0, 48, '2013-08-01', NULL, NULL, '212', NULL, '79 C 1, Block 6, PECHS, Karachi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-03008206325', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1978-04-15', '2016-03-24 09:33:00', NULL, NULL, NULL, NULL, '2016-04-28 10:04:06', NULL, NULL, 5, 0, NULL, NULL, '', NULL, NULL, '1', '1', '1', '1', NULL, 1, 479, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52281, 'aiman.saleem@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Aiman Saleem', 'Saleem', '', NULL, '42000-2750587-5', '63995', NULL, 0, 48, '2013-07-12', NULL, NULL, '10', NULL, 'L-19 Evershine Square, Block 10, Gulshan-E-Iqbal, Karachi, Pakistan', '75300', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-345-0090150', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-11-17', '2017-03-17 17:03:17', NULL, NULL, NULL, NULL, '2016-11-14 20:03:32', NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 480, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52282, 'fatir.mobeen@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Fatir Mobeen', 'Manzoor Elahi', '', NULL, '35205-4541164-4', '63970', NULL, 0, 48, '2013-07-08', '2015-07-25', NULL, '213', NULL, 'Block # 31, House # 60 Sargodha', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-08-02', '2014-12-12 11:18:23', NULL, NULL, NULL, NULL, '2015-05-08 08:23:36', NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 481, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52283, 'muhammad.haris@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Harris', 'Muhammad Daud', '', NULL, '35202-7305314-9', '63969', NULL, 0, 48, '2013-07-08', '2015-02-04', NULL, '213', NULL, '25H, Margazar colony, Multan Road Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-111-000-737', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-12-03', '2015-02-04 13:02:32', NULL, NULL, NULL, NULL, '2015-01-20 13:29:34', NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 482, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52284, 'azhar.iftikhar@people.com.pk', 'Azhar@123', '8e54905c9ec3c5db507275369fca47b7', 1, 1, 454, 14, 454, 0, 0, 0, 6, 0, 0, 0, 'Mr.', '64205.jpg', '64205_micro.jpg', 'Azhar Iftikhar', 'Iftikhar Ali', '', '0000-00-00', '35200-1460127-9', '64205', NULL, 0, 48, '2013-07-25', NULL, NULL, '188', NULL, '407 -2b2, township Lahore', '', 154, 0, 154, 31439, 1, NULL, 'Lahore', '31439', 1, '+92-', '+92-111-000-737', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2012-01-05', '2022-01-05', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1981-03-04', '2019-08-05 15:57:36', NULL, NULL, NULL, NULL, '2020-12-29 09:30:17', NULL, NULL, 8, 80, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', 'AB+', 1, 483, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(52300, 'maqsood.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '198989_10151597555408394_1409995342_n.jpg', '198989_10151597555408394_1409995342_n_micro.jpg', 'Maqsood Ahmad Khan', 'Ghulam Sarwar Khan', '', NULL, '35102-0645651-9', '64590', NULL, 0, 48, '2013-09-02', '2015-07-25', NULL, '214', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-111-000-737', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-11-11', '2014-09-06 10:13:15', NULL, NULL, NULL, NULL, '2014-05-15 10:52:56', NULL, NULL, 6, 0, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 484, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52301, 'saba.javed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2032, 0, 2032, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Saba Javed', 'Rana Javed Rasheed', '', NULL, '35202-3802598-8', '64403', NULL, 0, 48, '2013-08-15', '2015-07-25', NULL, '162', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-111-000-737', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-06-15', '2014-06-23 14:31:39', NULL, NULL, NULL, NULL, '2015-04-14 13:21:32', NULL, NULL, 9, 0, NULL, NULL, '0', NULL, NULL, '1', '1', '1', '1', NULL, 1, 485, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52302, 'taswar.khalique@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2241, 28, 2241, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'Picture_6089.jpg', 'Picture_6089_micro.jpg', 'Tasawar  Khalique', 'Abdul Khalique', '', NULL, '35202-5880429-0', '64509', NULL, 0, 48, '2013-08-17', NULL, NULL, '193', NULL, '', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '+92-111-000-737', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-12-13', '2018-01-23 13:42:15', NULL, NULL, NULL, NULL, '2018-01-05 11:57:45', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '1', '1', '1', NULL, 1, 486, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52340, 'muhammad.yasir@peopleperfectae.com', 'innocentblood', 'e302e39ee1d044b5da956ca9c5a18aa1', 0, 2, 2017, 16, 356, 0, 0, 0, 14, 0, 0, 0, 'Mr.', '', '_micro.', 'Muhammad Yasir Raza', 'Khawaja Sajad Ahmed', '', '0000-00-00', '35202-6893496-3', '65260', NULL, 0, 48, '2013-10-10', NULL, NULL, '215', NULL, '28 - L, Model Town Extension Lahore', '', 1, 0, 0, 0, 0, NULL, 'Lahore', '31439', 1, '', '+971-', 'single', 1, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', 0, NULL, NULL, NULL, '', NULL, 0, NULL, NULL, 1, 0, NULL, NULL, NULL, '1984-06-20', '2019-03-12 23:18:44', NULL, NULL, NULL, NULL, '2019-05-14 22:27:06', NULL, NULL, 7, 80, NULL, 0, '23137', NULL, NULL, '0', '1', '1', '1', '', 1, 487, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 18, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52341, 'sadaf.aziz@peopleperfectae.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2017, 16, 2017, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Sadaf Aziz', 'Sikander Aziz', '', NULL, '35201-2476765-2', '63382', NULL, 0, 48, '2013-06-10', '2014-07-03', NULL, '4', NULL, '265-AA, Street 16, phase 4 DHA Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-111-000-737', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-02-01', '2014-06-30 10:20:43', NULL, NULL, NULL, NULL, '2014-02-19 13:42:49', NULL, NULL, 9, 0, NULL, NULL, '65260', NULL, NULL, '0', '1', '1', '1', NULL, 1, 488, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52342, 'humza.sajid@peopleperfectae.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2017, 16, 2017, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Humza Sajid', 'Sajid Parvaiz', '', NULL, '35202-9302715-1', '63937', NULL, 0, 48, '2013-07-06', '2015-09-08', NULL, '4', NULL, '163-A, Shah Jamal  Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-111-000-737', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-07-16', '2015-09-09 08:42:40', NULL, NULL, NULL, NULL, '2015-08-29 11:07:32', NULL, NULL, 9, 0, NULL, NULL, '65260', NULL, NULL, '0', '1', '1', '1', NULL, 1, 489, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52455, 'ali.ashraf@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Ali Ashraf', 'Muhammad Ashraf', '', NULL, '35202-8202624-9', '66854', NULL, 0, 48, '2014-01-06', '2014-07-03', NULL, '168', NULL, 'Nasir Street # 25, House # 9A, Captain Jamal Road Sanda Kalan Lahore.', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-09-04', '2014-01-16 08:43:20', NULL, NULL, NULL, NULL, '2014-04-23 09:41:15', NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 491, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52457, 'waqas.bashir@people.com.pk', 'gulgeewaqas143', 'aee614a29c4f703ac4b8db7ff368db29', 0, 2, 343, 16, 343, 0, 0, 0, 1, 0, 0, 0, 'Mr.', '', '_micro.', 'Muhammad Waqas Bashir', 'Muhammad Ahmed Bashir', '', NULL, '31101-8112434-3', '66768', NULL, 0, 48, '2013-12-01', NULL, NULL, '216', NULL, 'House # 306-B, Phase 3, Employee Cooperative Housing Society, Model Town Link Road. Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-111-000-737', '+92-3334066403', 'Married', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-10-01', '2015-08-31 09:09:40', NULL, NULL, NULL, NULL, '2019-04-17 04:11:12', NULL, NULL, 7, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 492, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(52601, 'Farah.Zaheer@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1304, 0, 1304, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Farah Zaheer', 'Mohammad Zaheer Malik', '', NULL, '35202-1153243-4', '67762', NULL, 0, 48, '2014-03-01', NULL, NULL, '217', NULL, '181, E-1, Street # 12, Wapda Town', '54500', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92-300 4005217', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-11-07', '2014-04-01 11:41:24', NULL, NULL, NULL, NULL, '2014-04-25 08:54:35', NULL, NULL, 6, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 495, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53065, 'afrasiab.ahsan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2032, 0, 2032, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Afrasiab Ahsan Nawab', 'Nawab Nayyar Iqbal', '', NULL, '35201-8839881-3', '68352', NULL, 0, 48, '2014-04-14', '2015-07-25', NULL, '173', NULL, '', '54600', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03458252229', 'Married', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-09-11', '2015-01-29 10:45:54', NULL, NULL, NULL, NULL, '2015-06-26 11:56:48', NULL, NULL, 5, 0, NULL, NULL, '0', NULL, NULL, '1', '0', '0', '0', NULL, 1, 496, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53066, 'test@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ghulam Jafar', 'Test name', '', NULL, '33202-9053620-3', '600001', NULL, 0, 48, '2014-05-01', '2014-09-10', NULL, '218', NULL, 'test', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '1456', '1456', 'Single', 6, NULL, NULL, NULL, 0, 154, NULL, NULL, '2014-05-28', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1924-01-01', '2014-05-26 09:43:26', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 497, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53067, 'ayyaz.mohyoudin@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ayyaz Mohyoudin', 'Nazir Ahmed Awan', '', NULL, '35201-4856982-3', '68331', NULL, 0, 48, '2014-03-27', '2015-03-25', NULL, '219', NULL, 'H No 8, St No 1, Sitara Colony, Chungi Amar Sidhu, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0300-4848854', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-07-02', '2015-03-26 08:56:07', NULL, NULL, NULL, NULL, '2015-03-11 17:10:32', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 498, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53068, 'nain.tara@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Nain Tara', 'Shabbar Hassan', '', NULL, '33202-9840480-2', '68978', NULL, 0, 48, '2014-05-26', NULL, NULL, '4', NULL, 'H No 6, St 8, Edin Palce Villas', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '042-35966923', '03338752665', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-06-04', '2014-10-02 09:12:26', NULL, NULL, NULL, NULL, '2015-12-14 14:13:08', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 499, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53108, 'shakeel.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Shakeel Ahmed', 'Muhammad Saleem', '', NULL, '35202-2942172-9', '68794', NULL, 0, 48, '2014-05-09', '2015-03-18', NULL, '220', NULL, 'H N 110, G- 4, Wapda Town , Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03217542258', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-03-31', '2015-03-18 14:29:35', NULL, NULL, NULL, NULL, '2015-02-17 15:01:58', NULL, NULL, 7, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 500, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53109, 'qammar.abbas@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Qammar Abbas', 'Syed Gul Hussain', '', NULL, '35201-7595955-1', '69125', NULL, 0, 48, '2014-05-28', '2014-09-10', NULL, '221', NULL, 'E 527, St No 2, Hussnain Abad, Lahore Cantt', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '0423214189466', '03004189466', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1978-02-08', '2014-09-10 08:30:25', NULL, NULL, NULL, NULL, '2014-06-25 16:54:43', NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 501, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53110, 'sadiqa.zahid@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Sadiqa Zahid', 'Zahid Ghani', '', NULL, '35201-2497826-8', '68796', NULL, 0, 48, '2014-05-03', '2015-07-22', NULL, '162', NULL, '142-E, Qadri Colony, St 5, Walton Rd, Lahore Cantt', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0336-4436049', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1992-02-25', '2014-06-25 14:37:16', NULL, NULL, NULL, NULL, '2015-05-21 10:14:38', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 502, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53116, 'anees.malik@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Anees Malik', 'Tariq Mehmood', '', NULL, '35201-4356153-0', '69236', NULL, 0, 48, '2014-06-13', '2015-01-26', NULL, '4', NULL, 'E 789, Ali Park, Near Rana Mkt, Baidiyan Rd, Lahore Cantt', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0335-4443912', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-12-20', '2015-01-26 10:50:56', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 503, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53118, 'Verkha.Khatri@people.com.pk', 'sapna1987', '63cdfbde4364a0422882d8ad74adcfe9', 1, 1, 478, 16, 478, 0, 0, 0, 8, 0, 0, 0, 'Ms.', '69151.jpg', '69151_micro.jpg', 'Verkha Khatri', 'Late. Nanik Ram Khatri', 'Service (PNSC)', '0000-00-00', '42301-5049501-6', '69151', NULL, 0, 48, '2014-06-02', NULL, NULL, '264', NULL, 'Flat # A-608 Al-Habib Pride, Near Clifton Bridge,\nCivil Lines, Karachi, Pakistan', '', 154, 0, 154, 31594, 5, NULL, '', '31594', 4, '', '0333-2427897', 'single', 2, NULL, NULL, NULL, 0, 154, NULL, '2020-01-15', '2030-01-15', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31665, NULL, NULL, NULL, '1990-01-16', '2020-12-19 15:35:38', NULL, NULL, NULL, NULL, '2020-12-30 13:33:17', NULL, NULL, 8, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 504, 0, 0, 5, 7585599, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-12-19 03:35:38', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53120, 'fahad.mirza@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Fahad Mirza', 'Mirza Shaukat Baig', '', NULL, '35202-2466569-1', '69330', NULL, 0, 48, '2014-06-16', '2015-07-25', NULL, '223', NULL, '260-A III Block, Gulberg III', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '042-35712607', '03134424664', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-06-16', '2014-06-20 13:24:28', NULL, NULL, NULL, NULL, '2015-07-01 16:06:09', NULL, NULL, 0, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 505, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53129, 'yousuf.liaqat@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Yousuf Liaqat', 'Liaqat Masih', '', NULL, '35202-9512824-5', '63406', NULL, 0, 48, '2013-06-04', NULL, NULL, '53', NULL, 'House# 42, st#31, Mohalla Salamat pora kotlakhpat lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0323-5310573', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-07-19', '2016-08-25 13:46:46', NULL, NULL, NULL, NULL, '2015-04-04 11:51:58', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 506, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53130, 'faisal.rais@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 343, 16, 2193, 0, 0, 0, 1, 0, 0, 0, 'Mr.', '63741.jpg', '63741_micro.jpg', 'M. Faisal Rais', 'Sikandar Baig', '', '0000-00-00', '35201-9061852-9', '63741', NULL, 0, 48, '2013-06-23', NULL, NULL, '45', NULL, 'H#37-B, Mohallah Kohenoor housing scheme, Chungi Amar Sidhu', '', 0, 0, 0, 0, 0, NULL, '', '31439', 1, '', '0346-8224513', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 0, 0, NULL, NULL, NULL, '1977-10-04', '2020-09-24 17:56:05', NULL, NULL, NULL, NULL, '2020-12-31 11:22:24', NULL, NULL, 63, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 507, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(53131, 'aslam.sandhu@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'M. Aslam Sandhu', 'Mohammad Sharif Sandhu', '', NULL, '35201-7449028-9', '64726', NULL, 0, 48, '2013-11-12', NULL, NULL, '224', NULL, 'H#101, St #3, Sector A, Askari 10, New Airport Road, Lahore Cantt', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03004595127', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1948-12-19', '2016-08-25 13:47:37', NULL, NULL, NULL, NULL, '2016-04-30 10:28:58', NULL, NULL, 8, 0, NULL, NULL, '23137', NULL, NULL, '0', '0', '0', '0', NULL, 1, 508, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53132, 'yaseen.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Yaseen Ahmed', 'Mohammad Azam', '', NULL, '42301-9913340-9', '64899', NULL, 0, 48, '2013-11-11', NULL, NULL, '92', NULL, 'H 3-A Street # 29 Sector D-2 Hijrat Colony Bath Island', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0333', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1993-09-20', '2015-09-10 16:14:18', NULL, NULL, NULL, NULL, '2016-06-30 13:41:37', NULL, NULL, 9, 0, NULL, NULL, '10426', NULL, NULL, '1', '0', '0', '0', NULL, 1, 509, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53133, 'ashiq.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ashiq Ali', 'Mohammad Ramzan', '', NULL, '36501-6233841-7', '66172', NULL, 0, 48, '2013-12-19', '2014-09-10', NULL, '198', NULL, 'Chak# 80/12L, District Chichwatni, Sahiwal', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0333', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-12-20', '2014-09-10 13:11:38', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 510, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53134, 'khalil.malik@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2017, 16, 2017, 0, 0, 0, 14, 0, 0, 0, 'Mr.', NULL, '', 'Khalil Malik', 'Mohammad Jameel Malik', '', NULL, '35201-2006142-5', '67325', NULL, 0, 48, '2014-01-09', NULL, NULL, '45', NULL, 'House#5, Street#2, Muhallah Usman Nagar Gaziabad Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0345-4390170', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-03-05', '2017-12-11 11:31:20', NULL, NULL, NULL, NULL, '2019-06-15 13:17:01', NULL, NULL, 63, 0, NULL, NULL, '65260', NULL, NULL, '1', '0', '0', '0', NULL, 1, 511, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53135, 'kausar.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Kausar Hayyat Khan', 'Noor Hussain Khan', '', NULL, '82302-9120347-9', '68072', NULL, 0, 48, '2014-02-25', NULL, NULL, '198', NULL, 'Pothi Chaprian, Post Office Hijra Tehsil Ponch', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0345-4739238', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1967-01-01', '2014-10-13 09:18:30', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 512, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53136, 'shaukat.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Shaukat Ali', 'Nawab Khan', '', NULL, '38302-0643761-3', '68110', NULL, 0, 48, '2014-03-10', NULL, NULL, '50', NULL, 'House # 7, St # 5, Pindi Rajputan', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0303-4259900', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1964-01-01', '2014-10-13 09:22:29', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 513, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53137, 'mohammad.ashraf@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mohammad Ashraf', 'Mohammad Aslam', '', NULL, '35403-8659760-7', '68124', NULL, 0, 48, '2014-03-24', '2014-09-10', NULL, '198', NULL, 'Pundat Waala, Chak # 37, Dakhana Khas Tehsil, Safdarabad, Sheikhupura', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0347-6645449', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-08-10', '2014-10-13 09:05:10', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 514, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53138, 'Natwarlal@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Natwar Lal', 'Chaman Waanji', '', NULL, '42201-5650959-3', '69129', NULL, 0, 48, '2014-04-18', NULL, NULL, '152', NULL, 'Railway Colony, Bungalow # 4, Opp. CMS House', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0314-2279981', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1992-02-04', '2014-10-13 09:09:56', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '10426', NULL, NULL, '0', '0', '0', '0', NULL, 1, 515, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53139, 'mohammad.afzal@people.com.pk', 'afzal111', 'ae4ebd72d44d7150f647a2272f5c62da', 0, 2, 2334, 0, 0, 0, 0, 0, 0, 1, 24, 0, 'Mr.', '69150.jpg', '69150_micro.jpg', 'Mohammad Afzal', 'Muhammad Hayat', '', '0000-00-00', '38401-8355088-1', '69150', NULL, 0, 48, '2014-04-14', NULL, NULL, '198', NULL, 'Ratu Kala Khas, Tehsil Bhulwal, Zila Sargodha', '', 1, 0, 0, 0, 0, NULL, '', '31439', 1, '', '0343-693712', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1965-01-01', '2019-09-21 10:06:47', NULL, NULL, NULL, NULL, '2019-05-29 14:26:44', NULL, NULL, 63, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 516, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2019-09-21 10:06:47', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53140, 'mohammad.ismail@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mohammad Ismail', 'Mohammad Rafique', '', NULL, '36104-0397482-9', '69165', NULL, 0, 48, '2014-06-03', '2015-07-25', NULL, '198', NULL, '990/108, Mohallah, St # 3, Mian Channu, Distt. Khanewal', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0344-7358755', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1973-02-12', '2014-06-25 15:45:34', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 517, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53141, 'mohammad.javed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mohammad Javed', 'Mohammad Siddique', '', NULL, '35201-8643637-5', '69386', NULL, 0, 48, '2014-06-06', '2015-07-25', NULL, '198', NULL, 'VO Padhana, Post Office Khaas', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0302-9856022', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-03-15', '2014-06-25 15:47:33', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 518, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53142, 'muhammad.kaleem@people.com.pk', 'P@$$w0rd', 'c53e479b03b3220d3d56da88c4cace20', 1, 1, 2335, 16, 2335, 0, 0, 0, 25, 0, 0, 0, 'Mr.', 'kaleem.jpg', 'kaleem_micro.jpg', 'Mohammad Kaleem', 'Jam Abdul Qadir', '', '0000-00-00', '31301-4156913-7', '69369', NULL, 0, 48, '2014-06-16', NULL, NULL, '225', NULL, 'House # 20, LDA # 66, St # 2, Gulberg III', '', 154, 0, 154, 31424, 1, NULL, '', '31439', 1, '', '0303-7953297', 'married', 4, NULL, NULL, NULL, 0, 154, '1605273062.jpg', '2010-08-10', '2022-07-31', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31424, NULL, NULL, NULL, '1992-04-15', '2020-11-13 18:20:57', NULL, NULL, NULL, NULL, '2020-11-13 19:01:53', NULL, NULL, 7, 82, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'O+', 1, 519, 0, 0, 5, 0, 0, 'non_filer', 1, '69369', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(53183, 'rizwan.shahid@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Rizwan Shahid', 'Khawaja Shahid Mahmood', '', NULL, '35202-7005620-9', '69544', NULL, 0, 48, '2014-07-14', NULL, NULL, '226', NULL, 'E-92, A-2, Super Town', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0333-4170740', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-11-01', '2014-10-13 09:19:01', NULL, NULL, NULL, NULL, '2014-09-23 14:29:05', NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 520, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53184, 'fateh.khan@people.com.pk', '111', '698d51a19d8a121ce581499d7b701668', 0, 2, 2334, 0, 0, 0, 0, 0, 0, 1, 23, 7, 'Mr.', '69520.jpg', '69520_micro.jpg', 'Fateh Khan', 'Abdul Rasool', '', '0000-00-00', '37203-1444533-1', '69520', NULL, 0, 48, '2013-12-20', NULL, NULL, '198', NULL, 'Chukandi, Tehsil Talagang, Chakwal', '', 1, 0, 0, 0, 0, NULL, '', '31439', 1, '', '0333', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1969-04-16', '2019-09-21 10:08:21', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 63, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 521, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2019-09-21 10:08:21', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53205, 'khurram.saeed@people.com.pk', 'Pakistan@1947', 'cfaa7fe7a546ed77c1c5f261b4ddf31e', 1, 1, 2342, 0, 356, 0, 0, 0, -1, 0, 0, 0, 'Mr.', '1552979683.jpg', '1552979683_micro.jpg', 'Khurram Saeed Khan', 'Muhammad Saeed Khan', '', '0000-00-00', '61101-1850672-7', '69725', NULL, 0, 48, '2014-08-04', NULL, NULL, '227', NULL, 'H # 1129, St # 107, I-10/4\r\nIslamabad', '', 154, 0, 154, 0, 0, NULL, '', '51090', 3, '', '03235566852', 'married', 3, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', 'qr4106723', 154, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 0, NULL, NULL, NULL, '1981-12-26', '2020-12-19 15:56:11', NULL, NULL, NULL, NULL, '2020-12-30 13:50:31', NULL, NULL, 4, 80, NULL, 0, '23137', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 522, 0, 0, 2, 0, 154, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 1, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(53235, 'asghar.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Asghar Ali', 'Afzaal Ahmad', '', NULL, '35201-7669088-7', '69975', NULL, 0, 48, '2011-10-11', NULL, NULL, '228', NULL, 'Mohallah Mehrpura, PO Box Bata Pur', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0301-6664866', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-01-27', '2014-10-13 09:06:22', NULL, NULL, NULL, NULL, '2014-09-23 14:04:11', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 523, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53390, 'zaheer.abbas@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2332, 15, 2332, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'for_card.jpg', 'for_card_micro.jpg', 'Zaheer Abbas', 'Manik', '', NULL, '42501-9280836-9', '70136', NULL, 0, 48, '2014-09-03', NULL, NULL, '229', NULL, 'House # 141, St # 3, Mast Iqbal Road, Oppsite General Hospital, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0346-3072007', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-06-25', '2017-12-11 11:27:19', NULL, NULL, NULL, NULL, '2018-01-31 11:47:00', NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 524, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53391, 'Muhammad.abdullah@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mohammad Abdullah Khan', 'Mahmood Khan', '', NULL, '42201-8944025-5', '70135', NULL, 0, 48, '2014-09-04', '2015-03-26', NULL, '230', NULL, 'House # 80-G, St # 19, Askari IV, Rashid Minhas Road, Karachi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0321-2751040', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-10-02', '2015-03-27 08:43:22', NULL, NULL, NULL, NULL, '2014-12-17 08:11:22', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 525, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53410, 'muhammad.shahbaz@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2193, 0, 2193, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mohammad Shahbaz', 'Sh. Muhammad Nazir', '', NULL, '35201-4352313-1', '69976', NULL, 0, 48, '2014-08-26', '2015-10-03', NULL, '4', NULL, 'House # 8, St # 6, Gulshan Park, Mughapura, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0333-4582907', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-05-06', '2015-10-03 11:58:52', NULL, NULL, NULL, NULL, '2015-09-24 13:25:36', NULL, NULL, 9, 0, '2014-11-25', NULL, '0', NULL, NULL, '0', '0', '0', '0', NULL, 1, 526, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53413, 'm.ashraf@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mohammad Ashraf', 'Mohammad Shafi', '', NULL, '38401-0349836-9', '69874', NULL, 0, 48, '2014-05-02', '2015-03-18', NULL, '231', NULL, 'Lahore Office', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0304-6672744', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1966-02-15', '2015-03-18 14:28:22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 527, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53414, 'manoj@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Manoj', 'Kanti Lal', '', NULL, '42301-5038307-9', '70523', NULL, 0, 48, '2014-09-10', NULL, NULL, '152', NULL, 'House # 13, Narain Pura, Ranchor Lines, Eid Gah Block-10', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0333-000', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-11-02', '2016-03-13 19:59:22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '10426', NULL, NULL, '0', '0', '0', '0', NULL, 1, 528, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53415, 'abdul.basit@countrysidenp.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2193, 0, 2193, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Abdul Basit Mahmood', 'Zafar Mahmood', '', NULL, '37101-1100443-7', '65475', NULL, 0, 48, '2013-10-30', NULL, NULL, '4', NULL, 'House#136/7, Block B, Lahore Cooperative Housing Society , 2KM canal bank road, Thoker Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03224245818', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-05-20', '2014-10-23 08:50:25', NULL, NULL, NULL, NULL, '2015-10-12 16:02:54', NULL, NULL, 9, 0, NULL, NULL, '0', NULL, NULL, '1', '0', '0', '0', NULL, 1, 529, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53453, 'hussain.bukhsh@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Hussain Bukhsh', 'Mohammad Bukhsh', '', NULL, '35201-1418662-3', '70654', NULL, 0, 48, '2014-10-01', '2015-10-03', NULL, '232', NULL, '10 Block C, Mohallah Ghazi Colony Near Dhobigaat', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0331-4052693', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1952-10-11', '2015-10-03 12:00:12', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 530, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(53454, 'muhammad.sarwar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mohammad Sarwar', 'Ahmad Din', '', NULL, '35301-1859337-1', '70656', NULL, 0, 48, '2014-10-08', '2015-07-25', NULL, '198', NULL, 'Zargran Mandi, Ahmadabad Town Committee, Depalpur Distt. Okara', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0334-4988576', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1978-01-10', '2014-10-13 09:17:41', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 531, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(54602, 'faryal.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Faryal Khan', 'Agha Abdul Rashid Khan', '', NULL, '35202-6968505-2', '71484', NULL, 0, 48, '2014-10-16', '2015-09-08', NULL, '4', NULL, '274, Attaturk Block, New Garden Town', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0336-7261119', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1992-01-16', '2015-09-09 08:43:15', NULL, NULL, NULL, NULL, '2015-09-01 12:26:26', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 532, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(54603, 'muhammad.naveed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2193, 0, 2193, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammmad Naveed', 'Mohammad Khalid', '', NULL, '38405-5108083-3', '71486', NULL, 0, 48, '2014-10-18', '2015-07-25', NULL, '4', NULL, 'E-155/C, Gulshan Ali Colony, Cantt', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0344-4041240', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-03-26', '2014-10-23 08:50:04', NULL, NULL, NULL, NULL, '2015-06-01 14:35:40', NULL, NULL, 9, 0, '2015-01-17', NULL, '0', NULL, NULL, '1', '0', '0', '0', NULL, 1, 533, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(54642, 'kashif.yakoob@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Kashif Yaqoob', 'Muhammad Yaqoob', '', NULL, '31301-4156913-7', '786', NULL, 0, 48, '2014-11-18', '2015-07-25', NULL, '233', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03004007360', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1972-10-11', '2014-11-18 11:19:44', NULL, NULL, NULL, NULL, '2014-11-18 11:23:24', NULL, NULL, 0, 0, '2015-01-14', NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 534, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(54713, 'aamir.awan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Aamir Awan', 'Muhammad Farooq', '', NULL, '37302-5077684-7', '72514', NULL, 0, 48, '2015-01-01', '2015-10-18', NULL, '25', NULL, 'E-17/1, Farooq Colony, Walton Rd, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0323-3333910', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1977-04-23', '2015-10-19 08:23:00', NULL, NULL, NULL, NULL, '2015-10-17 16:47:15', NULL, NULL, 6, 0, NULL, NULL, '23137', NULL, NULL, '0', '0', '0', '0', NULL, 1, 535, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(54725, 'imran.rehman@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Imran Rehman', 'Mohammad Rehman', '', NULL, '82302-6327339-1', '72498', NULL, 0, 48, '2014-12-24', NULL, NULL, '195', NULL, 'House # D-17, Ameen Road, Hijrat Colony', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0346-5927894', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1993-10-12', '2015-02-03 14:37:22', NULL, NULL, NULL, NULL, '2018-07-16 15:15:35', NULL, NULL, 9, 0, NULL, NULL, '10426', NULL, NULL, '1', '0', '0', '0', NULL, 1, 536, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(54726, 'ali.raaza@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1299, 0, 1299, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ali Raza', 'Mohammad Rafique', '', NULL, '36201-6746398-7', '72643', NULL, 0, 48, '2014-12-15', NULL, NULL, '193', NULL, 'Iqbal House, Room # 3, Near Hamza Heights, Link Jail Road', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0300-7498701', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-02-15', '2017-10-02 15:29:52', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '57635', NULL, NULL, '0', '0', '0', '0', NULL, 1, 537, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(54727, 'ali.zulfiqar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Zulfiqar Ali', 'Mohammad Aslam', '', NULL, '35202-2648985-9', '69413', NULL, 0, 48, '2014-06-17', NULL, NULL, '50', NULL, 'House # 110, Mohalla Nabipura # 2, Gulberg II', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0300-4083515', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-07-15', '2016-08-25 13:48:41', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 538, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(54764, 'hassan.shahid@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 458, 12, 458, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Hassan Shahid Iqbal', 'Shahid Iqbal', '', NULL, '35202-7599475-7', '73034', NULL, 0, 48, '2015-02-23', NULL, NULL, '234', NULL, 'House # 93, Block B, Rehman Pura, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0313-4835718', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-01-14', '2016-03-13 19:54:48', NULL, NULL, NULL, NULL, '2016-02-08 09:47:16', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 539, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(54784, 'mehwish.irshad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1299, 0, 1299, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Mehwish Irshad', 'Irshad Gill', '', NULL, '35202-3447261-6', '73135', NULL, 0, 48, '2015-03-04', '2015-07-25', NULL, '193', NULL, 'House # 190, Block S, Mohallah Model Town Extension, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0345-6805979', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-10-01', '2015-03-05 12:51:07', NULL, NULL, NULL, NULL, '2015-03-27 14:24:57', NULL, NULL, 0, 0, NULL, NULL, '57635', NULL, NULL, '1', '0', '0', '0', NULL, 1, 540, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(54785, 'rizwan.rasheed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mohammad Rizwan Rasheed', 'Abdul Rasheed', '', NULL, '35202-6881854-7', '72985', NULL, 0, 48, '2015-02-26', NULL, NULL, '220', NULL, 'House # 219/D, St # 5, Aamir Road, Shad Bagh, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0322-5776819', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1977-04-04', '2016-03-13 19:55:31', NULL, NULL, NULL, NULL, '2016-01-22 08:43:37', NULL, NULL, 7, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 541, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(54790, 'nizar.lakhani@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Nizar Lakhani', 'Noor Ali Nooruddin', '', NULL, '42101-2897623-8', '73252', NULL, 0, 48, '2015-03-16', NULL, NULL, '147', NULL, 'House # 509, Mohallah Zuhrabad Colony, North Nazimabad, Block E, Karachi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0334-3288025', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-09-06', '2017-12-09 12:23:44', NULL, NULL, NULL, NULL, '2018-01-10 11:39:51', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 542, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(54791, 'saqib.micheal@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Saqib Micheal', 'Micheal', '', NULL, '35201-3154543-5', '72920', NULL, 0, 48, '2015-01-19', NULL, NULL, '152', NULL, 'Near Masjid Baitullah, Mohallah Siddiqui, Jhalaran, Shahdra Town', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0310-4466634', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1992-11-10', '2016-03-13 20:02:44', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 543, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(54792, 'annam.nisar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Annam Nisar', 'Nisar Ahmad', '', NULL, '35202-0886112-8', '73106', NULL, 0, 48, '2015-03-02', '2015-10-03', NULL, '4', NULL, 'House # 57, Block 17\r\nSector B-I, College Road\r\nTownship, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0331-4263212', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-09-12', '2015-10-03 11:09:52', NULL, NULL, NULL, NULL, '2015-09-23 12:41:16', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 544, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(54812, 'kashif.zia@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mohammad Kashif Zia', 'Karamat Hussain', '', NULL, '35201-1263894-5', '73763', NULL, 0, 48, '2015-04-06', NULL, NULL, '4', NULL, 'House # E-1072/5, Main Road Milaad Chowk, Nishat Colony, RA Bazar, Lahore Cantt', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0300-4410937', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-05-01', '2016-08-25 13:40:45', NULL, NULL, NULL, NULL, '2016-07-02 10:17:05', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 545, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55030, 'amna.amir@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mrs.', NULL, '', 'Amna Amir', 'Amir Rauf', '', NULL, '35202-1724836-6', '74068', NULL, 0, 48, '2015-04-10', '2015-06-15', NULL, '235', NULL, '38-Raza Block, Alama Iqbal Town', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03004419190', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-06-04', '2015-04-21 09:47:09', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 546, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55074, 'fuzail.shahzad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mohammad Fuzail Shahzad', 'Abdul Hayee', '', NULL, '35202-9116156-1', '74228', NULL, 0, 48, '2015-05-04', '2015-06-15', NULL, '219', NULL, 'House # d/1748, Kocha Dai Bhooli, Androon Shah Alam Gate, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0321-4105524', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-01-01', '2015-05-04 10:31:25', NULL, NULL, NULL, NULL, '2015-05-11 13:29:36', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 547, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55075, 'kashif.tariq@peopleperfectae.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2017, 16, 2017, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Kashif Tariq', 'Tariq Mahmood', '', NULL, '35202-3322910-9', '74229', NULL, 0, 48, '2015-05-04', '2015-06-15', NULL, '4', NULL, 'House # 421, TIP Block, Khayaban-e-Amin, Defence Road, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0345-4103836', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-02-24', '2015-05-04 10:33:28', NULL, NULL, NULL, NULL, '2015-05-11 10:04:08', NULL, NULL, 9, 0, NULL, NULL, '65260', NULL, NULL, '1', '0', '0', '0', NULL, 1, 548, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55115, 'saad.masood@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Hafiz Saad Masood Khan', 'Masood habib', '', NULL, '35202-0884682-1', '75105', NULL, 0, 48, '2015-06-06', NULL, NULL, '235', NULL, '34-E, Canal Bank Society, Thokar Niaz Baig', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03214709520', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-06-18', '2016-03-13 19:57:01', NULL, NULL, NULL, NULL, '2016-02-02 12:25:01', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 549, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55116, 'iftikhar.liaqat@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Iftikhar Liaqat', 'Liaqat Ali', '', NULL, '35202-6994891-3', '75106', NULL, 0, 48, '2015-06-06', NULL, NULL, '78', NULL, 'C-114, Sukhchain Gardens, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03228898658', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-09-24', '2016-03-13 20:07:15', NULL, NULL, NULL, NULL, '2015-10-19 11:14:10', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 550, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55125, 'zahir.anwar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Zahir Anwar', 'Muhammad Anwar', '', NULL, '42301-9290558-1', '75225', NULL, 0, 48, '2015-06-01', NULL, NULL, '193', NULL, 'Flat No 309, Qasim Suites, Robinson Rd, Near Urdu Bazar, South Karachi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03323406838', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-11-19', '2016-03-13 20:03:51', NULL, NULL, NULL, NULL, '2015-12-05 07:31:15', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 551, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55166, 'zaki.isaac@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2241, 28, 2241, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Zaki Isaac', 'Isaac', '', NULL, '35201-4512481-7', '73123', NULL, 0, 48, '2015-03-03', NULL, NULL, '147', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0308-4482600', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1970-05-11', '2017-03-17 17:34:22', NULL, NULL, NULL, NULL, '2016-12-23 22:09:04', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 552, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55167, 'waqas.saleem@people.com.pk', '111Aa$', '8c4952907b078f7581ffdc9a123dfac8', 0, 2, 343, 16, 356, 0, 0, 0, 1, 0, 0, 0, 'Mr.', '1570533453.jpg', '1570533453_micro.jpg', 'Waqas Saleem', 'Saleem', '', '0000-00-00', '35202-2689914-1', '57952', NULL, 0, 48, '2012-08-23', NULL, NULL, '173', NULL, '', '', 154, 0, 154, 0, 0, NULL, '', '31439', 1, '', '22222222222', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2016-02-17', '2026-02-17', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31496, NULL, NULL, NULL, '1979-10-21', '2020-09-26 12:15:40', NULL, NULL, NULL, NULL, '2020-09-01 16:39:03', NULL, NULL, 5, 80, NULL, 0, '23137', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 553, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-09-26 12:15:40', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 1, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55194, 'arslan.shehzad@people.com.pk', 'NJ0EWHQV', 'df41effa5183d9ac3da0fef638ffca7e', 0, 2, 343, 16, 343, 0, 0, 0, 1, 0, 0, 0, 'Mr.', NULL, '', 'Mian Arslan Shehzad', 'Mian Muhammad Azeem', '', NULL, '34202-4880932-9', '75874', NULL, 0, 48, '2015-07-01', NULL, NULL, '4', NULL, '161, Aurangzeb Block, New Garden Town, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0300-9515610', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, '2020-11-26', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-02-08', '2015-08-05 16:31:58', NULL, NULL, NULL, NULL, '2017-11-02 10:17:46', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 554, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55202, 'muhammad.jawad@people.com.pk', '4989', 'c457d7ae48d08a6b84bc0b1b9bd7d474', 1, 1, 478, 16, 478, 0, 0, 0, 8, 0, 0, 0, 'Mr.', 'jawadpic2.JPG', 'jawadpic2_micro.JPG', 'Muhammad Jawad', 'Allah Rakha', 'Retired As Teacher', '0000-00-00', '35201-1505168-7', '76128', NULL, 0, 48, '2015-06-01', NULL, NULL, '147', NULL, 'House # E-20/9, Street # 3, Millat Road, Ghazi Road, Lahore', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '0322-4989331', 'married', 2, NULL, NULL, NULL, 0, 154, '1565005278.jpg', '2016-06-02', '2026-06-02', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1986-01-18', '2020-11-12 16:26:57', NULL, NULL, NULL, NULL, '2020-12-28 09:31:37', NULL, NULL, 9, 80, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', '', 1, 555, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(55203, 'usman.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 478, 16, 478, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'usm_pic.jpg', 'usm_pic_micro.jpg', 'Usman Ali', 'Mohammad Ali', '', NULL, '42401-6979530-1', '76129', NULL, 0, 48, '2015-06-26', NULL, NULL, '147', NULL, 'House # 93, Clifton Township, Gulshanabad, Adiala Road, Rawalpindi', '46000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '0316-5024769', '0331-5175469', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-06-23', '2016-07-19 09:09:57', NULL, NULL, NULL, NULL, '2018-10-13 07:07:38', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 556, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55230, 'suban.altaf@peopleperfectae.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2332, 15, 2332, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'suban.jpg', 'suban_micro.jpg', 'Suban Altaf', 'Mohammad Altaf', '', NULL, '35201-5685277-5', '76565', NULL, 0, 48, '2015-09-01', NULL, NULL, '229', NULL, 'House # 179-D, PCHS, Lahore Cantt', '54000', 211, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '0332-4511074', '0320-4030498', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1993-10-01', '2017-12-11 11:26:45', NULL, NULL, NULL, NULL, '2018-04-07 13:14:59', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 557, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55242, 'sajjad.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Sajjad Ahmad', 'Mian Abdul Hameed', '', NULL, '35202-9493252-9', '76841', NULL, 0, 48, '2015-09-18', NULL, NULL, '236', NULL, '107-C1, NesPak Housing Society, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '+92-', '+92 300 8428005', 'Married', 4, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1976-06-04', '2016-03-22 14:20:48', NULL, NULL, NULL, NULL, '2015-11-25 20:12:33', NULL, NULL, 5, 0, '2016-03-17', NULL, '23137', NULL, NULL, '0', '0', '0', '0', NULL, 1, 558, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55316, 'gulfam.abbas@people.com.pk', 'rajwara', '348c4c0689c8dfa3cb9f44ed69914936', 1, 1, 343, 16, 343, 0, 0, 0, 1, 0, 0, 0, 'Mr.', '1599469780.png', '1599469780_micro.png', 'Gulfam Abbas', 'Izzat Baig', '', '0000-00-00', '34401-5391625-9', '77613', NULL, 0, 48, '2015-09-01', NULL, NULL, '213', NULL, 'House # E-282, St # 3, Gulistan Colony, Qainchi Amer Sidhu, Lahore', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '0346-4435109', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2011-01-04', '2022-12-31', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1992-10-30', '2020-09-07 14:09:40', NULL, NULL, NULL, NULL, '2020-12-28 16:14:02', NULL, NULL, 72, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 559, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(55318, 'rana.jawad@people.com.pk', 'Khanewal@1', '3dacac193d13bfc564ce0aceec9fb84e', 1, 1, 343, 16, 356, 0, 0, 0, 1, 0, 0, 0, 'Mr.', '1565190588.png', '1565190588_micro.png', 'Rana Jawad Ahmed', 'Rana Naseer Ahmed', 'Retired/Govt Employee', '0000-00-00', '36103-1634509-1', '77756', NULL, 0, 48, '2015-11-23', NULL, NULL, '294', NULL, 'House # 159, Block 16, Sector B-I, Township, Lahore', '', 154, 0, 154, 0, 1, NULL, '', '31439', 1, '', '0333-4714218', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2012-06-01', '2022-06-01', 'NU1165091', 154, NULL, '2014-10-09', '2019-10-08', '', NULL, 0, '0000-11-30', '0000-00-00', 154, 0, NULL, NULL, NULL, '1981-03-24', '2020-12-05 13:09:22', NULL, NULL, NULL, NULL, '2021-01-01 11:18:01', NULL, NULL, 6, 80, NULL, 0, '23137', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 560, 0, 0, 5, 3844146, 154, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(55319, 'zain.hussain@people.com.pk', 'zainooboi', '3cde855e98f58f2c501ef7595e109e2c', 1, 1, 343, 16, 343, 0, 0, 0, 1, 0, 0, 0, 'Mr.', '77832.jpg', '77832_micro.jpg', 'Rana Zain Hussain', 'Rana Tajamul Hussain', 'Retired', '0000-00-00', '35201-4644033-9', '77832', NULL, 0, 48, '2015-11-26', NULL, NULL, '237', NULL, '145-G, Pace Woodlands, Bedian Road, Lahore', '', 175, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '0322-4805765', 'single', 1, NULL, NULL, NULL, 0, 154, NULL, '2013-09-27', '2020-09-27', '', 0, NULL, '0000-00-00', '0000-00-00', '35201-4644033-9', NULL, 154, '2015-03-12', '2020-03-11', 175, 37444, NULL, NULL, NULL, '1989-09-12', '2019-11-19 10:15:27', NULL, NULL, NULL, NULL, '2020-12-28 10:35:57', NULL, NULL, 72, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'O+', 1, 561, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(55368, 'yousuf.munir@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Yousuf Munir', 'Munir Ahmad', '', NULL, '35201-9648949-1', '77345', NULL, 0, 48, '2015-10-20', NULL, NULL, '152', NULL, 'House # 27, St # 72, Mohallah Kashmiriyan, Baghbanpura, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0323-0481651', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1993-02-02', '2016-08-25 13:41:20', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 562, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55369, 'ali.razaa@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ali Raza', 'Mohammad Munir', '', NULL, '35201-3127877-7', '77848', NULL, 0, 48, '2015-11-19', NULL, NULL, '152', NULL, 'St # 15, Mohallah Kashmiraan, Baghbanpura, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0307-8450437', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1992-06-05', '2015-12-29 14:04:13', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 563, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55370, 'saleem.akhtar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Saleem Akhtar', 'Akhtar', '', NULL, '35202-5212966-5', '78125', NULL, 0, 48, '2015-12-07', NULL, NULL, '53', NULL, 'House # 1, St # 1, Mohallah Jeevan Hana, New Garden Town, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0324-4166725', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1972-08-06', '2016-03-13 19:56:14', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 564, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55371, 'imran.shahzad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Imran Shahzad', 'Farooq Mahmood', '', NULL, '35202-2572896-5', '78382', NULL, 0, 48, '2016-01-01', NULL, NULL, '238', NULL, '44-B, Phase III, GECHS, Model Town Link Road, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '0300-8065360', '0311-2747766', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1975-07-11', '2016-03-08 15:25:01', NULL, NULL, NULL, NULL, '2018-02-07 11:40:27', NULL, NULL, 5, 0, NULL, NULL, '23137', NULL, NULL, '1', '0', '0', '0', NULL, 1, 565, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55473, 'm.yaseen@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Yaseen', 'Gul Muhammad', '', NULL, '35301-1955224-5', '78503', NULL, 0, 48, '2015-10-24', NULL, NULL, '59', NULL, 'Sheraz Town, Bagrian, Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0300-4553128', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1982-02-01', '2016-01-26 07:30:51', NULL, NULL, NULL, NULL, '2016-07-20 16:45:18', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 566, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55499, 'kashif.aslam@people.com.pk', 'kashifciit', 'c7a0d27e691ac844c04466a26419dc30', 1, 1, 344, 17, 356, 0, 0, 0, 2, 0, 0, 0, 'Mr.', '1565069118.jpg', '1565069118_micro.jpg', 'Kashif Aslam', 'Mohammad Aslam', '', '0000-00-00', '35202-8211927-5', '78749', NULL, 0, 48, '2016-02-02', NULL, NULL, '296', NULL, 'House # 9/A, St # 162, Roshan Street, Gunj Bukhsh Road, Ichra, Lahore', '', 175, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '0321-4138189', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2018-12-09', '2028-12-09', '', 0, NULL, '0000-11-30', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 175, 37444, NULL, NULL, NULL, '1988-04-25', '2020-12-05 13:18:21', NULL, NULL, NULL, NULL, '2020-12-31 13:35:06', NULL, NULL, 8, 80, NULL, 0, '23137', NULL, NULL, '0', '0', '0', '0', 'O+', 1, 567, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(55572, 'irfan.bhatti@people.com.pk', 'Audit@123', '37b643c9a93f6ae56da8c9b78ce238cf', 1, 1, 1300, 8, 2333, 0, 0, 0, 10, 0, 0, 0, 'Mr.', '1570700460.JPG', '1570700460_micro.JPG', 'Muhammad Irfan Bhatti', 'Abdul Majeed Bhatti', '', '0000-00-00', '35202-2420765-9', '79105', NULL, 0, 48, '2016-03-02', NULL, NULL, '240', NULL, '2/2 Shahid Colony Wahdat Road', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '+92-0321-5739537', 'single', 4, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1979-11-22', '2019-12-23 11:10:15', NULL, NULL, NULL, NULL, '2021-08-12 09:05:38', NULL, NULL, 7, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'O+', 1, 568, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 2, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(55573, 'talha.khan@people.com.pk', '444Aa$', 'd8804832e37b956427b4180c61880813', 0, 2, 366, 23, 356, 0, 0, 0, 4, 0, 0, 0, 'Mr.', 'talha_khan_1.jpg', 'talha_khan_1_micro.jpg', 'Muhammad Talha Khan', 'Muhammad Ahmed Khan', 'Retired Banker ', '0000-00-00', '33100-0720345-3', '79116', NULL, 0, 48, '2016-03-07', NULL, NULL, '241', NULL, '109 - C, DHA Villas, Phase VIII, Lahore', '', 154, 0, 154, 0, 1, NULL, '', '31439', 1, '', '03018486800', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 154, NULL, '0000-00-00', '0000-00-00', '', NULL, 154, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1972-06-01', '2020-06-02 10:44:53', NULL, NULL, NULL, NULL, '2020-05-19 10:53:20', NULL, NULL, 4, 80, NULL, 0, '23137', NULL, NULL, '0', '0', '0', '0', 'A+', 1, 569, 0, 0, 5, 0, 154, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 18, NULL, NULL, '2020-06-02 10:44:53', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 1, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55588, 'adeel.abbas@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Adeel Abbas', 'Iftikhar Hussain', '', NULL, '37401-7364635-3', '79216', NULL, 0, 48, '2016-03-11', NULL, NULL, '198', NULL, 'Sihala Post Office, Dera Kiyal, Tehsil Gojar Khan, Distt Rawalpindi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0321-5673918', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1993-01-12', '2016-03-16 11:46:28', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 570, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55615, 'arshad.masih@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Arshad Masih', 'Mehnga Masih', '', NULL, '34101-4962755-1', '79407', NULL, 0, 48, '2016-02-22', NULL, NULL, '152', NULL, 'House # 118, St # 19-B, Sector A, 32 Zia Colony Korangi, Karachi', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0347-6580103', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-02-15', '2016-08-25 13:49:44', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '10426', NULL, NULL, '0', '0', '0', '0', NULL, 1, 571, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55619, 'fahad.riaz@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Fahad Riaz', 'Muhammad Riaz', '', NULL, '35202-3666294-5', '79498', NULL, 0, 48, '2016-04-11', NULL, NULL, '242', NULL, 'H No 649- Block No 5, Sector D/1, Green Town Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '37324488', '03454600539', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-03-03', '2016-04-11 10:29:34', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 572, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55667, 'najeeb.ullah@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Najeebullah Achakzai', 'Rehmatullah', '', NULL, '54401-6233410-5', '78676', NULL, 0, 48, '2015-10-01', NULL, NULL, '162', NULL, 'House # 39-B, Jinnah Market, Wahdat Road, Lahore\r\nHouse # 2-22/10, Mohallah Shah Mohammad Street, Chaman, Qila Abdullah\r\n', '56400', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0333-7889009', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1988-10-11', '2017-03-17 17:37:18', NULL, NULL, NULL, NULL, '2016-07-16 09:24:28', NULL, NULL, 9, 0, '2016-06-03', NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 573, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55668, 'Javed.masih@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Javed Masih', 'Yousaf Masih', '', NULL, '35404-9677487-7', '79311', NULL, 0, 48, '2016-03-10', NULL, NULL, '53', NULL, 'Madowala Kalan, Post Office Madowala Khurd, Sheikhupura\r\n', '56400', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0307-8797893', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-12-30', '2017-03-17 17:33:20', NULL, NULL, NULL, NULL, '2017-01-05 19:47:11', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 574, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55702, 'farrukh.aziz@people.com.pk', 'flower', '608f0b988db4a96066af7dd8870de96c', 0, 2, 344, 17, 356, 0, 0, 0, 2, 0, 0, 0, 'Mr.', '1566908489.jpg', '1566908489_micro.jpg', 'Farrukh Aziz Asri', 'Aziz Asri', 'Journalist', '0000-00-00', '35202-8436353-9', '81130', NULL, 0, 48, '2016-06-07', NULL, NULL, '243', NULL, '429 Overseas B, Bahria Town', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '03334223343', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1969-02-12', '2020-04-23 10:14:04', NULL, NULL, NULL, NULL, '2020-04-09 14:44:12', NULL, NULL, 5, 80, '2016-06-30', 0, '23137', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 575, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 18, NULL, NULL, '2020-04-23 10:14:04', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 1, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55974, 'gul.baz@peopple.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Gul Baz', 'Muhammad Nawaz', '', NULL, '38201-1165634-7', '72801', NULL, 0, 48, '2015-01-24', NULL, NULL, '198', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0343-4473686', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1971-01-01', '2016-08-25 18:25:42', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 576, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55975, 'muhammad.afsar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 22, 0, 0, 0, 'Mr.', NULL, '', 'Muhammad Afsar', 'Eidhi Khan', '', NULL, '38201-1129238-9', '72183', NULL, 0, 48, '2014-12-02', NULL, NULL, '198', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0301-4852496', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1969-01-01', '2016-08-25 18:29:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 577, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55976, 'bawar.aslam@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 396, 0, 396, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Bawar', 'Aslam', '', NULL, '42301-5175378-1', '84351', NULL, 0, 48, '2016-03-06', NULL, NULL, '152', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0301-4852496', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-12-27', '2016-08-25 18:33:02', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '10426', NULL, NULL, '0', '0', '0', '0', NULL, 1, 578, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55977, 'muhammad.iqbal@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Iqbal', 'Haji Muhammad Sher', '', NULL, '38302-1112010-9', '84507', NULL, 0, 48, '2016-06-27', NULL, NULL, '203', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0301-4852496', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1970-03-02', '2016-08-25 18:37:53', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 579, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55978, 'Muhammad.Shoaib@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Shoaib', 'Muhammad Younas', '', NULL, '35202-0708345-1', '84731', NULL, 0, 48, '2016-06-11', NULL, NULL, '202', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03235518396', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-10-09', '2016-08-25 18:45:19', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 580, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55979, 'Shoaib.Ashraf@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Shoaib Ashraf', 'Muhammad Ashraf', '', NULL, '33100-7974083-5', '84732', NULL, 0, 48, '2016-07-13', NULL, NULL, '92', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03461413171', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1993-10-07', '2017-03-17 17:05:51', NULL, NULL, NULL, NULL, '2017-02-21 10:28:34', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 581, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(55980, 'sh.raza@people.com.pk', 'raza123', '4bd9294273ff8134d0d2d55b93c9baf1', 0, 2, 458, 12, 458, 0, 0, 0, 7, 0, 0, 0, 'Mr.', '1570701219.JPG', '1570701219_micro.JPG', 'Shahanshah Raza', 'Riaz Ali', 'Late', '0000-00-00', '35201-6843819-9', '85004', NULL, 0, 48, '2016-08-02', NULL, NULL, '20', NULL, '', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '0301-4852496', 'single', 3, NULL, NULL, NULL, 0, 154, NULL, '2010-08-25', '2021-07-31', 'N/A', 0, NULL, '0000-00-00', '0000-00-00', 'N/A', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1991-01-01', '2020-07-09 12:19:13', NULL, NULL, NULL, NULL, '2020-07-02 11:58:53', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 582, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-07-09 12:19:13', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56031, 'farhan.alam@people.com.pk', 'farhan143', '19150d47afd0297a53f686004e8fda44', 1, 1, 2241, 28, 2241, 0, 0, 0, 18, 0, 0, 0, 'Mr.', '85609.jpg', '85609_micro.jpg', 'Farhan Alam', 'Munawar Alam', '', '0000-00-00', '35201-3598487-3', '85609', NULL, 0, 48, '2016-09-19', NULL, NULL, '252', NULL, '', '', 154, 0, 154, 31333, 1, NULL, '', '31439', 1, '', '0302-4758959', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2009-02-10', '2021-01-31', '', 154, NULL, '0000-00-00', '0000-00-00', '', NULL, 154, '0000-00-00', '0000-00-00', 154, 31333, NULL, NULL, NULL, '1990-10-29', '2020-11-13 11:27:24', NULL, NULL, NULL, NULL, '2020-12-28 11:22:03', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 583, 0, 0, 5, 0, 154, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56032, 'irfan.ullah@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 343, 16, 343, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Syed Muhammad Irfan Ullah', 'Syed Ijaz Hussain', '', NULL, '35301-2026729-5', '85496', NULL, 0, 48, '2016-09-05', NULL, NULL, '244', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0345-4029773', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, 'BD1987292', NULL, NULL, NULL, '2020-04-15', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1982-04-08', '2018-11-12 12:45:24', NULL, NULL, NULL, NULL, '2018-11-14 12:20:52', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 584, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56033, 'Kashif.masih@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Kashif Masih', 'Kashif Masih', '', NULL, '35201-2503036-9', '85620', NULL, 0, 48, '2016-09-19', NULL, NULL, '152', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0321-2214699', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-11-14', '2016-09-20 12:33:20', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 585, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56076, 'ghulam.shabbir@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Ghulam Shabbir', 'Muhammad Ameer Khan', '', NULL, '37203-1615752-7', '85032', NULL, 0, 48, '2016-08-01', NULL, NULL, '198', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '00923055371245', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1972-05-26', '2017-03-17 17:42:35', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 586, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56077, 'muhammad.yousaf@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '42048.jpg', '42048_micro.jpg', 'Muhammad Yousaf', 'Muhammad Yaqoob', '', NULL, '31302-8106982-7', '85738', NULL, 0, 48, '2016-09-26', NULL, NULL, '245', NULL, 'Chack No.37/Abbasia. \r\nTehsil Liaquatpur\r\nDistrict Rahim Yar Khan', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03239782087', 'Single', 6, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1993-06-01', '2016-10-20 08:51:24', NULL, NULL, NULL, NULL, '2016-11-30 02:11:33', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 587, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56164, 'sarwar.masih@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Sarwar Masih', 'Salamat Masih', '', NULL, '35202-8320593-5', '86061', NULL, 0, 48, '2016-10-17', NULL, NULL, '92', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '00923244588893', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1984-11-08', '2017-03-17 17:36:32', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 588, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56193, 'mazhar.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 2032, 7, 356, 0, 0, 0, 15, 0, 0, 0, 'Mr.', 'IMG_0450.JPG', 'IMG_0450_micro.JPG', 'Mazhar Khan', 'Abdul Qayyum Rashid', '', '0000-00-00', '35202-0925734-7', '87758', NULL, 0, 48, '2016-12-10', NULL, NULL, '238', NULL, 'H # 218 Block P, St # 11 (Ex-Air Ave.) Phase 8. DHA Lahore.', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '0322-7780777', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1987-07-07', '2020-11-12 10:17:27', NULL, NULL, NULL, NULL, '2021-07-05 13:07:02', NULL, NULL, 5, 80, '2017-06-30', 0, '23137', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 589, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 1, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56194, 'muhammad.hassaan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Hassaan Sarfraz', 'Sarfraz Ahmad javaid', '', NULL, '33105-7723612-5', '87929', NULL, 0, 48, '2017-01-03', NULL, NULL, '247', NULL, 'H # 317, K-3 Wapda Town Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0321-7933033', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, '2020-04-30', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-07-22', '2016-12-20 22:08:43', NULL, NULL, NULL, NULL, '2017-02-27 11:31:26', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 590, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56195, 'muhammad.ghayas@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 2342, 0, 1301, 0, 0, 0, -1, 0, 0, 0, 'Mr.', '87712.jpg', '87712_micro.jpg', 'Muhammad Ghayas', 'Muhammad Asif', '', '0000-00-00', '61101-4192261-9', '87712', NULL, 0, 48, '2016-12-20', NULL, NULL, '147', NULL, '', '', 154, 154, 0, 0, 1, NULL, '', '51090', 1, '', '0333-3100056', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 51090, NULL, NULL, NULL, '1986-09-22', '2020-12-21 11:21:07', NULL, NULL, NULL, NULL, '2020-12-31 15:26:58', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 591, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56196, 'zubair.marus@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 22, 0, 0, 0, 'Mr.', '87716.jpg', '87716_micro.jpg', 'Zubair Marus', 'Zafer Masih', '', NULL, '35202-9522733-5', '87716', NULL, 0, 48, '2016-12-02', NULL, NULL, '92', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0321-1234567', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-03-13', '2016-12-21 22:50:55', NULL, NULL, NULL, NULL, '2019-09-21 13:12:48', NULL, NULL, 63, 80, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 592, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56230, 'raheem.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 1861, 38, 1861, 0, 0, 0, 0, 1, 22, 0, 'Mr.', '88485.jpg', '88485_micro.jpg', 'Raheem Ali', 'Imran Ali', '', '0000-00-00', '35202-3428614-7', '88485', NULL, 0, 48, '2017-01-24', NULL, NULL, '92', NULL, '', '', 0, 0, 0, 0, 0, NULL, '', '31439', 1, '', '03064467182', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 0, 0, NULL, NULL, NULL, '1986-10-03', '2020-07-30 15:49:34', NULL, NULL, NULL, NULL, '2020-12-22 15:45:24', NULL, NULL, 63, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 593, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56231, 'hamid.barkat@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 1861, 38, 1861, 0, 0, 0, 0, 1, 22, 0, 'Mr.', '88486.jpg', '88486_micro.jpg', 'Hamid Barkat', 'Barkat Masih', '', '0000-00-00', '35202-4219964-3', '88486', NULL, 0, 48, '2017-01-16', NULL, NULL, '92', NULL, '', '', 0, 0, 0, 0, 0, NULL, '', '31439', 1, '', '03064752073', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 0, 0, NULL, NULL, NULL, '1980-03-29', '2020-07-30 15:50:07', NULL, NULL, NULL, NULL, '2020-11-26 12:53:44', NULL, NULL, 63, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 594, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56232, 'naveed.ahmad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Naveed Ahmad', 'Muhammad Rafique', '', NULL, '13101-3146694-1', '88487', NULL, 0, 48, '2017-01-14', NULL, NULL, '92', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03209535755', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1995-12-11', '2017-01-24 12:37:35', NULL, NULL, NULL, NULL, '2017-04-04 10:29:43', NULL, NULL, 63, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 595, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56233, 'shahid.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Shahid Khan', 'Shamshad Khan', '', NULL, '17301-1571268-9', '88489', NULL, 0, 48, '2017-01-10', NULL, NULL, '50', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03014900575', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1983-05-25', '2017-01-24 12:57:07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 63, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 596, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56234, 'abu.bakar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Abu bakar', 'Gul Muhammad', '', NULL, '38403-9634958-1', '88488', NULL, 0, 48, '2017-01-09', NULL, NULL, '198', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03437945924', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1992-08-01', '2017-01-24 13:25:29', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 63, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 597, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56245, 'sajawal.hussain@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Sajawal Hussain', 'Sabir Hussain', '', NULL, '35202-9271450-1', '87109', NULL, 0, 48, '2016-10-24', NULL, NULL, '147', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03014619988', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-12-25', '2017-03-01 10:19:30', NULL, NULL, NULL, NULL, '2017-08-03 08:56:17', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 598, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56252, 'nazer.muhammad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2334, 0, 2334, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Nazer muhammad', 'Ghulam muhammad', '', NULL, '37302-9608879-5', '87850', NULL, 0, 48, '2016-12-09', NULL, NULL, '198', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03458382283', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1970-03-01', '2017-01-31 11:38:10', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 63, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 599, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56287, 'samar.iqbal@people.com.pk', '4255853', 'a1fe9af8ec184a1fd71ffa903be932c6', 0, 2, 2241, 28, 2241, 0, 0, 0, 18, 0, 0, 0, 'Mr.', '88646.jpg', '88646_micro.jpg', 'Samar Iqbal', 'Muhammad Iqbal', 'Pvt Job', '0000-00-00', '35202-2102965-9', '88646', NULL, 0, 48, '2017-02-13', NULL, NULL, '147', NULL, '', '', 154, 0, 154, 0, 1, NULL, '', '31439', 1, '', '03234255853', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2018-12-23', '2028-12-23', '', 154, NULL, '2011-07-03', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 0, NULL, NULL, NULL, '1987-02-20', '2019-12-17 12:44:24', NULL, NULL, NULL, NULL, '2019-12-09 13:18:47', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 600, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2019-12-17 12:44:24', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56288, 'zeeshan.karim@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 356, 0, 0, 0, 2, 0, 0, 0, 'Mr.', 'Pic.jpeg', 'Pic_micro.jpeg', 'Zeeshan Karim Khan', 'Fakhar Ullah Karim', 'Banker', '0000-00-00', '35202-4656680-1', '88645', NULL, 0, 48, '2017-02-11', NULL, NULL, '283', NULL, 'H# 217 Street 9, Block H, Fazaia Housing Society, Raiwand Road, Lahore.', '', 154, 0, 154, 31351, 1, NULL, '', '31439', 1, '', '03334530514', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1990-03-19', '2020-08-05 14:15:32', NULL, NULL, NULL, NULL, '2020-08-03 11:46:36', NULL, NULL, 8, 80, NULL, 0, '23137', NULL, NULL, '0', '0', '0', '0', 'A+', 1, 601, 0, 0, 5, 0, 0, 'non_filer', 1, '', 1, 0, 1, 1, '', 0, '', 0, '', 8, NULL, NULL, '2020-08-05 02:15:32', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56292, 'zain.rafique@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1304, 0, 1304, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Zain Rafique', 'Muhammad Rafique', '', NULL, '42201-7186362-3', '89188', NULL, 0, 48, '2017-03-07', NULL, NULL, '159', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '03212353968', '03212353968', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1992-12-03', '2017-12-11 11:36:25', NULL, NULL, NULL, NULL, '2018-10-08 11:06:19', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 602, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56307, 'qaiser.manzoor@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 1861, 38, 1861, 0, 0, 0, 0, 1, 22, 7, 'Mr.', '85022.jpg', '85022_micro.jpg', 'Qaiser Manzoor', 'Manzoor', '', '0000-00-00', '37303-1180311-3', '85022', NULL, 0, 48, '2016-08-22', NULL, NULL, '50', NULL, '', '', 1, 0, 0, 0, 0, NULL, '', '31439', 1, '', '03035692747', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1981-04-04', '2020-07-30 15:52:58', NULL, NULL, NULL, NULL, '2020-10-27 11:56:11', NULL, NULL, 63, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 603, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56308, 'furqan.riaz@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 344, 17, 344, 0, 0, 0, 0, 1, 0, 0, 'Mr.', 'furqan_riaz.jpg', 'furqan_riaz_micro.jpg', 'Mian Furqan Riaz', 'Malik Muhammad Riaz', '', NULL, '35202-7152238-3', '89441', NULL, 0, 48, '2017-04-01', NULL, NULL, '247', NULL, 'house# 34, Street# 28 Inside Nawankot, Multan road, Lahore.', '54000', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '0322-4144308', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, 'FE9912381', NULL, 'passport_img.jpg', NULL, '2022-05-07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-02-01', '2019-01-07 12:19:59', NULL, NULL, NULL, NULL, '2019-01-07 12:20:06', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 604, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56333, 'saadia.syed@eet.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Ms.', 'IMG-20170719-WA0001.jpg', 'IMG-20170719-WA0001_micro.jpg', 'Saadia Syed', 'Hammad Altaf Khan', '', NULL, '35202-2124555-2', '89686', NULL, 0, 48, '2017-04-05', NULL, NULL, '248', NULL, '398 Q , Street 18 ,DHA Lahore', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03218855586', 'Single', 2, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1982-07-17', '2018-01-12 17:24:06', NULL, NULL, NULL, NULL, '2018-10-02 17:48:28', NULL, NULL, 6, 0, NULL, NULL, '23137', NULL, NULL, '1', '0', '0', '0', NULL, 1, 605, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56387, 'umar.hayat@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 22, 0, 0, 0, 'Mr.', '92338.jpg', '92338_micro.jpg', 'Umar Hayat', 'Muhammad Yousuf', '', NULL, '54400-0495745-5', '92338', NULL, 0, 48, '2017-05-11', NULL, NULL, '203', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03035418910', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1975-04-04', '2017-05-12 10:16:36', NULL, NULL, NULL, NULL, '2019-10-02 18:50:03', NULL, NULL, 9, 80, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 606, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 2, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56388, 'javed.ashraf@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 22, 0, 0, 0, 'Mr.', '92342.jpg', '92342_micro.jpg', 'Javed Ashraf', 'Ashraf Masih', '', NULL, '35201-4117315-3', '92342', NULL, 0, 48, '2017-04-24', NULL, NULL, '249', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03024256505', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1985-02-20', '2018-01-25 14:14:14', NULL, NULL, NULL, NULL, '2019-09-24 11:48:51', NULL, NULL, 63, 80, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 607, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56389, 'muhammad.irfan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Irfan', 'Muhammad Ayub', '', NULL, '32304-4968869-1', '92350', NULL, 0, 48, '2017-05-05', NULL, NULL, '50', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03124884020', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1993-04-15', '2017-05-12 12:10:13', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 63, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 608, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56390, 'asif.shahzad@people.com.pk', 'People-12', '37f29974bb33f40c7217d716f3207557', 1, 1, 344, 17, 356, 0, 0, 0, 2, 0, 0, 0, 'Mr.', 'me.jpeg', 'me_micro.jpeg', 'Asif Shehzad', 'Ali Asgher Tariq', '', '0000-00-00', '31303-2146573-3', '92879', NULL, 0, 48, '2017-06-01', NULL, NULL, '268', NULL, '169-B Iqbal Avenue Phase 1, Johar Town', '', 1, 0, 0, 0, 0, NULL, '', '31439', 1, '', '03111653100', 'single', 3, NULL, NULL, NULL, 0, 154, 'cnic_people.jpg', '0000-00-00', '2023-03-26', 'KK5145732', 0, 'Passport_people.jpg', '0000-00-00', '2021-02-21', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1983-03-03', '2020-11-16 13:04:26', NULL, NULL, NULL, NULL, '2020-12-30 15:56:04', NULL, NULL, 7, 80, NULL, 0, '23137', NULL, NULL, '0', '0', '0', '0', '', 1, 609, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56415, 'ali.babur@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 356, 36, 356, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Muhammad Ali Babur', 'Zafer Usman Babur', '', NULL, '35201-5250492-3', '93128', NULL, 0, 48, '2017-06-19', NULL, NULL, '251', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03204974321', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-11-24', '2018-01-06 09:41:59', NULL, NULL, NULL, NULL, '2018-11-27 10:31:33', NULL, NULL, 8, 0, NULL, NULL, '23137', NULL, NULL, '1', '0', '0', '0', NULL, 1, 610, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56416, 'waseem.akram@peopleperfectae.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2332, 15, 2332, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Waseem Akram', 'Muhammad Idrees', '', NULL, '35202-0689379-7', '93132', NULL, 0, 48, '2017-06-12', NULL, NULL, '150', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03337679673', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1992-10-19', '2017-12-11 11:28:27', NULL, NULL, NULL, NULL, '2017-11-29 16:59:29', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 611, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56417, 'salman.jamil@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2241, 28, 2241, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Salman Jamil', 'Jamil Akhter', '', NULL, '35201-8692095-9', '93137', NULL, 0, 48, '2017-06-30', NULL, NULL, '252', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03234267743', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1990-12-02', '2017-07-14 15:50:28', NULL, NULL, NULL, NULL, '2018-01-22 10:51:20', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 612, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56571, 'usman.ijaz@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 2241, 28, 2241, 0, 0, 0, 18, 0, 0, 0, 'Mr.', '1565081512.jpg', '1565081512_micro.jpg', 'Usman Ijaz', 'Ch Ijaz Ahmed', 'Ex Banker', '0000-00-00', '36302-1153434-5', '93957', NULL, 0, 48, '2017-07-21', NULL, NULL, '252', NULL, 'Usman Ijaz, 378/1, Al-Qasim House, Street# 02, Garden Town near Chungi# 23, Multan', '', 154, 0, 0, 0, 1, NULL, '', '31439', 1, '03065555120', '03349982840', 'married', 1, NULL, NULL, NULL, 0, 154, '1565081913.jpg', '2017-04-19', '2027-04-19', 'GQ1514341', 154, '1565082218.jpg', '2015-05-14', '2020-05-12', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31518, NULL, NULL, NULL, '1979-08-30', '2020-01-07 02:06:07', NULL, NULL, NULL, NULL, '2020-12-23 15:04:07', NULL, NULL, 9, 80, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 613, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56650, 'shahzad.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Shahzad Ali', 'Syed Muhammad Ali', '', NULL, '35200-1438871-7', '94913', NULL, 0, 48, '2017-09-07', NULL, NULL, '50', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03234997827', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1976-06-24', '2017-09-12 13:35:46', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 63, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 614, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56651, 'ubaid.ahmed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 478, 16, 0, 0, 0, 0, 8, 0, 0, 0, 'Mr.', '1605242915.jpg', '1605242915_micro.jpg', 'Ubaid Ahmed', 'Naeem Ahmed', 'Naeem Ahmed', '0000-00-00', '42201-2632487-9', '94914', NULL, 0, 48, '2017-08-29', NULL, NULL, '147', NULL, '', '', 154, 154, 154, 31594, 1, NULL, '', '31594', 4, '', '03452095844', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2010-11-23', '2022-10-31', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31594, NULL, NULL, NULL, '1992-10-07', '2020-11-13 09:48:35', NULL, NULL, NULL, NULL, '2020-12-30 17:23:18', NULL, NULL, 9, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', 'AB+', 1, 615, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-01-15 12:29:28', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56690, 'ali.raza@people.com.pk', 'people121', 'e018553d70d91474fa66f4dba6c1558b', 0, 2, 1301, 25, 1301, 0, 0, 0, 11, 0, 0, 0, 'Mr.', '95179.jpg', '95179_micro.jpg', 'Ali Raza Malik', 'Miskeen Ahmad', '', NULL, '37405-0396473-7', '95179', NULL, 0, 48, '2017-10-02', NULL, NULL, '252', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03405404003', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-11-07', '2017-10-02 15:30:12', NULL, NULL, NULL, NULL, '2019-07-26 19:30:24', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 616, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56698, 'kiran.siddique@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2032, 0, 2032, 0, 0, 0, 0, 1, 0, 0, 'Miss', NULL, '', 'Kiran Siddique', 'Khadam Hussain', '', NULL, '35201-8479243-0', '95228', NULL, 0, 48, '2017-10-09', NULL, NULL, '253', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03310048288', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-12-01', '2017-10-18 11:18:37', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '0', NULL, NULL, '0', '0', '0', '0', NULL, 1, 617, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56699, 'sadaf.saqib@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2032, 0, 2032, 0, 0, 0, 0, 1, 0, 0, 'Miss', NULL, '', 'Sadaf Saqib', 'Muhammad Aslam Saqib', '', NULL, '35202-8470449-4', '95495', NULL, 0, 48, '2017-10-17', NULL, NULL, '254', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03244674275', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-04-22', '2017-10-18 11:23:13', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 8, 0, NULL, NULL, '0', NULL, NULL, '0', '0', '0', '0', NULL, 1, 618, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56700, 'imran.hanif@people.com.pk', 'Aroob@8771', '61136f87963ffe2c862ee600f0c314d0', 1, 1, 2241, 28, 2241, 0, 0, 0, 18, 0, 0, 0, 'Mr.', 'imran_hanif.jpg', 'imran_hanif_micro.jpg', 'Imran Hanif', 'Muhammad Hanif', 'Businessmen', '0000-00-00', '36603-6059521-9', '96675', NULL, 0, 48, '2017-10-26', NULL, NULL, '252', NULL, '', '', 154, 0, 154, 31333, 1, NULL, 'Lahore', '31439', 1, '03006992204', '03018440590', 'married', 1, NULL, NULL, NULL, 0, 154, '1565002553.jpg', '2016-10-11', '2026-10-11', 'AL6785213', 154, '1565002553.jpg', '2017-06-22', '2027-06-21', '', NULL, 154, '0000-00-00', '0000-00-00', 154, 31333, NULL, NULL, NULL, '1985-11-12', '2019-08-05 16:12:16', NULL, NULL, NULL, NULL, '2020-12-24 09:24:42', NULL, NULL, 9, 80, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', 'O+', 1, 619, 0, 0, 5, 0, 154, 'non_filer', 0, '', 1, 0, 1, 1, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56701, 'aleem.bhutta@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Aleem Bhutta', 'Chaudhry Abdul Ghaffar Bhutta', '', NULL, '35103-9645057-9', '96676', NULL, 0, 48, '2017-10-28', NULL, NULL, '147', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03004512328', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1995-02-02', '2017-10-30 17:51:59', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 620, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56729, 'arslan.anwar@peopleperfectae.com', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 458, 12, 458, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Mian Arslan Anwar', 'Muhammad Anwar Kanwal', '', NULL, '35201-2678594-5', '97706', NULL, 0, 48, '2017-11-03', NULL, NULL, '255', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03084498668', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1989-11-22', '2017-12-11 10:31:07', NULL, NULL, NULL, NULL, '2018-01-16 12:29:12', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 621, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56730, 'saad.ashraf@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 2342, 0, 1301, 0, 0, 0, -1, 0, 0, 0, 'Mr.', '1565166284.jpg', '1565166284_micro.jpg', 'Muhammad Saad Ashraf', 'Muhammad Ashraf', '', '0000-00-00', '38101-6811869-9', '97739', NULL, 0, 48, '2017-11-04', NULL, NULL, '147', NULL, '', '', 154, 0, 154, 31328, 1, NULL, '', '31439', 1, '', '03316913132', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2009-06-24', '2021-05-31', '', 154, NULL, '2015-11-03', '2020-11-20', 'BR-15-419', NULL, 154, '2015-11-03', '2020-11-20', 154, 31328, NULL, NULL, NULL, '1991-01-26', '2020-12-21 11:21:34', NULL, NULL, NULL, NULL, '2020-12-28 17:34:03', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'B-', 1, 622, 0, 0, 5, 0, 154, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56733, 'zubair.ali@people.com.pk', '54321', '01cfcd4f6b8770febfb40cb906715822', 1, 1, 2335, 16, 0, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '1570700321.JPG', '1570700321_micro.JPG', 'Mohammad Zubair Ali', 'Arshad Ali Tahir', '', '0000-00-00', '31301-6939654-1', '97752', NULL, 0, 48, '2017-11-06', NULL, NULL, '247', NULL, '', '', 154, 0, 154, 31491, 0, NULL, '', '31439', 1, '', '03012605701', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31424, NULL, NULL, NULL, '1991-09-06', '2020-03-03 11:45:30', NULL, NULL, NULL, NULL, '2021-02-20 06:55:18', NULL, NULL, 9, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 623, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56737, 'ali.ahmad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2241, 28, 2241, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Syed Ali Ahmad', 'Syed Mazhar Hussain', '', NULL, '31202-9851489-9', '99955', NULL, 0, 48, '2017-11-04', NULL, NULL, '252', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03468858006', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1992-02-07', '2017-11-21 13:13:02', NULL, NULL, NULL, NULL, '2018-05-05 12:27:48', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 624, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56738, 'numair.tufail@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2333, 7, 2333, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Hafiz Muhammad Numair Tufail', 'Muhammad Tufail Tahir', '', NULL, '35202-1744750-7', '99956', NULL, 0, 48, '2017-11-10', NULL, NULL, '253', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03315656565', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1991-03-29', '2018-01-01 17:29:25', NULL, NULL, NULL, NULL, '2018-03-30 12:10:40', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 625, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56739, 'kashif.majeed@people.com.pk', '56Aa$', '16a8f3e359615d0cf0886ff33e9e2315', 1, 1, 458, 12, 2017, 0, 0, 0, 7, 0, 0, 0, 'Mr.', '1608526824.jpg', '1608526824_micro.jpg', 'Kashif Majeed', 'Abdul Majeed Chaudhry', '', '0000-00-00', '35201-1073433-3', '100138', NULL, 0, 48, '2017-12-02', NULL, NULL, '229', NULL, 'House # 15, Street # 1, Metro Bus Station # 26, Dullu Khurd, Ferozpure Road, Lahore', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '03214534878', 'married', 2, NULL, NULL, NULL, 0, 154, NULL, '2017-11-27', '2027-11-27', '', 0, NULL, '0000-11-30', '0000-00-00', 'LE-18-52779', NULL, 154, '2018-04-27', '2023-04-26', 154, 31439, NULL, NULL, NULL, '1987-11-30', '2020-12-21 10:00:24', NULL, NULL, NULL, NULL, '2020-12-31 16:11:42', NULL, NULL, 8, 80, NULL, 0, '65260', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 626, 0, 0, 5, 0, 154, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56776, 'muhammad.amir@people.com.pk', 'amir123', '4e72fc71d6afe049572655387d0f5346', 1, 1, 2342, 0, 1301, 0, 0, 0, -1, 0, 0, 0, 'Mr.', '1565278594.jpg', '1565278594_micro.jpg', 'Muhammad Amir', 'Shams uz Zaman', '', '0000-00-00', '42401-0781069-1', '101367', NULL, 0, 48, '2017-12-22', NULL, NULL, '147', NULL, '', '', 154, 0, 154, 0, 1, NULL, '', '31439', 1, '', '03442614882', 'single', 1, NULL, NULL, NULL, 0, 154, NULL, '2009-06-03', '2021-05-31', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 0, NULL, NULL, NULL, '1990-12-28', '2020-12-21 11:21:58', NULL, NULL, NULL, NULL, '2020-12-30 15:35:43', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'A+', 1, 627, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56777, 'abubakar.moazzam@people.com.pk', '@Biovet321', 'ea3448198328ae1ab8250571fe7f65dd', 1, 1, 343, 16, 2193, 0, 0, 0, 1, 0, 0, 0, 'Mr.', '1565973865.jpg', '1565973865_micro.jpg', 'Muhammad Abubakar Moazzam', 'Muhammad Moazzam', 'Ex Government Officer', '0000-00-00', '35201-0617848-9', '101368', NULL, 0, 48, '2017-12-30', NULL, NULL, '256', NULL, '', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '03214709066', 'married', 3, NULL, NULL, NULL, 0, 154, '1565976492.jpg', '2018-06-23', '2028-06-23', 'BD0918482', 154, '1565976492.jpg', '2019-05-30', '2029-05-28', 'LE-15-45931', '1565976492.jpg', 154, '2015-07-27', '2024-05-30', 154, 31439, NULL, NULL, NULL, '1988-08-13', '2020-09-24 17:55:56', NULL, NULL, NULL, NULL, '2020-12-26 11:01:42', NULL, NULL, 8, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 628, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56827, 'arslan.javed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 1, 2332, 15, 2332, 0, 0, 0, 0, 1, 0, 0, 'Mr.', '', '_micro.', 'Arslan Javed Bhatti', 'Javed Akhter Bhatti', '', NULL, '35201-5405040-7', '102649', NULL, 0, 48, '2018-01-06', NULL, NULL, '229', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03454272732', 'Married', 4, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1986-01-11', '2018-01-06 12:09:52', NULL, NULL, NULL, NULL, '2018-01-24 15:37:19', NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 629, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56830, 'tasawar.khalique@people.com.pk', 'Tasawar@123', '069b43458087d533b75e49b9165779f9', 1, 1, 2241, 28, 2241, 0, 0, 0, 18, 0, 0, 0, 'Mr.', '1570699959.jpg', '1570699959_micro.jpg', 'Tasawar Khalique', 'Abdul Khaliq', '', '0000-00-00', '35202-5880429-1', '104258', NULL, 0, 48, '2018-01-22', NULL, NULL, '264', NULL, '', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '03217109018', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2020-05-28', '2030-05-28', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31375, NULL, NULL, NULL, '1989-12-13', '2020-12-19 15:40:14', NULL, NULL, NULL, NULL, '2020-12-30 13:52:48', NULL, NULL, 8, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 630, 0, 0, 5, 2147483647, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56877, 'atifa.tariq@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 1, 2335, 16, 2017, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '1566907168.jpg', '1566907168_micro.jpg', 'Atifa Tariq', 'M. Tariq Anwar', '', '0000-00-00', '42201-5004949-6', '105476', NULL, 0, 48, '2018-01-01', NULL, NULL, '281', NULL, '', '', 1, 0, 0, 0, 0, NULL, '', '31439', 1, '', '03007050425', 'married', 1, NULL, NULL, NULL, 0, 154, '1552906628.png', '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1982-12-03', '2020-02-19 13:01:53', NULL, NULL, NULL, NULL, '2020-12-28 10:29:08', NULL, NULL, 8, 80, NULL, 0, '65260', NULL, NULL, '0', '0', '0', '0', '', 1, 631, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-02-19 01:01:53', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56878, 'usman.munir@people.com.pk', 'Usman0312$', '36ae41fc65ac192468ab8f5a9b61f4de', 1, 1, 458, 12, 2017, 0, 0, 0, 7, 0, 0, 0, 'Mr.', '1564822341.jpg', '1564822341_micro.jpg', 'Usman munir', 'Munir Ahmad Khokhar', 'Retired', '0000-00-00', '35202-4404345-3', '105478', NULL, 0, 48, '2018-01-18', NULL, NULL, '146', NULL, '', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '03234990050', 'married', 3, NULL, NULL, NULL, 0, 154, NULL, '2018-02-03', '2028-02-03', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1986-12-13', '2020-12-01 11:13:05', NULL, NULL, NULL, NULL, '2021-01-01 09:35:14', NULL, NULL, 9, 80, NULL, 0, '65260', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 632, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56922, 'muhammad.farhan@people.com.pk', 'Farhan@174', 'bcb84f1a168e2a7e2ce0aef82ebf9cb5', 1, 1, 2332, 15, 2332, 0, 0, 0, 20, 0, 0, 0, 'Mr.', 'IMG_20180402_042452_052.jpg', 'IMG_20180402_042452_052_micro.jpg', 'Muhammad Farhan', 'Manzoor Ahmad', 'Agriculture', '0000-00-00', '31203-9025755-1', '110798', NULL, 0, 48, '2018-03-05', NULL, NULL, '207', NULL, '', '', 154, 0, 154, 31324, 1, NULL, '', '31439', 1, '03458824050', '03458824050', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31382, NULL, NULL, NULL, '1993-02-25', '2020-09-07 16:49:28', NULL, NULL, NULL, NULL, '2020-12-31 15:03:00', NULL, NULL, 9, 80, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', '', 1, 633, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(56923, 'muhammad.zubair@people.com.pk', '58Aa$', 'ea9c1bc02ff6fd107dcf63dbeee8a1f6', 0, 2, 2241, 28, 2241, 0, 0, 0, 18, 0, 0, 0, 'Mr.', '1570700028.jpg', '1570700028_micro.jpg', 'Muhammad Zubair Ali Shah', 'Riaz Hussain Shah', '', '0000-00-00', '35201-8683073-7', '110799', NULL, 0, 48, '2018-03-06', NULL, NULL, '147', NULL, '', '', 1, 0, 0, 0, 0, NULL, '', '31439', 1, '', '03214546569', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1995-03-18', '2020-09-01 10:12:37', NULL, NULL, NULL, NULL, '2020-08-04 13:36:38', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 634, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-09-01 10:12:37', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56924, 'hassan.murtaza@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 1, 2335, 16, 0, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '1600171918.jpg', '1600171918_micro.jpg', 'Hassan Murtaza', 'Sheikh Wasi Ahmad', 'Senior Auditor', '0000-00-00', '35201-0444589-7', '110864', NULL, 0, 48, '2018-03-26', NULL, NULL, '282', NULL, 'Al raheem Garden ', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '03336358889', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1991-02-05', '2020-12-28 10:08:23', NULL, NULL, NULL, NULL, '2021-01-07 12:12:42', NULL, NULL, 7, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', 'O+', 1, 635, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-12-28 10:08:23', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, '0000-00-00', '0000-00-00', NULL, 0, NULL, 1, 0, NULL, NULL),
	(56964, 'mohsin.hameed@peopleperfectae.com', '17371', '88208501a921a590548019fa0e64fc4a', 0, 2, 458, 12, 458, 0, 0, 0, 7, 0, 0, 0, 'Mr.', NULL, '', 'Muhammad Mohsin Hameed', 'Malik Abdul Hameed', '', NULL, '35202-6832127-7', '114273', NULL, 0, 48, '2018-04-01', NULL, NULL, '146', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03144127769', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1996-06-21', '2018-12-12 10:15:32', NULL, NULL, NULL, NULL, '2019-06-24 14:20:34', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 636, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(56965, 'snabil.tariq@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 1301, 0, 0, 0, 0, 1, 0, 0, 'Mr.', NULL, '', 'Snabil Tariq', 'Tariq Sohail', '', NULL, '61101-4222931-7', '114274', NULL, 0, 48, '2018-04-01', NULL, NULL, '252', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03361545904', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1992-08-21', '2018-04-20 18:18:34', NULL, NULL, NULL, NULL, '2018-12-26 12:06:48', NULL, NULL, 9, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 637, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(57288, 'sidrah.javaid@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2333, 7, 2333, 0, 0, 0, 0, 1, 0, 0, 'Ms.', NULL, '', 'Sidrah Javaid', 'M Javaid', '', NULL, '35201-4193605-0', '115363', NULL, 0, 48, '2018-04-27', NULL, NULL, '259', NULL, 'H # 164, Sector Q, St # 9, Phase 2, DHA', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03348555878', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1993-10-19', '2018-08-04 10:34:30', NULL, NULL, NULL, NULL, '2019-01-14 10:31:34', NULL, NULL, 8, 0, NULL, NULL, '', NULL, NULL, '1', '0', '0', '0', NULL, 1, 638, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(57346, 'johnson.george@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 22, 0, 0, 0, 'Mr.', '115439.jpg', '115439_micro.jpg', 'Johnson George', 'George Masih', '', NULL, '34101-0163741-1', '115439', NULL, 0, 48, '2018-04-20', NULL, NULL, '92', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '03422392735', '03422392735', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1992-10-29', '2018-05-04 17:00:28', NULL, NULL, NULL, NULL, '2018-11-01 16:01:23', NULL, NULL, 63, 80, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 639, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(57373, 'muhammad.azeem@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2334, 0, 2334, 0, 0, 0, NULL, 1, 24, 0, 'Mr.', '117583.jpg', '117583_micro.jpg', 'Muhammad Azeem', 'Anayat Ali', '', NULL, '45304-1171784-9', '117583', NULL, 0, 48, '2018-05-14', NULL, NULL, '198', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '03314372573', '03204192876', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1980-11-09', '2018-05-23 12:58:50', NULL, NULL, NULL, NULL, '2019-06-12 16:01:50', NULL, NULL, 63, 80, NULL, NULL, '92338', NULL, NULL, '0', '0', '0', '0', NULL, 1, 640, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(57523, 'ahmed.abrahim@people.com.pk', 'abrahim', '07111da8165b3f8492536b10481fc55b', 1, 1, 2017, 16, 356, 0, 0, 0, 14, 0, 0, 0, 'Mr.', '1569590850.jpeg', '1569590850_micro.jpeg', 'Ahmed Abrahim Butt', 'Gohar Sharif Butt', 'Businessman', '0000-00-00', '42301-8530424-7', '122039', NULL, 0, 48, '2018-06-10', NULL, NULL, '274', NULL, '', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '03034447045', 'single', 1, NULL, NULL, NULL, 0, 154, '1553606111.png', '2015-01-27', '2022-01-27', 'AG3494243', 154, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1996-12-19', '2019-12-18 14:56:37', NULL, NULL, NULL, NULL, '2020-12-07 18:28:49', NULL, NULL, 5, 80, NULL, 0, '23137', NULL, NULL, '0', '0', '0', '0', 'O+', 1, 641, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 1, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(57560, 'ata.mujtaba@peopleperfectae.com', '139Aa$', '03d0e5c69520a2307d15e91b78204b7b', 1, 1, 458, 12, 2017, 0, 0, 0, 7, 0, 0, 0, 'Mr.', '1570701351.JPG', '1570701351_micro.JPG', 'Ata ul Mujtaba', 'Abdul Wahid', 'Contractor', '0000-00-00', '35201-9039189-7', '122451', NULL, 0, 48, '2018-08-01', NULL, NULL, '146', NULL, '', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '03078729150', 'single', 1, NULL, NULL, NULL, 0, 154, NULL, '2014-01-15', '2024-01-15', '', 0, NULL, '0000-00-00', '0000-00-00', 'LE-15-60671', NULL, 154, '2015-10-06', '2020-10-05', 154, 31439, NULL, NULL, NULL, '1994-03-15', '2020-11-16 14:22:39', NULL, NULL, NULL, NULL, '2020-12-29 14:08:21', NULL, NULL, 9, 80, NULL, 0, '65260', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 642, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(57585, 'wasi.rehman@people.com.pk', 'Wassi@12', 'a450c9771ee92ffe39e6e9c087056ada', 1, 1, 2332, 15, 2332, 0, 0, 0, 20, 0, 0, 0, 'Mr.', '1570700894.JPG', '1570700894_micro.JPG', 'Wasi ur Rehman', 'Muhammad Naeem Khokhar', 'Computer Operator', '0000-00-00', '35202-4589752-3', '122629', NULL, 0, 48, '2018-08-01', NULL, NULL, '207', NULL, '', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '03209456828', 'single', 1, NULL, NULL, NULL, 0, 154, '1553752763.jpeg', '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1998-03-07', '2019-10-10 14:48:14', NULL, NULL, NULL, NULL, '2020-12-31 16:35:57', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 643, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(57586, 'nazar.muhammad@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2334, 0, 2334, 0, 0, 0, NULL, 1, 23, 0, 'Mr.', '122630.jpg', '122630_micro.jpg', 'Nazar Muhammad', 'Ghulam Hussain', '', NULL, '38405-8588506-1', '122630', NULL, 0, 48, '2018-08-24', NULL, NULL, '198', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03481010245', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1977-03-23', '2018-09-07 17:24:54', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 63, 80, NULL, NULL, '92338', NULL, NULL, '0', '0', '0', '0', NULL, 1, 644, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(57787, 'nasir.zia@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 478, 16, 478, 0, 0, 0, 8, 0, 0, 0, 'Mr.', '1605182226.jpg', '1605182226_micro.jpg', 'Nasir Zia', 'Zia ul Haq', 'Pensioner', '0000-00-00', '61101-5141359-3', '128590', NULL, 0, 48, '2018-11-10', NULL, NULL, '147', NULL, '', '', 154, 0, 154, 51090, 1, NULL, '', '31439', 1, '', '03325029808', 'single', 1, NULL, NULL, NULL, 0, 154, '1605181727.jpg', '2019-04-10', '2029-04-10', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 51090, NULL, NULL, NULL, '1990-03-23', '2020-11-12 16:57:06', NULL, NULL, NULL, NULL, '2020-12-24 10:54:45', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 645, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(57794, 'kamran.masih@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 22, 0, 0, 0, 'Mr.', NULL, '', 'Kamran Masih', 'Yousaf Masih', '', NULL, '35202-2138072-1', '129701', NULL, 0, 48, '2018-11-06', NULL, NULL, '249', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03074220534', 'Single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1995-04-15', '2018-11-30 17:29:35', NULL, NULL, NULL, NULL, '2019-04-28 00:47:23', NULL, NULL, 63, 0, NULL, NULL, '', NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58329, 'sajid.mustafa@people.com.pk', '307Aa$', '2859c06db66e25385be8496336a635c8', 0, 2, 1304, 0, 366, 0, 0, 0, 4, 0, 0, 0, 'Mr.', '129806.jpg', '129806_micro.jpg', 'Syed Muhammad Sajid Mustafa', 'Syed M. Zahid Zustafa', '', '0000-00-00', '42000-0470540-5', '129806', NULL, 0, 48, '2018-12-03', NULL, NULL, '264', NULL, '', '', 154, 0, 0, 0, 1, NULL, 'Lahore', '31594', 4, '', '03332371691', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', 0, NULL, NULL, NULL, '', NULL, 0, NULL, NULL, 154, 31594, NULL, NULL, NULL, '1979-07-02', '2019-07-24 11:32:48', NULL, NULL, NULL, NULL, '2019-09-28 10:07:38', NULL, NULL, 8, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 0, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58351, 'nouman.hameed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2335, 16, 2335, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '18412138.jpg', '18412138_micro.jpg', 'Nouman Hameed', 'Abdul Hameed', '', '0000-00-00', '35201-8005742-3', '131112', NULL, 0, 48, '2019-01-07', NULL, NULL, '247', NULL, 'DHA Phase 6 , Lahore Pakistan', '', 1, 0, 0, 0, 0, NULL, '', '31439', 1, '', '03084202500', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '1995-03-23', '2020-09-11 16:24:54', NULL, NULL, NULL, NULL, '2020-09-11 15:48:08', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 0, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-09-11 04:24:54', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58381, 'asif.ali@people.com.pk', '144Aa$', '32ec1ff468ab9e0194a5d47bbbc9fc07', 1, 1, 2335, 16, 0, 0, 0, 0, 25, 0, 0, 0, 'Ms.', '', '', 'Test employee up', 'Test Father o', '', '0000-00-00', '35404-4258068-1', '131384', NULL, 0, 48, '2019-01-21', NULL, NULL, '250', NULL, '', '', 154, 0, 154, 31518, 1, NULL, '', '31439', 1, '', '03226477026', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31518, NULL, NULL, NULL, '1990-06-20', '2020-12-05 13:20:00', NULL, NULL, NULL, NULL, '2020-12-29 14:54:33', NULL, NULL, 8, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', 'A+', 1, 0, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:23', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:23', 1, 0, NULL, NULL),
	(58387, 'abdullah.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 1861, 38, 0, 0, 0, 0, 0, 1, 23, 1, 'Mr.', '1601554721.jpg', '1601554721_micro.jpg', 'Abdullah Khan', 'Abdul Majeed', '', '0000-00-00', '38302-4922734-9', '131418', NULL, 0, 48, '2019-01-19', NULL, NULL, '198', NULL, '', '', 0, 0, 0, 0, 0, NULL, '', '31439', 1, '', '03082813433', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 0, 0, NULL, NULL, NULL, '1991-05-05', '2020-10-01 17:18:41', NULL, NULL, NULL, NULL, '2020-10-27 11:57:30', NULL, NULL, 63, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 0, 0, 0, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58411, 'muhammad.waseem@people.com.pk', 'People@123', 'c4aa08ec54e13f8e9fb045086c5a3265', 1, 1, 458, 12, 2017, 0, 0, 0, 7, 0, 0, 0, 'Mr.', '131469.jpg', '131469_micro.jpg', 'Muhammad Waseem', 'Muhammad Saleem Ansari', 'Business Man ', '0000-00-00', '35201-6050355-9', '131469', NULL, 0, 48, '2019-01-26', NULL, NULL, '146', NULL, '', '', 154, 154, 154, 31439, 1, NULL, '', '31439', 1, '', '03211111860', 'single', 1, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1991-06-27', '2020-11-16 14:23:06', NULL, NULL, NULL, NULL, '2020-12-30 09:59:42', NULL, NULL, 9, 80, NULL, 0, '65260', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 0, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58416, 'abdul.wahab@people.com.pk', '071994', 'c478e7f257a1f0ea78e187109af8c091', 0, 2, 454, 14, 454, 0, 0, 0, 6, 0, 0, 0, 'Mr.', '07.JPG', '07_micro.JPG', 'Abdul Wahab Khan', 'Abdul Rasheed Khan', '', '0000-00-00', '35202-3017508-3', '131791', NULL, 0, 48, '2019-03-01', NULL, NULL, '207', NULL, '113, Block-6, Sector A-2, Township, Lahore, Pakistan', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '03224602207', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2012-11-20', '2022-11-20', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1994-08-07', '2020-02-18 12:12:16', NULL, NULL, NULL, NULL, '2020-02-14 16:46:53', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'A+', 1, 0, 0, 0, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-02-18 12:12:16', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58437, 'waseem.khan@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2334, 0, 2334, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '131850.jpg', '131850_micro.jpg', 'Waseem Khan', 'Lal Khan', '', NULL, '37104-1944958-9', '131850', NULL, 0, 48, '2019-02-28', NULL, NULL, '198', NULL, '', '', 154, NULL, 0, 0, NULL, NULL, 'Lahore', '31439', 1, '', '03435659112', 'Married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1987-06-25', '2019-03-11 17:13:01', NULL, NULL, NULL, NULL, '2019-03-18 20:15:12', NULL, NULL, 63, 80, NULL, NULL, '92338', NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, 0, NULL, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, NULL, NULL, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58442, 'fatima.afzal@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2333, 7, 0, 0, 0, 0, 30, 0, 0, 0, 'Ms.', '1577784750.jpeg', '1577784750_micro.jpeg', 'Fatima Afzal', 'Muhammad Tahir Afzal Malik', '', '0000-00-00', '35202-0105479-4', '132440', NULL, NULL, 48, '2019-04-10', NULL, NULL, '265', NULL, NULL, '', 1, 0, 0, 0, 0, NULL, '', '31439', 1, '', '', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2014-08-08', '2021-08-08', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '2019-10-10', '2020-09-07 14:24:32', NULL, NULL, NULL, NULL, '2020-08-24 15:50:19', NULL, NULL, 9, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1026, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2020-09-07 02:24:32', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58443, 'waqas.nisar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 2335, 16, 356, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '1583566071.jpeg', '1583566071_micro.jpeg', 'Muhammad Waqas Nisar', 'Nisar Ahmad', '', '0000-00-00', '35200-1435205-1', '137793', NULL, NULL, 48, '2019-05-13', NULL, NULL, '266', NULL, 'House # 189, Garden Block, Garden Town Lahore', '', 154, 0, 154, 31439, 1, NULL, '', '31439', 1, '', '', 'married', 3, NULL, NULL, NULL, 0, 154, NULL, '2018-05-03', '2028-05-03', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31362, NULL, NULL, NULL, '1980-11-12', '2020-11-12 15:10:51', NULL, NULL, NULL, NULL, '2021-07-12 10:24:49', NULL, NULL, 5, 80, NULL, 0, '23137', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 1028, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 1, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58444, 'muhammad.ammar@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1301, 25, 0, 0, 0, 0, 11, 0, 0, 0, 'Mr.', '1565000315.jpg', '1565000315_micro.jpg', 'Muhammad Ammar', 'Muhammad Aslam', '', '0000-00-00', '41103-3798210-3', '138940', NULL, NULL, 48, '2019-05-01', NULL, NULL, '252', NULL, NULL, '', 154, 0, 154, 31542, 1, NULL, '', '31439', 1, '', '', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2012-08-13', '2022-08-13', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 0, NULL, NULL, NULL, '1994-06-25', '2020-03-24 19:51:44', NULL, NULL, NULL, NULL, '2020-03-19 01:41:49', NULL, NULL, 9, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', 'O+', 1, 1029, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, NULL, NULL, '2020-03-24 07:51:44', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58445, 'shahid.javed@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 0, 0, 0, 0, 0, 0, 0, 0, 'Mr.', NULL, '', 'Shahid Javed', 'Aziz ud Din', '', '0000-00-00', '35201-4576584-5', '131993', NULL, NULL, 48, '2019-03-11', NULL, NULL, '50', NULL, NULL, '', 154, 0, 0, 0, 1, NULL, 'Lahore', '31439', 1, '', '', 'married', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', 0, NULL, NULL, NULL, '', NULL, 0, NULL, NULL, 154, 0, NULL, NULL, NULL, '1968-09-27', '2019-06-12 13:06:44', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 63, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1030, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, NULL, NULL, NULL, NULL, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58446, 'iram.butt@people.com.pk', '6278', '30de24287a6d8f07b37c716ad51623a7', 0, 2, 343, 16, 0, 0, 0, 0, 1, 0, 0, 0, 'Ms.', '140090.jpg', '140090_micro.jpg', 'Iram Butt', 'Shaheen Pervaiz Butt', 'Retired ', '0000-00-00', '3520294874836', '140090', NULL, NULL, 48, '2019-06-17', NULL, NULL, '244', NULL, 'House # 42, Fazal Park, Iqbal Road, Shad Bagh, Lahore', '', 154, 0, 154, 0, 1, NULL, '', '31439', 1, '', '', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2011-12-20', '2021-12-20', 'FF3494831', 154, NULL, '2019-03-14', '2024-03-12', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 0, NULL, NULL, NULL, '1993-05-08', '2020-10-01 15:39:34', NULL, NULL, NULL, NULL, '2020-09-24 16:59:19', NULL, NULL, 9, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 1031, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 1, 'Knee Injuiry', 0, '', 18, NULL, NULL, '2020-10-01 03:39:34', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58447, 'huma.gul@people.com.pk', 'huma', '202cb962ac59075b964b07152d234b70', 0, 2, 2335, 16, 0, 0, 0, 0, 25, 0, 0, 0, 'Ms.', '1583566207.jpg', '1583566207_micro.jpg', 'Huma Gul', 'Salman Mustafa', 'Digitial Marketing', '0000-00-00', '33102-8711931-4', '140130', NULL, NULL, 48, '2019-06-20', NULL, NULL, '275', NULL, 'House # 301, Block 1, Sector C - 2, Township, lahore', '', 154, 154, 154, 31362, 1, NULL, '', '31439', 1, '', '', 'married', 2, NULL, NULL, NULL, 0, 154, NULL, '0000-11-30', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31362, NULL, NULL, NULL, '1991-12-25', '2020-07-09 12:20:46', NULL, NULL, NULL, NULL, '2020-06-20 16:54:31', NULL, NULL, 8, 83, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 1032, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, NULL, NULL, '2020-07-09 12:20:46', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58448, 'ali.hassan@people.com.pk', '287Aa$', 'a4e8700d5ceb1a68d4d664011d487259', 0, 1, 2335, 16, 0, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '1566909427.jpg', '1566909427_micro.jpg', 'Ali Hassan', 'Waheed Ahmad', '', '0000-00-00', '33102-4396153-5', '140243', NULL, NULL, 48, '2019-07-03', NULL, NULL, '250', NULL, 'Flat # 2, House # 12, Moon Street, Bhatti Colony, Model Town Link Road, Lahore', '', 154, 0, 0, 0, 1, NULL, '', '31439', 1, '', '03317454369', 'single', 1, NULL, NULL, NULL, 0, 154, NULL, '2011-02-14', '2023-01-31', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 0, NULL, NULL, NULL, '1992-10-09', '2020-11-16 12:26:51', NULL, NULL, NULL, NULL, '2020-12-21 09:05:13', NULL, NULL, 8, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 148, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 18, NULL, NULL, '2020-09-02 05:58:20', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58449, 'muhammad.nasir@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 454, 14, 0, 0, 0, 0, 6, 0, 0, 0, 'Mr.', '140244.jpg', '140244_micro.jpg', 'Hafiz Muhammad Nasir', 'Bashir Ahmad', '', '0000-00-00', '', '140244', NULL, NULL, 48, '2019-06-25', NULL, NULL, '45', NULL, 'House # 6-B, Saddiqia Town, Phase 1, PCSIR, College Road, Lahore', '', 154, 0, 0, 0, 1, NULL, '', '31439', 1, '', '', 'married', 0, NULL, NULL, NULL, 0, 0, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 0, NULL, NULL, NULL, '1987-10-01', '2020-11-12 14:57:42', NULL, NULL, NULL, NULL, '2020-12-29 11:39:59', NULL, NULL, 63, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1033, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58450, 'rida.ali@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 0, 2, 2333, 7, 0, 0, 0, 0, 0, 0, 0, 0, 'Ms.', '141277.jpg', '141277_micro.jpg', 'Rida Ali', 'Liaqat Ali', '', '0000-00-00', '35202-0262352-2', '141277', NULL, NULL, 48, '2019-07-02', NULL, NULL, '265', NULL, NULL, '', 154, 0, 0, 0, 1, NULL, '', '', 1, '', '', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, NULL, NULL, '', 0, NULL, NULL, NULL, '', NULL, 0, NULL, NULL, 154, 0, NULL, NULL, NULL, '1994-09-06', '2019-07-08 15:24:13', NULL, NULL, NULL, NULL, '2019-08-28 16:46:57', NULL, NULL, 9, 83, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1034, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, NULL, NULL, NULL, NULL, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58451, 'usman.saeed@people.com.pk', 'Password2018@', '94568f607f519f3adda7b3174332bd5c', 1, 1, 344, 17, 356, 0, 0, 0, 2, 0, 0, 0, 'Mr.', '1566908021.jpeg', '1566908021_micro.jpeg', 'Muhammad Usman Saeed', 'Ahmad Saeed', 'Retired Government Officer', '0000-00-00', '35202-9628837-1', '142349', NULL, NULL, 48, '2019-07-17', NULL, NULL, '272', NULL, 'H # 541, Nargis Block, Bahria Town, Lahore', '', 154, 0, 154, 31439, 1, NULL, '', '', 1, '', '', 'single', 1, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1990-12-02', '2020-12-05 13:15:03', NULL, NULL, NULL, NULL, '2020-12-31 15:58:58', NULL, NULL, 8, 80, NULL, 0, '23137', NULL, NULL, '0', '0', '0', '0', 'O+', 1, 1035, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, NULL, NULL, '2021-08-02 12:15:12', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58452, 'akhtar.rasool@peopleperfectae.com', '43Aa$', '5ff95399ff3044c197fee489a416dafd', 1, 1, 2336, 10, 356, 0, 0, 0, 26, 0, 0, 0, 'Mr.', '132011.jpg', '132011_micro.jpg', 'Akhter Rasool', '', '', '0000-00-00', '', '132011', NULL, NULL, 48, '2020-09-16', NULL, NULL, '269', NULL, NULL, '', 1, 0, 0, 0, 0, NULL, '', '', 5, '', '', 'single', 0, NULL, NULL, NULL, 0, 0, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '2019-08-27', '2020-06-09 20:30:36', NULL, NULL, NULL, NULL, '2020-11-26 13:34:34', NULL, NULL, 6, 80, NULL, 0, '23137', NULL, NULL, '0', '0', '0', '0', '', 1, 1036, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 18, '2019-08-27 03:04:13', 48, '2020-06-09 08:30:36', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58453, 'ignacia.enriquez@peopleperfectae.com', '392Aa$', '4e9ed9a887007f577f26fce6b654d37c', 0, 2, 2337, 14, 2336, 0, 0, 0, 27, 0, 0, 0, 'Ms.', '45589.jpg', '45589_micro.jpg', 'Ignacia Enriquez', '', '', '0000-00-00', '', '45589', NULL, NULL, 48, '2011-07-09', NULL, NULL, '271', NULL, NULL, '', 1, 0, 0, 0, 0, NULL, '', '', 5, '', '', 'single', 0, NULL, NULL, NULL, 0, 0, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '2019-08-27', '2020-06-16 10:40:57', NULL, NULL, NULL, NULL, '2020-03-24 10:36:38', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 1037, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-08-27 03:17:18', 48, '2020-06-16 10:40:57', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58454, 'shanif.kamarudheen@peopleperfectae.com', '4Aa$', '732c270c8c8ef5a68f42b1fec3f07e08', 0, 2, 2339, 0, 2336, 0, 0, 0, -1, 0, 0, 0, 'Mr.', '1570700140.jpg', '1570700140_micro.jpg', 'Shanif Kamarudheen', '', '', '0000-00-00', '', '144500', NULL, NULL, 48, '2019-08-06', NULL, NULL, '159', NULL, NULL, '', 1, 0, 0, 0, 0, NULL, '', '', 1, '', '', 'single', 0, NULL, NULL, NULL, 0, 0, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '2019-10-10', '2019-10-10 14:35:40', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 1038, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-08-27 03:19:13', 48, '2019-10-10 02:35:40', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 2, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58455, 'ralph.imbat@peopleperfectae.com', '265Aa$', 'c368b9854958ed92bc8564687de6beff', 1, 1, 2338, 0, 2336, 0, 0, 0, 28, 0, 0, 0, 'Mr.', '93025.jpg', '93025_micro.jpg', 'Ralph Imbaat', '', '', '0000-00-00', '', '93025', NULL, NULL, 48, '2017-06-11', NULL, NULL, '270', NULL, NULL, '', 1, 0, 0, 0, 0, NULL, '', '', 5, '', '', 'single', 0, NULL, NULL, NULL, 0, 0, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 1, 0, NULL, NULL, NULL, '2019-09-21', '2019-09-21 10:30:17', NULL, NULL, NULL, NULL, '2020-03-24 12:05:20', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 1039, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-08-27 03:25:19', 48, '2019-09-21 10:30:17', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58456, 'mansoor.mohiddien@peopleperfectae.com', '335Aa$', '4eed6453508e42bd220571e0c1f4977c', 0, 2, 2339, 0, 2336, 0, 0, 0, 29, 0, 0, 0, 'Mr.', '1579081226.jpg', '1579081226_micro.jpg', 'Mansoor Mohiddien Syed', 'Khaja Mohiddien Syed', '', '0000-00-00', '', '146889', NULL, NULL, 48, '2019-09-10', NULL, NULL, '92', NULL, 'Building # 26, Flat # G-2, Bur Dubai, Dubai', '', 97, 0, 0, 0, 1, NULL, '', '', 5, '', '0555848305', 'married', 0, NULL, NULL, NULL, 0, 0, NULL, '0000-00-00', '0000-00-00', 'N3063367', 97, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 97, 0, NULL, NULL, NULL, '1990-07-11', '2020-06-02 17:02:16', NULL, NULL, NULL, NULL, '2020-05-19 13:02:58', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 1040, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-09-17 05:43:35', 48, '2020-06-02 05:02:16', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58457, 'michael.masih@people.com.pk', '114493Aa$', '202cb962ac59075b964b07152d234b70', 0, 2, 1861, 38, 1861, 0, 0, 0, 22, 0, 0, 0, 'Mr.', '1569934718.jpeg', '1569934718_micro.jpeg', 'Michael Masih', 'Saddique Masih', '', '0000-00-00', '35201-1305810-9', '150066', NULL, NULL, 48, '2019-09-16', NULL, NULL, '92', NULL, 'Atari Saroba, Post Office Ferozpur Road, Lahore', '', 154, 0, 154, 31439, 3, NULL, '', '', 1, '', '03014700925', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2014-06-26', '2024-06-26', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1991-01-01', '2020-04-29 14:20:25', NULL, NULL, NULL, NULL, '2020-03-21 11:38:58', NULL, NULL, 63, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 1041, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-10-01 05:58:38', 48, '2020-04-29 02:20:25', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58458, 'abdul.kareem@people.com.pk', '30Aa$', '42b2c317097c5bd5ce24563de43a2527', 1, 1, 1861, 38, 0, 0, 0, 0, 0, 1, 22, 7, 'Mr.', '1577165322.jpeg', '1577165322_micro.jpeg', 'Abdul Kareem', 'Dost Muhammad', '', '0000-00-00', '38302-5462752-9', '84752', NULL, NULL, 48, '2016-07-01', NULL, NULL, '198', NULL, 'Dhakuanwala, Post Office Shadia, Tehsil-o-District Mianwali', '', 154, 0, 154, 31461, 1, NULL, '', '', 1, '', '03088341402', 'married', 0, NULL, NULL, NULL, 0, 154, NULL, '2018-12-04', '2023-12-04', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31461, NULL, NULL, NULL, '1984-04-01', '2019-12-24 10:28:42', NULL, NULL, NULL, NULL, '2020-10-26 10:51:30', NULL, NULL, 63, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1042, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-10-04 04:35:51', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58459, 'zaman.ali@people.com.pk', '438038Aa$', '202cb962ac59075b964b07152d234b70', 1, 1, 1861, 38, 1861, 0, 0, 0, 0, 1, 22, 0, 'Mr.', '1579073644.jpg', '1579073644_micro.jpg', 'Zaman Ali', 'Muhammad Asghar', 'Gardener', '0000-00-00', '35201-1520197-9', '61765', NULL, NULL, 48, '2013-03-06', NULL, NULL, '92', NULL, 'House#51, St#3, Gulistan Colony, Lahore', '', 154, 0, 154, 31439, 1, NULL, '', '', 1, '', '03224992952', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2010-08-19', '2022-07-31', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1992-04-11', '2020-07-30 15:55:13', NULL, NULL, NULL, NULL, '2020-12-25 11:10:02', NULL, NULL, 63, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 1043, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-10-04 04:49:15', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58460, 'muhammad.talha@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 1861, 38, 0, 0, 0, 0, 0, 1, 22, 0, 'Mr.', '1579073594.jpeg', '1579073594_micro.jpeg', 'Muhammad Talha', 'Shahzad', '', '0000-00-00', '35202-3075071-7', '131593', NULL, NULL, 48, '2019-01-01', NULL, NULL, '92', NULL, '', '', 154, 0, 154, 31439, 1, NULL, '', '', 1, '', '03204894478', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2017-10-31', '2027-10-31', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '2000-02-17', '2020-07-30 15:50:56', NULL, NULL, NULL, NULL, '2020-12-25 11:06:37', NULL, NULL, 63, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1044, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-10-08 09:44:19', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58461, 'shan.usman@people.com.pk', '197Aa$', '168e0e0f0242ee81a7eae3d9192200da', 0, 2, 2241, 28, 0, 0, 0, 0, 18, 0, 0, 0, 'Mr.', '1572421409.jpg', '1572421409_micro.jpg', 'Shan Usman', 'Muhammad Usman', 'Businessmsn', '0000-00-00', '34101-2825579-7', '150173', NULL, NULL, 48, '2019-10-14', NULL, NULL, '252', NULL, NULL, '', 154, 0, 154, 31375, 1, NULL, '', '', 1, '', '0300-6517171', 'married', 2, NULL, NULL, NULL, 0, 154, NULL, '2018-05-16', '2028-05-16', 'DL2855791', 154, NULL, '2016-09-08', '2021-09-07', '527261', NULL, 154, '2018-04-30', '2023-04-29', 154, 31375, NULL, NULL, NULL, '1991-02-24', '2019-11-21 10:55:36', NULL, NULL, NULL, NULL, '2020-02-03 15:06:01', NULL, NULL, 9, 83, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', 'A+', 1, 1045, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 18, '2019-10-14 11:55:54', 48, '2019-10-14 11:55:54', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58462, 'subhan.ahmed@people.com.pk', '384Aa$', 'd4c36b9ae3e0a4333595ecb614899abf', 1, 1, 2333, 7, 0, 0, 0, 0, 30, 0, 0, 0, 'Mr.', '1574057469.jpeg', '1574057469_micro.jpeg', 'Subhan Ahmed', 'Iqbal Ahmed', '', '0000-00-00', '34603-9702226-5', '152281', NULL, NULL, 48, '2019-09-26', NULL, NULL, '265', NULL, '42-Kotli Loharan West, Sialkot', '', 154, 0, 154, 31520, 1, NULL, '', '', 1, '', '03350411344', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2017-11-05', '2027-11-05', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31520, NULL, NULL, NULL, '1995-03-29', '2020-11-25 15:47:25', NULL, NULL, NULL, NULL, '2020-12-24 17:57:05', NULL, NULL, 9, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1046, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-10-26 12:59:48', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58463, 'muhammad.ahmad@people.com.pk', '27Aa$', '73bc458b99099f35f48e98b4f8c8c732', 1, 1, 478, 16, 0, 0, 0, 0, 8, 0, 0, 0, 'Mr.', '1579073330.jpeg', '1579073330_micro.jpeg', 'Muhammad Ahmad', 'Muhammad Younas', '', '0000-00-00', '35201-6234806-3', '152361', NULL, NULL, 48, '2019-11-04', NULL, NULL, '147', NULL, 'H#1, St#1, Baghbanpura, Cantt Lahore', '', 154, 0, 154, 31439, 1, NULL, '', '', 1, '', '03244156456', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2015-12-03', '2025-12-03', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1997-08-19', '2020-11-12 15:28:39', NULL, NULL, NULL, NULL, '2020-11-13 10:44:00', NULL, NULL, 9, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1047, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-11-04 11:24:48', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58464, 'aftab.ahmad@people.com.pk', 'Aftab@123', '008f84248d3b41c4da289ae7ff588b37', 1, 1, 1861, 38, 0, 0, 0, 0, 0, 1, 22, 0, 'Mr.', '1579073556.jpeg', '1579073556_micro.jpeg', 'Aftab Ahmad', 'Muhammad Akram', '', '0000-00-00', '35301-8654555-7', '152369', NULL, NULL, 48, '2019-10-24', NULL, NULL, '50', NULL, 'House 515, Shaheen Block, Bahria Town, Lahore', '', 154, 0, 154, 31475, 1, NULL, '', '', 1, '', '03066920441', 'married', 0, NULL, NULL, NULL, 0, 154, NULL, '2018-09-12', '2028-09-12', '', 0, NULL, '0000-00-00', '0000-00-00', 'LE-14-38300', NULL, 154, '2014-05-29', '2024-06-13', 154, 31475, NULL, NULL, NULL, '1977-11-25', '2020-10-26 10:16:26', NULL, NULL, NULL, NULL, '2020-10-27 18:39:41', NULL, NULL, 63, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1048, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-11-04 04:08:02', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58465, 'sohail.masood@people.com.pk', 'Hta$12345', 'bd092e63236cab482dfa26fc87a65c0a', 1, 1, 478, 16, 478, 0, 0, 0, 8, 0, 0, 0, 'Mr.', '1574498406.jpg', '1574498406_micro.jpg', 'Sohail Masood Sheikh', 'Sheikh Ahmed Masood', 'Retired', '0000-00-00', '42101-4492830-3', '152436', NULL, NULL, 48, '2019-11-08', NULL, NULL, '300', NULL, 'Alpha Residency Flat # G-001, Block 21, Behind Centrum Mall, karachi.', '', 154, 0, 154, 31594, 1, NULL, '', '', 1, '', '03009205580', 'married', 3, NULL, NULL, NULL, 0, 154, '1605178038.jpg', '2019-11-25', '2029-11-25', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31594, NULL, NULL, NULL, '1975-07-19', '2020-12-19 16:02:04', NULL, NULL, NULL, NULL, '2020-12-30 13:34:49', NULL, NULL, 6, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'O+', 1, 171, 0, NULL, 5, 2453449, 154, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 18, '2019-11-08 11:49:46', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 2, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58466, 'anas.salman@people.com.pk', 'Mastermind@321', '8547d56a07c01998361e04a18119322b', 1, 1, 478, 16, 2341, 0, 0, 0, 8, 0, 0, 0, 'Mr.', '1591766370.jpeg', '1591766370_micro.jpeg', 'Anas Salman', 'Muhammad Salman', 'Banker ', '0000-00-00', '42000-4943804-5', '153437', NULL, NULL, 48, '2019-11-11', NULL, NULL, '264', NULL, 'A-206, Block-D, North Nazimabad, Karachi', '', 154, 0, 154, 31594, 1, NULL, '', '', 4, '', '03132641990', 'married', 3, NULL, NULL, NULL, 0, 154, '1591766779.jpeg', '2019-10-31', '2029-10-31', 'LL5758041', 154, '1591766921.jpeg', '2018-02-15', '2023-02-14', '', '1591767935.jpeg', 154, '2016-02-29', '2021-02-27', 154, 31594, NULL, NULL, NULL, '1990-07-22', '2020-12-19 15:34:22', NULL, NULL, NULL, NULL, '2020-12-30 13:56:43', NULL, NULL, 8, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', 'O+', 1, 1049, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 18, '2019-11-11 03:14:16', 48, '2020-12-19 03:34:22', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58467, 'sharafuddeen.hameed@peopleperfectae.com', '105Aa$', '864bf64fe464e52d914d6538b58798f2', 0, 2, 2337, 14, 2336, 0, 0, 0, 27, 0, 0, 0, 'Mr.', '1579081288.jpg', '1579081288_micro.jpg', 'Sharafuddeen Pulikunnu Hameed', 'Hameed Kollampady Mohammedkunhi', '', '0000-00-00', '', '153637', NULL, NULL, 48, '2019-11-21', NULL, NULL, '276', NULL, 'KM House Kottakanny Junction, Choori RD Nagar PO, Kasaragod DT Kerala 671125', '', 97, 0, 97, 1925, 1, NULL, '', '', 5, '', '971521635828', 'married', 0, NULL, NULL, NULL, 0, 0, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 97, 1925, NULL, NULL, NULL, '1989-02-27', '2020-06-02 17:02:30', NULL, NULL, NULL, NULL, '2020-03-31 13:13:27', NULL, NULL, 9, 83, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 1050, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-11-21 12:32:32', 48, '2020-06-02 05:02:30', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58468, 'awais.subhani@people.com.pk', 'Admin@123', '0e7517141fb53f21ee439b355b5a1d0a', 0, 2, 2335, 16, 2017, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '1577692339.jfif', '1577692339_micro.jfif', 'Awais Subhani', 'Muhammad Ather Haroon', '', '0000-00-00', '35202-9331328-1', '153703', NULL, NULL, 48, '2019-11-25', NULL, NULL, '257', NULL, 'House # 669, Block E-1, Johar Town, Lahore', '', 154, 0, 0, 0, 1, NULL, '', '', 1, '', '03134899356', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2016-02-07', '2026-02-07', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1995-10-21', '2020-06-03 13:08:34', NULL, NULL, NULL, NULL, '2020-05-22 15:43:33', NULL, NULL, 9, 83, NULL, 0, '65260', NULL, NULL, '0', '0', '0', '0', '', 1, 1051, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-11-25 11:09:18', 48, '2020-06-03 01:08:34', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58469, 'komal.javed@people.com.pk', '47Aa$', '345315e939ca1730abb3fabbf3100399', 0, 2, 2333, 7, 0, 0, 0, 0, 21, 0, 0, 0, 'Ms.', '1577774698.jpeg', '1577774698_micro.jpeg', 'Komal Javed', 'Muhammad Javed', '', '0000-00-00', '37405-7131305-8', '153704', NULL, NULL, 48, '2019-11-11', NULL, NULL, '265', NULL, NULL, '', 154, 0, 154, 31439, 1, NULL, '', '', 1, '', '03215821203', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2013-01-28', '2023-01-28', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1995-01-10', '2020-01-17 15:10:50', NULL, NULL, NULL, NULL, '2020-01-16 14:11:37', NULL, NULL, 9, 83, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1052, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-11-25 12:29:29', 48, '2020-01-17 03:10:50', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58470, 'izza.siddiqi@people.com.pk', 'Izzadanial@315', 'c38743729381982ce00486b0c3710e2c', 0, 2, 2335, 16, 2017, 0, 0, 0, 25, 0, 0, 0, 'Ms.', NULL, '', 'Izza Siddiqi', 'Danial Zahid', '', '0000-00-00', '35200-2375775-0', '153876', NULL, NULL, 48, '2019-12-09', NULL, NULL, '257', NULL, NULL, '', 154, 0, 0, 0, 1, NULL, '', '', 1, '', '03354009903', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2019-09-16', '2029-09-16', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1997-02-27', '2019-12-21 10:41:53', NULL, NULL, NULL, NULL, '2019-12-18 12:21:16', NULL, NULL, 9, 83, NULL, 0, '65260', NULL, NULL, '0', '0', '0', '0', '', 1, 1053, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-12-09 10:40:31', 48, '2019-12-21 10:41:53', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58471, 'ramakrishna.chitikela@peopleperfectae.com', 'Peoplerk@31', '2907ab6d6122b0d628773dcda3d24a89', 0, 2, 2339, 0, 2336, 0, 0, 0, 29, 0, 0, 0, 'Mr.', '1579081260.jpg', '1579081260_micro.jpg', 'Ramakrishna Chitikela', 'Chitikela Nooka Raju', '', '0000-00-00', '', '154083', NULL, NULL, 48, '2019-12-18', NULL, NULL, '264', NULL, '39-37, Vekunaidupeta, Narsipatnam Narsipatnam Mandal, Visakhapatnam 531116 AP', '', 97, 0, 0, 0, 5, NULL, '', '', 5, '', '971559556862', 'single', 0, NULL, NULL, NULL, 0, 0, NULL, '0000-00-00', '0000-00-00', 'R2338273', 97, NULL, '2017-03-27', '2027-03-26', '', NULL, 0, '0000-00-00', '0000-00-00', 97, 0, NULL, NULL, NULL, '1980-06-20', '2020-06-02 17:01:55', NULL, NULL, NULL, NULL, '2020-04-05 13:12:09', NULL, NULL, 8, 83, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 1054, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2019-12-18 02:25:51', 48, '2020-06-02 05:01:55', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58472, 'assad.shahbaz@people.com.pk', 'ASSADshahbaz03@', '0186fbf409aac1765de088b379a1b4e4', 1, 1, 2335, 16, 0, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '1608631624.jpg', '1608631624_micro.jpg', 'Muhammad Assad Shahbaz', 'Muhammad Ashfaq Hussain', 'Govt. Employee', '0000-00-00', '54400-7980089-9', '161797', NULL, NULL, 48, '2020-01-15', NULL, NULL, '278', NULL, 'House # 384, Bazar # 2, St# 10, Muhallah Raza Abad, Faisalabad, Tehsil Faisalabad City, District Faisalabd', '', 154, 0, 154, 31362, 1, NULL, '', '', 1, '', '03122135143', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2014-03-18', '2024-03-18', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 154, '2014-07-03', '2024-07-05', 154, 31300, NULL, NULL, NULL, '1996-03-03', '2020-12-22 15:08:12', NULL, NULL, NULL, NULL, '2021-01-01 11:24:53', NULL, NULL, 8, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', 'A+', 1, 1055, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2020-01-15 10:01:21', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58473, 'muhammad.jawed@peopleperfectae.com', '244Aa$', '44e50a73f829604fb5e106359918e570', 0, 2, 2339, 0, 2336, 0, 0, 0, 29, 0, 0, 0, 'Mr.', '1581422394.jpg', '1581422394_micro.jpg', 'Muhammad Jawed', 'Muhammad Yousaf', '', '0000-00-00', '42101-5710785-3', '163303', NULL, NULL, 48, '2020-02-12', NULL, NULL, '279', NULL, 'Dubai', '', 154, 0, 0, 0, 1, NULL, '', '', 5, '', '00971502517191', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31636, NULL, NULL, NULL, '1977-01-01', '2020-06-02 17:02:47', NULL, NULL, NULL, NULL, '2020-05-19 13:03:30', NULL, NULL, 6, 83, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 1056, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2020-02-11 04:59:54', 48, '2020-06-02 05:02:47', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58474, 'hamd.rehman@people.com.pk', '257Aa$', '52a660a19c0ce6267a6b51504d325f72', 1, 1, 478, 16, 0, 0, 0, 0, 8, 0, 0, 0, 'Mr.', '1581585137.jpeg', '1581585137_micro.jpeg', 'Hamd Rehman', 'Zia ul Rehman', '', '0000-00-00', '42000-0490879-5', '163309', NULL, NULL, 48, '2020-02-12', NULL, NULL, '252', NULL, 'House # H-26, Block 2 PECHS, Karachi', '', 211, 154, 154, 31594, 1, NULL, '', '', 4, '', '03342224247', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2010-04-02', '2024-03-31', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 211, 0, NULL, NULL, NULL, '1983-11-10', '2020-12-09 16:14:15', NULL, NULL, NULL, NULL, '2020-12-28 16:51:06', NULL, NULL, 9, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', 'A+', 1, 1057, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 18, '2020-02-13 02:10:51', 48, '2020-12-09 04:14:15', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58475, 'siddiqa.ahtesham@people.com.pk', '208Aa$', '7ebc3d904ef55884bcd21432065fc465', 0, 2, 2343, 0, 2017, 0, 0, 0, -1, 0, 0, 0, 'Ms.', '1582112954.jpeg', '1582112954_micro.jpeg', 'Siddiqa Ahtesham', 'Ahtesham Bin Hissam', '', '0000-00-00', '35200-3309194-8', '164319', NULL, NULL, 48, '2020-02-17', NULL, NULL, '280', NULL, '10-E, Canal berg, Canal view housing society, Canal bank road, Lahore', '', 154, 0, 0, 0, 1, NULL, '', '', 1, '', '03348443727', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2014-02-13', '2021-02-13', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1995-10-05', '2020-10-28 16:58:55', NULL, NULL, NULL, NULL, '2020-10-26 17:11:22', NULL, NULL, 9, 83, NULL, 0, '65260', NULL, NULL, '0', '0', '0', '0', '', 1, 1058, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2020-02-17 09:39:34', 48, '2020-10-28 04:58:55', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58476, 'hammad.abdullah@people.com.pk', '369Aa$', '546b3c6187a171a117c8a6c01dd8fffa', 1, 1, 2342, 0, 1301, 0, 0, 0, -1, 0, 0, 0, 'Mr.', '1582531168.jpg', '1582531168_micro.jpg', 'Hammad Abdullah', 'Hakim Khan', '', '0000-00-00', '37201-0350296-5', '164396', NULL, NULL, 48, '2020-02-20', NULL, NULL, '252', NULL, 'House # 155-C, Street # 1, Muhallah Airport Housing Society, Rawalpindi', '', 154, 0, 0, 0, 1, NULL, '', '', 3, '', '03315764825', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2017-02-18', '2027-02-18', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31337, NULL, NULL, NULL, '1993-01-01', '2020-12-21 11:22:43', NULL, NULL, NULL, NULL, '2020-12-30 12:36:05', NULL, NULL, 9, 80, NULL, 0, '', NULL, NULL, '0', '0', '0', '0', '', 1, 1059, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2020-02-21 04:44:26', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58477, 'jibran.ahmed@people.com.pk', '224Aa$', '6ef8c311b6390b7f56cb0a9c03fefbf6', 0, 2, 2241, 28, 0, 0, 0, 0, 18, 0, 0, 0, 'Mr.', '1583929952.jpeg', '1583929952_micro.jpeg', 'Jibran Ahmed Khan', 'Mukhtar Ahmed Khan', 'Govt. Servant', '0000-00-00', '35202-2563719-5', '164948', NULL, NULL, 48, '2020-03-11', NULL, NULL, '252', NULL, 'H # 712, Block N, Makkah Chowk, Sabzazar Colony, Lahore', '', 154, 0, 154, 31439, 1, NULL, '', '', 1, '', '', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2018-08-11', '2028-08-11', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1989-12-21', '2020-12-09 16:13:51', NULL, NULL, NULL, NULL, '2020-11-14 12:11:21', NULL, NULL, 9, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', 'O+', 1, 1061, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 18, '2020-03-11 05:32:32', 48, '2020-12-09 04:13:51', 48, NULL, 0, 'puNbNTQgAzgDr4clUeT1qUI52pnmfQRvOFwQyWAzZaHxH3wAsDGrP8cv9mfA', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58478, 'waleed.akhlaq@people.com.pk', 'People@373_626', '367fb79def0e14f429df90d7c3c45152', 0, 2, 2335, 16, 0, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '1587382074.jpg', '1587382074_micro.jpg', 'Waleed Akhlaq', 'Muhammad Akhlaq', 'Civil Engineer', '0000-00-00', '35201-9244053-3', '167104', NULL, NULL, 48, '2020-04-21', NULL, NULL, '245', NULL, NULL, '', 154, 0, 0, 0, 1, NULL, '', '', 1, '', '03337691169', 'single', 1, NULL, NULL, NULL, 0, 154, NULL, '2016-02-22', '2026-02-22', '', 0, NULL, '0000-00-00', '0000-00-00', 'LE-16-51814', NULL, 154, '2016-07-13', '2021-07-12', 154, 31439, NULL, NULL, NULL, '1992-11-14', '2020-08-05 14:15:54', NULL, NULL, NULL, NULL, '2020-07-27 09:16:07', NULL, NULL, 9, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1062, 0, NULL, 5, 0, 0, 'non_filer', 1, '145784', 1, 0, 0, 0, '', 0, '', 0, '', 18, '2020-04-20 04:27:54', 48, '2020-08-05 02:15:54', 48, NULL, 0, 'S1GlGx3fXiVTJNpmlRPAylOT9gKKKiWeFi4A6kV3CL9vfBKufofYmVGF59Rw', 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58479, 'asif.shoukat@people.com.pk', 'Asif@123', '043480f8d1fc117f1670077fc103a39f', 1, 1, 1861, 38, 0, 0, 0, 0, 0, 1, 22, 0, 'Mr.', '1589780433.jpg', '1589780433_micro.jpg', 'Asif', 'Shoukat Masih', '', '0000-00-00', '35201-3012155-1', '168395', NULL, NULL, 48, '2020-05-08', NULL, NULL, '92', NULL, NULL, '', 154, 0, 0, 0, 3, NULL, '', '', 1, '', '03022410232', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1989-01-25', '2020-07-30 15:50:28', NULL, NULL, NULL, NULL, '2020-12-25 11:07:38', NULL, NULL, 63, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1063, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 18, '2020-05-18 10:40:32', 48, '2021-08-02 12:15:12', 48, NULL, 0, NULL, 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58480, 'qasim.jamal@people.com.pk', 'Zxcvb123@', 'a625049cd009dc69e1509eae10be288c', 1, 1, 2335, 16, 2017, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '1592199904.jpg', '1592199904_micro.jpg', 'Qasim Jamal', 'Arshad Iqbal', 'Mechanical Engineer', '0000-00-00', '35201-8278546-9', '168537', NULL, NULL, 48, '2020-06-15', NULL, NULL, '257', NULL, NULL, '', 154, 0, 154, 31439, 1, NULL, '', '', 1, '', '03204040929', 'married', 0, NULL, NULL, NULL, 0, 154, NULL, '2015-07-27', '2025-07-27', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1995-04-21', '2020-11-24 10:23:58', NULL, NULL, NULL, NULL, '2020-12-31 16:27:21', NULL, NULL, 9, 80, NULL, 0, '65260', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 1066, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2020-06-15 10:45:04', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'uElHtGRRS6jEMURl3O0YIBXdQznFvTyMU2lEBHqwccxp9ZTZgpzpnzbjDN6i', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58481, 'kiran.hameed@people.com.pk', 'Mondelano69*', '0062e3c1ec62b3159fd443f8395f03f2', 1, 1, 2344, 0, 0, 0, 0, 0, -1, 0, 0, 0, 'Ms.', '1592806649.jpeg', '1592806649_micro.jpeg', 'Kiran Hameed', 'Abdul Hameed', 'Abdul Hameed', '0000-00-00', '42301-3276183-2', '168587', NULL, NULL, 48, '2020-06-22', NULL, NULL, '293', NULL, NULL, '', 154, 0, 154, 0, 1, NULL, '', '', 1, '', '03214115110', 'single', 2, NULL, NULL, NULL, 0, 154, NULL, '2016-03-11', '2026-03-11', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 154, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1985-09-23', '2020-12-09 16:11:19', NULL, NULL, NULL, NULL, '2020-12-21 15:58:17', NULL, NULL, 8, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', 'A+', 1, 1067, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 18, '2020-06-22 11:11:38', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'ewEpzs59xwbVmpZnKzXyr1WGgPFkCQyrKwIEzrROQyAbcil1YZ8TID7FuPXK', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58482, 'abuzar.dawood@people.com.pk', '304478Aa$', '577c5da2e2745df15c27bf6aa5b2dcd5', 0, 2, 2333, 7, 0, 0, 0, 0, 30, 0, 0, 0, 'Mr.', '1600231713.jpeg', '1600231713_micro.jpeg', 'Abu Zar Dawood', 'Muhammad Dawood', '', '0000-00-00', '35202-9159435-7', '175383', NULL, NULL, 48, '2020-09-16', NULL, NULL, '287', NULL, NULL, '', 154, 0, 154, 31439, 1, NULL, '', '', 1, '', '03224366998', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2015-12-28', '2025-12-28', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1991-08-23', '2020-10-01 15:38:25', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 8, 83, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1068, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2020-09-16 09:48:33', 48, '2020-10-01 03:38:25', 48, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58483, 'saqib.rauf@people.com.pk', 'People@123', 'c4aa08ec54e13f8e9fb045086c5a3265', 1, 1, 343, 16, 356, 0, 0, 0, 1, 0, 0, 0, 'Mr.', '1601527937.jpg', '1601527937_micro.jpg', 'Saqib Rauf', 'Khalid Rauf', '', '0000-00-00', '35202-2915270-5', '175531', NULL, NULL, 48, '2020-09-28', NULL, NULL, '288', NULL, NULL, '', 154, 0, 0, 0, 1, NULL, '', '', 1, '', '', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2018-09-21', '2028-09-21', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1980-10-15', '2020-10-01 09:52:27', NULL, NULL, NULL, NULL, '2020-12-30 12:08:56', NULL, NULL, 5, 83, NULL, 0, '23137', NULL, NULL, '0', '0', '0', '0', '', 1, 1069, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2020-10-01 09:52:17', 48, '2021-08-02 12:15:12', 48, NULL, 0, NULL, 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58484, 'rana.fraz@people.com.pk', '211Aa$', '2ecae0b39cb83580db953626aef9bda2', 1, 1, 2335, 16, 0, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '1608616813.JPEG', '1608616813_micro.JPEG', 'Rana Fraz Khan', 'Sarfraz Khan', 'Business man', '0000-00-00', '33102-0906851-1', '175536', NULL, NULL, 48, '2020-10-07', NULL, NULL, '289', NULL, NULL, '', 154, 0, 0, 0, 1, NULL, '', '', 1, '', '0332-6527189', 'single', 1, NULL, NULL, NULL, 0, 154, NULL, '2012-11-21', '2022-11-21', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31362, NULL, NULL, NULL, '1994-04-26', '2020-12-22 11:00:13', NULL, NULL, NULL, NULL, '2021-01-01 11:49:22', NULL, NULL, 9, 83, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1070, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 18, '2020-10-07 10:50:21', 48, '2021-08-02 12:15:12', 48, NULL, 0, '1RecYXq4OpKNLGyfgWPtr2VxGFBCUYuLzPnaOV4JBd59CgKeOcq93jPT19aG', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58485, 'adeel.nasir@people.com.pk', '516Admin@123', 'cf7dd370846aea964f65cd3ed92a600c', 0, 2, 2335, 16, 0, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '1602568652.jpeg', '1602568652_micro.jpeg', 'Adeel Nasir', 'Waqar Nasir', '', '0000-00-00', '36502-5832606-3', '175535', NULL, NULL, 48, '2020-10-10', NULL, NULL, '245', NULL, NULL, '', 154, 0, 0, 0, 1, NULL, '', '', 1, '', '0321-6902331', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2020-08-28', '2030-08-28', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31502, NULL, NULL, NULL, '1994-12-16', '2020-10-19 16:11:22', NULL, NULL, NULL, NULL, '2020-10-12 16:55:12', NULL, NULL, 9, 83, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1071, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2020-10-07 06:39:23', 48, '2020-10-19 04:11:22', 48, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58486, 'zohaib.tariq@people.com.pk', 'Junaid@1990', 'a97917543c1f6bfdec266f90dbeeff41', 1, 1, 2335, 16, 0, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '1608631184.jpeg', '1608631184_micro.jpeg', 'Muhammad Zohaib Tariq', 'Tariq Naeem', 'Business Man', '0000-00-00', '33102-3619738-3', '175695', NULL, NULL, 48, '2020-10-20', NULL, NULL, '289', NULL, NULL, '', 154, 0, 154, 31362, 1, NULL, '', '', 1, '', '03346567932', 'single', 2, NULL, NULL, NULL, 0, 154, NULL, '2020-09-08', '2030-09-08', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31362, NULL, NULL, NULL, '1995-08-22', '2020-12-22 14:59:44', NULL, NULL, NULL, NULL, '2021-01-01 11:47:17', NULL, NULL, 9, 83, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', 'O-', 1, 1072, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 18, '2020-10-20 10:45:07', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'ooVnmvutZpvzyp6LCHAP6bcry9ruw2h8kf7jxjc1HMPCN87egcHNyEzsf9yZ', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58487, 'test1hr@people.com.pk', '314724Aa$', '085c76cf77862f2c209ee6475372d16f', 0, 2, 2344, 0, 0, 0, 0, 0, -1, 0, 0, 0, 'Mr.', NULL, '', 'Test 1', 'Test', '', '0000-00-00', '00212-5642146-5', '12234', NULL, NULL, 48, '2020-11-16', NULL, NULL, '292', NULL, NULL, '', 154, 0, 0, 0, 1, NULL, '', '', 1, '', '', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2020-05-13', '2028-05-13', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 0, NULL, NULL, NULL, '1998-07-22', '2020-11-30 10:18:06', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 7, 83, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1073, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2020-11-16 01:39:26', 48, '2020-11-30 10:18:06', 48, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58488, 'test2hr@people.com.pk', '466072Aa$', '6ad137b0691548db5c5abf1d39d33ddc', 0, 2, 2344, 0, 0, 0, 0, 0, -1, 0, 0, 0, 'Mr.', NULL, '', 'Test 2', 'Test', '', '0000-00-00', '22368-2984445-7', '22221', NULL, NULL, 48, '2020-11-16', NULL, NULL, '293', NULL, NULL, '', 154, 0, 0, 0, 1, NULL, '', '', 1, '', '', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2020-11-04', '2028-11-04', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '2020-11-16', '2020-11-30 10:18:39', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 8, 83, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1074, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2020-11-16 01:43:33', 48, '2020-11-30 10:18:39', 48, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58489, 'abuturab.gilani@people.com.pk', 'Abuturab@123', 'fd82c11749366a43d47c5206136632f0', 1, 1, 2241, 28, 356, 0, 0, 0, 18, 0, 0, 0, 'Mr.', '1606383151.jpg', '1606383151_micro.jpg', 'Syed Abuturab Gilani', 'Syed Mohsin Raza Gilani', '', '0000-00-00', '35202-7387582-9', '177933', NULL, NULL, 48, '2020-12-01', NULL, NULL, '300', NULL, NULL, '', 154, 0, 154, 0, 1, NULL, '', '', 1, '', '', 'married', 2, NULL, NULL, NULL, 0, 154, NULL, '2016-10-31', '2026-10-31', '', 0, NULL, '0000-00-00', '0000-00-00', '2006/12666', NULL, 154, '2016-08-01', '0000-00-00', 154, 31464, NULL, NULL, NULL, '1985-08-18', '2020-12-30 13:20:05', NULL, NULL, NULL, NULL, '2020-12-30 15:44:53', NULL, NULL, 6, 83, NULL, 0, '23137', NULL, NULL, '0', '0', '0', '0', '', 1, 1075, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2020-11-26 02:32:31', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'jFlsxYaTi16rH83oZTkIO9ODU2TH466SEXnA6ATKGzGKDEbP9ZLqBpUR9iwQ', 0, '0000-00-00', '0000-00-00', NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58490, 'rizwan.rana@people.com.pk', 'Rizwanrana@112233', '5dad8338d6c8024e8f1e0e07e1e08410', 1, 1, 2335, 16, 0, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '1606462740.jpg', '1606462740_micro.jpg', 'Muhammad Rizwan Rana', 'Muhammad Khalid', '', '0000-00-00', '38403-5028863-7', '177932', NULL, NULL, 48, '2020-12-15', NULL, NULL, '245', NULL, NULL, '', 154, 0, 0, 0, 1, NULL, '', '', 1, '', '', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2014-02-21', '2024-02-21', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31510, NULL, NULL, NULL, '1995-04-24', '2020-12-16 09:54:42', NULL, NULL, NULL, NULL, '2020-12-31 14:47:01', NULL, NULL, 9, 83, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1076, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2020-11-27 12:39:00', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'd5XMgg6EJSmTe3pvdUAVBGakgztanNTJRR0tz2r0AUwt0PUFudEXNYJIcYfd', 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58491, 'haider.hussain@people.com.pk', '175Aa$', '77f7eaeca25ee3777bcff4c18633240c', 1, 1, 2241, 28, 356, 0, 0, 0, 18, 0, 0, 0, 'Mr.', '1606463321.JPG', '1606463321_micro.JPG', 'Syed Haider Hussain Zaidi', 'Syed Qaisar Hussain Zaidi', '', '0000-00-00', '35202-2386234-9', '177934', NULL, NULL, 48, '2020-12-01', NULL, NULL, '300', NULL, NULL, '', 154, 0, 154, 31439, 1, NULL, '', '', 1, '', '', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '2016-12-29', '2026-12-29', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1971-02-06', '2020-12-30 13:17:31', NULL, NULL, NULL, NULL, '2020-12-31 17:26:00', NULL, NULL, 6, 83, NULL, 0, '23137', NULL, NULL, '0', '0', '0', '0', '', 1, 1077, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 1, 0, 0, 0, '', 0, '', 0, '', 8, '2020-11-27 12:48:41', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'EPUEvkSLtVfstsQvhrVkkHGleZahuZNFL43BSJwrnWoyjyAP6WQTA0JBgUF8', 0, '0000-00-00', '0000-00-00', NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58492, 'nouman.amjad@people.com.pk', 'Nouman@123', '37c2ffbd7a47d457fa4e63bd19c8e477', 1, 1, 2343, 0, 0, 0, 0, 0, -1, 0, 0, 0, 'Mr.', '1607520467.JPG', '1607520467_micro.JPG', 'Muhammad Nouman Amjad', 'Sheikh Amjad Ali', '', '0000-00-00', '35202-8098662-3', '178042', NULL, NULL, 48, '2020-12-21', NULL, NULL, '299', NULL, NULL, '', 154, 0, 154, 0, 1, NULL, '', '', 1, '', '', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2014-02-04', '2021-02-04', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1995-08-28', '2020-12-22 17:27:37', NULL, NULL, NULL, NULL, '2020-12-30 11:40:47', NULL, NULL, 8, 83, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1078, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 8, '2020-12-09 06:27:47', 48, '2021-08-02 12:15:12', 48, NULL, 0, 'qVTnPpyk25gV6jjAwY73CRtUiyYnyraT5FNftbJXh0Z80kGzSP8JFt4w7yOY', 0, '0000-00-00', '0000-00-00', NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58493, 'khalil.rehman@people.com.pk', '493441Aa$', 'a9e2bd01a5f48ca0b57644114ea4a9c6', 0, 0, 2335, 16, 0, 0, 0, 0, 25, 0, 0, 0, 'Mr.', '1609484370.jpeg', '1609484370_micro.jpeg', 'Khalil Ur Rehman', 'Abdul Ghafoor', '', '0000-00-00', '34602-1663411-7', '178207', NULL, NULL, 48, '2021-01-18', NULL, NULL, '303', NULL, NULL, '', 154, 0, 154, 31520, 1, NULL, '', '', 1, '', '', 'single', 0, NULL, NULL, NULL, 0, 154, NULL, '2018-12-16', '2028-12-16', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 154, 31520, NULL, NULL, NULL, '1996-06-15', '2021-01-01 11:59:30', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 83, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1080, 0, NULL, 5, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2021-01-01 11:59:30', 48, '2021-01-01 11:59:30', 48, NULL, 0, NULL, 0, '0000-00-00', '0000-00-00', NULL, 0, NULL, 1, 0, NULL, NULL),
	(58494, 'test.employee.1@people.com.pk', '49066Aa$', '56b06aadd826c28cc880cede6e4c0e31', 1, 1, 1861, 38, 0, 0, 0, 0, 22, 0, 0, 0, 'Mr.', NULL, '', 'Test Employee 1', '', '', '0000-00-00', '', '112233', NULL, NULL, 48, '2021-01-01', NULL, NULL, '173', NULL, NULL, '', 0, 0, 0, 0, 0, NULL, '', '', 1, '', '', 'single', 0, NULL, NULL, NULL, 0, 0, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 0, 0, NULL, NULL, NULL, '2021-02-02', '2021-02-02 02:23:00', NULL, NULL, NULL, NULL, '2021-02-01 20:33:54', NULL, NULL, 8, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1081, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2021-02-02 12:27:58', 48, '2021-08-02 12:15:12', 48, NULL, 0, NULL, 0, '0000-00-00', '0000-00-00', NULL, 1, '2021-08-02 12:15:12', 0, 0, NULL, NULL),
	(58496, 'test.employee.4@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 343, 16, 343, 0, 0, 0, 1, 0, 0, 0, NULL, NULL, '', 'Test Employee 4', NULL, NULL, NULL, NULL, '112234', NULL, NULL, 48, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 75, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, '2021-02-03 11:20:25', 48, '2021-08-02 12:15:12', 48, NULL, 0, NULL, 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:12', 1, 0, NULL, NULL),
	(58497, 'test.employee.5@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 343, 16, 343, 0, 0, 0, 1, 1, 0, 0, NULL, NULL, '', 'Test Employee 5', NULL, NULL, NULL, NULL, '112235', NULL, NULL, 48, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 75, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, '2021-02-03 11:26:43', 48, '2021-08-02 12:15:13', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 1, '2021-08-02 12:15:13', 1, 0, NULL, NULL),
	(58498, 'test.employee.6@people.com.pk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 343, 16, 343, 0, 0, 0, 1, 0, 0, 0, NULL, NULL, '', 'Ahmad', NULL, NULL, NULL, NULL, '112236', NULL, NULL, 48, NULL, NULL, NULL, '250', NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 8, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, '2021-02-03 11:56:49', 48, '2021-08-02 12:15:13', 48, NULL, 0, NULL, 0, '2019-02-21', NULL, NULL, 1, '2021-08-02 12:15:13', 1, 0, NULL, NULL),
	(58499, 'admin.test@probase.co.uk', '123', '202cb962ac59075b964b07152d234b70', 1, 1, 2333, 7, 356, 0, 0, 0, 15, 0, 0, 0, 'Mr.', 'IMG_0450.JPG', 'IMG_0450_micro.JPG', 'Mazhar Khan', 'Abdul Qayyum Rashid', NULL, '0000-00-00', '35202-0000000-7', '112237', NULL, 0, 48, '2016-12-10', NULL, NULL, '238', NULL, 'Testing ', NULL, 154, 0, 154, 31439, 1, NULL, NULL, '31439', 1, NULL, '0333-0000000', 'married', 1, NULL, NULL, NULL, 0, 154, NULL, '0000-00-00', '0000-00-00', NULL, 0, NULL, '0000-00-00', '0000-00-00', NULL, NULL, 0, '0000-00-00', '0000-00-00', 154, 31439, NULL, NULL, NULL, '1987-07-07', '2020-11-12 10:17:27', NULL, NULL, NULL, NULL, '2021-08-23 09:54:54', NULL, NULL, 5, 80, '2017-06-30', 0, '23137', NULL, NULL, '0', '0', '0', '0', 'B+', 1, 589, 0, 0, 5, 0, 0, 'non_filer', 0, NULL, 1, 0, 0, 0, NULL, 0, NULL, 0, '', 8, NULL, NULL, '2021-08-02 12:15:13', 48, NULL, 1, 'gdB3VVcun2OtukWpJEi5djafNvKrFAOOzCe1JPq444lyfc5vaXTnNPhTOuvI', 1, NULL, NULL, NULL, 1, '2021-08-02 12:15:13', 1, 0, NULL, NULL),
	(58500, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58501, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58502, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58503, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_9_8_97530026.png', '2021_9_8_97530026.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58504, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_9_8_734631136.png', '2021_9_8_734631136.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58505, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee updated', 'Test Father updated', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58506, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee updated', 'Test Father updated', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58507, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee updated', 'Test Father updated', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58508, 'dasfsd@testmail.com', 'null', NULL, NULL, 184, 234, 37, 345, 234, 0, 0, 1, 0, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, '34123', NULL, NULL, NULL, '2027-10-02', NULL, NULL, '45235', NULL, NULL, NULL, 154, NULL, 0, 0, NULL, NULL, NULL, '', 455, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, 154, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 8, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 1, '34123', 154),
	(58509, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58510, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58511, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58512, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58513, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58514, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58515, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58516, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58517, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58518, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58519, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58520, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58521, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58522, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58523, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58524, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58525, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58526, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58527, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58528, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58529, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58530, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58531, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58532, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58533, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58534, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58535, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58536, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58537, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58538, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58539, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58540, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58541, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58542, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58543, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58544, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58545, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58546, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58547, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58548, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58549, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58550, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58551, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58552, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58553, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58554, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58555, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58556, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58557, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58558, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58559, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58560, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58561, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58562, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58563, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58564, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58565, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58566, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58567, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58568, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58569, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58570, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58571, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58572, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'undefined', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58573, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'undefined', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58574, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58575, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58576, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58577, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58578, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58579, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58580, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58581, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58582, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58583, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58584, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58585, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58586, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58587, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58588, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58589, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58590, 'test.employee.2@people.com.pk', '76607Aa$', '886379b324e7b127ea86af826861dc69', 1, 1, 1861, 38, 0, 0, 0, 0, 22, 0, 0, 0, 'Mr.', NULL, '', 'Test Employee 2', '', '', '0000-00-00', '', '1122331', NULL, NULL, 48, '2021-01-01', NULL, NULL, '5', NULL, NULL, '', 0, 0, 0, 0, 0, NULL, '', '', 1, '', '', 'single', 0, NULL, NULL, NULL, 0, 0, NULL, '0000-00-00', '0000-00-00', '', 0, NULL, '0000-00-00', '0000-00-00', '', NULL, 0, '0000-00-00', '0000-00-00', 0, 0, NULL, NULL, NULL, '2021-02-02', '2021-02-02 03:10:15', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 9, 80, NULL, 0, '0', NULL, NULL, '0', '0', '0', '0', '', 1, 1082, 0, NULL, 0, 0, 0, 'non_filer', 0, '', 0, 0, 0, 0, '', 0, '', 0, '', 18, '2021-02-02 02:25:25', 48, '2021-08-02 12:15:12', 48, NULL, 0, NULL, 0, '0000-00-00', '0000-00-00', NULL, 1, '2021-08-02 12:15:12', 0, 0, NULL, NULL),
	(58591, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58592, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58593, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58594, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58595, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58596, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58597, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'Blober Rabia', 'Asad', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58598, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Ms.', '', '', 'wqw3we', 'weewew', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58599, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58600, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58601, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58602, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'Tester Nester', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58603, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'Tester Nester', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58604, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58605, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58606, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58607, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mrs.', '', '', 'Test empl', 'Test Father o', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58608, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58609, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58610, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58611, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58612, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58613, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58614, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58615, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58616, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58617, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58618, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58619, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58620, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58621, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58622, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58623, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_9_23_959753341.png', '2021_9_23_959753341.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58624, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_9_23_13953505.png', '2021_9_23_13953505.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58625, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_9_23_158511676.png', '2021_9_23_158511676.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58626, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_9_23_564685877.png', '2021_9_23_564685877.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58627, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_9_23_379136202.png', '2021_9_23_379136202.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58628, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58629, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'Mr.', '', '', 'test', 'not arrested', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58630, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58631, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58632, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58636, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58637, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'undefined', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58638, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'undefined', '', '', 'Test employee', 'undefined', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58639, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'undefined', '', '', 'Test employee', 'undefined', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58640, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'undefined', '', '', 'Test employee', 'undefined', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58641, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'undefined', '', '', 'Test employee', 'undefined', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58642, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'undefined', '', '', 'Test employee', 'undefined', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58643, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'undefined', '', '', 'Test employee', 'undefined', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58644, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'undefined', '', '', 'Test employee', 'undefined', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58645, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58646, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58647, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58648, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58649, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, 'undefined', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58650, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58651, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_10_14_150621494.png', '2021_10_14_150621494.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58652, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_10_14_129956750.png', '2021_10_14_129956750.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58653, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_10_14_292411215.png', '2021_10_14_292411215.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58654, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_10_14_895095553.png', '2021_10_14_895095553.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58655, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58656, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58657, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58658, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_10_18_418782742.png', '2021_10_18_418782742.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58659, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_10_18_559084151.png', '2021_10_18_559084151.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58660, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_10_18_440937761.png', '2021_10_18_440937761.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58661, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58662, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58663, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58664, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58665, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '', '', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58666, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_556893684.png', '2021_11_5_556893684.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58667, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_303699770.png', '2021_11_5_303699770.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58668, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_962805343.png', '2021_11_5_962805343.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58669, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_499592269.png', '2021_11_5_499592269.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58670, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_756359918.png', '2021_11_5_756359918.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58671, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_707258785.png', '2021_11_5_707258785.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58672, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_719045358.png', '2021_11_5_719045358.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58673, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_179945037.png', '2021_11_5_179945037.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58674, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_775189952.png', '2021_11_5_775189952.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58675, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_730045781.png', '2021_11_5_730045781.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58676, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_68977263.png', '2021_11_5_68977263.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58677, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_4901899.png', '2021_11_5_4901899.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58678, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_802533160.png', '2021_11_5_802533160.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58679, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_41716232.png', '2021_11_5_41716232.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL),
	(58680, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 1, 0, 0, ' Mr.', '2021_11_5_147275262.png', '2021_11_5_147275262.png', 'Test employee', 'Test Father', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, NULL, NULL, NULL, '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', NULL, 1, 0, 0, NULL, NULL, 0, 0, 'non_filer', 0, NULL, 0, 0, 0, 0, NULL, 0, NULL, 0, '', 0, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, NULL, NULL);
/*!40000 ALTER TABLE `proll_employee` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.proll_employee_info
CREATE TABLE IF NOT EXISTS `proll_employee_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sub_department_level1_id` int(11) NOT NULL DEFAULT '0',
  `sub_department_level2_id` int(11) NOT NULL DEFAULT '0',
  `shift_id` int(11) DEFAULT NULL,
  `weekend_day_id` tinyint(1) DEFAULT NULL,
  `father_occupation` varchar(100) DEFAULT NULL,
  `father_dob` date DEFAULT NULL,
  `hrms_id` int(11) DEFAULT NULL,
  `unique_position_id` int(11) DEFAULT NULL,
  `date_of_rejection` date DEFAULT NULL,
  `hr_email_id` int(11) DEFAULT NULL,
  `hom_address` text,
  `postalcode` varchar(20) DEFAULT NULL,
  `country` int(9) unsigned DEFAULT NULL,
  `second_nationality_id` int(11) unsigned DEFAULT NULL,
  `domicile_country_id` int(11) unsigned DEFAULT NULL,
  `domicile_city_id` int(11) DEFAULT NULL,
  `religion_id` int(11) DEFAULT NULL,
  `cast` varchar(20) DEFAULT NULL,
  `city` varchar(100) DEFAULT NULL,
  `location` varchar(50) DEFAULT NULL,
  `hom_phone` varchar(20) DEFAULT NULL,
  `cell_number` varchar(20) DEFAULT NULL,
  `m_status` varchar(50) DEFAULT NULL,
  `no_of_dependants` int(11) DEFAULT NULL,
  `fs_report` varchar(200) DEFAULT NULL,
  `reason` text,
  `imp_id` int(10) unsigned DEFAULT NULL,
  `fs_status` int(1) DEFAULT NULL,
  `birth_country_id` int(11) unsigned DEFAULT NULL,
  `birth_city_id` int(11) DEFAULT NULL,
  `visa_image` varchar(255) DEFAULT NULL,
  `visa_expiry` date DEFAULT NULL,
  `degree_image` varchar(255) DEFAULT NULL,
  `dob` date DEFAULT NULL,
  `added` datetime DEFAULT NULL,
  `alert_sent` date DEFAULT NULL,
  `passport_alert_sent` date DEFAULT NULL,
  `visa_alert_sent` date DEFAULT NULL,
  `cnic_alert_sent` date DEFAULT NULL,
  `loggedin` datetime DEFAULT NULL,
  `bg_img` varchar(50) DEFAULT NULL,
  `bg_color` varchar(10) DEFAULT NULL,
  `emp_band` int(11) DEFAULT NULL,
  `contract_status` tinyint(1) DEFAULT NULL,
  `contract_expiry` date DEFAULT NULL,
  `assist_id` int(11) DEFAULT NULL,
  `reasonforleaving` varchar(500) DEFAULT NULL,
  `view_status` char(1) DEFAULT '0',
  `alm_view_status` char(1) DEFAULT '0',
  `lm_view_status` char(1) DEFAULT '0',
  `hr_view_status` char(1) DEFAULT '0',
  `blood_group_name` varchar(5) DEFAULT NULL,
  `portal_id` tinyint(4) DEFAULT '1',
  `user_id` int(11) DEFAULT NULL,
  `employee_height` int(11) NOT NULL DEFAULT '0',
  `employee_weight` float DEFAULT NULL,
  `native_language_id` int(11) DEFAULT NULL,
  `ntn_number` int(11) DEFAULT NULL,
  `ntn_country_id` int(11) DEFAULT NULL,
  `ntn_status` enum('filer','non_filer') NOT NULL DEFAULT 'non_filer',
  `ex_employee_flag` tinyint(1) DEFAULT NULL,
  `ex_employee_code` varchar(15) DEFAULT NULL,
  `nomination_agree_check` tinyint(1) DEFAULT NULL,
  `ex_relevent_experience_flag` tinyint(1) DEFAULT NULL,
  `experience_with_client_flag` tinyint(1) DEFAULT NULL,
  `ex_inquire_objection_flag` tinyint(1) DEFAULT NULL,
  `ex_inquire_objection_detail` text,
  `serious_ailment_flag` tinyint(1) DEFAULT NULL,
  `serious_ailment_brief` text,
  `arrested_flag` tinyint(1) DEFAULT NULL,
  `arrested_brief` text,
  `created_at` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `updated_by` int(11) DEFAULT NULL,
  `employment_file` varchar(255) DEFAULT NULL,
  `allow_policy_manual` tinyint(1) NOT NULL DEFAULT '0',
  `remember_token` varchar(255) DEFAULT NULL,
  `main_lm` int(2) DEFAULT '0',
  `contract_start_date` date DEFAULT NULL,
  `contract_end_date` date DEFAULT NULL,
  `in_active_type` int(11) DEFAULT NULL,
  `leave_bank_updated` tinyint(1) DEFAULT '0',
  `leave_bank_updated_at` datetime DEFAULT NULL,
  `is_mobile_attendance` tinyint(1) unsigned DEFAULT '1',
  `remote_attendance_allowed` tinyint(1) DEFAULT '0',
  `emp_id` int(11) unsigned DEFAULT NULL,
  `gender` varchar(10) DEFAULT NULL,
  `birth_state_id` int(11) DEFAULT NULL,
  `domicile_state_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `FK_proll_employee_info_proll_employee` (`emp_id`),
  KEY `birth_state_id` (`birth_state_id`),
  KEY `FK_proll_employee_info_cities` (`birth_city_id`),
  KEY `FK_proll_employee_info_countries` (`birth_country_id`),
  KEY `FK_proll_employee_info_countries_2` (`domicile_country_id`),
  KEY `FK_proll_employee_info_cities_2` (`domicile_city_id`),
  KEY `FK_proll_employee_info_states` (`domicile_state_id`),
  KEY `FK_proll_employee_info_religion` (`religion_id`),
  KEY `FK_proll_employee_info_languages` (`native_language_id`),
  KEY `FK_proll_employee_info_countries_3` (`second_nationality_id`),
  CONSTRAINT `FK_proll_employee_info_cities` FOREIGN KEY (`birth_city_id`) REFERENCES `cities` (`id`),
  CONSTRAINT `FK_proll_employee_info_cities_2` FOREIGN KEY (`domicile_city_id`) REFERENCES `cities` (`id`),
  CONSTRAINT `FK_proll_employee_info_countries` FOREIGN KEY (`birth_country_id`) REFERENCES `countries` (`country_id`),
  CONSTRAINT `FK_proll_employee_info_countries_2` FOREIGN KEY (`domicile_country_id`) REFERENCES `countries` (`country_id`),
  CONSTRAINT `FK_proll_employee_info_countries_3` FOREIGN KEY (`second_nationality_id`) REFERENCES `countries` (`country_id`),
  CONSTRAINT `FK_proll_employee_info_languages` FOREIGN KEY (`native_language_id`) REFERENCES `languages` (`language_id`),
  CONSTRAINT `FK_proll_employee_info_proll_employee` FOREIGN KEY (`emp_id`) REFERENCES `proll_employee` (`id`),
  CONSTRAINT `FK_proll_employee_info_religion` FOREIGN KEY (`religion_id`) REFERENCES `religion` (`religion_id`),
  CONSTRAINT `FK_proll_employee_info_states` FOREIGN KEY (`domicile_state_id`) REFERENCES `states` (`id`),
  CONSTRAINT `proll_employee_info_ibfk_1` FOREIGN KEY (`birth_state_id`) REFERENCES `states` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=197 DEFAULT CHARSET=utf8mb4;

-- Dumping data for table peoplei_300_people_dev.proll_employee_info: ~151 rows (approximately)
/*!40000 ALTER TABLE `proll_employee_info` DISABLE KEYS */;
INSERT INTO `proll_employee_info` (`id`, `sub_department_level1_id`, `sub_department_level2_id`, `shift_id`, `weekend_day_id`, `father_occupation`, `father_dob`, `hrms_id`, `unique_position_id`, `date_of_rejection`, `hr_email_id`, `hom_address`, `postalcode`, `country`, `second_nationality_id`, `domicile_country_id`, `domicile_city_id`, `religion_id`, `cast`, `city`, `location`, `hom_phone`, `cell_number`, `m_status`, `no_of_dependants`, `fs_report`, `reason`, `imp_id`, `fs_status`, `birth_country_id`, `birth_city_id`, `visa_image`, `visa_expiry`, `degree_image`, `dob`, `added`, `alert_sent`, `passport_alert_sent`, `visa_alert_sent`, `cnic_alert_sent`, `loggedin`, `bg_img`, `bg_color`, `emp_band`, `contract_status`, `contract_expiry`, `assist_id`, `reasonforleaving`, `view_status`, `alm_view_status`, `lm_view_status`, `hr_view_status`, `blood_group_name`, `portal_id`, `user_id`, `employee_height`, `employee_weight`, `native_language_id`, `ntn_number`, `ntn_country_id`, `ntn_status`, `ex_employee_flag`, `ex_employee_code`, `nomination_agree_check`, `ex_relevent_experience_flag`, `experience_with_client_flag`, `ex_inquire_objection_flag`, `ex_inquire_objection_detail`, `serious_ailment_flag`, `serious_ailment_brief`, `arrested_flag`, `arrested_brief`, `created_at`, `created_by`, `updated_at`, `updated_by`, `employment_file`, `allow_policy_manual`, `remember_token`, `main_lm`, `contract_start_date`, `contract_end_date`, `in_active_type`, `leave_bank_updated`, `leave_bank_updated_at`, `is_mobile_attendance`, `remote_attendance_allowed`, `emp_id`, `gender`, `birth_state_id`, `domicile_state_id`) VALUES
	(26, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', 0, 'asdfswerq', NULL, NULL, NULL, 1, 'gsdgdfgsdfgsdfg', 0, 'no serious ailment', 0, 'not arrested', NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58590, ' Male', NULL, NULL),
	(35, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58500, ' Male', NULL, NULL),
	(36, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58501, ' Male', NULL, NULL),
	(37, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58502, ' Male', NULL, NULL),
	(38, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58503, ' Male', NULL, NULL),
	(39, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58504, ' Male', NULL, NULL),
	(40, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'no serious ailment', 0, 'not arrested', NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58505, ' Male', NULL, NULL),
	(42, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'B+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', 0, '', NULL, NULL, NULL, 1, 'gsdgdfgsdfgsdfg', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58507, ' Male', NULL, NULL),
	(43, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, '6435785234523454', NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 234, 84, NULL, NULL, 'Better Career Opportunity', '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', 0, 'asdfswerq', NULL, NULL, NULL, 1, 'updated', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58508, ' Male', NULL, NULL),
	(44, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', 0, '', NULL, NULL, NULL, 1, 'gsdgdfgsdfgsdfg', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58509, ' Male', NULL, NULL),
	(45, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58510, ' Male', NULL, NULL),
	(46, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58511, ' Male', NULL, NULL),
	(47, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58512, ' Male', NULL, NULL),
	(48, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58513, ' Male', NULL, NULL),
	(49, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58514, ' Male', NULL, NULL),
	(50, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58515, ' Male', NULL, NULL),
	(51, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58516, ' Male', NULL, NULL),
	(52, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58517, ' Male', NULL, NULL),
	(53, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58518, ' Male', NULL, NULL),
	(54, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58519, ' Male', NULL, NULL),
	(55, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58520, ' Male', NULL, NULL),
	(56, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58521, ' Male', NULL, NULL),
	(57, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58522, ' Male', NULL, NULL),
	(58, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58523, ' Male', NULL, NULL),
	(59, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58524, ' Male', NULL, NULL),
	(60, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58525, ' Male', NULL, NULL),
	(61, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58526, ' Male', NULL, NULL),
	(62, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58527, ' Male', NULL, NULL),
	(63, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58528, ' Male', NULL, NULL),
	(64, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58529, ' Male', NULL, NULL),
	(65, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58530, ' Male', NULL, NULL),
	(66, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58531, ' Male', NULL, NULL),
	(67, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58532, ' Male', NULL, NULL),
	(68, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58533, ' Male', NULL, NULL),
	(69, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58534, ' Male', NULL, NULL),
	(70, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58535, ' Male', NULL, NULL),
	(71, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58536, ' Male', NULL, NULL),
	(72, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58537, ' Male', NULL, NULL),
	(73, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58538, ' Male', NULL, NULL),
	(74, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58539, ' Male', NULL, NULL),
	(75, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58540, ' Male', NULL, NULL),
	(76, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58541, ' Male', NULL, NULL),
	(77, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58542, ' Male', NULL, NULL),
	(78, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58543, ' Male', NULL, NULL),
	(79, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58544, ' Male', NULL, NULL),
	(80, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58545, ' Male', NULL, NULL),
	(81, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58546, ' Male', NULL, NULL),
	(82, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58547, ' Male', NULL, NULL),
	(83, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58548, ' Male', NULL, NULL),
	(84, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58549, ' Male', NULL, NULL),
	(85, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58550, ' Male', NULL, NULL),
	(86, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58551, ' Male', NULL, NULL),
	(87, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58552, ' Male', NULL, NULL),
	(88, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58553, ' Male', NULL, NULL),
	(89, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58554, ' Male', NULL, NULL),
	(90, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58555, ' Male', NULL, NULL),
	(91, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58556, ' Male', NULL, NULL),
	(92, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58557, ' Male', NULL, NULL),
	(93, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58558, ' Male', NULL, NULL),
	(94, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58559, 'Male', NULL, NULL),
	(95, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58560, 'Male', NULL, NULL),
	(96, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58561, 'Male', NULL, NULL),
	(97, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58562, 'Male', NULL, NULL),
	(98, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 2345, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58563, 'Male', NULL, NULL),
	(99, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58564, 'Male', NULL, NULL),
	(100, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 1, 6019, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58565, 'Male', NULL, NULL),
	(101, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 1, 6019, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', '215', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58566, 'Male', NULL, NULL),
	(102, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58567, 'Male', NULL, NULL),
	(103, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58568, 'Male', NULL, NULL),
	(104, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58569, 'Male', NULL, NULL),
	(105, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58570, 'Male', NULL, NULL),
	(106, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58571, 'Male', NULL, NULL),
	(107, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58572, 'Male', NULL, NULL),
	(108, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58573, 'Male', NULL, NULL),
	(109, 0, 0, NULL, NULL, 'undefined', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58574, 'Male', NULL, NULL),
	(110, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58575, 'Male', NULL, NULL),
	(111, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58576, 'undefined', NULL, NULL),
	(112, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58578, 'Male', NULL, NULL),
	(113, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58580, 'Male', NULL, NULL),
	(114, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58582, 'Male', NULL, NULL),
	(115, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'undef', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58584, 'Male', NULL, NULL),
	(116, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58585, 'Male', NULL, NULL),
	(117, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58586, 'Male', NULL, NULL),
	(118, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58587, 'Male', NULL, NULL),
	(119, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58588, 'Male', NULL, NULL),
	(120, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2021-10-12', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58589, 'Male', NULL, NULL),
	(121, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58591, 'Male', NULL, NULL),
	(122, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58592, 'Male', NULL, NULL),
	(123, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58593, 'Male', NULL, NULL),
	(124, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58594, 'Male', NULL, NULL),
	(125, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58595, 'Male', NULL, NULL),
	(126, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58596, 'Male', NULL, NULL),
	(127, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2, 6091, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6028, NULL, NULL, NULL, '2021-09-14', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'O-', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58597, 'Male', NULL, NULL),
	(128, 0, 0, NULL, NULL, 'weerr', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2, 6088, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3, 6433, NULL, NULL, NULL, '2021-09-14', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'B+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58598, 'Female', NULL, NULL),
	(129, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58599, ' Male', NULL, NULL),
	(130, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58600, ' Male', NULL, NULL),
	(131, 0, 0, NULL, NULL, 'nnnnnnnnnn', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 1, 6019, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58601, 'Female', NULL, NULL),
	(132, 0, 0, NULL, NULL, 'test', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 1, 6019, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-17', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58602, 'Female', NULL, NULL),
	(133, 0, 0, NULL, NULL, 'test', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2, 6179, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-10', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58603, 'Female', NULL, NULL),
	(134, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 1, 6019, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', '215', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58604, 'Male', NULL, NULL),
	(135, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 1, 6019, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', '215', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58605, 'Male', NULL, NULL),
	(136, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 1, 6019, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', '215', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58606, 'Male', NULL, NULL),
	(137, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 1, 6019, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', '215', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58607, 'Male', NULL, NULL),
	(138, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58608, ' Male', NULL, NULL),
	(139, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58609, ' Male', NULL, NULL),
	(140, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 1, 6019, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', '215', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58610, 'Male', NULL, NULL),
	(141, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58611, ' Male', NULL, NULL),
	(142, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 1, 6019, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', '215', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58612, 'Male', NULL, NULL),
	(143, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58613, ' Male', NULL, NULL),
	(144, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 1, 6019, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', '215', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58614, 'Male', NULL, NULL),
	(145, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58615, ' Male', NULL, NULL),
	(146, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58616, ' Male', NULL, NULL),
	(147, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58617, ' Male', NULL, NULL),
	(148, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58622, ' Male', NULL, NULL),
	(149, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58623, ' Male', NULL, NULL),
	(150, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58624, ' Male', NULL, NULL),
	(151, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58625, ' Male', NULL, NULL),
	(152, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58626, ' Male', NULL, NULL),
	(153, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58627, ' Male', NULL, NULL),
	(154, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 1, 6019, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', '215', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58628, 'Male', NULL, NULL),
	(155, 0, 0, NULL, NULL, 'sefadsasfdas', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 1, 6019, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 6019, NULL, NULL, NULL, '2021-09-24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', '215', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58629, 'Male', NULL, NULL),
	(156, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58630, ' Male', NULL, NULL),
	(157, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58632, ' Male', NULL, NULL),
	(158, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58636, ' Male', NULL, NULL),
	(159, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58637, ' Male', NULL, NULL),
	(160, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58638, ' Male', NULL, NULL),
	(161, 0, 0, NULL, NULL, 'undefined', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58639, ' Male', NULL, NULL),
	(162, 0, 0, NULL, NULL, 'undefined', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58640, ' Male', NULL, NULL),
	(163, 0, 0, NULL, NULL, 'undefined', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58641, 'undefined', NULL, NULL),
	(164, 0, 0, NULL, NULL, 'undefined', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'undefined', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58642, 'undefined', NULL, NULL),
	(165, 0, 0, NULL, NULL, 'undefined', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'undefined', 0, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58644, 'undefined', NULL, NULL),
	(166, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58645, ' Male', NULL, NULL),
	(167, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2008-10-20', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58646, ' Male', NULL, NULL),
	(168, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '2008-10-20', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58647, ' Male', NULL, NULL),
	(169, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58648, ' Male', NULL, NULL),
	(170, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58649, ' Male', NULL, NULL),
	(171, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58650, ' Male', NULL, NULL),
	(172, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58651, ' Male', NULL, NULL),
	(173, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58652, ' Male', NULL, NULL),
	(174, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58653, ' Male', NULL, NULL),
	(175, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58654, ' Male', NULL, NULL),
	(176, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58655, ' Male', NULL, NULL),
	(177, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58656, ' Male', NULL, NULL),
	(178, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58657, ' Male', NULL, NULL),
	(179, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58658, ' Male', NULL, NULL),
	(180, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58659, ' Male', NULL, NULL),
	(181, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58660, ' Male', NULL, NULL),
	(182, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58661, ' Male', NULL, NULL),
	(183, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '0000-00-00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58663, ' Male', 423, 234),
	(184, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '1995-01-26', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58664, ' Male', 423, 234),
	(185, 0, 0, NULL, NULL, 'Farmer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 154, 154, 234, 1, NULL, NULL, NULL, NULL, NULL, 'single', 2, NULL, NULL, NULL, NULL, 154, 2345, NULL, NULL, NULL, '1995-01-26', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '0', '0', 'A+', 1, NULL, 0, NULL, 1, NULL, NULL, 'non_filer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 0, NULL, 1, 0, 58665, ' Male', 423, 234);
/*!40000 ALTER TABLE `proll_employee_info` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.proll_reference_data
CREATE TABLE IF NOT EXISTS `proll_reference_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) DEFAULT NULL,
  `ref_id` int(50) DEFAULT NULL,
  `reference_key` int(11) DEFAULT NULL,
  `description` varchar(100) DEFAULT NULL,
  `sort_order` int(2) DEFAULT NULL,
  `status` int(1) DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `reference_data_id` int(11) DEFAULT NULL,
  `emportal` tinyint(1) DEFAULT '1',
  `lmportal` tinyint(1) DEFAULT NULL,
  `hrportal` tinyint(1) DEFAULT '1',
  `allow_edit` int(1) DEFAULT NULL,
  `allow_delete` int(1) DEFAULT NULL,
  `system_ind` int(11) DEFAULT NULL,
  `allow_add` int(1) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `Ref_ID_Index` (`ref_id`)
) ENGINE=InnoDB AUTO_INCREMENT=301 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.proll_reference_data: ~250 rows (approximately)
/*!40000 ALTER TABLE `proll_reference_data` DISABLE KEYS */;
INSERT INTO `proll_reference_data` (`id`, `cid`, `ref_id`, `reference_key`, `description`, `sort_order`, `status`, `created_by`, `created_date`, `modified_by`, `modified_date`, `reference_data_id`, `emportal`, `lmportal`, `hrportal`, `allow_edit`, `allow_delete`, `system_ind`, `allow_add`) VALUES
	(1, 48, 2, 1, 'Company Business', 1, 1, 38, '2017-02-20 01:56:19', 38, '2017-02-20 02:19:55', NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(3, 48, 2, 2, 'Seminar', 2, 1, 38, '2017-02-20 05:36:20', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(4, 48, 2, 3, 'Training', 3, 1, 38, '2017-02-20 05:36:32', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(5, 48, 1, 1, 'Air', 1, 1, 38, '2017-02-20 05:59:00', 38, '2017-02-21 11:29:38', NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(6, 48, 1, 2, 'Train', 2, 1, 38, '2017-02-20 05:59:14', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(7, 48, 1, 3, 'Bus', 3, 1, 38, '2017-02-20 05:59:33', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(8, 48, 1, 4, 'Company Car', 4, 1, 38, '2017-02-20 05:59:49', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(9, 48, 1, 5, 'Personal Car', 5, 1, 38, '2017-02-20 06:00:03', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(11, 48, 3, NULL, 'Rest House', 2, 1, 38, '2017-02-20 06:05:26', 38, '2017-02-23 11:20:29', NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(12, 48, 5, NULL, 'Self', 1, 1, 38, '2017-02-21 11:30:01', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(13, 48, 5, NULL, 'Company', 2, 1, 38, '2017-02-21 11:30:14', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(14, 48, 4, NULL, 'Self', 1, 1, 38, '2017-02-21 11:30:27', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(15, 48, 4, NULL, 'Company', 2, 1, 38, '2017-02-21 11:30:34', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(16, 48, 6, NULL, 'Domestic', 1, 1, 38, '2017-02-22 05:53:00', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(17, 48, 6, NULL, 'International', 2, 1, 38, '2017-02-22 05:53:21', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(18, 48, 7, NULL, 'Economy', 1, 1, 38, '2017-02-22 05:54:22', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(19, 48, 7, NULL, 'Business', 2, 1, 38, '2017-02-22 05:54:35', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(20, 48, 3, NULL, 'Hotel', NULL, 1, 38, '2017-02-23 11:19:56', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(21, 48, 3, NULL, 'YMCA', NULL, 1, 38, '2017-03-10 11:49:45', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(22, 48, 8, NULL, 'Single', NULL, 1, 38, '2017-03-16 01:47:31', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(23, 48, 8, NULL, 'Double', NULL, 1, 38, '2017-03-16 01:47:41', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(24, 48, 10, NULL, 'As Per Policy', NULL, 1, 1, '2017-03-28 11:58:27', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(25, 48, 10, NULL, 'With Immediate', NULL, 1, 1, '2017-03-28 11:58:40', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(26, 48, 9, NULL, 'Another Position', NULL, 1, 1, '2017-03-28 11:58:59', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(27, 48, 9, NULL, 'Personal Reasons', NULL, 1, 1, '2017-03-28 11:59:11', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(28, 48, 9, NULL, 'Relocation', NULL, 1, 1, '2017-03-28 11:59:21', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(29, 48, 9, NULL, 'Retirement', NULL, 1, 1, '2017-03-28 11:59:31', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(30, 48, 9, NULL, 'Return to School', NULL, 1, 1, '2017-03-28 11:59:48', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(31, 48, 9, NULL, 'Better Career Oppourtunity', NULL, 1, 1, '2017-03-28 12:00:18', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(32, 48, 11, NULL, 'FTEs', NULL, 1, 1, '2017-08-26 07:07:00', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(33, 48, 11, NULL, 'Contractual Staff', NULL, 1, 1, '2017-08-26 07:07:18', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(34, 48, 11, NULL, 'Daily Wager', NULL, 1, 1, '2017-08-26 07:07:42', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(35, 48, 11, NULL, 'Part Time Workers', NULL, 1, 1, '2017-08-26 07:07:56', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(36, 48, 11, NULL, 'Internees', NULL, 1, 1, '2017-08-26 07:08:08', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(37, 48, 12, NULL, 'Salary', NULL, 1, 1, '2017-08-26 07:08:20', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(38, 48, 12, NULL, 'Wages', NULL, 1, 1, '2017-08-26 07:08:30', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(39, 48, 12, NULL, 'Cash Awards', NULL, 1, 1, '2017-08-26 07:08:41', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(40, 48, 12, NULL, 'Commissions', NULL, 1, 1, '2017-08-26 07:08:51', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(41, 48, 12, NULL, 'Incentives', NULL, 1, 1, '2017-08-26 07:09:00', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(42, 48, 12, NULL, 'Over Time', NULL, 1, 1, '2017-08-26 07:09:11', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(43, 48, 13, NULL, 'Onshore', NULL, 1, 1, '2017-11-27 12:27:17', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(44, 48, 13, NULL, 'Offshore', NULL, 1, 1, '2017-11-27 12:27:30', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(45, 48, 14, NULL, 'Replacement', NULL, 1, 1, '2017-11-27 12:28:10', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(46, 48, 14, NULL, 'Growth', NULL, 1, 1, '2017-11-27 12:28:21', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(47, 48, 15, NULL, 'Outgoing', NULL, 1, 1, '2017-11-27 12:31:22', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(48, 48, 15, NULL, 'Incoming', NULL, 1, 1, '2017-11-27 12:31:40', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(49, 48, 15, NULL, 'Customized', NULL, 1, 1, '2017-11-27 12:32:01', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(50, 48, 16, NULL, 'GBS', NULL, 1, 1, '2017-11-27 12:34:56', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(51, 48, 16, NULL, 'Non-GBS', NULL, 1, 1, '2017-11-27 12:35:10', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(52, 48, 17, 1, 'HR', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(53, 48, 17, 2, 'HRBP', NULL, 1, 1, '2017-11-30 12:19:35', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(54, 48, 17, 3, 'Comp. Lead', NULL, 1, 1, '2017-11-30 12:19:51', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(55, 48, 17, 4, 'Sr. Comp. Lead', NULL, 1, 1, '2017-11-30 12:20:09', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(56, 48, 17, 5, 'CHRO', NULL, 1, 1, '2017-11-30 12:24:14', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(57, 48, 18, NULL, '2017', NULL, 1, 1, '2017-12-06 08:49:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(58, 48, 18, NULL, '2018', NULL, 1, 1, '2017-12-06 08:49:34', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(59, 48, 18, NULL, '2020', NULL, 1, 1, '2017-12-06 08:49:44', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(60, 48, 18, NULL, '2019', NULL, 1, 1, '2017-12-06 08:49:58', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(61, 48, 19, NULL, 'Annual Appraisal', NULL, 1, 1, '2018-01-18 11:11:10', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(62, 48, 19, NULL, 'Probation Evaluation', NULL, 1, 1, '2018-01-18 11:11:22', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(63, 48, 19, NULL, 'Mid Year Appraisal', NULL, 1, 1, '2018-01-18 11:11:35', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(64, 48, 19, NULL, 'Monthly Review', NULL, 1, 1, '2018-01-18 11:11:45', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(65, 48, 19, NULL, 'Custom Appraisal', NULL, 1, 1, '2018-01-18 11:11:59', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(66, 48, 20, 1, 'Achievements', 1, 1, 1, '2018-01-18 11:12:17', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(67, 48, 20, 2, 'What\\\'s', 2, 1, 1, '2018-01-18 11:12:27', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(68, 48, 20, 3, 'How\\\'s', 3, 1, 1, '2018-01-18 11:12:39', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(69, 48, 20, 4, 'Training Needs', 4, 1, 1, '2018-01-18 11:12:53', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(70, 48, 20, 5, 'Final Comments', 5, 1, 1, '2018-01-18 11:13:05', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(71, 48, 20, 6, 'Emp. Sign OFF', 6, 1, 1, '2018-01-18 11:13:16', NULL, NULL, NULL, 0, 0, 0, NULL, NULL, NULL, NULL),
	(72, 48, 20, 7, 'Recommendations', 7, 1, 1, '2018-01-18 11:13:26', NULL, NULL, NULL, 0, 1, 1, NULL, NULL, NULL, NULL),
	(73, 48, 20, 8, 'Disclaimer & Emp. Sign OFF', 8, 1, 1, '2018-01-18 11:13:34', NULL, NULL, NULL, 1, 0, 0, NULL, NULL, NULL, NULL),
	(74, 48, 20, 9, 'Grievance', 9, 1, 1, '2018-01-18 11:13:43', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(75, 48, 21, NULL, 'Basic', NULL, 1, 1, '2018-01-18 11:28:12', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(76, 48, 21, NULL, 'Advanced', NULL, 1, 1, '2018-01-18 11:28:23', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(77, 48, 21, NULL, 'Behavioral', NULL, 1, 1, '2018-01-18 11:28:34', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(78, 48, 21, NULL, 'Leadership', NULL, 1, 1, '2018-01-18 11:28:49', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(79, 48, 11, NULL, 'Custom', NULL, 1, 1, '2018-01-18 04:42:22', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(80, 48, 25, 1, 'Permanent', NULL, 1, 1, '2018-01-18 04:45:38', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(81, 48, 25, 2, 'Custom', NULL, 1, 1, '2018-01-18 04:45:53', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(82, 48, 25, 3, 'Contractual', NULL, 1, 1, '2018-01-18 04:46:05', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(83, 48, 25, 4, 'On Probation', NULL, 1, 1, '2018-01-18 04:46:21', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(84, 48, 25, 5, 'Internship', NULL, 1, 1, '2018-01-18 04:46:33', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(85, 48, 25, 6, 'MTO', NULL, 1, 1, '2018-01-18 04:46:45', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(88, 48, 26, NULL, 'Contractual', NULL, 1, 1, '2018-02-10 04:32:10', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(89, 48, 26, NULL, 'Permenent ', NULL, 1, 1, '2018-02-10 04:33:13', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(90, 48, 17, 6, 'EMPL', NULL, 1, 1, '2017-11-30 12:24:14', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(91, 48, 17, 7, 'ALM', NULL, 1, 1, '2017-11-30 12:24:14', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(92, 48, 17, 8, 'LM', NULL, 1, 1, '2017-11-30 12:24:14', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(93, 48, 17, 9, 'BL', NULL, 1, 1, '2017-11-30 12:24:14', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(94, 48, 27, 1, 'All', NULL, 1, 1, '2018-02-21 10:00:53', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(95, 48, 27, 2, 'Range', NULL, 1, 1, '2018-02-21 10:00:53', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(96, 48, 27, 3, 'Input', NULL, 1, 1, '2018-02-21 10:00:53', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(97, 48, 29, NULL, 'A', NULL, 1, 1, '2018-04-11 06:46:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(98, 48, 29, NULL, 'B', NULL, 1, 1, '2018-04-11 06:46:34', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(99, 48, 29, NULL, 'C', NULL, 1, 1, '2018-04-11 06:46:42', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(100, 48, 266, 21, 'sample', NULL, 1, 48, '2018-04-11 06:46:51', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(101, 48, 28, NULL, '2', NULL, 1, 1, '2018-04-11 06:46:59', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(102, 48, 28, NULL, '3', NULL, 1, 1, '2018-04-11 06:47:08', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(103, 48, 30, NULL, 'Head Office', 1, 1, 1, NULL, NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(104, 48, 30, NULL, 'Branch Office', 2, 1, 1, NULL, NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(105, 48, 30, NULL, 'Franchise', 3, 1, 1, NULL, NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(106, 48, 31, NULL, 'Current Account', NULL, 1, NULL, '2018-08-17 06:41:00', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(107, 48, 32, NULL, 'Salary Disbursment', NULL, 1, NULL, '2018-08-17 06:41:00', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(108, 48, 31, NULL, 'Saving Account', NULL, 1, NULL, '2018-08-17 06:41:00', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(109, 48, 32, NULL, 'LC / Import Orders', NULL, 1, NULL, '2018-08-17 06:41:00', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(110, 48, 33, NULL, 'Real Estate', NULL, 1, 1, '2018-08-17 21:40:42', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(111, 48, 33, NULL, 'Process Outsourcing', NULL, 1, 1, '2018-08-17 21:40:42', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(112, 48, 33, NULL, 'Organic Farming Company', NULL, 1, 1, '2018-08-17 21:40:42', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(113, 48, 34, NULL, 'Public Limited Company', NULL, 1, 1, '2018-08-17 21:40:42', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(114, 48, 34, NULL, 'Limited Liability Company', NULL, 1, 1, '2018-08-17 21:40:42', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(115, 48, 34, NULL, 'Private Limited Company', NULL, 1, NULL, '2018-08-30 10:27:00', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(116, 48, 33, NULL, 'NGO', NULL, 1, 1, NULL, NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(117, 48, 34, NULL, 'NGO', NULL, 1, 1, NULL, NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(118, 48, 33, NULL, 'Supply Chain', NULL, 1, 1, NULL, NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(119, 48, 17, 10, 'CEO', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(150, 48, 35, 1, '1 Year', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(151, 48, 35, 2, '2 Years', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(152, 48, 35, 3, '3 Years', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(153, 48, 36, NULL, 'Male', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(154, 48, 36, NULL, 'Female', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(155, 48, 37, 1, 'Standard', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(156, 48, 37, 2, 'Before Weekend', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(157, 48, 37, 3, 'After Weekend', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(158, 48, 38, 1, '1 Time', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(159, 48, 38, 2, '2 Times', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(160, 48, 38, 3, '3 Times', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(161, 48, 38, 4, '4 Times', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(162, 48, 39, 1, 'Fiscal Year', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(163, 48, 39, 2, 'Employee Year', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(164, 48, 39, 3, 'Hybrid', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(165, 48, 40, 1, 'Flexible', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(166, 48, 40, 2, 'First Half', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(167, 48, 40, 3, 'Second Half', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(168, 48, 40, 4, 'With Mid-Break', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(169, 48, 41, 1, 'Flexible', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(170, 48, 41, 2, 'First Half', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(171, 48, 41, 3, 'Second Half', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(172, 48, 41, 4, 'With Mid-Break', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(173, 48, 42, 1, 'Applied', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(174, 48, 42, 2, 'Approved', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(175, 48, 42, 3, 'Disapproved', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(176, 48, 42, 4, 'Resubmit', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(177, 48, 42, 5, 'Resubmitted', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(178, 48, 43, 26, 'Working Days', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(179, 48, 43, 30, 'Calendar Days', NULL, 1, 1, '2017-11-30 12:19:25', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(180, 48, 43, NULL, 'As Per Policy', NULL, 1, 1, '2021-07-14 10:37:57', NULL, '2021-07-14 10:37:57', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(181, 48, 44, NULL, 'Monthly', NULL, 1, 1, '2021-06-15 12:45:32', NULL, '2021-06-15 12:45:33', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(182, 48, 44, NULL, 'Quarterly', NULL, 1, 1, '2021-06-15 12:45:50', NULL, '2021-06-15 12:45:50', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(183, 48, 44, NULL, 'Biannual', NULL, 1, 1, '2021-06-15 12:46:05', NULL, '2021-06-15 12:46:05', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(184, 48, 45, 1, 'Active', NULL, 1, 1, '2020-03-16 16:46:30', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(185, 48, 45, 0, 'Inactive', NULL, 1, 1, '2020-03-16 16:46:30', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(186, 48, 45, 2, 'Resigned', NULL, 1, 1, '2020-03-16 16:46:30', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(187, 48, 45, 3, 'Released', NULL, 1, 1, '2020-03-16 16:46:30', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(188, 48, 45, 4, 'Retired', NULL, 1, 1, '2020-03-16 16:46:30', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(189, 48, 45, 5, 'Suspended', NULL, 1, 1, '2020-03-16 16:46:30', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(190, 48, 45, 6, 'Dismissed', NULL, 1, 1, '2020-03-16 16:46:30', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(191, 48, 45, 7, 'Terminated', NULL, 1, 1, '2020-03-16 16:46:30', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(192, 48, 45, 8, 'Pending', NULL, 1, 1, '2020-03-16 16:46:30', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(193, 48, 45, 9, 'Not Joined', NULL, 1, 1, '2020-03-16 16:46:30', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(194, 48, 47, 0, 'Salary', NULL, 1, 1, '2020-03-16 16:46:30', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(195, 48, 47, 1, 'Commission', NULL, 1, 1, '2021-08-04 14:19:45', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(196, 48, 47, 2, 'Bonus', NULL, 1, 1, '2021-08-04 14:20:08', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(197, 48, 47, 3, 'Incentive', NULL, 1, 1, '2021-08-04 14:20:30', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(198, 48, 47, 4, 'OOP', NULL, 1, 1, '2021-08-04 14:20:47', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(199, 48, 47, 5, 'Other', NULL, 1, 1, '2021-08-04 14:21:12', NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(200, 48, 48, 0, 'Employer', NULL, 1, 1, '2021-08-07 10:20:17', NULL, '2021-08-07 10:20:18', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(201, 48, 48, 7, 'Employee', NULL, 1, 1, '2021-08-07 10:20:33', NULL, '2021-08-07 10:20:33', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(202, 48, 36, NULL, 'All', NULL, 1, 1, '2021-08-10 11:26:02', NULL, '2021-08-10 11:26:03', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(203, 48, 44, NULL, 'Annual', NULL, 1, 1, '2021-08-10 11:35:33', NULL, '2021-08-10 11:35:34', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(204, 48, 49, NULL, 'From DOJ', NULL, 1, 1, '2021-08-10 12:09:13', NULL, '2021-08-10 12:09:13', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(205, 48, 49, NULL, 'After Confirmation', NULL, 1, 1, '2021-08-10 12:09:37', NULL, '2021-08-10 12:09:37', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(206, 48, 50, 0, 'Flexible Rate', NULL, 1, 1, '2021-08-16 16:11:32', NULL, '2021-08-16 16:11:32', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(207, 48, 50, 1, 'Fixed Rate', NULL, 1, 1, '2021-08-16 16:11:51', NULL, '2021-08-16 16:11:51', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(208, 48, 50, 2, 'Fixed Amount', NULL, 1, 1, '2021-08-16 16:12:08', NULL, '2021-08-16 16:12:09', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(209, 48, 44, NULL, 'Hourly', NULL, 1, 1, '2021-08-16 16:44:30', NULL, '2021-08-16 16:44:30', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(210, 48, 44, NULL, 'Daily', NULL, 1, 1, '2021-08-16 16:44:42', NULL, '2021-08-16 16:44:43', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(211, 48, 51, NULL, 'Mr.', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(212, 48, 51, NULL, 'Ms.', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(213, 48, 52, NULL, 'Male', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(214, 48, 52, NULL, 'Female', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(215, 48, 53, NULL, 'A+', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(216, 48, 53, NULL, 'B+', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(217, 48, 53, NULL, 'O+', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(218, 48, 53, NULL, 'A-', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(219, 48, 53, NULL, 'B-', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(220, 48, 53, NULL, 'O-', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(221, 48, 53, NULL, 'AB-', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(222, 48, 53, NULL, 'AB+', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(223, 48, 54, NULL, 'Single', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(224, 48, 54, NULL, 'Married', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(225, 48, 55, NULL, 'Mother', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(226, 48, 55, NULL, 'Father', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(227, 48, 55, NULL, 'Brother', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(228, 48, 55, NULL, 'Sister', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(229, 48, 55, NULL, 'Husband', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(230, 48, 55, NULL, 'Wife', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(231, 48, 55, NULL, 'Daughter', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(232, 48, 55, NULL, 'Son', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(233, 48, 56, NULL, 'Family Friend', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(234, 48, 56, NULL, 'Ex-Colleague', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(235, 48, 57, NULL, 'Intermediate', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(236, 48, 57, NULL, 'Bachelor', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(237, 48, 57, NULL, 'Master', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(238, 48, 57, NULL, 'Doctral', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(239, 48, 57, NULL, 'Associate', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(240, 48, 57, NULL, 'Secondary', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(241, 48, 58, NULL, 'Beginner', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(242, 48, 58, NULL, 'Intermediate', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(243, 48, 58, NULL, 'Expert', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(244, 48, 59, NULL, 'Beginner', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(245, 48, 59, NULL, 'Intermediate', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(246, 48, 59, NULL, 'Fluent', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(247, 48, 60, NULL, 'Daily', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(248, 48, 60, NULL, 'Monthly', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(249, 48, 60, NULL, 'Deliverable Basis', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(250, 48, 61, NULL, 'With Cost', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(251, 48, 61, NULL, 'W/O Cost', NULL, 1, 1, '2021-08-17 10:51:02', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(252, 48, 62, 1, 'Re-Issue Cheque', NULL, 1, 1, '2021-08-25 13:56:04', NULL, '2021-08-25 13:56:05', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(253, 48, 62, 2, 'Cancel Cheque', NULL, 1, 1, '2021-08-25 13:56:55', NULL, '2021-08-25 13:56:56', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(254, 48, 62, 3, 'Partial Re-Issue', NULL, 1, 1, '2021-08-25 13:57:18', NULL, '2021-08-25 13:57:18', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(256, 48, 3, NULL, 'sample', NULL, 1, 17268, NULL, NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(257, 48, 3, NULL, 'sample', NULL, 1, 17268, NULL, NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(263, 48, 63, 0, 'No Lm', NULL, 1, 17268, NULL, NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(264, 48, 63, 2, 'Level Two', NULL, 1, 17268, NULL, NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(265, 48, 63, 3, 'Level Three', NULL, 1, 17268, NULL, NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(266, 48, 63, 1, 'Level One', NULL, 1, 17268, NULL, NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(267, 48, 63, 4, 'Level Four', NULL, 1, 17268, NULL, NULL, NULL, NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(268, 48, 64, NULL, 'In Progress', NULL, 1, NULL, '2021-09-16 10:33:27', NULL, '2021-09-16 10:33:29', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(269, 48, 64, NULL, 'Acquired', NULL, 1, NULL, '2021-09-16 10:33:59', NULL, '2021-09-16 10:33:59', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(270, 48, 64, NULL, 'Completed', NULL, 1, NULL, '2021-09-16 10:34:24', NULL, '2021-09-16 10:34:24', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(271, 48, 64, 0, 'Assigned', NULL, 1, NULL, '2021-09-16 10:34:54', NULL, '2021-09-16 10:34:55', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(272, 48, 64, NULL, 'Forwarded', NULL, 1, NULL, '2021-09-16 10:35:10', NULL, '2021-09-16 10:35:11', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(273, 48, 64, NULL, 'Referred', NULL, 1, NULL, '2021-09-16 10:35:34', NULL, '2021-09-16 10:35:35', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(275, 48, 65, 0, 'visit', NULL, 1, 48, '2018-04-11 06:46:51', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(276, 48, 65, 0, 'business', NULL, 1, 48, '2018-04-11 06:46:51', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(277, 48, 65, 0, 'worker', NULL, 1, 48, '2018-04-11 06:46:51', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(278, 48, 65, 0, 'citizenship', NULL, 1, 48, '2018-04-11 06:46:51', NULL, NULL, NULL, 1, 1, 1, NULL, NULL, NULL, NULL),
	(279, 48, 66, 0, 'Group Life', NULL, 1, 1, '2021-09-17 10:53:59', NULL, '2021-09-17 10:54:00', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(280, 48, 66, NULL, 'Group Health', NULL, 1, 1, '2021-09-17 10:54:22', NULL, '2021-09-17 10:54:22', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(281, 48, 66, NULL, 'Others', NULL, 1, 1, '2021-09-17 10:54:45', NULL, '2021-09-17 10:54:46', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(282, 2, 72, 4, 'Employee_Code_Max_Lenght_DropDown', 0, 1, 0, '2019-10-28 12:21:37', 0, '2019-10-28 12:21:37', 0, 0, 0, 0, 0, 0, 0, 0),
	(283, 2, 72, 3, 'Employee_Code_Max_Lenght_DropDown', 0, 1, 0, '2019-10-28 12:20:59', 0, '2019-10-28 12:20:59', 0, 0, 0, 0, 0, 0, 0, 0),
	(284, 2, 72, 6, 'Employee_Code_Max_Lenght_DropDown', 0, 1, 0, '2019-10-28 12:21:46', 0, '2019-10-28 12:21:46', 0, 0, 0, 0, 0, 0, 0, 0),
	(285, 2, 72, 5, 'Employee_Code_Max_Lenght_DropDown', 0, 1, 0, '2019-10-28 12:21:41', 0, '2019-10-28 12:21:41', 0, 0, 0, 0, 0, 0, 0, 0),
	(286, 48, 73, 0, 'Province', NULL, 1, 1, '2021-09-22 11:46:21', NULL, '2021-09-22 11:46:23', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(287, 48, 73, NULL, 'Department', NULL, 1, 1, '2021-09-22 11:47:10', NULL, '2021-09-22 11:47:11', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(288, 48, 73, NULL, 'Purchase Order', NULL, 1, 1, '2021-09-22 11:47:37', NULL, '2021-09-22 11:47:38', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(289, 48, 73, NULL, 'Cost Center', NULL, 1, 1, '2021-09-22 11:47:58', NULL, '2021-09-22 11:47:58', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(290, 48, 73, NULL, 'Place of Posting', NULL, 1, 1, '2021-09-22 11:48:22', NULL, '2021-09-22 11:48:22', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(291, 48, 73, NULL, 'Default', NULL, 1, 1, '2021-09-22 11:48:43', NULL, '2021-09-22 11:48:44', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(292, 48, 74, NULL, 'Cheque', NULL, 1, 1, '2021-10-01 14:56:30', NULL, '2021-10-01 14:56:32', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(293, 48, 74, NULL, 'Pay Order', NULL, 1, 1, '2021-10-01 14:56:54', NULL, '2021-10-01 14:56:55', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(294, 48, 74, NULL, 'Demand Draft', NULL, 1, 1, '2021-10-01 14:57:23', NULL, '2021-10-01 14:57:24', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(295, 48, 74, NULL, 'Direct Transfer', NULL, 1, 1, '2021-10-01 14:57:41', NULL, '2021-10-01 14:57:41', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(296, 48, 75, NULL, 'Roster Employees', NULL, 1, NULL, '2021-09-16 10:33:59', NULL, '2021-09-16 10:33:59', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(297, 48, 75, NULL, 'General Employees', NULL, 1, NULL, '2021-09-16 10:33:59', NULL, '2021-09-16 10:33:59', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(298, 48, 76, NULL, 'Direct Reporting', NULL, 1, NULL, '2021-09-16 10:33:59', NULL, '2021-09-16 10:33:59', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(299, 48, 76, NULL, 'Second Reporting', NULL, 1, NULL, '2021-09-16 10:33:59', NULL, '2021-09-16 10:33:59', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL),
	(300, 48, 76, NULL, 'All Reporting', NULL, 1, NULL, '2021-09-16 10:33:59', NULL, '2021-09-16 10:33:59', NULL, 1, NULL, 1, NULL, NULL, NULL, NULL);
/*!40000 ALTER TABLE `proll_reference_data` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.proll_reference_data_code
CREATE TABLE IF NOT EXISTS `proll_reference_data_code` (
  `ref_id` int(11) NOT NULL AUTO_INCREMENT,
  `reference_code` varchar(50) DEFAULT NULL,
  `cid` int(11) DEFAULT NULL,
  PRIMARY KEY (`ref_id`),
  KEY `Ref_Code_Index` (`reference_code`)
) ENGINE=InnoDB AUTO_INCREMENT=79 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.proll_reference_data_code: ~67 rows (approximately)
/*!40000 ALTER TABLE `proll_reference_data_code` DISABLE KEYS */;
INSERT INTO `proll_reference_data_code` (`ref_id`, `reference_code`, `cid`) VALUES
	(1, 'Transport_Mode', 48),
	(2, 'Business_Trip', 48),
	(3, 'Accomodation_Mode', 48),
	(4, 'Transport_Arrangement', 48),
	(5, 'Accomodation_Arrangement', 48),
	(6, 'Travel_Scope', 48),
	(7, 'Travel_Business_Class', 48),
	(8, 'Room_Type', 48),
	(9, 'Separation_Reason', 48),
	(10, 'Resignation_Notice_Period', 48),
	(11, 'Employment_Type', 48),
	(12, 'Payroll_type', 48),
	(13, 'Move_Type', 48),
	(14, 'Move_Offer_Type', 48),
	(15, 'Move_Offer_Basis', 48),
	(16, 'Function_Category', 48),
	(17, 'HR_Role_Type', 48),
	(18, 'Year', 48),
	(19, 'Appraisal Type', 48),
	(20, 'Appraisal Sections', 48),
	(21, 'Competency Type', 48),
	(22, 'Advanced Competencies ', 48),
	(23, 'Behavioral Competencies ', 48),
	(24, 'Leadership Competencies ', 48),
	(25, 'Eligibilty', 48),
	(26, 'Employee Status', 48),
	(27, 'approver_mandatory_type', 48),
	(28, 'Number Rating Scale', 48),
	(29, 'Alphabetic Rating Scale', 48),
	(30, 'Branch Type', 0),
	(31, 'Bank Account Type', 48),
	(32, 'Bank Transaction Type', 48),
	(33, 'Business Type', 0),
	(34, 'Legal Status', 0),
	(35, 'Job_Tenure', 48),
	(36, 'Employee_Gender', 48),
	(37, 'Leave_Sandwitch_Rules', 48),
	(38, 'Short_Leave_Daily_Limit', 48),
	(39, 'Year_End_Basis', 48),
	(40, 'Short_leave_Criteria', 48),
	(41, 'Half_leave_Criteria', 48),
	(42, 'Application_Status', 48),
	(43, 'Calculation_Basis', 48),
	(44, 'Payment_Frequency', 48),
	(45, 'Job_Status', 48),
	(47, 'Payroll_Types', 48),
	(48, 'Contributor', 48),
	(49, 'Terminal_Benefits_Eligibility', 48),
	(50, 'OT_Type', 48),
	(51, 'name_salutation', 48),
	(52, 'gender', 48),
	(53, 'blood_group', 48),
	(54, 'marital_status', 48),
	(55, 'relationship', 48),
	(56, 'reference_relationship', 48),
	(57, 'degree_level', 48),
	(58, 'skills_level', 48),
	(59, 'language_level', 48),
	(60, 'contract_payment_frequency', 48),
	(61, 'contract_extension_type', 48),
	(62, 'cheque_status', 48),
	(63, 'main_lm', 48),
	(64, 'Task_Status', 48),
	(65, 'visa_type', 48),
	(66, 'Insurance_Types', 48),
	(72, 'Employee_Code_Max_Lenght_Dropdown', 48),
	(73, 'Generate_Invoice_By', 48),
	(74, 'Invoice_Payment_Type', 48),
	(75, 'Roster_Type', 48),
	(76, 'Reporting', 48),
	(78, 'Approval_Queue', 48);
/*!40000 ALTER TABLE `proll_reference_data_code` ENABLE KEYS */;

-- Dumping structure for table peoplei_300_people_dev.roles
CREATE TABLE IF NOT EXISTS `roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(150) DEFAULT NULL,
  `cid` int(11) DEFAULT '48',
  `role` varchar(50) DEFAULT NULL,
  `status` int(11) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

-- Dumping data for table peoplei_300_people_dev.roles: ~7 rows (approximately)
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` (`id`, `name`, `cid`, `role`, `status`) VALUES
	(1, 'Employee', 48, 'Employee', 1),
	(2, 'Line Manager', 48, 'LM', 1),
	(3, 'HR', 48, 'HR', 1),
	(4, 'Admin', 48, 'Admin', 1),
	(5, 'CEO', 48, 'CEO', 1),
	(6, 'System', 48, 'System', 1),
	(7, 'Finance', 48, 'Finance', 1);
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IFNULL(@OLD_FOREIGN_KEY_CHECKS, 1) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40111 SET SQL_NOTES=IFNULL(@OLD_SQL_NOTES, 1) */;
